<?php
// +------------------------------------------------------------------------------+
// | MBAPI [TM] .:. Client Billing Engine                                         |
// +------------------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                                  |
// +------------------------------------------------------------------------------+
// | This source file is subject to the ModernGigabyte End User License Agreement |
// | (EULA), that is bundled with this package in the file LICENSE, and is        |
// | available at through the world-wide-web at http://www.mbapi.com/eula.php     |
// |                                                                              |
// | If you did not receive a copy of the MBAPI license and are unable to obtain  |
// | it through the world-wide-web, please send a note to license@mbapi.com so we |
// | can email you a copy immediately.                                            |
// +------------------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>                       |
// | Support: http://www.modernsupport.com/                                       |
// +------------------------------------------------------------------------------+
// | ModernGigabyte, ModernBill, and MBAPI are trademarks of ModernGigabyte, LLC. |
// +------------------------------------------------------------------------------+

require_once dirname(__FILE__)."/".str_repeat("../",4)."lib-tk/shield.php";

/**
 * This class is a child class of MB_Action. It handles the data from AddClient action
 * and creates a new client record if data is valid; else redirects back to AddClient.
 *
 * @author  modernbill
 */
class AddClientResponse extends MB_Action {

	function AddClientResponse() {
		parent::MB_Action();
		$this->stringRep = "AddClientResponse";
		$this->params = array
		(
			"clientCompany",
			"applyTax",
			"clientMailInvoices",
			"taxIDNumber",
			"countriesID",
			"themeID",
			"companyID",
			"clientActive",
			"clientStatus",
			"clientDateCreated",
			// to be converted to extra params and stripped: 
			"clientBillingDay",
		);
	}

	function execute() {
		global $CONF;
		parent::execute();

		// XXX hack
		$_REQUEST['companyID'] = 1;

		$validate = array(
			"clientCompany" => INPUT_RESTRICTION_STRING,
			"clientMailInvoices" => INPUT_RESTRICTION_BOOL,
			"applyTax" => INPUT_RESTRICTION_BOOL|INPUT_RESTRICTION_REQUIRED,
			"taxIDNumber" => INPUT_RESTRICTION_STRING,
			"countriesID" => INPUT_RESTRICTION_UNSIGNED_INT|INPUT_RESTRICTION_REQUIRED,
			"themeID" => INPUT_RESTRICTION_UNSIGNED_INT|INPUT_RESTRICTION_REQUIRED,
			"companyID" => INPUT_RESTRICTION_UNSIGNED_INT|INPUT_RESTRICTION_REQUIRED,
			"clientActive" => INPUT_RESTRICTION_BOOL|INPUT_RESTRICTION_REQUIRED,
			"contactFirstName" => INPUT_RESTRICTION_STRING|INPUT_RESTRICTION_REQUIRED,
			"contactLastName" => INPUT_RESTRICTION_STRING|INPUT_RESTRICTION_REQUIRED,
			"contactEmail" => INPUT_RESTRICTION_STRING|INPUT_RESTRICTION_REQUIRED,
			"contactEmailFormat" => INPUT_RESTRICTION_BOOL|INPUT_RESTRICTION_REQUIRED,
			"contactCompany" => INPUT_RESTRICTION_STRING,
			"contactAddress1" => INPUT_RESTRICTION_STRING|INPUT_RESTRICTION_REQUIRED,
			"contactAddress2" => INPUT_RESTRICTION_STRING,
			"contactCity" => INPUT_RESTRICTION_STRING|INPUT_RESTRICTION_REQUIRED,
			"contactState" => INPUT_RESTRICTION_STRING|INPUT_RESTRICTION_REQUIRED,
			"contactZip" => INPUT_RESTRICTION_STRING|INPUT_RESTRICTION_REQUIRED,
			"countriesID" => INPUT_RESTRICTION_UNSIGNED_INT|INPUT_RESTRICTION_REQUIRED,
			"languageID" => INPUT_RESTRICTION_UNSIGNED_INT|INPUT_RESTRICTION_REQUIRED,
			"contactPhone1" => INPUT_RESTRICTION_STRING|INPUT_RESTRICTION_REQUIRED,
			"contactPhone2" => INPUT_RESTRICTION_STRING,
			"contactFax" => INPUT_RESTRICTION_STRING,
			"contactPrimary" => INPUT_RESTRICTION_BOOL|INPUT_RESTRICTION_REQUIRED,
			"contactMobilePhone" => INPUT_RESTRICTION_STRING,
			"contactCounty" => INPUT_RESTRICTION_STRING,
			"contactUsername" => INPUT_RESTRICTION_STRING,
			"comboAction" => INPUT_RESTRICTION_STRING,
			"emailActionIDs" => INPUT_RESTRICTION_ARRAY,
			// account
			"billingAccountType" => INPUT_RESTRICTION_UNSIGNED_INT|INPUT_RESTRICTION_REQUIRED,
			// card account
			"billingCardNameOnCard" => INPUT_RESTRICTION_STRING|INPUT_RESTRICTION_REQUIRED,
			"billingCardType" => INPUT_RESTRICTION_UNSIGNED_INT|INPUT_RESTRICTION_REQUIRED,
			"billingCardNum" => array(
				INPUT_RESTRICTION_INT|INPUT_RESTRICTION_REQUIRED|INPUT_RESTRICTION_MAXLEN|INPUT_RESTRICTION_MINLEN|INPUT_RESTRICTION_CARD,
				array(
					'maxLength' => 19,
					'minLength' => 13,
					'allowedCardTypes' => getAPITypeName("card", $_REQUEST['billingCardType']),
				),
			),
			"billingCardExpMonth" => INPUT_RESTRICTION_MONTH|INPUT_RESTRICTION_REQUIRED,
			"billingCardExpYear" => INPUT_RESTRICTION_YEAR|INPUT_RESTRICTION_REQUIRED,
			"billingCardIssueNum" => INPUT_RESTRICTION_STRING,
			"billingCardStartDate" => INPUT_RESTRICTION_STRING,
			// bank account
			"billingBankType" => INPUT_RESTRICTION_UNSIGNED_INT,
			"billingBankName" => INPUT_RESTRICTION_STRING,
			"billingBankState" => INPUT_RESTRICTION_STRING,
			//"billingBankAbaCode" => INPUT_RESTRICTION_UNSIGNED_INT|INPUT_RESTRICTION_REQUIRED,
			"billingBankAccountNum" => INPUT_RESTRICTION_UNSIGNED_INT|INPUT_RESTRICTION_REQUIRED,
			"billingBankLicenseNum" => INPUT_RESTRICTION_STRING,
			"billingBankLicenseState" => INPUT_RESTRICTION_STRING,
			"billingBankDob" => INPUT_RESTRICTION_STRING,
		);


		$billingAccountType = (int) $_REQUEST["billingAccountType"];
		$edit = array();
		$typeName = getAPITypeName("billingAccount", $billingAccountType);
		if($typeName == 'manual' || $typeName == 'secondary') {
			unset($_REQUEST['billingBankType']);
			unset($_REQUEST['billingBankName']);
			unset($_REQUEST['billingBankState']);
			unset($_REQUEST['billingBankAbaCode']);
			unset($_REQUEST['billingBankAccountNum']);
			unset($_REQUEST['billingBankLicenseNum']);
			unset($_REQUEST['billingBankLicenseState']);
			unset($_REQUEST['billingBankDob']);

			unset($_REQUEST['billingCardNameOnCard']);
			unset($_REQUEST['billingCardType']);
			unset($_REQUEST['billingCardNum']);
			unset($_REQUEST['billingCardExpMonth']);
			unset($_REQUEST['billingCardExpYear']);
			unset($_REQUEST['billingCardIssueNum']);
			unset($_REQUEST['billingCardStartDate']);
			
			unset($validate['billingBankType']);
			unset($validate['billingBankName']);
			unset($validate['billingBankState']);
			unset($validate['billingBankAbaCode']);
			unset($validate['billingBankAccountNum']);
			unset($validate['billingBankLicenseNum']);
			unset($validate['billingBankLicenseState']);
			unset($validate['billingBankDob']);

			unset($validate['billingCardNameOnCard']);
			unset($validate['billingCardType']);
			unset($validate['billingCardNum']);
			unset($validate['billingCardExpMonth']);
			unset($validate['billingCardExpYear']);
			unset($validate['billingCardIssueNum']);
			unset($validate['billingCardStartDate']);
		
		} else if($typeName == 'card') {
			unset($_REQUEST['billingBankType']);
			unset($_REQUEST['billingBankName']);
			unset($_REQUEST['billingBankState']);
			unset($_REQUEST['billingBankABACode']);
			unset($_REQUEST['billingBankAccountNum']);
			unset($_REQUEST['billingBankLicenseNum']);
			unset($_REQUEST['billingBankLicenseState']);
			unset($_REQUEST['billingBankDob']);
			
			unset($validate['billingBankType']);
			unset($validate['billingBankName']);
			unset($validate['billingBankState']);
			unset($validate['billingBankABACode']);
			unset($validate['billingBankAccountNum']);
			unset($validate['billingBankLicenseNum']);
			unset($validate['billingBankLicenseState']);
			unset($validate['billingBankDob']);
			
			$billingCardType = (int) $_REQUEST["billingCardType"];
			$cardExtraTypes = $CONF["types"]["cardExtraIDs"];
			if(in_array($billingCardType, $cardExtraTypes)) {
				$edit = array_merge(
					$edit,
					array(
						"billingCardIssueNum",
						"billingCardStartDate",
					)
				);
			} else {
				unset($_REQUEST['billingCardIssueNum']);
				unset($_REQUEST['billingCardStartDate']);
			
				unset($validate['billingCardIssueNum']);
				unset($validate['billingCardStartDate']);
}
		} else {
			unset($_REQUEST['billingCardNameOnCard']);
			unset($_REQUEST['billingCardType']);
			unset($_REQUEST['billingCardNum']);
			unset($_REQUEST['billingCardExpMonth']);
			unset($_REQUEST['billingCardExpYear']);
			unset($_REQUEST['billingCardIssueNum']);
			unset($_REQUEST['billingCardStartDate']);
			unset($_REQUEST['billingBankName']);
			unset($_REQUEST['billingBankABACode']);
			unset($_REQUEST['billingBankAccountNum']);
		
			unset($validate['billingCardNameOnCard']);
			unset($validate['billingCardType']);
			unset($validate['billingCardNum']);
			unset($validate['billingCardExpMonth']);
			unset($validate['billingCardExpYear']);
			unset($validate['billingCardIssueNum']);
			unset($validate['billingCardStartDate']);
			unset($validate['billingBankName']);
			unset($validate['billingBankABACode']);
			unset($validate['billingBankAccountNum']);
		}

		$this->setReferralActionID(getActionID("AddClient"));
		$this->setReferralActionFile("clients.php");
		$success = $this->validateMultiInputs(
			$validate,
			array()
		);

		if ($success){
			unset($_REQUEST['contactPasswordConfirm']);
			
			$_REQUEST["clientDateCreated"] = microtime_float();
			$_REQUEST["contactDateCreated"] = mktime();
			
			$cmd = array(
				"mbapi" => array(
					"command" => "SetClients",
					"subCommand" => "insert",
					"params" => array(
						"clientContacts" => array(
							"clientContact" => array(
								"clientBillingAccounts" => array(
									"clientBillingAccount" => array(
										
									),
								),
							),
						),
					),
				),
			);
			foreach (array(
				"clientCompany",
				"applyTax",
				"clientMailInvoices",
				"taxIDNumber",
				"countriesID",
				"themeID",
				"companyID",
				"clientActive",
				"clientStatus",
				"clientDateCreated",
				// to be converted to extra params and stripped: 
				"clientBillingDay",
			) as $paramName){
				if (isset($_REQUEST[$paramName])){
					$cmd["mbapi"]["params"][$paramName] = $_REQUEST[$paramName];
				}
			}
			foreach (array(
				"contactFirstName",
				"contactLastName",
				"contactUsername",
				"contactPassword",
				"contactEmail",
				"contactEmailFormat",
				"contactCompany",
				"contactAddress1",
				"contactAddress2",
				"contactCity",
				"contactState",
				"contactZip",
				"countriesID",
				"languageID",
				"contactPhone1",
				"contactPhone2",
				"contactFax",
				"contactPrimary",
				"contactMobilePhone",
				"contactCounty",
				"emailActionIDs",
				"contactActive",
			) as $paramName){
				if (isset($_REQUEST[$paramName])){
					if ($paramName == "emailActionIDs"){
						$cmd["mbapi"]["params"]["clientContacts"]["clientContact"][$paramName]["emailActionID"] = array_values($_REQUEST[$paramName]);
					} else {
						$cmd["mbapi"]["params"]["clientContacts"]["clientContact"][$paramName] = $_REQUEST[$paramName];
					}
				}
			}
			foreach (array(
				// account
				"billingAccountType",
				"billingAccountOrder",
				"billingAccountPercent",
				// card account
				"billingCardNameOnCard",
				"billingCardType",
				"billingCardNum",
				"billingCardExpMonth",
				"billingCardExpYear",
				"billingCardIssueNum",
				"billingCardStartDate",
				// bank account
				"billingBankType",
				"billingBankName",
				"billingBankState",
				"billingBankAbaCode",
				"billingBankAccountNum",
				"billingBankLicenseNum",
				"billingBankLicenseState",
				"billingBankDob",
			) as $paramName){
				if (isset($_REQUEST[$paramName])){
					$cmd["mbapi"]["params"]["clientContacts"]["clientContact"]["clientBillingAccounts"]["clientBillingAccount"][$paramName] = $_REQUEST[$paramName];
				}
			}
			if ($_REQUEST["encKey"]){
				$cmd["mbapi"]["params"]["clientContacts"]["clientContact"]["clientBillingAccounts"]["clientBillingAccount"]["encKey"] = quoteXML(stripslashes($_REQUEST["encKey"]));
			}

			
			$data = dispatchMBAPI($cmd, 1);
			
			$results =& $data["mbapi"][0]["results"][0];
			
			if($this->addMBAPIErrors($data) === 0 && !$this->getNumErrors()) {
				$data = collapseArrayElements($data);
				$clientID = (int)$data["mbapi"]["header"]["lastInsertID"];
				$contact = oneOf(":contacts", array(
					"clientID" => $clientID,
				));
				$billingAccount = oneOf(":billingAccounts", array(
					"clientContactID" => $contact["clientContactID"],
				));
				updateForKey(":clients", $clientID, array(
					"defaultBillingAccountID" => $billingAccount["billingAccountID"],
				));
				redirect("clients.php", getActionID("ShowClientDetails"), array(
					"clientID" => $clientID,
				));
			}
		}
			
		$this->addErrorTemplates();
		return $this->hasExecutedSuccessfully();
	} // execute

} // MB_Action
