<?php

if(!$CONF || $_REQUEST["CONF"]) {
	if (!defined("MB_LIBPATH")){
		define("MB_LIBPATH", realpath(dirname(__FILE__)."/../../../.."));
		require_once(MB_LIBPATH."/lib-pkg/parsefunction.php");
	}
	require_once mb_path("/lib-tk/include/common.php");
}
require_once mb_path("/lib-tk/include/sso/SSOSettings.php");
require_once mb_path("/lib-tk/include/sso/SSORegister.php");

class EditSSOConfigResponse extends MB_Action {
	protected $sso_error;

	function EditSSOConfigResponse() {
		parent::MB_Action();
		$this->stringRep = "EditSSOConfigResponse";
	}

	function execute() {
		global $CONF;
		parent::execute();

		if ($_REQUEST['do_repair_all']) {
			if (SSOSettings::ssoIsEnabled()) {
				$command_xml =
				"<mbapi>\n"
					. "<command>ProcessSSO</command>\n"
					. "<subCommand>repair_all</subCommand>\n"
					. "<params>\n"
					. "</params>\n"
				. "</mbapi>\n";

				$queue_xml =
				"<mbapi>\n"
					. "<command>SetSystemQueue</command>\n"
					. "<subCommand>insert</subCommand>\n"
					. "<params>\n"
						. "<systemQueueCommand>ProcessSSO</systemQueueCommand>\n"
						. "<configGroupID>${configGroupID}</configGroupID>\n"
						. "<systemQueueCommandInput>\n"
							. htmlspecialchars($command_xml)
							. "</systemQueueCommandInput>\n"
						. "<systemQueueDateToRun>".mktime()."</systemQueueDateToRun>\n"
					. "</params>\n"
				. "</mbapi>\n";
				$setQueue = dispatchMBAPI($queue_xml, 1);

			}
			redirect("configs.php", getActionID("EditSSOConfig"), array(
				'sso_repairing_started' => 1
			));
		} else {
			// Prepare input parameters
			$sso_settings = $_REQUEST['sso_settings'];
			if (! $sso_settings['admin']['sp_registered']) {
				$sso_settings['admin']['sp_registered'] = false;
			}
			if (! $sso_settings['admin']['sso_enabled'] || ! $sso_settings['admin']['sp_registered']) {
				$sso_settings['admin']['sso_enabled'] = false;
			}
			if (! $sso_settings['client']['sp_registered']) {
				$sso_settings['client']['sp_registered'] = false;
			}
			if (! $sso_settings['client']['sso_enabled'] || ! $sso_settings['client']['sp_registered']) {
				$sso_settings['client']['sso_enabled'] = false;
			}
			$sso_settings['admin']['props']['api_url'] = rtrim($sso_settings['admin']['props']['api_url'], '/ ');
			$sso_settings['client']['props']['api_url'] = rtrim($sso_settings['client']['props']['api_url'], '/ ');
			
			$map_app_for = array(
				'admin' => SSOSettings::APP_ADMIN,
				'client' => SSOSettings::APP_CLIENT,
			);
			$sso_settings_tobe_saved = array();
		
			foreach ($map_app_for as $app_for_idx => $app_for) {
				foreach ($sso_settings[$app_for_idx] as $key => $value) {
					if (! is_array($value)) {
						$sso_settings_tobe_saved[$map_app_for[$app_for_idx].":$key"] = $value;
					} else foreach ($value as $sub_key => $sub_value) {
						$sso_settings_tobe_saved[$map_app_for[$app_for_idx].":$key:$sub_key"] = $sub_value;
					}
				}
			}
			if (count($sso_settings_tobe_saved)) {
				$sso_settings_prior_saving = getConfigs('system', 'sso');
				
				$admin_todo = NULL;
				$client_todo = NULL;
				
				// Prepare TODO type for Admin CP
				if (! $sso_settings_prior_saving[SSOSettings::APP_ADMIN.':sp_registered']
					&& $sso_settings_tobe_saved[SSOSettings::APP_ADMIN.':sp_registered'])
				{
					$admin_todo = 'register_new';
				} else
				if ($sso_settings_prior_saving[SSOSettings::APP_ADMIN.':sp_registered']
					&& ! $sso_settings_tobe_saved[SSOSettings::APP_ADMIN.':sp_registered'])
				{
					$admin_todo = 'unregister';
				}

				// Prepare TODO type for Client CP
				if (! $sso_settings_prior_saving[SSOSettings::APP_CLIENT.':sp_registered']
					&& $sso_settings_tobe_saved[SSOSettings::APP_CLIENT.':sp_registered'])
				{
					$client_todo = 'register_new';
				} else
				if ($sso_settings_prior_saving[SSOSettings::APP_CLIENT.':sp_registered']
					&& ! $sso_settings_tobe_saved[SSOSettings::APP_CLIENT.':sp_registered'])
				{
					$client_todo = 'unregister';
				}

				SSOSettings::saveSettings($sso_settings_tobe_saved, SSOSettings::APP_ADMIN);
				SSOSettings::saveSettings($sso_settings_tobe_saved, SSOSettings::APP_CLIENT);
			
				// Handle Admin CP registration
				if ($admin_todo == 'register_new' && ! $this->trySSORegister(SSOSettings::APP_ADMIN))
				{
					$admins_error = $this->sso_error;
					SSOSettings::saveSettings($sso_settings_prior_saving, SSOSettings::APP_ADMIN);
				} else
				if ($admin_todo == 'unregister' && ! $this->trySSOUnRegister(SSOSettings::APP_ADMIN))
				{
					$admins_error = $this->sso_error;
				}

				// Handle Admin CP registration
				if ($client_todo == 'register_new' && ! $this->trySSORegister(SSOSettings::APP_CLIENT))
				{
					$clients_error = $this->sso_error;
					SSOSettings::saveSettings($sso_settings_prior_saving, SSOSettings::APP_CLIENT);
				} else
				if ($client_todo == 'unregister' && ! $this->trySSOUnRegister(SSOSettings::APP_CLIENT))
				{
					$clients_error = $this->sso_error;
				}
			}
		
			$params = array(
				'saved' => 1
			);
			if ($admins_error) {
				$params['admin_sso_err'] = base64_encode($admins_error);
			}
			if ($clients_error) {
				$params['client_sso_err'] = base64_encode($clients_error);
			}
			if (! $sso_settings_prior_saving[SSOSettings::APP_ADMIN.':sso_enabled']
				&& $sso_settings_tobe_saved[SSOSettings::APP_ADMIN.':sso_enabled'])
			{
				if($CONF["user"]["sessionID"]) {
					$query = $this->getMBAPIQuery(
						"ProcessAdminLogout", "", array("sessionID" => $CONF["user"]["sessionID"])
					);
					dispatchMBAPI($query, 1);
				}
			}

			redirect("configs.php", getActionID("EditSSOConfig"), $params);
		}
		$this->addErrorTemplates();
		return $this->hasExecutedSuccessfully();

	} // execute
	
	function trySSORegister($app_for) {
		try {
			SSORegister::register(NULL, $app_for);
		} catch (Exception $err) {
			$this->sso_error = $err->getMessage();
			return false;
		}
		return true;
	}

	function trySSOUnRegister($app_for) {
		try {
			SSORegister::detach($app_for);
		} catch (Exception $err) {
			$this->sso_error = $err->getMessage();
			return false;
		}
		return true;
	}

} // MB_Action
?>