<?php
// +------------------------------------------------------------------------------+
// | MBAPI [TM] .:. Client Billing Engine                                         |
// +------------------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                                  |
// +------------------------------------------------------------------------------+
// | This source file is subject to the ModernGigabyte End User License Agreement |
// | (EULA), that is bundled with this package in the file LICENSE, and is        |
// | available at through the world-wide-web at http://www.mbapi.com/eula.php     |
// |                                                                              |
// | If you did not receive a copy of the MBAPI license and are unable to obtain  |
// | it through the world-wide-web, please send a note to license@mbapi.com so we |
// | can email you a copy immediately.                                            |
// +------------------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>                       |
// | Support: http://www.modernsupport.com/                                       |
// +------------------------------------------------------------------------------+
// | ModernGigabyte, ModernBill, and MBAPI are trademarks of ModernGigabyte, LLC. |
// +------------------------------------------------------------------------------+

require_once dirname(__FILE__)."/../../../../lib-tk/shield.php";
require_once mb_path("/lib-action/action.php");
require_once mb_path("/lib-mbapi/mbapi.php");

/**
 * This action displays the form to enter an activation key for KA
 */
class RollBackLicenseKey extends MB_Action {

	function RollBackLicenseKey() {
		parent::MB_Action();
		$this->stringRep = "RollBackLicenseKey";
	}

	function execute() {
		global $CONF;

		// first want to assertain the status of whether we have bundle capabilities
		$this->smartyVars['pleskLicensePPBAccounts'] = checkForPPBBundledLicenseCapability();


		// need to grab older license keys now...
		// also need to grab rolled back keys.
		// given that I personally estimate the shelf life of a PPB 6 installation at 5 years or less (without an upgrade)
		// getting ALL past licenses from the database will not present too much overhead (5*12 = 60 licenses at most for most people)
		$licenses = array_merge(arrayFor(":configParams", array(
			"configGroupID" => internalConfigGroupID,
			"configParamName" => array("license"),
			"sortDir" => "DESC",
			"sortColumn" => "configParamID",
		)), arrayFor(":configParams", array(
			"configGroupID" => internalConfigGroupID,
			"configParamName" => array("license_archived"),
			"sortDir" => "DESC",
			"sortColumn" => "configParamID",
		)));
		
		
		$this->smartyVars["licenses"] = array();
		foreach ((array)$licenses as $i=>$l){
			if ($i==0) continue;
			if ($l["configParamValue"]=="plesk"){
				$this->smartyVars["licenses"][] = array(
					"configParamID" => $l["configParamID"],
					"type" => "plesk",
					"archived" => $l["configParamName"]=="license"?0:1,
				);
			} elseif ($l["configParamValue"]){
				$x = new OPEN_FUSION_LICENSE($l["configParamValue"]);
				if ($x->licenseParsed){
					$expired = false;
					if ($x->expirationDate!="never"){
						$expired = strtotime($x->expirationDate)<time()?true:false;
					}
					$this->smartyVars["licenses"][] = array(
						"configParamID" => $l["configParamID"],
						"type" => "ka",
						"subType" => $x->keyType,
						"archived" => $l["configParamName"]=="license"?0:1,
						"domain" => $x->licenseDomain,
						"accounts" => $x->clients,
						"expires" => $x->expirationDate,
						"expired" => $expired,
						"keyNumber" => $x->keyNumber.".".$x->keyVersion,
					);
				}
			} elseif ($l["configParamValue"]==""){
				$this->smartyVars["licenses"][] = array(
					"configParamID" => $l["configParamID"],
					"type" => "free",
					"archived" => $l["configParamName"]=="license"?0:1,
				);
			}
		}

		$this->addTemplate("modules/RollBackLicenseKey");

		$this->addErrorTemplates();
		return $this->hasExecutedSuccessfully();

	}
} // RollBackLicenseKey
