<?php
// +------------------------------------------------------------------------------+
// | MBAPI [TM] .:. Client Billing Engine                                         |
// +------------------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                                  |
// +------------------------------------------------------------------------------+
// | This source file is subject to the ModernGigabyte End User License Agreement |
// | (EULA), that is bundled with this package in the file LICENSE, and is        |
// | available at through the world-wide-web at http://www.mbapi.com/eula.php     |
// |                                                                              |
// | If you did not receive a copy of the MBAPI license and are unable to obtain  |
// | it through the world-wide-web, please send a note to license@mbapi.com so we |
// | can email you a copy immediately.                                            |
// +------------------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>                       |
// | Support: http://www.modernsupport.com/                                       |
// +------------------------------------------------------------------------------+
// | ModernGigabyte, ModernBill, and MBAPI are trademarks of ModernGigabyte, LLC. |
// +------------------------------------------------------------------------------+

require_once dirname(__FILE__)."/../../../../lib-tk/shield.php";
require_once mb_path("/lib-action/action.php");
require_once mb_path("/lib-mbapi/mbapi.php");

/**
 * This action displays the form to enter an activation key for KA
 */
class RollBackLicenseKeyResponse extends MB_Action {

	function RollBackLicenseKeyResponse() {
		parent::MB_Action();
		$this->stringRep = "RollBackLicenseKeyResponse";
	}

	function execute() {
		global $CONF;

		// first want to assertain the status of whether we have bundle capabilities
		$this->smartyVars['pleskLicensePPBAccounts'] = checkForPPBBundledLicenseCapability();
		
		$rollToLicense = oneByID(":configParams", $_REQUEST['configParamID']);
		
		// need to update the update time so this license gets it's update when it should
		$x = new OPEN_FUSION_LICENSE($rollToLicense['config_param_value']);
		$x->updateUpdateTime();
		if ($rollToLicense['configParamName']=="license_archived"){
			updateForKey(":configParams", $rollToLicense['configParamID'], array(
				"configParamName" => $rollToLicense['configParamName'] = "license",
			));
		}
		

		if ($rollToLicense['configParamName']=="license"){

			$licenses = arrayFor(":configParams", array(
				"configGroupID" => internalConfigGroupID,
				"configParamName" => array("license"),
				"sortDir" => "DESC",
				"sortColumn" => "configParamID",
			));
			
			foreach ((array)$licenses as $l){
				if ($l['configParamID']>$rollToLicense['configParamID']){
					updateForKey(":configParams", $l['configParamID'], array(
						"configParamName" => "license_archived",
					));
				} else {
					break;
				}
			}
			redirect("modules.php", "RollBackLicenseKey", array(
				"rolledBack" => 1,
			));
		} else {
			redirect("modules.php", "RollBackLicenseKey", array(
				"invalidLicenseSelected" => 1,
			));
		}

		$this->addErrorTemplates();
		return $this->hasExecutedSuccessfully();

	}
} // RollBackLicenseKeyResponse
