<?php
// +------------------------------------------------------------------------------+
// | MBAPI [TM] .:. Client Billing Engine                                         |
// +------------------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                                  |
// +------------------------------------------------------------------------------+
// | This source file is subject to the ModernGigabyte End User License Agreement |
// | (EULA), that is bundled with this package in the file LICENSE, and is        |
// | available at through the world-wide-web at http://www.mbapi.com/eula.php     |
// |                                                                              |
// | If you did not receive a copy of the MBAPI license and are unable to obtain  |
// | it through the world-wide-web, please send a note to license@mbapi.com so we |
// | can email you a copy immediately.                                            |
// +------------------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>                       |
// | Support: http://www.modernsupport.com/                                       |
// +------------------------------------------------------------------------------+
// | ModernGigabyte, ModernBill, and MBAPI are trademarks of ModernGigabyte, LLC. |
// +------------------------------------------------------------------------------+

require_once dirname(__FILE__)."/../../../../lib-tk/shield.php";
require_once mb_path("/lib-action/action.php");
require_once mb_path("/lib-mbapi/mbapi.php");

/**
 * This will pull system info and push it to a template
 */
class ShowSystemLicenseInfo extends MB_Action {

	function ShowSystemLicenseInfo() {
		parent::MB_Action();
		$this->stringRep = "ShowSystemLicenseInfo";
	}

	function execute() {
		global $CONF;

		$this->smartyVars['numKeys'] = countFor(":configParams", array(
			"configGroupID" => internalConfigGroupID,
			"configParamName" => "license",
		)) + countFor(":configParams", array(
			"configGroupID" => internalConfigGroupID,
			"configParamName" => "license_archived",
		));

		// lets check if there is a possibility they can use the bundle :-)
		// first want to assertain the status of whether we have bundle capabilities
		$this->smartyVars['pleskLicensePPBAccounts'] = checkForPPBBundledLicenseCapability();
		$this->smartyVars['suppressBundleLicenseWarning'] = $CONF["system"]["internal"]["suppressBundleLicenseWarning"];
		if ($this->smartyVars['pleskLicensePPBAccounts'] && !$CONF["system"]["internal"]["suppressBundleLicenseWarning"]){
			$CONF["system"]["internal"]["suppressBundleLicenseWarning"] = 1;
			storeConfigs("system", "internal");
		}


		if (KA_LICENSING==1 && INVALIDLICENSE!=1){
			$current = new OPEN_FUSION_LICENSE(CURRENT_LICENSE_KEY);
			sort($placeHolder = (array)$current->supportedVersions);
			$current->supportedVersions = $placeHolder;
			$this->smartyVars["supportedVersions"] = implode(", ", (array)$current->supportedVersions);
			$this->smartyVars["showStoreLinks"] = (int)$current->storeID;
		} else {
			$this->smartyVars['showStoreLinks'] = 1;
			$this->smartyVars['hideUpgradeLink'] = 1;
		}

		$this->smartyVars['licenseErrors'] = implode("<br />", $GLOBALS['licenseErrors']);

		$this->addTemplate("modules/ShowSystemLicenseInfo");

		$this->addErrorTemplates();
		return $this->hasExecutedSuccessfully();

	}
} // ShowSystemLicenseInfo
