<?php
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2005 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+


if(!$CONF || $_REQUEST["CONF"]) {
	if (!defined("MB_LIBPATH")){
		define("MB_LIBPATH", realpath(dirname(__FILE__)."/../../../.."));
		require_once(MB_LIBPATH."/lib-pkg/parsefunction.php");
	}
	require_once mb_path("/lib-tk/include/common.php");
}
require_once mb_path("/lib-action/action.php");
require_once mb_path("/lib-mbapi/mbapi.php");
require_once mb_path("/lib-tk/include/crypt/crypt.php");
require_once mb_path("/lib-tk/include/sso/SSOHooks.php");
require_once mb_path("/lib-tk/include/sso/SSOBillingFactory.php");
require_once mb_path("/lib-tk/include/sso/SSOPleskAPIFactory.php");

/**
 * This Action object displays the modules menu.
 *
 * @author Andy Christ
 */
class EditPanelConfig extends MB_Action {
	/**
	 * The constructor for a ShowModulesMenu action object. This method calls the parent constructor,
	 * and sets the string representation of this object.
	 */
	function EditPanelConfig() {
		parent::MB_Action();
		$this->stringRep = "EditPanelConfig";
	}

	/**
	 * Pull the config items for this affiliate and pass them to the template.  The template
	 * can return its data to process config file.
	 *
	 * @return  1 if this action executed successfully, or 0 if otherwise.
	 */
	function execute() {
		global $CONF;
		parent::execute();

		$configGroupID = (int) $_REQUEST["configGroupID"];
		$configGroup = oneByID(":configGroups", $configGroupID);
		$parent = oneByID(":configGroups", $configGroup["parentConfigGroupID"]);

		$isPleskPanel = false;
		$rsahConfigParamID = false;
		$pleskPanelParams = false;
		$pleskSSOStatus = SSOPleskAPIFactory::PLESK_SSO_STATUS__NOT_REGISTERED;

		if ($parent['configGroupName'] == 'pleskunix' || $parent['configGroupName'] == 'pleskwin') {
			$isPleskPanel = true;
		}

		$configParams = arrayFor(':configParams', array(
			'configGroupID' => $configGroupID,
		));

		if($isPleskPanel) {
			// we are plesk so do the remote access hash connection
			$pleskPanelParams = array();
			foreach ($configParams as $idx => $p) {
				if ($p['configParamName'] == 'remoteServerPPBAccessHash'){
					$rsahConfigParamID = $p['configParamID'];
				} else
				if ($p['configParamName'] == 'panelRegisterPleskInSSO'){
					$cnf_idx_panelRegisterPleskInSSO = $idx;
				}
				$pleskPanelParams[$p['configParamName']] = $p['configParamValue'];
			}
			$pleskPanelParams['modulePassword'] = getStuff($pleskPanelParams['modulePassword']);
		}

		if ($isPleskPanel && SSOSettings::ssoIsEnabled()) {
			if ($_REQUEST['repairSSO']) {
				$command_xml =
				"<mbapi>\n"
					. "<command>ProcessSSO</command>\n"
					. "<subCommand>repair_server</subCommand>\n"
					. "<params>\n"
						. "<configGroupID>${configGroupID}</configGroupID>\n"
					. "</params>\n"
				. "</mbapi>\n";

				$queue_xml =
				"<mbapi>\n"
					. "<command>SetSystemQueue</command>\n"
					. "<subCommand>insert</subCommand>\n"
					. "<params>\n"
						. "<systemQueueCommand>ProcessSSO</systemQueueCommand>\n"
						. "<configGroupID>${configGroupID}</configGroupID>\n"
						. "<systemQueueCommandInput>\n"
							. htmlspecialchars($command_xml)
							. "</systemQueueCommandInput>\n"
						. "<systemQueueDateToRun>".mktime()."</systemQueueDateToRun>\n"
					. "</params>\n"
				. "</mbapi>\n";
				$setQueue = dispatchMBAPI($queue_xml, 1);

				//SSOBillingFactory::repairPleskPanel($configGroupID);
				
				redirect("servergroups.php", getActionID("ShowServerGroups"), array(
					'sso_repairing_started' => 1
				));
			}

			$pleskSSOStatus = SSOHooks::getPleskSSOStatus(
				$pleskPanelParams["api"], $pleskPanelParams["moduleUsername"], $pleskPanelParams["modulePassword"]
			);
			if (! $cnf_idx_panelRegisterPleskInSSO) {
				$cnf_idx_panelRegisterPleskInSSO = 'registerPleskInSSO';
			}
			if (
				$pleskSSOStatus == SSOPleskAPIFactory::PLESK_SSO_STATUS__NOT_REGISTERED ||
				$pleskSSOStatus == SSOPleskAPIFactory::PLESK_SSO_STATUS__REGISTERED_IN_BILLING
			) {
				$pleskPanelParams['panelRegisterPleskInSSO'] = true;
				$configParams[$cnf_idx_panelRegisterPleskInSSO]['configParamValue'] = true;
			}
			else {
				$pleskPanelParams['panelRegisterPleskInSSO'] = false;
				$configParams[$cnf_idx_panelRegisterPleskInSSO]['configParamValue'] = false;
			}
			$configParams[$cnf_idx_panelRegisterPleskInSSO]['configParamName'] = 'panelRegisterPleskInSSO';
			$configParams[$cnf_idx_panelRegisterPleskInSSO]['configParamInputType'] = 'b';
			$configParams[$cnf_idx_panelRegisterPleskInSSO]['configParamTransKey'] = 'TRANS_PANEL_REGISTER_PLESK_IN_SSO';
			$configParams[$cnf_idx_panelRegisterPleskInSSO]['configParamDescription'] = 'TRANS_PANEL_REGISTER_PLESK_IN_SSO_DESC';
		}		

		if ($_REQUEST["submit"]) // Process panel changes
		{
			//The possible items depends on the panel
			$newConfigParams = $_REQUEST["configParams"];

			foreach ($configParams as $key => $value) {
				$param_name = $value['configParamName'];
				$value = $newConfigParams[$param_name];
				
				if ($param_name == "modulePassword" && $value['configParamValue']) {
					//Encrypt this password:
					$pleskPanelParams[$param_name] = $value['configParamValue'];
					$configParams[$key]['configParamValue'] = getEncryptedText($value['configParamValue']);
				} else if (($param_name == "api" && $value['configParamValue'])) {
					$v = rtrim($value['configParamValue'], '/');
					$pleskPanelParams[$param_name] = $v;
					$configParams[$key]['configParamValue'] = $v;
				} else {
					$v = $value['configParamValue'];
					$pleskPanelParams[$param_name] = $v;
					$configParams[$key]['configParamValue'] = $v;
				}
			}

			$configUpdateParmsXML = '';
			$configInsertParmsXML = '';

			foreach($configParams as $v) {
				$configParamID =  $v['configParamID'];
				if ($configParamID) {
					$configUpdateParmsXML .= "    <configParam>\n";
					$configUpdateParmsXML .= "       <configParamID>".$configParamID."</configParamID>\n";
					$configUpdateParmsXML .= "       <configParamName>".$v['configParamName']."</configParamName>\n";
					$configUpdateParmsXML .= "       <configParamValue>".$v['configParamValue']."</configParamValue>\n";
					$configUpdateParmsXML .= "    </configParam>\n";
				} else {
					$configInsertParmsXML .= "    <configParam>\n";
					$configInsertParmsXML .= "       <configParamName>".$v['configParamName']."</configParamName>\n";
					$configInsertParmsXML .= "       <configParamValue>".$v['configParamValue']."</configParamValue>\n";
					$configInsertParmsXML .= "       <configParamTransKey>".$v['configParamTransKey']."</configParamTransKey>\n";
					$configInsertParmsXML .= "       <configParamDescription>".$v['configParamDescription']."</configParamDescription>\n";
					$configInsertParmsXML .= "       <configParamInputType>".$v['configParamInputType']."</configParamInputType>\n";
					$configInsertParmsXML .= "    </configParam>\n";
				}
			}
			$update_xml = "
				<mbapi>
					<command>SetConfigs</command>
					<subCommand>update</subCommand>
					<params>
						<configGroupID>$configGroupID</configGroupID>
						<configParams>
							$configUpdateParmsXML
						</configParams>
					</params>
				</mbapi>";
			if ($configInsertParmsXML) {
				$insert_xml = "
					<mbapi>
						<command>SetConfigs</command>
						<subCommand>insert</subCommand>
						<params>
							<configGroupID>$configGroupID</configGroupID>
							<configParams>
								$configInsertParmsXML
							</configParams>
						</params>
					</mbapi>";
			}

			$CONF["debug"]->add("MBAPI Query (EditPanelConfig)", htmlentities($update_xml), __FILE__, __LINE__);
			$data = dispatchMBAPI($update_xml, 1);
			$CONF["debug"]->add("MBAPI Results (EditPanelConfig)", $data, __FILE__, __LINE__);

			if ($this->addMBAPIErrors($data) === 0 && ! $this->getNumErrors() && $insert_xml) {
				$CONF["debug"]->add("MBAPI Query (EditPanelConfig)", htmlentities($insert_xml), __FILE__, __LINE__);
				$data = dispatchMBAPI($insert_xml, 1);
				$CONF["debug"]->add("MBAPI Results (EditPanelConfig)", $data, __FILE__, __LINE__);
			}
			if ($this->addMBAPIErrors($data) === 0 && ! $this->getNumErrors()) {
				// TODO An error warning don't works now - should be fixed
				$configEditResult = TRANS_UPDATE_SUCCESSFUL;
				$displaySaved = 1;
			}
			// do tests to see if we need to call plesk to give it access creds to the MB
			if ($isPleskPanel)
			{
				$admin = oneByID(":admins", $CONF["user"]["id"]);
				if ($CONF["secureURLProtocol"]=="http"){
					$url = $CONF["secureURLProtocol"]."://".$CONF["standardURL"]."/";
				} else {
					$url = $CONF["secureURLProtocol"]."://".$CONF["secureURL"]."/";
				}
				
				$data =
				"<?xml version=\"1.0\" encoding=\"UTF-8\" standalone=\"no\" ?>
				<packet version=\"1.6.0.0\">
					<server>
						<set-ppb-connection>
							<connection>
								<ppb-url>".$url."</ppb-url>
								<remote-access-hash>".$admin["adminRemoteAccessHash"]."</remote-access-hash>
							</connection>
						</set-ppb-connection>
					</server>
				</packet>";
				
				$data = str_replace(array("\n", "\t", "  "),"",$data);
				$c = new Curl();
				$c->addField("",$data,0);

				if (substr($pleskPanelParams["api"], -1) == "/") {
					$pleskPanelParams["api"] = substr($pleskPanelParams["api"], 0, -1);
				}

				$c->setURL($pleskPanelParams["api"]."/enterprise/control/agent.php");
				$c->addHeader("HTTP_AUTH_LOGIN: " . $pleskPanelParams["moduleUsername"]);
				$c->addHeader("HTTP_AUTH_PASSWD: " . $pleskPanelParams["modulePassword"]);
				$c->addHeader("HTTP_PRETTY_PRINT: TRUE");
				$c->addHeader("Content-Type: text/xml");
			
				$result = $c->toString();
				$x = new MBXMLLite($result);
				$result = correctArray($x->toArray());
				
				if ($rsahConfigParamID){
					updateForKey(":configParams", $rsahConfigParamID, array(
						"configParamValue" => $admin['adminRemoteAccessHash'],
					));
				} else {
					// insert hidden param that tells which access hash is tied to this server on our end
					insertFor(':configParams', array(
						'configParamName' =>  'remoteServerPPBAccessHash',
						'configGroupID' => $configGroupID,
						'configParamValue' => $admin["adminRemoteAccessHash"],
						'configParamInputType' => 'h',
					));
				}
				
				/** Initiailize Plesk to works with SSO **/
				// if (PLESKBUNDLE==1 || SSOSettings::ssoIsEnabled()) { 
				
				// PPB have two SPs which can be connected to SSO.
				// We must check status of all connections, and when PPB admin and client applications are
				// registered, but aren't enabled - turn to enabled.
				if (SSOSettings::spIsRegistered(NULL, APP_ADMIN) && ! SSOSettings::ssoIsEnabled(NULL, APP_ADMIN)) {
					SSOSettings::ssoIsEnabled(true, APP_ADMIN);
				}
				if (SSOSettings::spIsRegistered(NULL, APP_CLIENT) && ! SSOSettings::ssoIsEnabled(NULL, APP_CLIENT)) {
					SSOSettings::ssoIsEnabled(true, APP_CLIENT);
				}
				// In case, when admin application is not registered - don't call Plesk to create connection with SSO.
				if (
					SSOSettings::ssoIsEnabled() &&
					$pleskPanelParams['panelRegisterPleskInSSO'] &&
					(
						$pleskSSOStatus == SSOPleskAPIFactory::PLESK_SSO_STATUS__NOT_REGISTERED
						|| $pleskSSOStatus == SSOPleskAPIFactory::PLESK_SSO_STATUS__REGISTERED_OUT_BILLING
					)
				) {
					// TODO check to make sure the operation was successful then call plesk and register it...
					SSOHooks::registerPleskInSSO($pleskPanelParams['api'], $pleskPanelParams['moduleUsername'], $pleskPanelParams['modulePassword']);
				}
			}
		}

		if(!$configGroupID) {
			$this->addError(TRANS_ACTIONERROR, "No ID given for Panel.");
		} else {
			loadConfigs("server");
		}
		$xml = $this->getMBAPIQuery("GetConfigs", "", array("configGroupID" => $configGroupID,"getFormAttributes" => 1));
		$data = dispatchMBAPI($xml, 1);
		$CONF["debug"]->add("MBAPI Results (EditPanelConfig)", $data, __FILE__, __LINE__);

		$configParamDataResults =& $data["mbapi"][0]["results"][0];
		// fix child config param values structure when only 1 child config param value exists
		$numParams = $data["mbapi"][0]["header"][0]["numResults"][0];
		// loop through all params to test for param values
		for($i=0;$i<$numParams;$i++) {
			$p =& $configParamDataResults["configs"][0]["config"][$i]["paramValues"][0]["paramValue"];
			// loop through param values if they exist
			$numParamValues = count($p);
			for($j=0;$j<$numParamValues;$j++) {
				// define the translation key or display it raw if not defined
				$translatedName = (defined($p[$j]["configParamValueTransKey"][0])) ?
					constant($p[$j]["configParamValueTransKey"][0]) :
					$p[$j]["configParamValueTransKey"][0];
				// shorten the ID
				$configParamID = $configParamDataResults["configs"][0]["config"][$i]["configParamID"][0];
				// create a new smooshed array for html_options in smarty
				$configParamValueName = $p[$j]["configParamValueName"][0];
				if ($j == 0 && $configParamValueName == 0) {
					// hack to pad the array with a 0 if the name = "0"
					$configParamValues[$configParamID][0][$configParamValueName] = $translatedName;
				} else {
					$configParamValues[$configParamID][$configParamValueName] = $translatedName;
				}
			}
		}

		if($this->addMBAPIErrors($data) === 0 && !$this->getNumErrors()) {
			$showConfigParams = array();
			$smartyVars = array();
			//$data = collapseArrayElements($data["mbapi"][0]["results"][0]["configs"][0]["config"]);
			$data = $configParams;

			//Move the field name to the key for each
			$genericItems = array("panelMaxAccounts", "panelCurrentAccounts", "panelNameserver1",
						"panelNameserver1IP", "panelNameserver2", "panelNameserver2IP", "panelNameserver3",
						"panelNameserver3IP", "panelNameserver4", "panelNameserver4IP", "panelLoginURL",
						"panelServerInfoHeader", "panelMinUsernameLength", "panelMaxUsernameLength",
						"panelMinPasswordLength", "panelMaxPasswordLength");

			foreach($data as $key => $value) {
				if($value["configParamName"] == "modulePassword" && $value["configParamValue"]) {
					//Decrypt this password:
					$rawPassword = getStuff($value["configParamValue"]);
					$value["configParamValue"] = $rawPassword;
				}

				if(in_array($value["configParamName"],$genericItems)) {
					$genericParms[$value["configParamName"]] = $value;
					if(defined($value["configParamTransKey"])) {
						constant($value["configParamTransKey"]);
					}
				} else {
					$showConfigParams[] = $value;
				}
			}
		/*
			//This has been handled at a lower level now to work around an expat < v 2 issue
			if(is_array($configParams)) {
				foreach($configParams as $configNumber => $value) {
					if($value["configParamInputType"] == "a") {
						if(!strpos($value["configParamValue"], "\n") && strlen($value["configParamValue"]) > 80) {
							//$configParams["configParamValue"]
							$newString = chunk_split($value["configParamValue"],32,"\n");
						}
						$configParams[$configNumber]["configParamValue"] = $newString;
					}
				}
			}
		*/
		
			$smartyVars["configParams"] = $showConfigParams;
			$smartyVars["genericParams"] = $genericParms;
			$smartyVars["configEditResult"] = $configEditResult;
			$smartyVars["configParamValues"] = $configParamValues;
			$smartyVars["configGroupID"] = $configGroupID;
			$smartyVars["displaySaved"] = $displaySaved;

			$this->addTemplate("modules/EditPanelConfig", $smartyVars, 1);

		}
		$this->addErrorTemplates();
		$this->addWarningTemplates();
		return $this->hasExecutedSuccessfully();
	}




} // ShowModulesMenu
?>