<?php
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2005 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

require_once dirname(__FILE__)."/../../../../lib-tk/shield.php";
require_once mb_path("/lib-action/action.php");

class AddBillingAccount extends AddAction {
	function AddBillingAccount() {
		global $CONF;
		$clientContactID = $CONF["user"]["clientContactID"];
		$_REQUEST["clientContactID"] = $clientContactID;

		$this->d = new DataSource("billingAccounts", array("clientContactID" => $clientContactID));
		$description = $this->d->getDescription();
		$description["names"]["file"] = "profile";
		$description["display"]["addTemplate"] = "profile/AddBillingAccount";
		$this->d->setDescription($description);
		parent::AddAction();
	}
	
	function addHandler() {
		global $CONF;
		$clientID = $CONF["user"]["id"];

		$contact = oneByID(":contacts", $CONF["user"]["clientContactID"]);
		$this->smartyVars['isPrimary'] = $contact['contactPrimary'];

		$this->smartyVars['client'] = oneByID(":clients", $CONF['user']['id']);
		
		loadConfigs("payment");

		$this->smartyVars["billingAccountTypes"] = getTypes("billingAccount");
		// remove account types that the admin wants to restrict from the client.
		foreach( (array)$this->smartyVars["billingAccountTypes"] as $k => $v ) {
			if ($CONF["payment"]["clientSidePaymentOptions"][ getAPITypeName( "billingAccount", $k ) ] != 1) {
				unset( $this->smartyVars["billingAccountTypes"][ $k ] );
			}
		}	unset( $k, $v );
		
		$this->smartyVars["bankAccountTypes"] = getTypes("bankAccount");
		$this->smartyVars["cardExtraTypes"] = getTypes("cardExtraIDs");
		$this->smartyVars["cardTypes"] = array();
		
		$packages = arrayFor("packages", array(
			"clientID" => $clientID,
		));
		if ($packages){
			foreach ($packages as $p){
				$packageIDs[] = $p['packageID'];
				$paymentGroupIDs[] = $p['paymentGroupID'];
			}
			$gateways = arrayFor("paymentGroupsGatewayRels", array(
				"paymentGroupID" => $paymentGroupIDs,
			));
			foreach ($gateways as $gw){
				$this->smartyVars["cardTypes"] += $this->getAcceptedCardTypesByID($gw["configGroupID"]);
			}
		} else {
			$gateways = arrayFor("paymentGroupsGatewayRels");
			foreach ($gateways as $gw){
				$this->smartyVars["cardTypes"] += $this->getAcceptedCardTypesByID($gw["configGroupID"]);
			}
		}
		
		$this->smartyVars["selectablePackages"] = optionsFor("packages", array("clientID" => $clientID));

		return true;
	}

	function getAcceptedCardTypesByID($configGroupID){
		global $CONF;
		if (!isset($CONF["payment"]["paymentGroups"])){
			loadConfigs("payment", "paymentGroups");
		}
		$array = array();
		if (isset($CONF["payment"]["paymentGroups"]["gateway"]) && is_array($CONF["payment"]["paymentGroups"]["gateway"])){
			$this->fixGatewayConfigGroups();
			foreach ($CONF["payment"]["paymentGroups"]["gateway"] as $name=>$children){
				if (is_array($children)){
					foreach ($children as $subName=>$content){
						if ($content['configGroupID']==$configGroupID){
							return $this->getAcceptedCardTypes($content);
						}
					}
				}
			}
		}
	}

	function getAcceptedCardTypes($array){
		$types = array();
		if (!is_array($array))return $types;
		foreach ($array as $k=>$v){
			if (ereg("card_accept_", $k) && $v>0){
				$types[str_replace("card_accept_", "", $k)] = getTypeName("card", str_replace("card_accept_", "", $k));
			}
		}
		return $types;
	}
}

?>
