{* $Id: AddClient.tpl 12059 2007-10-09 20:46:01Z kbailey $
 * --------------------------------------------------------------
 * This template displays a form to add a new client.
 *
 * Smarty Variables:
 *	$actionID				The unique action ID for this page view
 *  $actionName				The action name for this action ID
 *	$imageDirectory			The image directory for this theme
 *	$tplDirectory			The template directory for this theme
 *
 * Author: Michael Fountain
 *}
{t c="TRANS_CLIENTID" d="Client ID"}
{t c="TRANS_CLIENTS" d="Clients"}
{t c="TRANS_MANAGE_CLIENTS" d="Manage Clients"}
{t c="TRANS_EDIT" d="Edit"}
{t c="TRANS_EDIT_CLIENT" d="Edit Client"}
{t c="TRANS_FIRST_NAME" d="First Name"}
{t c="TRANS_LAST_NAME" d="Last Name"}
{t c="TRANS_EMAIL" d="Email"}
{t c="TRANS_COMPANY" d="Company"}
{t c="TRANS_BILLING_METHOD" d="Billing Method"}
{t c="TRANS_STATUS" d="Status"}
{t c="TRANS_USERNAME" d="Username"}
{t c="TRANS_ACTIVE" d="Active"}
{t c="TRANS_NEW_PASSWORD" d="New Password"}
{t c="TRANS_CONFIRM_PASSWORD" d="Confirm Password"}
{t c="TRANS_PASSWORD_MSG" d="Leave blank to keep old password."}
{t c="TRANS_TAX_ID_NUMBER" d="Tax ID Number"}
{t c="TRANS_APPLY" d="Apply"}
{t c="TRANS_TAX" d="Tax"}
{t c="TRANS_ACCOUNT" d="Account"}
{t c="TRANS_PERSONAL" d="Personal"}
{t c="TRANS_BILLING" d="Billing"}
{t c="TRANS_RESET" d="Reset"}
{t c="TRANS_LANGUAGE" d="Language"}
{t c="TRANS_COUNTRY" d="Country"}
{t c="TRANS_THEME" d="Theme"}
{t c="TRANS_BILLING_DAY_OF_MONTH" d="Monthly Billing Day"}
{t c="TRANS_BILLING_DAY_EXPLAINED" d="This only applies if you bill in monthly mode rather than anniversary."}
{t c="TRANS_STATUS_CHANGE_REASON" d="Status Change Reason"}
{t c="TRANS_COMPANY_NAME" d="Company Name"}
{t c="TRANS_BILLING_AND_TAX_SETTINGS" d="Billing and Tax Settings"}

{t c="TRANS_RECORD_IS_ACTIVE" d="Record Is Active"}
{t c="TRANS_DEFAULT_THEME" d="Default Theme"}
{t c="TRANS_CURRENT_STATUS" d="Current Status"}
{t c="TRANS_IS_TAXABLE" d="Is Taxable"}
{t c="TRANS_IS_ARCHIVED" d="Is Archived"}
{t c="TRANS_BILLING_COUNTRY" d="Billing Country"}
{t c="TRANS_DEFAULT_BILLING_ACCOUNT" d="Default Billing Account"}
{t c="TRANS_CURRENT_STATUS_CHANGING" d="Only active accounts can be billed."}
{t c="TRANS_OBEY_SYSTEMWIDE_SETTINGS" d="Obey system wide settings."}
{t c="TRANS_CLIENT_GROUP" d="Client Group"}
{t c="TRANS_LOADING_PLEASE_WAIT" d="Loading, Please Wait"}
{t c="TRANS_SAVE_AND_ADD_PRIMARY_CONTACT" d="Save and add primary contact"}
{t c="TRANS_MAIL_INVOICES" d="Mail Invoices"}
{t c="TRANS_YOUR_LICENSE_ONLY_ALLOWS" d="Your license only allows"}
{t c="TRANS_ACTIVE_CLIENT_SLOTS" d="active client slots and you have no more available."}
{t c="TRANS_EITHER_PURCHASE_A_LARGER_CAPACITY_LICENSE_OR_REMOVE_OR_ARCHIVE_SOME_OLD_CLIENTS" d="Either purchase a larger capacity license or remove or archive some old clients."}
{t c="TRANS_CONTACT_USE_SPECIFIED_EMAIL_RULES_ONLY" d="Use only the specified Emails in following list instead of all by default"}

{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_MANAGE_CLIENTS"
	childName="TRANS_CLIENTS"
	grandchildName="TRANS_ADD"
	sideNavMajor="clients"
	sideNavMinor="clients"}

{include file="$tplDirectory/widgets/showInvalid.tpl" inputInvalid=$inputInvalid}

{if $smarty.const.numClientsRemaining<1}

<table width="100%" border="0" cellpadding="0" cellspacing="0" class="list">
	<tr class="highlight">
		<td>{$smarty.const.TRANS_YOUR_LICENSE_ONLY_ALLOWS} <strong>{$smarty.const.numClients}</strong> {$smarty.const.TRANS_ACTIVE_CLIENT_SLOTS}<br />
			{$smarty.const.TRANS_EITHER_PURCHASE_A_LARGER_CAPACITY_LICENSE_OR_REMOVE_OR_ARCHIVE_SOME_OLD_CLIENTS}
		</td>
	</tr>
</table>

{else}

<script language="javascript">
<!--
{literal}
function updateCountyList(){
	var state = $('contactState').value;
	if (state.length!=2){
		turnOffCounty();
		return;
	}
	var myAjax = new Ajax.Request(
		'../lib-billing/getstatecounties.php?state='+state,
		{
			method: 'get',
			onComplete: handleCountiesUpdate
		});
}

function handleCountiesUpdate(res){
	res = XKgetJSONArray(res.responseText);
	if (typeof res=="undefined"){
		turnOffCounty();
		return;
	}
	
	var fd = $('contactCounty');
	fd.options.length = 0;
	//toggleOn('countyTB');
	
	for (x in res){
		fd.options[x] = new Option(res[x], res[x]);
	}
}

function turnOffCounty(){
	$('contactCounty').options.length = 0;
	$('contactCounty').options[0] = new Option('', '');
	//toggleOff('countyTB');
}

{/literal}
// -->
</script>


<form method="post" action="clients.php" name="addClientForm" id="addClientForm" onsubmit="$('sub').disabled=true;$('sub').value='{$smarty.const.TRANS_LOADING_PLEASE_WAIT}...';">
<input type="hidden" name="action" value="{getActionID action="AddClientResponse"}" />
<input type="hidden" name="nextAction" value="AddClientContact" />
<input type="hidden" name="sid" value="{$sid}" />
<input type="hidden" name="clientActive" value="1" />

<fieldset>
<legend>{$smarty.const.TRANS_CLIENT_DETAILS}</legend>

<table width="100%" border="0" cellspacing="0" cellpadding="0" class="list">

{********* TRANS_CLIENT_DETAILS *********}
<tr {if $invalid.clientCompany}class="highlight"{/if}>
	<td class="title"><label for="clientCompany">{$smarty.const.TRANS_COMPANY_NAME}</label>:</td>
	<td><input style="width:200px;" maxlength="100" type="text" id="clientCompany" name="clientCompany" value="{$formValues.clientCompany}" /> {$invalid.clientCompany}</td>
</tr>
<tr {if $invalid.themeID}class="highlight"{/if}>
	<td class="title"><label for="themeID">{$smarty.const.TRANS_DEFAULT_THEME}</label>:</td>
	<td><select style="width:200px;" id="themeID" name="themeID"> {html_options options=$themeList selected=$formValues.themeID} </select> {$invalid.themeID}</td>
</tr>
<tr {if $invalid.themeID}class="highlight"{/if}>
	<td class="title"><label for="themeID">{$smarty.const.TRANS_CLIENT_GROUP}</label>:</td>
	<td>
		<select style="width:200px;" id="groupID" name="groupID">
	 		<option value="0">{$smarty.const.TRANS_NONE}</option>
	 		{html_options options=$attributeGroups selected=$formValues.groupID}
		</select>
		&nbsp;
		[{include file="$tplDirectory/widgets/actionLink.tpl"
			page="clients.php"
			actionName="ShowAttributeGroups"
			args="groupID=`$formValues.groupID`"
			altText="TRANS_MANAGE"
			linkText="TRANS_MANAGE"}]
	</td>
</tr>

{********* TRANS_CLIENT_STATUS *********}
<tr class="headerRow">
	<td colspan="2">{$smarty.const.TRANS_CLIENT_STATUS}</td>
</tr>
<tr {if $invalid.clientStatus}class="highlight"{/if}>
	<td class="title"><label for="clientStatus">{$smarty.const.TRANS_CURRENT_STATUS}</label>:</td>
	<td>
		<select style="width:200px;" id="clientStatus" id="clientStatus" name="clientStatus"> 
			{html_options options=$statusList selected=$formValues.clientStatus}
		</select> 
		{$smarty.const.TRANS_CURRENT_STATUS_CHANGING}
	</td>
</tr>

{********* TRANS_CLIENT_STATUS *********}
<tr class="headerRow">
	<td colspan="2">{$smarty.const.TRANS_BILLING_AND_TAX_SETTINGS}</td>
</tr>
<tr {if $invalid.clientBillingDay}class="highlight"{/if}>
	<td class="title"><label for="clientBillingDay">{$smarty.const.TRANS_BILLING_DAY_OF_MONTH}</label>:</td>
	<td><select style="width:200px;" id="clientBillingDay" name="clientBillingDay">
		<option value="0" selected="selected">{$smarty.const.TRANS_OBEY_SYSTEMWIDE_SETTINGS}</option>
		<option value="1">1</option>
		<option value="2">2</option>
		<option value="3">3</option>
		<option value="4">4</option>
		<option value="5">5</option>
		<option value="6">6</option>
		<option value="7">7</option>
		<option value="8">8</option>
		<option value="9">9</option>
		<option value="10">10</option>
		<option value="11">11</option>
		<option value="12">12</option>
		<option value="13">13</option>
		<option value="14">14</option>
		<option value="15">15</option>
		<option value="16">16</option>
		<option value="17">17</option>
		<option value="18">18</option>
		<option value="19">19</option>
		<option value="20">20</option>
		<option value="21">21</option>
		<option value="22">22</option>
		<option value="23">23</option>
		<option value="24">24</option>
		<option value="25">25</option>
		<option value="26">26</option>
		<option value="27">27</option>
		<option value="28">28</option>
	</select> {$smarty.const.TRANS_BILLING_DAY_EXPLAINED} {$invalid.clientBillingDay}</td>
</tr>
<tr {if $invalid.countriesID}class="highlight"{/if}>
	<td class="title"><label for="countriesID">{$smarty.const.TRANS_BILLING_COUNTRY}</label>:</td>
	<td><select style="width:200px;" id="countriesID" id="countriesID" name="countriesID"> {html_options options=$countryList selected=$formValues.countriesID} </select> {$invalid.countriesID}</td>
</tr>

{* <tr class="{cycle values="alt1,alt2"}">
	<td class="title"><label for="applyTax">{$smarty.const.TRANS_MAIL_INVOICES}</label>:</td>
	<td>
		<input type="radio" name="clientMailInvoices" value="1" /> 
		{$smarty.const.TRANS_YES}
		&nbsp;
		<input type="radio" name="clientMailInvoices" value="0" checked="checked" /> 
		{$smarty.const.TRANS_NO}
	</td>
</tr> *}
<tr {if $invalid.applyTax}class="highlight"{/if}>
	<td class="title"><label for="applyTax">{$smarty.const.TRANS_IS_TAXABLE}</label>:</td>
	<td>
		<input type="radio" name="applyTax" value="1" {if $formValues.applyTax=="1"}checked="checked"{/if} /> 
		{$smarty.const.TRANS_YES}
		&nbsp;
		<input type="radio" name="applyTax" value="0" {if $formValues.applyTax!="1"}checked="checked"{/if} /> 
		{$smarty.const.TRANS_NO}
	</td>
</tr>
<tr {if $invalid.taxIDNumber}class="highlight"{/if}>
	<td class="title"><label for="taxIDNumber">{$smarty.const.TRANS_TAX_ID_NUMBER}</label>:</td>
	<td><input style="width:200px;" maxlength="50" id="taxIDNumber" type="text" name="taxIDNumber" value="{$formValues.taxIDNumber}" /> {$invalid.taxIDNumber}</td>
</tr>
</table>

</fieldset>

{********* client contact form elements *********}

<fieldset>
<legend>{$smarty.const.TRANS_CONTACT_DETAILS}</legend>

<table width="100%" border="0" cellspacing="0" cellpadding="0" class="list">

{********* TRANS_CONTACT_DETAILS *********}
<tr {if $invalid.contactPrimary}class="highlight"{/if}>
	<td class="title"><label for="contactPrimary">{$smarty.const.TRANS_CONTACT_IS_PRIMARY}</label>:</td>
	<td>
		<input type="hidden" name="contactPrimary" value="1" />
		<strong>{$smarty.const.TRANS_YES}</strong>
	</td>
</tr>
<tr {if $invalid.contactActive}class="highlight"{/if}>
	<td class="title"><label for="clientActive">{$smarty.const.TRANS_CONTACT_IS_ACTIVE}</label>:</td>
	<td>
		<input type="hidden" name="contactActive" value="1" /> 
		<strong>{$smarty.const.TRANS_YES}</strong>
	</td>
</tr>

{********* TRANS_CONTACT_INFORMATION *********}
<tr>
	<td colspan="2" class="headerRow">{$smarty.const.TRANS_CONTACT_INFORMATION}</td>
</tr>
<tr {if $invalid.contactCompany}class="highlight"{/if}>
	<td class="title"><label for="contactCompany">{$smarty.const.TRANS_COMPANY}</label>:</td>
	<td><input size="100" maxlength="100" type="text" style="width:200px;" id="contactCompany" name="contactCompany" value="{$formValues.contactCompany}" /> {$invalid.contactCompany}</td>
</tr>
<tr {if $invalid.contactFirstName}class="highlight"{/if}>
	<td class="title"><label for="contactFirstName">{$smarty.const.TRANS_FIRST_NAME}</label>:</td>
	<td><input size="50" maxlength="50" type="text" style="width:200px;" id="contactFirstName" name="contactFirstName" value="{$formValues.contactFirstName}" /> {$invalid.contactFirstName}</td>
</tr>
<tr {if $invalid.contactLastName}class="highlight"{/if}>
	<td class="title"><label for="contactLastName">{$smarty.const.TRANS_LAST_NAME}</label>:</td>
	<td><input size="50" maxlength="50" type="text" style="width:200px;" id="contactLastName" name="contactLastName" value="{$formValues.contactLastName}" /> {$invalid.contactLastName}</td>
</tr>
<tr {if $invalid.contactEmail}class="highlight"{/if}>
	<td class="title"><label for="contactEmail">{$smarty.const.TRANS_EMAIL}</label>:</td>
	<td><input size="100" maxlength="100" type="text" style="width:200px;" id="contactEmail" name="contactEmail" value="{$formValues.contactEmail}" /> {$invalid.contactEmail}</td>
</tr>
<tr {if $invalid.contactAddress1}class="highlight"{/if}>
	<td class="title"><label for="contactAddress1">{$smarty.const.TRANS_ADDRESS}</label>:</td>
	<td><input size="100" maxlength="100" type="text" style="width:200px;" id="contactAddress1" name="contactAddress1" value="{$formValues.contactAddress1}" /> {$invalid.contactAddress1}</td>
</tr>
<tr {if $invalid.contactAddress2}class="highlight"{/if}>
	<td class="title"><label for="contactAddress2">{$smarty.const.TRANS_ADDRESS2}</label>:</td>
	<td><input size="100" maxlength="100" type="text" style="width:200px;" id="contactAddress2" name="contactAddress2" value="{$formValues.contactAddress2}" /> {$invalid.contactAddress2}</td>
</tr>
<tr {if $invalid.contactCity}class="highlight"{/if}>
	<td class="title"><label for="contactCity">{$smarty.const.TRANS_CITY}</label>:</td>
	<td><input size="100" maxlength="100" type="text" style="width:200px;" id="contactCity" name="contactCity" value="{$formValues.contactCity}" /> {$invalid.contactCity}</td>
</tr>
<tr {if $invalid.contactState}class="highlight"{/if}>
	<td class="title"><label for="contactState">{$smarty.const.TRANS_STATE}</label>:</td>
	<td><input size="25" maxlength="100" type="text" style="width:200px;" id="contactState" name="contactState" value="{$formValues.contactState}" onchange="updateCountyList();" /> {$invalid.contactState}</td>
</tr>
<tbody id="countyTB" {if $formValues.contactCounty}on{else}off{/if}">
<tr {if $invalid.contactState}class="highlight"{/if}>
	<td class="title"><label for="contactCounty">{$smarty.const.TRANS_COUNTY}</label>:</td>
	<td><select id="contactCounty" name="contactCounty">
		<option value="{$formValues.contactCounty}">{$formValues.contactCounty}</option>
	</select></td>
</tr>
</tbody>
<tr {if $invalid.contactZip}class="highlight"{/if}>
	<td class="title"><label for="contactZip">{$smarty.const.TRANS_ZIP}</label>:</td>
	<td><input size="25" maxlength="100" type="text" style="width:200px;" id="contactZip" name="contactZip" value="{$formValues.contactZip}" /> {$invalid.contactZip}</td>
</tr>
<tr {if $invalid.countriesID}class="highlight"{/if}>
	<td class="title"><label for="countriesID">{$smarty.const.TRANS_COUNTRY}</label>:</td>
	<td><select style="width:200px;" id="countriesID" id="countriesID" name="countriesID"> {html_options options=$countryList selected=$formValues.countriesID} </select> {$invalid.countriesID}</td>
</tr>
<tr {if $invalid.contactPhone1}class="highlight"{/if}>
	<td class="title"><label for="contactPhone1">{$smarty.const.TRANS_PRIMARY_PHONE}</label>:</td>
	<td><input size="25" maxlength="25" type="text" style="width:200px;" id="contactPhone1" name="contactPhone1" value="{$formValues.contactPhone1}" /> {$invalid.contactPhone1}</td>
</tr>
<tr {if $invalid.contactPhone2}class="highlight"{/if}>
	<td class="title"><label for="contactPhone2">{$smarty.const.TRANS_SECONDARY_PHONE}</label>:</td>
	<td><input size="25" maxlength="25" type="text" style="width:200px;" id="contactPhone2" name="contactPhone2" value="{$formValues.contactPhone2}" /> {$invalid.contactPhone2}</td>
</tr>
<tr {if $invalid.contactFax}class="highlight"{/if}>
	<td class="title"><label for="contactFax">{$smarty.const.TRANS_FAX}</label>:</td>
	<td><input size="25" maxlength="25" type="text" style="width:200px;" id="contactFax" name="contactFax" value="{$formValues.contactFax}" /> {$invalid.contactFax}</td>
</tr>

<tr {if $invalid.contactFax}class="highlight"{/if}>
	<td class="title"><label for="contactMobilePhone">{$smarty.const.TRANS_MOBILE_PHONE}</label>:</td>
	<td><input size="25" maxlength="25" type="text" style="width:200px;" id="contactMobilePhone" name="contactMobilePhone" value="{$formValues.contactMobilePhone}" /> {$invalid.contactMobilePhone}</td>
</tr>

{if $contactExternalFields}
	{include
		file="$tplDirectory/widgets/forms/autoEditForm.tpl"
		inTable="yes"
		inForm="yes"
		fields=$contactExternalFields.fields}
{/if}

{********* TRANS_LOGIN_INFORMATION *********}
<tr>
	<td colspan="2" class="headerRow">{$smarty.const.TRANS_LOGIN_INFORMATION}</td>
</tr>
<tr {if $invalid.contactUsername}class="highlight"{/if}>
	<td class="title"><label for="contactUsername">{$smarty.const.TRANS_USERNAME}</label>:</td>
	<td><input autocomplete="no" size="20" maxlength="20" type="text" style="width:200px;" id="contactUsername" name="contactUsername" value="{$formValues.contactUsername}" AUTOCOMPLETE="OFF" /> {$invalid.contactUsername}</td>
</tr>

<tr {if $invalid.contactPassword}class="highlight"{/if}>
	<td class="title"><label for="contactPassword">{$smarty.const.TRANS_NEW_PASSWORD}</label>:</td>
	<td>
		<input autocomplete="no" size="32" maxlength="32" type="password" style="width:200px;" id="contactPassword" name="contactPassword" AUTOCOMPLETE="OFF" value="" /> {$invalid.contactPassword}
		{if $formValues.contactActive}
			<strong>
			<a href="{getHREF page="clients.php" actionName="ResetContactPassword" args="clientContactID=`$formValues.clientContactID`"}">
				{$smarty.const.TRANS_GENERATE_AND_RESEND_PASSWORD}
			</a>
			</strong>
		{/if}
	</td>
</tr>
<tr {if $invalid.contactPasswordConfirm}class="highlight"{/if}>
	<td class="title"><label for="contactPasswordConfirm">{$smarty.const.TRANS_CONFIRM_PASSWORD}</label>:</td>
	<td><input autocomplete="no" size="32" maxlength="32" type="password" style="width:200px;" id="contactPasswordConfirm" name="contactPasswordConfirm" value="" AUTOCOMPLETE="OFF" /> {$invalid.contactPasswordConfirm}</td>
</tr>


{********* TRANS_EMAIL_PREFERENCES *********}
<tr>
	<td colspan="2" class="headerRow">{$smarty.const.TRANS_EMAIL_PREFERENCES}</td>
</tr>
<tr {if $invalid.countriesID}class="highlight"{/if}>
	<td class="title"><label for="languageID">{$smarty.const.TRANS_LANGUAGE}</label>:</td>
	<td><select style="width:200px;" id="languageID" id="languageID" name="languageID"> {html_options options=$languageList selected=$formValues.languageID} </select> {$invalid.languageID}</td>
</tr>
<tr {if $invalid.contactEmailFormat}class="highlight"{/if}>
	<td class="title"><label for="contactEmailFormat">{$smarty.const.TRANS_EMAIL_FORMAT}</label>:</td>
	<td>
		<input type="radio" name="contactEmailFormat" value="1" {if $formValues.contactEmailFormat=="1"}checked="checked"{/if} /> 
		{$smarty.const.TRANS_HTML}
		&nbsp;
		<input type="radio" name="contactEmailFormat" value="0" {if $formValues.contactEmailFormat!="1"}checked="checked"{/if} /> 
		{$smarty.const.TRANS_PLAIN_TEXT}
	</td>
</tr>
<tr>
	<td class="title"><label for="emailActions">{$smarty.const.TRANS_EMAIL_ACTIONS}</label>:</td>
	<td>
		{if $smarty.const.CONTACTS_RECEIVE_ALL_EMAIL_ACTIONS}
			<input name="contactUseSpecifiedEmailRulesOnly" type="checkbox" value="1" {if $formValues.contactUseSpecifiedEmailRulesOnly}checked{/if} onclick="onclickUseSpecifiedEmailsOnly(this);">&nbsp;{$smarty.const.TRANS_CONTACT_USE_SPECIFIED_EMAIL_RULES_ONLY}<br/><br/>
			<script language="javascript">
				{literal}
				function onclickUseSpecifiedEmailsOnly(el) {
					var checks = document.getElementsByName('emailActionIDs[]');
					for (var i = 0; i < checks.length; i++) {
						checks[i].disabled = ! el.checked;
						if (! el.checked) {
							checks[i].checked = true;
						}
					}
				}
				{/literal}
			</script>
		{/if}
		{if $smarty.const.CONTACTS_RECEIVE_ALL_EMAIL_ACTIONS && ! $formValues.contactUseSpecifiedEmailRulesOnly}
			{php}
				$emailActions = $this->get_template_vars('emailActions');
				$this->assign('emailActionIDs', array_keys($emailActions));
			{/php}
			{foreach key=emailActionID item=emailActionTitle from=$emailActions}
				<input name="emailActionIDs[]" type="checkbox" value="{$emailActionID}" checked disabled>&nbsp;{$emailActionTitle}<br/>
			{/foreach}
		{else}
			<a href="javascript:XKtoggleFormCheckboxes($('addClientForm'), 'emailActionIDs');">[{$smarty.const.TRANS_TOGGLE}]</a><br />
			{html_checkboxes name="emailActionIDs" options=$emailActions selected=$formValues.emailActionIDs separator="<br />"}
		{/if}
	</td>
</tr>

</table>

</fieldset>

<fieldset>
<legend>{$smarty.const.TRANS_BILLING_ACCOUNT}</legend>

<table width="100%" border="0" cellspacing="0" cellpadding="0" class="list">
<tbody>
<tr {if $invalid.billingAccountType}class="highlight"{/if}>
	<td class="title">{$smarty.const.TRANS_TYPE}:</td>
	<td>
		{section name=billing loop=$billingAccountTypes}
			{assign var="thisBillingAccountType" value=$billingAccountTypes[billing]}
			{assign var="thisBillingAccountTypeIndex" value=$smarty.section.billing.index}
			<label for="type_{$thisBillingAccountTypeIndex}"><input onclick="updateTypeEnableState()" id="type_{$thisBillingAccountTypeIndex}" type="radio" name="billingAccountType" value="{$thisBillingAccountTypeIndex}" {if $thisBillingAccountTypeIndex == $formValues.billingAccountType}checked="checked"{/if} /> {$thisBillingAccountType}</label>
			<br />
		{/section}
		
		{* {html_radios name="billingAccountType" separator="<br />" options=$billingAccountTypes selected=$formValues.billingAccountType} *}
		{$invalid.billingAccountType}
	</td>
</tr>
</tbody>
</table>

<table width="100%" border="0" cellspacing="0" cellpadding="0" class="list">
<tbody>
<tr>
	<td width="50%" valign="top">
		<fieldset>
		<legend>{$smarty.const.TRANS_CREDIT_CARD_ACCOUNT}</legend>
		<table width="100%" border="0" cellspacing="0" cellpadding="0" class="list">
		<tr {if $invalid.billingCardNameOnCard}class="highlight"{/if}>
			<td class="title"><label for="billingCardNameOnCard">{$smarty.const.TRANS_NAME_ON_CARD}</label>:</td>
			<td><input size="25" maxlength="75" type="text" style="width:175px;" id="billingCardNameOnCard" name="billingCardNameOnCard" value="{$formValues.billingCardNameOnCard}" /> {$invalid.billingCardNameOnCard}</td>
		</tr>
		<tr {if $invalid.billingCardType}class="highlight"{/if}>
			<td class="title"><label for="billingCardType">{$smarty.const.TRANS_TYPE}</label>:</td>
			<td><select id="billingCardType" style="width:175px;" name="billingCardType" onchange="updateCardExtraEnableState()"> {html_options options=$cardTypes selected=$formValues.billingCardType} </select> {$invalid.billingCardType}</td>
		</tr>
		<tr {if $invalid.billingCardNum}class="highlight"{/if}>
			<td class="title"><label for="billingCardNum">{$smarty.const.TRANS_CARD_NUMBER}</label>:</td>
			<td><input size="16" maxlength="19" type="text" style="width:175px;" id="billingCardNum" name="billingCardNum" onkeyup="this.value=XKfilterString(this.value, '0123456789');" value="" /> {$invalid.billingCardNum}</td>
		</tr>
		<tr {if $invalid.billingCardExpMonth}class="highlight"{/if}>
			<td class="title"><label for="billingCardExpMonth">{$smarty.const.TRANS_EXPIRY_MONTH}</label>:</td>
			<td><input size="2" maxlength="2" type="text" style="width:50px;" id="billingCardExpMonth" name="billingCardExpMonth" value="{$formValues.billingCardExpMonth}" /> [00] {$invalid.billingCardExpMonth}</td>
		</tr>
		<tr {if $invalid.billingCardExpYear}class="highlight"{/if}>
			<td class="title"><label for="billingCardExpYear">{$smarty.const.TRANS_EXPIRY_YEAR}</label>:</td>
			<td><input size="4" maxlength="4" type="text" style="width:50px;" id="billingCardExpYear" name="billingCardExpYear" value="{$formValues.billingCardExpYear}" /> [0000] {$invalid.billingCardExpYear}</td>
		</tr>
		<tr {if $invalid.billingCardIssueNum}class="highlight"{/if}>
			<td class="title"><label for="billingCardIssueNum">{$smarty.const.TRANS_ISSUE_NUMBER}</label>:</td>
			<td><input size="3" maxlength="3" type="text" style="width:50px;" id="billingCardIssueNum" name="billingCardIssueNum" value="{$formValues.billingCardIssueNum}" /> {$invalid.billingCardIssueNum}</td>
		</tr>
		<tr {if $invalid.billingCardStartDate}class="highlight"{/if}>
			<td class="title"><label for="billingCardStartDate">{$smarty.const.TRANS_START_DATE}</label>:</td>
			<td><input size="25" maxlength="50" type="text" style="width:50px;" id="billingCardStartDate" name="billingCardStartDate" value="{$formValues.billingCardStartDate}" /> {$invalid.billingCardStartDate}</td>
		</tr>
		<tr {cycle values="alt1,alt2"}">
			<td class="title">&nbsp;</td>
			<td>&nbsp;</td>
		</tr>
		</table>
		</fieldset>
	</td>
	<td width="50%" valign="top">
		<fieldset>
		<legend>{$smarty.const.TRANS_BANK_ACCOUNT}</legend>
		<table width="100%" border="0" cellspacing="0" cellpadding="0" class="list">
		<tr {if $invalid.billingBankName}class="highlight"{/if}>
			<td class="title"><label for="billingBankName">{$smarty.const.TRANS_BANK_NAME}</label>:</td>
			<td><input size="25" maxlength="50" type="text" style="width:175px;" id="billingBankName" name="billingBankName" value="{$formValues.billingBankName}" /> {$invalid.billingBankName}</td>
		</tr>
		<tr {if $invalid.billingBankState}class="highlight"{/if}>
			<td class="title"><label for="billingBankState">{$smarty.const.TRANS_BANK_STATE}</label>:</td>
			<td><input size="25" maxlength="50" type="text" style="width:175px;" id="billingBankState" name="billingBankState" value="{$formValues.billingBankState}" /> {$invalid.billingBankState}</td>
		</tr>
		<tr {if $invalid.billingBankType}class="highlight"{/if}>
			<td class="title"><label for="billingBankType">{$smarty.const.TRANS_TYPE}</label>:</td>
			<td><select id="billingBankType" style="width:175px;" name="billingBankType"> {html_options options=$bankAccountTypes selected=$formValues.billingBankType} </select> {$invalid.billingBankType}</td>
		</tr>
		<tr {if $invalid.billingBankAbaCode}class="highlight"{/if}>
			<td class="title"><label for="billingBankAbaCode">{$smarty.const.TRANS_ROUTING_NUMBER}</label>:</td>
			<td><input size="20" maxlength="20" type="text" style="width:175px;" id="billingBankAbaCode" name="billingBankAbaCode" value="{$formValues.billingBankAbaCode}" /> {$invalid.billingBankAbaCode}</td>
		</tr>
		<tr {if $invalid.billingBankAccountNum}class="highlight"{/if}>
			<td class="title"><label for="billingBankAccountNum">{$smarty.const.TRANS_ACCOUNT_NUMBER}</label>:</td>
			<td><input size="20" maxlength="20" type="text" style="width:175px;" id="billingBankAccountNum" name="billingBankAccountNum" value="" /> {$invalid.billingBankAccountNum}</td>
		</tr>
		<tr {if $invalid.billingBankLicenseNum}class="highlight"{/if}>
			<td class="title"><label for="billingBankLicenseNum">{$smarty.const.TRANS_LICENSE_NUMBER}</label>:</td>
			<td><input size="20" maxlength="20" type="text" style="width:175px;" id="billingBankLicenseNum" name="billingBankLicenseNum" value="{$formValues.billingBankLicenseNum}" /> {$invalid.billingBankLicenseNum}</td>
		</tr>
		<tr {if $invalid.billingBankLicenseState}class="highlight"{/if}>
			<td class="title"><label for="billingBankLicenseState">{$smarty.const.TRANS_LICENSE_STATE}</label>:</td>
			<td><input size="25" maxlength="50" type="text" style="width:175px;" id="billingBankLicenseState" name="billingBankLicenseState" value="{$formValues.billingBankLicenseState}" /> {$invalid.billingBankLicenseState}</td>
		</tr>
		<tr {if $invalid.billingBankDob}class="highlight"{/if}>
			<td class="title"><label for="billingBankDob">{$smarty.const.TRANS_DOB}</label>:</td>
			<td><input size="25" maxlength="25" type="text" style="width:175px;" id="billingBankDob" name="billingBankDob" value="{$formValues.billingBankDob}" /> {$invalid.billingBankDob}</td>
		</tr>
		</table>
		</fieldset>
	</td>

</tr>
<tr class="listButtons">
	<td><div>
		{if $needKey>0}
			<strong>{$smarty.const.TRANS_ENCRYPTION_PASSPHRASE}:</strong>
			&nbsp;
			<input size="15" type="password" style="width:175px;" id="encKey" name="encKey" value="{$formValues.billingCardStartDate}" />
			&nbsp;
		{else}
		&nbsp;
		{/if}
	</div>
	</td>
	<td>
	<div>
		<input class="submit" type="submit" name="submit" value="{$smarty.const.TRANS_ADD_CLIENT}" />
	</div>
	</td>
</tr>

</tbody>
</table>

</fieldset>

</form>

<script type="text/javascript">
	{literal}
	function updateTypeEnableState() {
		if(document.getElementById('type_0').checked && !(document.getElementById('type_3').checked || document.getElementById('type_4').checked)) {
			document.getElementById('billingCardNameOnCard').disabled=false;
			document.getElementById('billingCardType').disabled=false;
			document.getElementById('billingCardNum').disabled=false;
			document.getElementById('billingCardExpMonth').disabled=false;
			document.getElementById('billingCardExpYear').disabled=false;
			document.getElementById('billingCardIssueNum').disabled=false;
			document.getElementById('billingCardStartDate').disabled=false;
			
			document.getElementById('billingBankName').disabled=true;
			document.getElementById('billingBankState').disabled=true;
			document.getElementById('billingBankType').disabled=true;
			document.getElementById('billingBankAbaCode').disabled=true;
			document.getElementById('billingBankAccountNum').disabled=true;
			document.getElementById('billingBankLicenseNum').disabled=true;
			document.getElementById('billingBankLicenseState').disabled=true;
			document.getElementById('billingBankDob').disabled=true;

			//document.getElementById('billingBankName').value="";
			//document.getElementById('billingBankState').value="";
			//document.getElementById('billingBankType').selectedIndex="0";
			//document.getElementById('billingBankAbaCode').value="";
			//document.getElementById('billingBankAccountNum').value="";
			//document.getElementById('billingBankLicenseNum').value="";
			//document.getElementById('billingBankLicenseState').value="";
			//document.getElementById('billingBankDob').value="";

			updateCardExtraEnableState();
		}
		if(!document.getElementById('type_0').checked && !(document.getElementById('type_3').checked || document.getElementById('type_4').checked)) {
			document.getElementById('billingCardNameOnCard').disabled=true;
			document.getElementById('billingCardType').disabled=true;
			document.getElementById('billingCardNum').disabled=true;
			document.getElementById('billingCardExpMonth').disabled=true;
			document.getElementById('billingCardExpYear').disabled=true;
			document.getElementById('billingCardIssueNum').disabled=true;
			document.getElementById('billingCardStartDate').disabled=true;

			//document.getElementById('billingCardNameOnCard').value="";
			//document.getElementById('billingCardType').selectedIndex="0";
			//document.getElementById('billingCardNum').value="";
			//document.getElementById('billingCardExpMonth').value="";
			//document.getElementById('billingCardExpYear').value="";
			//document.getElementById('billingCardIssueNum').value="";
			//document.getElementById('billingCardStartDate').value="";
			
			document.getElementById('billingBankName').disabled=false;
			document.getElementById('billingBankState').disabled=false;
			document.getElementById('billingBankType').disabled=false;
			document.getElementById('billingBankAbaCode').disabled=false;
			document.getElementById('billingBankAccountNum').disabled=false;
			document.getElementById('billingBankLicenseNum').disabled=false;
			document.getElementById('billingBankLicenseState').disabled=false;
			document.getElementById('billingBankDob').disabled=false;
		}
		
		if(document.getElementById('type_3').checked || document.getElementById('type_4').checked) {
			document.getElementById('billingCardNameOnCard').disabled=true;
			document.getElementById('billingCardType').disabled=true;
			document.getElementById('billingCardNum').disabled=true;
			document.getElementById('billingCardExpMonth').disabled=true;
			document.getElementById('billingCardExpYear').disabled=true;
			document.getElementById('billingCardIssueNum').disabled=true;
			document.getElementById('billingCardStartDate').disabled=true;

			document.getElementById('billingBankName').disabled=true;
			document.getElementById('billingBankState').disabled=true;
			document.getElementById('billingBankType').disabled=true;
			document.getElementById('billingBankAbaCode').disabled=true;
			document.getElementById('billingBankAccountNum').disabled=true;
			document.getElementById('billingBankLicenseNum').disabled=true;
			document.getElementById('billingBankLicenseState').disabled=true;
			document.getElementById('billingBankDob').disabled=true;
		}
	}
	updateTypeEnableState();

	function updateCardExtraEnableState() {
		cardExtraTypes = Array({/literal}{strip}
			{assign var="comma" value=0}
			{section name=iter loop=$cardExtraTypes}
				{if $comma}, {/if}
				{$cardExtraTypes[iter]}
				{assign var="comma" value=1}
			{/section}
		{/strip}{literal})
		
		selected = document.getElementById('billingCardType').selectedIndex;
		c = cardExtraTypes.length;
		cardExtraTypeSelected = false;
		for(i = 0; i < c; i++) {
			cardExtraType = cardExtraTypes[i];
			if(cardExtraType == selected) {
				cardExtraTypeSelected = true;
			}
		}
		if(cardExtraTypeSelected) {
			document.getElementById('billingCardIssueNum').disabled=false;
			document.getElementById('billingCardStartDate').disabled=false;
		} else {
			document.getElementById('billingCardIssueNum').disabled=true;
			document.getElementById('billingCardStartDate').disabled=true;
		}
	}
	updateCardExtraEnableState();
	{/literal}
</script>

<br />

{/if}

{include file="$tplDirectory/footer.tpl"}
