{t c="TRANS_LOCAL_USER_ID" d="Local User ID"}
{t c="TRANS_SSO_ACCOUNT_SETTINGS" d="Global Account Management"}
{t c="TRANS_SSO_ACCOUNT_SETTINGS_ATTACH" d="Connect To Global Account"}
{t c="TRANS_SSO_ACCOUNT_SETTINGS_ATTACH_WARN" d="Connect user '<b>%local%</b>' to Global Account:"}

{t c="TRANS_SSO_FI_USERNAME_ID" d="User ID"}
{t c="TRANS_SSO_FI_USER_PASSWORD" d="User password"}
{t c="TRANS_SSO_FI_USER_CONFIRM_PASSWORD" d="User password (repeat)"}
{t c="TRANS_SSO_FI_USER_EMAIL" d="User e-mail"}

{t c="TRANS_SSO_FI_USER_CREATE_NEW" d="Create new"}
{t c="TRANS_SSO_FI_USER_CONNECT_TO_EXISTING" d="Connect to existing"}
{t c="TRANS_SSO_FI_USER_CONNECT_TO_CURRENT" d="Connect to current (%global%)"}

{t c="TRANS_FORM_SUBMIT_OK" d="OK"}
{t c="TRANS_FORM_CANCEL" d="Cancel"}

{t c="TRANS_FI_AUTH_FAILED" d="Federated identity authentication failed."}
{t c="TRANS_FI_NOT_FOUND" d="Federated identity is not found."}
{t c="TRANS_FI_ALREADY_EXISTS" d="Federated identity already exists."}
{t c="TRANS_AUTH_FAILED" d="Authentication failed."}
{t c="TRANS_SP_CREDS_REQUIRED" d="Credentials for application's account are required."}

{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_SSO_ACCOUNT_SETTINGS"
	grandchildName="TRANS_SSO_ACCOUNT_SETTINGS_ATTACH"
}

{literal}
<script type="text/javascript">
//<![CDATA[
function get(id) {
    return window.document.getElementById(id);
}

function nil() { return true; }

var validator = nil;

function en(id, state) {
    if (state) {
        get(id).style.display = "block";
    } else {
        get(id).style.display = "none";
    }
}

function checkPasswords() {
    if (get("password").value.length == 0) {
        alert("Password is empty.");
        return false;
    }
    if (get("password").value != get("password2").value) {
        alert("Passwords do not match.");
        return false;
    }
    return true;
}

function onChange() {
    if (get("opt-current") && get("opt-current").checked) {
        en("user-name", false);
        en("user-password", false);
        en("user-password-again", false);
        en("user-email", false);
        validator = nil;
    } else if (get("opt-existing").checked) {
        en("user-name", true);
        en("user-password", true);
        en("user-password-again", false);
        en("user-email", false);
        validator = nil;
    } else {
        en("user-name", true);
        en("user-password", true);
        en("user-password-again", true);
        en("user-email", true);
        validator = checkPasswords;

		get("opt-new").checked = true;
		get("field-user-name").focus();
    }
}
//]]>
</script>
{/literal}

<div class="form-area">
{if $message}<div class="form-message msgError"><div>{$smarty.const.$message}</div></div><br/>{/if}
<form method="post" action="{$responseUrl}" onsubmit="return validator();">
	<input type="hidden" name="relay_state" value="{$relayState}" />
	<input type="hidden" name="request_id" value="{$requestId}" />
	<input type="hidden" name="fi_user_name_id" value="{$fiUserNameId}" />
	<div>{$smarty.const.TRANS_SSO_ACCOUNT_SETTINGS_ATTACH_WARN|replace:'%local%':$localUserId}</div><br/>
    <table width="100%" border="0" cellpadding="0" cellspacing="0" class="list">
        <tbody>
		{if $fiUserNameId}
		<tr><td colspan="2" class="title">
			<label for="opt-current"><input id="opt-current" type="radio" name="mode" value="use_current" onchange="onChange()"/>
				{$smarty.const.TRANS_SSO_FI_USER_CONNECT_TO_CURRENT|replace:'%global%':$fiUserNameId}
			</label>
			</td></tr>
		{/if}
		<tr><td colspan="2" class="title">
			<label for="opt-existing"><input id="opt-existing" type="radio" name="mode" value="use_existing" onchange="onChange()"/>
				{$smarty.const.TRANS_SSO_FI_USER_CONNECT_TO_EXISTING}
			</label>
			</td></tr>
		<tr><td colspan="2" class="title">
			<label for="opt-new"><input id="opt-new" type="radio" name="mode" value="create_new" onchange="onChange()"/>
				{$smarty.const.TRANS_SSO_FI_USER_CREATE_NEW}
			</label>
			</td></tr>
		<tr id="user-name" style="display: none;"><td class="title">{$smarty.const.TRANS_SSO_FI_USERNAME_ID}</td><td>
				<input id="field-user-name" class="input-text" type="text" name="fi_user_name_id" value=""/>
			</td></tr>
		<tr id="user-password" style="display: none;"><td class="title">{$smarty.const.TRANS_SSO_FI_USER_PASSWORD}</td><td>
				<input class="input-text" id="password" type="password" name="fi_password"/>
			</td></tr>
		<tr id="user-password-again" style="display: none;"><td class="title">{$smarty.const.TRANS_SSO_FI_USER_CONFIRM_PASSWORD}</td><td>
				<input class="input-text" id="password2" type="password" name="fi_password2"/>
			</td></tr>
		<tr id="user-email" style="display: none;"><td class="title">{$smarty.const.TRANS_SSO_FI_USER_EMAIL}</td><td>
				<input class="input-text" type="text" name="fi_user_email"/>
			</td></tr>
		<tr class="listButtons">
			<td valign="top" colspan="2"><div>
			<input class="submit" type="submit" name="confirmed" value="{$smarty.const.TRANS_FORM_SUBMIT_OK}">
			<input class="submit" type="submit" name="cancelled" value="{$smarty.const.TRANS_FORM_CANCEL}"
				onclick="validator = nil;">
    		</div></td></tr>
		</tbody>
	</table>
</form>
</div>

{literal}
<script type="text/javascript">
//<![CDATA[
	onChange();
//]]>
</script>
{/literal}

{include file="$tplDirectory/footer.tpl"}
