<?php
// Fail fast to simplify debugging
error_reporting(E_ALL | E_STRICT);
function error_handler($errno, $errstr, $errfile, $errline)
{
    throw new Exception("Script error #$errno (at $errfile line $errline): $errstr");
}
set_error_handler('error_handler');

require_once('path.php');
require_once('base/autoload.php');

require_once('lib/util.php');
require_once('lib/xmlseclibs.php');
require_once('lib/url.php');
require_once('lib/post_binding.php');
require_once('reg_props.php');

// COMMON SETTINGS:

// Name of SP registration:
define('SSO_REG_NAME', 'example');
define('SSO_SESSIONS_DIR',  dirname(__FILE__) . '/auth/sessions');
define('SSO_REG_DIR', dirname(__FILE__));


// Cookie with this name holds identifier of local (application's) session
define('APP_SESSION_ID_COOKIE', 'my_app_session_cookie');

function getSaml() {
    static $SAML = null;
    if (!$SAML) {
        $SAML = new saml_Tokens();
    }
    return $SAML;
}

?>