<?

class lib_Props {

    const NL = "\n";

    /**
     * Get associative array and make properies file contents.
     *
     * @param array $dictionary Assoc. map key=>value
     */
    public static function toString($dictionary) {
    	$result = '';
    	foreach ($dictionary as $key => $val) {
    		$key_str = trim(strval($key));
    		if (0 === strlen($key_str)) {
    			throw new Exception("Properties error: value name is empty.", 500);
    		}
    		$result .=  $key_str . ' = ' . $val . self::NL;
    	}
    	return $result;
    }


    /**
     * Get properties file contents and return associative array.
     *
     * @param string $text
     */
    public static function parse($text) {
    	$result = array();
    	foreach (explode("\n", $text) as $ln) {
    		$ln = trim($ln);
    		if (0 !== strlen($ln)) { // skip empty lines
    		    $groups = null;
    			if (ereg('^([^ ]+) *= *(.*)$', $ln, $groups)) {
                    $result[trim($groups[1])] = trim($groups[2]);
    			} else if (ereg('^\s*#', $ln, $groups)) {
    			    // Skip comment.
    			} else {
    			    throw new Exception("Can not parse property line: '$ln'");
    			}
    		}
    	}
    	return $result;
    }
}

?>