-- MySQL dump 10.11
--
-- Host: localhost    Database: pleskbilling
-- ------------------------------------------------------
-- Server version	5.0.51a-3ubuntu5.4
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO,MYSQL40' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `accounting_control_rel`
--

DROP TABLE IF EXISTS `accounting_control_rel`;


CREATE TABLE `accounting_control_rel` (
  `general_ledger_id` int(10) unsigned NOT NULL default '0',
  `control_type` smallint(5) unsigned NOT NULL default '0',
  `control_id` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`general_ledger_id`,`control_type`,`control_id`)
) ENGINE=MyISAM;


--
-- Dumping data for table `accounting_control_rel`
--

/*!40000 ALTER TABLE `accounting_control_rel` DISABLE KEYS */;
/*!40000 ALTER TABLE `accounting_control_rel` ENABLE KEYS */;

--
-- Table structure for table `accounting_general_journal`
--

DROP TABLE IF EXISTS `accounting_general_journal`;


CREATE TABLE `accounting_general_journal` (
  `general_journal_id` int(10) unsigned NOT NULL auto_increment,
  `general_date_created` int(10) unsigned default NULL,
  `general_description` varchar(255) default NULL,
  `general_debit_amount` decimal(10,2) unsigned default '0.00',
  `general_credit_amount` decimal(10,2) unsigned default '0.00',
  `currency_id` char(3) default NULL,
  PRIMARY KEY  (`general_journal_id`),
  KEY `purchase_date_created` (`general_date_created`),
  KEY `currency_id` (`currency_id`)
) ENGINE=MyISAM;


--
-- Dumping data for table `accounting_general_journal`
--

/*!40000 ALTER TABLE `accounting_general_journal` DISABLE KEYS */;
/*!40000 ALTER TABLE `accounting_general_journal` ENABLE KEYS */;

--
-- Table structure for table `accounting_general_ledger`
--

DROP TABLE IF EXISTS `accounting_general_ledger`;


CREATE TABLE `accounting_general_ledger` (
  `general_ledger_id` int(10) unsigned NOT NULL auto_increment,
  `client_id` int(8) unsigned default NULL,
  `invoice_id` int(10) unsigned default NULL,
  `journal_table_id` int(10) unsigned default NULL,
  `journal_table_name` varchar(100) default NULL,
  `general_ledger_type` tinyint(3) unsigned default NULL,
  `ledger_account_id` smallint(5) unsigned default NULL,
  `general_ledger_date_created` int(10) unsigned default NULL,
  `general_ledger_description` varchar(255) default NULL,
  `general_ledger_debit_amount` decimal(10,2) unsigned default '0.00',
  `general_ledger_credit_amount` decimal(10,2) unsigned default '0.00',
  `currency_id` char(3) default NULL,
  PRIMARY KEY  (`general_ledger_id`),
  KEY `client_id` (`client_id`),
  KEY `invoice_id` (`invoice_id`),
  KEY `journal_table_id` (`journal_table_id`),
  KEY `journal_table_name` (`journal_table_name`),
  KEY `general_ledger_type` (`general_ledger_type`),
  KEY `ledger_account_id` (`ledger_account_id`),
  KEY `general_ledger_date_created` (`general_ledger_date_created`),
  KEY `currency_id` (`currency_id`)
) ENGINE=MyISAM;


--
-- Dumping data for table `accounting_general_ledger`
--

/*!40000 ALTER TABLE `accounting_general_ledger` DISABLE KEYS */;
/*!40000 ALTER TABLE `accounting_general_ledger` ENABLE KEYS */;

--
-- Table structure for table `accounting_ledger_accounts`
--

DROP TABLE IF EXISTS `accounting_ledger_accounts`;


CREATE TABLE `accounting_ledger_accounts` (
  `ledger_account_id` smallint(5) unsigned NOT NULL auto_increment,
  `parent_ledger_account_id` smallint(5) unsigned default '0',
  `ledger_account_number` int(10) unsigned default NULL,
  `ledger_account_type` tinyint(3) default NULL,
  `ledger_account_name` varchar(50) default NULL,
  `ledger_account_trans_key` varchar(255) default NULL,
  PRIMARY KEY  (`ledger_account_id`),
  KEY `ledger_account_number` (`ledger_account_number`),
  KEY `ledger_account_type` (`ledger_account_type`),
  KEY `parent_ledger_account_id` (`parent_ledger_account_id`)
) ENGINE=MyISAM AUTO_INCREMENT=41;


--
-- Dumping data for table `accounting_ledger_accounts`
--

/*!40000 ALTER TABLE `accounting_ledger_accounts` DISABLE KEYS */;
INSERT INTO `accounting_ledger_accounts` VALUES (1,0,10000,1,'cash','TRANS_CASH');
INSERT INTO `accounting_ledger_accounts` VALUES (2,0,10010,1,'cash_1','TRANS_CASH_1');
INSERT INTO `accounting_ledger_accounts` VALUES (3,0,10020,1,'cash_2','TRANS_CASH_2');
INSERT INTO `accounting_ledger_accounts` VALUES (4,0,11000,1,'accounts_receivable','TRANS_ACCOUNTS_RECEIVABLE');
INSERT INTO `accounting_ledger_accounts` VALUES (5,0,11500,1,'authorized_payments','TRANS_AUTHORIZED_PAYMENTS');
INSERT INTO `accounting_ledger_accounts` VALUES (6,0,12000,1,'hardware_assets','TRANS_HARDWARE_ASSETS');
INSERT INTO `accounting_ledger_accounts` VALUES (7,0,13001,1,'deferred_charge','TRANS_DEFERRED_CHARGES');
INSERT INTO `accounting_ledger_accounts` VALUES (8,0,20000,2,'accounts_payable','TRANS_ACCOUNTS_PAYABLE');
INSERT INTO `accounting_ledger_accounts` VALUES (9,0,20001,2,'deferred_revenue','TRANS_DEFERRED_REVENUE');
INSERT INTO `accounting_ledger_accounts` VALUES (10,0,21000,2,'domains_payable','TRANS_DOMAINS_PAYABLE');
INSERT INTO `accounting_ledger_accounts` VALUES (11,0,22000,2,'certs_payable','TRANS_CERTS_PAYABLE');
INSERT INTO `accounting_ledger_accounts` VALUES (12,0,25000,2,'customer_credits','TRANS_CUSTOMER_CREDITS');
INSERT INTO `accounting_ledger_accounts` VALUES (13,0,27000,2,'affiliate_commissions_payable','TRANS_AFFILIATE_COMMISSIONS_PAYABLE');
INSERT INTO `accounting_ledger_accounts` VALUES (14,0,29000,2,'taxes_payable','TRANS_TAXES_PAYABLE');
INSERT INTO `accounting_ledger_accounts` VALUES (15,0,30000,3,'equity','TRANS_EQUITY');
INSERT INTO `accounting_ledger_accounts` VALUES (16,0,40000,4,'revenue','TRANS_REVENUE');
INSERT INTO `accounting_ledger_accounts` VALUES (17,0,40099,4,'coupon_revenue','TRANS_COUPON_REVENUE');
INSERT INTO `accounting_ledger_accounts` VALUES (18,0,49000,4,'currency_income','TRANS_CURRENCY_CONVERSION_INCOME');
INSERT INTO `accounting_ledger_accounts` VALUES (19,0,50000,5,'cogs','TRANS_COGS');
INSERT INTO `accounting_ledger_accounts` VALUES (20,0,51000,5,'domain_cogs','TRANS_DOMAIN_COGS');
INSERT INTO `accounting_ledger_accounts` VALUES (21,0,52000,5,'certs_cogs','TRANS_CERTS_COGS');
INSERT INTO `accounting_ledger_accounts` VALUES (22,0,53000,5,'setup_cogs','TRANS_SETUP_COGS');
INSERT INTO `accounting_ledger_accounts` VALUES (23,0,54000,5,'usage_cogs','TRANS_USAGE_COGS');
INSERT INTO `accounting_ledger_accounts` VALUES (24,0,60000,6,'expense','TRANS_EXPENSE');
INSERT INTO `accounting_ledger_accounts` VALUES (25,0,60200,6,'gateway_fees','TRANS_GATEWAY_FEES');
INSERT INTO `accounting_ledger_accounts` VALUES (26,0,60300,6,'paypal_fees','TRANS_PAYPAL_FEES');
INSERT INTO `accounting_ledger_accounts` VALUES (27,0,60500,6,'coupon_expense','TRANS_COUPON_EXPENSE');
INSERT INTO `accounting_ledger_accounts` VALUES (28,0,61000,6,'refund_expense','TRANS_REFUND_EXPENSE');
INSERT INTO `accounting_ledger_accounts` VALUES (29,0,62000,6,'customer_expense','TRANS_CUSTOMER_EXPENSE');
INSERT INTO `accounting_ledger_accounts` VALUES (30,0,65000,6,'wages_expense','TRANS_WAGES_EXPENSE');
INSERT INTO `accounting_ledger_accounts` VALUES (31,0,65010,6,'entertainment_expense','TRANS_ENTERTAINMENT_EXPENSE');
INSERT INTO `accounting_ledger_accounts` VALUES (32,0,65020,6,'rent_expense','TRANS_RENT_EXPENSE');
INSERT INTO `accounting_ledger_accounts` VALUES (33,0,65030,6,'travel_expense','TRANS_TRAVEL_EXPENSE');
INSERT INTO `accounting_ledger_accounts` VALUES (34,0,65040,6,'commissions_expense','TRANS_COMMISSIONS_EXPENSE');
INSERT INTO `accounting_ledger_accounts` VALUES (35,0,65050,6,'income_tax_expense','TRANS_INCOME_TAX_EXPENSE');
INSERT INTO `accounting_ledger_accounts` VALUES (36,0,66000,6,'depreciation_expense','TRANS_DEPRECIATION_EXPENSE');
INSERT INTO `accounting_ledger_accounts` VALUES (37,0,66010,6,'colocation_expense','TRANS_COLOCATION_EXPENSE');
INSERT INTO `accounting_ledger_accounts` VALUES (38,0,66020,6,'hardware_lease_expense','TRANS_HARDWARE_LEASE_EXPENSE');
INSERT INTO `accounting_ledger_accounts` VALUES (39,0,67000,6,'affiliate_commissions_expense','TRANS_AFFILIATE_COMMISSIONS');
INSERT INTO `accounting_ledger_accounts` VALUES (40,0,69000,6,'currency_expense','TRANS_CURRENCY_CONVERSION_EXPENSE');
/*!40000 ALTER TABLE `accounting_ledger_accounts` ENABLE KEYS */;

--
-- Table structure for table `accounting_ledger_groups`
--

DROP TABLE IF EXISTS `accounting_ledger_groups`;


CREATE TABLE `accounting_ledger_groups` (
  `ledger_group_id` smallint(5) unsigned NOT NULL auto_increment,
  `ledger_group_name` varchar(255) default NULL,
  PRIMARY KEY  (`ledger_group_id`)
) ENGINE=MyISAM;


--
-- Dumping data for table `accounting_ledger_groups`
--

/*!40000 ALTER TABLE `accounting_ledger_groups` DISABLE KEYS */;
/*!40000 ALTER TABLE `accounting_ledger_groups` ENABLE KEYS */;

--
-- Table structure for table `accounting_purchases_journal`
--

DROP TABLE IF EXISTS `accounting_purchases_journal`;


CREATE TABLE `accounting_purchases_journal` (
  `purchase_journal_id` int(10) unsigned NOT NULL auto_increment,
  `client_id` int(8) unsigned default NULL,
  `invoice_id` int(10) unsigned default NULL,
  `line_item_id` int(10) unsigned default NULL,
  `purchase_date_created` int(10) unsigned default NULL,
  `purchase_description` varchar(255) default NULL,
  `purchase_debit_amount` decimal(10,2) unsigned default '0.00',
  `purchase_credit_amount` decimal(10,2) unsigned default '0.00',
  `purchase_acc_pay_debit_amount` decimal(10,2) unsigned default '0.00',
  `purchase_acc_pay_credit_amount` decimal(10,2) unsigned default '0.00',
  `purchase_cash_debit_amount` decimal(10,2) unsigned default '0.00',
  `purchase_cash_credit_amount` decimal(10,2) unsigned default '0.00',
  `currency_id` char(3) default NULL,
  PRIMARY KEY  (`purchase_journal_id`),
  KEY `client_id` (`client_id`),
  KEY `invoice_id` (`invoice_id`),
  KEY `purchase_date_created` (`purchase_date_created`),
  KEY `currency_id` (`currency_id`),
  KEY `line_item_id` (`line_item_id`)
) ENGINE=MyISAM;


--
-- Dumping data for table `accounting_purchases_journal`
--

/*!40000 ALTER TABLE `accounting_purchases_journal` DISABLE KEYS */;
/*!40000 ALTER TABLE `accounting_purchases_journal` ENABLE KEYS */;

--
-- Table structure for table `accounting_receipts_journal`
--

DROP TABLE IF EXISTS `accounting_receipts_journal`;


CREATE TABLE `accounting_receipts_journal` (
  `receipt_journal_id` int(10) unsigned NOT NULL auto_increment,
  `client_id` int(8) unsigned default NULL,
  `invoice_id` int(10) unsigned default NULL,
  `transaction_id` int(10) unsigned default NULL,
  `receipt_date_created` int(10) unsigned default NULL,
  `receipt_description` varchar(255) default NULL,
  `receipt_cash_debit_amount` decimal(10,2) unsigned default '0.00',
  `receipt_cash_credit_amount` decimal(10,2) unsigned default '0.00',
  `receipt_acc_rec_debit_amount` decimal(10,2) unsigned default '0.00',
  `receipt_acc_rec_credit_amount` decimal(10,2) unsigned default '0.00',
  `receipt_sales_debit_amount` decimal(10,2) unsigned default '0.00',
  `receipt_sales_credit_amount` decimal(10,2) unsigned default '0.00',
  `receipt_tax_pay_debit_amount` decimal(10,2) unsigned default '0.00',
  `receipt_tax_pay_credit_amount` decimal(10,2) unsigned default '0.00',
  `receipt_coupon_debit_amount` decimal(10,2) unsigned default '0.00',
  `receipt_coupon_credit_amount` decimal(10,2) unsigned default '0.00',
  `currency_id` char(3) default NULL,
  PRIMARY KEY  (`receipt_journal_id`),
  KEY `client_id` (`client_id`),
  KEY `invoice_id` (`invoice_id`),
  KEY `transaction_id` (`transaction_id`),
  KEY `receipt_date_created` (`receipt_date_created`),
  KEY `currency_id` (`currency_id`)
) ENGINE=MyISAM;


--
-- Dumping data for table `accounting_receipts_journal`
--

/*!40000 ALTER TABLE `accounting_receipts_journal` DISABLE KEYS */;
/*!40000 ALTER TABLE `accounting_receipts_journal` ENABLE KEYS */;

--
-- Table structure for table `admin_group_action_rel`
--

DROP TABLE IF EXISTS `admin_group_action_rel`;


CREATE TABLE `admin_group_action_rel` (
  `admin_group_id` smallint(5) unsigned NOT NULL default '0',
  `action_name` varchar(90) NOT NULL default '',
  PRIMARY KEY  (`admin_group_id`,`action_name`)
) ENGINE=MyISAM;


--
-- Dumping data for table `admin_group_action_rel`
--

/*!40000 ALTER TABLE `admin_group_action_rel` DISABLE KEYS */;
INSERT INTO `admin_group_action_rel` VALUES (1,'ActivatePackage');
INSERT INTO `admin_group_action_rel` VALUES (1,'ActivatePackageAddon');
INSERT INTO `admin_group_action_rel` VALUES (1,'ActivatePackageResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'ActivateSystemLicense');
INSERT INTO `admin_group_action_rel` VALUES (1,'ActivateSystemLicenseResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddAdmin');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddAdminGroup');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddAdminGroupResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddAdminResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddAttribute');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddAttributeGroup');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddAttributeGroupResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddAttributeMap');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddAttributeMapping');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddAttributeMappingResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddAttributeMapResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddAttributeResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddBan');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddBanResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddBillingAccount');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddBillingAccountResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddBookmark');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddBookmarkResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddCartCoupon');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddCartCouponResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddCartDomain');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddCartDomainResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddCartProduct');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddCartProductResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddCert');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddCertResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddCheck');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddCheckResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddClient');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddClientContact');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddClientContactResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddClientCreditResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddClientResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddCompany');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddCompanyResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddCoupon');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddCouponResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddCustomClientAttribute');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddCustomClientAttributeResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddCustomProductAttribute');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddCustomProductAttributeResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddCycle');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddCycleDiscount');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddCycleDiscountGroup');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddCycleDiscountGroupResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddCycleDiscountResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddCycleGroup');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddCycleGroupResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddCycleResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddDeposit');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddDepositResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddDomain');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddDomainResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddEmailTemplate');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddEmailTemplateGroup');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddEmailTemplateGroupResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddEmailTemplateResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddFAQ');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddFAQCategory');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddFAQCategoryResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddFAQResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddFraudCountryThresholdResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddFraudSetResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddGeneralJournalEntry');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddGeneralJournalEntryResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddGenericAttribute');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddGenericAttributeResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddGroupAttribute');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddGroupAttributeResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddHelpdeskBucket');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddHelpdeskBucketResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddHelpdeskDepartment');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddHelpdeskDepartmentResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddHelpdeskResponseTemplate');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddHelpdeskResponseTemplateResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddHelpdeskTicket');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddHelpdeskTicketResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddHistoricalPackage');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddHistoricalPackageMenu');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddHistoricalPackageResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddInvalidIpnLog');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddInvalidIpnLogResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddInvoice');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddInvoiceResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddInvoicingGroup');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddInvoicingGroupResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddIPLog');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddIPLogResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddLedgerAccount');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddMigrationConfig');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddMigrationConfigResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddNews');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddNewsGroup');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddNewsGroupResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddNewsResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddOrderForm');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddOrderFormResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddPackage');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddPackageAddon');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddPackageAddonAttribute');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddPackageAddonAttributeResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddPackageAddonResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddPackageAttribute');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddPackageAttributeResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddPackageResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddPanel');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddPanelResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddPaymentGroup');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddPaymentGroupResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddPrepayDiscount');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddPrepayDiscountResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddPrice');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddProduct');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddProductAddon');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddProductAddonGroup');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddProductAddonGroupResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddProductAddonResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddProductAttributes');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddProductAttributesResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddProductGroup');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddProductGroupResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddProductPricing');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddProductPricingResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddProductRelation');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddProductRelationResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddProductResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddProductValues');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddProductValuesResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddProductVariable');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddProductVariableResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddProductVariableValue');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddProductVariableValueResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddProductVariant');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddProductVariantResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddQuestionValueMap');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddQuestionValueMapping');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddQuestionValueMappingResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddQuestionValueMapResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddRegistrar');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddRegistrarResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddServer');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddServerGroup');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddServerGroupResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddServerResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddSingleInvoice');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddSingleInvoiceResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddSkeletonProduct');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddTaxZone');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddTaxZoneGroup');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddTaxZoneGroupResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddTaxZoneResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddTheme');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddThemeResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddTLD');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddTLDResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddTodo');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddTodoResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddVendor');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddVendorInvoices');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddVendorResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddWebsiteWidget');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddWebsiteWidgetResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddWizardQuestion');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddWizardQuestionResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddWizardStep');
INSERT INTO `admin_group_action_rel` VALUES (1,'AddWizardStepResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'APILoginResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'CancelAuthTransaction');
INSERT INTO `admin_group_action_rel` VALUES (1,'CancelCert');
INSERT INTO `admin_group_action_rel` VALUES (1,'CancelCertResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'CancelInvoice');
INSERT INTO `admin_group_action_rel` VALUES (1,'CancelInvoiceResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'CancelPackage');
INSERT INTO `admin_group_action_rel` VALUES (1,'CancelPackageResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'CancelVendorPackage');
INSERT INTO `admin_group_action_rel` VALUES (1,'CaptureFunds');
INSERT INTO `admin_group_action_rel` VALUES (1,'ChangePackageClient');
INSERT INTO `admin_group_action_rel` VALUES (1,'ChangePackageClientResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'ChangePackageCycle');
INSERT INTO `admin_group_action_rel` VALUES (1,'ChangePackageCycleResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'ChargeVirtualTerminal');
INSERT INTO `admin_group_action_rel` VALUES (1,'ChargeVirtualTerminalResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'CheckCertStatus');
INSERT INTO `admin_group_action_rel` VALUES (1,'CheckCertStatusResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'CheckDomainAvailability');
INSERT INTO `admin_group_action_rel` VALUES (1,'CheckDomainTransferAvailability');
INSERT INTO `admin_group_action_rel` VALUES (1,'CheckMultiDomainWhois');
INSERT INTO `admin_group_action_rel` VALUES (1,'CheckRunPaymentQueue');
INSERT INTO `admin_group_action_rel` VALUES (1,'CheckServerLoad');
INSERT INTO `admin_group_action_rel` VALUES (1,'ClearCart');
INSERT INTO `admin_group_action_rel` VALUES (1,'ClearPaymentQueue');
INSERT INTO `admin_group_action_rel` VALUES (1,'CloneAdminGroup');
INSERT INTO `admin_group_action_rel` VALUES (1,'CloneAdminGroupResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'CloneBookmark');
INSERT INTO `admin_group_action_rel` VALUES (1,'CloneBookmarkResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'CloneCoupon');
INSERT INTO `admin_group_action_rel` VALUES (1,'CloneCouponResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'CloneOrderForm');
INSERT INTO `admin_group_action_rel` VALUES (1,'CloneOrderFormResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'CloneProduct');
INSERT INTO `admin_group_action_rel` VALUES (1,'CloneProductAddon');
INSERT INTO `admin_group_action_rel` VALUES (1,'CloneProductAddonResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'CloneProductAttribute');
INSERT INTO `admin_group_action_rel` VALUES (1,'CloneProductAttributeResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'CloneProductResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'CloneServerGroup');
INSERT INTO `admin_group_action_rel` VALUES (1,'CloneServerGroupResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'CloneTheme');
INSERT INTO `admin_group_action_rel` VALUES (1,'CloneThemeResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'ClosePeriod');
INSERT INTO `admin_group_action_rel` VALUES (1,'ClosePeriodConfirm');
INSERT INTO `admin_group_action_rel` VALUES (1,'ClosePeriodResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'ConfirmCreditNote');
INSERT INTO `admin_group_action_rel` VALUES (1,'ConfirmCreditNoteResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'CreateMarketplaceSeller');
INSERT INTO `admin_group_action_rel` VALUES (1,'CreatePackage');
INSERT INTO `admin_group_action_rel` VALUES (1,'CreateVendorPackage');
INSERT INTO `admin_group_action_rel` VALUES (1,'CreateVendorUser');
INSERT INTO `admin_group_action_rel` VALUES (1,'CreateVendorUserResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'DeletePackage');
INSERT INTO `admin_group_action_rel` VALUES (1,'DeletePackageAddon');
INSERT INTO `admin_group_action_rel` VALUES (1,'DeletePackageResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'DeleteVendorPackage');
INSERT INTO `admin_group_action_rel` VALUES (1,'DisassociateDomain');
INSERT INTO `admin_group_action_rel` VALUES (1,'DowngradePackage');
INSERT INTO `admin_group_action_rel` VALUES (1,'DowngradePackageAddon');
INSERT INTO `admin_group_action_rel` VALUES (1,'DowngradePackageResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditAdmin');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditAdminGroup');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditAdminGroupResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditAdminResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditAppliedValues');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditAppliedValuesResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditAttribute');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditAttributeGroup');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditAttributeGroupResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditAttributeMap');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditAttributeMapping');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditAttributeMappingResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditAttributeMapResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditAttributeResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditBan');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditBanResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditBasicClientAttributes');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditBasicClientAttributesResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditBillingAccount');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditBillingAccountResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditBookmark');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditBookmarkResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditCartDomain');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditCartDomainResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditCartProduct');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditCartProductResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditCert');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditCertResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditCheck');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditCheckResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditClient');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditClientArchiveState');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditClientArchiveStateResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditClientContact');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditClientContactResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditClientResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditCompany');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditCompanyResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditConfigParamsResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditCoupon');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditCouponResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditCycle');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditCycleDiscount');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditCycleDiscountGroup');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditCycleDiscountGroupResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditCycleDiscountResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditCycleGroup');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditCycleGroupResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditCycleResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditDbgPageloadsSettings');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditDbgPageloadsSettingsResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditDeposit');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditDepositResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditDomain');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditDomainAccessPassword');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditDomainAccessPasswordResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditDomainContactData');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditDomainContactDataResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditDomainDNS');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditDomainDNSResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditDomainRegistrarLockOptions');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditDomainRegistrarLockOptionsResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditDomainRenewTypeOptions');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditDomainRenewTypeOptionsResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditDomainResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditEmailConfig');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditEmailConfigResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditEmailQueue');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditEmailQueueResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditEmailTemplate');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditEmailTemplateGroup');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditEmailTemplateGroupResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditEmailTemplateResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditEncryptionConfigs');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditEncryptionConfigsConfirm');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditEncryptionConfigsResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditEvent');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditEventResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditFAQ');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditFAQCategory');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditFAQCategoryResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditFAQResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditFraudCountryThreshold');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditFraudCountryThresholdResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditFraudGuardianConfig');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditFraudGuardianConfigResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditFraudSetOrderFormsResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditFraudSetResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditGeneralJournalEntry');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditGeneralJournalEntryResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditGenericAttributeResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditGroupAttribute');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditGroupAttributeResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditHelpdeskBucket');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditHelpdeskBucketResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditHelpdeskDepartment');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditHelpdeskDepartmentResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditHelpdeskResponseTemplate');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditHelpdeskResponseTemplateResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditHelpdeskTicket');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditHelpdeskTicketResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditiDevAffiliateConfig');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditiDevAffiliateConfigResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditInvalidIpnLog');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditInvalidIpnLogResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditInvoice');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditInvoiceResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditInvoicingGroup');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditInvoicingGroupResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditIPLog');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditIPLogResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditLedgerAccount');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditLedgerAccountResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditLedgerGroupEntries');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditLedgerGroupEntriesResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditLedgerGroups');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditMigrationConfig');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditMigrationConfigResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditMyProfile');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditMyProfileResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditNewOrdersResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditNews');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditNewsGroup');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditNewsGroupResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditNewsResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditOneProductRelations');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditOneProductRelationsResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditOrderForm');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditOrderFormResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditPackage');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditPackageAddon');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditPackageAddonAttribute');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditPackageAddonAttributeResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditPackageAddonResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditPackageAddons');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditPackageAddonsResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditPackageAttribute');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditPackageAttributeResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditPackageResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditPanel');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditPanelAttributeResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditPanelConfig');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditPanelConfigResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditPanelResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditPaymentGroup');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditPaymentGroupResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditPaymentQueue');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditPaymentQueueResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditPPCFactoryConfig');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditPPCFactoryConfigResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditPrepayDiscount');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditPrepayDiscountResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditPrice');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditProduct');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditProductAddon');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditProductAddonAttributes');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditProductAddonAttributesResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditProductAddonGroup');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditProductAddonGroupResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditProductAddonGroups');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditProductAddonGroupsResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditProductAddonResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditProductAddons');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditProductAddonsResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditProductAttribute');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditProductAttributeResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditProductAttributes');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditProductChildren');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditProductChildrenResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditProductCoupons');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditProductCouponsResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditProductCycles');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditProductCyclesResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditProductEmails');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditProductEmailsResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditProductGroup');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditProductGroupResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditProductMiscellaneous');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditProductMiscellaneousResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditProductNotifications');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditProductNotificationsResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditProductOrderForms');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditProductOrderFormsResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditProductPriceResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditProductPrices');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditProductPricesResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditProductRelation');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditProductRelationResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditProductResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditProductServerGroups');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditProductServerGroupsResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditProductsGroup');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditProductsGroupResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditProductTLDs');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditProductTLDsResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditProductValues');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditProductValuesResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditProductVariable');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditProductVariableResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditProductVariableValue');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditProductVariableValueResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditProductVariant');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditProductVariantLedgerEntries');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditProductVariantLedgerEntriesResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditProductVariantPrices');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditProductVariantPricesResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditProductVariantResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditQuestionValueMap');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditQuestionValueMapping');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditQuestionValueMappingResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditQuestionValueMapResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditRegistrarConfig');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditRegistrarConfigResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditRegistrarSettings');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditRegistrarSettingsResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditSellerSettings');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditSellerSettingsResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditServer');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditServerGroup');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditServerGroupResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditServerResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditSSLFactoryConfig');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditSSLFactoryConfigResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditSSOConfig');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditSSOConfigResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditTaxZone');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditTaxZoneGroup');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditTaxZoneGroupResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditTaxZoneResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditTheme');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditThemeResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditTLD');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditTLDResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditTodo');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditTodoResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditUltimateAffiliateConfig');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditUltimateAffiliateConfigResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditUsagePricing');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditUsagePricingResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditVendor');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditVendorResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditWebsiteWidget');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditWebsiteWidgetResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditWizardQuestion');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditWizardQuestionResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditWizardStep');
INSERT INTO `admin_group_action_rel` VALUES (1,'EditWizardStepResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'EnablePackage');
INSERT INTO `admin_group_action_rel` VALUES (1,'EnablePackageAddon');
INSERT INTO `admin_group_action_rel` VALUES (1,'EnablePackageResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'ExportPaymentQueue');
INSERT INTO `admin_group_action_rel` VALUES (1,'FirstTimeDisplayStep');
INSERT INTO `admin_group_action_rel` VALUES (1,'FirstTimeIntroduction');
INSERT INTO `admin_group_action_rel` VALUES (1,'FirstTimePerformAction');
INSERT INTO `admin_group_action_rel` VALUES (1,'ForgottenPasswordResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'ForwardToClientInterface');
INSERT INTO `admin_group_action_rel` VALUES (1,'GenerateInvoiceEvents');
INSERT INTO `admin_group_action_rel` VALUES (1,'GeneratePaymentQueue');
INSERT INTO `admin_group_action_rel` VALUES (1,'GeneratePaymentQueueResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'GetAutocompleteClients');
INSERT INTO `admin_group_action_rel` VALUES (1,'GetAutocompleteDomains');
INSERT INTO `admin_group_action_rel` VALUES (1,'GetAutocompleteProducts');
INSERT INTO `admin_group_action_rel` VALUES (1,'GetBillingAccounts');
INSERT INTO `admin_group_action_rel` VALUES (1,'GetClientStatus');
INSERT INTO `admin_group_action_rel` VALUES (1,'GetCompanyInformation');
INSERT INTO `admin_group_action_rel` VALUES (1,'GetEmailTemplate');
INSERT INTO `admin_group_action_rel` VALUES (1,'GetEmailTemplateVariables');
INSERT INTO `admin_group_action_rel` VALUES (1,'GetLogEnabledCommands');
INSERT INTO `admin_group_action_rel` VALUES (1,'GetMBAPIMap');
INSERT INTO `admin_group_action_rel` VALUES (1,'GetOrderForms');
INSERT INTO `admin_group_action_rel` VALUES (1,'GetReportActivePackagesByCycle');
INSERT INTO `admin_group_action_rel` VALUES (1,'GetReportActivePerServer');
INSERT INTO `admin_group_action_rel` VALUES (1,'GetReportActivePerServerGroup');
INSERT INTO `admin_group_action_rel` VALUES (1,'GetReportBilledServerRevenue');
INSERT INTO `admin_group_action_rel` VALUES (1,'GetReportCustomerPaymentsByDate');
INSERT INTO `admin_group_action_rel` VALUES (1,'GetReportDailyInvoices');
INSERT INTO `admin_group_action_rel` VALUES (1,'GetReportDailySignups');
INSERT INTO `admin_group_action_rel` VALUES (1,'GetReportMostPopularPackages');
INSERT INTO `admin_group_action_rel` VALUES (1,'GetReportPackagesByStatus');
INSERT INTO `admin_group_action_rel` VALUES (1,'GetReportPaymentsByPaymentType');
INSERT INTO `admin_group_action_rel` VALUES (1,'GetReportRecurringServerRevenue');
INSERT INTO `admin_group_action_rel` VALUES (1,'GetReportRevenuePerServer');
INSERT INTO `admin_group_action_rel` VALUES (1,'GetVendorInformation');
INSERT INTO `admin_group_action_rel` VALUES (1,'GetVendorProducts');
INSERT INTO `admin_group_action_rel` VALUES (1,'ImportClientFromPanel');
INSERT INTO `admin_group_action_rel` VALUES (1,'ImportClientFromPanelResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'InitSSOLogin');
INSERT INTO `admin_group_action_rel` VALUES (1,'InitSSOLogout');
INSERT INTO `admin_group_action_rel` VALUES (1,'InstallSystemLicense');
INSERT INTO `admin_group_action_rel` VALUES (1,'InstallSystemLicenseResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'LockDomainPrices');
INSERT INTO `admin_group_action_rel` VALUES (1,'LockDomainPricesResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'LockPackageAddonPrices');
INSERT INTO `admin_group_action_rel` VALUES (1,'LockPackageAddonPricesResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'LockPackagePrices');
INSERT INTO `admin_group_action_rel` VALUES (1,'LockPackagePricesResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'LockProductAddonPrices');
INSERT INTO `admin_group_action_rel` VALUES (1,'LockProductAddonPricesResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'LockProductPrices');
INSERT INTO `admin_group_action_rel` VALUES (1,'LockProductPricesResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'LoginResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'LoginToPanel');
INSERT INTO `admin_group_action_rel` VALUES (1,'LogInToStore');
INSERT INTO `admin_group_action_rel` VALUES (1,'LogoutResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'ManageClientActionActivate');
INSERT INTO `admin_group_action_rel` VALUES (1,'ManageClientActionActivateResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'ManageClientActionArchive');
INSERT INTO `admin_group_action_rel` VALUES (1,'ManageClientActionArchiveResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'ManageClientActionCancel');
INSERT INTO `admin_group_action_rel` VALUES (1,'ManageClientActionCancelResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'ManageClientActionDelete');
INSERT INTO `admin_group_action_rel` VALUES (1,'ManageClientActionDeleteResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'ManageClientActionPurge');
INSERT INTO `admin_group_action_rel` VALUES (1,'ManageClientActionPurgeResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'ManageClientActionSuspend');
INSERT INTO `admin_group_action_rel` VALUES (1,'ManageClientActionSuspendResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'ManageClientActionUnsuspend');
INSERT INTO `admin_group_action_rel` VALUES (1,'ManageClientActionUnsuspendResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'ManageClientNotes');
INSERT INTO `admin_group_action_rel` VALUES (1,'ManageClientNotesResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'ManageSellerProduct');
INSERT INTO `admin_group_action_rel` VALUES (1,'MergeClient');
INSERT INTO `admin_group_action_rel` VALUES (1,'MergeClientResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'MergeCompanies');
INSERT INTO `admin_group_action_rel` VALUES (1,'MergeCompaniesResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'MigrateConfig');
INSERT INTO `admin_group_action_rel` VALUES (1,'MigrateConfigAssociate');
INSERT INTO `admin_group_action_rel` VALUES (1,'MigrateConfigAssociateResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'MigrateConfigResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'MigrateDeprocess');
INSERT INTO `admin_group_action_rel` VALUES (1,'MigrateDisabled');
INSERT INTO `admin_group_action_rel` VALUES (1,'MigrateError');
INSERT INTO `admin_group_action_rel` VALUES (1,'MigrateIntro');
INSERT INTO `admin_group_action_rel` VALUES (1,'MigrateManager');
INSERT INTO `admin_group_action_rel` VALUES (1,'MigrateModuleDeprocess');
INSERT INTO `admin_group_action_rel` VALUES (1,'MigrateModuleManager');
INSERT INTO `admin_group_action_rel` VALUES (1,'MigrateModuleProcess');
INSERT INTO `admin_group_action_rel` VALUES (1,'MigrateProcess');
INSERT INTO `admin_group_action_rel` VALUES (1,'MigrateProductDeprocess');
INSERT INTO `admin_group_action_rel` VALUES (1,'MigrateProductManager');
INSERT INTO `admin_group_action_rel` VALUES (1,'MigrateProductProcess');
INSERT INTO `admin_group_action_rel` VALUES (1,'MigrateProductSkip');
INSERT INTO `admin_group_action_rel` VALUES (1,'MigrateSkip');
INSERT INTO `admin_group_action_rel` VALUES (1,'OrderCertConfirmOrder');
INSERT INTO `admin_group_action_rel` VALUES (1,'OrderCertContactRequest');
INSERT INTO `admin_group_action_rel` VALUES (1,'OrderCertContactRequestResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'OrderCertCSRRequest');
INSERT INTO `admin_group_action_rel` VALUES (1,'OrderCertCSRRequestResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'OrderCertCSRVerify');
INSERT INTO `admin_group_action_rel` VALUES (1,'OrderCertEnterCSR');
INSERT INTO `admin_group_action_rel` VALUES (1,'OrderCertGetApproverEula');
INSERT INTO `admin_group_action_rel` VALUES (1,'OrderCertGetApproverEulaResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'OrderCertGetApproverResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'OrderCertOrderResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'OrderCertOrderResults');
INSERT INTO `admin_group_action_rel` VALUES (1,'OrderCertOrderSummary');
INSERT INTO `admin_group_action_rel` VALUES (1,'OrderCertReceipt');
INSERT INTO `admin_group_action_rel` VALUES (1,'OrderCertSelectApprover');
INSERT INTO `admin_group_action_rel` VALUES (1,'OrderCertSelectApproverResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'OrderCertSubmitOrderResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'OrderCertVerifyCSRResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'OrderFormProvisioning');
INSERT INTO `admin_group_action_rel` VALUES (1,'PayInvoice');
INSERT INTO `admin_group_action_rel` VALUES (1,'PayInvoiceResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'PayInvoices');
INSERT INTO `admin_group_action_rel` VALUES (1,'PayInvoicesResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'PerformPanelAction');
INSERT INTO `admin_group_action_rel` VALUES (1,'PreviewEmailTemplate');
INSERT INTO `admin_group_action_rel` VALUES (1,'ProcessCartCheckout');
INSERT INTO `admin_group_action_rel` VALUES (1,'ProcessCartCheckoutLoader');
INSERT INTO `admin_group_action_rel` VALUES (1,'ProcessCartLogin');
INSERT INTO `admin_group_action_rel` VALUES (1,'ProcessCartLoginResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'ProcessCartRegister');
INSERT INTO `admin_group_action_rel` VALUES (1,'ProcessManualPayment');
INSERT INTO `admin_group_action_rel` VALUES (1,'ProcessSSOAPIRequest');
INSERT INTO `admin_group_action_rel` VALUES (1,'ProcessTransactionRefund');
INSERT INTO `admin_group_action_rel` VALUES (1,'ProcessTransactionRefundResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'PurgeDbgPageloads');
INSERT INTO `admin_group_action_rel` VALUES (1,'PushProduct');
INSERT INTO `admin_group_action_rel` VALUES (1,'ReassignPackageAttributeResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'ReauthBillingAccount');
INSERT INTO `admin_group_action_rel` VALUES (1,'ReauthBillingAccountResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'ReceiveSSOLoginStatus');
INSERT INTO `admin_group_action_rel` VALUES (1,'RecordAdminActions');
INSERT INTO `admin_group_action_rel` VALUES (1,'ReencryptBillingAccountsResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'RegisterDomainConfirm');
INSERT INTO `admin_group_action_rel` VALUES (1,'RegisterDomainConfirmResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'ReloadEmailTemplateResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'RemoveAdmin');
INSERT INTO `admin_group_action_rel` VALUES (1,'RemoveAdminGroup');
INSERT INTO `admin_group_action_rel` VALUES (1,'RemoveAdminGroupResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'RemoveAdminResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'RemoveAttribute');
INSERT INTO `admin_group_action_rel` VALUES (1,'RemoveAttributeGroup');
INSERT INTO `admin_group_action_rel` VALUES (1,'RemoveAttributeGroupResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'RemoveAttributeMap');
INSERT INTO `admin_group_action_rel` VALUES (1,'RemoveAttributeMapping');
INSERT INTO `admin_group_action_rel` VALUES (1,'RemoveAttributeMappingResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'RemoveAttributeMapResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'RemoveAttributeResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'RemoveBan');
INSERT INTO `admin_group_action_rel` VALUES (1,'RemoveBanResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'RemoveBillingAccount');
INSERT INTO `admin_group_action_rel` VALUES (1,'RemoveBillingAccountResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'RemoveBookmark');
INSERT INTO `admin_group_action_rel` VALUES (1,'RemoveBookmarkResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'RemoveCartCoupon');
INSERT INTO `admin_group_action_rel` VALUES (1,'RemoveCartCouponResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'RemoveCartProduct');
INSERT INTO `admin_group_action_rel` VALUES (1,'RemoveCartProductResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'RemoveCert');
INSERT INTO `admin_group_action_rel` VALUES (1,'RemoveCertResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'RemoveClient');
INSERT INTO `admin_group_action_rel` VALUES (1,'RemoveClientContact');
INSERT INTO `admin_group_action_rel` VALUES (1,'RemoveClientContactResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'RemoveClientNoteResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'RemoveClientResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'RemoveCompany');
INSERT INTO `admin_group_action_rel` VALUES (1,'RemoveCompanyResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'RemoveCoupon');
INSERT INTO `admin_group_action_rel` VALUES (1,'RemoveCouponResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'RemoveCycle');
INSERT INTO `admin_group_action_rel` VALUES (1,'RemoveCycleDiscount');
INSERT INTO `admin_group_action_rel` VALUES (1,'RemoveCycleDiscountGroup');
INSERT INTO `admin_group_action_rel` VALUES (1,'RemoveCycleDiscountGroupResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'RemoveCycleDiscountResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'RemoveCycleGroup');
INSERT INTO `admin_group_action_rel` VALUES (1,'RemoveCycleGroupResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'RemoveCycleResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'RemoveDomain');
INSERT INTO `admin_group_action_rel` VALUES (1,'RemoveDomainResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'RemoveEmail');
INSERT INTO `admin_group_action_rel` VALUES (1,'RemoveEmailQueue');
INSERT INTO `admin_group_action_rel` VALUES (1,'RemoveEmailQueueResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'RemoveEmailResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'RemoveEmailTemplate');
INSERT INTO `admin_group_action_rel` VALUES (1,'RemoveEmailTemplateGroup');
INSERT INTO `admin_group_action_rel` VALUES (1,'RemoveEmailTemplateGroupResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'RemoveEmailTemplateResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'RemoveEvent');
INSERT INTO `admin_group_action_rel` VALUES (1,'RemoveEventResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'RemoveFAQ');
INSERT INTO `admin_group_action_rel` VALUES (1,'RemoveFAQCategory');
INSERT INTO `admin_group_action_rel` VALUES (1,'RemoveFAQCategoryResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'RemoveFAQResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'RemoveFraudCountryThresholdResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'RemoveFraudSetResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'RemoveGateway');
INSERT INTO `admin_group_action_rel` VALUES (1,'RemoveGatewayResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'RemoveGroupAttribute');
INSERT INTO `admin_group_action_rel` VALUES (1,'RemoveGroupAttributeResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'RemoveHelpdeskBucket');
INSERT INTO `admin_group_action_rel` VALUES (1,'RemoveHelpdeskBucketResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'RemoveHelpdeskDepartment');
INSERT INTO `admin_group_action_rel` VALUES (1,'RemoveHelpdeskDepartmentResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'RemoveHelpdeskResponseTemplate');
INSERT INTO `admin_group_action_rel` VALUES (1,'RemoveHelpdeskResponseTemplateResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'RemoveHelpdeskTicket');
INSERT INTO `admin_group_action_rel` VALUES (1,'RemoveHelpdeskTicketResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'RemoveInvalidIpnLog');
INSERT INTO `admin_group_action_rel` VALUES (1,'RemoveInvalidIpnLogResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'RemoveInvoice');
INSERT INTO `admin_group_action_rel` VALUES (1,'RemoveInvoiceResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'RemoveInvoiceTransaction');
INSERT INTO `admin_group_action_rel` VALUES (1,'RemoveInvoiceTransactionResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'RemoveInvoicingGroup');
INSERT INTO `admin_group_action_rel` VALUES (1,'RemoveInvoicingGroupResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'RemoveIPLog');
INSERT INTO `admin_group_action_rel` VALUES (1,'RemoveIPLogResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'RemoveLedgerAccount');
INSERT INTO `admin_group_action_rel` VALUES (1,'RemoveLedgerGroup');
INSERT INTO `admin_group_action_rel` VALUES (1,'RemoveLedgerGroupResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'RemoveMigrationConfig');
INSERT INTO `admin_group_action_rel` VALUES (1,'RemoveMigrationConfigResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'RemoveNews');
INSERT INTO `admin_group_action_rel` VALUES (1,'RemoveNewsGroup');
INSERT INTO `admin_group_action_rel` VALUES (1,'RemoveNewsGroupResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'RemoveNewsResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'RemoveOrderForm');
INSERT INTO `admin_group_action_rel` VALUES (1,'RemoveOrderFormResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'RemovePackage');
INSERT INTO `admin_group_action_rel` VALUES (1,'RemovePackageAddon');
INSERT INTO `admin_group_action_rel` VALUES (1,'RemovePackageAddonAttribute');
INSERT INTO `admin_group_action_rel` VALUES (1,'RemovePackageAddonAttributeResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'RemovePackageAddonResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'RemovePackageAttribute');
INSERT INTO `admin_group_action_rel` VALUES (1,'RemovePackageAttributeResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'RemovePackageResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'RemovePanel');
INSERT INTO `admin_group_action_rel` VALUES (1,'RemovePanelResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'RemovePaymentGroup');
INSERT INTO `admin_group_action_rel` VALUES (1,'RemovePaymentGroupGateway');
INSERT INTO `admin_group_action_rel` VALUES (1,'RemovePaymentGroupGatewayResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'RemovePaymentGroupResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'RemovePaymentQueue');
INSERT INTO `admin_group_action_rel` VALUES (1,'RemovePaymentQueueResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'RemovePrepayDiscount');
INSERT INTO `admin_group_action_rel` VALUES (1,'RemovePrepayDiscountResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'RemoveProduct');
INSERT INTO `admin_group_action_rel` VALUES (1,'RemoveProductAddon');
INSERT INTO `admin_group_action_rel` VALUES (1,'RemoveProductAddonGroup');
INSERT INTO `admin_group_action_rel` VALUES (1,'RemoveProductAddonGroupResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'RemoveProductAddonResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'RemoveProductAttribute');
INSERT INTO `admin_group_action_rel` VALUES (1,'RemoveProductAttributeResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'RemoveProductGroup');
INSERT INTO `admin_group_action_rel` VALUES (1,'RemoveProductGroupResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'RemoveProductRelation');
INSERT INTO `admin_group_action_rel` VALUES (1,'RemoveProductRelationResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'RemoveProductResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'RemoveProductValues');
INSERT INTO `admin_group_action_rel` VALUES (1,'RemoveProductValuesResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'RemoveProductVariable');
INSERT INTO `admin_group_action_rel` VALUES (1,'RemoveProductVariableResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'RemoveProductVariableValue');
INSERT INTO `admin_group_action_rel` VALUES (1,'RemoveProductVariableValueResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'RemoveProductVariant');
INSERT INTO `admin_group_action_rel` VALUES (1,'RemoveProductVariantResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'RemoveQuestion');
INSERT INTO `admin_group_action_rel` VALUES (1,'RemoveQuestionResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'RemoveQuestionValueMap');
INSERT INTO `admin_group_action_rel` VALUES (1,'RemoveQuestionValueMapping');
INSERT INTO `admin_group_action_rel` VALUES (1,'RemoveQuestionValueMappingResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'RemoveQuestionValueMapResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'RemoveServer');
INSERT INTO `admin_group_action_rel` VALUES (1,'RemoveServerGroup');
INSERT INTO `admin_group_action_rel` VALUES (1,'RemoveServerGroupResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'RemoveServerResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'RemoveTaxZone');
INSERT INTO `admin_group_action_rel` VALUES (1,'RemoveTaxZoneGroup');
INSERT INTO `admin_group_action_rel` VALUES (1,'RemoveTaxZoneGroupResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'RemoveTaxZoneResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'RemoveTheme');
INSERT INTO `admin_group_action_rel` VALUES (1,'RemoveThemeResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'RemoveTLD');
INSERT INTO `admin_group_action_rel` VALUES (1,'RemoveTLDResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'RemoveTodo');
INSERT INTO `admin_group_action_rel` VALUES (1,'RemoveTodoResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'RemoveTransaction');
INSERT INTO `admin_group_action_rel` VALUES (1,'RemoveTransactionResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'RemoveWebsiteWidget');
INSERT INTO `admin_group_action_rel` VALUES (1,'RemoveWebsiteWidgetResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'RemoveWizardQuestion');
INSERT INTO `admin_group_action_rel` VALUES (1,'RemoveWizardQuestionResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'RemoveWizardStep');
INSERT INTO `admin_group_action_rel` VALUES (1,'RemoveWizardStepResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'RenewDomain');
INSERT INTO `admin_group_action_rel` VALUES (1,'RenewDomainResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'ReplayCallbackLog');
INSERT INTO `admin_group_action_rel` VALUES (1,'ReplayCallbackLogResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'ReportClientList');
INSERT INTO `admin_group_action_rel` VALUES (1,'ReportClientListDetailed');
INSERT INTO `admin_group_action_rel` VALUES (1,'ReportClientListGraph');
INSERT INTO `admin_group_action_rel` VALUES (1,'RequestProductSync');
INSERT INTO `admin_group_action_rel` VALUES (1,'RequestVendorInvoiceSync');
INSERT INTO `admin_group_action_rel` VALUES (1,'ResendCertApproverEmail');
INSERT INTO `admin_group_action_rel` VALUES (1,'ResendCertApproverEmailResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'ResendEmail');
INSERT INTO `admin_group_action_rel` VALUES (1,'ResendEmailResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'ResendInvoice');
INSERT INTO `admin_group_action_rel` VALUES (1,'ResendInvoiceResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'ResetContactPassword');
INSERT INTO `admin_group_action_rel` VALUES (1,'ResetContactPasswordResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'RetrieveKeys');
INSERT INTO `admin_group_action_rel` VALUES (1,'RetrieveKeysResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'RollBackLicenseKey');
INSERT INTO `admin_group_action_rel` VALUES (1,'RollBackLicenseKeyResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'RunDebugEvent');
INSERT INTO `admin_group_action_rel` VALUES (1,'RunEvents');
INSERT INTO `admin_group_action_rel` VALUES (1,'RunPaymentQueue');
INSERT INTO `admin_group_action_rel` VALUES (1,'RunPaymentQueueResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'SearchDispatchResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'SelectSSOLoginMethod');
INSERT INTO `admin_group_action_rel` VALUES (1,'SendClientEmail');
INSERT INTO `admin_group_action_rel` VALUES (1,'SendClientEmailResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'SendEmailQueue');
INSERT INTO `admin_group_action_rel` VALUES (1,'SendEmailQueueResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'SendSellerMessage');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowAccountingReportsMenu');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowAccountingStats');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowAccountsPayableLedger');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowAccountsReceivableLedger');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowAdminDetails');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowAdminGroupDetails');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowAdminGroups');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowAdmins');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowAdminStats');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowAgingReport');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowAgingReportContainer');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowAllTodos');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowAttributeDetails');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowAttributeGroups');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowAttributeMapDetails');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowAttributeMappingDetails');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowAttributeMappings');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowAttributeMaps');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowAttributes');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowBalanceSheet');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowBalanceSheetContainer');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowBanDetails');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowBans');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowBillingAccountDetails');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowBillingAccounts');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowBookmarks');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowCallbackLog');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowCallbackLogDetails');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowCart');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowCartCheckoutConfirmForm');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowCartCheckoutForm');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowCartCheckoutSuccess');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowCartProductAddons');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowCartProductAddonsStep');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowCashFlow');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowCashFlowContainer');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowCertDetails');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowCerts');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowClientARHistory');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowClientCallbackLog');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowClientCallbackLogDetails');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowClientContactDetails');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowClientContacts');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowClientCreditHistory');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowClientDetails');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowClientGraph');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowClients');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowClientServiceInputForm');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowClientServiceInputFormResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowClientStats');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowCompanies');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowCompanyDetails');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowConfigs');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowCouponDetails');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowCoupons');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowCycleDiscountGroups');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowCycleDiscounts');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowCycleGroups');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowCycleGroupsResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowCycles');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowCyclesResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowCycleStats');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowDashboard');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowDashboardNewOrders');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowDashboardTodos');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowDbgPageloadDetails');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowDbgPageloads');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowDomainDetails');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowDomainEPPCodeStep');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowDomains');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowEmailDetails');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowEmailMenus');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowEmailQueue');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowEmailQueueDetails');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowEmailTemplateDetails');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowEmailTemplateGroupDetails');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowEmailTemplateGroups');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowEmailTemplates');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowEventInputDetails');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowEventOutputDetails');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowEvents');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowEventsStats');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowEventStatusBar');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowFAQs');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowFinancesMenu');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowFinancialGraph');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowForgottenPassword');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowFraudCountryThresholds');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowFraudSetDetails');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowFraudSets');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowGeneralJournal');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowGeneralLedger');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowGenerateInvoiceMenu');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowGenericBar');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowGroupAttributes');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowHelpdesk');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowHelpdeskBucketDetails');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowHelpdeskBuckets');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowHelpdeskBucketTickets');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowHelpdeskDepartments');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowHelpdeskGraph');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowHelpdeskResponseTemplates');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowHelpdeskTicketDetails');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowHelpdeskTickets');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowIDPFIAttach');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowIDPFIConfirmDelete');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowIDPFIConfirmDetach');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowIDPFIManagement');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowIDPFIUpdate');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowIDPLogin');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowIDPSelectName');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowInvalidIpnLogDetails');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowInvalidIpnLogs');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowInvoiceDetails');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowInvoices');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowInvoiceSheet');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowInvoiceSheetContainer');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowInvoiceStats');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowInvoicingGroups');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowIPLog');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowJournalsMenu');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowLastFiveClientInvoices');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowLastFiveClientPackages');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowLedgerAccountDetails');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowLedgerAccounts');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowLedgersMenu');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowLogDetails');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowLogin');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowLogMenu');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowMBRequirementsTest');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowMigrationConfigDetails');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowMigrationConfigs');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowMultiDomainWhois');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowMultiDomainWhoisStep');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowNewOrders');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowNews');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowNewsDetails');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowNewsGroups');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowOrderFormProductsStep');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowOrderForms');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowPackageAddonAttributeDetails');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowPackageAddonAttributes');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowPackageAddonDetails');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowPackageAddons');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowPackageAttributeDetails');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowPackageAttributes');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowPackageDetails');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowPackageGraph');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowPackages');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowPanelClientLogin');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowPanelDetails');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowPanelOptions');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowPaymentGroups');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowPaymentQueue');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowPaymentQueueDetails');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowPaymentQueueStats');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowPDFInvoice');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowPHPInfo');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowPPCCodes');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowPrepayDiscounts');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowProductAddonDetails');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowProductAddonGroups');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowProductAddons');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowProductAttributeDetails');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowProductAttributes');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowProductDetails');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowProductGraph');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowProductGroups');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowProductRelationDetails');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowProductRelations');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowProducts');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowProductsRevenue');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowProductsRevenueContainer');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowProductStats');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowProductVariableDetails');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowProductVariables');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowProductVariableValueDetails');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowProductVariableValues');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowProductVariants');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowProfitAndLoss');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowProfitAndLossContainer');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowPurchasesJournal');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowQuestionValueMapDetails');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowQuestionValueMappingDetails');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowQuestionValueMappings');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowQuestionValueMaps');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowReceiptsJournal');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowRegisterDomainForm');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowRegistrars');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowReportContainer');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowReportDetails');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowReports');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowResendInvoice');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowResendInvoiceResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowSellerStatus');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowServerDetails');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowServerGroupDetails');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowServerGroups');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowServerGroupsReport');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowServers');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowSignupSheet');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowSignupSheetContainer');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowSystemLibraryInfo');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowSystemLicenseInfo');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowSystemModuleInfo');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowSystemServerInfo');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowTaxPayableLedger');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowTaxZoneGroups');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowTaxZones');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowThemeDetails');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowThemes');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowTLDDetails');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowTLDLoader');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowTLDs');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowTodoDetails');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowTodos');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowTransactionDetails');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowTransactionLog');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowTransactions');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowTransferDomainForm');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowTrendGraph');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowUncapturedFunds');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowVendorDetails');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowVendors');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowVirtualTerminals');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowWebsiteWidget');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowWebsiteWidgets');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowWizardQuestions');
INSERT INTO `admin_group_action_rel` VALUES (1,'ShowWizardSteps');
INSERT INTO `admin_group_action_rel` VALUES (1,'StopEvents');
INSERT INTO `admin_group_action_rel` VALUES (1,'SuppressPPCCodeResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'SuspendPackage');
INSERT INTO `admin_group_action_rel` VALUES (1,'SuspendPackageAddon');
INSERT INTO `admin_group_action_rel` VALUES (1,'SuspendPackageResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'SuspendVendorPackage');
INSERT INTO `admin_group_action_rel` VALUES (1,'SwitchToBundledLicense');
INSERT INTO `admin_group_action_rel` VALUES (1,'SwitchToBundledLicenseResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'SwitchToFreeLicense');
INSERT INTO `admin_group_action_rel` VALUES (1,'SwitchToFreeLicenseResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'SyncDomainDates');
INSERT INTO `admin_group_action_rel` VALUES (1,'SyncDomainDatesResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'SyncSellerInventory');
INSERT INTO `admin_group_action_rel` VALUES (1,'SyncVendorAPIURL');
INSERT INTO `admin_group_action_rel` VALUES (1,'SyncVendorDetails');
INSERT INTO `admin_group_action_rel` VALUES (1,'TakeClientPayment');
INSERT INTO `admin_group_action_rel` VALUES (1,'TakeClientPaymentResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'TestSellerApiURL');
INSERT INTO `admin_group_action_rel` VALUES (1,'TestVendorAPIURL');
INSERT INTO `admin_group_action_rel` VALUES (1,'TransferDomainConfirm');
INSERT INTO `admin_group_action_rel` VALUES (1,'TransferDomainConfirmResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'UnlockDomainPrices');
INSERT INTO `admin_group_action_rel` VALUES (1,'UnlockDomainPricesResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'UnlockPackageAddonPrices');
INSERT INTO `admin_group_action_rel` VALUES (1,'UnlockPackageAddonPricesResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'UnlockPackagePrices');
INSERT INTO `admin_group_action_rel` VALUES (1,'UnlockPackagePricesResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'UnLockProductAddonPrices');
INSERT INTO `admin_group_action_rel` VALUES (1,'UnLockProductAddonPricesResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'UnLockProductPrices');
INSERT INTO `admin_group_action_rel` VALUES (1,'UnLockProductPricesResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'UnsuspendVendorPackage');
INSERT INTO `admin_group_action_rel` VALUES (1,'UpdatePackage');
INSERT INTO `admin_group_action_rel` VALUES (1,'UpdatePackageBillingShares');
INSERT INTO `admin_group_action_rel` VALUES (1,'UpdatePackageBillingSharesResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'UpdateSellerStatus');
INSERT INTO `admin_group_action_rel` VALUES (1,'UpdateSellerVendor');
INSERT INTO `admin_group_action_rel` VALUES (1,'UpdateSellerVendorResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'UpdateVendorInformation');
INSERT INTO `admin_group_action_rel` VALUES (1,'UpgradePackage');
INSERT INTO `admin_group_action_rel` VALUES (1,'UpgradePackageAddon');
INSERT INTO `admin_group_action_rel` VALUES (1,'UpgradePackageResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'UploadKey');
INSERT INTO `admin_group_action_rel` VALUES (1,'UploadKeyResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'UploadReport');
INSERT INTO `admin_group_action_rel` VALUES (1,'UploadReportResponse');
INSERT INTO `admin_group_action_rel` VALUES (1,'VoidInvoice');
INSERT INTO `admin_group_action_rel` VALUES (1,'VoidInvoiceResponse');
INSERT INTO `admin_group_action_rel` VALUES (2,'RunEvents');
/*!40000 ALTER TABLE `admin_group_action_rel` ENABLE KEYS */;

--
-- Table structure for table `admin_group_rel`
--

DROP TABLE IF EXISTS `admin_group_rel`;


CREATE TABLE `admin_group_rel` (
  `admin_group_id` smallint(5) unsigned NOT NULL default '0',
  `admin_id` smallint(5) unsigned NOT NULL default '0',
  PRIMARY KEY  (`admin_group_id`,`admin_id`)
) ENGINE=MyISAM;


--
-- Dumping data for table `admin_group_rel`
--

/*!40000 ALTER TABLE `admin_group_rel` DISABLE KEYS */;
INSERT INTO `admin_group_rel` VALUES (1,1);
INSERT INTO `admin_group_rel` VALUES (2,4);
/*!40000 ALTER TABLE `admin_group_rel` ENABLE KEYS */;

--
-- Table structure for table `admin_groups`
--

DROP TABLE IF EXISTS `admin_groups`;


CREATE TABLE `admin_groups` (
  `admin_group_id` smallint(5) unsigned NOT NULL auto_increment,
  `admin_group_name` varchar(50) default NULL,
  PRIMARY KEY  (`admin_group_id`)
) ENGINE=MyISAM AUTO_INCREMENT=3;


--
-- Dumping data for table `admin_groups`
--

/*!40000 ALTER TABLE `admin_groups` DISABLE KEYS */;
INSERT INTO `admin_groups` VALUES (1,'root');
INSERT INTO `admin_groups` VALUES (2,'cronadmin');
/*!40000 ALTER TABLE `admin_groups` ENABLE KEYS */;

--
-- Table structure for table `admins`
--

DROP TABLE IF EXISTS `admins`;


CREATE TABLE `admins` (
  `admin_id` smallint(5) unsigned NOT NULL auto_increment,
  `admin_first_name` varchar(50) default NULL,
  `admin_last_name` varchar(50) default NULL,
  `admin_email` varchar(100) default NULL,
  `admin_username` varchar(75) default NULL,
  `admin_password` varchar(255) default NULL,
  `admin_temp_password` varchar(255) default NULL,
  `admin_remote_access_hash` varchar(255) default NULL,
  `admin_active` tinyint(3) unsigned default NULL,
  `theme_id` smallint(5) unsigned default NULL,
  `language_id` smallint(5) unsigned default NULL,
  `countries_id` smallint(5) unsigned default NULL,
  PRIMARY KEY  (`admin_id`),
  KEY `admin_username` (`admin_username`),
  KEY `admin_password` (`admin_password`),
  KEY `admin_active` (`admin_active`),
  KEY `language_id` (`language_id`),
  KEY `countries_id` (`countries_id`)
) ENGINE=MyISAM AUTO_INCREMENT=5;


--
-- Dumping data for table `admins`
--

/*!40000 ALTER TABLE `admins` DISABLE KEYS */;
INSERT INTO `admins` VALUES (1,'FIRSTNAME','LASTNAME','EMAIL','admin','UNKNOWN',NULL,'bdf2f164541abbab07c0f68b6be6e375662ff613',1,2,21,225);
INSERT INTO `admins` VALUES (2,'OrderForm','User','EMAIL','admin_ezorder','7b2e9f54cdff413fcde01f330af6896c3cd7e6cd',NULL,'e3dcc4e331741e58a6ff6366e3798bfcb12c2955',1,2,21,225);
INSERT INTO `admins` VALUES (3,'API','User','EMAIL','admin_api','7b2e9f54cdff413fcde01f330af6896c3cd7e6cd',NULL,'e22aaf18b2823d47d230f76a916f3cc7d3cba961',1,2,21,225);
INSERT INTO `admins` VALUES (4,'Cron','User','EMAIL','cronadmin','7b2e9f54cdff413fcde01f330af6896c3cd7e6cd',NULL,'339f331c8183edd04fc25568699a9dec2219c1c0',1,2,21,225);
/*!40000 ALTER TABLE `admins` ENABLE KEYS */;

--
-- Table structure for table `affiliates`
--

DROP TABLE IF EXISTS `affiliates`;


CREATE TABLE `affiliates` (
  `affiliate_id` int(8) unsigned NOT NULL auto_increment,
  `client_id` int(8) unsigned default NULL,
  `affiliate_code` varchar(255) default NULL,
  `affiliate_hits` int(8) unsigned default NULL,
  `affiliate_count` int(8) unsigned default NULL,
  `affiliate_pay_time` smallint(5) unsigned default NULL,
  `affiliate_pay_amount` decimal(10,2) unsigned default '0.00',
  `affiliate_pay_type` tinyint(3) unsigned default NULL,
  `affiliate_pay_cycle` int(10) unsigned default NULL,
  `affiliate_pay_sum` decimal(10,2) unsigned default '0.00',
  `affiliate_status` tinyint(3) unsigned default NULL,
  `affiliate_date_created` int(10) unsigned default NULL,
  PRIMARY KEY  (`affiliate_id`),
  KEY `client_id` (`client_id`),
  KEY `affiliate_status` (`affiliate_status`),
  KEY `affiliate_code` (`affiliate_code`)
) ENGINE=MyISAM;


--
-- Dumping data for table `affiliates`
--

/*!40000 ALTER TABLE `affiliates` DISABLE KEYS */;
/*!40000 ALTER TABLE `affiliates` ENABLE KEYS */;

--
-- Table structure for table `attribute_groups`
--

DROP TABLE IF EXISTS `attribute_groups`;


CREATE TABLE `attribute_groups` (
  `group_id` int(10) unsigned NOT NULL auto_increment,
  `group_name` varchar(100) default NULL,
  `group_active` tinyint(1) default '1',
  PRIMARY KEY  (`group_id`)
) ENGINE=MyISAM;


--
-- Dumping data for table `attribute_groups`
--

/*!40000 ALTER TABLE `attribute_groups` DISABLE KEYS */;
/*!40000 ALTER TABLE `attribute_groups` ENABLE KEYS */;

--
-- Table structure for table `attribute_map_mapping_rel`
--

DROP TABLE IF EXISTS `attribute_map_mapping_rel`;


CREATE TABLE `attribute_map_mapping_rel` (
  `attribute_map_id` int(10) unsigned NOT NULL default '0',
  `attribute_mapping_id` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`attribute_map_id`,`attribute_mapping_id`)
) ENGINE=MyISAM;


--
-- Dumping data for table `attribute_map_mapping_rel`
--

/*!40000 ALTER TABLE `attribute_map_mapping_rel` DISABLE KEYS */;
/*!40000 ALTER TABLE `attribute_map_mapping_rel` ENABLE KEYS */;

--
-- Table structure for table `attribute_mappings`
--

DROP TABLE IF EXISTS `attribute_mappings`;


CREATE TABLE `attribute_mappings` (
  `attribute_mapping_id` int(10) unsigned NOT NULL auto_increment,
  `attribute_id` int(10) unsigned default NULL,
  `attribute_match_value` varchar(100) default NULL,
  `attribute_nomatch_value` varchar(100) default NULL,
  PRIMARY KEY  (`attribute_mapping_id`),
  KEY `attribute_id` (`attribute_id`)
) ENGINE=MyISAM;


--
-- Dumping data for table `attribute_mappings`
--

/*!40000 ALTER TABLE `attribute_mappings` DISABLE KEYS */;
/*!40000 ALTER TABLE `attribute_mappings` ENABLE KEYS */;

--
-- Table structure for table `attribute_maps`
--

DROP TABLE IF EXISTS `attribute_maps`;


CREATE TABLE `attribute_maps` (
  `attribute_map_id` int(10) unsigned NOT NULL auto_increment,
  `attribute_map_name` varchar(100) default NULL,
  PRIMARY KEY  (`attribute_map_id`)
) ENGINE=MyISAM;


--
-- Dumping data for table `attribute_maps`
--

/*!40000 ALTER TABLE `attribute_maps` DISABLE KEYS */;
/*!40000 ALTER TABLE `attribute_maps` ENABLE KEYS */;

--
-- Table structure for table `attributes`
--

DROP TABLE IF EXISTS `attributes`;


CREATE TABLE `attributes` (
  `attribute_id` int(10) unsigned NOT NULL auto_increment,
  `attribute_name` varchar(100) default NULL,
  `attribute_type` tinyint(3) unsigned default NULL,
  `attribute_subtype` tinyint(3) unsigned default NULL,
  `attribute_input_restrictions` bigint(20) default NULL,
  `question_id` int(8) unsigned default NULL,
  `value_map_id` smallint(5) unsigned default NULL,
  `product_id` int(10) unsigned default NULL,
  `order_form_id` smallint(5) unsigned default NULL,
  `config_group_id` smallint(5) unsigned default NULL,
  PRIMARY KEY  (`attribute_id`),
  KEY `attribute_type` (`attribute_type`),
  KEY `attribute_subtype` (`attribute_subtype`),
  KEY `question_id` (`question_id`),
  KEY `product_id` (`product_id`),
  KEY `order_form_id` (`order_form_id`),
  KEY `value_map_id` (`value_map_id`)
) ENGINE=MyISAM;


--
-- Dumping data for table `attributes`
--

/*!40000 ALTER TABLE `attributes` DISABLE KEYS */;
/*!40000 ALTER TABLE `attributes` ENABLE KEYS */;

--
-- Table structure for table `bans`
--

DROP TABLE IF EXISTS `bans`;


CREATE TABLE `bans` (
  `ban_id` int(10) unsigned NOT NULL auto_increment,
  `ban_type` tinyint(3) unsigned default NULL,
  `ban_string` varchar(255) default NULL,
  `ban_message` longtext,
  `ban_count` smallint(5) unsigned default NULL,
  `ban_active` tinyint(3) unsigned default NULL,
  `ban_date_last_used` int(10) unsigned default NULL,
  PRIMARY KEY  (`ban_id`),
  KEY `ban_string` (`ban_string`),
  KEY `ban_type` (`ban_type`),
  KEY `ban_active` (`ban_active`)
) ENGINE=MyISAM AUTO_INCREMENT=1347;


--
-- Dumping data for table `bans`
--

/*!40000 ALTER TABLE `bans` DISABLE KEYS */;
INSERT INTO `bans` VALUES (1,0,'123email.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (2,0,'123india.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (3,0,'163.net','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (4,0,'2akron.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (5,0,'2asheville.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (6,0,'2athens.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (7,0,'2batonrouge.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (8,0,'2bmail.co.uk','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (9,0,'2concord.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (10,0,'2conventions.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (11,0,'2costamesa.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (12,0,'2houston.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (13,0,'2louisville.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (14,0,'2milwaukee.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (15,0,'2roanoke.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (16,0,'2santabarbara.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (17,0,'2sarasota.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (18,0,'2wheeling.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (19,0,'2yakima.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (20,0,'4800numbers.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (21,0,'4abilene.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (22,0,'4accessories.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (23,0,'4acne.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (24,0,'4actionfigures.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (25,0,'4addictions.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (26,0,'4adirondacks.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (27,0,'4adoptions.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (28,0,'4adventurevacations.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (29,0,'4advertising.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (30,0,'4advice.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (31,0,'4aerobics.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (32,0,'4aids.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (33,0,'4airconditioners.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (34,0,'4aircraft.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (35,0,'4airinfo.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (36,0,'4airline.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (37,0,'4alarms.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (38,0,'4albany.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (39,0,'4albuquerque.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (40,0,'4alcoholism.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (41,0,'4alexandria.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (42,0,'4aliens.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (43,0,'4allentown.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (44,0,'4allergies.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (45,0,'4alternative.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (46,0,'4altmedicine.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (47,0,'4altoona.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (48,0,'4alzheimers.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (49,0,'4amarillo.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (50,0,'4anaheim.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (51,0,'4anchorage.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (52,0,'4anderson.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (53,0,'4animals.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (54,0,'4anime.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (55,0,'4annarbor.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (56,0,'4anniston.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (57,0,'4anniversary.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (58,0,'4annuities.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (59,0,'4antiques.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (60,0,'4anything.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (61,0,'4apartmenthunting.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (62,0,'4appetizers.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (63,0,'4appleton.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (64,0,'4appliances.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (65,0,'4aquariums.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (66,0,'4architects.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (67,0,'4arlington.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (68,0,'4aromatherapy.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (69,0,'4art.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (70,0,'4arthritis.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (71,0,'4artsales.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (72,0,'4arubatravel.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (73,0,'4aspen.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (74,0,'4assistivetechnology.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (75,0,'4asthma.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (76,0,'4atlanta.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (77,0,'4atlanticcity.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (78,0,'4attentiondeficit.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (79,0,'4auction.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (80,0,'4audiobooks.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (81,0,'4audiocassettes.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (82,0,'4augusta.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (83,0,'4aurora.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (84,0,'4austin.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (85,0,'4authors.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (86,0,'4autoglass.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (87,0,'4autoinsurance.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (88,0,'4autoparts.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (89,0,'4autoracing.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (90,0,'4autorepair.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (91,0,'4autos.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (92,0,'4autumn.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (93,0,'4b2b.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (94,0,'4babies.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (95,0,'4babyboomers.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (96,0,'4babynames.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (97,0,'4babyshowers.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (98,0,'4backpacks.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (99,0,'4backpain.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (100,0,'4backup.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (101,0,'4bagels.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (102,0,'4bailbonds.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (103,0,'4bakeries.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (104,0,'4bakersfield.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (105,0,'4ballooning.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (106,0,'4ballparks.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (107,0,'4baltimore.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (108,0,'4bangor.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (109,0,'4banking.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (110,0,'4barbecue.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (111,0,'4barcelonaspain.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (112,0,'4barharbor.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (113,0,'4bars.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (114,0,'4baseball.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (115,0,'4baseballcards.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (116,0,'4basketball.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (117,0,'4baskets.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (118,0,'4battlecreek.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (119,0,'4beaches.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (120,0,'4beaumont.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (121,0,'4beauty.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (122,0,'4bedandbath.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (123,0,'4bedandbreakfast.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (124,0,'4beer.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (125,0,'4bellingham.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (126,0,'4bentonharbor.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (127,0,'4berkeley.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (128,0,'4berlin.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (129,0,'4bermudatravel.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (130,0,'4bestsellers.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (131,0,'4bikes.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (132,0,'4billiards.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (133,0,'4billings.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (134,0,'4bills.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (135,0,'4biloxi.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (136,0,'4binghamton.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (137,0,'4bioengineering.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (138,0,'4biology.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (139,0,'4biotech.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (140,0,'4birds.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (141,0,'4birmingham.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (142,0,'4birthday.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (143,0,'4bismarck.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (144,0,'4bizops.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (145,0,'4bloomington.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (146,0,'4blues.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (147,0,'4boats.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (148,0,'4boise.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (149,0,'4bonds.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (150,0,'4bookkeeping.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (151,0,'4bookstores.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (152,0,'4boston.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (153,0,'4boulder.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (154,0,'4bowling.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (155,0,'4boxing.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (156,0,'4bradenton.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (157,0,'4brakes.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (158,0,'4bread.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (159,0,'4breastcancer.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (160,0,'4bremerton.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (161,0,'4bridalshowers.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (162,0,'4brides.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (163,0,'4bridge.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (164,0,'4bridgeport.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (165,0,'4brownsville.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (166,0,'4bryan.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (167,0,'4buddhism.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (168,0,'4buffalo.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (169,0,'4building.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (170,0,'4buildingsupplies.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (171,0,'4burlington.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (172,0,'4buses.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (173,0,'4businessinsurance.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (174,0,'4businesstravel.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (175,0,'4businessupdates.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (176,0,'4cable.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (177,0,'4cabletv.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (178,0,'4cake.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (179,0,'4calendars.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (180,0,'4californiacoast.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (181,0,'4cameras.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (182,0,'4camping.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (183,0,'4camps.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (184,0,'4cancer.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (185,0,'4candles.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (186,0,'4candy.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (187,0,'4canton.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (188,0,'4capecod.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (189,0,'4capital.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (190,0,'4carcare.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (191,0,'4careers.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (192,0,'4caribbeantravel.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (193,0,'4carloans.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (194,0,'4cartoons.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (195,0,'4casper.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (196,0,'4catalogs.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (197,0,'4caterers.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (198,0,'4catholicism.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (199,0,'4cats.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (200,0,'4cd.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (201,0,'4cdrom.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (202,0,'4cedarrapids.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (203,0,'4cellphones.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (204,0,'4censorship.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (205,0,'4cerebralpalsy.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (206,0,'4champagne.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (207,0,'4champaign.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (208,0,'4chandler.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (209,0,'4charities.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (210,0,'4charleston.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (211,0,'4charlotte.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (212,0,'4charlottesville.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (213,0,'4charters.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (214,0,'4chatroom.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (215,0,'4chattanooga.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (216,0,'4cheerleading.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (217,0,'4cheese.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (218,0,'4chesapeake.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (219,0,'4cheyenne.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (220,0,'4chicago.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (221,0,'4chico.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (222,0,'4children.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (223,0,'4childrensbooks.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (224,0,'4chocolates.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (225,0,'4christmas.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (226,0,'4chulavista.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (227,0,'4cigars.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (228,0,'4cincinnati.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (229,0,'4cities.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (230,0,'4civilrights.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (231,0,'4civilwar.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (232,0,'4clarksville.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (233,0,'4classical.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (234,0,'4classiccars.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (235,0,'4classicmovies.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (236,0,'4classicrock.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (237,0,'4classifieds.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (238,0,'4cleaning.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (239,0,'4clearwater.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (240,0,'4cleveland.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (241,0,'4clipart.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (242,0,'4clocks.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (243,0,'4clothes.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (244,0,'4coats.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (245,0,'4coffee.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (246,0,'4coins.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (247,0,'4colds.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (248,0,'4collectibles.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (249,0,'4collectors.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (250,0,'4collegebasketball.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (251,0,'4collegefootball.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (252,0,'4collegelife.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (253,0,'4colleges.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (254,0,'4cologne.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (255,0,'4coloradosprings.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (256,0,'4columbia.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (257,0,'4columbus.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (258,0,'4comedy.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (259,0,'4comics.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (260,0,'4commercials.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (261,0,'4commodities.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (262,0,'4companies.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (263,0,'4computerbasics.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (264,0,'4computerhardware.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (265,0,'4computerrental.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (266,0,'4computersecurity.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (267,0,'4computersoftware.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (268,0,'4computertraining.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (269,0,'4computerwallpaper.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (270,0,'4computing.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (271,0,'4concerts.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (272,0,'4congress.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (273,0,'4conservation.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (274,0,'4conspiracytheories.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (275,0,'4construction.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (276,0,'4consultants.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (277,0,'4contactlenses.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (278,0,'4contests.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (279,0,'4contraception.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (280,0,'4controversies.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (281,0,'4cookbooks.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (282,0,'4cookies.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (283,0,'4cooking.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (284,0,'4cooks.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (285,0,'4cookware.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (286,0,'4coolsite.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (287,0,'4copiers.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (288,0,'4coralsprings.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (289,0,'4corona.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (290,0,'4corpuschristi.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (291,0,'4cosmetics.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (292,0,'4cosmeticsurgery.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (293,0,'4costumes.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (294,0,'4costuming.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (295,0,'4cottages.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (296,0,'4coughs.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (297,0,'4country.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (298,0,'4coupons.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (299,0,'4couriers.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (300,0,'4courses.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (301,0,'4cpas.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (302,0,'4crafts.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (303,0,'4credit4.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (304,0,'4creditcards.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (305,0,'4crime.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (306,0,'4crosswords.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (307,0,'4cruise.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (308,0,'4cumberland.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (309,0,'4currencytrading.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (310,0,'4currentevents.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (311,0,'4cyberculture.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (312,0,'4cycling.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (313,0,'4dad.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (314,0,'4dallas.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (315,0,'4dance.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (316,0,'4danville.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (317,0,'4databases.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (318,0,'4datarecovery.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (319,0,'4davenport.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (320,0,'4daycare.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (321,0,'4dayton.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (322,0,'4daytonabeach.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (323,0,'4daytrading.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (324,0,'4deafcommunity.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (325,0,'4debtconsolidation.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (326,0,'4debtmanagement.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (327,0,'4decatur.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (328,0,'4delis.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (329,0,'4delivery.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (330,0,'4democracy.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (331,0,'4democrats.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (332,0,'4dentists.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (333,0,'4denver.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (334,0,'4departmentstores.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (335,0,'4designers.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (336,0,'4desktoppublishing.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (337,0,'4desktopthemes.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (338,0,'4desmoines.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (339,0,'4desserts.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (340,0,'4detroit.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (341,0,'4diabetes.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (342,0,'4diet.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (343,0,'4digitalcameras.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (344,0,'4dinner.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (345,0,'4dinosaurs.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (346,0,'4directions.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (347,0,'4directories.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (348,0,'4disability.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (349,0,'4disco.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (350,0,'4discountstores.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (351,0,'4divorce.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (352,0,'4dolls.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (353,0,'4domesticviolence.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (354,0,'4dothan.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (355,0,'4dresses.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (356,0,'4drips.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (357,0,'4drugstores.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (358,0,'4dublin.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (359,0,'4dubuque.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (360,0,'4duluth.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (361,0,'4durham.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (362,0,'4dvdvideo.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (363,0,'4earrings.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (364,0,'4earthquakes.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (365,0,'4easter.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (366,0,'4eauclaire.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (367,0,'4economics.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (368,0,'4edinburgh.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (369,0,'4editorials.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (370,0,'4education.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (371,0,'4educationaltoys.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (372,0,'4elections.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (373,0,'4electricians.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (374,0,'4electroniccommerce.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (375,0,'4electronics.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (376,0,'4elizabeth.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (377,0,'4elkhart.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (378,0,'4elmonte.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (379,0,'4elpaso.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (380,0,'4elvis.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (381,0,'4email.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (382,0,'4employment.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (383,0,'4employmentagencies.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (384,0,'4encryption.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (385,0,'4endangeredspecies.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (386,0,'4engineers.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (387,0,'4enid.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (388,0,'4entertainment.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (389,0,'4entertainmentupdates.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (390,0,'4environment.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (391,0,'4equipmentleasing.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (392,0,'4erie.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (393,0,'4escondido.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (394,0,'4estateplanning.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (395,0,'4ethics.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (396,0,'4eugene.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (397,0,'4europe.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (398,0,'4evansville.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (399,0,'4exchangerates.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (400,0,'4executivesearch.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (401,0,'4exercise.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (402,0,'4extreme.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (403,0,'4factoryoutlets.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (404,0,'4fairytales.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (405,0,'4families.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (406,0,'4family.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (407,0,'4fanclubs.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (408,0,'4fargo.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (409,0,'4farming.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (410,0,'4farminsurance.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (411,0,'4fashiondolls.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (412,0,'4fatfree.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (413,0,'4fathersday.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (414,0,'4faxes.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (415,0,'4fayetteville.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (416,0,'4feet.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (417,0,'4fertility.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (418,0,'4fiction.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (419,0,'4figureskating.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (420,0,'4finance.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (421,0,'4financial.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (422,0,'4financialaid.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (423,0,'4financialnews.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (424,0,'4financialplanning.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (425,0,'4firewalls.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (426,0,'4fitchburg.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (427,0,'4fitness.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (428,0,'4flags.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (429,0,'4flint.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (430,0,'4floodinsurance.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (431,0,'4florence.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (432,0,'4flowers.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (433,0,'4flu.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (434,0,'4flyfishing.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (435,0,'4folk.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (436,0,'4fontana.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (437,0,'4fonts.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (438,0,'4foods.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (439,0,'4fools.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (440,0,'4football.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (441,0,'4fortcollins.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (442,0,'4fortlauderdale.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (443,0,'4fortmyers.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (444,0,'4fortpierce.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (445,0,'4fortsmith.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (446,0,'4fortwaltonbeach.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (447,0,'4fortwayne.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (448,0,'4fortworth.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (449,0,'4franchises.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (450,0,'4freestuff.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (451,0,'4fremont.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (452,0,'4fresno.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (453,0,'4frontpage.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (454,0,'4fruit.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (455,0,'4fullerton.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (456,0,'4furnishings.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (457,0,'4gadgets.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (458,0,'4gadsden.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (459,0,'4gainesville.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (460,0,'4games.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (461,0,'4gameshows.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (462,0,'4gardengrove.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (463,0,'4gardening.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (464,0,'4gardens.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (465,0,'4garland.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (466,0,'4gary.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (467,0,'4gear.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (468,0,'4gems.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (469,0,'4genealogy.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (470,0,'4genx.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (471,0,'4gifs.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (472,0,'4giftcertificates.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (473,0,'4gifts4.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (474,0,'4gizmos.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (475,0,'4glasses.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (476,0,'4glendale.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (477,0,'4glensfalls.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (478,0,'4golf.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (479,0,'4golfing.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (480,0,'4golfresorts.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (481,0,'4gossip.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (482,0,'4gourmets.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (483,0,'4government.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (484,0,'4graduateschools.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (485,0,'4graduation.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (486,0,'4grandcanyon.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (487,0,'4grandfather.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (488,0,'4grandforks.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (489,0,'4grandmother.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (490,0,'4grandrapids.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (491,0,'4gre.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (492,0,'4greatfalls.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (493,0,'4greeley.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (494,0,'4greenbay.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (495,0,'4greensboro.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (496,0,'4greenville.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (497,0,'4greetingcards.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (498,0,'4groceries.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (499,0,'4grooms.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (500,0,'4guitars.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (501,0,'4gulfcoast.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (502,0,'4gulfport.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (503,0,'4gymnastics.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (504,0,'4hagerstown.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (505,0,'4hair.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (506,0,'4hairloss.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (507,0,'4halloween.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (508,0,'4hampton.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (509,0,'4handbags.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (510,0,'4hanukkah.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (511,0,'4hardware.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (512,0,'4harrisburg.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (513,0,'4hartford.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (514,0,'4hats.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (515,0,'4hayward.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (516,0,'4headaches.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (517,0,'4headhunters.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (518,0,'4healthandfitness.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (519,0,'4healthfood.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (520,0,'4healthinfo.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (521,0,'4healthinsurance.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (522,0,'4healthymen.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (523,0,'4healthywomen.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (524,0,'4heartburn.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (525,0,'4heavymetal.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (526,0,'4henderson.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (527,0,'4her.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (528,0,'4herbs.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (529,0,'4heroes.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (530,0,'4hickory.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (531,0,'4highschools.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (532,0,'4hiking.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (533,0,'4hiphop.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (534,0,'4history.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (535,0,'4hmos.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (536,0,'4hobbies.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (537,0,'4hockey.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (538,0,'4holidays.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (539,0,'4holocaust.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (540,0,'4home.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (541,0,'4homebrew.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (542,0,'4homebusiness.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (543,0,'4homeequity.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (544,0,'4homeimprovement.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (545,0,'4homeoffice.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (546,0,'4homeopathy.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (547,0,'4homeowners.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (548,0,'4homepages.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (549,0,'4homeschooling.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (550,0,'4homesick.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (551,0,'4honeymoons.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (552,0,'4honolulu.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (553,0,'4horoscopes.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (554,0,'4horror.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (555,0,'4horses.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (556,0,'4hospitals.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (557,0,'4hostels.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (558,0,'4hotel.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (559,0,'4hotlines.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (560,0,'4hotrods.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (561,0,'4hotsprings.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (562,0,'4hottubs.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (563,0,'4houses.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (564,0,'4how2.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (565,0,'4howardstern.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (566,0,'4humanrights.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (567,0,'4huntington.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (568,0,'4huntingtonbeach.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (569,0,'4huntsville.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (570,0,'4hurricanes.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (571,0,'4icecream.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (572,0,'4independence.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (573,0,'4independenceday.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (574,0,'4indianapolis.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (575,0,'4indierock.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (576,0,'4indigestion.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (577,0,'4industrialmusic.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (578,0,'4industrialsupplies.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (579,0,'4industry.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (580,0,'4information.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (581,0,'4inglewood.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (582,0,'4inns.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (583,0,'4insects.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (584,0,'4insomnia.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (585,0,'4inspiration.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (586,0,'4instantmessaging.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (587,0,'4instruments.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (588,0,'4interest.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (589,0,'4interiordesign.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (590,0,'4internet.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (591,0,'4internetservice.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (592,0,'4internships.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (593,0,'4intranet.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (594,0,'4investing.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (595,0,'4investmentadvice.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (596,0,'4invitations.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (597,0,'4iowacity.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (598,0,'4ipo.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (599,0,'4irvine.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (600,0,'4irving.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (601,0,'4islands.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (602,0,'4italianfood.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (603,0,'4jackson.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (604,0,'4jacksonville.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (605,0,'4jamestown.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (606,0,'4janesville.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (607,0,'4javascript.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (608,0,'4jazz.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (609,0,'4jeans.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (610,0,'4jerseycity.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (611,0,'4jewelry.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (612,0,'4johnstown.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (613,0,'4jokes.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (614,0,'4joplin.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (615,0,'4journalism.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (616,0,'4journals.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (617,0,'4jpegs.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (618,0,'4judaism.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (619,0,'4kalamazoo.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (620,0,'4kankakee.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (621,0,'4kansascity.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (622,0,'4keywest.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (623,0,'4kidshealth.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (624,0,'4kidstuff.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (625,0,'4killeen.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (626,0,'4kingofprussia.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (627,0,'4kingsport.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (628,0,'4kites.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (629,0,'4knoxville.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (630,0,'4kokomo.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (631,0,'4kosher.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (632,0,'4lacrosse.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (633,0,'4lafayette.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (634,0,'4lakecharles.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (635,0,'4lakeland.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (636,0,'4lakeplacid.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (637,0,'4lakewood.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (638,0,'4lancaster.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (639,0,'4landscaping.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (640,0,'4lansing.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (641,0,'4laredo.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (642,0,'4lascruces.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (643,0,'4laserprinters.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (644,0,'4lasvegas.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (645,0,'4lateshoppers.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (646,0,'4lawns.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (647,0,'4lawrence.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (648,0,'4lawschools.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (649,0,'4lawton.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (650,0,'4learning.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (651,0,'4leasing.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (652,0,'4leather.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (653,0,'4legal.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (654,0,'4legalinsurance.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (655,0,'4lewiston.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (656,0,'4lexington.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (657,0,'4libraries.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (658,0,'4lifeinsurance.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (659,0,'4lima.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (660,0,'4limos.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (661,0,'4lincoln.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (662,0,'4linedancing.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (663,0,'4lingerie.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (664,0,'4liquor.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (665,0,'4littlerock.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (666,0,'4liveevents.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (667,0,'4livonia.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (668,0,'4loans4.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (669,0,'4london.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (670,0,'4longbeach.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (671,0,'4longdistance.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (672,0,'4longisland.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (673,0,'4longview.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (674,0,'4losangeles.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (675,0,'4lottery.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (676,0,'4lowell.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (677,0,'4lubbock.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (678,0,'4luggage.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (679,0,'4lunchtime.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (680,0,'4lynchburg.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (681,0,'4macon.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (682,0,'4macs.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (683,0,'4madison.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (684,0,'4magazines.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (685,0,'4malls.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (686,0,'4malpractice.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (687,0,'4management.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (688,0,'4manchester.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (689,0,'4mansfield.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (690,0,'4maps.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (691,0,'4markets.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (692,0,'4marriage.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (693,0,'4martialarts.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (694,0,'4massage.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (695,0,'4maui.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (696,0,'4mba.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (697,0,'4mcallen.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (698,0,'4meat.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (699,0,'4medford.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (700,0,'4mediation.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (701,0,'4medicalbooks.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (702,0,'4medicine.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (703,0,'4medschools.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (704,0,'4meetings.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (705,0,'4melbourne.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (706,0,'4memorialday.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (707,0,'4memphis.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (708,0,'4merced.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (709,0,'4mesa.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (710,0,'4mesquite.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (711,0,'4miami.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (712,0,'4microbrew.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (713,0,'4middleages.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (714,0,'4midi.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (715,0,'4midland.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (716,0,'4milan.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (717,0,'4military.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (718,0,'4minneapolis.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (719,0,'4missoula.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (720,0,'4mobile.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (721,0,'4mobsters.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (722,0,'4modelbuilders.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (723,0,'4models.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (724,0,'4modems.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (725,0,'4modernart.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (726,0,'4modesto.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (727,0,'4mom.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (728,0,'4monaco.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (729,0,'4monitors.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (730,0,'4monroe.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (731,0,'4monterey.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (732,0,'4montgomery.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (733,0,'4montreal.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (734,0,'4morenovalley.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (735,0,'4mortgage.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (736,0,'4motels.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (737,0,'4motherboards.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (738,0,'4mothersday.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (739,0,'4motivation.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (740,0,'4motorcycles.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (741,0,'4motorhomes.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (742,0,'4mountainbikes.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (743,0,'4mountains.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (744,0,'4movie.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (745,0,'4moviestars.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (746,0,'4moving.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (747,0,'4mp3audio.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (748,0,'4muncie.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (749,0,'4museums.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (750,0,'4musicals.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (751,0,'4musicians.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (752,0,'4muskegon.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (753,0,'4mutualfunds.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (754,0,'4mythology.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (755,0,'4nantucket.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (756,0,'4napavalley.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (757,0,'4naperville.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (758,0,'4nashville.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (759,0,'4nationalparks.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (760,0,'4naturalfoods.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (761,0,'4naturalproducts.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (762,0,'4netbanks.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (763,0,'4netnames.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (764,0,'4newage.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (765,0,'4newagemusic.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (766,0,'4newark.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (767,0,'4newbedford.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (768,0,'4newcars.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (769,0,'4newengland.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (770,0,'4newhaven.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (771,0,'4newhomes.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (772,0,'4newlondon.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (773,0,'4neworleans.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (774,0,'4newport.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (775,0,'4newportnews.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (776,0,'4news.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (777,0,'4newsgroups.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (778,0,'4newsletters.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (779,0,'4newspapers.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (780,0,'4newsupdates.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (781,0,'4newyear.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (782,0,'4newyork.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (783,0,'4nonfiction.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (784,0,'4nonprofits.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (785,0,'4norfolk.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (786,0,'4norwalk.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (787,0,'4notebooks.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (788,0,'4novelties.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (789,0,'4nurses.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (790,0,'4nuts.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (791,0,'4oakland.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (792,0,'4obituaries.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (793,0,'4ocala.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (794,0,'4oceanside.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (795,0,'4oddities.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (796,0,'4odds.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (797,0,'4odessa.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (798,0,'4officesupplies.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (799,0,'4oklahomacity.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (800,0,'4oliveoil.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (801,0,'4olympia.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (802,0,'4omaha.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (803,0,'4onlineinvestment.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (804,0,'4ontario.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (805,0,'4opera.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (806,0,'4opportunities.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (807,0,'4options.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (808,0,'4orange.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (809,0,'4orangecounty.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (810,0,'4organizers.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (811,0,'4orlando.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (812,0,'4outdoors.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (813,0,'4outerbanks.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (814,0,'4overlandpark.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (815,0,'4overnight.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (816,0,'4owensboro.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (817,0,'4oxnard.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (818,0,'4packaging.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (819,0,'4pager.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (820,0,'4palmdale.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (821,0,'4palmsprings.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (822,0,'4panamacity.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (823,0,'4paper.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (824,0,'4paris.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (825,0,'4parkcity.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (826,0,'4parkersburg.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (827,0,'4parks.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (828,0,'4party.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (829,0,'4pasadena.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (830,0,'4pascagoula.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (831,0,'4pasta.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (832,0,'4patentinfo.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (833,0,'4paterson.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (834,0,'4patios.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (835,0,'4payroll.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (836,0,'4pcs.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (837,0,'4pdas.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (838,0,'4pembrokepines.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (839,0,'4penpals.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (840,0,'4pens.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (841,0,'4pensacola.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (842,0,'4pensions.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (843,0,'4people.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (844,0,'4peoria.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (845,0,'4perfume.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (846,0,'4personalinjury.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (847,0,'4petcare.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (848,0,'4petites.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (849,0,'4pharmaceutical.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (850,0,'4philadelphia.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (851,0,'4phoenix.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (852,0,'4phonenumbers.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (853,0,'4photography.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (854,0,'4physicians.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (855,0,'4pilots.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (856,0,'4pinebluff.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (857,0,'4pittsburgh.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (858,0,'4pittsfield.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (859,0,'4pizzas.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (860,0,'4plano.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (861,0,'4plants.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (862,0,'4pms.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (863,0,'4poetry.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (864,0,'4politicalparties.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (865,0,'4politics.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (866,0,'4pomona.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (867,0,'4ponds.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (868,0,'4pools.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (869,0,'4pop.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (870,0,'4portland.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (871,0,'4portsmouth.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (872,0,'4poster.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (873,0,'4poughkeepsie.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (874,0,'4powertools.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (875,0,'4prague.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (876,0,'4pregnancy.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (877,0,'4president.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (878,0,'4press.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (879,0,'4printers.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (880,0,'4programming.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (881,0,'4proms.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (882,0,'4providence.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (883,0,'4provo.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (884,0,'4prowrestling.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (885,0,'4psychology.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (886,0,'4publicrelations.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (887,0,'4pueblo.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (888,0,'4punkrock.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (889,0,'4puzzles.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (890,0,'4quitsmoking.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (891,0,'4quotes.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (892,0,'4racetracks.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (893,0,'4radio.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (894,0,'4raleigh.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (895,0,'4raleighdurham.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (896,0,'4ram.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (897,0,'4ramadan.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (898,0,'4ranchocucamonga.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (899,0,'4randb.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (900,0,'4rapidcity.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (901,0,'4reading.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (902,0,'4realestate.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (903,0,'4recipes.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (904,0,'4records.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (905,0,'4redding.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (906,0,'4redrocks.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (907,0,'4reference.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (908,0,'4refinancing.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (909,0,'4reggae.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (910,0,'4religion.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (911,0,'4reminders.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (912,0,'4reno.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (913,0,'4rental.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (914,0,'4republicans.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (915,0,'4resorts.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (916,0,'4resumes.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (917,0,'4retail.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (918,0,'4retirement.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (919,0,'4retirementplanning.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (920,0,'4richland.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (921,0,'4richmond.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (922,0,'4rings.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (923,0,'4riotravel.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (924,0,'4riverside.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (925,0,'4roadtrips.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (926,0,'4rochester.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (927,0,'4rock.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (928,0,'4rockclimbing.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (929,0,'4rockford.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (930,0,'4rockvillecentre.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (931,0,'4rodeo.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (932,0,'4rollerblading.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (933,0,'4rollercoasters.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (934,0,'4romance.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (935,0,'4rome.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (936,0,'4runners.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (937,0,'4sacramento.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (938,0,'4safari.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (939,0,'4safety.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (940,0,'4saginaw.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (941,0,'4sailing.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (942,0,'4salem.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (943,0,'4salinas.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (944,0,'4salsa.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (945,0,'4saltlakecity.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (946,0,'4sanangelo.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (947,0,'4sanantonio.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (948,0,'4sanbernardino.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (949,0,'4sanbuenaventura.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (950,0,'4sandiego.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (951,0,'4sanfrancisco.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (952,0,'4sanjose.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (953,0,'4santa.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (954,0,'4santaana.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (955,0,'4santaclarita.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (956,0,'4santafe.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (957,0,'4santarosa.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (958,0,'4saratogasprings.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (959,0,'4sats.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (960,0,'4savannah.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (961,0,'4savings.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (962,0,'4scanners.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (963,0,'4scarves.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (964,0,'4scholarships.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (965,0,'4school.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (966,0,'4scifi.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (967,0,'4scores.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (968,0,'4scottsdale.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (969,0,'4scranton.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (970,0,'4screensavers.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (971,0,'4scuba.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (972,0,'4seafood.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (973,0,'4search.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (974,0,'4seashore.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (975,0,'4seattle.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (976,0,'4securities.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (977,0,'4sedona.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (978,0,'4selfhelp.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (979,0,'4seniors.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (980,0,'4shakespeare.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (981,0,'4shareware.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (982,0,'4sharon.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (983,0,'4sheboygan.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (984,0,'4sherman.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (985,0,'4shirts.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (986,0,'4shoes.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (987,0,'4shopping.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (988,0,'4shreveport.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (989,0,'4signs.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (990,0,'4silkflowers.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (991,0,'4silver.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (992,0,'4simivalley.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (993,0,'4singing.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (994,0,'4siouxcity.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (995,0,'4siouxfalls.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (996,0,'4skateboarding.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (997,0,'4skiing.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (998,0,'4skincare.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (999,0,'4skis.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1000,0,'4snacks.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1001,0,'4sneakers.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1002,0,'4snowboarding.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1003,0,'4soapoperas.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1004,0,'4soccer.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1005,0,'4socialstudies.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1006,0,'4sociology.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1007,0,'4softball.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1008,0,'4songs.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1009,0,'4southbend.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1010,0,'4spas.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1011,0,'4specialtyfoods.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1012,0,'4spices.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1013,0,'4spokane.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1014,0,'4sportfishing.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1015,0,'4sportinggoods.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1016,0,'4sportsnews.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1017,0,'4sportsschedules.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1018,0,'4sportswear.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1019,0,'4spring.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1020,0,'4springbreak.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1021,0,'4springfield.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1022,0,'4springwater.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1023,0,'4stadiums.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1024,0,'4stamford.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1025,0,'4stamps.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1026,0,'4stargazing.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1027,0,'4stars.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1028,0,'4statecollege.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1029,0,'4stationery.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1030,0,'4stcloud.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1031,0,'4steak.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1032,0,'4steamboatsprings.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1033,0,'4stereos.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1034,0,'4sterlingheights.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1035,0,'4steubenville.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1036,0,'4stjoseph.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1037,0,'4stlouis.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1038,0,'4stock.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1039,0,'4stockmarket.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1040,0,'4stockquotes.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1041,0,'4stockton.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1042,0,'4stpatricksday.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1043,0,'4stpaul.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1044,0,'4stpetersburg.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1045,0,'4stress.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1046,0,'4studyabroad.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1047,0,'4substanceabuse.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1048,0,'4subways.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1049,0,'4summer.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1050,0,'4summervacation.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1051,0,'4sunglasses.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1052,0,'4sunnyvale.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1053,0,'4superbowl.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1054,0,'4surfing.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1055,0,'4sweepstakes.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1056,0,'4swimming.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1057,0,'4swing.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1058,0,'4switzerland.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1059,0,'4syracuse.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1060,0,'4tabloids.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1061,0,'4tacoma.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1062,0,'4talentagencies.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1063,0,'4talkradio.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1064,0,'4talkshows.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1065,0,'4tallahassee.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1066,0,'4tampa.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1067,0,'4tattoos.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1068,0,'4taxes.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1069,0,'4tea.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1070,0,'4teams.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1071,0,'4technology.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1072,0,'4teenagers.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1073,0,'4telecommuting.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1074,0,'4teleconference.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1075,0,'4telemarketing.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1076,0,'4tempe.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1077,0,'4temps.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1078,0,'4tennis.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1079,0,'4terrehaute.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1080,0,'4texarkana.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1081,0,'4thanksgiving.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1082,0,'4the50s.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1083,0,'4the60s.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1084,0,'4the70s.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1085,0,'4the80s.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1086,0,'4the90s.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1087,0,'4theater.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1088,0,'4thecoldwar.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1089,0,'4themeparks.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1090,0,'4themillennium.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1091,0,'4thepersonals.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1092,0,'4thousandoaks.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1093,0,'4tickets.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1094,0,'4ties.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1095,0,'4time.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1096,0,'4timeshares.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1097,0,'4tires.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1098,0,'4toledo.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1099,0,'4top40.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1100,0,'4topeka.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1101,0,'4toronto.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1102,0,'4torrance.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1103,0,'4toys.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1104,0,'4trade.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1105,0,'4traffic.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1106,0,'4training.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1107,0,'4trains.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1108,0,'4travel2.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1109,0,'4travelagencies.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1110,0,'4travelbooks.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1111,0,'4travelers.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1112,0,'4trenton.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1113,0,'4trivia.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1114,0,'4tropicalvacations.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1115,0,'4trucks.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1116,0,'4tshirts.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1117,0,'4tucson.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1118,0,'4tulsa.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1119,0,'4tuscaloosa.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1120,0,'4tuxedos.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1121,0,'4tv.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1122,0,'4tvshows.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1123,0,'4twins.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1124,0,'4tyler.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1125,0,'4umbrellas.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1126,0,'4unions.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1127,0,'4universities.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1128,0,'4urbanlegends.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1129,0,'4usedcars.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1130,0,'4utica.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1131,0,'4vacation.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1132,0,'4vacationhomes.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1133,0,'4vail.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1134,0,'4valentine.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1135,0,'4vallejo.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1136,0,'4vancouver.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1137,0,'4vcrs.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1138,0,'4vegetarians.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1139,0,'4venice.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1140,0,'4venturecapital.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1141,0,'4veterans.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1142,0,'4vets.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1143,0,'4victoria.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1144,0,'4videocassettes.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1145,0,'4videogames.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1146,0,'4vietnamwar.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1147,0,'4vinegar.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1148,0,'4virginiabeach.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1149,0,'4virtual.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1150,0,'4virus.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1151,0,'4visalia.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1152,0,'4visualbasic.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1153,0,'4vitamins.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1154,0,'4volleyball.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1155,0,'4volunteer.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1156,0,'4waco.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1157,0,'4wallstreet.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1158,0,'4warren.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1159,0,'4washingtondc.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1160,0,'4watches.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1161,0,'4waterbury.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1162,0,'4watercraft.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1163,0,'4waterfront.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1164,0,'4waterloo.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1165,0,'4waterskiing.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1166,0,'4watersports.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1167,0,'4wausau.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1168,0,'4wavfiles.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1169,0,'4weather.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1170,0,'4webcams.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1171,0,'4webdesign.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1172,0,'4webhosting.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1173,0,'4webmalls.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1174,0,'4wedding.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1175,0,'4weightloss.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1176,0,'4westcovina.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1177,0,'4westpalmbeach.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1178,0,'4whitepages.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1179,0,'4wholesale.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1180,0,'4wichita.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1181,0,'4wichitafalls.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1182,0,'4williamsburg.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1183,0,'4williamsport.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1184,0,'4wilmington.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1185,0,'4windows.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1186,0,'4windsurfing.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1187,0,'4wine.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1188,0,'4winecountry.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1189,0,'4winston-salem.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1190,0,'4winter.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1191,0,'4wirelessdevices.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1192,0,'4woodworking.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1193,0,'4worcester.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1194,0,'4workingmothers.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1195,0,'4worldrecords.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1196,0,'4worldwarii.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1197,0,'4worstofweb.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1198,0,'4writers.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1199,0,'4y2kbug.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1200,0,'4yellowpages.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1201,0,'4yellowstone.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1202,0,'4yoga.comYoga','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1203,0,'4york.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1204,0,'4youngstown.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1205,0,'4yuma.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1206,0,'4yuma.comn2.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1207,0,'4zoos.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1208,0,'909mail.dk','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1209,0,'abcflash.net','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1210,0,'accountant.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1211,0,'adexec.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1212,0,'aggies.org','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1213,0,'allergist.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1214,0,'alumidirector.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1215,0,'AmExMail.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1216,0,'apexmail.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1217,0,'archeologist.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1218,0,'arrl.net','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1219,0,'asia.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1220,0,'AWSearch.zzn.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1221,0,'basemail.com.br','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1222,0,'beer.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1223,0,'berkscounty.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1224,0,'bigfoot.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1225,0,'bimamail.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1226,0,'bstar.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1227,0,'caramail.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1228,0,'cheerful.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1229,0,'chemist.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1230,0,'clerk.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1231,0,'collectiblesuperstore.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1232,0,'columnist.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1233,0,'comic.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1234,0,'compaqsucks.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1235,0,'coolmail.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1236,0,'coolmail.net','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1237,0,'counselor.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1238,0,'crosswinds.net','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1239,0,'cruddybuddy.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1240,0,'deliveryman.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1241,0,'diplomats.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1242,0,'dot.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1243,0,'dr.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1244,0,'dragoncon.net','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1245,0,'eastmail.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1246,0,'email.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1247,0,'email.ro','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1248,0,'emumail.net','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1249,0,'engineer.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1250,0,'europe.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1251,0,'execs.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1252,0,'financier.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1253,0,'flashmail.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1254,0,'fnmail.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1255,0,'francemel.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1256,0,'freemail.c3.hu','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1257,0,'freemail.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1258,0,'freemail.nl','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1259,0,'freeweb.essenet.it','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1260,0,'gardener.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1261,0,'geocities.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1262,0,'geologist.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1263,0,'gmail.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1264,0,'gmx.net','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1265,0,'gnwmail.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1266,0,'go.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1267,0,'goplay.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1268,0,'gotoworld.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1269,0,'grabmail.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1270,0,'graphicdesigner.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1271,0,'hello.net.au','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1272,0,'hotmail.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1273,0,'hotpop.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1274,0,'india.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1275,0,'insurer.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1276,0,'joinme.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1277,0,'journalist.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1278,0,'joymail.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1279,0,'juno.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1280,0,'kitty.cc','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1281,0,'lawyer.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1282,0,'legislator.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1283,0,'liquidinformation.net','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1284,0,'lobbyist.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1285,0,'loja.net','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1286,0,'lycosmail.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1287,0,'mad.scientist.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1288,0,'mail.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1289,0,'mail.forum.dk','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1290,0,'mail.kitty.cc','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1291,0,'mailandnews.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1292,0,'mailbr.com.br','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1293,0,'mailcity.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1294,0,'mailexcite.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1295,0,'mailgo.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1296,0,'mailroom.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1297,0,'mailstart.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1298,0,'mauimail.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1299,0,'milmail.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1300,0,'minister.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1301,0,'mixmail.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1302,0,'mygale.org','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1303,0,'mymail.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1304,0,'n2.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1305,0,'n2mail.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1306,0,'netscape.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1307,0,'optician.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1308,0,'pediatrician.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1309,0,'pinoymail.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1310,0,'podox.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1311,0,'podox.sk','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1312,0,'politician.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1313,0,'post.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1314,0,'post.cz','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1315,0,'postmark.net','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1316,0,'postmaster.co.uk','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1317,0,'pplmail.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1318,0,'presidency.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1319,0,'priest.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1320,0,'publicist.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1321,0,'realtyagent.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1322,0,'registerednurses.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1323,0,'representative.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1324,0,'rescueteam.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1325,0,'rocketmail.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1326,0,'sagra.lu','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1327,0,'scientist.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1328,0,'sociologist.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1329,0,'start.com.au','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1330,0,'supernews.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1331,0,'talk21.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1332,0,'techie.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1333,0,'thefreesite.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1334,0,'themail.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1335,0,'tripod.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1336,0,'umpire.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1337,0,'underwriters.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1338,0,'usa.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1339,0,'usa.net','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1340,0,'uymail.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1341,0,'writeme.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1342,0,'xoom.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1343,0,'yahoo.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1344,0,'zdnetmail.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1345,0,'zensearch.com','banned e-mail',NULL,NULL,NULL);
INSERT INTO `bans` VALUES (1346,0,'zipmail.com.br','banned e-mail',NULL,NULL,NULL);
/*!40000 ALTER TABLE `bans` ENABLE KEYS */;

--
-- Table structure for table `batch_log`
--

DROP TABLE IF EXISTS `batch_log`;


CREATE TABLE `batch_log` (
  `batch_log_id` int(10) unsigned NOT NULL auto_increment,
  `batch_date_created` int(10) unsigned default NULL,
  `batch_sum_approved` decimal(10,2) default '0.00',
  `batch_sum_declined` decimal(10,2) default '0.00',
  `batch_sum_error` decimal(10,2) default '0.00',
  `batch_num_approved` smallint(5) unsigned default NULL,
  `batch_num_declined` smallint(5) unsigned default NULL,
  `batch_num_error` smallint(5) unsigned default NULL,
  PRIMARY KEY  (`batch_log_id`),
  KEY `batch_date_created` (`batch_date_created`)
) ENGINE=MyISAM;


--
-- Dumping data for table `batch_log`
--

/*!40000 ALTER TABLE `batch_log` DISABLE KEYS */;
/*!40000 ALTER TABLE `batch_log` ENABLE KEYS */;

--
-- Table structure for table `bookmarks`
--

DROP TABLE IF EXISTS `bookmarks`;


CREATE TABLE `bookmarks` (
  `bookmark_id` int(8) unsigned NOT NULL auto_increment,
  `admin_id` smallint(5) unsigned default NULL,
  `client_id` int(8) unsigned default NULL,
  `bookmark_url` text,
  `bookmark_action` varchar(60) default NULL,
  `bookmark_args` varchar(255) default NULL,
  `bookmark_name` varchar(50) default NULL,
  `bookmark_target` varchar(20) default NULL,
  `bookmark_window_width` smallint(5) unsigned default NULL,
  `bookmark_window_height` smallint(5) unsigned default NULL,
  `bookmark_count` int(8) unsigned default NULL,
  PRIMARY KEY  (`bookmark_id`),
  KEY `client_id` (`client_id`),
  KEY `admin_id` (`admin_id`)
) ENGINE=MyISAM;


--
-- Dumping data for table `bookmarks`
--

/*!40000 ALTER TABLE `bookmarks` DISABLE KEYS */;
/*!40000 ALTER TABLE `bookmarks` ENABLE KEYS */;

--
-- Table structure for table `callback_log`
--

DROP TABLE IF EXISTS `callback_log`;


CREATE TABLE `callback_log` (
  `callback_log_id` int(10) unsigned NOT NULL auto_increment,
  `callback_log_type` tinyint(3) unsigned default NULL,
  `callback_log_transaction_id` varchar(255) default NULL,
  `callback_log_parent_transaction_id` varchar(255) default NULL,
  `callback_log_action` varchar(100) default NULL,
  `callback_log_action_status` varchar(100) default NULL,
  `client_id` int(8) unsigned default NULL,
  `billing_account_id` int(10) unsigned default NULL,
  `transaction_id` int(10) unsigned default NULL,
  `subscription_id` int(8) unsigned default NULL,
  `config_group_id` int(8) unsigned default NULL,
  `callback_log_date_created` int(10) unsigned default NULL,
  PRIMARY KEY  (`callback_log_id`),
  KEY `callback_log_type` (`callback_log_type`),
  KEY `callback_log_transaction_id` (`callback_log_transaction_id`),
  KEY `callback_log_parent_transaction_id` (`callback_log_parent_transaction_id`),
  KEY `callback_log_action` (`callback_log_action`),
  KEY `callback_log_action_status` (`callback_log_action_status`),
  KEY `client_id` (`client_id`),
  KEY `billing_account_id` (`billing_account_id`),
  KEY `transaction_id` (`transaction_id`),
  KEY `subscription_id` (`subscription_id`),
  KEY `config_group_id` (`config_group_id`),
  KEY `callback_log_date_created` (`callback_log_date_created`)
) ENGINE=MyISAM;


--
-- Dumping data for table `callback_log`
--

/*!40000 ALTER TABLE `callback_log` DISABLE KEYS */;
/*!40000 ALTER TABLE `callback_log` ENABLE KEYS */;

--
-- Table structure for table `callback_log_attributes`
--

DROP TABLE IF EXISTS `callback_log_attributes`;


CREATE TABLE `callback_log_attributes` (
  `callback_log_attribute_id` int(15) unsigned NOT NULL auto_increment,
  `callback_log_id` int(10) unsigned default NULL,
  `callback_log_attribute_name` varchar(255) default NULL,
  `callback_log_attribute_value` varchar(255) default NULL,
  PRIMARY KEY  (`callback_log_attribute_id`),
  KEY `callback_log_id` (`callback_log_id`),
  KEY `callback_log_attribute_name` (`callback_log_attribute_name`)
) ENGINE=MyISAM;


--
-- Dumping data for table `callback_log_attributes`
--

/*!40000 ALTER TABLE `callback_log_attributes` DISABLE KEYS */;
/*!40000 ALTER TABLE `callback_log_attributes` ENABLE KEYS */;

--
-- Table structure for table `client_attributes`
--

DROP TABLE IF EXISTS `client_attributes`;


CREATE TABLE `client_attributes` (
  `client_attribute_id` int(10) unsigned NOT NULL auto_increment,
  `client_id` int(8) unsigned default NULL,
  `order_form_id` smallint(5) unsigned default NULL,
  `attribute_id` int(10) unsigned default NULL,
  `client_attribute_value` varchar(255) default NULL,
  PRIMARY KEY  (`client_attribute_id`),
  KEY `client_id` (`client_id`),
  KEY `order_form_id` (`order_form_id`),
  KEY `attribute_id` (`attribute_id`)
) ENGINE=MyISAM;


--
-- Dumping data for table `client_attributes`
--

/*!40000 ALTER TABLE `client_attributes` DISABLE KEYS */;
/*!40000 ALTER TABLE `client_attributes` ENABLE KEYS */;

--
-- Table structure for table `client_billing_account_shares`
--

DROP TABLE IF EXISTS `client_billing_account_shares`;


CREATE TABLE `client_billing_account_shares` (
  `billing_account_share_id` int(10) unsigned NOT NULL auto_increment,
  `billing_account_id` int(10) unsigned default NULL,
  `package_id` int(10) unsigned default NULL,
  `billing_account_fallback_group` tinyint(3) unsigned default NULL,
  `billing_account_share_group` tinyint(3) unsigned default NULL,
  `billing_account_share_value` smallint(5) unsigned default NULL,
  PRIMARY KEY  (`billing_account_share_id`),
  KEY `billing_account_id` (`billing_account_id`),
  KEY `package_id` (`package_id`),
  KEY `billing_account_share_value` (`billing_account_share_value`),
  KEY `billing_account_fallback_group` (`billing_account_fallback_group`),
  KEY `billing_account_share_group` (`billing_account_share_group`)
) ENGINE=MyISAM;


--
-- Dumping data for table `client_billing_account_shares`
--

/*!40000 ALTER TABLE `client_billing_account_shares` DISABLE KEYS */;
/*!40000 ALTER TABLE `client_billing_account_shares` ENABLE KEYS */;

--
-- Table structure for table `client_billing_accounts`
--

DROP TABLE IF EXISTS `client_billing_accounts`;


CREATE TABLE `client_billing_accounts` (
  `billing_account_id` int(10) unsigned NOT NULL auto_increment,
  `prior_billing_account_id` int(10) unsigned default NULL,
  `billing_account_date_failed` int(10) unsigned default '0',
  `billing_account_historical` smallint(3) unsigned default '0',
  `client_contact_id` int(10) unsigned default NULL,
  `billing_card_name_on_card` varchar(255) default NULL,
  `billing_card_type` tinyint(3) unsigned default NULL,
  `billing_card_num` text,
  `billing_card_exp_month` tinyint(3) unsigned default NULL,
  `billing_card_exp_year` smallint(5) unsigned default NULL,
  `billing_card_issue_num` char(3) default NULL,
  `billing_card_start_date` varchar(255) default NULL,
  `protx_security_key` varchar(255) default NULL,
  `protx_transaction_code` varchar(255) default NULL,
  `protx_transaction_id` varchar(255) default NULL,
  `protx_authorization_code` varchar(255) default NULL,
  `velocitypay_cross_reference` varchar(50) default NULL,
  `velocitypay_auth_amount` decimal(10,2) unsigned default NULL,
  `billing_bank_type` varchar(25) default NULL,
  `billing_bank_name` varchar(50) default NULL,
  `billing_bank_aba_code` varchar(20) default NULL,
  `billing_bank_account_num` varchar(255) default NULL,
  `billing_bank_license_num` varchar(25) default NULL,
  `billing_bank_license_state` varchar(50) default NULL,
  `billing_bank_dob` varchar(25) default NULL,
  `billing_bank_state` varchar(50) default NULL,
  `billing_account_num_last_four` varchar(4) default NULL,
  `billing_account_active` tinyint(1) unsigned default '1',
  `billing_account_type` tinyint(3) unsigned default NULL,
  `billing_account_status` tinyint(3) unsigned default '0',
  `sec_gateway_config_group_id` smallint(5) unsigned default NULL,
  PRIMARY KEY  (`billing_account_id`),
  KEY `client_contact_id` (`client_contact_id`),
  KEY `billing_account_type` (`billing_account_type`),
  KEY `billing_account_date_failed` (`billing_account_date_failed`),
  KEY `protx_security_key` (`protx_security_key`),
  KEY `protx_transaction_code` (`protx_transaction_code`),
  KEY `protx_transaction_id` (`protx_transaction_id`),
  KEY `sec_gateway_config_group_id` (`sec_gateway_config_group_id`),
  KEY `velocitypay_cross_reference` (`velocitypay_cross_reference`),
  KEY `billing_account_status` (`billing_account_status`),
  KEY `prior_billing_account_id` (`prior_billing_account_id`),
  KEY `billing_account_historical` (`billing_account_historical`)
) ENGINE=MyISAM;


--
-- Dumping data for table `client_billing_accounts`
--

/*!40000 ALTER TABLE `client_billing_accounts` DISABLE KEYS */;
/*!40000 ALTER TABLE `client_billing_accounts` ENABLE KEYS */;

--
-- Table structure for table `client_change_log`
--

DROP TABLE IF EXISTS `client_change_log`;


CREATE TABLE `client_change_log` (
  `change_log_id` int(10) unsigned NOT NULL auto_increment,
  `client_id` int(8) unsigned default NULL,
  `change_log_db_table_name` varchar(100) default NULL,
  `change_log_db_table_pk` varchar(50) default NULL,
  `change_log_db_table_pkvalue` varchar(50) default NULL,
  `change_log_column_name` varchar(100) default NULL,
  `change_log_old_value` longtext,
  `change_log_new_value` longtext,
  `change_log_action_by` tinyint(3) unsigned default NULL,
  `change_log_action_who` int(10) unsigned default NULL,
  `parent_change_log_id` int(10) unsigned default NULL,
  `change_log_date_created` int(10) unsigned default NULL,
  PRIMARY KEY  (`change_log_id`),
  KEY `client_id` (`client_id`),
  KEY `change_log_date_created` (`change_log_date_created`)
) ENGINE=MyISAM;


--
-- Dumping data for table `client_change_log`
--

/*!40000 ALTER TABLE `client_change_log` DISABLE KEYS */;
/*!40000 ALTER TABLE `client_change_log` ENABLE KEYS */;

--
-- Table structure for table `client_children_rel`
--

DROP TABLE IF EXISTS `client_children_rel`;


CREATE TABLE `client_children_rel` (
  `client_id` int(8) unsigned NOT NULL default '0',
  `child_client_id` int(8) unsigned NOT NULL default '0',
  PRIMARY KEY  (`client_id`,`child_client_id`)
) ENGINE=MyISAM;


--
-- Dumping data for table `client_children_rel`
--

/*!40000 ALTER TABLE `client_children_rel` DISABLE KEYS */;
/*!40000 ALTER TABLE `client_children_rel` ENABLE KEYS */;

--
-- Table structure for table `client_contact_session_rel`
--

DROP TABLE IF EXISTS `client_contact_session_rel`;


CREATE TABLE `client_contact_session_rel` (
  `client_contact_id` int(10) unsigned NOT NULL default '0',
  `session_id` varchar(40) NOT NULL default '',
  PRIMARY KEY  (`client_contact_id`,`session_id`)
) ENGINE=MyISAM;


--
-- Dumping data for table `client_contact_session_rel`
--

/*!40000 ALTER TABLE `client_contact_session_rel` DISABLE KEYS */;
/*!40000 ALTER TABLE `client_contact_session_rel` ENABLE KEYS */;

--
-- Table structure for table `client_contacts`
--

DROP TABLE IF EXISTS `client_contacts`;


CREATE TABLE `client_contacts` (
  `client_contact_id` int(10) unsigned NOT NULL auto_increment,
  `client_id` int(8) unsigned default NULL,
  `contact_username` varchar(75) default NULL,
  `contact_password` varchar(255) default NULL,
  `contact_temp_password` varchar(255) default NULL,
  `contact_first_name` varchar(100) default NULL,
  `contact_last_name` varchar(100) default NULL,
  `contact_email` varchar(100) default NULL,
  `contact_email_format` tinyint(3) unsigned default NULL,
  `contact_email_invoice_pdf` tinyint(3) unsigned default NULL,
  `contact_company` varchar(100) default NULL,
  `contact_address_1` varchar(100) default NULL,
  `contact_address_2` varchar(100) default NULL,
  `contact_city` varchar(100) default NULL,
  `contact_county` varchar(100) default '',
  `contact_state` varchar(100) default NULL,
  `contact_zip` varchar(100) default NULL,
  `language_id` smallint(5) unsigned default NULL,
  `countries_id` smallint(5) unsigned default NULL,
  `contact_phone1` varchar(25) default NULL,
  `contact_phone2` varchar(25) default NULL,
  `contact_fax` varchar(25) default NULL,
  `contact_mobile_phone` varchar(25) default NULL,
  `contact_date_created` int(10) unsigned default NULL,
  `contact_primary` tinyint(3) unsigned default NULL,
  `contact_active` tinyint(1) unsigned default '1',
  `contact_external_id_1` varchar(50) default NULL,
  `contact_external_id_2` varchar(50) default NULL,
  `contact_external_id_3` varchar(50) default NULL,
  `contact_use_specified_email_rules_only` tinyint(1) default '0',
  PRIMARY KEY  (`client_contact_id`),
  UNIQUE KEY `contact_username` (`contact_username`),
  KEY `client_id` (`client_id`),
  KEY `contact_password` (`contact_password`),
  KEY `contact_first_name` (`contact_first_name`),
  KEY `contact_last_name` (`contact_last_name`),
  KEY `contact_email` (`contact_email`),
  KEY `language_id` (`language_id`),
  KEY `countries_id` (`countries_id`),
  KEY `contact_primary` (`contact_primary`),
  KEY `contact_active` (`contact_active`)
) ENGINE=MyISAM;


--
-- Dumping data for table `client_contacts`
--

/*!40000 ALTER TABLE `client_contacts` DISABLE KEYS */;
/*!40000 ALTER TABLE `client_contacts` ENABLE KEYS */;

--
-- Table structure for table `client_group_rel`
--

DROP TABLE IF EXISTS `client_group_rel`;


CREATE TABLE `client_group_rel` (
  `client_id` int(8) unsigned NOT NULL default '0',
  `client_group_id` int(8) unsigned NOT NULL default '0',
  PRIMARY KEY  (`client_id`,`client_group_id`)
) ENGINE=MyISAM;


--
-- Dumping data for table `client_group_rel`
--

/*!40000 ALTER TABLE `client_group_rel` DISABLE KEYS */;
/*!40000 ALTER TABLE `client_group_rel` ENABLE KEYS */;

--
-- Table structure for table `client_groups`
--

DROP TABLE IF EXISTS `client_groups`;


CREATE TABLE `client_groups` (
  `client_group_id` int(8) unsigned NOT NULL auto_increment,
  `client_group_name` varchar(50) default NULL,
  PRIMARY KEY  (`client_group_id`)
) ENGINE=MyISAM;


--
-- Dumping data for table `client_groups`
--

/*!40000 ALTER TABLE `client_groups` DISABLE KEYS */;
/*!40000 ALTER TABLE `client_groups` ENABLE KEYS */;

--
-- Table structure for table `client_notes`
--

DROP TABLE IF EXISTS `client_notes`;


CREATE TABLE `client_notes` (
  `client_note_id` int(8) unsigned NOT NULL auto_increment,
  `client_id` int(8) unsigned default NULL,
  `admin_id` smallint(5) unsigned default NULL,
  `client_note_date_created` int(10) unsigned default NULL,
  `client_note_date_modified` int(10) unsigned default NULL,
  `client_note_text` longtext,
  PRIMARY KEY  (`client_note_id`),
  KEY `client_id` (`client_id`),
  KEY `admin_id` (`admin_id`)
) ENGINE=MyISAM;


--
-- Dumping data for table `client_notes`
--

/*!40000 ALTER TABLE `client_notes` DISABLE KEYS */;
/*!40000 ALTER TABLE `client_notes` ENABLE KEYS */;

--
-- Table structure for table `clients`
--

DROP TABLE IF EXISTS `clients`;


CREATE TABLE `clients` (
  `client_id` int(8) unsigned NOT NULL auto_increment,
  `company_id` smallint(5) unsigned default NULL,
  `client_company` varchar(100) default NULL,
  `client_status` smallint(5) unsigned default NULL,
  `client_status_reason` varchar(255) default NULL,
  `apply_tax` tinyint(3) unsigned default NULL,
  `tax_id_number` varchar(50) default NULL,
  `theme_id` smallint(5) unsigned default NULL,
  `countries_id` smallint(5) unsigned default NULL,
  `client_active` tinyint(1) unsigned default '1',
  `client_mail_invoices` tinyint(1) unsigned default '0',
  `group_id` int(10) unsigned default NULL,
  `client_billing_day` tinyint(2) unsigned default '0',
  `default_billing_account_id` int(10) unsigned default '0',
  `client_date_created` decimal(17,7) unsigned default NULL,
  `client_date_cancelled` int(10) unsigned default NULL,
  `client_signup_ip` bigint(20) default '0',
  `client_last_ip` bigint(20) default '0',
  PRIMARY KEY  (`client_id`),
  KEY `client_status` (`client_status`),
  KEY `client_active` (`client_active`),
  KEY `company_id` (`company_id`),
  KEY `countries_id` (`countries_id`),
  KEY `client_date_cancelled` (`client_date_cancelled`)
) ENGINE=MyISAM;


--
-- Dumping data for table `clients`
--

/*!40000 ALTER TABLE `clients` DISABLE KEYS */;
/*!40000 ALTER TABLE `clients` ENABLE KEYS */;

--
-- Table structure for table `companies`
--

DROP TABLE IF EXISTS `companies`;


CREATE TABLE `companies` (
  `company_id` smallint(5) unsigned NOT NULL auto_increment,
  `company_name` varchar(50) default NULL,
  `company_short_description` text,
  `company_description` text,
  `company_url` varchar(255) default NULL,
  `company_client_url` varchar(255) default NULL,
  `company_order_url` varchar(255) default NULL,
  `company_email` varchar(100) default NULL,
  `company_address_1` varchar(100) default NULL,
  `company_address_2` varchar(100) default NULL,
  `company_city` varchar(100) default NULL,
  `company_state` varchar(100) default NULL,
  `company_zip` varchar(100) default NULL,
  `countries_id` smallint(5) unsigned default NULL,
  `company_phone1` varchar(25) default NULL,
  `company_phone2` varchar(25) default NULL,
  `company_fax` varchar(25) default NULL,
  `company_tax_id_number` varchar(50) default NULL,
  PRIMARY KEY  (`company_id`),
  KEY `company_name` (`company_name`),
  KEY `company_tax_id_number` (`company_tax_id_number`)
) ENGINE=MyISAM AUTO_INCREMENT=2;


--
-- Dumping data for table `companies`
--

/*!40000 ALTER TABLE `companies` DISABLE KEYS */;
INSERT INTO `companies` VALUES (1,'COMPANYNAME','COMPANYDESCRIPTION','','COMPANYURL','http://localhost/cvs/app-modernbill-client/','http://localhost/cvs/app-modernbill-order/','','','','','','',225,'','','',NULL);
/*!40000 ALTER TABLE `companies` ENABLE KEYS */;

--
-- Table structure for table `company_admin_group_rel`
--

DROP TABLE IF EXISTS `company_admin_group_rel`;


CREATE TABLE `company_admin_group_rel` (
  `company_id` smallint(5) unsigned NOT NULL default '0',
  `admin_group_id` smallint(5) unsigned NOT NULL default '0',
  PRIMARY KEY  (`company_id`,`admin_group_id`)
) ENGINE=MyISAM;


--
-- Dumping data for table `company_admin_group_rel`
--

/*!40000 ALTER TABLE `company_admin_group_rel` DISABLE KEYS */;
/*!40000 ALTER TABLE `company_admin_group_rel` ENABLE KEYS */;

--
-- Table structure for table `company_admin_rel`
--

DROP TABLE IF EXISTS `company_admin_rel`;


CREATE TABLE `company_admin_rel` (
  `company_id` smallint(5) unsigned NOT NULL default '0',
  `admin_id` smallint(5) unsigned NOT NULL default '0',
  PRIMARY KEY  (`company_id`,`admin_id`)
) ENGINE=MyISAM;


--
-- Dumping data for table `company_admin_rel`
--

/*!40000 ALTER TABLE `company_admin_rel` DISABLE KEYS */;
/*!40000 ALTER TABLE `company_admin_rel` ENABLE KEYS */;

--
-- Table structure for table `company_client_group_rel`
--

DROP TABLE IF EXISTS `company_client_group_rel`;


CREATE TABLE `company_client_group_rel` (
  `company_id` smallint(5) unsigned NOT NULL default '0',
  `client_group_id` int(8) unsigned NOT NULL default '0',
  PRIMARY KEY  (`company_id`,`client_group_id`)
) ENGINE=MyISAM;


--
-- Dumping data for table `company_client_group_rel`
--

/*!40000 ALTER TABLE `company_client_group_rel` DISABLE KEYS */;
/*!40000 ALTER TABLE `company_client_group_rel` ENABLE KEYS */;

--
-- Table structure for table `company_news_rel`
--

DROP TABLE IF EXISTS `company_news_rel`;


CREATE TABLE `company_news_rel` (
  `company_id` smallint(5) unsigned NOT NULL default '0',
  `news_id` int(8) unsigned NOT NULL default '0',
  PRIMARY KEY  (`company_id`,`news_id`)
) ENGINE=MyISAM;


--
-- Dumping data for table `company_news_rel`
--

/*!40000 ALTER TABLE `company_news_rel` DISABLE KEYS */;
/*!40000 ALTER TABLE `company_news_rel` ENABLE KEYS */;

--
-- Table structure for table `company_product_rel`
--

DROP TABLE IF EXISTS `company_product_rel`;


CREATE TABLE `company_product_rel` (
  `company_id` smallint(5) unsigned NOT NULL default '0',
  `product_id` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`company_id`,`product_id`)
) ENGINE=MyISAM;


--
-- Dumping data for table `company_product_rel`
--

/*!40000 ALTER TABLE `company_product_rel` DISABLE KEYS */;
/*!40000 ALTER TABLE `company_product_rel` ENABLE KEYS */;

--
-- Table structure for table `config_groups`
--

DROP TABLE IF EXISTS `config_groups`;


CREATE TABLE `config_groups` (
  `config_group_id` smallint(5) unsigned NOT NULL auto_increment,
  `parent_config_group_id` smallint(5) unsigned default NULL,
  `config_group_name` varchar(100) default NULL,
  `config_group_icon` varchar(25) default NULL,
  `config_group_trans_key` varchar(80) default NULL,
  `config_group_order` smallint(5) unsigned default NULL,
  `config_group_locked` tinyint(3) unsigned default NULL,
  `config_group_action_file` varchar(25) default NULL,
  `config_group_action_name` varchar(50) default NULL,
  PRIMARY KEY  (`config_group_id`),
  KEY `parent_config_group_id` (`parent_config_group_id`),
  KEY `config_group_name` (`config_group_name`),
  KEY `config_group_locked` (`config_group_locked`)
) ENGINE=MyISAM AUTO_INCREMENT=80;


--
-- Dumping data for table `config_groups`
--

/*!40000 ALTER TABLE `config_groups` DISABLE KEYS */;
INSERT INTO `config_groups` VALUES (1,0,'system','040.gif','TRANS_SYSTEM_SETTINGS',1,1,NULL,NULL);
INSERT INTO `config_groups` VALUES (2,1,'internal','','',0,1,'','');
INSERT INTO `config_groups` VALUES (4,1,'encryption','','TRANS_ENCRYPTION_SETTINGS',2,1,'configs.php','EditEncryptionConfigs');
INSERT INTO `config_groups` VALUES (5,1,'admin','','TRANS_ADMIN_SETTINGS',3,1,'admins.php','ShowAdmins');
INSERT INTO `config_groups` VALUES (6,1,'migration','','TRANS_MIGRATION_SETTINGS',4,1,'migrate.php','MigrateIntro');
INSERT INTO `config_groups` VALUES (7,1,'company','','TRANS_COMPANY_SETTINGS',5,1,'companies.php','EditCompany');
INSERT INTO `config_groups` VALUES (8,1,'versions','','TRANS_VERSIONS',6,1,'','');
INSERT INTO `config_groups` VALUES (9,0,'payment','041.gif','TRANS_PAYMENT_SETTINGS',2,1,NULL,NULL);
INSERT INTO `config_groups` VALUES (10,9,'paymentGroups','','TRANS_PAYMENT_GROUPS',2,1,'paymentgroups.php','ShowPaymentGroups');
INSERT INTO `config_groups` VALUES (11,10,'gateway','','TRANS_GATEWAY_MODULES',2,1,'','');
INSERT INTO `config_groups` VALUES (12,9,'paymentQueue','','TRANS_PAYMENT_QUEUE',3,1,'','');
INSERT INTO `config_groups` VALUES (13,9,'clientSidePaymentOptions','','TRANS_CLIENT_SIDE_PAYMENT_OPTIONS',4,1,'','');
INSERT INTO `config_groups` VALUES (14,9,'virtualTerminal','','TRANS_VIRTUAL_TERMINALS',2,1,'paymentgroups.php','ShowVirtualTerminals');
INSERT INTO `config_groups` VALUES (15,0,'order','045.gif','TRANS_ORDER_SETTINGS',6,1,NULL,NULL);
INSERT INTO `config_groups` VALUES (16,15,'orderforms','','TRANS_ORDER_FORM_SETTINGS',1,1,'orderforms.php','ShowOrderForms');
INSERT INTO `config_groups` VALUES (17,16,'0','','TRANS_ORDER_FORM',1,1,'orderforms.php','ShowOrderForms');
INSERT INTO `config_groups` VALUES (18,15,'fraudsets','','TRANS_MANAGE_FRAUD_SETTINGS',2,1,'fraudsets.php','ShowFraudSets');
INSERT INTO `config_groups` VALUES (20,15,'attributes','','TRANS_CUSTOM_ATTRIBUTES',2,1,'orderforms.php','ShowAttributes');
INSERT INTO `config_groups` VALUES (21,0,'server','043.gif','TRANS_SERVER_SETTINGS',4,1,NULL,NULL);
INSERT INTO `config_groups` VALUES (22,21,'serverGroups','','TRANS_SERVER_GROUP_SETTINGS',2,1,'servergroups.php','ShowServerGroups');
INSERT INTO `config_groups` VALUES (23,22,'panel','','TRANS_SERVER_MODULES',2,1,'','');
INSERT INTO `config_groups` VALUES (24,23,'generic','','TRANS_PANEL_GENERIC',1,1,NULL,NULL);
INSERT INTO `config_groups` VALUES (25,23,'directadmin','','TRANS_PANEL_DIRECTADMIN',2,1,NULL,NULL);
INSERT INTO `config_groups` VALUES (26,23,'pleskunix','','TRANS_PANEL_PLESKUNIX',3,1,NULL,NULL);
INSERT INTO `config_groups` VALUES (27,23,'cpanel','','TRANS_PANEL_CPANEL',4,1,NULL,NULL);
INSERT INTO `config_groups` VALUES (28,23,'helm','','TRANS_PANEL_HELM',5,1,NULL,NULL);
INSERT INTO `config_groups` VALUES (29,23,'ensim','','TRANS_PANEL_ENSIM',6,1,NULL,NULL);
INSERT INTO `config_groups` VALUES (30,23,'tcadmin','','TRANS_PANEL_TCADMIN',7,1,NULL,NULL);
INSERT INTO `config_groups` VALUES (31,23,'freeradius','','TRANS_PANEL_FREERADIUS',8,1,NULL,NULL);
INSERT INTO `config_groups` VALUES (32,23,'hostopia','','TRANS_PANEL_HOSTOPIA',9,1,NULL,NULL);
INSERT INTO `config_groups` VALUES (33,23,'interworx','','TRANS_PANEL_INTERWORX',10,1,NULL,NULL);
INSERT INTO `config_groups` VALUES (34,21,'modules','','TRANS_MODULES',2,1,'modules.php','ShowSystemModuleInfo');
INSERT INTO `config_groups` VALUES (35,0,'product','047.gif','TRANS_PRODUCT_SETTINGS_CONFIGURATION',8,1,NULL,NULL);
INSERT INTO `config_groups` VALUES (36,35,'generic','','TRANS_PRODUCT_SETTINGS',1,1,'products.php','ShowProducts');
INSERT INTO `config_groups` VALUES (37,35,'managementrules','','TRANS_PRODUCT_MANAGEMENT_SETTINGS',1,1,'','');
INSERT INTO `config_groups` VALUES (38,35,'cycles','','TRANS_CYCLE_SETTINGS',1,1,'products.php','ShowCycles');
INSERT INTO `config_groups` VALUES (39,0,'domain','042.gif','TRANS_DOMAIN_SETTINGS',3,1,NULL,NULL);
INSERT INTO `config_groups` VALUES (40,39,'tlds','','TRANS_DOMAIN_TLD_SETTINGS',1,1,'products.php','ShowTLDs');
INSERT INTO `config_groups` VALUES (41,39,'sync','','TRANS_DOMAIN_SYNC_SETTINGS',2,1,'','');
INSERT INTO `config_groups` VALUES (42,39,'registrar','','TRANS_REGISTRAR_MODULES',3,1,'registrars.php','ShowRegistrars');
INSERT INTO `config_groups` VALUES (43,42,'generic','','TRANS_REGISTRAR_GENERIC',1,1,NULL,NULL);
INSERT INTO `config_groups` VALUES (44,42,'enom','','TRANS_REGISTRAR_ENOM',2,1,'modules.php','EditRegistrarConfig');
INSERT INTO `config_groups` VALUES (45,42,'registercom','','TRANS_REGISTRAR_REGISTERCOM',2,1,'modules.php','EditRegistrarConfig');
INSERT INTO `config_groups` VALUES (46,42,'opensrs','','TRANS_REGISTRAR_OPENSRS',2,1,'modules.php','EditRegistrarConfig');
INSERT INTO `config_groups` VALUES (47,0,'billing','044.gif','TRANS_BILLING_SETTINGS',5,1,NULL,NULL);
INSERT INTO `config_groups` VALUES (48,47,'invoice','','TRANS_INVOICE_SETTINGS',3,1,'','');
INSERT INTO `config_groups` VALUES (49,47,'tax','','TRANS_TAX_SETTINGS',2,1,'taxes.php','ShowTaxZones');
INSERT INTO `config_groups` VALUES (50,47,'prepaydiscounts','','TRANS_PREPAY_DISCOUNT_TIERS',2,1,'configs.php','ShowPrepayDiscounts');
INSERT INTO `config_groups` VALUES (51,0,'email','046.gif','TRANS_EMAIL_SETTINGS',7,1,NULL,NULL);
INSERT INTO `config_groups` VALUES (52,51,'emailSettings','','TRANS_EMAIL_SETTINGS',4,1,'modules.php','EditEmailConfig');
INSERT INTO `config_groups` VALUES (53,51,'templates','','TRANS_EMAIL_TEMPLATE_GROUPS',2,1,'emails.php','ShowEmailTemplateGroups');
INSERT INTO `config_groups` VALUES (54,0,'automation','048.gif','TRANS_AUTOMATION_SETTINGS',9,1,NULL,NULL);
INSERT INTO `config_groups` VALUES (55,54,'systemQueue','','TRANS_SYSTEM_QUEUE_SETTINGS',1,1,'','');
INSERT INTO `config_groups` VALUES (56,54,'ipqueue','','TRANS_IP_QUEUE_SETTINGS',2,1,'servers.php','ShowIPLog');
INSERT INTO `config_groups` VALUES (57,54,'autoSuspension','','TRANS_AUTOSUSPEND_SETTINGS',4,1,'','');
INSERT INTO `config_groups` VALUES (58,0,'userSettings','049.gif','TRANS_USER_SETTINGS',10,1,NULL,NULL);
INSERT INTO `config_groups` VALUES (59,58,'display','','TRANS_USER_SETTINGS',1,1,'','');
INSERT INTO `config_groups` VALUES (60,58,'forums','','TRANS_FORUMS_SETTINGS',3,1,'','');
INSERT INTO `config_groups` VALUES (61,58,'themes','','TRANS_THEME_SETTINGS',4,1,'themes.php','ShowThemes');
INSERT INTO `config_groups` VALUES (62,0,'other','050.gif','TRANS_OTHER_SETTINGS',11,1,NULL,NULL);
INSERT INTO `config_groups` VALUES (63,62,'faq','','TRANS_FAQ_SETTINGS',1,1,'','');
INSERT INTO `config_groups` VALUES (64,62,'news','','TRANS_NEWS_SETTINGS',2,1,'','');
INSERT INTO `config_groups` VALUES (65,62,'affiliates','','TRANS_AFFILIATE_MODULES',3,1,'','');
INSERT INTO `config_groups` VALUES (66,62,'fraud','','TRANS_FRAUD_MODULES',4,1,NULL,NULL);
INSERT INTO `config_groups` VALUES (67,66,'fraudguardian','','TRANS_OTHER_MODULES_FRAUDGUARDIAN',1,1,'modules.php','EditFraudGuardianConfig');
INSERT INTO `config_groups` VALUES (68,67,'0','','FraudGuardian',1,0,'modules.php','EditFraudCallConfig');
INSERT INTO `config_groups` VALUES (72,62,'ssl','','TRANS_SSL_MODULES',6,1,NULL,NULL);
INSERT INTO `config_groups` VALUES (73,72,'sslfactory','','TRANS_SSL_MODULES_SSLFACTORY',1,1,'modules.php','EditSSLFactoryConfig');
INSERT INTO `config_groups` VALUES (74,26,'0',NULL,'PleskUnix',1,0,NULL,NULL);
INSERT INTO `config_groups` VALUES (75,11,'paypal',NULL,'TRANS_PAYPAL',1,1,NULL,NULL);
INSERT INTO `config_groups` VALUES (76,75,'0',NULL,'PayPal',1,0,NULL,NULL);
INSERT INTO `config_groups` VALUES (77,23,'pleskwin','','TRANS_PANEL_PLESKWIN',3,1,NULL,NULL);
INSERT INTO `config_groups` VALUES (78,77,'0',NULL,'PleskWin',1,0,NULL,NULL);
INSERT INTO `config_groups` VALUES (79,1,'sso','','TRANS_SSO_SYSTEM_SETTINGS',1,1,'configs.php','EditSSOConfig');
/*!40000 ALTER TABLE `config_groups` ENABLE KEYS */;

--
-- Table structure for table `config_param_values`
--

DROP TABLE IF EXISTS `config_param_values`;


CREATE TABLE `config_param_values` (
  `config_param_value_id` int(10) unsigned NOT NULL auto_increment,
  `config_param_id` int(10) unsigned default NULL,
  `config_param_value_name` varchar(75) default NULL,
  `config_param_value_trans_key` varchar(80) default NULL,
  `config_param_value_order` tinyint(3) unsigned default NULL,
  PRIMARY KEY  (`config_param_value_id`),
  KEY `config_param_id` (`config_param_id`),
  KEY `config_param_value_order` (`config_param_value_order`)
) ENGINE=MyISAM AUTO_INCREMENT=281;


--
-- Dumping data for table `config_param_values`
--

/*!40000 ALTER TABLE `config_param_values` DISABLE KEYS */;
INSERT INTO `config_param_values` VALUES (1,3,'0','TRANS_NO',1);
INSERT INTO `config_param_values` VALUES (2,3,'1','TRANS_YES',2);
INSERT INTO `config_param_values` VALUES (3,8,'charge','TRANS_CHARGE',1);
INSERT INTO `config_param_values` VALUES (4,8,'auth','TRANS_AUTH_ONLY',2);
INSERT INTO `config_param_values` VALUES (5,9,'0','TRANS_NO',1);
INSERT INTO `config_param_values` VALUES (6,9,'1','TRANS_YES',2);
INSERT INTO `config_param_values` VALUES (7,10,'0','TRANS_NO',1);
INSERT INTO `config_param_values` VALUES (8,10,'1','TRANS_YES',2);
INSERT INTO `config_param_values` VALUES (9,11,'0','TRANS_NO',1);
INSERT INTO `config_param_values` VALUES (10,11,'1','TRANS_YES',2);
INSERT INTO `config_param_values` VALUES (11,12,'0','TRANS_NO',1);
INSERT INTO `config_param_values` VALUES (12,12,'1','TRANS_YES',2);
INSERT INTO `config_param_values` VALUES (13,13,'0','TRANS_NO',1);
INSERT INTO `config_param_values` VALUES (14,13,'1','TRANS_YES',2);
INSERT INTO `config_param_values` VALUES (15,14,'0','TRANS_NO',1);
INSERT INTO `config_param_values` VALUES (16,14,'1','TRANS_YES',2);
INSERT INTO `config_param_values` VALUES (17,15,'0','TRANS_NO',1);
INSERT INTO `config_param_values` VALUES (18,15,'1','TRANS_YES',2);
INSERT INTO `config_param_values` VALUES (19,18,'0','TRANS_NO',1);
INSERT INTO `config_param_values` VALUES (20,18,'1','TRANS_YES',2);
INSERT INTO `config_param_values` VALUES (21,19,'0','TRANS_NO',1);
INSERT INTO `config_param_values` VALUES (22,19,'1','TRANS_YES',2);
INSERT INTO `config_param_values` VALUES (23,20,'0','TRANS_NO',1);
INSERT INTO `config_param_values` VALUES (24,20,'1','TRANS_YES',2);
INSERT INTO `config_param_values` VALUES (25,21,'0','TRANS_NO',1);
INSERT INTO `config_param_values` VALUES (26,21,'1','TRANS_YES',2);
INSERT INTO `config_param_values` VALUES (27,22,'0','TRANS_NO',1);
INSERT INTO `config_param_values` VALUES (28,22,'1','TRANS_YES',2);
INSERT INTO `config_param_values` VALUES (29,23,'0','TRANS_NO',1);
INSERT INTO `config_param_values` VALUES (30,23,'1','TRANS_YES',2);
INSERT INTO `config_param_values` VALUES (31,24,'0','TRANS_NO',1);
INSERT INTO `config_param_values` VALUES (32,24,'1','TRANS_YES',2);
INSERT INTO `config_param_values` VALUES (33,25,'0','TRANS_NOW',1);
INSERT INTO `config_param_values` VALUES (34,25,'1','TRANS_END_OF_CYCLE',2);
INSERT INTO `config_param_values` VALUES (35,26,'0','TRANS_NO',1);
INSERT INTO `config_param_values` VALUES (36,26,'1','TRANS_YES',2);
INSERT INTO `config_param_values` VALUES (37,27,'0','TRANS_NO',1);
INSERT INTO `config_param_values` VALUES (38,27,'1','TRANS_YES',2);
INSERT INTO `config_param_values` VALUES (39,28,'0','TRANS_NO',1);
INSERT INTO `config_param_values` VALUES (40,28,'1','TRANS_YES',2);
INSERT INTO `config_param_values` VALUES (41,29,'0','TRANS_NO',1);
INSERT INTO `config_param_values` VALUES (42,29,'1','TRANS_YES',2);
INSERT INTO `config_param_values` VALUES (43,30,'0','TRANS_NOW',1);
INSERT INTO `config_param_values` VALUES (44,30,'1','TRANS_END_OF_CYCLE',2);
INSERT INTO `config_param_values` VALUES (45,31,'0','TRANS_NO',1);
INSERT INTO `config_param_values` VALUES (46,31,'1','TRANS_YES',2);
INSERT INTO `config_param_values` VALUES (47,32,'0','TRANS_NO',1);
INSERT INTO `config_param_values` VALUES (48,32,'1','TRANS_YES',2);
INSERT INTO `config_param_values` VALUES (49,33,'0','TRANS_NO',1);
INSERT INTO `config_param_values` VALUES (50,33,'1','TRANS_YES',2);
INSERT INTO `config_param_values` VALUES (51,34,'0','TRANS_NO',1);
INSERT INTO `config_param_values` VALUES (52,34,'1','TRANS_YES',2);
INSERT INTO `config_param_values` VALUES (53,36,'0','TRANS_NO',1);
INSERT INTO `config_param_values` VALUES (54,36,'1','TRANS_YES',2);
INSERT INTO `config_param_values` VALUES (55,40,'0','TRANS_NO',1);
INSERT INTO `config_param_values` VALUES (56,40,'1','TRANS_YES',2);
INSERT INTO `config_param_values` VALUES (57,41,'0','TRANS_NO',1);
INSERT INTO `config_param_values` VALUES (58,41,'1','TRANS_YES',2);
INSERT INTO `config_param_values` VALUES (59,42,'0','TRANS_NO',1);
INSERT INTO `config_param_values` VALUES (60,42,'1','TRANS_YES',2);
INSERT INTO `config_param_values` VALUES (61,43,'0','TRANS_DISABLED',1);
INSERT INTO `config_param_values` VALUES (62,43,'1','TRANS_REGISTRAR_AUTORENEW',2);
INSERT INTO `config_param_values` VALUES (63,43,'2','TRANS_MODERNBILL_RENEW',3);
INSERT INTO `config_param_values` VALUES (64,44,'0','TRANS_NO',1);
INSERT INTO `config_param_values` VALUES (65,44,'1','TRANS_YES',2);
INSERT INTO `config_param_values` VALUES (66,45,'0','TRANS_NO',1);
INSERT INTO `config_param_values` VALUES (67,45,'1','TRANS_YES',2);
INSERT INTO `config_param_values` VALUES (68,46,'0','TRANS_NO',1);
INSERT INTO `config_param_values` VALUES (69,46,'1','TRANS_YES',2);
INSERT INTO `config_param_values` VALUES (70,47,'0','TRANS_NO',1);
INSERT INTO `config_param_values` VALUES (71,47,'1','TRANS_YES',2);
INSERT INTO `config_param_values` VALUES (72,48,'0','TRANS_NO',1);
INSERT INTO `config_param_values` VALUES (73,48,'1','TRANS_YES',2);
INSERT INTO `config_param_values` VALUES (74,49,'0','TRANS_NO',1);
INSERT INTO `config_param_values` VALUES (75,49,'1','TRANS_YES',2);
INSERT INTO `config_param_values` VALUES (76,50,'0','TRANS_NO',1);
INSERT INTO `config_param_values` VALUES (77,50,'1','TRANS_YES',2);
INSERT INTO `config_param_values` VALUES (78,51,'0','TRANS_NO',1);
INSERT INTO `config_param_values` VALUES (79,51,'1','TRANS_YES',2);
INSERT INTO `config_param_values` VALUES (80,52,'0','TRANS_NO',1);
INSERT INTO `config_param_values` VALUES (81,52,'1','TRANS_YES',2);
INSERT INTO `config_param_values` VALUES (82,53,'0','TRANS_NO',1);
INSERT INTO `config_param_values` VALUES (83,53,'1','TRANS_YES',2);
INSERT INTO `config_param_values` VALUES (84,94,'0','TRANS_NO',1);
INSERT INTO `config_param_values` VALUES (85,94,'1','TRANS_YES',2);
INSERT INTO `config_param_values` VALUES (86,98,'0','TRANS_NO',1);
INSERT INTO `config_param_values` VALUES (87,98,'1','TRANS_YES',2);
INSERT INTO `config_param_values` VALUES (88,99,'0','TRANS_NO',1);
INSERT INTO `config_param_values` VALUES (89,99,'1','TRANS_YES',2);
INSERT INTO `config_param_values` VALUES (90,100,'0','TRANS_NO',1);
INSERT INTO `config_param_values` VALUES (91,100,'1','TRANS_YES',2);
INSERT INTO `config_param_values` VALUES (92,101,'0','TRANS_DISABLED',1);
INSERT INTO `config_param_values` VALUES (93,101,'1','TRANS_REGISTRAR_AUTORENEW',2);
INSERT INTO `config_param_values` VALUES (94,101,'2','TRANS_MODERNBILL_RENEW',3);
INSERT INTO `config_param_values` VALUES (95,102,'0','TRANS_NO',1);
INSERT INTO `config_param_values` VALUES (96,102,'1','TRANS_YES',2);
INSERT INTO `config_param_values` VALUES (97,103,'0','TRANS_NO',1);
INSERT INTO `config_param_values` VALUES (98,103,'1','TRANS_YES',2);
INSERT INTO `config_param_values` VALUES (99,104,'0','TRANS_NO',1);
INSERT INTO `config_param_values` VALUES (100,104,'1','TRANS_YES',2);
INSERT INTO `config_param_values` VALUES (101,105,'0','TRANS_NO',1);
INSERT INTO `config_param_values` VALUES (102,105,'1','TRANS_YES',2);
INSERT INTO `config_param_values` VALUES (103,106,'0','TRANS_NO',1);
INSERT INTO `config_param_values` VALUES (104,106,'1','TRANS_YES',2);
INSERT INTO `config_param_values` VALUES (105,107,'0','TRANS_NO',1);
INSERT INTO `config_param_values` VALUES (106,107,'1','TRANS_YES',2);
INSERT INTO `config_param_values` VALUES (107,108,'0','TRANS_NO',1);
INSERT INTO `config_param_values` VALUES (108,108,'1','TRANS_YES',2);
INSERT INTO `config_param_values` VALUES (109,109,'0','TRANS_NO',1);
INSERT INTO `config_param_values` VALUES (110,109,'1','TRANS_YES',2);
INSERT INTO `config_param_values` VALUES (111,110,'0','TRANS_NO',1);
INSERT INTO `config_param_values` VALUES (112,110,'1','TRANS_YES',2);
INSERT INTO `config_param_values` VALUES (113,111,'0','TRANS_NO',1);
INSERT INTO `config_param_values` VALUES (114,111,'1','TRANS_YES',2);
INSERT INTO `config_param_values` VALUES (115,152,'0','TRANS_NO',1);
INSERT INTO `config_param_values` VALUES (116,152,'1','TRANS_YES',2);
INSERT INTO `config_param_values` VALUES (117,157,'0','TRANS_NO',1);
INSERT INTO `config_param_values` VALUES (118,157,'1','TRANS_YES',2);
INSERT INTO `config_param_values` VALUES (119,158,'0','TRANS_NO',1);
INSERT INTO `config_param_values` VALUES (120,158,'1','TRANS_YES',2);
INSERT INTO `config_param_values` VALUES (121,159,'0','TRANS_NO',1);
INSERT INTO `config_param_values` VALUES (122,159,'1','TRANS_YES',2);
INSERT INTO `config_param_values` VALUES (123,160,'0','TRANS_DISABLED',1);
INSERT INTO `config_param_values` VALUES (124,160,'1','TRANS_REGISTRAR_AUTORENEW',2);
INSERT INTO `config_param_values` VALUES (125,160,'2','TRANS_MODERNBILL_RENEW',3);
INSERT INTO `config_param_values` VALUES (126,161,'0','TRANS_NO',1);
INSERT INTO `config_param_values` VALUES (127,161,'1','TRANS_YES',2);
INSERT INTO `config_param_values` VALUES (128,162,'0','TRANS_NO',1);
INSERT INTO `config_param_values` VALUES (129,162,'1','TRANS_YES',2);
INSERT INTO `config_param_values` VALUES (130,163,'0','TRANS_NO',1);
INSERT INTO `config_param_values` VALUES (131,163,'1','TRANS_YES',2);
INSERT INTO `config_param_values` VALUES (132,164,'0','TRANS_NO',1);
INSERT INTO `config_param_values` VALUES (133,164,'1','TRANS_YES',2);
INSERT INTO `config_param_values` VALUES (134,165,'0','TRANS_NO',1);
INSERT INTO `config_param_values` VALUES (135,165,'1','TRANS_YES',2);
INSERT INTO `config_param_values` VALUES (136,166,'0','TRANS_NO',1);
INSERT INTO `config_param_values` VALUES (137,166,'1','TRANS_YES',2);
INSERT INTO `config_param_values` VALUES (138,167,'0','TRANS_NO',1);
INSERT INTO `config_param_values` VALUES (139,167,'1','TRANS_YES',2);
INSERT INTO `config_param_values` VALUES (140,168,'0','TRANS_NO',1);
INSERT INTO `config_param_values` VALUES (141,168,'1','TRANS_YES',2);
INSERT INTO `config_param_values` VALUES (142,169,'0','TRANS_NO',1);
INSERT INTO `config_param_values` VALUES (143,169,'1','TRANS_YES',2);
INSERT INTO `config_param_values` VALUES (144,170,'0','TRANS_NO',1);
INSERT INTO `config_param_values` VALUES (145,170,'1','TRANS_YES',2);
INSERT INTO `config_param_values` VALUES (146,211,'anniversary','TRANS_ANNIVERSARY',1);
INSERT INTO `config_param_values` VALUES (147,211,'monthly','TRANS_MONTHLY',2);
INSERT INTO `config_param_values` VALUES (148,212,'1','1',1);
INSERT INTO `config_param_values` VALUES (149,212,'2','2',2);
INSERT INTO `config_param_values` VALUES (150,212,'3','3',3);
INSERT INTO `config_param_values` VALUES (151,212,'4','4',4);
INSERT INTO `config_param_values` VALUES (152,212,'5','5',5);
INSERT INTO `config_param_values` VALUES (153,212,'6','6',6);
INSERT INTO `config_param_values` VALUES (154,212,'7','7',7);
INSERT INTO `config_param_values` VALUES (155,212,'8','8',8);
INSERT INTO `config_param_values` VALUES (156,212,'9','9',9);
INSERT INTO `config_param_values` VALUES (157,212,'10','10',10);
INSERT INTO `config_param_values` VALUES (158,212,'11','11',11);
INSERT INTO `config_param_values` VALUES (159,212,'12','12',12);
INSERT INTO `config_param_values` VALUES (160,212,'13','13',13);
INSERT INTO `config_param_values` VALUES (161,212,'14','14',14);
INSERT INTO `config_param_values` VALUES (162,212,'15','15',15);
INSERT INTO `config_param_values` VALUES (163,212,'16','16',16);
INSERT INTO `config_param_values` VALUES (164,212,'17','17',17);
INSERT INTO `config_param_values` VALUES (165,212,'18','18',18);
INSERT INTO `config_param_values` VALUES (166,212,'19','19',19);
INSERT INTO `config_param_values` VALUES (167,212,'20','20',20);
INSERT INTO `config_param_values` VALUES (168,212,'21','21',21);
INSERT INTO `config_param_values` VALUES (169,212,'22','22',22);
INSERT INTO `config_param_values` VALUES (170,212,'23','23',23);
INSERT INTO `config_param_values` VALUES (171,212,'24','24',24);
INSERT INTO `config_param_values` VALUES (172,212,'25','25',25);
INSERT INTO `config_param_values` VALUES (173,212,'26','26',26);
INSERT INTO `config_param_values` VALUES (174,212,'27','27',27);
INSERT INTO `config_param_values` VALUES (175,212,'28','28',28);
INSERT INTO `config_param_values` VALUES (176,213,'1','1',1);
INSERT INTO `config_param_values` VALUES (177,213,'2','2',2);
INSERT INTO `config_param_values` VALUES (178,213,'3','3',3);
INSERT INTO `config_param_values` VALUES (179,213,'4','4',4);
INSERT INTO `config_param_values` VALUES (180,213,'5','5',5);
INSERT INTO `config_param_values` VALUES (181,213,'6','6',6);
INSERT INTO `config_param_values` VALUES (182,213,'7','7',7);
INSERT INTO `config_param_values` VALUES (183,213,'8','8',8);
INSERT INTO `config_param_values` VALUES (184,213,'9','9',9);
INSERT INTO `config_param_values` VALUES (185,213,'10','10',10);
INSERT INTO `config_param_values` VALUES (186,213,'11','11',11);
INSERT INTO `config_param_values` VALUES (187,213,'12','12',12);
INSERT INTO `config_param_values` VALUES (188,213,'13','13',13);
INSERT INTO `config_param_values` VALUES (189,213,'14','14',14);
INSERT INTO `config_param_values` VALUES (190,213,'15','15',15);
INSERT INTO `config_param_values` VALUES (191,213,'16','16',16);
INSERT INTO `config_param_values` VALUES (192,213,'17','17',17);
INSERT INTO `config_param_values` VALUES (193,213,'18','18',18);
INSERT INTO `config_param_values` VALUES (194,213,'19','19',19);
INSERT INTO `config_param_values` VALUES (195,213,'20','20',20);
INSERT INTO `config_param_values` VALUES (196,213,'21','21',21);
INSERT INTO `config_param_values` VALUES (197,213,'22','22',22);
INSERT INTO `config_param_values` VALUES (198,213,'23','23',23);
INSERT INTO `config_param_values` VALUES (199,213,'24','24',24);
INSERT INTO `config_param_values` VALUES (200,213,'25','25',25);
INSERT INTO `config_param_values` VALUES (201,213,'26','26',26);
INSERT INTO `config_param_values` VALUES (202,213,'27','27',27);
INSERT INTO `config_param_values` VALUES (203,213,'28','28',28);
INSERT INTO `config_param_values` VALUES (204,214,'0','TRANS_NO',1);
INSERT INTO `config_param_values` VALUES (205,214,'1','TRANS_YES',2);
INSERT INTO `config_param_values` VALUES (206,215,'0','TRANS_NO',1);
INSERT INTO `config_param_values` VALUES (207,215,'1','TRANS_YES',2);
INSERT INTO `config_param_values` VALUES (208,216,'0','TRANS_NO',1);
INSERT INTO `config_param_values` VALUES (209,216,'1','TRANS_YES',2);
INSERT INTO `config_param_values` VALUES (210,217,'0','TRANS_NO',1);
INSERT INTO `config_param_values` VALUES (211,217,'1','TRANS_YES',2);
INSERT INTO `config_param_values` VALUES (212,218,'0','TRANS_NO',1);
INSERT INTO `config_param_values` VALUES (213,218,'1','TRANS_YES',2);
INSERT INTO `config_param_values` VALUES (214,219,'%%ID%%','ID',1);
INSERT INTO `config_param_values` VALUES (215,219,'%%SEQ%%','SEQ, example: 123',2);
INSERT INTO `config_param_values` VALUES (216,219,'%%CURYEAR%%-%%ID%%','YEAR-ID, example: 01-2006-12345',3);
INSERT INTO `config_param_values` VALUES (217,219,'%%CURMONTH%%-%%CURYEAR%%-%%ID%%','MONTH-YEAR-ID, example: 01-2006-12345',4);
INSERT INTO `config_param_values` VALUES (218,219,'%%VATYEAR%%-%%ID%%','VATYEAR-ID, example: 10-2006-12345',5);
INSERT INTO `config_param_values` VALUES (219,219,'%%VATMONTH%%-%%VATYEAR%%-%%ID%%','VATMONTH-VATYEAR-ID, , example: 10-2006-12345',6);
INSERT INTO `config_param_values` VALUES (220,219,'%%CURYEAR%%-%%SEQ%%','YEAR-SEQ, example: 2006-1',7);
INSERT INTO `config_param_values` VALUES (221,219,'%%CURMONTH%%-%%CURYEAR%%-%%SEQ%%','MONTH-YEAR-SEQ, example: 01-2006-1',8);
INSERT INTO `config_param_values` VALUES (222,219,'%%VATYEAR%%-%%SEQ%%','VATYEAR-SEQ, example: 2006-1',9);
INSERT INTO `config_param_values` VALUES (223,219,'%%VATMONTH%%-%%VATYEAR%%-%%SEQ%%','VATMONTH-VATYEAR-SEQ, example: 10-2006-1',10);
INSERT INTO `config_param_values` VALUES (224,232,'0','TRANS_RUN_NO',1);
INSERT INTO `config_param_values` VALUES (225,232,'1','TRANS_RUN_NO_BALANCE',2);
INSERT INTO `config_param_values` VALUES (226,232,'2','TRANS_RUN_PAID',3);
INSERT INTO `config_param_values` VALUES (227,232,'3','TRANS_RUN_NOT_PAID',4);
INSERT INTO `config_param_values` VALUES (228,233,'0','TRANS_RUN_NO',1);
INSERT INTO `config_param_values` VALUES (229,233,'1','TRANS_RUN_NO_BALANCE',2);
INSERT INTO `config_param_values` VALUES (230,233,'2','TRANS_RUN_PAID',3);
INSERT INTO `config_param_values` VALUES (231,233,'3','TRANS_RUN_NOT_PAID',4);
INSERT INTO `config_param_values` VALUES (232,234,'0','TRANS_RUN_NO',1);
INSERT INTO `config_param_values` VALUES (233,234,'1','TRANS_RUN_NO_BALANCE',2);
INSERT INTO `config_param_values` VALUES (234,234,'2','TRANS_RUN_PAID',3);
INSERT INTO `config_param_values` VALUES (235,234,'3','TRANS_RUN_NOT_PAID',4);
INSERT INTO `config_param_values` VALUES (236,235,'0','TRANS_RUN_NO',1);
INSERT INTO `config_param_values` VALUES (237,235,'1','TRANS_RUN_NO_BALANCE',2);
INSERT INTO `config_param_values` VALUES (238,235,'2','TRANS_RUN_PAID',3);
INSERT INTO `config_param_values` VALUES (239,235,'3','TRANS_RUN_NOT_PAID',4);
INSERT INTO `config_param_values` VALUES (240,236,'0','TRANS_RUN_NO',1);
INSERT INTO `config_param_values` VALUES (241,236,'1','TRANS_RUN_NO_BALANCE',2);
INSERT INTO `config_param_values` VALUES (242,236,'2','TRANS_RUN_PAID',3);
INSERT INTO `config_param_values` VALUES (243,236,'3','TRANS_RUN_NOT_PAID',4);
INSERT INTO `config_param_values` VALUES (244,237,'0','TRANS_RUN_AFTER_PANEL',1);
INSERT INTO `config_param_values` VALUES (245,237,'1','TRANS_RUN_AFTER_PANEL_FAILURE',2);
INSERT INTO `config_param_values` VALUES (246,237,'2','TRANS_RUN_IGNORE_PANEL',3);
INSERT INTO `config_param_values` VALUES (247,239,'0','TRANS_NO',1);
INSERT INTO `config_param_values` VALUES (248,239,'1','TRANS_YES',2);
INSERT INTO `config_param_values` VALUES (249,244,'0','TRANS_NO',1);
INSERT INTO `config_param_values` VALUES (250,244,'1','TRANS_YES',2);
INSERT INTO `config_param_values` VALUES (251,245,'0','TRANS_NO',1);
INSERT INTO `config_param_values` VALUES (252,245,'1','TRANS_YES',2);
INSERT INTO `config_param_values` VALUES (253,246,'0','TRANS_NO',1);
INSERT INTO `config_param_values` VALUES (254,246,'1','TRANS_YES',2);
INSERT INTO `config_param_values` VALUES (255,247,'0','TRANS_NO',1);
INSERT INTO `config_param_values` VALUES (256,247,'1','TRANS_YES',2);
INSERT INTO `config_param_values` VALUES (257,248,'0','TRANS_NO',1);
INSERT INTO `config_param_values` VALUES (258,248,'1','TRANS_YES',2);
INSERT INTO `config_param_values` VALUES (259,249,'0','TRANS_NO',1);
INSERT INTO `config_param_values` VALUES (260,249,'1','TRANS_YES',2);
INSERT INTO `config_param_values` VALUES (261,250,'0','TRANS_NO',1);
INSERT INTO `config_param_values` VALUES (262,250,'1','TRANS_YES',2);
INSERT INTO `config_param_values` VALUES (263,251,'0','TRANS_NO',1);
INSERT INTO `config_param_values` VALUES (264,251,'1','TRANS_YES',2);
INSERT INTO `config_param_values` VALUES (265,278,'1','TRANS_YES',1);
INSERT INTO `config_param_values` VALUES (266,278,NULL,'TRANS_NO',1);
INSERT INTO `config_param_values` VALUES (267,283,'1','TRANS_YES',1);
INSERT INTO `config_param_values` VALUES (268,283,NULL,'TRANS_NO',1);
INSERT INTO `config_param_values` VALUES (269,284,'1','TRANS_PANEL_ACCOUNT_NAME_RULE_USER_INPUT',1);
INSERT INTO `config_param_values` VALUES (270,284,'3','TRANS_PANEL_ACCOUNT_NAME_RULE_FIRST_4DOMAIN_LAST1_TLD',3);
INSERT INTO `config_param_values` VALUES (271,284,'5','TRANS_PANEL_ACCOUNT_NAME_RULE_ADD_PREFIX',5);
INSERT INTO `config_param_values` VALUES (272,284,'6','TRANS_PANEL_ACCOUNT_NAME_RULE_ADD_SUFFIX',6);
INSERT INTO `config_param_values` VALUES (273,284,'7','TRANS_PANEL_ACCOUNT_NAME_RULE_ADD_SEQUENCE',7);
INSERT INTO `config_param_values` VALUES (274,284,'8','TRANS_PANEL_ACCOUNT_NAME_RULE_RANDOM',8);
INSERT INTO `config_param_values` VALUES (275,285,'1','TRANS_YES',1);
INSERT INTO `config_param_values` VALUES (276,285,NULL,'TRANS_NO',1);
INSERT INTO `config_param_values` VALUES (277,295,NULL,'TRANS_NO',1);
INSERT INTO `config_param_values` VALUES (278,295,'1','TRANS_YES',2);
INSERT INTO `config_param_values` VALUES (279,298,'0','TRANS_STACKING_PER_SERVER',1);
INSERT INTO `config_param_values` VALUES (280,298,'1','TRANS_DISABLE_STACKING',2);
/*!40000 ALTER TABLE `config_param_values` ENABLE KEYS */;

--
-- Table structure for table `config_params`
--

DROP TABLE IF EXISTS `config_params`;


CREATE TABLE `config_params` (
  `config_param_id` int(10) unsigned NOT NULL auto_increment,
  `config_group_id` smallint(5) unsigned default NULL,
  `config_param_name` varchar(100) default NULL,
  `config_param_value` text,
  `config_param_group_trans_key` varchar(80) default NULL,
  `config_param_trans_key` varchar(80) default NULL,
  `config_param_description` varchar(75) default NULL,
  `config_param_input_type` char(1) default NULL,
  `config_param_required` tinyint(3) unsigned default NULL,
  `config_param_order` smallint(5) unsigned default NULL,
  `config_param_locked` tinyint(3) unsigned default NULL,
  PRIMARY KEY  (`config_param_id`),
  KEY `config_group_id` (`config_group_id`),
  KEY `config_param_name` (`config_param_name`),
  KEY `config_param_required` (`config_param_required`)
) ENGINE=MyISAM AUTO_INCREMENT=299;


--
-- Dumping data for table `config_params`
--

/*!40000 ALTER TABLE `config_params` DISABLE KEYS */;
INSERT INTO `config_params` VALUES (1,2,'license','plesk',NULL,NULL,NULL,NULL,NULL,0,0);
INSERT INTO `config_params` VALUES (2,2,'registry_0000','',NULL,NULL,NULL,NULL,NULL,0,0);
INSERT INTO `config_params` VALUES (4,4,'encryption_agree','agree','','TRANS_ENCRYPTION_AGREE','TRANS_ENCRYPTION_AGREE_DESC','t',2,1,0);
INSERT INTO `config_params` VALUES (5,4,'encryption_hash','AxZBOKAt8C/f1GiiAC3wITm1ebA+x1VyDfdXV1/eybCCCbMbkgMYgS/QJ1daeBKD+lHViy3d7k1RcUERxfFybqRYQjbEImDP39hx7N6ai0nGw4rRHZaR+1Jsrkw1AcMvPIb4JDk=','','TRANS_ENCRYPTION_HASH','TRANS_ENCRYPTION_HASH_DESC','a',3,1,0);
INSERT INTO `config_params` VALUES (6,4,'lek_pin','Peett/+SAzrxyX2wWZBoe5SuTZOpPiXBDcg=','','TRANS_ENCRYPTION_LEK_PEN','TRANS_ENCRYPTION_LEK_PEN_DESC','p',4,1,0);
INSERT INTO `config_params` VALUES (7,8,'installVersion','6.0.0-1','','TRANS_INSTALL_VERSION','TRANS_INSTALL_VERSION_DESC','t',2,1,0);
INSERT INTO `config_params` VALUES (8,12,'transactionAction','charge','','TRANS_PAYMENT_QUEUE_ACTION','TRANS_PAYMENT_QUEUE_ACTION_DESC','s',1,1,0);
INSERT INTO `config_params` VALUES (9,12,'generateNew','1','','TRANS_PAYMENT_QUEUE_NEW','','r',1,1,0);
INSERT INTO `config_params` VALUES (10,12,'generateDeclined','1','','TRANS_PAYMENT_QUEUE_DECLINED','','r',1,2,0);
INSERT INTO `config_params` VALUES (11,12,'generateError','1','','TRANS_PAYMENT_QUEUE_ERROR','','r',1,3,0);
INSERT INTO `config_params` VALUES (12,12,'generateDueDateOnly','1','','TRANS_PAYMENT_QUEUE_DUE_DATE_ONLY','','r',1,4,0);
INSERT INTO `config_params` VALUES (13,12,'clearPaymentQueue','1','','TRANS_PAYMENT_QUEUE_CLEAR','TRANS_PAYMENT_QUEUE_CLEAR_DESC','r',1,5,0);
INSERT INTO `config_params` VALUES (14,12,'try_lesser_amounts','0','','TRANS_PAYMENT_QUEUE_TRY_LESSER_AMOUNTS','TRANS_PAYMENT_QUEUE_TRY_LESSER_AMOUNTS_DESC','r',1,6,0);
INSERT INTO `config_params` VALUES (15,12,'enable_advanced_share_editing','0','','TRANS_ENABLE_ADVANCED_PAYMENT_SHARE_EDITING','TRANS_ENABLE_ADVANCED_PAYMENT_SHARE_EDITING_DESC','r',1,6,0);
INSERT INTO `config_params` VALUES (16,12,'batch_run_offset','1','','TRANS_PAYMENT_QUEUE_BATCH_DAYS_BEFORE_DUE','TRANS_PAYMENT_QUEUE_BATCH_DAYS_BEFORE_DUE_DESC','t',1,7,0);
INSERT INTO `config_params` VALUES (17,12,'payment_queue_line_item_threshold','50','','TRANS_PAYMENT_QUEUE_LINE_ITEM_THRESHOLD','TRANS_PAYMENT_QUEUE_LINE_ITEM_THRESHOLD_DESC','t',1,8,0);
INSERT INTO `config_params` VALUES (18,13,'card','1','','TRANS_CREDIT_CARD_ACCOUNT','','r',1,1,0);
INSERT INTO `config_params` VALUES (19,13,'echeck','1','','TRANS_ECHECK_ACCOUNT','','r',1,1,0);
INSERT INTO `config_params` VALUES (20,13,'bank','1','','TRANS_BANK_DRAFT_ACCOUNT','','r',1,1,0);
INSERT INTO `config_params` VALUES (21,13,'manual','1','','TRANS_MANUAL_PAYMENT_ACCOUNT','','r',1,1,0);
INSERT INTO `config_params` VALUES (22,13,'secondary','1','','TRANS_THIRD_PARTY_GATEWAY_ACCOUNT','','r',1,1,0);
INSERT INTO `config_params` VALUES (23,13,'wire','1','','TRANS_WIRE_ACCOUNT','','r',1,1,0);
INSERT INTO `config_params` VALUES (24,37,'allowClientUpgrade','1','','TRANS_ALLOW_CLIENT_INITIATED_UPGRADES','','r',1,1,0);
INSERT INTO `config_params` VALUES (25,37,'whenUpgrade','1','','TRANS_WHEN_SHOULD_CLIENT_INITIATED_UPGRADES_OCCUR','','r',1,2,0);
INSERT INTO `config_params` VALUES (26,37,'applyUpgradeCredits','1','','TRANS_APPLY_CREDITS_FOR_IMMEDIATE_UPGRADES','','r',1,2,0);
INSERT INTO `config_params` VALUES (27,37,'provisionUpgrades','1','','TRANS_PROVISION_UPGRADES','','r',1,2,0);
INSERT INTO `config_params` VALUES (28,37,'generateUpgradeInvoice','1','','TRANS_GENERATE_INVOICE_FOR_IMMEDIATE_UPGRADES','','r',1,2,0);
INSERT INTO `config_params` VALUES (29,37,'allowClientDowngrade','1','','TRANS_ALLOW_CLIENT_INITIATED_DOWNGRADES','','r',1,2,0);
INSERT INTO `config_params` VALUES (30,37,'whenDowngrade','1','','TRANS_WHEN_SHOULD_CLIENT_INITIATED_DOWNGRADES_OCCUR','','r',1,2,0);
INSERT INTO `config_params` VALUES (31,37,'applyDowngradeCredits','1','','TRANS_APPLY_CREDITS_FOR_IMMEDIATE_DOWNGRADES','','r',1,2,0);
INSERT INTO `config_params` VALUES (32,37,'provisionDowngrades','1','','TRANS_PROVISION_DOWNGRADES','','r',1,2,0);
INSERT INTO `config_params` VALUES (33,37,'generateDowngradeInvoice','1','','TRANS_GENERATE_INVOICE_FOR_IMMEDIATE_DOWNGRADES','','r',1,2,0);
INSERT INTO `config_params` VALUES (34,37,'allowClientAddonManagement','1','','TRANS_ALLOW_CLIENT_INITIATED_ADDON_MANAGEMENT','','r',1,3,0);
INSERT INTO `config_params` VALUES (35,41,'count','100','','TRANS_DOMAIN_SYNC_COUNT','TRANS_DOMAIN_SYNC_COUNT_DESC','t',NULL,0,0);
INSERT INTO `config_params` VALUES (36,44,'moduleEnabled','0','TRANS_ENOM_ADMIN_ACCOUNT','TRANS_REGISTRAR_ENABLE_ENOM','','r',1,1,0);
INSERT INTO `config_params` VALUES (37,44,'moduleDisplayName','','TRANS_ENOM_ADMIN_ACCOUNT','TRANS_DISPLAY_NAME','','t',0,2,0);
INSERT INTO `config_params` VALUES (38,44,'moduleUsername','','TRANS_ENOM_ADMIN_ACCOUNT','TRANS_REGISTRAR_USERNAME','','t',0,3,0);
INSERT INTO `config_params` VALUES (39,44,'modulePassword','','TRANS_ENOM_ADMIN_ACCOUNT','TRANS_REGISTRAR_PASSWORD','','p',0,4,0);
INSERT INTO `config_params` VALUES (40,44,'moduleTestMode','1','TRANS_ENOM_ADMIN_ACCOUNT','TRANS_ENABLE_TEST_MODE','','r',0,5,0);
INSERT INTO `config_params` VALUES (41,44,'moduleAllowDomainPassword','0','TRANS_ENOM_ADMIN_ACCOUNT','TRANS_REGISTRAR_ENOM_ALLOW_DOMAIN_PASSWORD','TRANS_REGISTRAR_ENOM_ALLOW_DOMAIN_PASSWORD_DESC','r',0,6,0);
INSERT INTO `config_params` VALUES (42,44,'moduleAllowRegistrarLock','0','TRANS_ENOM_ADMIN_ACCOUNT','TRANS_REGISTRAR_ENOM_ALLOW_REGISTRAR_LOCK','TRANS_REGISTRAR_ENOM_ALLOW_REGISTRAR_LOCK_DESC','r',0,7,0);
INSERT INTO `config_params` VALUES (43,44,'moduleAllowAutorenew','2','TRANS_ENOM_ADMIN_ACCOUNT','TRANS_REGISTRAR_ENOM_ALLOW_AUTORENEW','TRANS_REGISTRAR_ENOM_ALLOW_AUTORENEW_DESC','r',0,8,0);
INSERT INTO `config_params` VALUES (44,44,'moduleAllowNameserverOverride','0','TRANS_ENOM_ADMIN_ACCOUNT','TRANS_REGISTRAR_ENOM_ALLOW_NAMESERVER_OVERRIDE','TRANS_REGISTRAR_ENOM_ALLOW_NAMESERVER_OVERRIDE_DESC','r',0,9,0);
INSERT INTO `config_params` VALUES (45,44,'moduleUseCustomNameserver','0','TRANS_ENOM_ADMIN_ACCOUNT','TRANS_REGISTRAR_ENOM_USE_CUSTOM_NAMESERVER','TRANS_REGISTRAR_ENOM_USE_CUSTOM_NAMESERVER_DESC','r',0,10,0);
INSERT INTO `config_params` VALUES (46,44,'moduleAllowRenew','1','TRANS_ENOM_ADMIN_ACCOUNT','TRANS_REGISTRAR_ENOM_ALLOW_RENEW','TRANS_REGISTRAR_ENOM_ALLOW_RENEW_DESC','r',0,11,0);
INSERT INTO `config_params` VALUES (47,44,'moduleAllowTransfer','1','TRANS_ENOM_ADMIN_ACCOUNT','TRANS_REGISTRAR_ENOM_ALLOW_TRANSFER','TRANS_REGISTRAR_ENOM_ALLOW_TRANSFER_DESC','r',0,12,0);
INSERT INTO `config_params` VALUES (48,44,'moduleAllowChangeDNS','0','TRANS_ENOM_ADMIN_ACCOUNT','TRANS_REGISTRAR_ENOM_ALLOW_CHANGE_DNS','TRANS_REGISTRAR_ENOM_ALLOW_CHANGE_DNS_DESC','r',0,13,0);
INSERT INTO `config_params` VALUES (49,44,'moduleAllowChangeContactInfo','0','TRANS_ENOM_ADMIN_ACCOUNT','TRANS_REGISTRAR_ENOM_ALLOW_CHANGE_CONTACT_INFO','TRANS_REGISTRAR_ENOM_ALLOW_CHANGE_CONTACT_INFO_DESC','r',0,14,0);
INSERT INTO `config_params` VALUES (50,44,'moduleAllowChangeRegistrarLock','0','TRANS_ENOM_ADMIN_ACCOUNT','TRANS_REGISTRAR_ENOM_ALLOW_CHAGE_REGISTRAR_LOCK','TRANS_REGISTRAR_ENOM_ALLOW_CHAGE_REGISTRAR_LOCK_DESC','r',0,15,0);
INSERT INTO `config_params` VALUES (51,44,'moduleAllowChangeAutorenew','0','TRANS_ENOM_ADMIN_ACCOUNT','TRANS_REGISTRAR_ENOM_ALLOW_CHANGE_AUTORENEW','TRANS_REGISTRAR_ENOM_ALLOW_CHANGE_AUTORENEW_DESC','r',0,16,0);
INSERT INTO `config_params` VALUES (52,44,'moduleAllowChangeUpdateDomainPassword','0','TRANS_ENOM_ADMIN_ACCOUNT','TRANS_REGISTRAR_ENOM_ALLOW_CHANGE_UPDATE_DOMAIN_PASSWORD','TRANS_REGISTRAR_ENOM_ALLOW_CHANGE_UPDATE_DOMAIN_PASSWORD_DESC','r',0,17,0);
INSERT INTO `config_params` VALUES (53,44,'moduleAllowRegisterNameServer','0','TRANS_ENOM_ADMIN_ACCOUNT','TRANS_REGISTRAR_ENOM_ALLOW_REGISTER_NAME_SERVER','TRANS_REGISTRAR_ENOM_ALLOW_REGISTER_NAME_SERVER_DESC','r',10,18,1);
INSERT INTO `config_params` VALUES (54,44,'adminFirstName','','TRANS_REGISTRAR_ADMIN_CONTACT','TRANS_REGISTRAR_FIRST_NAME','','t',0,19,0);
INSERT INTO `config_params` VALUES (55,44,'adminLastName','','TRANS_REGISTRAR_ADMIN_CONTACT','TRANS_REGISTRAR_LAST_NAME','','t',0,20,0);
INSERT INTO `config_params` VALUES (56,44,'adminCompany','','TRANS_REGISTRAR_ADMIN_CONTACT','TRANS_REGISTRAR_COMPANY','','t',0,21,0);
INSERT INTO `config_params` VALUES (57,44,'adminEmail','','TRANS_REGISTRAR_ADMIN_CONTACT','TRANS_REGISTRAR_EMAIL','','t',0,22,0);
INSERT INTO `config_params` VALUES (58,44,'adminAddress1','','TRANS_REGISTRAR_ADMIN_CONTACT','TRANS_REGISTRAR_ADDRESS1','','t',0,23,0);
INSERT INTO `config_params` VALUES (59,44,'adminAddress2','','TRANS_REGISTRAR_ADMIN_CONTACT','TRANS_REGISTRAR_ADDRESS2','','t',0,24,0);
INSERT INTO `config_params` VALUES (60,44,'adminCity','','TRANS_REGISTRAR_ADMIN_CONTACT','TRANS_REGISTRAR_CITY','','t',0,25,0);
INSERT INTO `config_params` VALUES (61,44,'adminState','','TRANS_REGISTRAR_ADMIN_CONTACT','TRANS_REGISTRAR_STATE','','t',0,26,0);
INSERT INTO `config_params` VALUES (62,44,'adminPostalCode','','TRANS_REGISTRAR_ADMIN_CONTACT','TRANS_REGISTRAR_ZIP','','t',0,27,0);
INSERT INTO `config_params` VALUES (63,44,'adminCountry','','TRANS_REGISTRAR_ADMIN_CONTACT','TRANS_REGISTRAR_COUNTRY','','t',0,28,0);
INSERT INTO `config_params` VALUES (64,44,'adminPhone','','TRANS_REGISTRAR_ADMIN_CONTACT','TRANS_REGISTRAR_PHONE','','t',0,29,0);
INSERT INTO `config_params` VALUES (65,44,'adminFax','','TRANS_REGISTRAR_ADMIN_CONTACT','TRANS_REGISTRAR_FAX','','t',0,30,0);
INSERT INTO `config_params` VALUES (66,44,'techFirstName','','TRANS_REGISTRAR_TECH_CONTACT','TRANS_REGISTRAR_FIRST_NAME','','t',0,31,0);
INSERT INTO `config_params` VALUES (67,44,'techLastName','','TRANS_REGISTRAR_TECH_CONTACT','TRANS_REGISTRAR_LAST_NAME','','t',0,32,0);
INSERT INTO `config_params` VALUES (68,44,'techCompany','','TRANS_REGISTRAR_TECH_CONTACT','TRANS_REGISTRAR_COMPANY','','t',0,33,0);
INSERT INTO `config_params` VALUES (69,44,'techEmail','','TRANS_REGISTRAR_TECH_CONTACT','TRANS_REGISTRAR_EMAIL','','t',0,34,0);
INSERT INTO `config_params` VALUES (70,44,'techAddress1','','TRANS_REGISTRAR_TECH_CONTACT','TRANS_REGISTRAR_ADDRESS1','','t',0,35,0);
INSERT INTO `config_params` VALUES (71,44,'techAddress2','','TRANS_REGISTRAR_TECH_CONTACT','TRANS_REGISTRAR_ADDRESS2','','t',0,36,0);
INSERT INTO `config_params` VALUES (72,44,'techCity','','TRANS_REGISTRAR_TECH_CONTACT','TRANS_REGISTRAR_CITY','','t',0,37,0);
INSERT INTO `config_params` VALUES (73,44,'techState','','TRANS_REGISTRAR_TECH_CONTACT','TRANS_REGISTRAR_STATE','','t',0,38,0);
INSERT INTO `config_params` VALUES (74,44,'techPostalCode','','TRANS_REGISTRAR_TECH_CONTACT','TRANS_REGISTRAR_ZIP','','t',0,39,0);
INSERT INTO `config_params` VALUES (75,44,'techCountry','','TRANS_REGISTRAR_TECH_CONTACT','TRANS_REGISTRAR_COUNTRY','','t',0,40,0);
INSERT INTO `config_params` VALUES (76,44,'techPhone','','TRANS_REGISTRAR_TECH_CONTACT','TRANS_REGISTRAR_PHONE','','t',0,41,0);
INSERT INTO `config_params` VALUES (77,44,'techFax','','TRANS_REGISTRAR_TECH_CONTACT','TRANS_REGISTRAR_FAX','','t',0,42,0);
INSERT INTO `config_params` VALUES (78,44,'auxBillingFirstName','','TRANS_REGISTRAR_AUXBILLING_CONTACT','TRANS_REGISTRAR_FIRST_NAME','','t',0,43,0);
INSERT INTO `config_params` VALUES (79,44,'auxBillingLastName','','TRANS_REGISTRAR_AUXBILLING_CONTACT','TRANS_REGISTRAR_LAST_NAME','','t',0,44,0);
INSERT INTO `config_params` VALUES (80,44,'auxBillingCompany','','TRANS_REGISTRAR_AUXBILLING_CONTACT','TRANS_REGISTRAR_COMPANY','','t',0,45,0);
INSERT INTO `config_params` VALUES (81,44,'auxBillingEmail','','TRANS_REGISTRAR_AUXBILLING_CONTACT','TRANS_REGISTRAR_EMAIL','','t',0,46,0);
INSERT INTO `config_params` VALUES (82,44,'auxBillingAddress1','','TRANS_REGISTRAR_AUXBILLING_CONTACT','TRANS_REGISTRAR_ADDRESS1','','t',0,47,0);
INSERT INTO `config_params` VALUES (83,44,'auxBillingAddress2','','TRANS_REGISTRAR_AUXBILLING_CONTACT','TRANS_REGISTRAR_ADDRESS2','','t',0,48,0);
INSERT INTO `config_params` VALUES (84,44,'auxBillingCity','','TRANS_REGISTRAR_AUXBILLING_CONTACT','TRANS_REGISTRAR_CITY','','t',0,49,0);
INSERT INTO `config_params` VALUES (85,44,'auxBillingState','','TRANS_REGISTRAR_AUXBILLING_CONTACT','TRANS_REGISTRAR_STATE','','t',0,50,0);
INSERT INTO `config_params` VALUES (86,44,'auxBillingPostalCode','','TRANS_REGISTRAR_AUXBILLING_CONTACT','TRANS_REGISTRAR_ZIP','','t',0,51,0);
INSERT INTO `config_params` VALUES (87,44,'auxBillingCountry','','TRANS_REGISTRAR_AUXBILLING_CONTACT','TRANS_REGISTRAR_COUNTRY','','t',0,52,0);
INSERT INTO `config_params` VALUES (88,44,'auxBillingPhone','','TRANS_REGISTRAR_AUXBILLING_CONTACT','TRANS_REGISTRAR_PHONE','','t',0,53,0);
INSERT INTO `config_params` VALUES (89,44,'auxBillingFax','','TRANS_REGISTRAR_AUXBILLING_CONTACT','TRANS_REGISTRAR_FAX','','t',0,54,0);
INSERT INTO `config_params` VALUES (90,44,'domainNameserver1','','TRANS_REGISTRAR_NS','TRANS_REGISTRAR_NS1','','t',0,55,0);
INSERT INTO `config_params` VALUES (91,44,'domainNameserver2','','TRANS_REGISTRAR_NS','TRANS_REGISTRAR_NS2','','t',0,56,0);
INSERT INTO `config_params` VALUES (92,44,'domainNameserver3','','TRANS_REGISTRAR_NS','TRANS_REGISTRAR_NS3','','t',0,57,0);
INSERT INTO `config_params` VALUES (93,44,'domainNameserver4','','TRANS_REGISTRAR_NS','TRANS_REGISTRAR_NS4','','t',0,58,0);
INSERT INTO `config_params` VALUES (94,45,'moduleEnabled','0','TRANS_REGISTERCOM_ADMIN_ACCOUNT','TRANS_REGISTRAR_ENABLE_REGISTERCOM','','r',1,1,0);
INSERT INTO `config_params` VALUES (95,45,'moduleDisplayName','','TRANS_REGISTERCOM_ADMIN_ACCOUNT','TRANS_DISPLAY_NAME','','t',0,2,0);
INSERT INTO `config_params` VALUES (96,45,'moduleUsername','','TRANS_REGISTERCOM_ADMIN_ACCOUNT','TRANS_REGISTRAR_USERNAME','','t',0,3,0);
INSERT INTO `config_params` VALUES (97,45,'modulePassword','','TRANS_REGISTERCOM_ADMIN_ACCOUNT','TRANS_REGISTRAR_PASSWORD','','p',0,4,0);
INSERT INTO `config_params` VALUES (98,45,'moduleTestMode','1','TRANS_REGISTERCOM_ADMIN_ACCOUNT','TRANS_ENABLE_TEST_MODE','','r',0,5,0);
INSERT INTO `config_params` VALUES (99,45,'moduleAllowDomainPassword','0','TRANS_REGISTERCOM_ADMIN_ACCOUNT','TRANS_REGISTRAR_REGISTERCOM_ALLOW_DOMAIN_PASSWORD','TRANS_REGISTRAR_REGISTERCOM_ALLOW_DOMAIN_PASSWORD_DESC','r',0,6,0);
INSERT INTO `config_params` VALUES (100,45,'moduleAllowRegistrarLock','0','TRANS_REGISTERCOM_ADMIN_ACCOUNT','TRANS_REGISTRAR_REGISTERCOM_ALLOW_REGISTRAR_LOCK','TRANS_REGISTRAR_REGISTERCOM_ALLOW_REGISTRAR_LOCK_DESC','r',0,7,0);
INSERT INTO `config_params` VALUES (101,45,'moduleAllowAutorenew','2','TRANS_REGISTERCOM_ADMIN_ACCOUNT','TRANS_REGISTRAR_REGISTERCOM_ALLOW_AUTORENEW','TRANS_REGISTRAR_REGISTERCOM_ALLOW_AUTORENEW_DESC','r',0,8,0);
INSERT INTO `config_params` VALUES (102,45,'moduleAllowNameserverOverride','0','TRANS_REGISTERCOM_ADMIN_ACCOUNT','TRANS_REGISTRAR_REGISTERCOM_ALLOW_NAMESERVER_OVERRIDE','TRANS_REGISTRAR_REGISTERCOM_ALLOW_NAMESERVER_OVERRIDE_DESC','r',0,9,0);
INSERT INTO `config_params` VALUES (103,45,'moduleUseCustomNameserver','0','TRANS_REGISTERCOM_ADMIN_ACCOUNT','TRANS_REGISTRAR_REGISTERCOM_USE_CUSTOM_NAMESERVER','TRANS_REGISTRAR_REGISTERCOM_USE_CUSTOM_NAMESERVER_DESC','r',0,10,0);
INSERT INTO `config_params` VALUES (104,45,'moduleAllowRenew','1','TRANS_REGISTERCOM_ADMIN_ACCOUNT','TRANS_REGISTRAR_REGISTERCOM_ALLOW_RENEW','TRANS_REGISTRAR_REGISTERCOM_ALLOW_RENEW_DESC','r',0,11,0);
INSERT INTO `config_params` VALUES (105,45,'moduleAllowTransfer','1','TRANS_REGISTERCOM_ADMIN_ACCOUNT','TRANS_REGISTRAR_REGISTERCOM_ALLOW_TRANSFER','TRANS_REGISTRAR_REGISTERCOM_ALLOW_TRANSFER_DESC','r',0,12,0);
INSERT INTO `config_params` VALUES (106,45,'moduleAllowChangeDNS','0','TRANS_REGISTERCOM_ADMIN_ACCOUNT','TRANS_REGISTRAR_REGISTERCOM_ALLOW_CHANGE_DNS','TRANS_REGISTRAR_REGISTERCOM_ALLOW_CHANGE_DNS_DESC','r',0,13,0);
INSERT INTO `config_params` VALUES (107,45,'moduleAllowChangeContactInfo','0','TRANS_REGISTERCOM_ADMIN_ACCOUNT','TRANS_REGISTRAR_REGISTERCOM_ALLOW_CHANGE_CONTACT_INFO','TRANS_REGISTRAR_REGISTERCOM_ALLOW_CHANGE_CONTACT_INFO_DESC','r',0,14,0);
INSERT INTO `config_params` VALUES (108,45,'moduleAllowChangeRegistrarLock','0','TRANS_REGISTERCOM_ADMIN_ACCOUNT','TRANS_REGISTRAR_REGISTERCOM_ALLOW_CHAGE_REGISTRAR_LOCK','TRANS_REGISTRAR_REGISTERCOM_ALLOW_CHAGE_REGISTRAR_LOCK_DESC','r',0,15,0);
INSERT INTO `config_params` VALUES (109,45,'moduleAllowChangeAutorenew','0','TRANS_REGISTERCOM_ADMIN_ACCOUNT','TRANS_REGISTRAR_REGISTERCOM_ALLOW_CHANGE_AUTORENEW','TRANS_REGISTRAR_REGISTERCOM_ALLOW_CHANGE_AUTORENEW_DESC','r',0,16,0);
INSERT INTO `config_params` VALUES (110,45,'moduleAllowChangeUpdateDomainPassword','0','TRANS_REGISTERCOM_ADMIN_ACCOUNT','TRANS_REGISTRAR_REGISTERCOM_ALLOW_CHANGE_UPDATE_DOMAIN_PASSWORD','TRANS_REGISTRAR_REGISTERCOM_ALLOW_CHANGE_UPDATE_DOMAIN_PASSWORD_DESC','r',0,17,0);
INSERT INTO `config_params` VALUES (111,45,'moduleAllowRegisterNameServer','0','TRANS_REGISTERCOM_ADMIN_ACCOUNT','TRANS_REGISTRAR_REGISTERCOM_ALLOW_REGISTER_NAME_SERVER','TRANS_REGISTRAR_REGISTERCOM_ALLOW_REGISTER_NAME_SERVER_DESC','r',10,18,1);
INSERT INTO `config_params` VALUES (112,45,'adminFirstName','','TRANS_REGISTRAR_ADMIN_CONTACT','TRANS_REGISTRAR_FIRST_NAME','','t',0,19,0);
INSERT INTO `config_params` VALUES (113,45,'adminLastName','','TRANS_REGISTRAR_ADMIN_CONTACT','TRANS_REGISTRAR_LAST_NAME','','t',0,20,0);
INSERT INTO `config_params` VALUES (114,45,'adminCompany','','TRANS_REGISTRAR_ADMIN_CONTACT','TRANS_REGISTRAR_COMPANY','','t',0,21,0);
INSERT INTO `config_params` VALUES (115,45,'adminEmail','','TRANS_REGISTRAR_ADMIN_CONTACT','TRANS_REGISTRAR_EMAIL','','t',0,22,0);
INSERT INTO `config_params` VALUES (116,45,'adminAddress1','','TRANS_REGISTRAR_ADMIN_CONTACT','TRANS_REGISTRAR_ADDRESS1','','t',0,23,0);
INSERT INTO `config_params` VALUES (117,45,'adminAddress2','','TRANS_REGISTRAR_ADMIN_CONTACT','TRANS_REGISTRAR_ADDRESS2','','t',0,24,0);
INSERT INTO `config_params` VALUES (118,45,'adminCity','','TRANS_REGISTRAR_ADMIN_CONTACT','TRANS_REGISTRAR_CITY','','t',0,25,0);
INSERT INTO `config_params` VALUES (119,45,'adminState','','TRANS_REGISTRAR_ADMIN_CONTACT','TRANS_REGISTRAR_STATE','','t',0,26,0);
INSERT INTO `config_params` VALUES (120,45,'adminPostalCode','','TRANS_REGISTRAR_ADMIN_CONTACT','TRANS_REGISTRAR_ZIP','','t',0,27,0);
INSERT INTO `config_params` VALUES (121,45,'adminCountry','','TRANS_REGISTRAR_ADMIN_CONTACT','TRANS_REGISTRAR_COUNTRY','','t',0,28,0);
INSERT INTO `config_params` VALUES (122,45,'adminPhone','','TRANS_REGISTRAR_ADMIN_CONTACT','TRANS_REGISTRAR_PHONE','','t',0,29,0);
INSERT INTO `config_params` VALUES (123,45,'adminFax','','TRANS_REGISTRAR_ADMIN_CONTACT','TRANS_REGISTRAR_FAX','','t',0,30,0);
INSERT INTO `config_params` VALUES (124,45,'techFirstName','','TRANS_REGISTRAR_TECH_CONTACT','TRANS_REGISTRAR_FIRST_NAME','','t',0,31,0);
INSERT INTO `config_params` VALUES (125,45,'techLastName','','TRANS_REGISTRAR_TECH_CONTACT','TRANS_REGISTRAR_LAST_NAME','','t',0,32,0);
INSERT INTO `config_params` VALUES (126,45,'techCompany','','TRANS_REGISTRAR_TECH_CONTACT','TRANS_REGISTRAR_COMPANY','','t',0,33,0);
INSERT INTO `config_params` VALUES (127,45,'techEmail','','TRANS_REGISTRAR_TECH_CONTACT','TRANS_REGISTRAR_EMAIL','','t',0,34,0);
INSERT INTO `config_params` VALUES (128,45,'techAddress1','','TRANS_REGISTRAR_TECH_CONTACT','TRANS_REGISTRAR_ADDRESS1','','t',0,35,0);
INSERT INTO `config_params` VALUES (129,45,'techAddress2','','TRANS_REGISTRAR_TECH_CONTACT','TRANS_REGISTRAR_ADDRESS2','','t',0,36,0);
INSERT INTO `config_params` VALUES (130,45,'techCity','','TRANS_REGISTRAR_TECH_CONTACT','TRANS_REGISTRAR_CITY','','t',0,37,0);
INSERT INTO `config_params` VALUES (131,45,'techState','','TRANS_REGISTRAR_TECH_CONTACT','TRANS_REGISTRAR_STATE','','t',0,38,0);
INSERT INTO `config_params` VALUES (132,45,'techPostalCode','','TRANS_REGISTRAR_TECH_CONTACT','TRANS_REGISTRAR_ZIP','','t',0,39,0);
INSERT INTO `config_params` VALUES (133,45,'techCountry','','TRANS_REGISTRAR_TECH_CONTACT','TRANS_REGISTRAR_COUNTRY','','t',0,40,0);
INSERT INTO `config_params` VALUES (134,45,'techPhone','','TRANS_REGISTRAR_TECH_CONTACT','TRANS_REGISTRAR_PHONE','','t',0,41,0);
INSERT INTO `config_params` VALUES (135,45,'techFax','','TRANS_REGISTRAR_TECH_CONTACT','TRANS_REGISTRAR_FAX','','t',0,42,0);
INSERT INTO `config_params` VALUES (136,45,'auxBillingFirstName','','TRANS_REGISTRAR_AUXBILLING_CONTACT','TRANS_REGISTRAR_FIRST_NAME','','t',0,43,0);
INSERT INTO `config_params` VALUES (137,45,'auxBillingLastName','','TRANS_REGISTRAR_AUXBILLING_CONTACT','TRANS_REGISTRAR_LAST_NAME','','t',0,44,0);
INSERT INTO `config_params` VALUES (138,45,'auxBillingCompany','','TRANS_REGISTRAR_AUXBILLING_CONTACT','TRANS_REGISTRAR_COMPANY','','t',0,45,0);
INSERT INTO `config_params` VALUES (139,45,'auxBillingEmail','','TRANS_REGISTRAR_AUXBILLING_CONTACT','TRANS_REGISTRAR_EMAIL','','t',0,46,0);
INSERT INTO `config_params` VALUES (140,45,'auxBillingAddress1','','TRANS_REGISTRAR_AUXBILLING_CONTACT','TRANS_REGISTRAR_ADDRESS1','','t',0,47,0);
INSERT INTO `config_params` VALUES (141,45,'auxBillingAddress2','','TRANS_REGISTRAR_AUXBILLING_CONTACT','TRANS_REGISTRAR_ADDRESS2','','t',0,48,0);
INSERT INTO `config_params` VALUES (142,45,'auxBillingCity','','TRANS_REGISTRAR_AUXBILLING_CONTACT','TRANS_REGISTRAR_CITY','','t',0,49,0);
INSERT INTO `config_params` VALUES (143,45,'auxBillingState','','TRANS_REGISTRAR_AUXBILLING_CONTACT','TRANS_REGISTRAR_STATE','','t',0,50,0);
INSERT INTO `config_params` VALUES (144,45,'auxBillingPostalCode','','TRANS_REGISTRAR_AUXBILLING_CONTACT','TRANS_REGISTRAR_ZIP','','t',0,51,0);
INSERT INTO `config_params` VALUES (145,45,'auxBillingCountry','','TRANS_REGISTRAR_AUXBILLING_CONTACT','TRANS_REGISTRAR_COUNTRY','','t',0,52,0);
INSERT INTO `config_params` VALUES (146,45,'auxBillingPhone','','TRANS_REGISTRAR_AUXBILLING_CONTACT','TRANS_REGISTRAR_PHONE','','t',0,53,0);
INSERT INTO `config_params` VALUES (147,45,'auxBillingFax','','TRANS_REGISTRAR_AUXBILLING_CONTACT','TRANS_REGISTRAR_FAX','','t',0,54,0);
INSERT INTO `config_params` VALUES (148,45,'domainNameserver1','','TRANS_REGISTRAR_NS','TRANS_REGISTRAR_NS1','','t',0,55,0);
INSERT INTO `config_params` VALUES (149,45,'domainNameserver2','','TRANS_REGISTRAR_NS','TRANS_REGISTRAR_NS2','','t',0,56,0);
INSERT INTO `config_params` VALUES (150,45,'domainNameserver3','','TRANS_REGISTRAR_NS','TRANS_REGISTRAR_NS3','','t',0,57,0);
INSERT INTO `config_params` VALUES (151,45,'domainNameserver4','','TRANS_REGISTRAR_NS','TRANS_REGISTRAR_NS4','','t',0,58,0);
INSERT INTO `config_params` VALUES (152,46,'moduleEnabled','0','TRANS_OPENSRS_ADMIN_ACCOUNT','TRANS_REGISTRAR_ENABLE_OPENSRS','','r',1,1,0);
INSERT INTO `config_params` VALUES (153,46,'moduleDisplayName','','TRANS_OPENSRS_ADMIN_ACCOUNT','TRANS_DISPLAY_NAME','','t',0,2,0);
INSERT INTO `config_params` VALUES (154,46,'moduleUsername','','TRANS_OPENSRS_ADMIN_ACCOUNT','TRANS_REGISTRAR_USERNAME','','t',0,3,0);
INSERT INTO `config_params` VALUES (155,46,'modulePassword','','TRANS_OPENSRS_ADMIN_ACCOUNT','TRANS_REGISTRAR_PRIVATE_KEY','','p',0,4,0);
INSERT INTO `config_params` VALUES (156,46,'modulePrivateKey','','TRANS_OPENSRS_ADMIN_ACCOUNT','TRANS_REGISTRAR_PRIVATE_KEY','','t',0,5,0);
INSERT INTO `config_params` VALUES (157,46,'moduleTestMode','1','TRANS_OPENSRS_ADMIN_ACCOUNT','TRANS_ENABLE_TEST_MODE','','r',0,6,0);
INSERT INTO `config_params` VALUES (158,46,'moduleAllowDomainPassword','0','TRANS_OPENSRS_ADMIN_ACCOUNT','TRANS_REGISTRAR_OPENSRS_ALLOW_DOMAIN_PASSWORD','TRANS_REGISTRAR_OPENSRS_ALLOW_DOMAIN_PASSWORD_DESC','r',0,7,0);
INSERT INTO `config_params` VALUES (159,46,'moduleAllowRegistrarLock','0','TRANS_OPENSRS_ADMIN_ACCOUNT','TRANS_REGISTRAR_OPENSRS_ALLOW_REGISTRAR_LOCK','TRANS_REGISTRAR_OPENSRS_ALLOW_REGISTRAR_LOCK_DESC','r',0,8,0);
INSERT INTO `config_params` VALUES (160,46,'moduleAllowAutorenew','0','TRANS_OPENSRS_ADMIN_ACCOUNT','TRANS_REGISTRAR_OPENSRS_ALLOW_AUTORENEW','TRANS_REGISTRAR_OPENSRS_ALLOW_AUTORENEW_DESC','r',0,9,0);
INSERT INTO `config_params` VALUES (161,46,'moduleAllowNameserverOverride','0','TRANS_OPENSRS_ADMIN_ACCOUNT','TRANS_REGISTRAR_OPENSRS_ALLOW_NAMESERVER_OVERRIDE','TRANS_REGISTRAR_OPENSRS_ALLOW_NAMESERVER_OVERRIDE_DESC','r',0,10,0);
INSERT INTO `config_params` VALUES (162,46,'moduleUseCustomNameserver','0','TRANS_OPENSRS_ADMIN_ACCOUNT','TRANS_REGISTRAR_OPENSRS_USE_CUSTOM_NAMESERVER','TRANS_REGISTRAR_OPENSRS_USE_CUSTOM_NAMESERVER_DESC','r',0,11,0);
INSERT INTO `config_params` VALUES (163,46,'moduleAllowRenew','1','TRANS_OPENSRS_ADMIN_ACCOUNT','TRANS_REGISTRAR_OPENSRS_ALLOW_RENEW','TRANS_REGISTRAR_OPENSRS_ALLOW_RENEW_DESC','r',0,12,0);
INSERT INTO `config_params` VALUES (164,46,'moduleAllowTransfer','1','TRANS_OPENSRS_ADMIN_ACCOUNT','TRANS_REGISTRAR_OPENSRS_ALLOW_TRANSFER','TRANS_REGISTRAR_OPENSRS_ALLOW_TRANSFER_DESC','r',0,13,0);
INSERT INTO `config_params` VALUES (165,46,'moduleAllowChangeDNS','0','TRANS_OPENSRS_ADMIN_ACCOUNT','TRANS_REGISTRAR_OPENSRS_ALLOW_CHANGE_DNS','TRANS_REGISTRAR_OPENSRS_ALLOW_CHANGE_DNS_DESC','r',0,14,0);
INSERT INTO `config_params` VALUES (166,46,'moduleAllowChangeContactInfo','0','TRANS_OPENSRS_ADMIN_ACCOUNT','TRANS_REGISTRAR_OPENSRS_ALLOW_CHANGE_CONTACT_INFO','TRANS_REGISTRAR_OPENSRS_ALLOW_CHANGE_CONTACT_INFO_DESC','r',0,15,0);
INSERT INTO `config_params` VALUES (167,46,'moduleAllowChangeRegistrarLock','0','TRANS_OPENSRS_ADMIN_ACCOUNT','TRANS_REGISTRAR_OPENSRS_ALLOW_CHAGE_REGISTRAR_LOCK','TRANS_REGISTRAR_OPENSRS_ALLOW_CHAGE_REGISTRAR_LOCK_DESC','r',0,16,0);
INSERT INTO `config_params` VALUES (168,46,'moduleAllowChangeAutorenew','0','TRANS_OPENSRS_ADMIN_ACCOUNT','TRANS_REGISTRAR_OPENSRS_ALLOW_CHANGE_AUTORENEW','TRANS_REGISTRAR_OPENSRS_ALLOW_CHANGE_AUTORENEW_DESC','r',0,17,0);
INSERT INTO `config_params` VALUES (169,46,'moduleAllowChangeUpdateDomainPassword','0','TRANS_OPENSRS_ADMIN_ACCOUNT','TRANS_REGISTRAR_OPENSRS_ALLOW_CHANGE_UPDATE_DOMAIN_PASSWORD','TRANS_REGISTRAR_OPENSRS_ALLOW_CHANGE_UPDATE_DOMAIN_PASSWORD_DESC','r',0,18,0);
INSERT INTO `config_params` VALUES (170,46,'moduleAllowRegisterNameServer','0','TRANS_OPENSRS_ADMIN_ACCOUNT','TRANS_REGISTRAR_OPENSRS_ALLOW_REGISTER_NAME_SERVER','TRANS_REGISTRAR_OPENSRS_ALLOW_REGISTER_NAME_SERVER_DESC','r',10,19,1);
INSERT INTO `config_params` VALUES (171,46,'adminFirstName','','TRANS_REGISTRAR_ADMIN_CONTACT','TRANS_REGISTRAR_FIRST_NAME','','t',0,19,0);
INSERT INTO `config_params` VALUES (172,46,'adminLastName','','TRANS_REGISTRAR_ADMIN_CONTACT','TRANS_REGISTRAR_LAST_NAME','','t',0,21,0);
INSERT INTO `config_params` VALUES (173,46,'adminCompany','','TRANS_REGISTRAR_ADMIN_CONTACT','TRANS_REGISTRAR_COMPANY','','t',0,22,0);
INSERT INTO `config_params` VALUES (174,46,'adminEmail','','TRANS_REGISTRAR_ADMIN_CONTACT','TRANS_REGISTRAR_EMAIL','','t',0,23,0);
INSERT INTO `config_params` VALUES (175,46,'adminAddress1','','TRANS_REGISTRAR_ADMIN_CONTACT','TRANS_REGISTRAR_ADDRESS1','','t',0,24,0);
INSERT INTO `config_params` VALUES (176,46,'adminAddress2','','TRANS_REGISTRAR_ADMIN_CONTACT','TRANS_REGISTRAR_ADDRESS2','','t',0,25,0);
INSERT INTO `config_params` VALUES (177,46,'adminCity','','TRANS_REGISTRAR_ADMIN_CONTACT','TRANS_REGISTRAR_CITY','','t',0,26,0);
INSERT INTO `config_params` VALUES (178,46,'adminStaten','','TRANS_REGISTRAR_ADMIN_CONTACT','TRANS_REGISTRAR_STATE','','t',0,27,0);
INSERT INTO `config_params` VALUES (179,46,'adminPostalCode','','TRANS_REGISTRAR_ADMIN_CONTACT','TRANS_REGISTRAR_ZIP','','t',0,28,0);
INSERT INTO `config_params` VALUES (180,46,'adminCountry','','TRANS_REGISTRAR_ADMIN_CONTACT','TRANS_REGISTRAR_COUNTRY','','t',0,28,0);
INSERT INTO `config_params` VALUES (181,46,'adminPhone','','TRANS_REGISTRAR_ADMIN_CONTACT','TRANS_REGISTRAR_PHONE','','t',0,30,0);
INSERT INTO `config_params` VALUES (182,46,'adminFax','','TRANS_REGISTRAR_ADMIN_CONTACT','TRANS_REGISTRAR_FAX','','t',0,31,0);
INSERT INTO `config_params` VALUES (183,46,'techFirstName','','TRANS_REGISTRAR_TECH_CONTACT','TRANS_REGISTRAR_FIRST_NAME','','t',0,32,0);
INSERT INTO `config_params` VALUES (184,46,'techLastName','','TRANS_REGISTRAR_TECH_CONTACT','TRANS_REGISTRAR_LAST_NAME','','t',0,33,0);
INSERT INTO `config_params` VALUES (185,46,'techCompany','','TRANS_REGISTRAR_TECH_CONTACT','TRANS_REGISTRAR_COMPANY','','t',0,34,0);
INSERT INTO `config_params` VALUES (186,46,'techEmail','','TRANS_REGISTRAR_TECH_CONTACT','TRANS_REGISTRAR_EMAIL','','t',0,35,0);
INSERT INTO `config_params` VALUES (187,46,'techAddress1','','TRANS_REGISTRAR_TECH_CONTACT','TRANS_REGISTRAR_ADDRESS1','','t',0,36,0);
INSERT INTO `config_params` VALUES (188,46,'techAddress2','','TRANS_REGISTRAR_TECH_CONTACT','TRANS_REGISTRAR_ADDRESS2','','t',0,37,0);
INSERT INTO `config_params` VALUES (189,46,'techCity','','TRANS_REGISTRAR_TECH_CONTACT','TRANS_REGISTRAR_CITY','','t',0,38,0);
INSERT INTO `config_params` VALUES (190,46,'techState','','TRANS_REGISTRAR_TECH_CONTACT','TRANS_REGISTRAR_STATE','','t',0,39,0);
INSERT INTO `config_params` VALUES (191,46,'techPostalCode','','TRANS_REGISTRAR_TECH_CONTACT','TRANS_REGISTRAR_ZIP','','t',0,40,0);
INSERT INTO `config_params` VALUES (192,46,'techCountry','','TRANS_REGISTRAR_TECH_CONTACT','TRANS_REGISTRAR_COUNTRY','','t',0,41,0);
INSERT INTO `config_params` VALUES (193,46,'techPhone','','TRANS_REGISTRAR_TECH_CONTACT','TRANS_REGISTRAR_PHONE','','t',0,42,0);
INSERT INTO `config_params` VALUES (194,46,'techFax','','TRANS_REGISTRAR_TECH_CONTACT','TRANS_REGISTRAR_FAX','','t',0,43,0);
INSERT INTO `config_params` VALUES (195,46,'auxBillingFirstName','','TRANS_REGISTRAR_AUXBILLING_CONTACT','TRANS_REGISTRAR_FIRST_NAME','','t',0,44,0);
INSERT INTO `config_params` VALUES (196,46,'auxBillingLastName','','TRANS_REGISTRAR_AUXBILLING_CONTACT','TRANS_REGISTRAR_LAST_NAME','','t',0,45,0);
INSERT INTO `config_params` VALUES (197,46,'auxBillingCompany','','TRANS_REGISTRAR_AUXBILLING_CONTACT','TRANS_REGISTRAR_COMPANY','','t',0,46,0);
INSERT INTO `config_params` VALUES (198,46,'auxBillingEmail','','TRANS_REGISTRAR_AUXBILLING_CONTACT','TRANS_REGISTRAR_EMAIL','','t',0,47,0);
INSERT INTO `config_params` VALUES (199,46,'auxBillingAddress1','','TRANS_REGISTRAR_AUXBILLING_CONTACT','TRANS_REGISTRAR_ADDRESS1','','t',0,48,0);
INSERT INTO `config_params` VALUES (200,46,'auxBillingAddress2','','TRANS_REGISTRAR_AUXBILLING_CONTACT','TRANS_REGISTRAR_ADDRESS2','','t',0,49,0);
INSERT INTO `config_params` VALUES (201,46,'auxBillingCity','','TRANS_REGISTRAR_AUXBILLING_CONTACT','TRANS_REGISTRAR_CITY','','t',0,50,0);
INSERT INTO `config_params` VALUES (202,46,'auxBillingState','','TRANS_REGISTRAR_AUXBILLING_CONTACT','TRANS_REGISTRAR_STATE','','t',0,51,0);
INSERT INTO `config_params` VALUES (203,46,'auxBillingPostalCode','','TRANS_REGISTRAR_AUXBILLING_CONTACT','TRANS_REGISTRAR_ZIP','','t',0,52,0);
INSERT INTO `config_params` VALUES (204,46,'auxBillingCountry','','TRANS_REGISTRAR_AUXBILLING_CONTACT','TRANS_REGISTRAR_COUNTRY','','t',0,53,0);
INSERT INTO `config_params` VALUES (205,46,'auxBillingPhone','','TRANS_REGISTRAR_AUXBILLING_CONTACT','TRANS_REGISTRAR_PHONE','','t',0,54,0);
INSERT INTO `config_params` VALUES (206,46,'auxBillingFax','','TRANS_REGISTRAR_AUXBILLING_CONTACT','TRANS_REGISTRAR_FAX','','t',0,55,0);
INSERT INTO `config_params` VALUES (207,46,'domainNameserver1','','TRANS_REGISTRAR_NS','TRANS_REGISTRAR_NS1','','t',0,56,0);
INSERT INTO `config_params` VALUES (208,46,'domainNameserver2','','TRANS_REGISTRAR_NS','TRANS_REGISTRAR_NS2','','t',0,57,0);
INSERT INTO `config_params` VALUES (209,46,'domainNameserver3','','TRANS_REGISTRAR_NS','TRANS_REGISTRAR_NS3','','t',0,58,0);
INSERT INTO `config_params` VALUES (210,46,'domainNameserver4','','TRANS_REGISTRAR_NS','TRANS_REGISTRAR_NS4','','t',0,59,0);
INSERT INTO `config_params` VALUES (211,48,'billingMode','anniversary','','TRANS_BILLING_MODE','','r',1,1,0);
INSERT INTO `config_params` VALUES (212,48,'billingDayOfMonth','1','','TRANS_MONTHLY_BILLING_DAY','TRANS_MONTHLY_BILLING_DAY_DESC','s',1,2,0);
INSERT INTO `config_params` VALUES (213,48,'billingProrationThreshold','15','','TRANS_MONTHLY_PRORATION_THRESHOLD','TRANS_MONTHLY_PRORATION_THRESHOLD_DESC','s',1,2,0);
INSERT INTO `config_params` VALUES (214,48,'getActiveClients','1','','TRANS_INVOICE_ACTIVE_CLIENTS','','r',1,2,0);
INSERT INTO `config_params` VALUES (215,48,'getSuspendedClients','0','','TRANS_INVOICE_SUSPENDED_CLIENTS','','r',1,2,0);
INSERT INTO `config_params` VALUES (216,48,'getActivePackages','1','','TRANS_INVOICE_ACTIVE_PACKAGES','','r',1,3,0);
INSERT INTO `config_params` VALUES (217,48,'getSuspendedPackages','0','','TRANS_INVOICE_SUSPENDED_PACKAGES','','r',1,4,0);
INSERT INTO `config_params` VALUES (218,48,'sendInvoiceEmail','1','','TRANS_INVOICE_SEND_EMAIL','','r',1,6,0);
INSERT INTO `config_params` VALUES (219,48,'invoice_number_template','%%CURMONTH%%-%%CURYEAR%%-%%SEQ%%','','TRANS_INVOICE_NUMBER_TEMPLATE','','s',1,7,0);
INSERT INTO `config_params` VALUES (220,48,'invoice_sequence','100000','','TRANS_INVOICE_SEQUENCE','TRANS_INVOICE_SEQUENCE_DESC','t',1,8,0);
INSERT INTO `config_params` VALUES (221,48,'invoice_generate_offset','10','','TRANS_INVOICE_GENERATE_DAYS_BEFORE_RENEW_DATE','TRANS_INVOICE_GENERATE_DAYS_BEFORE_RENEW_DATE_DESC','t',1,9,0);
INSERT INTO `config_params` VALUES (222,48,'invoice_domain_generate_offset','30','','TRANS_INVOICE_DOMAIN_GENERATE_DAYS_BEFORE_RENEW_DATE','TRANS_INVOICE_DOMAIN_GENERATE_DAYS_BEFORE_RENEW_DATE_DESC','t',1,9,0);
INSERT INTO `config_params` VALUES (223,48,'invoice_due_offset','9','','TRANS_INVOICE_DUE_DAYS_AFTER_GENERATION','TRANS_INVOICE_DUE_DAYS_AFTER_GENERATION_DESC','t',1,10,0);
INSERT INTO `config_params` VALUES (224,48,'invoice_line_item_threshold','50','','TRANS_INVOICE_LINE_ITEM_THRESHOLD','TRANS_INVOICE_LINE_ITEM_THRESHOLD_DESC','t',1,11,0);
INSERT INTO `config_params` VALUES (225,52,'emailMethod','php','','TRANS_EMAIL_METHOD',NULL,NULL,NULL,0,0);
INSERT INTO `config_params` VALUES (226,52,'emailSendmailLocation','/usr/sbin/sendmail','','TRANS_EMAIL_SENDMAIL_LOCATION',NULL,NULL,NULL,0,0);
INSERT INTO `config_params` VALUES (227,52,'emailSMTPServer','','','TRANS_EMAIL_SMTP_SERVER_LOCATION',NULL,NULL,NULL,0,0);
INSERT INTO `config_params` VALUES (228,52,'emailSMTPAuth','','','TRANS_EMAIL_SMTP_REQUIRE_AUTHENTICATION',NULL,NULL,NULL,0,0);
INSERT INTO `config_params` VALUES (229,52,'emailSMTPUsername','','','TRANS_EMAIL_SMTP_USERNAME',NULL,NULL,NULL,0,0);
INSERT INTO `config_params` VALUES (230,52,'emailSMTPPassword','','','TRANS_EMAIL_SMTP_PASSWORD',NULL,NULL,NULL,0,0);
INSERT INTO `config_params` VALUES (231,55,'max_system_queue_events','3','','TRANS_MAX_SYSTEM_QUEUE_EVENTS','TRANS_MAX_SYSTEM_QUEUE_DESC','t',1,1,0);
INSERT INTO `config_params` VALUES (232,55,'run_queue_active_client_type','2','','TRANS_RUN_SYSTEM_QUEUE_ACTIVE_CLIENT_TYPE','TRANS_RUN_SYSTEM_QUEUE_ACTIVE_CLIENT_TYPE_DESC','s',1,2,0);
INSERT INTO `config_params` VALUES (233,55,'run_queue_new_client_type','2','','TRANS_RUN_SYSTEM_QUEUE_NEW_CLIENT_TYPE','TRANS_RUN_SYSTEM_QUEUE_NEW_CLIENT_TYPE_DESC','s',1,3,0);
INSERT INTO `config_params` VALUES (234,55,'run_queue_domain_new_type','2','','TRANS_RUN_SYSTEM_QUEUE_DOMAIN_NEW_TYPE','TRANS_RUN_SYSTEM_QUEUE_DOMAIN_NEW_TYPE_DESC','s',1,4,0);
INSERT INTO `config_params` VALUES (235,55,'run_queue_domain_active_type','2','','TRANS_RUN_SYSTEM_QUEUE_DOMAIN_ACTIVE_TYPE','TRANS_RUN_SYSTEM_QUEUE_DOMAIN_ACTIVE_TYPE_DESC','s',1,5,0);
INSERT INTO `config_params` VALUES (236,55,'run_queue_domain_renewal_type','2','','TRANS_RUN_SYSTEM_QUEUE_DOMAIN_RENEWAL_TYPE','TRANS_RUN_SYSTEM_QUEUE_DOMAIN_RENEWAL_TYPE_DESC','s',1,6,0);
INSERT INTO `config_params` VALUES (237,55,'run_queue_domain_new_sync','0','','TRANS_RUN_SYSTEM_QUEUE_DOMAIN_NEW_SYNC','TRANS_RUN_SYSTEM_QUEUE_DOMAIN_NEW_SYNC_DESC','s',1,7,0);
INSERT INTO `config_params` VALUES (238,55,'system_queue_push_time','15','','TRANS_SYSTEM_QUEUE_PUSH_MINUTES','TRANS_SYSTEM_QUEUE_PUSH_MINUTES_DESC','t',1,8,0);
INSERT INTO `config_params` VALUES (239,57,'enableAutoSuspend','1','','TRANS_AUTOMATION_AUTOSUSPEND_ENABLED','TRANS_AUTOMATION_AUTOSUSPEND_ENABLED_DESC','r',1,1,0);
INSERT INTO `config_params` VALUES (240,57,'autoSuspendFirstNotice','5','','TRANS_AUTOMATION_AUTOSUSPEND_FIRST_NOTICE','TRANS_AUTOMATION_AUTOSUSPEND_FIRST_NOTICE_DESC','t',1,2,0);
INSERT INTO `config_params` VALUES (241,57,'autoSuspendSecondNotice','10','','TRANS_AUTOMATION_AUTOSUSPEND_SECOND_NOTICE','TRANS_AUTOMATION_AUTOSUSPEND_SECOND_NOTICE_DESC','t',1,3,0);
INSERT INTO `config_params` VALUES (242,57,'autoSuspendThirdNotice','15','','TRANS_AUTOMATION_AUTOSUSPEND_THIRD_NOTICE','TRANS_AUTOMATION_AUTOSUSPEND_THIRD_NOTICE_DESC','t',1,4,0);
INSERT INTO `config_params` VALUES (243,57,'autoSuspendClean','90','','TRANS_AUTOMATION_AUTOSUSPEND_CLEAN_NOTICE','TRANS_AUTOMATION_AUTOSUSPEND_CLEAN_NOTICE_DESC','t',1,4,0);
INSERT INTO `config_params` VALUES (244,57,'sendSuspensionEmails','1','','TRANS_AUTOMATION_AUTOSUSPEND_SEND_EMAIL','TRANS_AUTOMATION_AUTOSUSPEND_SEND_EMAIL_DESC','r',1,6,0);
INSERT INTO `config_params` VALUES (245,59,'editUserName','0','','TRANS_USER_EDIT_USER_NAME','TRANS_USER_EDIT_USER_NAME_DESC','r',1,1,0);
INSERT INTO `config_params` VALUES (246,59,'editFirstName','1','','TRANS_USER_EDIT_FIRST_NAME','TRANS_USER_EDIT_FIRST_NAME_DESC','r',1,2,0);
INSERT INTO `config_params` VALUES (247,59,'editLastName','1','','TRANS_USER_EDIT_LAST_NAME','TRANS_USER_EDIT_LAST_NAME_DESC','r',1,3,0);
INSERT INTO `config_params` VALUES (248,59,'editEmail','0','','TRANS_USER_EDIT_EMAIL','TRANS_USER_EDIT_EMAIL_DESC','r',1,4,0);
INSERT INTO `config_params` VALUES (249,59,'editCompanyName','1','','TRANS_USER_EDIT_COMPANY_NAME','TRANS_USER_EDIT_COMPANY_NAME_DESC','r',1,5,0);
INSERT INTO `config_params` VALUES (250,59,'editCountry','1','','TRANS_USER_EDIT_COUNTRY','TRANS_USER_EDIT_COUNTRY_DESC','r',1,6,0);
INSERT INTO `config_params` VALUES (251,59,'editEmailActions','1','','TRANS_USER_EDIT_EMAILACTIONS','TRANS_USER_EDIT_EMAILACTIONS_DESC','r',1,7,0);
INSERT INTO `config_params` VALUES (252,68,'enableFraudGuardian','','','TRANS_FRAUD_MODULES_ENABLEFRAUDGUARDIAN',NULL,NULL,NULL,0,0);
INSERT INTO `config_params` VALUES (253,68,'usernameFraudGuardian','','','TRANS_FRAUD_MODULES_USERNAMEFRAUDGUARDIAN',NULL,NULL,NULL,0,0);
INSERT INTO `config_params` VALUES (254,68,'passwordFraudGuardian','','','TRANS_FRAUD_MODULES_PASSWORDFRAUDGUARDIAN',NULL,NULL,NULL,0,0);
INSERT INTO `config_params` VALUES (259,73,'enableSSLFactory','','','TRANS_SSL_MODULES_ENABLESSLFACTORY',NULL,NULL,NULL,0,0);
INSERT INTO `config_params` VALUES (260,73,'usernameSSLFactory','','','TRANS_SSL_MODULES_USERNAMESSLFACTORY',NULL,NULL,NULL,0,0);
INSERT INTO `config_params` VALUES (261,73,'accessCodeSSLFactory','','','TRANS_SSL_MODULES_ACCESSCODESSLFACTORY',NULL,NULL,NULL,0,0);
INSERT INTO `config_params` VALUES (262,74,'panelMinUsernameLength','6','TRANS_PANEL_GROUP_TRANS_KEY','TRANS_PANEL_MIN_USERNAME_LENGTH','TRANS_PANEL_MIN_USERNAME_LENGTH_DESC','t',NULL,1,NULL);
INSERT INTO `config_params` VALUES (263,74,'panelMaxUsernameLength','12','TRANS_PANEL_GROUP_TRANS_KEY','TRANS_PANEL_MAX_USERNAME_LENGTH','TRANS_PANEL_MAX_USERNAME_LENGTH_DESC','t',NULL,2,NULL);
INSERT INTO `config_params` VALUES (264,74,'panelMinPasswordLength','6','TRANS_PANEL_GROUP_TRANS_KEY','TRANS_PANEL_MIN_PASSWORD_LENGTH','TRANS_PANEL_MIN_PASSWORD_LENGTH_DESC','t',NULL,3,NULL);
INSERT INTO `config_params` VALUES (265,74,'panelMaxPasswordLength','12','TRANS_PANEL_GROUP_TRANS_KEY','TRANS_PANEL_MAX_PASSWORD_LENGTH','TRANS_PANEL_MAX_PASSWORD_LENGTH_DESC','t',NULL,4,NULL);
INSERT INTO `config_params` VALUES (266,74,'panelMaxAccounts','1000','TRANS_PANEL_GROUP_TRANS_KEY','TRANS_PANEL_MAX_ACCOUNTS','TRANS_PANEL_MAX_ACCOUNTS_DESC','t',NULL,5,NULL);
INSERT INTO `config_params` VALUES (267,74,'panelCurrentAccounts','1','TRANS_PANEL_GROUP_TRANS_KEY','TRANS_PANEL_CURRENT_ACCOUNTS','TRANS_PANEL_CURRENT_ACCOUNTS_DESC','t',NULL,6,NULL);
INSERT INTO `config_params` VALUES (268,74,'panelNameserver1','','TRANS_PANEL_GROUP_TRANS_KEY','TRANS_PANEL_NAMESERVER_1','TRANS_PANEL_NAMESERVER_1_DESC','t',NULL,7,NULL);
INSERT INTO `config_params` VALUES (269,74,'panelNameserver1IP','','TRANS_PANEL_GROUP_TRANS_KEY','TRANS_PANEL_NAMESERVER_1_IP','TRANS_PANEL_NAMESERVER_1_IP_DESC','t',NULL,8,NULL);
INSERT INTO `config_params` VALUES (270,74,'panelNameserver2','','TRANS_PANEL_GROUP_TRANS_KEY','TRANS_PANEL_NAMESERVER_2','TRANS_PANEL_NAMESERVER_2_DESC','t',NULL,9,NULL);
INSERT INTO `config_params` VALUES (271,74,'panelNameserver2IP','','TRANS_PANEL_GROUP_TRANS_KEY','TRANS_PANEL_NAMESERVER_2_IP','TRANS_PANEL_NAMESERVER_2_IP_DESC','t',NULL,10,NULL);
INSERT INTO `config_params` VALUES (272,74,'panelNameserver3','','TRANS_PANEL_GROUP_TRANS_KEY','TRANS_PANEL_NAMESERVER_3','TRANS_PANEL_NAMESERVER_3_DESC','t',NULL,11,NULL);
INSERT INTO `config_params` VALUES (273,74,'panelNameserver3IP','','TRANS_PANEL_GROUP_TRANS_KEY','TRANS_PANEL_NAMESERVER_3_IP','TRANS_PANEL_NAMESERVER_3_IP_DESC','t',NULL,12,NULL);
INSERT INTO `config_params` VALUES (274,74,'panelNameserver4','','TRANS_PANEL_GROUP_TRANS_KEY','TRANS_PANEL_NAMESERVER_4','TRANS_PANEL_NAMESERVER_4_DESC','t',NULL,13,NULL);
INSERT INTO `config_params` VALUES (275,74,'panelNameserver4IP','','TRANS_PANEL_GROUP_TRANS_KEY','TRANS_PANEL_NAMESERVER_4_IP','TRANS_PANEL_NAMESERVER_4_IP_DESC','t',NULL,14,NULL);
INSERT INTO `config_params` VALUES (276,74,'panelLoginURL',NULL,'TRANS_PANEL_GROUP_TRANS_KEY','TRANS_PANEL_LOGIN_URL','TRANS_PANEL_LOGIN_URL_DESC','t',NULL,15,NULL);
INSERT INTO `config_params` VALUES (277,74,'moduleDisplayName','Local Parallels Plesk Panel','TRANS_PANEL_GROUP_TRANS_KEY','TRANS_PANEL_SERVERNAME','TRANS_PANEL_SERVERNAME_DESC','t',1,1,NULL);
INSERT INTO `config_params` VALUES (278,74,'moduleEnabled','1','TRANS_PANEL_GROUP_TRANS_KEY','TRANS_ENABLED',NULL,'r',1,2,NULL);
INSERT INTO `config_params` VALUES (279,74,'moduleUsername','admin','TRANS_PANEL_GROUP_TRANS_KEY','TRANS_PLESK_USERNAME','TRANS_PLESK_USERNAME_DESC','t',1,3,NULL);
INSERT INTO `config_params` VALUES (280,74,'modulePassword','ZSvRP1h8XZ8+dSZ1dVqdsRhLMR5S6clrJztsIGvnMTkdfZd/VVRiZWIR','TRANS_PANEL_GROUP_TRANS_KEY','TRANS_PLESK_PASSWORD','TRANS_PLESK_PASSWORD_DESC','p',1,4,NULL);
INSERT INTO `config_params` VALUES (281,74,'api','https://localhost:8443','TRANS_PANEL_GROUP_TRANS_KEY','TRANS_PLESK_URL','TRANS_PLESK_URL_DESC','t',1,5,NULL);
INSERT INTO `config_params` VALUES (282,74,'ip','UNKNOWN','TRANS_PANEL_GROUP_TRANS_KEY','TRANS_PANEL_SHARED_IP','TRANS_PANEL_PLESK_SHARED_IP_DESC','t',1,6,NULL);
INSERT INTO `config_params` VALUES (283,74,'showServerLoad','1','TRANS_PANEL_GROUP_TRANS_KEY','TRANS_DIRECTADMIN_SHOW_SERVER_LOAD','TRANS_DIRECTADMIN_SHOW_SERVER_LOAD_DESC','r',1,12,NULL);
INSERT INTO `config_params` VALUES (284,74,'panelUsernameRule','1','TRANS_PANEL_GROUP_TRANS_KEY','TRANS_PANEL_ACCOUNT_NAME_RULE','TRANS_PANEL_ACCOUNT_NAME_RULE_DESC','s',1,13,NULL);
INSERT INTO `config_params` VALUES (285,74,'allowClientLogin','1','TRANS_PANEL_GROUP_TRANS_KEY','TRANS_PANEL_ALLOW_CLIENT_LOGIN',NULL,'r',1,15,NULL);
INSERT INTO `config_params` VALUES (286,74,'panelUsernamePrefix','','TRANS_PANEL_GROUP_TRANS_KEY','TRANS_PANEL_USERNAME_PREFIX','TRANS_PANEL_USERNAME_PREFIX_DESC','t',1,15,NULL);
INSERT INTO `config_params` VALUES (287,74,'panelUsernameSequence','','TRANS_PANEL_GROUP_TRANS_KEY','TRANS_PANEL_USERNAME_SEQUENCE','TRANS_PANEL_USERNAME_SEQUENCE_DESC','t',1,16,NULL);
INSERT INTO `config_params` VALUES (288,76,'PayPal_ID','COMPANYEMAIL',NULL,'TRANS_PAYPAL_ID','TRANS_PAYPAL_ID_DESC','t',1,1,NULL);
INSERT INTO `config_params` VALUES (289,76,'Item_Name','',NULL,'TRANS_PAYPAL_ITEMNAME','TRANS_PAYPAL_ITEMNAME_DESC','t',1,2,NULL);
INSERT INTO `config_params` VALUES (290,76,'Return_URL','http://COMPANYURL',NULL,'TRANS_PAYPAL_RETURNURL','TRANS_PAYPAL_RETURNURL_DESC','t',1,3,NULL);
INSERT INTO `config_params` VALUES (291,76,'Cancel_URL','http://COMPANYURL',NULL,'TRANS_PAYPAL_CANCELURL','TRANS_PAYPAL_CANCELURL_DESC','t',1,4,NULL);
INSERT INTO `config_params` VALUES (292,76,'Display_Logo','http://MODERNBILLROOT/lib-themes/xpreloaded/lib-modernbill/images/logos/logo.gif',NULL,'TRANS_PAYPAL_DISPLAYLOGO','TRANS_PAYPAL_DISPLAYLOGO_DESC','t',1,5,NULL);
INSERT INTO `config_params` VALUES (293,76,'Submit_Image','https://www.paypal.com/en_US/i/btn/x-click-but03.gif',NULL,'TRANS_PAYPAL_SUBMITIMAGE','TRANS_PAYPAL_SUBMITIMAGE_DESC','t',1,6,NULL);
INSERT INTO `config_params` VALUES (294,76,'IPN_URL','http://MODERNBILLROOT/lib-mbapi/include/modules/gateway/return/paypal.php',NULL,'TRANS_PAYPAL_IPNURL','TRANS_PAYPAL_IPNURL_DESC','t',1,7,NULL);
INSERT INTO `config_params` VALUES (295,76,'Enable_Subscriptions','1',NULL,'TRANS_PAYPAL_SUBENABLE','TRANS_PAYPAL_SUBENABLE_DESC','r',NULL,8,NULL);
INSERT INTO `config_params` VALUES (296,76,'Subscriptions_Image','https://www.paypal.com/images/x-click-but20.gif',NULL,'TRANS_PAYPAL_SUBIMAGE','TRANS_PAYPAL_SUBIMAGE_DESC','t',1,10,NULL);
INSERT INTO `config_params` VALUES (297,76,'Acceptable_PayPal_Payees','COMPANYEMAIL',NULL,'TRANS_PAYPAL_ACCEPT_ADDRESSES','TRANS_PAYPAL_ACCEPT_ADDRESSES_DESC','a',1,11,NULL);
INSERT INTO `config_params` VALUES (298,55,'system_account_stacking','0','','TRANS_ACCOUNT_STACKING','TRANS_ACCOUNT_STACKING_DESC','s',1,9,0);
/*!40000 ALTER TABLE `config_params` ENABLE KEYS */;

--
-- Table structure for table `contact_email_action_rel`
--

DROP TABLE IF EXISTS `contact_email_action_rel`;


CREATE TABLE `contact_email_action_rel` (
  `client_contact_id` int(10) unsigned NOT NULL default '0',
  `email_action_id` tinyint(3) unsigned NOT NULL default '0',
  PRIMARY KEY  (`client_contact_id`,`email_action_id`)
) ENGINE=MyISAM;


--
-- Dumping data for table `contact_email_action_rel`
--

/*!40000 ALTER TABLE `contact_email_action_rel` DISABLE KEYS */;
/*!40000 ALTER TABLE `contact_email_action_rel` ENABLE KEYS */;

--
-- Table structure for table `countries`
--

DROP TABLE IF EXISTS `countries`;


CREATE TABLE `countries` (
  `countries_id` smallint(5) unsigned NOT NULL auto_increment,
  `countries_iso_2` char(2) default NULL,
  `countries_iso_num` char(3) default NULL,
  `countries_region` char(3) default NULL,
  `countries_phone_code` smallint(5) unsigned default NULL,
  PRIMARY KEY  (`countries_id`),
  KEY `countries_iso_2` (`countries_iso_2`),
  KEY `countries_region` (`countries_region`),
  KEY `countries_iso_num` (`countries_iso_num`),
  KEY `countries_phone_code` (`countries_phone_code`)
) ENGINE=MyISAM AUTO_INCREMENT=245;


--
-- Dumping data for table `countries`
--

/*!40000 ALTER TABLE `countries` DISABLE KEYS */;
INSERT INTO `countries` VALUES (1,'AD','020','039',376);
INSERT INTO `countries` VALUES (2,'AE','784','145',971);
INSERT INTO `countries` VALUES (3,'AF','004','062',93);
INSERT INTO `countries` VALUES (4,'AG','028','029',1);
INSERT INTO `countries` VALUES (5,'AI','660','029',1);
INSERT INTO `countries` VALUES (6,'AL','008','039',355);
INSERT INTO `countries` VALUES (7,'AM','051','145',374);
INSERT INTO `countries` VALUES (8,'AN','530','029',599);
INSERT INTO `countries` VALUES (9,'AO','024','017',244);
INSERT INTO `countries` VALUES (10,'AQ','010','QO',672);
INSERT INTO `countries` VALUES (11,'AR','032','005',54);
INSERT INTO `countries` VALUES (12,'AS','016','061',684);
INSERT INTO `countries` VALUES (13,'AT','040','155',43);
INSERT INTO `countries` VALUES (14,'AU','036','053',61);
INSERT INTO `countries` VALUES (15,'AW','533','029',297);
INSERT INTO `countries` VALUES (16,'AX','248','154',358);
INSERT INTO `countries` VALUES (17,'AZ','031','145',994);
INSERT INTO `countries` VALUES (18,'BA','070','039',387);
INSERT INTO `countries` VALUES (19,'BB','052','029',1);
INSERT INTO `countries` VALUES (20,'BD','050','062',880);
INSERT INTO `countries` VALUES (21,'BE','056','155',32);
INSERT INTO `countries` VALUES (22,'BF','854','011',226);
INSERT INTO `countries` VALUES (23,'BG','100','151',359);
INSERT INTO `countries` VALUES (24,'BH','048','145',973);
INSERT INTO `countries` VALUES (25,'BI','108','014',257);
INSERT INTO `countries` VALUES (26,'BJ','204','011',229);
INSERT INTO `countries` VALUES (27,'BM','060','021',1);
INSERT INTO `countries` VALUES (28,'BN','096','035',673);
INSERT INTO `countries` VALUES (29,'BO','068','005',591);
INSERT INTO `countries` VALUES (30,'BR','076','005',55);
INSERT INTO `countries` VALUES (31,'BS','044','029',1);
INSERT INTO `countries` VALUES (32,'BT','064','062',975);
INSERT INTO `countries` VALUES (33,'BV','074','QO',47);
INSERT INTO `countries` VALUES (34,'BW','072','018',267);
INSERT INTO `countries` VALUES (35,'BY','112','151',375);
INSERT INTO `countries` VALUES (36,'BZ','084','013',501);
INSERT INTO `countries` VALUES (37,'CA','124','021',1);
INSERT INTO `countries` VALUES (38,'CC','166','QO',61);
INSERT INTO `countries` VALUES (39,'CD','180','017',243);
INSERT INTO `countries` VALUES (40,'CF','140','017',236);
INSERT INTO `countries` VALUES (41,'CG','178','017',242);
INSERT INTO `countries` VALUES (42,'CH','756','155',41);
INSERT INTO `countries` VALUES (43,'CI','384','011',225);
INSERT INTO `countries` VALUES (44,'CK','184','061',682);
INSERT INTO `countries` VALUES (45,'CL','152','005',56);
INSERT INTO `countries` VALUES (46,'CM','120','017',237);
INSERT INTO `countries` VALUES (47,'CN','156','030',86);
INSERT INTO `countries` VALUES (48,'CO','170','005',57);
INSERT INTO `countries` VALUES (49,'CR','188','013',506);
INSERT INTO `countries` VALUES (50,'RS','688','039',381);
INSERT INTO `countries` VALUES (51,'ME','499','039',382);
INSERT INTO `countries` VALUES (52,'CU','192','029',53);
INSERT INTO `countries` VALUES (53,'CV','132','011',238);
INSERT INTO `countries` VALUES (54,'CX','162','QO',618);
INSERT INTO `countries` VALUES (55,'CY','196','145',357);
INSERT INTO `countries` VALUES (56,'CZ','203','151',420);
INSERT INTO `countries` VALUES (57,'DE','276','155',49);
INSERT INTO `countries` VALUES (58,'DJ','262','014',253);
INSERT INTO `countries` VALUES (59,'DK','208','154',45);
INSERT INTO `countries` VALUES (60,'DM','212','029',1);
INSERT INTO `countries` VALUES (61,'DO','214','029',1);
INSERT INTO `countries` VALUES (62,'DZ','012','015',213);
INSERT INTO `countries` VALUES (63,'EC','218','005',593);
INSERT INTO `countries` VALUES (64,'EE','233','154',372);
INSERT INTO `countries` VALUES (65,'EG','818','015',20);
INSERT INTO `countries` VALUES (66,'EH','732','015',212);
INSERT INTO `countries` VALUES (67,'ER','232','014',291);
INSERT INTO `countries` VALUES (68,'ES','724','039',34);
INSERT INTO `countries` VALUES (69,'ET','231','014',251);
INSERT INTO `countries` VALUES (70,'FI','246','154',358);
INSERT INTO `countries` VALUES (71,'FJ','242','054',679);
INSERT INTO `countries` VALUES (72,'FK','238','005',500);
INSERT INTO `countries` VALUES (73,'FM','583','057',691);
INSERT INTO `countries` VALUES (74,'FO','234','154',298);
INSERT INTO `countries` VALUES (75,'FR','250','155',33);
INSERT INTO `countries` VALUES (76,'GA','266','017',241);
INSERT INTO `countries` VALUES (77,'GB','826','154',44);
INSERT INTO `countries` VALUES (78,'GD','308','029',1);
INSERT INTO `countries` VALUES (79,'GE','268','145',995);
INSERT INTO `countries` VALUES (80,'GF','254','005',594);
INSERT INTO `countries` VALUES (81,'GH','288','011',233);
INSERT INTO `countries` VALUES (82,'GI','292','039',350);
INSERT INTO `countries` VALUES (83,'GL','304','021',299);
INSERT INTO `countries` VALUES (84,'GM','270','011',220);
INSERT INTO `countries` VALUES (85,'GN','324','011',224);
INSERT INTO `countries` VALUES (86,'GP','312','029',590);
INSERT INTO `countries` VALUES (87,'GQ','226','017',240);
INSERT INTO `countries` VALUES (88,'GR','300','039',30);
INSERT INTO `countries` VALUES (89,'GS','239','QO',995);
INSERT INTO `countries` VALUES (90,'GT','320','013',502);
INSERT INTO `countries` VALUES (91,'GU','316','057',1);
INSERT INTO `countries` VALUES (92,'GW','624','011',245);
INSERT INTO `countries` VALUES (93,'GY','328','005',592);
INSERT INTO `countries` VALUES (94,'HK','344','030',852);
INSERT INTO `countries` VALUES (95,'HM','334','QO',61);
INSERT INTO `countries` VALUES (96,'HN','340','013',504);
INSERT INTO `countries` VALUES (97,'HR','191','039',385);
INSERT INTO `countries` VALUES (98,'HT','332','029',509);
INSERT INTO `countries` VALUES (99,'HU','348','151',36);
INSERT INTO `countries` VALUES (100,'ID','360','035',62);
INSERT INTO `countries` VALUES (101,'IE','372','154',353);
INSERT INTO `countries` VALUES (102,'IL','376','145',972);
INSERT INTO `countries` VALUES (103,'IN','356','062',91);
INSERT INTO `countries` VALUES (104,'IO','086','QO',246);
INSERT INTO `countries` VALUES (105,'IQ','368','145',964);
INSERT INTO `countries` VALUES (106,'IR','364','062',98);
INSERT INTO `countries` VALUES (107,'IS','352','154',354);
INSERT INTO `countries` VALUES (108,'IT','380','039',39);
INSERT INTO `countries` VALUES (109,'JM','388','029',1);
INSERT INTO `countries` VALUES (110,'JO','400','145',962);
INSERT INTO `countries` VALUES (111,'JP','392','030',81);
INSERT INTO `countries` VALUES (112,'KE','404','014',254);
INSERT INTO `countries` VALUES (113,'KG','417','062',996);
INSERT INTO `countries` VALUES (114,'KH','116','035',855);
INSERT INTO `countries` VALUES (115,'KI','296','057',686);
INSERT INTO `countries` VALUES (116,'KM','174','014',269);
INSERT INTO `countries` VALUES (117,'KN','659','029',1);
INSERT INTO `countries` VALUES (118,'KP','408','030',850);
INSERT INTO `countries` VALUES (119,'KR','410','030',82);
INSERT INTO `countries` VALUES (120,'KW','414','145',965);
INSERT INTO `countries` VALUES (121,'KY','136','029',1);
INSERT INTO `countries` VALUES (122,'KZ','398','062',7);
INSERT INTO `countries` VALUES (123,'LA','418','035',856);
INSERT INTO `countries` VALUES (124,'LB','422','145',961);
INSERT INTO `countries` VALUES (125,'LC','662','029',1);
INSERT INTO `countries` VALUES (126,'LI','438','155',423);
INSERT INTO `countries` VALUES (127,'LK','144','062',94);
INSERT INTO `countries` VALUES (128,'LR','430','011',231);
INSERT INTO `countries` VALUES (129,'LS','426','018',266);
INSERT INTO `countries` VALUES (130,'LT','440','154',370);
INSERT INTO `countries` VALUES (131,'LU','442','155',352);
INSERT INTO `countries` VALUES (132,'LV','428','154',371);
INSERT INTO `countries` VALUES (133,'LY','434','015',218);
INSERT INTO `countries` VALUES (134,'MA','504','015',212);
INSERT INTO `countries` VALUES (135,'MC','492','155',377);
INSERT INTO `countries` VALUES (136,'MD','498','151',373);
INSERT INTO `countries` VALUES (137,'MG','450','014',261);
INSERT INTO `countries` VALUES (138,'MH','584','057',692);
INSERT INTO `countries` VALUES (139,'MK','807','039',389);
INSERT INTO `countries` VALUES (140,'ML','466','011',269);
INSERT INTO `countries` VALUES (141,'MM','104','035',95);
INSERT INTO `countries` VALUES (142,'MN','496','030',976);
INSERT INTO `countries` VALUES (143,'MO','446','030',853);
INSERT INTO `countries` VALUES (144,'MP','580','057',1);
INSERT INTO `countries` VALUES (145,'MQ','474','029',596);
INSERT INTO `countries` VALUES (146,'MR','478','011',222);
INSERT INTO `countries` VALUES (147,'MS','500','029',1);
INSERT INTO `countries` VALUES (148,'MT','470','039',356);
INSERT INTO `countries` VALUES (149,'MU','480','014',230);
INSERT INTO `countries` VALUES (150,'MV','462','062',960);
INSERT INTO `countries` VALUES (151,'MW','454','014',265);
INSERT INTO `countries` VALUES (152,'MX','484','013',52);
INSERT INTO `countries` VALUES (153,'MY','458','035',60);
INSERT INTO `countries` VALUES (154,'MZ','508','014',258);
INSERT INTO `countries` VALUES (155,'NA','516','018',264);
INSERT INTO `countries` VALUES (156,'NC','540','054',687);
INSERT INTO `countries` VALUES (157,'NE','562','011',227);
INSERT INTO `countries` VALUES (158,'NF','574','053',672);
INSERT INTO `countries` VALUES (159,'NG','566','011',234);
INSERT INTO `countries` VALUES (160,'NI','558','013',505);
INSERT INTO `countries` VALUES (161,'NL','528','155',31);
INSERT INTO `countries` VALUES (162,'NO','578','154',47);
INSERT INTO `countries` VALUES (163,'NP','524','062',977);
INSERT INTO `countries` VALUES (164,'NR','520','057',674);
INSERT INTO `countries` VALUES (165,'NU','570','061',683);
INSERT INTO `countries` VALUES (166,'NZ','554','053',64);
INSERT INTO `countries` VALUES (167,'OM','512','145',968);
INSERT INTO `countries` VALUES (168,'PA','591','013',507);
INSERT INTO `countries` VALUES (169,'PE','604','005',51);
INSERT INTO `countries` VALUES (170,'PF','258','061',689);
INSERT INTO `countries` VALUES (171,'PG','598','054',675);
INSERT INTO `countries` VALUES (172,'PH','608','035',63);
INSERT INTO `countries` VALUES (173,'PK','586','062',92);
INSERT INTO `countries` VALUES (174,'PL','616','151',48);
INSERT INTO `countries` VALUES (175,'PM','666','021',508);
INSERT INTO `countries` VALUES (176,'PN','612','061',872);
INSERT INTO `countries` VALUES (177,'PR','630','029',1);
INSERT INTO `countries` VALUES (178,'PS','275','145',970);
INSERT INTO `countries` VALUES (179,'PT','620','039',351);
INSERT INTO `countries` VALUES (180,'PW','585','057',680);
INSERT INTO `countries` VALUES (181,'PY','600','005',595);
INSERT INTO `countries` VALUES (182,'QA','634','145',974);
INSERT INTO `countries` VALUES (183,'RE','638','014',262);
INSERT INTO `countries` VALUES (184,'RO','642','151',40);
INSERT INTO `countries` VALUES (185,'RU','643','151',7);
INSERT INTO `countries` VALUES (186,'RW','646','014',250);
INSERT INTO `countries` VALUES (187,'SA','682','145',966);
INSERT INTO `countries` VALUES (188,'SB','090','054',677);
INSERT INTO `countries` VALUES (189,'SC','690','014',248);
INSERT INTO `countries` VALUES (190,'SD','736','015',249);
INSERT INTO `countries` VALUES (191,'SE','752','154',46);
INSERT INTO `countries` VALUES (192,'SG','702','035',65);
INSERT INTO `countries` VALUES (193,'SH','654','011',290);
INSERT INTO `countries` VALUES (194,'SI','705','039',386);
INSERT INTO `countries` VALUES (195,'SJ','744','154',47);
INSERT INTO `countries` VALUES (196,'SK','703','151',421);
INSERT INTO `countries` VALUES (197,'SL','694','011',232);
INSERT INTO `countries` VALUES (198,'SM','674','039',378);
INSERT INTO `countries` VALUES (199,'SN','686','011',221);
INSERT INTO `countries` VALUES (200,'SO','706','014',252);
INSERT INTO `countries` VALUES (201,'SR','740','005',597);
INSERT INTO `countries` VALUES (202,'ST','678','017',239);
INSERT INTO `countries` VALUES (203,'SV','222','013',503);
INSERT INTO `countries` VALUES (204,'SY','760','145',963);
INSERT INTO `countries` VALUES (205,'SZ','748','018',268);
INSERT INTO `countries` VALUES (206,'TC','796','029',1);
INSERT INTO `countries` VALUES (207,'TD','148','017',235);
INSERT INTO `countries` VALUES (208,'TF','260','QO',596);
INSERT INTO `countries` VALUES (209,'TG','768','011',228);
INSERT INTO `countries` VALUES (210,'TH','764','035',66);
INSERT INTO `countries` VALUES (211,'TJ','762','062',992);
INSERT INTO `countries` VALUES (212,'TK','772','061',690);
INSERT INTO `countries` VALUES (213,'TL','626','035',670);
INSERT INTO `countries` VALUES (214,'TM','795','062',993);
INSERT INTO `countries` VALUES (215,'TN','788','015',216);
INSERT INTO `countries` VALUES (216,'TO','776','061',676);
INSERT INTO `countries` VALUES (217,'TR','792','145',90);
INSERT INTO `countries` VALUES (218,'TT','780','029',1);
INSERT INTO `countries` VALUES (219,'TV','798','061',688);
INSERT INTO `countries` VALUES (220,'TW','158','030',886);
INSERT INTO `countries` VALUES (221,'TZ','834','014',255);
INSERT INTO `countries` VALUES (222,'UA','804','151',380);
INSERT INTO `countries` VALUES (223,'UG','800','014',256);
INSERT INTO `countries` VALUES (224,'UM','581','QO',1);
INSERT INTO `countries` VALUES (225,'US','840','021',1);
INSERT INTO `countries` VALUES (226,'UY','858','005',598);
INSERT INTO `countries` VALUES (227,'UZ','860','062',998);
INSERT INTO `countries` VALUES (228,'VA','336','039',39);
INSERT INTO `countries` VALUES (229,'VC','670','029',1);
INSERT INTO `countries` VALUES (230,'VE','862','005',58);
INSERT INTO `countries` VALUES (231,'VG','092','029',1);
INSERT INTO `countries` VALUES (232,'VI','850','029',340);
INSERT INTO `countries` VALUES (233,'VN','704','035',84);
INSERT INTO `countries` VALUES (234,'VU','548','054',678);
INSERT INTO `countries` VALUES (235,'WF','876','061',681);
INSERT INTO `countries` VALUES (236,'WS','882','061',684);
INSERT INTO `countries` VALUES (237,'YE','887','145',967);
INSERT INTO `countries` VALUES (238,'YT','175','014',269);
INSERT INTO `countries` VALUES (239,'ZA','710','018',27);
INSERT INTO `countries` VALUES (240,'ZM','894','014',260);
INSERT INTO `countries` VALUES (241,'ZW','716','014',263);
INSERT INTO `countries` VALUES (242,'GG','831','154',44);
INSERT INTO `countries` VALUES (243,'JE','832','154',44);
INSERT INTO `countries` VALUES (244,'IM','833','154',44);
/*!40000 ALTER TABLE `countries` ENABLE KEYS */;

--
-- Table structure for table `coupon_condition_groups`
--

DROP TABLE IF EXISTS `coupon_condition_groups`;


CREATE TABLE `coupon_condition_groups` (
  `coupon_condition_group_id` smallint(5) unsigned NOT NULL auto_increment,
  `coupon_condition_group_name` varchar(255) default NULL,
  `coupon_id` smallint(5) unsigned default NULL,
  `coupon_condition_group_active` tinyint(3) unsigned default NULL,
  PRIMARY KEY  (`coupon_condition_group_id`),
  KEY `coupon_id` (`coupon_id`),
  KEY `coupon_condition_group_active` (`coupon_condition_group_active`)
) ENGINE=MyISAM;


--
-- Dumping data for table `coupon_condition_groups`
--

/*!40000 ALTER TABLE `coupon_condition_groups` DISABLE KEYS */;
/*!40000 ALTER TABLE `coupon_condition_groups` ENABLE KEYS */;

--
-- Table structure for table `coupon_conditions`
--

DROP TABLE IF EXISTS `coupon_conditions`;


CREATE TABLE `coupon_conditions` (
  `coupon_condition_id` smallint(5) unsigned NOT NULL auto_increment,
  `coupon_condition_group_id` smallint(5) unsigned default NULL,
  `product_variant_id` int(8) unsigned default NULL,
  `cycle_id` smallint(5) unsigned default NULL,
  PRIMARY KEY  (`coupon_condition_id`),
  KEY `product_variant_id` (`product_variant_id`),
  KEY `cycle_id` (`cycle_id`),
  KEY `coupon_condition_group_id` (`coupon_condition_group_id`)
) ENGINE=MyISAM;


--
-- Dumping data for table `coupon_conditions`
--

/*!40000 ALTER TABLE `coupon_conditions` DISABLE KEYS */;
/*!40000 ALTER TABLE `coupon_conditions` ENABLE KEYS */;

--
-- Table structure for table `coupons`
--

DROP TABLE IF EXISTS `coupons`;


CREATE TABLE `coupons` (
  `coupon_id` smallint(5) unsigned NOT NULL auto_increment,
  `coupon_code` varchar(255) default NULL,
  `coupon_discount` decimal(10,2) default '0.00',
  `coupon_type` tinyint(3) unsigned default NULL,
  `coupon_comments` longtext,
  `coupon_active` tinyint(3) unsigned default NULL,
  `coupon_date_created` int(10) unsigned default '0',
  `coupon_date_started` int(10) unsigned default '0',
  `coupon_date_ended` int(10) unsigned default '0',
  `coupon_count` int(11) unsigned default '0',
  `coupon_max_count` int(10) unsigned default '0',
  `coupon_new_only` tinyint(3) unsigned default NULL,
  `coupon_num_cycles` smallint(5) unsigned default NULL,
  `coupon_apply_number` smallint(5) unsigned default NULL,
  PRIMARY KEY  (`coupon_id`),
  KEY `coupon_active` (`coupon_active`),
  KEY `coupon_date_ended` (`coupon_date_ended`),
  KEY `coupon_date_started` (`coupon_date_started`),
  KEY `coupon_max_count` (`coupon_max_count`),
  KEY `coupon_new_only` (`coupon_new_only`),
  KEY `coupon_num_cycles` (`coupon_num_cycles`),
  KEY `coupon_code` (`coupon_code`)
) ENGINE=MyISAM;


--
-- Dumping data for table `coupons`
--

/*!40000 ALTER TABLE `coupons` DISABLE KEYS */;
/*!40000 ALTER TABLE `coupons` ENABLE KEYS */;

--
-- Table structure for table `cycle_discount_groups`
--

DROP TABLE IF EXISTS `cycle_discount_groups`;


CREATE TABLE `cycle_discount_groups` (
  `cycle_discount_group_id` smallint(5) unsigned NOT NULL auto_increment,
  `cycle_discount_group_name` varchar(50) default NULL,
  `cycle_discount_group_active` tinyint(1) unsigned default '1',
  PRIMARY KEY  (`cycle_discount_group_id`),
  KEY `cycle_discount_group_active` (`cycle_discount_group_active`)
) ENGINE=MyISAM;


--
-- Dumping data for table `cycle_discount_groups`
--

/*!40000 ALTER TABLE `cycle_discount_groups` DISABLE KEYS */;
/*!40000 ALTER TABLE `cycle_discount_groups` ENABLE KEYS */;

--
-- Table structure for table `cycle_discounts`
--

DROP TABLE IF EXISTS `cycle_discounts`;


CREATE TABLE `cycle_discounts` (
  `cycle_discount_id` smallint(5) unsigned NOT NULL auto_increment,
  `cycle_discount_group_id` smallint(5) unsigned default NULL,
  `cycle_discount_active` tinyint(1) unsigned default '1',
  `cycle_id` smallint(5) unsigned default NULL,
  `cycle_discount_amount` decimal(5,2) unsigned default '0.00',
  PRIMARY KEY  (`cycle_discount_id`),
  KEY `cycle_discount_group_id` (`cycle_discount_group_id`),
  KEY `cycle_discount_active` (`cycle_discount_active`),
  KEY `cycle_id` (`cycle_id`)
) ENGINE=MyISAM;


--
-- Dumping data for table `cycle_discounts`
--

/*!40000 ALTER TABLE `cycle_discounts` DISABLE KEYS */;
/*!40000 ALTER TABLE `cycle_discounts` ENABLE KEYS */;

--
-- Table structure for table `cycle_group_rel`
--

DROP TABLE IF EXISTS `cycle_group_rel`;


CREATE TABLE `cycle_group_rel` (
  `cycle_id` int(8) unsigned NOT NULL default '0',
  `cycle_group_id` smallint(5) unsigned NOT NULL default '0',
  PRIMARY KEY  (`cycle_id`,`cycle_group_id`)
) ENGINE=MyISAM;


--
-- Dumping data for table `cycle_group_rel`
--

/*!40000 ALTER TABLE `cycle_group_rel` DISABLE KEYS */;
INSERT INTO `cycle_group_rel` VALUES (1,1);
INSERT INTO `cycle_group_rel` VALUES (2,2);
INSERT INTO `cycle_group_rel` VALUES (3,3);
INSERT INTO `cycle_group_rel` VALUES (4,3);
INSERT INTO `cycle_group_rel` VALUES (5,3);
INSERT INTO `cycle_group_rel` VALUES (6,4);
INSERT INTO `cycle_group_rel` VALUES (7,4);
INSERT INTO `cycle_group_rel` VALUES (8,4);
INSERT INTO `cycle_group_rel` VALUES (9,4);
INSERT INTO `cycle_group_rel` VALUES (10,4);
INSERT INTO `cycle_group_rel` VALUES (11,4);
INSERT INTO `cycle_group_rel` VALUES (12,4);
INSERT INTO `cycle_group_rel` VALUES (13,4);
INSERT INTO `cycle_group_rel` VALUES (14,4);
INSERT INTO `cycle_group_rel` VALUES (15,4);
INSERT INTO `cycle_group_rel` VALUES (16,5);
/*!40000 ALTER TABLE `cycle_group_rel` ENABLE KEYS */;

--
-- Table structure for table `cycle_groups`
--

DROP TABLE IF EXISTS `cycle_groups`;


CREATE TABLE `cycle_groups` (
  `cycle_group_id` smallint(5) unsigned NOT NULL auto_increment,
  `cycle_group_display_name` varchar(75) default NULL,
  `cycle_group_internal_name` varchar(75) default NULL,
  PRIMARY KEY  (`cycle_group_id`),
  KEY `cycle_group_internal_name` (`cycle_group_internal_name`)
) ENGINE=MyISAM AUTO_INCREMENT=6;


--
-- Dumping data for table `cycle_groups`
--

/*!40000 ALTER TABLE `cycle_groups` DISABLE KEYS */;
INSERT INTO `cycle_groups` VALUES (1,'TRANS_DAILY','daily');
INSERT INTO `cycle_groups` VALUES (2,'TRANS_WEEKLY','weekly');
INSERT INTO `cycle_groups` VALUES (3,'TRANS_MONTHLY','monthly');
INSERT INTO `cycle_groups` VALUES (4,'TRANS_YEARLY','yearly');
INSERT INTO `cycle_groups` VALUES (5,'TRANS_ONE_TIME','onetime');
/*!40000 ALTER TABLE `cycle_groups` ENABLE KEYS */;

--
-- Table structure for table `cycles`
--

DROP TABLE IF EXISTS `cycles`;


CREATE TABLE `cycles` (
  `cycle_id` smallint(5) unsigned NOT NULL auto_increment,
  `cycle_display_name` varchar(50) default NULL,
  `cycle_num_seconds` tinyint(3) unsigned default '0',
  `cycle_num_minutes` tinyint(3) unsigned default '0',
  `cycle_num_hours` tinyint(3) unsigned default '0',
  `cycle_num_days` smallint(5) unsigned default '0',
  `cycle_num_months` tinyint(3) unsigned default '0',
  `cycle_num_years` tinyint(3) unsigned default '0',
  PRIMARY KEY  (`cycle_id`),
  KEY `cycle_display_name` (`cycle_display_name`)
) ENGINE=MyISAM AUTO_INCREMENT=17;


--
-- Dumping data for table `cycles`
--

/*!40000 ALTER TABLE `cycles` DISABLE KEYS */;
INSERT INTO `cycles` VALUES (1,'TRANS_1DAY',0,0,0,1,0,0);
INSERT INTO `cycles` VALUES (2,'TRANS_1WEEK',0,0,0,7,0,0);
INSERT INTO `cycles` VALUES (3,'TRANS_1MONTH',0,0,0,0,1,0);
INSERT INTO `cycles` VALUES (4,'TRANS_3MONTHS',0,0,0,0,3,0);
INSERT INTO `cycles` VALUES (5,'TRANS_6MONTHS',0,0,0,0,6,0);
INSERT INTO `cycles` VALUES (6,'TRANS_1YEAR',0,0,0,0,0,1);
INSERT INTO `cycles` VALUES (7,'TRANS_2YEARS',0,0,0,0,0,2);
INSERT INTO `cycles` VALUES (8,'TRANS_3YEARS',0,0,0,0,0,3);
INSERT INTO `cycles` VALUES (9,'TRANS_4YEARS',0,0,0,0,0,4);
INSERT INTO `cycles` VALUES (10,'TRANS_5YEARS',0,0,0,0,0,5);
INSERT INTO `cycles` VALUES (11,'TRANS_6YEARS',0,0,0,0,0,6);
INSERT INTO `cycles` VALUES (12,'TRANS_7YEARS',0,0,0,0,0,7);
INSERT INTO `cycles` VALUES (13,'TRANS_8YEARS',0,0,0,0,0,8);
INSERT INTO `cycles` VALUES (14,'TRANS_9YEARS',0,0,0,0,0,9);
INSERT INTO `cycles` VALUES (15,'TRANS_10YEARS',0,0,0,0,0,10);
INSERT INTO `cycles` VALUES (16,'TRANS_ONE_TIME',0,0,0,1,0,0);
/*!40000 ALTER TABLE `cycles` ENABLE KEYS */;

--
-- Table structure for table `data_change_log`
--

DROP TABLE IF EXISTS `data_change_log`;


CREATE TABLE `data_change_log` (
  `change_log_id` int(10) unsigned NOT NULL auto_increment,
  `user_type` tinyint(3) unsigned default NULL,
  `user_id` int(8) unsigned default NULL,
  `change_log_date_created` int(10) unsigned default NULL,
  `change_log_table_name` varchar(40) default NULL,
  `change_log_column_name` varchar(32) default NULL,
  `change_log_column_id` int(10) unsigned default NULL,
  PRIMARY KEY  (`change_log_id`),
  KEY `change_log_table_name` (`change_log_table_name`),
  KEY `change_log_column_name` (`change_log_column_name`),
  KEY `change_log_column_id` (`change_log_column_id`),
  KEY `user_id` (`user_id`),
  KEY `user_type` (`user_type`)
) ENGINE=MyISAM;


--
-- Dumping data for table `data_change_log`
--

/*!40000 ALTER TABLE `data_change_log` DISABLE KEYS */;
/*!40000 ALTER TABLE `data_change_log` ENABLE KEYS */;

--
-- Table structure for table `dbg_entries`
--

DROP TABLE IF EXISTS `dbg_entries`;


CREATE TABLE `dbg_entries` (
  `dbg_entry_id` bigint(20) unsigned NOT NULL auto_increment,
  `dbg_pageload_id` bigint(20) unsigned default NULL,
  `dbg_entry_date_created` int(10) unsigned default NULL,
  `dbg_entry_file` varchar(255) default NULL,
  `dbg_entry_line` smallint(5) unsigned default NULL,
  `dbg_entry_message` text,
  PRIMARY KEY  (`dbg_entry_id`),
  KEY `dbg_pageload_id` (`dbg_pageload_id`),
  KEY `dbg_entry_file` (`dbg_entry_file`),
  KEY `dbg_entry_line` (`dbg_entry_line`)
) ENGINE=MyISAM;


--
-- Dumping data for table `dbg_entries`
--

/*!40000 ALTER TABLE `dbg_entries` DISABLE KEYS */;
/*!40000 ALTER TABLE `dbg_entries` ENABLE KEYS */;

--
-- Table structure for table `dbg_pageloads`
--

DROP TABLE IF EXISTS `dbg_pageloads`;


CREATE TABLE `dbg_pageloads` (
  `dbg_pageload_id` bigint(20) unsigned NOT NULL auto_increment,
  `dbg_pageload_date_created` int(10) unsigned default NULL,
  `dbg_pageload_page` varchar(255) default NULL,
  `dbg_pageload_action` varchar(255) default NULL,
  `dbg_pageload_pid` int(10) default NULL,
  `user_type` tinyint(4) default NULL,
  `user_id` int(11) default NULL,
  PRIMARY KEY  (`dbg_pageload_id`),
  KEY `dbg_pageload_page` (`dbg_pageload_page`),
  KEY `dbg_pageload_action` (`dbg_pageload_action`),
  KEY `dbg_pageload_pid` (`dbg_pageload_pid`),
  KEY `user_type` (`user_type`),
  KEY `user_id` (`user_id`)
) ENGINE=MyISAM;


--
-- Dumping data for table `dbg_pageloads`
--

/*!40000 ALTER TABLE `dbg_pageloads` DISABLE KEYS */;
/*!40000 ALTER TABLE `dbg_pageloads` ENABLE KEYS */;

--
-- Table structure for table `email_addresses`
--

DROP TABLE IF EXISTS `email_addresses`;


CREATE TABLE `email_addresses` (
  `email_address_id` int(10) unsigned NOT NULL auto_increment,
  `email_address_name` varchar(100) default NULL,
  `email_address` varchar(255) default NULL,
  `email_address_type` tinyint(3) unsigned default NULL,
  `email_id` int(10) unsigned default NULL,
  PRIMARY KEY  (`email_address_id`),
  KEY `email_id` (`email_id`),
  KEY `email_address` (`email_address`),
  KEY `email_address_type` (`email_address_type`)
) ENGINE=MyISAM;


--
-- Dumping data for table `email_addresses`
--

/*!40000 ALTER TABLE `email_addresses` DISABLE KEYS */;
/*!40000 ALTER TABLE `email_addresses` ENABLE KEYS */;

--
-- Table structure for table `email_attachments`
--

DROP TABLE IF EXISTS `email_attachments`;


CREATE TABLE `email_attachments` (
  `email_attachment_id` int(10) unsigned NOT NULL auto_increment,
  `email_id` int(10) unsigned default NULL,
  `email_attachment_path` longtext,
  `email_attachment_remote` tinyint(3) unsigned default NULL,
  PRIMARY KEY  (`email_attachment_id`),
  KEY `email_id` (`email_id`)
) ENGINE=MyISAM;


--
-- Dumping data for table `email_attachments`
--

/*!40000 ALTER TABLE `email_attachments` DISABLE KEYS */;
/*!40000 ALTER TABLE `email_attachments` ENABLE KEYS */;

--
-- Table structure for table `email_headers`
--

DROP TABLE IF EXISTS `email_headers`;


CREATE TABLE `email_headers` (
  `email_header_id` int(10) unsigned NOT NULL auto_increment,
  `email_id` int(10) unsigned default NULL,
  `email_header` longtext,
  PRIMARY KEY  (`email_header_id`),
  KEY `email_id` (`email_id`)
) ENGINE=MyISAM;


--
-- Dumping data for table `email_headers`
--

/*!40000 ALTER TABLE `email_headers` DISABLE KEYS */;
/*!40000 ALTER TABLE `email_headers` ENABLE KEYS */;

--
-- Table structure for table `email_queue`
--

DROP TABLE IF EXISTS `email_queue`;


CREATE TABLE `email_queue` (
  `email_id` int(10) unsigned NOT NULL auto_increment,
  `client_contact_id` int(10) unsigned default '0',
  `admin_id` smallint(5) unsigned default '0',
  `email_subject` varchar(255) default NULL,
  `email_body` text,
  `email_text_body` text,
  `email_from_address` varchar(60) default NULL,
  `email_from_name` varchar(50) default NULL,
  `email_sent` tinyint(3) unsigned default NULL,
  `email_sent_type` tinyint(3) unsigned default NULL,
  `email_failed` tinyint(3) unsigned default NULL,
  `email_date_created` int(10) unsigned default NULL,
  `email_date_sent` int(10) unsigned default NULL,
  `email_active` tinyint(3) unsigned default NULL,
  PRIMARY KEY  (`email_id`),
  KEY `email_date_created` (`email_date_created`),
  KEY `email_sent` (`email_sent`),
  KEY `email_failed` (`email_failed`),
  KEY `email_active` (`email_active`),
  KEY `client_contact_id` (`client_contact_id`),
  KEY `admin_id` (`admin_id`)
) ENGINE=MyISAM;


--
-- Dumping data for table `email_queue`
--

/*!40000 ALTER TABLE `email_queue` DISABLE KEYS */;
/*!40000 ALTER TABLE `email_queue` ENABLE KEYS */;

--
-- Table structure for table `email_tpl_groups`
--

DROP TABLE IF EXISTS `email_tpl_groups`;


CREATE TABLE `email_tpl_groups` (
  `email_tpl_group_id` smallint(5) unsigned NOT NULL auto_increment,
  `email_tpl_group_name` varchar(255) default NULL,
  `email_action_id` tinyint(3) unsigned default NULL,
  `email_tpl_group_priority` tinyint(3) unsigned default NULL,
  `email_tpl_group_from_name` varchar(255) default NULL,
  `email_tpl_group_from_address` varchar(255) default NULL,
  `email_tpl_group_reply_name` varchar(255) default NULL,
  `email_tpl_group_reply_address` varchar(255) default NULL,
  `email_tpl_group_cc_address` varchar(255) default NULL,
  `email_tpl_group_bcc_address` varchar(255) default NULL,
  PRIMARY KEY  (`email_tpl_group_id`),
  KEY `email_action_id` (`email_action_id`)
) ENGINE=MyISAM AUTO_INCREMENT=26;


--
-- Dumping data for table `email_tpl_groups`
--

/*!40000 ALTER TABLE `email_tpl_groups` DISABLE KEYS */;
INSERT INTO `email_tpl_groups` VALUES (1,'packageInfo - Hosting Product',1,3,'COMPANYNAME','','COMPANYNAME','',NULL,NULL);
INSERT INTO `email_tpl_groups` VALUES (2,'packageInfo - Non-Hosting Product',1,3,'COMPANYNAME','','COMPANYNAME','',NULL,NULL);
INSERT INTO `email_tpl_groups` VALUES (3,'packageInfo - Domain Registration Product',1,3,'COMPANYNAME','','COMPANYNAME','',NULL,NULL);
INSERT INTO `email_tpl_groups` VALUES (4,'packageInfo - Usage Product',1,3,'COMPANYNAME','','COMPANYNAME','',NULL,NULL);
INSERT INTO `email_tpl_groups` VALUES (5,'cc Payment Email',3,3,'COMPANYNAME','','COMPANYNAME','',NULL,NULL);
INSERT INTO `email_tpl_groups` VALUES (6,'eCheck Payment Email',4,3,'COMPANYNAME','','COMPANYNAME','',NULL,NULL);
INSERT INTO `email_tpl_groups` VALUES (7,'packageInfo - Contract Product',1,3,'COMPANYNAME','','COMPANYNAME','',NULL,NULL);
INSERT INTO `email_tpl_groups` VALUES (8,'Invoice Email',2,2,'COMPANYNAME','','COMPANYNAME','',NULL,NULL);
INSERT INTO `email_tpl_groups` VALUES (9,'Bank Draft Email',5,3,'COMPANYNAME','','COMPANYNAME','',NULL,NULL);
INSERT INTO `email_tpl_groups` VALUES (10,'Manual Payment Email',6,3,'COMPANYNAME','','COMPANYNAME','',NULL,NULL);
INSERT INTO `email_tpl_groups` VALUES (11,'CC Expire Notice',13,1,'COMPANYNAME','','COMPANYNAME','',NULL,NULL);
INSERT INTO `email_tpl_groups` VALUES (12,'Secondary Gateway Email',7,3,'COMPANYNAME','','COMPANYNAME','',NULL,NULL);
INSERT INTO `email_tpl_groups` VALUES (13,'Declined Charge',8,1,'COMPANYNAME','','COMPANYNAME','',NULL,NULL);
INSERT INTO `email_tpl_groups` VALUES (14,'Error Payment Email',9,1,'COMPANYNAME','','COMPANYNAME','',NULL,NULL);
INSERT INTO `email_tpl_groups` VALUES (15,'Domain Renewal Email',10,3,'COMPANYNAME','','COMPANYNAME','',NULL,NULL);
INSERT INTO `email_tpl_groups` VALUES (16,'Successful Domain Transfer',11,3,'COMPANYNAME','','COMPANYNAME','',NULL,NULL);
INSERT INTO `email_tpl_groups` VALUES (17,'Failed Domain Transfer Email',12,2,'COMPANYNAME','','COMPANYNAME','',NULL,NULL);
INSERT INTO `email_tpl_groups` VALUES (18,'[1] 1st Notice',14,3,'COMPANYNAME','','COMPANYNAME','',NULL,NULL);
INSERT INTO `email_tpl_groups` VALUES (19,'[2] 2nd Notice',14,2,'COMPANYNAME','','COMPANYNAME','',NULL,NULL);
INSERT INTO `email_tpl_groups` VALUES (20,'[3] 3rd Notice - Suspension Email',14,1,'COMPANYNAME','','COMPANYNAME','',NULL,NULL);
INSERT INTO `email_tpl_groups` VALUES (21,'[X] Account Deletion',14,2,'COMPANYNAME','','COMPANYNAME','',NULL,NULL);
INSERT INTO `email_tpl_groups` VALUES (22,'Package Enable Email',15,3,'COMPANYNAME','','COMPANYNAME','',NULL,NULL);
INSERT INTO `email_tpl_groups` VALUES (23,'Password Notification Emails',16,1,'COMPANYNAME','','COMPANYNAME','',NULL,NULL);
INSERT INTO `email_tpl_groups` VALUES (24,'User Defined Emails',17,1,'COMPANYNAME','','COMPANYNAME','',NULL,NULL);
INSERT INTO `email_tpl_groups` VALUES (25,'New Order Emails',20,1,'COMPANYNAME','','COMPANYNAME','',NULL,NULL);
/*!40000 ALTER TABLE `email_tpl_groups` ENABLE KEYS */;

--
-- Table structure for table `email_tpls`
--

DROP TABLE IF EXISTS `email_tpls`;


CREATE TABLE `email_tpls` (
  `email_tpl_id` smallint(5) unsigned NOT NULL auto_increment,
  `email_tpl_group_id` smallint(5) unsigned default NULL,
  `email_tpl_subject` varchar(255) default NULL,
  `email_tpl_primary` tinyint(3) unsigned default NULL,
  `email_tpl_body` text,
  `email_tpl_text_body` text,
  `language_id` smallint(5) unsigned default NULL,
  `country_type` tinyint(3) unsigned default NULL,
  `countries_id` smallint(5) unsigned default NULL,
  `regions_id` char(3) default NULL,
  PRIMARY KEY  (`email_tpl_id`),
  KEY `email_tpl_group_id` (`email_tpl_group_id`),
  KEY `language_id` (`language_id`),
  KEY `country_type` (`country_type`),
  KEY `countries_id` (`countries_id`),
  KEY `regions_id` (`regions_id`),
  KEY `email_tpl_primary` (`email_tpl_primary`)
) ENGINE=MyISAM AUTO_INCREMENT=26;


--
-- Dumping data for table `email_tpls`
--

/*!40000 ALTER TABLE `email_tpls` DISABLE KEYS */;
INSERT INTO `email_tpls` VALUES (1,1,'Welcome {$contactFirstName} {$contactLastName}',1,'&lt;style&gt;&lt;!--\n	{include file=&quot;$tplDirectory/widgets/cssbased/styles.css&quot;}\n--&gt;&lt;/style&gt;\n\n&lt;center&gt;\n\n&lt;table class=&quot;emailBody&quot; cellpadding=&quot;0&quot; cellspacing=&quot;0&quot;&gt;\n&lt;tr&gt;&lt;td class=&quot;emailTitle&quot;&gt;\n	Welcome to {$companyName}\n&lt;/td&gt;&lt;/tr&gt;\n&lt;tr&gt;&lt;td&gt;\n	&lt;table class=&quot;content&quot; border=&quot;0&quot; cellspacing=&quot;0&quot;&gt;\n		&lt;tr&gt;\n			&lt;td class=&quot;leftColumn&quot;&gt;\n				&lt;p&gt;&lt;strong&gt;Welcome {$contactFirstName} {$contactLastName}!&lt;/strong&gt;&lt;/p&gt;\n\n				&lt;p&gt;Thank you for signing up with {$companyName}. Your new account information is provided below.&lt;/p&gt;\n\n				&lt;table class=&quot;details&quot; border=&quot;0&quot; cellspacing=&quot;0&quot;&gt;\n					&lt;tr&gt;&lt;td class=&quot;header&quot;&gt;ACCOUNT INFORMATION&lt;/td&gt;&lt;/tr&gt;\n					&lt;tr&gt;&lt;td class=&quot;data&quot;&gt;\n						&lt;span class=&quot;title&quot;&gt;Plan:&lt;/span&gt; {$packageName}&lt;br/&gt;\n						&lt;span class=&quot;title&quot;&gt;Price:&lt;/span&gt; {$packagePrice|getAmount:$currencyID}&lt;br/&gt;\n						&lt;span class=&quot;title&quot;&gt;Domain:&lt;/span&gt; {$domainSLD}.{$domainTLD}&lt;br/&gt;\n						&lt;span class=&quot;title&quot;&gt;IP Address:&lt;/span&gt; {$packageIP}\n					&lt;/td&gt;&lt;/tr&gt;\n				&lt;/table&gt;\n				&lt;table class=&quot;details&quot; border=&quot;0&quot; cellspacing=&quot;0&quot;&gt;\n					&lt;tr&gt;&lt;td class=&quot;header&quot;&gt;LOGIN INFORMATION&lt;/td&gt;&lt;/tr&gt;\n					&lt;tr&gt;&lt;td class=&quot;data&quot;&gt;\n						&lt;span class=&quot;title&quot;&gt;Plan:&lt;/span&gt; {$packageName}&lt;br/&gt;\n						&lt;span class=&quot;title&quot;&gt;Domain:&lt;/span&gt; {$domainSLD}.{$domainTLD}&lt;br/&gt;\n						&lt;span class=&quot;title&quot;&gt;Username:&lt;/span&gt; {$packageUsername}&lt;br/&gt;\n						&lt;span class=&quot;title&quot;&gt;Password:&lt;/span&gt; {$packagePassword}\n					&lt;/td&gt;&lt;/tr&gt;\n				&lt;/table&gt;\n				&lt;table class=&quot;details&quot; border=&quot;0&quot; cellspacing=&quot;0&quot;&gt;\n					&lt;tr&gt;&lt;td class=&quot;header&quot;&gt;FTP INFORMATION&lt;/td&gt;&lt;/tr&gt;\n					&lt;tr&gt;&lt;td class=&quot;data&quot;&gt;\n						&lt;span class=&quot;title&quot;&gt;FTP:&lt;/span&gt; {$packageIP}&lt;br/&gt;\n						&lt;span class=&quot;title&quot;&gt;Username:&lt;/span&gt; {if $ftpUsername}{$ftpUsername}{else}{$packageUsername}{/if}&lt;br/&gt;\n						&lt;span class=&quot;title&quot;&gt;Password:&lt;/span&gt; {if $ftpPassword}{$ftpPassword}{else}{$packagePassword}{/if}\n					&lt;/td&gt;&lt;/tr&gt;\n				&lt;/table&gt;\n				&lt;table class=&quot;details&quot; border=&quot;0&quot; cellspacing=&quot;0&quot;&gt;\n					&lt;tr&gt;&lt;td class=&quot;header&quot;&gt;TELNET/SSH INFORMATION&lt;/td&gt;&lt;/tr&gt;\n					&lt;tr&gt;&lt;td class=&quot;data&quot;&gt;\n						&lt;span class=&quot;title&quot;&gt;SSH:&lt;/span&gt; {$packageIP}&lt;br/&gt;\n						&lt;span class=&quot;title&quot;&gt;Username:&lt;/span&gt; {$packageUsername}&lt;br/&gt;\n						&lt;span class=&quot;title&quot;&gt;Password:&lt;/span&gt; {$packagePassword}\n					&lt;/td&gt;&lt;/tr&gt;\n				&lt;/table&gt;\n				&lt;table class=&quot;details&quot; border=&quot;0&quot; cellspacing=&quot;0&quot;&gt;\n					&lt;tr&gt;&lt;td class=&quot;header&quot;&gt;NAMESERVER INFORMATION&lt;/td&gt;&lt;/tr&gt;\n					&lt;tr&gt;&lt;td class=&quot;data&quot;&gt;\n						{if $nameserver1}&lt;span class=&quot;title&quot;&gt;{$nameserver1}:&lt;/span&gt; {$nameserver1IP}&lt;br/&gt;{/if}\n						{if $nameserver2}&lt;span class=&quot;title&quot;&gt;{$nameserver2}:&lt;/span&gt; {$nameserver2IP}&lt;br/&gt;{/if}\n						{if $nameserver3}&lt;span class=&quot;title&quot;&gt;{$nameserver3}:&lt;/span&gt; {$nameserver3IP}&lt;br/&gt;{/if}\n						{if $nameserver4}&lt;span class=&quot;title&quot;&gt;{$nameserver4}:&lt;/span&gt; {$nameserver4IP}&lt;br/&gt;{/if}\n					&lt;/td&gt;&lt;/tr&gt;\n				&lt;/table&gt;\n\n				&lt;p&gt;\n					You may access your control panel at\n					&lt;a href=&quot;http://{$packageIP}/CONTROL PANEL PATH&quot; target=&quot;_blank&quot;&gt;http://{$packageIP}/CONTROL PANEL PATH&lt;/a&gt; or\n					&lt;a href=&quot;http://{$domainSLD}.{$domainTLD}/CONTROL PANEL PATH&quot; target=&quot;_blank&quot;&gt;http://{$domainSLD}.{$domainTLD}/CONTROL PANEL PATH&lt;/a&gt;\n					if your domain has been transferred to our nameservers.\n				&lt;/p&gt;\n			&lt;/td&gt;\n			&lt;td class=&quot;rightColumn&quot;&gt;\n				{include file=&quot;$tplDirectory/widgets/cssbased/rightColumnContent.tpl&quot;}\n			&lt;/td&gt;\n		&lt;/tr&gt;\n		&lt;tr&gt;\n			&lt;td colspan=&quot;2&quot;&gt;\n				&lt;table class=&quot;information&quot; border=&quot;0&quot; cellspacing=&quot;0&quot;&gt;\n					&lt;tr&gt;&lt;td class=&quot;header&quot;&gt;BILLING&lt;/td&gt;&lt;/tr&gt;\n					&lt;tr&gt;&lt;td class=&quot;data&quot;&gt;\n						&lt;p&gt;Login to our client billing system at the following URL to view and pay your invoices,\n						change your payment type or billing details, update contact information, and more!&lt;/p&gt;\n\n						&lt;p&gt;\n							&lt;a href=&quot;{$companyClientURL}&quot; target=&quot;_blank&quot;&gt;{$companyClientURL}&lt;/a&gt;&lt;br/&gt;\n							&lt;strong&gt;Username:&lt;/strong&gt; {$contactUsername}\n						&lt;/p&gt;\n\n						&lt;p&gt;Need help with your password? Visit the URL above and click the Forgot your password?\n						link to retrieve your password.&lt;/p&gt;\n					&lt;/td&gt;&lt;/tr&gt;\n				&lt;/table&gt;\n				&lt;table class=&quot;information&quot; border=&quot;0&quot; cellspacing=&quot;0&quot;&gt;\n					&lt;tr&gt;&lt;td class=&quot;header&quot;&gt;QUESTIONS?&lt;/td&gt;&lt;/tr&gt;\n					&lt;tr&gt;&lt;td class=&quot;data&quot;&gt;\n						&lt;p&gt;If you have any questions regarding your account, please contact us at your convenience.&lt;/p&gt;\n\n						&lt;p&gt;Thank you,&lt;/p&gt;\n\n						&lt;p&gt;\n							{$companyName}&lt;br/&gt;\n							&lt;a href=&quot;{$companyURL}&quot; target=&quot;_blank&quot;&gt;{$companyURL}&lt;/a&gt;\n						&lt;/p&gt;\n					&lt;/td&gt;&lt;/tr&gt;\n				&lt;/table&gt;\n			&lt;/td&gt;\n		&lt;/tr&gt;\n	&lt;/table&gt;\n&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;\n\n&lt;/center&gt;','Welcome {$contactFirstName} {$contactLastName}!\n  \nThank you for signing up with {$companyName}. Your new account information is provided below.\n\nACCOUNT INFORMATION:\n\nPlan: {$packageName}\nPrice: {$packagePrice|getAmount:$currencyID}\nDomain: {$domainSLD}.{$domainTLD}\nIP Address: {$packageIP}\n\nLOGIN INFORMATION:\n\nDomain: {$domainSLD}.{$domainTLD}\nUsername: {$packageUsername}\nPassword: {$packagePassword}\n\nFTP INFORMATION:\n\nFTP: {$packageIP}\nUsername: {if $ftpUsername}{$ftpUsername}{else}{$packageUsername}{/if}\nPassword: {if $ftpPassword}{$ftpPassword}{else}{$packagePassword}{/if}\n\nTELNET/SSH INFORMATION:\n\nSSH: {$packageIP}\nUsername: {$packageUsername}\nPassword: {$packagePassword}\n\nNAMESERVER INFORMATION:\n\n{if $nameserver1}{$nameserver1}: {$nameserver1IP}\n{/if}{if $nameserver2}{$nameserver2}: {$nameserver2IP}\n{/if}{if $nameserver3}{$nameserver3}: {$nameserver3IP}\n{/if}{if $nameserver4}{$nameserver4}: {$nameserver4IP}\n{/if}\nYou may access your control panel at http://{$packageIP}/CONTROL PANEL PATH or http://{$domainSLD}.{$domainTLD}/CONTROL PANEL PATH if your domain has been transferred to our nameservers.\n\nBILLING:\n\nLogin to our client billing system at the following URL to view and pay your invoices, change your payment type or billing details, update contact information, and more!\n\n{$companyClientURL}\nUsername: {$contactUsername}\n\nNeed help with your password? Visit the URL above and click the Forgot your password? link to retrieve your password.\n\nQUESTIONS?\n\nIf you have any questions regarding your account, please contact us at your convenience.\n\nThank you,\n\n{$companyName}\n{$companyURL}\n\n\n{$companyAddress1}\n{$companyAddress2}\n{$companyCity}, {$companyState}\n{$companyZip}\n\nDate: {$currentTime|getDateTime:full}\n',21,0,225,'2');
INSERT INTO `email_tpls` VALUES (2,2,'Welcome {$contactFirstName} {$contactLastName}',1,'&lt;style&gt;&lt;!--\n	{include file=&quot;$tplDirectory/widgets/cssbased/styles.css&quot;}\n--&gt;&lt;/style&gt;\n\n&lt;center&gt;\n\n&lt;center&gt;\n\n&lt;table class=&quot;emailBody&quot; cellpadding=&quot;0&quot; cellspacing=&quot;0&quot;&gt;\n&lt;tr&gt;&lt;td class=&quot;emailTitle&quot;&gt;\n	Welcome to {$companyName}\n&lt;/td&gt;&lt;/tr&gt;\n&lt;tr&gt;&lt;td&gt;\n	&lt;table class=&quot;content&quot; border=&quot;0&quot; cellspacing=&quot;0&quot;&gt;\n		&lt;tr&gt;\n			&lt;td class=&quot;leftColumn&quot;&gt;\n				&lt;p&gt;&lt;strong&gt;Welcome {$contactFirstName} {$contactLastName}!&lt;/strong&gt;&lt;/p&gt;\n\n				&lt;p&gt;Thank you for purchasing {$packageName} with {$companyName}.&lt;/p&gt;\n\n				&lt;p&gt;This email contains important information regarding your order.&lt;/p&gt;\n\n				&lt;table class=&quot;information&quot; border=&quot;0&quot; cellspacing=&quot;0&quot;&gt;\n					&lt;tr&gt;&lt;td class=&quot;header&quot;&gt;BILLING&lt;/td&gt;&lt;/tr&gt;\n					&lt;tr&gt;&lt;td class=&quot;data&quot;&gt;\n						&lt;p&gt;Login to our client billing system at the following URL to view\n						and pay your invoices, change your payment type or billing details,\n						update contact information, and more!&lt;/p&gt;\n\n						&lt;p&gt;\n							&lt;a href=&quot;{$companyClientURL}&quot; target=&quot;_blank&quot;&gt;{$companyClientURL}&lt;/a&gt;&lt;br/&gt;\n							&lt;strong&gt;Username:&lt;/strong&gt; {$contactUsername}\n						&lt;/p&gt;\n\n						&lt;p&gt;Need help with your password? Visit the URL above and click the\n						&amp;quot;Forgot your password?&amp;quot; link to retrieve your password.&lt;/p&gt;\n					&lt;/td&gt;&lt;/tr&gt;\n				&lt;/table&gt;\n				&lt;table class=&quot;information&quot; border=&quot;0&quot; cellspacing=&quot;0&quot;&gt;\n					&lt;tr&gt;&lt;td class=&quot;header&quot;&gt;QUESTIONS?&lt;/td&gt;&lt;/tr&gt;\n					&lt;tr&gt;&lt;td class=&quot;data&quot;&gt;\n						&lt;p&gt;If you have any questions regarding your account, please contact\n						us at your convenience.&lt;/p&gt;\n\n						&lt;p&gt;Thank you,&lt;/p&gt;\n\n						&lt;p&gt;\n							{$companyName}&lt;br/&gt;\n							&lt;a href=&quot;{$companyURL}&quot; target=&quot;_blank&quot;&gt;{$companyURL}&lt;/a&gt;\n						&lt;/p&gt;\n					&lt;/td&gt;&lt;/tr&gt;\n				&lt;/table&gt;\n			&lt;/td&gt;\n			&lt;td class=&quot;rightColumn&quot;&gt;\n				{include file=&quot;$tplDirectory/widgets/cssbased/rightColumnContent.tpl&quot;}\n			&lt;/td&gt;\n		&lt;/tr&gt;\n	&lt;/table&gt;\n&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;\n\n&lt;/center&gt;','Welcome {$contactFirstName} {$contactLastName}! \n\nThank you for purchasing {$packageName} with {$companyName}. This email contains important information regarding your order.\n\nBILLING:\n\nLogin to our client billing system at the following URL to view and pay your invoices, change your payment type or billing details, update contact information, and more!\n\n{$companyClientURL}\nUsername: {$contactUsername}\n\nNeed help with your password? Visit the URL above and click the Forgot your password? link to retrieve your password.\n\nQUESTIONS?\n\nIf you have any questions regarding your account, please contact us at your convenience.\n\nThank you,\n\n{$companyName}\n{$companyURL} \n\n{$companyAddress1}\n{$companyAddress2}\n{$companyCity}, {$companyState}\n{$companyZip}\n\nDate: {$currentTime|getDateTime:full}\n',21,0,225,'2');
INSERT INTO `email_tpls` VALUES (3,3,'Thank You for Registering with {$companyName}',1,'&lt;style&gt;&lt;!--\n	{include file=&quot;$tplDirectory/widgets/cssbased/styles.css&quot;}\n--&gt;&lt;/style&gt;\n\n&lt;center&gt;\n\n&lt;table class=&quot;emailBody&quot; cellpadding=&quot;0&quot; cellspacing=&quot;0&quot;&gt;\n&lt;tr&gt;&lt;td class=&quot;emailTitle&quot;&gt;\n	Thank you for Registering with {$companyName}\n&lt;/td&gt;&lt;/tr&gt;\n&lt;tr&gt;&lt;td&gt;\n	&lt;table class=&quot;content&quot; border=&quot;0&quot; cellspacing=&quot;0&quot;&gt;\n		&lt;tr&gt;\n			&lt;td class=&quot;leftColumn&quot;&gt;\n				&lt;p&gt;&lt;strong&gt;Dear {$contactFirstName} {$contactLastName},&lt;/strong&gt;&lt;/p&gt;\n\n				&lt;p&gt;Thank you for registering/transferring {$domainSLD}.{$domainTLD}\n				to {$companyName}. If you are registering a new domain name, this\n				will occur shortly. If you are transferring a domain, an email will\n				be sent to you when the transfer occurs.&lt;/p&gt;\n\n				&lt;table class=&quot;details&quot; border=&quot;0&quot; cellspacing=&quot;0&quot;&gt;\n					&lt;tr&gt;&lt;td class=&quot;header&quot;&gt;DOMAIN INFORMATION&lt;/td&gt;&lt;/tr&gt;\n					&lt;tr&gt;&lt;td class=&quot;data&quot;&gt;\n						&lt;span class=&quot;title&quot;&gt;Domain&lt;/span&gt; {$domainSLD}.{$domainTLD}&lt;br/&gt;\n						&lt;span class=&quot;title&quot;&gt;Term:&lt;/span&gt; {$packageCycleName}\n					&lt;/td&gt;&lt;/tr&gt;\n				&lt;/table&gt;\n				&lt;table class=&quot;details&quot; border=&quot;0&quot; cellspacing=&quot;0&quot;&gt;\n					&lt;tr&gt;&lt;td class=&quot;header&quot;&gt;NAMESERVER INFORMATION&lt;/td&gt;&lt;/tr&gt;\n					&lt;tr&gt;&lt;td class=&quot;data&quot;&gt;\n						&lt;p&gt;Remember to update your DNS entries in order for your domain\n						to propagate to your new hosting account.&lt;/p&gt;\n\n						&lt;p&gt;\n							The DNS entries are listed below:&lt;br/&gt;\n							{if $nameserver1}&lt;span class=&quot;title&quot;&gt;{$nameserver1}:&lt;/span&gt; {$nameserver1IP}&lt;br/&gt;{/if}\n							{if $nameserver2}&lt;span class=&quot;title&quot;&gt;{$nameserver2}:&lt;/span&gt; {$nameserver2IP}&lt;br/&gt;{/if}\n							{if $nameserver3}&lt;span class=&quot;title&quot;&gt;{$nameserver3}:&lt;/span&gt; {$nameserver3IP}&lt;br/&gt;{/if}\n							{if $nameserver4}&lt;span class=&quot;title&quot;&gt;{$nameserver4}:&lt;/span&gt; {$nameserver4IP}&lt;br/&gt;{/if}\n						&lt;/p&gt;\n					&lt;/td&gt;&lt;/tr&gt;\n				&lt;/table&gt;\n			&lt;/td&gt;\n			&lt;td class=&quot;rightColumn&quot;&gt;\n				{include file=&quot;$tplDirectory/widgets/cssbased/rightColumnContent.tpl&quot;}\n			&lt;/td&gt;\n		&lt;/tr&gt;\n		&lt;tr&gt;\n			&lt;td colspan=&quot;2&quot;&gt;\n				&lt;table class=&quot;information&quot; border=&quot;0&quot; cellspacing=&quot;0&quot;&gt;\n					&lt;tr&gt;&lt;td class=&quot;header&quot;&gt;BILLING&lt;/td&gt;&lt;/tr&gt;\n					&lt;tr&gt;&lt;td class=&quot;data&quot;&gt;\n						&lt;p&gt;Login to our client billing system at the following URL to view and\n						pay your invoices, change your payment type or billing details,\n						update contact information, and more!&lt;/p&gt;\n\n						&lt;p&gt;\n							&lt;a href=&quot;{$companyClientURL}&quot; target=&quot;_blank&quot;&gt;{$companyClientURL}&lt;/a&gt;&lt;br/&gt;\n							&lt;strong&gt;Username:&lt;/strong&gt; {$contactUsername}\n						&lt;/p&gt;\n\n						&lt;p&gt;Need help with your password? Visit the URL above and click the\n						&amp;quot;Forgot your password?&amp;quot; link to retrieve your password.&lt;/p&gt;\n					&lt;/td&gt;&lt;/tr&gt;\n				&lt;/table&gt;\n				&lt;table class=&quot;information&quot; border=&quot;0&quot; cellspacing=&quot;0&quot;&gt;\n					&lt;tr&gt;&lt;td class=&quot;header&quot;&gt;QUESTIONS?&lt;/td&gt;&lt;/tr&gt;\n					&lt;tr&gt;&lt;td class=&quot;data&quot;&gt;\n						&lt;p&gt;If you have any questions regarding your account, please contact us\n						at your convenience.&lt;/p&gt;\n\n						&lt;p&gt;Thank you,&lt;/p&gt;\n\n						&lt;p&gt;\n							{$companyName}&lt;br/&gt;\n							&lt;a href=&quot;{$companyURL}&quot; target=&quot;_blank&quot;&gt;{$companyURL}&lt;/a&gt;\n						&lt;/p&gt;\n					&lt;/td&gt;&lt;/tr&gt;\n				&lt;/table&gt;\n			&lt;/td&gt;\n		&lt;/tr&gt;\n	&lt;/table&gt;\n&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;\n\n&lt;/center&gt;','Dear {$contactFirstName} {$contactLastName}, \n  \nThank you for registering/transferring {$domainSLD}.{$domainTLD} to {$companyName}. If you are registering a new domain name, this will occur shortly. If you are transferring a domain, an email will be sent to you when the transfer occurs.\n\nDOMAIN INFORMATION:\n\nDomain {$domainSLD}.{$domainTLD}\nTerm: {$packageCycleName}\n\nNAMESERVER INFORMATION:\n\nRemember to update your DNS entries in order for your domain to propagate to your new hosting account. The DNS entries are listed below:\n\n{$nameserver1}: {$nameserver1IP}\n{$nameserver2}: {$nameserver2IP}\n{$nameserver3}: {$nameserver3IP}\n{$nameserver4}: {$nameserver4IP}\n\nBILLING:\n\nLogin to our client billing system at the following URL to view and pay your invoices, change your payment type or billing details, update contact information, and more!\n\n{$companyClientURL}\nUsername: {$contactUsername}\n\nNeed help with your password? Visit the URL above and click the Forgot your password? link to retrieve your password.\n\nQUESTIONS?\n\nIf you have any questions regarding your account, please contact us at your convenience.\n\nThank you,\n\n{$companyName}\n{$companyURL} \n\n{$companyAddress1}\n{$companyAddress2}\n{$companyCity}, {$companyState}\n{$companyZip}\n\nDate: {$currentTime|getDateTime:full}\n',21,0,225,'2');
INSERT INTO `email_tpls` VALUES (4,4,'Welcome {$contactFirstName} {$contactLastName}',1,'&lt;style&gt;&lt;!--\n	{include file=&quot;$tplDirectory/widgets/cssbased/styles.css&quot;}\n--&gt;&lt;/style&gt;\n\n&lt;center&gt;\n\n&lt;center&gt;\n\n&lt;table class=&quot;emailBody&quot; cellpadding=&quot;0&quot; cellspacing=&quot;0&quot;&gt;\n&lt;tr&gt;&lt;td class=&quot;emailTitle&quot;&gt;\n	Welcome {$contactFirstName} {$contactLastName}\n&lt;/td&gt;&lt;/tr&gt;\n&lt;tr&gt;&lt;td&gt;\n	&lt;table class=&quot;content&quot; border=&quot;0&quot; cellspacing=&quot;0&quot;&gt;\n		&lt;tr&gt;\n			&lt;td class=&quot;leftColumn&quot;&gt;\n				&lt;p&gt;&lt;strong&gt;Hello {$contactFirstName} {$contactLastName},&lt;/strong&gt;&lt;/p&gt;\n\n				&lt;p&gt;Thank you for ordering your {$packageName} with {$companyName}.&lt;/p&gt;\n\n				&lt;p&gt;This email contains important information regarding your order.&lt;/p&gt;\n\n				&lt;table class=&quot;information&quot; border=&quot;0&quot; cellspacing=&quot;0&quot;&gt;\n					&lt;tr&gt;&lt;td class=&quot;header&quot;&gt;BILLING&lt;/td&gt;&lt;/tr&gt;\n					&lt;tr&gt;&lt;td class=&quot;data&quot;&gt;\n						&lt;p&gt;Login to our client billing system at the following URL to\n						view and pay your invoices, change your payment type or billing\n						details, update contact information, and more!&lt;/p&gt;\n\n						&lt;p&gt;\n							&lt;a href=&quot;{$companyClientURL}&quot; target=&quot;_blank&quot;&gt;{$companyClientURL}&lt;/a&gt;&lt;br/&gt;\n							&lt;strong&gt;Username:&lt;/strong&gt; {$contactUsername}\n						&lt;/p&gt;\n\n						&lt;p&gt;Need help with your password? Visit the URL above and click the\n						&amp;quot;Forgot your password?&amp;quot; link to retrieve your password.&lt;/p&gt;\n					&lt;/td&gt;&lt;/tr&gt;\n				&lt;/table&gt;\n				&lt;table class=&quot;information&quot; border=&quot;0&quot; cellspacing=&quot;0&quot;&gt;\n					&lt;tr&gt;&lt;td class=&quot;header&quot;&gt;QUESTIONS?&lt;/td&gt;&lt;/tr&gt;\n					&lt;tr&gt;&lt;td class=&quot;data&quot;&gt;\n						&lt;p&gt;If you have any questions regarding your account, please contact us at your convenience.&lt;/p&gt;\n\n						&lt;p&gt;Thank you,&lt;/p&gt;\n\n						&lt;p&gt;\n							{$companyName}&lt;br/&gt;\n							&lt;a href=&quot;{$companyURL}&quot; target=&quot;_blank&quot;&gt;{$companyURL}&lt;/a&gt;\n						&lt;/p&gt;\n					&lt;/td&gt;&lt;/tr&gt;\n				&lt;/table&gt;\n			&lt;/td&gt;\n			&lt;td class=&quot;rightColumn&quot;&gt;\n				{include file=&quot;$tplDirectory/widgets/cssbased/rightColumnContent.tpl&quot;}\n			&lt;/td&gt;\n		&lt;/tr&gt;\n	&lt;/table&gt;\n&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;\n\n&lt;/center&gt;','Hello {$contactFirstName} {$contactLastName},\n\nThank you for ordering your {$packageName} with {$companyName}. This email contains important information regarding your order.\n\nBILLING:\n\nLogin to our client billing system at the following URL to view and pay your invoices, change your payment type or billing details, update contact information, and more!\n\n{$companyClientURL}\nUsername: {$contactUsername}\n\nNeed help with your password? Visit the URL above and click the Forgot your password? link to retrieve your password.\n\nQUESTIONS?\n\nIf you have any questions regarding your account, please contact us at your convenience.\n\nThank you,\n\n{$companyName}\n{$companyURL} \n\n{$companyAddress1}\n{$companyAddress2}\n{$companyCity}, {$companyState}\n{$companyZip}\n\nDate: {$currentTime|getDateTime:full}\n',21,0,225,'2');
INSERT INTO `email_tpls` VALUES (5,5,'Credit Card Receipt: {$companyName}',1,'&lt;style&gt;&lt;!--\n	{include file=&quot;$tplDirectory/widgets/cssbased/styles.css&quot;}\n--&gt;&lt;/style&gt;\n\n&lt;center&gt;\n\n&lt;table class=&quot;emailBody&quot; cellpadding=&quot;0&quot; cellspacing=&quot;0&quot;&gt;\n&lt;tr&gt;&lt;td class=&quot;emailTitle&quot;&gt;\n	Credit Card Receipt: {$companyName}\n&lt;/td&gt;&lt;/tr&gt;\n&lt;tr&gt;&lt;td&gt;\n	&lt;table class=&quot;content&quot; border=&quot;0&quot; cellspacing=&quot;0&quot;&gt;\n		&lt;tr&gt;\n			&lt;td class=&quot;leftColumn&quot;&gt;\n				&lt;p&gt;&lt;strong&gt;Hello {$contactFirstName} {$contactLastName},&lt;/strong&gt;&lt;/p&gt;\n\n				&lt;p&gt;Your Invoice {$invoiceNumber} in the amount of\n				{$invoiceAmount|getAmount:$currencyID} has been processed\n				and approved.&lt;/p&gt;\n\n				&lt;table class=&quot;details&quot; border=&quot;0&quot; cellspacing=&quot;0&quot;&gt;\n					&lt;tr&gt;&lt;td class=&quot;header&quot;&gt;PAYMENT INFORMATION&lt;/td&gt;&lt;/tr&gt;\n					&lt;tr&gt;&lt;td class=&quot;data&quot;&gt;\n						&lt;span class=&quot;title&quot;&gt;Credit Card Type:&lt;/span&gt; {$billingCardType}&lt;br/&gt;\n						&lt;span class=&quot;title&quot;&gt;Credit Card Number:&lt;/span&gt; {$billingAccountNumLastFour}&lt;br/&gt;\n\n						&lt;hr/&gt;\n\n						&lt;span class=&quot;title&quot;&gt;Transaction Date/Time:&lt;/span&gt; {$transactionDateCreated|getDate}&lt;br/&gt;\n						&lt;span class=&quot;title&quot;&gt;Transaction ID:&lt;/span&gt; {$transactionCode}&lt;br/&gt;\n						&lt;span class=&quot;title&quot;&gt;Auth Return:&lt;/span&gt; {$authReturn}&lt;br/&gt;\n						&lt;span class=&quot;title&quot;&gt;Auth Code:&lt;/span&gt; {$authCode}&lt;br/&gt;\n						&lt;span class=&quot;title&quot;&gt;AVS Code:&lt;/span&gt; {$avsCode}&lt;br/&gt;\n\n						&lt;hr/&gt;\n\n						&lt;span class=&quot;title&quot;&gt;Transaction Amount:&lt;/span&gt; {$transactionAmount|getAmount:$currencyID}&lt;br/&gt;\n						&lt;span class=&quot;title&quot;&gt;Notes:&lt;/span&gt; {$transactionNotes}\n					&lt;/td&gt;&lt;/tr&gt;\n				&lt;/table&gt;\n\n				&lt;p&gt;You will see a charge from {$companyName} for this transaction.&lt;/p&gt;\n			&lt;/td&gt;\n			&lt;td class=&quot;rightColumn&quot;&gt;\n				{include file=&quot;$tplDirectory/widgets/cssbased/rightColumnContent.tpl&quot;}\n			&lt;/td&gt;\n		&lt;/tr&gt;\n		&lt;tr&gt;\n			&lt;td colspan=&quot;2&quot;&gt;\n				&lt;table class=&quot;information&quot; border=&quot;0&quot; cellspacing=&quot;0&quot;&gt;\n					&lt;tr&gt;&lt;td class=&quot;header&quot;&gt;QUESTIONS?&lt;/td&gt;&lt;/tr&gt;\n					&lt;tr&gt;&lt;td class=&quot;data&quot;&gt;\n						&lt;p&gt;If you have any questions regarding your account, please contact us at your convenience.&lt;/p&gt;\n\n						&lt;p&gt;Thank you,&lt;/p&gt;\n\n						&lt;p&gt;\n							{$companyName}&lt;br/&gt;\n							&lt;a href=&quot;{$companyURL}&quot; target=&quot;_blank&quot;&gt;{$companyURL}&lt;/a&gt;\n						&lt;/p&gt;\n					&lt;/td&gt;&lt;/tr&gt;\n				&lt;/table&gt;\n			&lt;/td&gt;\n		&lt;/tr&gt;\n	&lt;/table&gt;\n&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;\n\n&lt;/center&gt;','Hello {$contactFirstName} {$contactLastName},\n\nYour Invoice {$invoiceNumber} in the amount of {$invoiceAmount|getAmount:$currencyID} has been processed and approved.\n\nPAYMENT INFORMATION:\n\nCredit Card Type: {$billingCardType}\nCredit Card Number: {$billingAccountNumLastFour}\n------------------------------------------\nTransaction Date/Time: {$transactionDateCreated|getDate}\nTransaction ID: {$transactionCode}\nAuth Return: {$authReturn}\nAuth Code: {$authCode}\nAVS Code: {$avsCode}\n------------------------------------------\nTransaction Amount: {$transactionAmount|getAmount:$currencyID}\nNotes: {$transactionNotes}\n\nYou will see a charge from {$companyName} for this transaction.\n\nQUESTIONS?\n\nIf you have any questions regarding your account, please contact us at your convenience.\n\nThank you,\n\n{$companyName}\n{$companyURL} \n\n{$companyAddress1}\n{$companyAddress2}\n{$companyCity}, {$companyState}\n{$companyZip}\n\nDate: {$currentTime|getDateTime:full}\n',21,0,225,'2');
INSERT INTO `email_tpls` VALUES (6,6,'eCheck Payment Receipt: {$companyName}',1,'&lt;style&gt;&lt;!--\n	{include file=&quot;$tplDirectory/widgets/cssbased/styles.css&quot;}\n--&gt;&lt;/style&gt;\n\n&lt;center&gt;\n\n&lt;table class=&quot;emailBody&quot; cellpadding=&quot;0&quot; cellspacing=&quot;0&quot;&gt;\n&lt;tr&gt;&lt;td class=&quot;emailTitle&quot;&gt;\n	eCheck Payment Receipt: {$companyName}\n&lt;/td&gt;&lt;/tr&gt;\n&lt;tr&gt;&lt;td&gt;\n	&lt;table class=&quot;content&quot; border=&quot;0&quot; cellspacing=&quot;0&quot;&gt;\n		&lt;tr&gt;\n			&lt;td class=&quot;leftColumn&quot;&gt;\n				&lt;p&gt;&lt;strong&gt;Hello {$contactFirstName} {$contactLastName},&lt;/strong&gt;&lt;/p&gt;\n\n				&lt;p&gt;Your Invoice {$invoiceNumber} in the amount of\n				{$invoiceAmount|getAmount:$currencyID} has been processed\n				and approved.&lt;/p&gt;\n\n				&lt;table class=&quot;details&quot; border=&quot;0&quot; cellspacing=&quot;0&quot;&gt;\n					&lt;tr&gt;&lt;td class=&quot;header&quot;&gt;PAYMENT INFORMATION&lt;/td&gt;&lt;/tr&gt;\n					&lt;tr&gt;&lt;td class=&quot;data&quot;&gt;\n						&lt;span class=&quot;title&quot;&gt;Bank Name:&lt;/span&gt; {$billingBankName}&lt;br/&gt;\n						&lt;span class=&quot;title&quot;&gt;Bank ABA Code:&lt;/span&gt; {$billingBankAbaCode}&lt;br/&gt;\n						&lt;span class=&quot;title&quot;&gt;Bank Account Number:&lt;/span&gt; {$billingAccountNumLastFour}&lt;br/&gt;\n\n						&lt;hr/&gt;\n\n						&lt;span class=&quot;title&quot;&gt;Transaction Date/Time:&lt;/span&gt; {$transactionDateCreated|getDate}&lt;br/&gt;\n						&lt;span class=&quot;title&quot;&gt;Transaction ID:&lt;/span&gt; {$transactionCode}&lt;br/&gt;\n						&lt;span class=&quot;title&quot;&gt;Auth Return:&lt;/span&gt; {$authReturn}&lt;br/&gt;\n						&lt;span class=&quot;title&quot;&gt;Auth Code:&lt;/span&gt; {$authCode}&lt;br/&gt;\n						&lt;span class=&quot;title&quot;&gt;AVS Code:&lt;/span&gt; {$avsCode}&lt;br/&gt;\n\n						&lt;hr/&gt;\n\n						&lt;span class=&quot;title&quot;&gt;Transaction Amount:&lt;/span&gt; {$transactionAmount|getAmount:$currencyID}&lt;br/&gt;\n						&lt;span class=&quot;title&quot;&gt;Notes:&lt;/span&gt; {$transactionNotes}\n					&lt;/td&gt;&lt;/tr&gt;\n				&lt;/table&gt;\n\n				&lt;p&gt;You will see a charge from {$companyName} for this transaction.&lt;/p&gt;\n			&lt;/td&gt;\n			&lt;td class=&quot;rightColumn&quot;&gt;\n				{include file=&quot;$tplDirectory/widgets/cssbased/rightColumnContent.tpl&quot;}\n			&lt;/td&gt;\n		&lt;/tr&gt;\n		&lt;tr&gt;\n			&lt;td colspan=&quot;2&quot;&gt;\n				&lt;table class=&quot;information&quot; border=&quot;0&quot; cellspacing=&quot;0&quot;&gt;\n					&lt;tr&gt;&lt;td class=&quot;header&quot;&gt;QUESTIONS?&lt;/td&gt;&lt;/tr&gt;\n					&lt;tr&gt;&lt;td class=&quot;data&quot;&gt;\n						&lt;p&gt;If you have any questions regarding your account, please\n						contact us at your convenience.&lt;/p&gt;\n\n						&lt;p&gt;Thank you,&lt;/p&gt;\n\n						&lt;p&gt;\n							{$companyName}&lt;br/&gt;\n							&lt;a href=&quot;{$companyURL}&quot; target=&quot;_blank&quot;&gt;{$companyURL}&lt;/a&gt;\n						&lt;/p&gt;\n					&lt;/td&gt;&lt;/tr&gt;\n				&lt;/table&gt;\n			&lt;/td&gt;\n		&lt;/tr&gt;\n	&lt;/table&gt;\n&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;\n\n&lt;/center&gt;','Hello {$contactFirstName} {$contactLastName},\n\nYour Invoice {$invoiceNumber} in the amount of {$invoiceAmount|getAmount:$currencyID} has been processed and approved.\n\nPAYMENT INFORMATION:\n\nBank Name: {$billingBankName}\nBank ABA Code: {$billingBankAbaCode}\nBank Account Number: {$billingAccountNumLastFour}\n------------------------------------------\nTransaction Date/Time: {$transactionDateCreated|getDate}\nTransaction ID: {$transactionCode}\nAuth Return: {$authReturn}\nAuth Code: {$authCode}\nAVS Code: {$avsCode}\n------------------------------------------\nTransaction Amount: {$transactionAmount|getAmount:$currencyID}\nNotes: {$transactionNotes}\n\nYou will see a charge from {$companyName} for this transaction.\n\nQUESTIONS?\n\nIf you have any questions regarding your account, please contact us at your convenience.\n\nThank you,\n\n{$companyName}\n{$companyURL} \n\n{$companyAddress1}\n{$companyAddress2}\n{$companyCity}, {$companyState}\n{$companyZip}\n\nDate: {$currentTime|getDateTime:full}\n',21,0,225,'2');
INSERT INTO `email_tpls` VALUES (7,7,'Welcome {$contactFirstName} {$contactLastName}',1,'&lt;style&gt;&lt;!--\n	{include file=&quot;$tplDirectory/widgets/cssbased/styles.css&quot;}\n--&gt;&lt;/style&gt;\n\n&lt;center&gt;\n\n&lt;table class=&quot;emailBody&quot; cellpadding=&quot;0&quot; cellspacing=&quot;0&quot;&gt;\n&lt;tr&gt;&lt;td class=&quot;emailTitle&quot;&gt;\n	Welcome {$contactFirstName} {$contactLastName}\n&lt;/td&gt;&lt;/tr&gt;\n&lt;tr&gt;&lt;td&gt;\n	&lt;table class=&quot;content&quot; border=&quot;0&quot; cellspacing=&quot;0&quot;&gt;\n		&lt;tr&gt;\n			&lt;td class=&quot;leftColumn&quot;&gt;\n				&lt;p&gt;&lt;strong&gt;Hello {$contactFirstName} {$contactLastName},&lt;/strong&gt;&lt;/p&gt;\n\n				&lt;p&gt;Thank you for ordering your {$packageName} with {$companyName}.&lt;/p&gt;\n\n				&lt;p&gt;This email contains important information regarding your order.&lt;/p&gt;\n\n				&lt;table class=&quot;information&quot; border=&quot;0&quot; cellspacing=&quot;0&quot;&gt;\n					&lt;tr&gt;&lt;td class=&quot;header&quot;&gt;BILLING&lt;/td&gt;&lt;/tr&gt;\n					&lt;tr&gt;&lt;td class=&quot;data&quot;&gt;\n						&lt;p&gt;Login to our client billing system at the following URL to view\n						and pay your invoices, change your payment type or billing\n						details, update contact information, and more!&lt;/p&gt;\n\n						&lt;p&gt;\n							&lt;a href=&quot;{$companyClientURL}&quot; target=&quot;_blank&quot;&gt;{$companyClientURL}&lt;/a&gt;&lt;br/&gt;\n							&lt;strong&gt;Username:&lt;/strong&gt; {$contactUsername}\n						&lt;/p&gt;\n\n						&lt;p&gt;Need help with your password? Visit the URL above and click the\n						Forgot your password? link to retrieve your password.&lt;/p&gt;\n					&lt;/td&gt;&lt;/tr&gt;\n				&lt;/table&gt;\n				&lt;table class=&quot;information&quot; border=&quot;0&quot; cellspacing=&quot;0&quot;&gt;\n					&lt;tr&gt;&lt;td class=&quot;header&quot;&gt;QUESTIONS?&lt;/td&gt;&lt;/tr&gt;\n					&lt;tr&gt;&lt;td class=&quot;data&quot;&gt;\n						&lt;p&gt;If you have any questions regarding your account, please contact\n						us at your convenience.&lt;/p&gt;\n\n						&lt;p&gt;Thank you,&lt;/p&gt;\n\n						&lt;p&gt;\n							{$companyName}&lt;br/&gt;\n							&lt;a href=&quot;{$companyURL}&quot; target=&quot;_blank&quot;&gt;{$companyURL}&lt;/a&gt;\n						&lt;/p&gt;\n					&lt;/td&gt;&lt;/tr&gt;\n				&lt;/table&gt;\n			&lt;/td&gt;\n			&lt;td class=&quot;rightColumn&quot;&gt;\n				{include file=&quot;$tplDirectory/widgets/cssbased/rightColumnContent.tpl&quot;}\n			&lt;/td&gt;\n		&lt;/tr&gt;\n	&lt;/table&gt;\n&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;\n\n&lt;/center&gt;','Hello {$contactFirstName} {$contactLastName},\n\nThank you for ordering your {$packageName} with {$companyName}. This email contains important information regarding your order.\n\nBILLING:\n\nLogin to our client billing system at the following URL to view and pay your invoices, change your payment type or billing details, update contact information, and more!\n\n{$companyClientURL}\nUsername: {$contactUsername}\n\nNeed help with your password? Visit the URL above and click the Forgot your password? link to retrieve your password.\n\nQUESTIONS?\n\nIf you have any questions regarding your account, please contact us at your convenience.\n\nThank you,\n\n{$companyName}\n{$companyURL} \n\n{$companyAddress1}\n{$companyAddress2}\n{$companyCity}, {$companyState}\n{$companyZip}\n\nDate: {$currentTime|getDateTime:full}\n',21,0,225,'2');
INSERT INTO `email_tpls` VALUES (8,8,'Invoice ({$invoiceNumber}): {$companyName}',1,'&lt;style&gt;&lt;!--\n	{include file=&quot;$tplDirectory/widgets/cssbased/styles.css&quot;}\n--&gt;&lt;/style&gt;\n\n&lt;center&gt;\n\n&lt;table class=&quot;emailBody&quot; cellpadding=&quot;0&quot; cellspacing=&quot;0&quot;&gt;\n&lt;tr&gt;&lt;td class=&quot;emailTitle&quot;&gt;\n	Invoice {$invoiceNumber}: {$companyName}\n&lt;/td&gt;&lt;/tr&gt;\n&lt;tr&gt;&lt;td&gt;\n	&lt;table class=&quot;content&quot; border=&quot;0&quot; cellspacing=&quot;0&quot;&gt;\n		&lt;tr&gt;\n			&lt;td class=&quot;leftColumn&quot;&gt;\n				&lt;p&gt;&lt;strong&gt;Hello {$contactFirstName} {$contactLastName},&lt;/strong&gt;&lt;/p&gt;\n\n				&lt;p&gt;This is a notice that Invoice {$invoiceNumber} has been generated\n				for services by {$companyName} on {$invoiceDateEntered|getDate}.&lt;/p&gt;\n\n				&lt;table class=&quot;details&quot; border=&quot;0&quot; cellspacing=&quot;0&quot;&gt;\n					&lt;tr&gt;\n						&lt;td class=&quot;header&quot;&gt;Description&lt;/td&gt;\n						&lt;td class=&quot;header&quot;&gt;Period&lt;/td&gt;\n						&lt;td class=&quot;header&quot;&gt;Qty&lt;/td&gt;\n						&lt;td class=&quot;header&quot;&gt;Price&lt;/td&gt;\n						&lt;td class=&quot;header&quot;&gt;Disc.&lt;/td&gt;\n						&lt;td class=&quot;header&quot;&gt;Tax&lt;/td&gt;\n						&lt;td class=&quot;header&quot;&gt;Total&lt;/td&gt;\n					&lt;/tr&gt;\n					{foreach key=&quot;i&quot; item=&quot;lineItem&quot; from=$lineItems}\n					&lt;tr&gt;\n						&lt;td class=&quot;data&quot;&gt;\n							{$lineItem.lineItemDescription}\n							{if $lineItem.domains.0}\n								{foreach key=&quot;xd&quot; item=&quot;domain&quot; from=$lineItem.domains}\n									&lt;br/&gt;&lt;b&gt;{$domain.domainSLD}.{$domain.domainTLD}&lt;/b&gt;\n								{/foreach}\n							{elseif $lineItem.domainName}\n								&lt;br/&gt;{$lineItem.domainName}\n							{/if}\n						&lt;/td&gt;\n						&lt;td class=&quot;data&quot;&gt;{$lineItem.lineItemDateCurrentRenewal|getDate:short} - {$lineItem.lineItemDateNextRenewal|getDate:short}&lt;/td&gt;\n						&lt;td class=&quot;data&quot;&gt;{$lineItem.lineItemQuantity}&lt;/td&gt;\n						&lt;td class=&quot;data&quot;&gt;{$lineItem.lineItemPriceAmount|getAmount:$currencyID}&lt;/td&gt;\n						&lt;td class=&quot;data&quot;&gt;{$lineItem.lineItemDiscountAmount|getAmount:$currencyID}&lt;/td&gt;\n						&lt;td class=&quot;data&quot;&gt;{$lineItem.lineItemTaxAmount|getAmount:$currencyID}&lt;/td&gt;\n						&lt;td class=&quot;data&quot;&gt;{$lineItem.lineItemTotalAmount|getAmount:$currencyID}&lt;/td&gt;\n					&lt;/tr&gt;\n					{/foreach}\n				&lt;/table&gt;\n\n				&lt;p&gt;&lt;span class=&quot;title&quot;&gt;Subtotal:&lt;/span&gt; {$invoiceSubTotal|getAmount:$currencyID}&lt;/p&gt;\n				&lt;p&gt;&lt;span class=&quot;title&quot;&gt;Tax:&lt;/span&gt; {$invoiceTaxAmount|getAmount:$currencyID}&lt;/p&gt;\n				&lt;p&gt;&lt;span class=&quot;title&quot;&gt;Total:&lt;/span&gt; {$invoiceAmount|getAmount:$currencyID}&lt;/p&gt;\n				&lt;p&gt;&lt;span class=&quot;title&quot;&gt;Due Date:&lt;/span&gt; {$invoiceDateDue|getDate}&lt;/p&gt;\n\n				&lt;hr/&gt;\n\n				{if $invoiceComments}\n					&lt;p&gt;{$invoiceComments}&lt;/p&gt;\n				{/if}\n\n				&lt;p&gt;\n				{if $paymentType==$billingTypeCard}\n					Our records show that you pay with credit card.\n					We will charge your card automatically for the balance of this invoice\n					automatically if necessary.\n				{elseif $paymentType==$billingTypeBank}\n					Our records show that you pay through bank drafts. Please remit payment\n					for your outstanding balance.\n				{elseif $paymentType==$billingTypeEcheck}\n					Our records show that you pay through eCheck. We will charge your\n					account automatically for the balance of this invoice.\n				{elseif $paymentType==$billingTypeSecondary}\n					Our records show that you pay through PayPal.\n					If you have a subscription set up, then your payment will be made\n					automatically. If not, please remit payment for your outstanding\n					balance to XXX@XXX.com through PayPal.\n				{elseif $paymentType==$billingTypeWire}\n					Our records show that you pay through wire transfer.\n					Please remit payment for your outstanding balance.\n				{else}\n					Our records show that you pay manually.\n					Please remit payment for your outstanding balance.\n				{/if}\n				&lt;/p&gt;\n\n				&lt;p&gt;\n					{$companyName}&lt;br/&gt;\n					{$companyAddress1}&lt;br/&gt;\n					{$companyAddress2}&lt;br/&gt;\n					{$companyCity}, {$companyState}&lt;br/&gt;\n					{$companyZip}\n				&lt;/p&gt;\n\n				&lt;p&gt;You may login to view your invoice online here:&lt;/p&gt;\n\n				&lt;p&gt;&lt;a href=&quot;{$companyClientURL}&quot; target=&quot;_blank&quot;&gt;{$companyClientURL}&lt;/a&gt;&lt;/p&gt;\n\n				&lt;p&gt;Thank you,&lt;/p&gt;\n\n				&lt;p&gt;\n					{$companyName}&lt;br/&gt;\n					&lt;a href=&quot;{$companyURL}&quot; target=&quot;_blank&quot;&gt;{$companyURL}&lt;/a&gt;\n				&lt;/p&gt;\n\n				&lt;p&gt;Date: {$currentTime|getDateTime:full}&lt;/p&gt;\n			&lt;/td&gt;\n		&lt;/tr&gt;\n	&lt;/table&gt;\n&lt;/td&gt;&lt;tr&gt;&lt;/table&gt;\n\n&lt;/center&gt;','Hello {$contactFirstName} {$contactLastName},\r\n\r\nThis is a notice that Invoice {$invoiceNumber} has been generated for services by {$companyName} on {$invoiceDateEntered|getDate}.\r\n\r\n{foreach key=&quot;i&quot; item=&quot;lineItem&quot; from=$lineItems}\r\nDescription: {$lineItem.lineItemDescription} {if $lineItem.domains.0}\r\n({foreach key=&quot;xd&quot; item=&quot;domain&quot; from=$lineItem.domains}{$domain.domainSLD}.{$domain.domainTLD} {/foreach})\r\n{elseif $lineItem.domainName}\r\n({$lineItem.domainName})\r\n{/if}Period: {$lineItem.lineItemDateCurrentRenewal|getDate:short} - {$lineItem.lineItemDateNextRenewal|getDate:short}\r\nQuantity: {$lineItem.lineItemQuantity}\r\nPrice: {$lineItem.lineItemPriceAmount|getAmount:$currencyID}\r\nDiscount: {$lineItem.lineItemDiscountAmount|getAmount:$currencyID}\r\nTax: {$lineItem.lineItemTaxAmount|getAmount:$currencyID}\r\nItem Total: {$lineItem.lineItemTotalAmount|getAmount:$currencyID}\r\n\r\n{/foreach}\r\n\r\n------------------------------------------\r\nSubtotal: {$invoiceSubTotal|getAmount:$currencyID}\r\nTax: {$invoiceTaxAmount|getAmount:$currencyID}\r\nTotal: {$invoiceAmount|getAmount:$currencyID}\r\nDue Date: {$invoiceDateDue|getDate}\r\n\r\n{$invoiceComments}\r\n{if $paymentType==$billingTypeCard} Our records show that you pay with credit card. We will charge your card automatically for the balance of this invoice automatically if necessary. {elseif $paymentType==$billingTypeBank} Our records show that you pay through bank drafts. Please remit payment for your outstanding balance. {elseif $paymentType==$billingTypeEcheck} Our records show that you pay through eCheck. We will charge your account automatically for the balance of this invoice. {elseif $paymentType==$billingTypeSecondary} Our records show that you pay through PayPal. If you have a subscription set up, then your payment will be made automatically. If not, please remit payment for your outstanding balance to XXX@XXX.com through PayPal. {elseif $paymentType==$billingTypeWire} Our records show that you pay through wire transfer. Please remit payment for your outstanding balance. {else} Our records show that you pay manually. Please remit payment for your outstanding balance.{/if}\r\n\r\n\r\n{$companyName}\r\n{$companyAddress1}\r\n{$companyAddress2}\r\n{$companyCity}, {$companyState}\r\n{$companyZip}\r\n\r\nYou may login to view your invoice online here:\r\n{$companyClientURL}\r\n\r\nThank you,\r\n\r\n{$companyName}\r\n{$companyURL}\r\n\r\nDate: {$currentTime|getDateTime:full}\r\n',21,0,57,'002');
INSERT INTO `email_tpls` VALUES (9,9,'Bank Draft Payment Receipt: {$companyName}',1,'&lt;style&gt;&lt;!--\n	{include file=&quot;$tplDirectory/widgets/cssbased/styles.css&quot;}\n--&gt;&lt;/style&gt;\n\n&lt;center&gt;\n\n&lt;table class=&quot;emailBody&quot; cellpadding=&quot;0&quot; cellspacing=&quot;0&quot;&gt;\n&lt;tr&gt;&lt;td class=&quot;emailTitle&quot;&gt;\n	Bank Draft Payment Receipt: {$companyName}\n&lt;/td&gt;&lt;/tr&gt;\n&lt;tr&gt;&lt;td&gt;\n	&lt;table class=&quot;content&quot; border=&quot;0&quot; cellspacing=&quot;0&quot;&gt;\n		&lt;tr&gt;\n			&lt;td class=&quot;leftColumn&quot;&gt;\n				&lt;p&gt;&lt;strong&gt;Hello {$contactFirstName} {$contactLastName},&lt;/strong&gt;&lt;/p&gt;\n\n				&lt;p&gt;Your Invoice {$invoiceNumber} in the amount of {$invoiceAmount|getAmount:$currencyID}\n				has been processed and approved.&lt;/p&gt;\n\n				&lt;table class=&quot;details&quot; border=&quot;0&quot; cellspacing=&quot;0&quot;&gt;\n					&lt;tr&gt;&lt;td class=&quot;header&quot;&gt;PAYMENT INFORMATION&lt;/td&gt;&lt;/tr&gt;\n					&lt;tr&gt;&lt;td class=&quot;data&quot;&gt;\n						&lt;span class=&quot;title&quot;&gt;Bank Name:&lt;/span&gt; {$billingBankName}&lt;br/&gt;\n						&lt;span class=&quot;title&quot;&gt;Bank ABA Code:&lt;/span&gt; {$billingBankAbaCode}&lt;br/&gt;\n						&lt;span class=&quot;title&quot;&gt;Bank Account Number:&lt;/span&gt; {$billingAccountNumLastFour}&lt;br/&gt;\n\n						&lt;hr/&gt;\n\n						&lt;span class=&quot;title&quot;&gt;Transaction Date/Time:&lt;/span&gt; {$transactionDateCreated|getDate}&lt;br/&gt;\n						&lt;span class=&quot;title&quot;&gt;Transaction ID:&lt;/span&gt; {$transactionCode}&lt;br/&gt;\n						&lt;span class=&quot;title&quot;&gt;Auth Return:&lt;/span&gt; {$authReturn}&lt;br/&gt;\n						&lt;span class=&quot;title&quot;&gt;Auth Code:&lt;/span&gt; {$authCode}&lt;br/&gt;\n						&lt;span class=&quot;title&quot;&gt;AVS Code:&lt;/span&gt; {$avsCode}&lt;br/&gt;\n\n						&lt;hr/&gt;\n\n						&lt;span class=&quot;title&quot;&gt;Transaction Amount:&lt;/span&gt; {$transactionAmount|getAmount:$currencyID}&lt;br/&gt;\n						&lt;span class=&quot;title&quot;&gt;Notes:&lt;/span&gt; {$transactionNotes}\n					&lt;/td&gt;&lt;/tr&gt;\n				&lt;/table&gt;\n\n				&lt;p&gt;You will see a charge from {$companyName} for this transaction.&lt;/p&gt;\n			&lt;/td&gt;\n			&lt;td class=&quot;rightColumn&quot;&gt;\n				{include file=&quot;$tplDirectory/widgets/cssbased/rightColumnContent.tpl&quot;}\n			&lt;/td&gt;\n		&lt;/tr&gt;\n		&lt;tr&gt;\n			&lt;td colspan=&quot;2&quot;&gt;\n				&lt;table class=&quot;information&quot; border=&quot;0&quot; cellspacing=&quot;0&quot;&gt;\n					&lt;tr&gt;&lt;td class=&quot;header&quot;&gt;QUESTIONS?&lt;/td&gt;&lt;/tr&gt;\n					&lt;tr&gt;&lt;td class=&quot;data&quot;&gt;\n						&lt;p&gt;If you have any questions regarding your account, please contact us at your convenience.&lt;/p&gt;\n\n						&lt;p&gt;Thank you,&lt;/p&gt;\n\n						&lt;p&gt;\n							{$companyName}&lt;br/&gt;\n							&lt;a href=&quot;{$companyURL}&quot; target=&quot;_blank&quot;&gt;{$companyURL}&lt;/a&gt;\n						&lt;/p&gt;\n					&lt;/td&gt;&lt;/tr&gt;\n				&lt;/table&gt;\n			&lt;/td&gt;\n		&lt;/tr&gt;\n	&lt;/table&gt;\n&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;\n\n&lt;/center&gt;\n','Hello {$contactFirstName} {$contactLastName},\n\nYour Invoice {$invoiceNumber} in the amount of {$invoiceAmount|getAmount:$currencyID} has been processed and approved.\n\nPAYMENT INFORMATION:\n\nBank Name: {$billingBankName}\nBank ABA Code: {$billingBankAbaCode}\nBank Account Number: {$billingAccountNumLastFour}\n------------------------------------------\nTransaction Date/Time: {$transactionDateCreated|getDate}\nTransaction ID: {$transactionCode}\nAuth Return: {$authReturn}\nAuth Code: {$authCode}\nAVS Code: {$avsCode}\n------------------------------------------\nTransaction Amount: {$transactionAmount|getAmount:$currencyID}\nNotes: {$transactionNotes}\n\nYou will see a charge from {$companyName} for this transaction.\n\nQUESTIONS?\n\nIf you have any questions regarding your account, please contact us at your convenience.\n\nThank you,\n\n{$companyName}\n{$companyURL} \n\n{$companyAddress1}\n{$companyAddress2}\n{$companyCity}, {$companyState}\n{$companyZip}\n\nDate: {$currentTime|getDateTime:full}\n',21,0,225,'2');
INSERT INTO `email_tpls` VALUES (10,10,'Payment Receipt: {$companyName}',1,'&lt;style&gt;&lt;!--\n	{include file=&quot;$tplDirectory/widgets/cssbased/styles.css&quot;}\n--&gt;&lt;/style&gt;\n\n&lt;center&gt;\n&lt;table class=&quot;emailBody&quot; cellpadding=&quot;0&quot; cellspacing=&quot;0&quot;&gt;\n&lt;tr&gt;&lt;td class=&quot;emailTitle&quot;&gt;\n	Payment Receipt: {$companyName}\n&lt;/td&gt;&lt;/tr&gt;\n&lt;tr&gt;&lt;td&gt;\n	&lt;table class=&quot;content&quot; border=&quot;0&quot; cellspacing=&quot;0&quot;&gt;\n		&lt;tr&gt;\n			&lt;td class=&quot;leftColumn&quot;&gt;\n				&lt;p&gt;&lt;strong&gt;Hello {$contactFirstName} {$contactLastName},&lt;/strong&gt;&lt;/p&gt;\n				&lt;p&gt;A payment has been applied to Invoice {$invoiceNumber}.&lt;/p&gt;\n\n				&lt;table class=&quot;box details&quot; border=&quot;0&quot; cellspacing=&quot;0&quot;&gt;\n					&lt;tr&gt;&lt;td class=&quot;header&quot;&gt;PAYMENT INFORMATION&lt;/td&gt;&lt;/tr&gt;\n					&lt;tr&gt;&lt;td class=&quot;data&quot;&gt;\n						&lt;span class=&quot;title&quot;&gt;Transaction Date/Time:&lt;/span&gt; {$transactionDateCreated|getDate}&lt;br/&gt;\n						&lt;span class=&quot;title&quot;&gt;Transaction ID:&lt;/span&gt; {$transactionCode}&lt;br/&gt;\n\n						&lt;hr/&gt;\n\n						&lt;span class=&quot;title&quot;&gt;Transaction Amount:&lt;/span&gt; {$transactionAmount|getAmount:$currencyID}&lt;br/&gt;\n						&lt;span class=&quot;title&quot;&gt;Notes:&lt;/span&gt; {$transactionNotes}\n					&lt;/td&gt;&lt;/tr&gt;\n				&lt;/table&gt;\n\n				&lt;p&gt;Thank you for your payment.&lt;/p&gt;\n			&lt;/td&gt;\n			&lt;td class=&quot;rightColumn&quot;&gt;\n				{include file=&quot;$tplDirectory/widgets/cssbased/rightColumnContent.tpl&quot;}\n			&lt;/td&gt;\n		&lt;/tr&gt;\n		&lt;tr&gt;\n			&lt;td colspan=&quot;2&quot;&gt;\n				&lt;table class=&quot;box information&quot; border=&quot;0&quot; cellspacing=&quot;0&quot;&gt;\n					&lt;tr&gt;&lt;td class=&quot;header&quot;&gt;QUESTIONS?&lt;/td&gt;&lt;/tr&gt;\n					&lt;tr&gt;&lt;td class=&quot;data&quot;&gt;\n						&lt;p&gt;If you have any questions regarding your account, please contact us at your convenience.&lt;/p&gt;\n						&lt;p&gt;Thank you,&lt;/p&gt;\n						&lt;p&gt;\n							{$companyName}&lt;br/&gt;\n							&lt;a href=&quot;{$companyURL}&quot; target=&quot;_blank&quot;&gt;{$companyURL}&lt;/a&gt;\n						&lt;/p&gt;\n					&lt;/td&gt;&lt;/tr&gt;\n				&lt;/table&gt;\n			&lt;/td&gt;\n		&lt;/tr&gt;\n	&lt;/table&gt;\n&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;\n&lt;/center&gt;','Hello {$contactFirstName} {$contactLastName},\n\nA payment has been applied to Invoice {$invoiceNumber}.\n\nPAYMENT INFORMATION:\n\nTransaction Date/Time: {$transactionDateCreated|getDate}\nTransaction ID: {$transactionCode}\n------------------------------------------\nTransaction Amount: {$transactionAmount|getAmount:$currencyID}\nNotes: {$transactionNotes}\n\nThank you for your payment.\n\nQUESTIONS?\n\nIf you have any questions regarding your account, please contact us at your convenience.\n\nThank you,\n\n{$companyName}\n{$companyURL} \n\n{$companyAddress1}\n{$companyAddress2}\n{$companyCity}, {$companyState}\n{$companyZip}\n\nDate: {$currentTime|getDateTime:full}\n',21,0,225,'2');
INSERT INTO `email_tpls` VALUES (11,11,'Credit Card Expiration Notice: {$companyName}',1,'&lt;style&gt;&lt;!--\n	{include file=&quot;$tplDirectory/widgets/cssbased/styles.css&quot;}\n--&gt;&lt;/style&gt;\n\n&lt;center&gt;\n\n&lt;table class=&quot;emailBody&quot; cellpadding=&quot;0&quot; cellspacing=&quot;0&quot;&gt;\n&lt;tr&gt;&lt;td class=&quot;emailTitle&quot;&gt;\n	Credit Card Expiration Notice: {$companyName}\n&lt;/td&gt;&lt;/tr&gt;\n&lt;tr&gt;&lt;td&gt;\n	&lt;table class=&quot;content&quot; border=&quot;0&quot; cellspacing=&quot;0&quot;&gt;\n		&lt;tr&gt;\n			&lt;td class=&quot;leftColumn&quot;&gt;\n				&lt;p&gt;&lt;strong&gt;Hello {$contactFirstName} {$contactLastName},&lt;/strong&gt;&lt;/p&gt;\n\n				&lt;p&gt;This is a notice to inform you that your credit card on file with\n				{$companyName} has expired or will be expiring soon.&lt;/p&gt;\n\n				&lt;table class=&quot;details&quot; border=&quot;0&quot; cellspacing=&quot;0&quot;&gt;\n					&lt;tr&gt;&lt;td class=&quot;header&quot;&gt;CREDIT CARD INFORMATION&lt;/td&gt;&lt;/tr&gt;\n					&lt;tr&gt;&lt;td class=&quot;data&quot;&gt;\n						&lt;span class=&quot;title&quot;&gt;Credit Card:&lt;/span&gt; {$billingCardType} - {$billingAccountNumLastFour}&lt;br/&gt;\n						&lt;span class=&quot;title&quot;&gt;Expire Month:&lt;/span&gt; {$billingCardExpMonth}&lt;br/&gt;\n						&lt;span class=&quot;title&quot;&gt;Expire Year:&lt;/span&gt; {$billingCardExpYear}\n					&lt;/td&gt;&lt;/tr&gt;\n				&lt;/table&gt;\n\n				&lt;p&gt;Please login to your account and update your credit card as soon as\n				possible in order to avoid an interruption in your service.&lt;/p&gt;\n\n				&lt;p&gt;Thank you,&lt;/p&gt;\n\n				&lt;p&gt;\n					{$companyName}&lt;br/&gt;\n					&lt;a href=&quot;{$companyURL}&quot; target=&quot;_blank&quot;&gt;{$companyURL}&lt;/a&gt;\n				&lt;/p&gt;\n			&lt;/td&gt;\n			&lt;td class=&quot;rightColumn&quot;&gt;\n				{include file=&quot;$tplDirectory/widgets/cssbased/rightColumnContent.tpl&quot;}\n			&lt;/td&gt;\n		&lt;/tr&gt;\n	&lt;/table&gt;\n&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;\n\n&lt;/center&gt;','Hello {$contactFirstName} {$contactLastName},\n\nThis is a notice to inform you that your credit card on file with {$companyName} has expired or will be expiring soon: \n\nCREDIT CARD INFORMATION:\n\nCredit Card: {$billingCardType} - {$billingAccountNumLastFour}\nExpire Month: {$billingCardExpMonth}\nExpire Year: {$billingCardExpYear}\n\nPlease login to your account and update your credit card as soon as possible in order to avoid an interruption in your service:\n\n{$companyClientURL}\n  \n  Thank you,\n  \n  {$companyName}\n  {$companyURL} \n  \n  {$companyAddress1}\n  {$companyAddress2}\n  {$companyCity}, {$companyState}\n  {$companyZip}\n  \n  Date: {$currentTime|getDateTime:full}\n',21,0,225,'2');
INSERT INTO `email_tpls` VALUES (12,12,'Payment Receipt: {$companyName}',1,'&lt;style&gt;&lt;!--\n	{include file=&quot;$tplDirectory/widgets/cssbased/styles.css&quot;}\n--&gt;&lt;/style&gt;\n\n&lt;center&gt;\n\n&lt;table class=&quot;emailBody&quot; cellpadding=&quot;0&quot; cellspacing=&quot;0&quot;&gt;\n&lt;tr&gt;&lt;td class=&quot;emailTitle&quot;&gt;\n	Payment Receipt: {$companyName}\n&lt;/td&gt;&lt;/tr&gt;\n&lt;tr&gt;&lt;td&gt;\n	&lt;table class=&quot;content&quot; border=&quot;0&quot; cellspacing=&quot;0&quot;&gt;\n		&lt;tr&gt;\n			&lt;td class=&quot;leftColumn&quot;&gt;\n				&lt;p&gt;&lt;strong&gt;Hello {$contactFirstName} {$contactLastName},&lt;/strong&gt;&lt;/p&gt;\n\n				&lt;p&gt;A payment has been applied to your account at {$companyName}.&lt;/p&gt;\n\n				&lt;table class=&quot;details&quot; border=&quot;0&quot; cellspacing=&quot;0&quot;&gt;\n					&lt;tr&gt;&lt;td class=&quot;header&quot;&gt;PAYMENT INFORMATION&lt;/td&gt;&lt;/tr&gt;\n					&lt;tr&gt;&lt;td class=&quot;data&quot;&gt;\n						&lt;span class=&quot;title&quot;&gt;Gateway Name:&lt;/span&gt; {$gatewayName}&lt;br/&gt;\n\n						&lt;hr/&gt;\n\n						&lt;span class=&quot;title&quot;&gt;Transaction Date/Time:&lt;/span&gt; {$transactionDateCreated|getDate}&lt;br/&gt;\n						&lt;span class=&quot;title&quot;&gt;Transaction ID:&lt;/span&gt; {$transactionCode}&lt;br/&gt;\n\n						&lt;hr/&gt;\n\n						&lt;span class=&quot;title&quot;&gt;Transaction Amount:&lt;/span&gt; {$transactionAmount|getAmount:$currencyID}&lt;br/&gt;\n						&lt;span class=&quot;title&quot;&gt;Notes:&lt;/span&gt; {$transactionNotes}\n					&lt;/td&gt;&lt;/tr&gt;\n				&lt;/table&gt;\n\n				&lt;p&gt;Thank you for your payment.&lt;/p&gt;\n\n				&lt;table class=&quot;information&quot; border=&quot;0&quot; cellspacing=&quot;0&quot;&gt;\n					&lt;tr&gt;&lt;td class=&quot;header&quot;&gt;QUESTIONS?&lt;/td&gt;&lt;/tr&gt;\n					&lt;tr&gt;&lt;td class=&quot;data&quot;&gt;\n						&lt;p&gt;If you have any questions regarding your account, please contact\n						us at your convenience.&lt;/p&gt;\n\n						&lt;p&gt;Thank you,&lt;/p&gt;\n\n						&lt;p&gt;\n							{$companyName}&lt;br/&gt;\n							&lt;a href=&quot;{$companyURL}&quot; target=&quot;_blank&quot;&gt;{$companyURL}&lt;/a&gt;\n						&lt;/p&gt;\n					&lt;/td&gt;&lt;/tr&gt;\n				&lt;/table&gt;\n			&lt;/td&gt;\n			&lt;td class=&quot;rightColumn&quot;&gt;\n				{include file=&quot;$tplDirectory/widgets/cssbased/rightColumnContent.tpl&quot;}\n			&lt;/td&gt;\n		&lt;/tr&gt;\n	&lt;/table&gt;\n&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;\n\n&lt;/center&gt;','Hello {$contactFirstName} {$contactLastName},\n\nA payment has been applied to your account at {$companyName}.\n\nPAYMENT INFORMATION:\n\nGateway Name: {$gatewayName}\n------------------------------------------\nTransaction Date/Time: {$transactionDateCreated|getDate}\nTransaction ID: {$transactionCode}\n------------------------------------------\nTransaction Amount: {$transactionAmount|getAmount:$currencyID}\nNotes: {$transactionNotes}\n\nThank you for your payment.\n\nQUESTIONS?\n\nIf you have any questions regarding your account, please contact us at your convenience.\n\nThank you,\n\n{$companyName}\n{$companyURL} \n\n{$companyAddress1}\n{$companyAddress2}\n{$companyCity}, {$companyState}\n{$companyZip}\n\nDate: {$currentTime|getDateTime:full}\n',21,0,225,'2');
INSERT INTO `email_tpls` VALUES (13,13,'Declined Charge: {$companyName}',1,'&lt;style&gt;&lt;!--\n	{include file=&quot;$tplDirectory/widgets/cssbased/styles.css&quot;}\n--&gt;&lt;/style&gt;\n\n&lt;center&gt;\n\n&lt;table class=&quot;emailBody&quot; cellpadding=&quot;0&quot; cellspacing=&quot;0&quot;&gt;\n&lt;tr&gt;&lt;td class=&quot;emailTitle&quot;&gt;\n	Declined Charge: {$companyName}\n&lt;/td&gt;&lt;/tr&gt;\n&lt;tr&gt;&lt;td&gt;\n	&lt;table class=&quot;content&quot; border=&quot;0&quot; cellspacing=&quot;0&quot;&gt;\n		&lt;tr&gt;\n			&lt;td class=&quot;leftColumn&quot;&gt;\n				&lt;p&gt;&lt;strong&gt;Hello {$contactFirstName} {$contactLastName},&lt;/strong&gt;&lt;/p&gt;\n\n				&lt;p&gt;We have attempted to process your Invoice {$invoiceNumber} in the\n				amount of {$invoiceAmount|getAmount:$currencyID}. However, your\n				transaction was declined. Details are provided below:&lt;/p&gt;\n\n				&lt;table class=&quot;details&quot; border=&quot;0&quot; cellspacing=&quot;0&quot;&gt;\n					&lt;tr&gt;&lt;td class=&quot;header&quot;&gt;PAYMENT INFORMATION&lt;/td&gt;&lt;/tr&gt;\n					&lt;tr&gt;&lt;td class=&quot;data&quot;&gt;\n						&lt;span class=&quot;title&quot;&gt;Credit Card Type:&lt;/span&gt; {$billingCardType}&lt;br/&gt;\n						&lt;span class=&quot;title&quot;&gt;Credit Card Number:&lt;/span&gt; {$billingAccountNumLastFour}&lt;br/&gt;\n\n						&lt;hr/&gt;\n\n						&lt;span class=&quot;title&quot;&gt;Transaction Date/Time:&lt;/span&gt; {$transactionDateCreated|getDate}&lt;br/&gt;\n						&lt;span class=&quot;title&quot;&gt;Transaction ID:&lt;/span&gt; {$transactionCode}&lt;br/&gt;\n						&lt;span class=&quot;title&quot;&gt;Auth Return:&lt;/span&gt; {$authReturn}&lt;br/&gt;\n						&lt;span class=&quot;title&quot;&gt;Auth Code:&lt;/span&gt; {$authCode}&lt;br/&gt;\n						&lt;span class=&quot;title&quot;&gt;AVS Code:&lt;/span&gt; {$avsCode}&lt;br/&gt;\n\n						&lt;hr/&gt;\n\n						&lt;span class=&quot;title&quot;&gt;Transaction Amount:&lt;/span&gt; {$transactionAmount|getAmount:$currencyID}&lt;br/&gt;\n						&lt;span class=&quot;title&quot;&gt;Notes:&lt;/span&gt; {$transactionNotes}\n					&lt;/td&gt;&lt;/tr&gt;\n				&lt;/table&gt;\n\n				&lt;p&gt;NOTE: We will attempt to process your invoice again soon.&lt;/p&gt;\n\n				&lt;p&gt;Thank you,&lt;/p&gt;\n\n				&lt;p&gt;\n					{$companyName}&lt;br/&gt;\n					&lt;a href=&quot;{$companyURL}&quot; target=&quot;_blank&quot;&gt;{$companyURL}&lt;/a&gt;\n				&lt;/p&gt;\n			&lt;/td&gt;\n			&lt;td class=&quot;rightColumn&quot;&gt;\n				{include file=&quot;$tplDirectory/widgets/cssbased/rightColumnContent.tpl&quot;}\n			&lt;/td&gt;\n		&lt;/tr&gt;\n	&lt;/table&gt;\n&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;\n\n&lt;/center&gt;','Hello {$contactFirstName} {$contactLastName},\r\n\r\nWe have attempted to process your Invoice {$invoiceNumber} in the amount of {$invoiceAmount|getAmount:$currencyID}. However, your transaction was declined. Details are provided below:\r\n\r\nPAYMENT INFORMATION:\r\n\r\nCredit Card Type: {$billingCardType}\r\nCredit Card Number: {$billingAccountNumLastFour}\r\n------------------------------------------\r\nTransaction Date/Time: {$transactionDateCreated|getDate}\r\nTransaction ID: {$transactionCode}\r\nAuth Return: {$authReturn}\r\nAuth Code: {$authCode}\r\nAVS Code: {$avsCode}\r\n------------------------------------------\r\nTransaction Amount: {$transactionAmount|getAmount:$currencyID}\r\nNotes: {$transactionNotes}\r\n\r\nNOTE: We will attempt to process your invoice again soon.\r\n\r\nQUESTIONS?\r\n\r\nIf you have any questions regarding your account, please contact us at your convenience.\r\n\r\nThank you,\r\n\r\n{$companyName}\r\n{$companyURL} \r\n\r\n{$companyAddress1}\r\n{$companyAddress2}\r\n{$companyCity}, {$companyState}\r\n{$companyZip}\r\n\r\nDate: {$currentTime|getDateTime:full}',21,0,225,'002');
INSERT INTO `email_tpls` VALUES (14,14,'Payment Error: {$companyName}',1,'&lt;style&gt;&lt;!--\n	{include file=&quot;$tplDirectory/widgets/cssbased/styles.css&quot;}\n--&gt;&lt;/style&gt;\n\n&lt;center&gt;\n\n&lt;table class=&quot;emailBody&quot; cellpadding=&quot;0&quot; cellspacing=&quot;0&quot;&gt;\n&lt;tr&gt;&lt;td class=&quot;emailTitle&quot;&gt;\n	Payment Error: {$companyName}\n&lt;/td&gt;&lt;/tr&gt;\n&lt;tr&gt;&lt;td&gt;\n	&lt;table class=&quot;content&quot; border=&quot;0&quot; cellspacing=&quot;0&quot;&gt;\n		&lt;tr&gt;\n			&lt;td class=&quot;leftColumn&quot;&gt;\n				&lt;p&gt;&lt;strong&gt;Hello {$contactFirstName} {$contactLastName},&lt;/strong&gt;&lt;/p&gt;\n\n				&lt;p&gt;We have attempted to process your invoice {$invoiceNumber} in the\n				amount of {$invoiceAmount|getAmount:$currencyID}. However, your\n				transaction was declined. Details are provided below:&lt;/p&gt;\n\n				&lt;table class=&quot;details&quot; border=&quot;0&quot; cellspacing=&quot;0&quot;&gt;\n					&lt;tr&gt;&lt;td class=&quot;header&quot;&gt;PAYMENT INFORMATION&lt;/td&gt;&lt;/tr&gt;\n					&lt;tr&gt;&lt;td class=&quot;data&quot;&gt;\n						&lt;span class=&quot;title&quot;&gt;Credit Card Type:&lt;/span&gt; {$billingCardType}&lt;br/&gt;\n						&lt;span class=&quot;title&quot;&gt;Credit Card Number:&lt;/span&gt; {$billingAccountNumLastFour}&lt;br/&gt;\n\n						&lt;hr/&gt;\n\n						&lt;span class=&quot;title&quot;&gt;Transaction Date/Time:&lt;/span&gt; {$transactionDateCreated|getDate}&lt;br/&gt;\n						&lt;span class=&quot;title&quot;&gt;Transaction ID:&lt;/span&gt; {$transactionCode}&lt;br/&gt;\n						&lt;span class=&quot;title&quot;&gt;Auth Return:&lt;/span&gt; {$authReturn}&lt;br/&gt;\n						&lt;span class=&quot;title&quot;&gt;Auth Code:&lt;/span&gt; {$authCode}&lt;br/&gt;\n						&lt;span class=&quot;title&quot;&gt;AVS Code:&lt;/span&gt; {$avsCode}&lt;br/&gt;\n\n						&lt;hr/&gt;\n\n						&lt;span class=&quot;title&quot;&gt;Transaction Amount:&lt;/span&gt; {$transactionAmount|getAmount:$currencyID}&lt;br/&gt;\n						&lt;span class=&quot;title&quot;&gt;Notes:&lt;/span&gt; {$transactionNotes}\n					&lt;/td&gt;&lt;/tr&gt;\n				&lt;/table&gt;\n\n				&lt;p&gt;NOTE: We will attempt to process your invoice again soon. Please log\n				into the billing system to correct this error:&lt;/p&gt;\n\n				&lt;p&gt;&lt;a href=&quot;{$companyClientURL}&quot; target=&quot;_blank&quot;&gt;{$companyClientURL}&lt;/a&gt;&lt;/p&gt;\n\n				&lt;p&gt;Thank you,&lt;/p&gt;\n\n				&lt;p&gt;\n					{$companyName}&lt;br/&gt;\n					&lt;a href=&quot;{$companyURL}&quot; target=&quot;_blank&quot;&gt;{$companyURL}&lt;/a&gt;\n				&lt;/p&gt;\n			&lt;/td&gt;\n			&lt;td class=&quot;rightColumn&quot;&gt;\n				{include file=&quot;$tplDirectory/widgets/cssbased/rightColumnContent.tpl&quot;}\n			&lt;/td&gt;\n		&lt;/tr&gt;\n	&lt;/table&gt;\n&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;\n\n&lt;/center&gt;','Hello {$contactFirstName} {$contactLastName},\n\nWe have attempted to process your Invoice {$invoiceNumber} in the amount of {$invoiceAmount|getAmount:$currencyID}. However, your transaction was declined. Details are provided below:\n\nPAYMENT INFORMATION:\n\nCredit Card Type: {$billingCardType}\nCredit Card Number: {$billingAccountNumLastFour}\n------------------------------------------\nTransaction Date/Time: {$transactionDateCreated|getDate}\nTransaction ID: {$transactionCode}\nAuth Return: {$authReturn}\nAuth Code: {$authCode}\nAVS Code: {$avsCode}\n------------------------------------------\nTransaction Amount: {$transactionAmount|getAmount:$currencyID}\nNotes: {$transactionNotes} {include file=&amp;quot;$tplDirectory/widgets/boxFooter.tpl&amp;quot;}\n\nNOTE: We will attempt to process your invoice again soon. Please log into the billing system to correct this error:\n\n{$companyClientURL}\n\nQUESTIONS?\n\nIf you have any questions regarding your account, please contact us at your convenience.\n\nThank you,\n\n{$companyName}\n{$companyURL} \n\n{$companyAddress1}\n{$companyAddress2}\n{$companyCity}, {$companyState}\n{$companyZip}\n\nDate: {$currentTime|getDateTime:full}\n',21,0,225,'2');
INSERT INTO `email_tpls` VALUES (15,15,'Domain Renewal Notice: {$domainSLD}.{$domainTLD}',1,'&lt;style&gt;&lt;!--\n	{include file=&quot;$tplDirectory/widgets/cssbased/styles.css&quot;}\n--&gt;&lt;/style&gt;\n\n&lt;center&gt;\n\n&lt;table class=&quot;emailBody&quot; cellpadding=&quot;0&quot; cellspacing=&quot;0&quot;&gt;\n&lt;tr&gt;&lt;td class=&quot;emailTitle&quot;&gt;\n	Domain Renewal Notice: {$domainSLD}.{$domainTLD}\n&lt;/td&gt;&lt;/tr&gt;\n&lt;tr&gt;&lt;td&gt;\n	&lt;table class=&quot;content&quot; border=&quot;0&quot; cellspacing=&quot;0&quot;&gt;\n		&lt;tr&gt;\n			&lt;td class=&quot;leftColumn&quot;&gt;\n				&lt;p&gt;&lt;strong&gt;Hello {$contactFirstName} {$contactLastName},&lt;/strong&gt;&lt;/p&gt;\n\n				&lt;p&gt;This is a notice to inform you that your domain {$domainSLD}.{$domainTLD}\n				has been invoiced in the amount of {$invoiceAmount|getAmount:$currencyID} on\n				{$invoiceDateEntered|getDate}. Your domain will be renewed once payment has\n				been made on the invoice.&lt;/p&gt;\n\n				&lt;p&gt;&lt;strong&gt;Domain Expiry Date:&lt;/strong&gt; {$domainDateExpires|getDate}&lt;/p&gt;\n\n				&lt;p&gt;Thank you,&lt;/p&gt;\n\n				&lt;p&gt;\n					{$companyName}&lt;br/&gt;\n					&lt;a href=&quot;{$companyURL}&quot; target=&quot;_blank&quot;&gt;{$companyURL}&lt;/a&gt;\n				&lt;/p&gt;\n			&lt;/td&gt;\n			&lt;td class=&quot;rightColumn&quot;&gt;\n				{include file=&quot;$tplDirectory/widgets/cssbased/rightColumnContent.tpl&quot;}\n			&lt;/td&gt;\n		&lt;/tr&gt;\n	&lt;/table&gt;\n&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;\n\n&lt;/center&gt;','Hello {$contactFirstName} {$contactLastName},\r\n\r\nThis is a notice to inform you that your domain {$domainSLD}.{$domainTLD} has been invoiced in the amount of {$invoiceAmount|getAmount:$currencyID} on {$invoiceDateEntered|getDate}. Your domain will be renewed once payment has been made on the invoice.\r\n\r\nDomain Expiry Date: {$domainDateExpires|getDate}\r\n\r\nThank you,\r\n\r\nThank you,\r\n\r\n{$companyName}\r\n{$companyURL} \r\n\r\n{$companyAddress1}\r\n{$companyAddress2}\r\n{$companyCity}, {$companyState}\r\n{$companyZip}\r\n\r\nDate: {$currentTime|getDateTime:full}\r\n',21,0,225,'002');
INSERT INTO `email_tpls` VALUES (16,16,'Domain Transfer Success: {$domainSLD}.{$domainTLD}',1,'&lt;style&gt;&lt;!--\n	{include file=&quot;$tplDirectory/widgets/cssbased/styles.css&quot;}\n--&gt;&lt;/style&gt;\n\n&lt;center&gt;\n\n&lt;table class=&quot;emailBody&quot; cellpadding=&quot;0&quot; cellspacing=&quot;0&quot;&gt;\n&lt;tr&gt;&lt;td class=&quot;emailTitle&quot;&gt;\n	Domain Transfer Success: {$domainSLD}.{$domainTLD}\n&lt;/td&gt;&lt;/tr&gt;\n&lt;tr&gt;&lt;td&gt;\n	&lt;table class=&quot;content&quot; border=&quot;0&quot; cellspacing=&quot;0&quot;&gt;\n		&lt;tr&gt;\n			&lt;td class=&quot;leftColumn&quot;&gt;\n				&lt;p&gt;&lt;strong&gt;Hello {$contactFirstName} {$contactLastName},&lt;/strong&gt;&lt;/p&gt;\n\n				&lt;p&gt;This is a notice to inform you that your domain {$domainSLD}.{$domainTLD}\n				has been transferred to {$companyName} successfully.&lt;/p&gt;\n\n				&lt;p&gt;Thank you,&lt;/p&gt;\n\n				&lt;p&gt;\n					{$companyName}&lt;br/&gt;\n					&lt;a href=&quot;{$companyURL}&quot; target=&quot;_blank&quot;&gt;{$companyURL}&lt;/a&gt;\n				&lt;/p&gt;\n			&lt;/td&gt;\n			&lt;td class=&quot;rightColumn&quot;&gt;\n				{include file=&quot;$tplDirectory/widgets/cssbased/rightColumnContent.tpl&quot;}\n			&lt;/td&gt;\n		&lt;/tr&gt;\n	&lt;/table&gt;\n&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;\n\n&lt;/center&gt;','Hello {$contactFirstName} {$contactLastName},\n\nThis is a notice to inform you that your domain {$domainSLD}.{$domainTLD} has been transferred to {$companyName} successfully.\n\n\nThank you,\n\n{$companyName}\n{$companyURL} \n\n{$companyAddress1}\n{$companyAddress2}\n{$companyCity}, {$companyState}\n{$companyZip}\n\nDate: {$currentTime|getDateTime:full}\n',21,0,225,'2');
INSERT INTO `email_tpls` VALUES (17,17,'Failed Domain Transfer: {$domainSLD}.{$domainTLD}',1,'&lt;style&gt;&lt;!--\n	{include file=&quot;$tplDirectory/widgets/cssbased/styles.css&quot;}\n--&gt;&lt;/style&gt;\n\n&lt;center&gt;\n\n&lt;table class=&quot;emailBody&quot; cellpadding=&quot;0&quot; cellspacing=&quot;0&quot;&gt;\n&lt;tr&gt;&lt;td class=&quot;emailTitle&quot;&gt;\n	Failed Domain Transfer: {$domainSLD}.{$domainTLD}\n&lt;/td&gt;&lt;/tr&gt;\n&lt;tr&gt;&lt;td&gt;\n	&lt;table class=&quot;content&quot; border=&quot;0&quot; cellspacing=&quot;0&quot;&gt;\n		&lt;tr&gt;\n			&lt;td class=&quot;leftColumn&quot;&gt;\n				&lt;p&gt;&lt;strong&gt;Hello {$contactFirstName} {$contactLastName},&lt;/strong&gt;&lt;/p&gt;\n\n				&lt;p&gt;This is a notice to inform you that your domain {$domainSLD}.{$domainTLD}\n				failed to transfer to {$companyName} successfully.&lt;/p&gt;\n\n				&lt;p&gt;Thank you,&lt;/p&gt;\n\n				&lt;p&gt;\n					{$companyName}&lt;br/&gt;\n					&lt;a href=&quot;{$companyURL}&quot; target=&quot;_blank&quot;&gt;{$companyURL}&lt;/a&gt;\n				&lt;/p&gt;\n			&lt;/td&gt;\n			&lt;td class=&quot;rightColumn&quot;&gt;\n				{include file=&quot;$tplDirectory/widgets/cssbased/rightColumnContent.tpl&quot;}\n			&lt;/td&gt;\n		&lt;/tr&gt;\n	&lt;/table&gt;\n&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;\n\n&lt;/center&gt;','Hello {$contactFirstName} {$contactLastName},\n\nThis is a notice to inform you that your domain {$domainSLD}.{$domainTLD} failed to transfer to {$companyName} successfully.\n\nThank you,\n\n{$companyName}\n{$companyURL} \n\n{$companyAddress1}\n{$companyAddress2}\n{$companyCity}, {$companyState}\n{$companyZip}\n\nDate: {$currentTime|getDateTime:full}\n',21,0,225,'2');
INSERT INTO `email_tpls` VALUES (18,18,'1st Notice: Invoice Overdue',1,'&lt;style&gt;&lt;!--\n	{include file=&quot;$tplDirectory/widgets/cssbased/styles.css&quot;}\n--&gt;&lt;/style&gt;\n\n&lt;center&gt;\n\n&lt;table class=&quot;emailBody&quot; cellpadding=&quot;0&quot; cellspacing=&quot;0&quot;&gt;\n&lt;tr&gt;&lt;td class=&quot;emailTitle&quot;&gt;\n	Reminder: {$companyName} Invoice Overdue\n&lt;/td&gt;&lt;/tr&gt;\n&lt;tr&gt;&lt;td&gt;\n	&lt;table class=&quot;content&quot; border=&quot;0&quot; cellspacing=&quot;0&quot;&gt;\n		&lt;tr&gt;\n			&lt;td class=&quot;leftColumn&quot;&gt;\n				&lt;p&gt;&lt;strong&gt;Dear {$contactFirstName} {$contactLastName},&lt;/strong&gt;&lt;/p&gt;\n				&lt;p&gt;This is a reminder that your Invoice {$invoiceNumber} with {$companyName} is now past due.&lt;/p&gt;\n				&lt;p&gt;Please login to your account using the following information and make immediate payment on\n				your outstanding invoice. If the invoice is not paid in full, your account will be subject\n				to suspension.&lt;/p&gt;\n\n				&lt;span class=&quot;title&quot;&gt;Login URL:&lt;/span&gt; &lt;a href=&quot;{$companyClientURL}&quot;&gt;{$companyClientURL}&lt;/a&gt;&lt;br/&gt;\n				&lt;span class=&quot;title&quot;&gt;Login Username:&lt;/span&gt; {$contactUsername}\n\n				&lt;p&gt;If you have forgotten your password, the above URL has a Forgot Password link.&lt;/p&gt;\n\n				&lt;p&gt;If you have already submitted payment, please disregard this message as your payment is\n				currently being processed and your account will be updated to reflect your new balance\n				shortly. We appreciate your business. If there is anything we can do for you, please\n				let us know.&lt;/p&gt;\n\n				&lt;p&gt;Thank you,&lt;/p&gt;\n\n				&lt;p&gt;\n					{$companyName}&lt;br/&gt;\n					&lt;a href=&quot;{$companyURL}&quot; target=&quot;_blank&quot;&gt;{$companyURL}&lt;/a&gt;\n				&lt;/p&gt;\n			&lt;/td&gt;\n			&lt;td class=&quot;rightColumn&quot;&gt;\n				{include file=&quot;$tplDirectory/widgets/cssbased/rightColumnContent.tpl&quot;}\n			&lt;/td&gt;\n		&lt;/tr&gt;\n	&lt;/table&gt;\n&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;\n\n&lt;/center&gt;','Dear {$contactFirstName} {$contactLastName},\n\nThis is a reminder that your Invoice {$invoiceNumber} with {$companyName} is now past due.\n\nPlease login to your account using the following information and make immediate payment on your outstanding invoice. If the invoice is not paid in full, your account will be subject to suspension.\n\nLogin URL: {$companyClientURL}\nLogin Username: {$contactUsername}\n\nIf you have forgotten your password, the above URL has a Forgot Password link.\n\nIf you have already submitted payment, please disregard this message as your payment is currently being processed and your account will be updated to reflect your new balance shortly. We appreciate your business. If there is anything we can do for you, please let us know.\n\nThank you,\n\n{$companyName}\n{$companyURL} \n\n{$companyAddress1}\n{$companyAddress2}\n{$companyCity}, {$companyState}\n{$companyZip}\n\nDate: {$currentTime|getDateTime:full}\n',21,0,225,'2');
INSERT INTO `email_tpls` VALUES (19,19,'2nd Notice: Invoice Overdue',1,'&lt;style&gt;&lt;!--\r\n	{include file=&quot;$tplDirectory/widgets/cssbased/styles.css&quot;}\r\n--&gt;&lt;/style&gt;\r\n&lt;center&gt; \r\n&lt;table class=&quot;emailBody&quot; border=&quot;0&quot; cellspacing=&quot;0&quot; cellpadding=&quot;0&quot;&gt;\r\n&lt;tbody&gt;\r\n&lt;tr&gt;\r\n&lt;td class=&quot;emailTitle&quot;&gt;2nd Notice: {$companyName} Invoice Overdue&lt;/td&gt;\r\n&lt;/tr&gt;\r\n&lt;tr&gt;\r\n&lt;td&gt;\r\n&lt;table class=&quot;content&quot; border=&quot;0&quot; cellspacing=&quot;0&quot;&gt;\r\n&lt;tbody&gt;\r\n&lt;tr&gt;\r\n&lt;td class=&quot;leftColumn&quot;&gt;\r\n&lt;p&gt;&lt;strong&gt;Dear {$contactFirstName} {$contactLastName},&lt;/strong&gt;&lt;/p&gt;\r\n&lt;p&gt;This is the second notice that your invoice {$invoiceNumber} with {$companyName} 				is past due.&lt;/p&gt;\r\n&lt;p&gt;Please login to your account using the following information and make immediate 				payment on your outstanding invoice. If the invoice is not paid in full, your account 				will be subject to suspension as stated in our Terms and Conditions that you agreed 				to at the time of purchase.&lt;/p&gt;\r\n&lt;span class=&quot;title&quot;&gt;Login URL:&lt;/span&gt; &lt;a href=&quot;{$companyClientURL}&quot;&gt;{$companyClientURL}&lt;/a&gt;&lt;br /&gt; &lt;span class=&quot;title&quot;&gt;Login Username:&lt;/span&gt; {$contactUsername}\r\n&lt;p&gt;If you have forgotten your password, the above URL has a Forgot Password link.&lt;/p&gt;\r\n&lt;p&gt;We appreciate your prompt attention in this matter.&lt;/p&gt;\r\n&lt;p&gt;If you have already submitted payment, please disregard this message as your payment 				is currently being processed and your account will be updated to reflect your new 				balance shortly.&lt;/p&gt;\r\n&lt;p&gt;Thank you,&lt;/p&gt;\r\n&lt;p&gt;{$companyName}&lt;br /&gt; &lt;a href=&quot;{$companyURL}&quot; target=&quot;_blank&quot;&gt;{$companyURL}&lt;/a&gt;&lt;/p&gt;\r\n&lt;/td&gt;\r\n&lt;td class=&quot;rightColumn&quot;&gt;{include file=&quot;$tplDirectory/widgets/cssbased/rightColumnContent.tpl&quot;}&lt;/td&gt;\r\n&lt;/tr&gt;\r\n&lt;/tbody&gt;\r\n&lt;/table&gt;\r\n&lt;/td&gt;\r\n&lt;/tr&gt;\r\n&lt;/tbody&gt;\r\n&lt;/table&gt;\r\n&lt;/center&gt;','Dear {$contactFirstName} {$contactLastName},\r\n\r\nThis is the second notice that your invoice {$invoiceNumber} with {$companyName} is past due.\r\n\r\nPlease login to your account using the following information and make immediate payment on your outstanding invoice. If the invoice is not paid in full, your account will be subject to suspension as stated in our Terms and Conditions that you agreed to at the time of purchase.\r\n\r\nLogin URL: {$companyClientURL}\r\nLogin Username: {$contactUsername}\r\n\r\nIf you have forgotten your password, the above URL has a Forgot Password link.\r\n\r\nWe appreciate your prompt attention in this matter.\r\n\r\nIf you have already submitted payment, please disregard this message as your payment is currently being processed and your account will be updated to reflect your new balance shortly. \r\n\r\nThank you,\r\n\r\n{$companyName}\r\n{$companyURL} \r\n\r\n{$companyAddress1}\r\n{$companyAddress2}\r\n{$companyCity}, {$companyState}\r\n{$companyZip}\r\n\r\nDate: {$currentTime|getDateTime:full}\r\n',21,0,225,'002');
INSERT INTO `email_tpls` VALUES (20,20,'Final Notice: Package Suspension',1,'&lt;style&gt;&lt;!--\n	{include file=&quot;$tplDirectory/widgets/cssbased/styles.css&quot;}\n--&gt;&lt;/style&gt;\n\n&lt;center&gt;\n\n&lt;table class=&quot;emailBody&quot; cellpadding=&quot;0&quot; cellspacing=&quot;0&quot;&gt;\n&lt;tr&gt;&lt;td class=&quot;emailTitle&quot;&gt;\n	Final Notice: {$companyName} Package Suspended\n&lt;/td&gt;&lt;/tr&gt;\n&lt;tr&gt;&lt;td&gt;\n	&lt;table class=&quot;content&quot; border=&quot;0&quot; cellspacing=&quot;0&quot;&gt;\n		&lt;tr&gt;\n			&lt;td class=&quot;leftColumn&quot;&gt;\n				&lt;p&gt;&lt;strong&gt;Dear {$contactFirstName} {$contactLastName},&lt;/strong&gt;&lt;/p&gt;\n\n				&lt;p&gt;This is the 3rd and FINAL notice that your invoice {$invoiceNumber} with\n				{$companyName} is past due. Your account has been suspended until payment\n				is made in full on your invoice.&lt;/p&gt;\n\n				&lt;p&gt;Please login to your account using the following information and make\n				immediate payment on your outstanding invoice to re-activate service.\n				If the invoice is not paid in full, your account will be subject to termination\n				in accordance with our Terms and Conditions that you agreed to at the time\n				of purchase.&lt;/p&gt;\n\n				&lt;span class=&quot;title&quot;&gt;Login URL:&lt;/span&gt; &lt;a href=&quot;{$companyClientURL}&quot; target=&quot;_blank&quot;&gt;{$companyClientURL}&lt;/a&gt;&lt;br/&gt;\n				&lt;span class=&quot;title&quot;&gt;Login Username:&lt;/span&gt; {$contactUsername}&lt;br /&gt;&lt;br/&gt;\n\n				&lt;p&gt;If you have forgotten your password, the above URL has a Forgot Password link.&lt;/p&gt;\n\n				&lt;p&gt;If you believe this message to be in error, please provide either the last\n				four digits of the credit card you made payment with, a check number, or\n				third party gateway receipt so that we can correct any discrepancies.&lt;/p&gt;\n\n				&lt;p&gt;If you have already submitted payment, please contact us immediately so that\n				we can determine the current status of your account.&lt;/p&gt;\n\n				&lt;p&gt;Thank you,&lt;/p&gt;\n\n				&lt;p&gt;\n					{$companyName}&lt;br/&gt;\n					&lt;a href=&quot;{$companyURL}&quot; target=&quot;_blank&quot;&gt;{$companyURL}&lt;/a&gt;\n				&lt;/p&gt;\n			&lt;/td&gt;\n			&lt;td class=&quot;rightColumn&quot;&gt;\n				{include file=&quot;$tplDirectory/widgets/cssbased/rightColumnContent.tpl&quot;}\n			&lt;/td&gt;\n		&lt;/tr&gt;\n	&lt;/table&gt;\n&lt;/div&gt;\n&lt;/center&gt;\n','Dear {$contactFirstName} {$contactLastName},\n\nThis is the 3rd and FINAL notice that your invoice {$invoiceNumber} with {$companyName} is past due. Your account has been suspended until payment is made in full on your invoice.\n\nPlease login to your account using the following information and make immediate payment on your outstanding invoice to re-activate service. If the invoice is not paid in full, your account will be subject to termination in accordance with our Terms and Conditions that you agreed to at the time of purchase.\n\nLogin URL: {$companyClientURL}\nLogin Username: {$contactUsername}\n\nIf you have forgotten your password, the above URL has a Forgot Password link.\n\nIf you believe this message to be in error, please provide either the last four digits of the credit card you made payment with, a check number, or third party gateway receipt so that we can correct any discrepancies.\n\nIf you have already submitted payment, please contact us immediately so that we can determine the current status of your account. \n\nThank you,\n\n{$companyName}\n{$companyURL} \n\n{$companyAddress1}\n{$companyAddress2}\n{$companyCity}, {$companyState}\n{$companyZip}\n\nDate: {$currentTime|getDateTime:full}\n',21,0,225,'2');
INSERT INTO `email_tpls` VALUES (21,21,'Account Deleted: {$companyName}',1,'&lt;style&gt;&lt;!--\n	{include file=&quot;$tplDirectory/widgets/cssbased/styles.css&quot;}\n--&gt;&lt;/style&gt;\n\n&lt;center&gt;\n\n&lt;table class=&quot;emailBody&quot; cellpadding=&quot;0&quot; cellspacing=&quot;0&quot;&gt;\n&lt;tr&gt;&lt;td class=&quot;emailTitle&quot;&gt;\n	Account Terminated: {$companyName}\n&lt;/td&gt;&lt;/tr&gt;\n&lt;tr&gt;&lt;td&gt;\n	&lt;table class=&quot;content&quot; border=&quot;0&quot; cellspacing=&quot;0&quot;&gt;\n		&lt;tr&gt;\n			&lt;td class=&quot;leftColumn&quot;&gt;\n				&lt;p&gt;&lt;strong&gt;Dear {$contactFirstName} {$contactLastName},&lt;/strong&gt;&lt;/p&gt;\n\n				&lt;p&gt;This is a notice to inform you that your account with {$companyName}\n				has been terminated in accordance with our Terms and Conditions, due\n				to the fact that there is currently an outstanding invoice on your\n				account.&lt;/p&gt;\n\n				&lt;p&gt;We have made a number of attempts to make contact prior to taking this\n				action, but we have not received any response up to this point.&lt;/p&gt;\n\n				&lt;p&gt;If you wish to re-establish service, please contact support.&lt;/p&gt;\n\n				&lt;p&gt;Thank you,&lt;/p&gt;\n\n				&lt;p&gt;\n					{$companyName}&lt;br/&gt;\n					&lt;a href=&quot;{$companyURL}&quot; target=&quot;_blank&quot;&gt;{$companyURL}&lt;/a&gt;\n				&lt;/p&gt;\n			&lt;/td&gt;\n			&lt;td class=&quot;rightColumn&quot;&gt;\n				{include file=&quot;$tplDirectory/widgets/cssbased/rightColumnContent.tpl&quot;}\n			&lt;/td&gt;\n		&lt;/tr&gt;\n	&lt;/table&gt;\n&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;\n\n&lt;/center&gt;','Dear {$contactFirstName} {$contactLastName},\n\nThis is a notice to inform you that your account with {$companyName} has been terminated in accordance with our Terms and Conditions, due to the fact that there is currently an outstanding invoice on your account.\n\n\nWe have made a number of attempts to make contact prior to taking this action, but we have not received any response up to this point.\n\nIf you wish to re-establish service, please contact support.\n\nThank you,\n\n{$companyName}\n{$companyURL} \n\n{$companyAddress1}\n{$companyAddress2}\n{$companyCity}, {$companyState}\n{$companyZip}\n\nDate: {$currentTime|getDateTime:full}\n',21,0,225,'2');
INSERT INTO `email_tpls` VALUES (22,22,'Package Re-Enabled Notice',1,'&lt;style&gt;&lt;!--\n	{include file=&quot;$tplDirectory/widgets/cssbased/styles.css&quot;}\n--&gt;&lt;/style&gt;\n\n&lt;center&gt;\n\n&lt;table class=&quot;emailBody&quot; cellpadding=&quot;0&quot; cellspacing=&quot;0&quot;&gt;\n&lt;tr&gt;&lt;td class=&quot;emailTitle&quot;&gt;\n	Package Re-Activation Notice\n&lt;/td&gt;&lt;/tr&gt;\n&lt;tr&gt;&lt;td&gt;\n	&lt;table class=&quot;content&quot; border=&quot;0&quot; cellspacing=&quot;0&quot;&gt;\n		&lt;tr&gt;\n			&lt;td class=&quot;leftColumn&quot;&gt;\n				&lt;p&gt;&lt;strong&gt;Dear {$contactFirstName} {$contactLastName},&lt;/strong&gt;&lt;/p&gt;\n\n				&lt;p&gt;We have received your payment to your Invoice {$invoiceNumber} in\n				the amount of {$invoiceAmountPaid|getAmount:$currencyID} on\n				{$invoiceDatePaid|getDate}. Your account is now up to date and\n				in good standing.&lt;/p&gt;\n\n				&lt;p&gt;Your package {$packageName} has been re-activated and you can\n				continue using your account as normal.&lt;/p&gt;\n\n				&lt;p&gt;We appreciate your cooperation and apologize for any surprise this\n				may have caused.&lt;/p&gt;\n\n				&lt;p&gt;Thank you,&lt;/p&gt;\n\n				&lt;p&gt;\n					{$companyName}&lt;br/&gt;\n					&lt;a href=&quot;{$companyURL}&quot; target=&quot;_blank&quot;&gt;{$companyURL}&lt;/a&gt;\n				&lt;/p&gt;\n			&lt;/td&gt;\n			&lt;td class=&quot;rightColumn&quot;&gt;\n				{include file=&quot;$tplDirectory/widgets/cssbased/rightColumnContent.tpl&quot;}\n			&lt;/td&gt;\n		&lt;/tr&gt;\n	&lt;/table&gt;\n&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;\n\n&lt;/center&gt;','Dear {$contactFirstName} {$contactLastName},\n\nWe have received your payment to your  Invoice {$invoiceNumber} in the amount of  {$invoiceAmountPaid|getAmount:$currencyID} on  {$invoiceDatePaid|getDate}. Your account is now up to date and in good  standing.\n\nYour package {$packageName} has been re-activated and you can continue using your account as normal.\n\nWe appreciate your cooperation and apologize for any surprise this may have caused.\n\nThank you,\n\n{$companyName}\n{$companyURL} \n\n{$companyAddress1}\n{$companyAddress2}\n{$companyCity}, {$companyState}\n{$companyZip}\n\nDate: {$currentTime|getDateTime:full}\n',21,0,225,'2');
INSERT INTO `email_tpls` VALUES (23,23,'Package Reset',1,'&lt;style&gt;&lt;!--\n	{include file=&quot;$tplDirectory/widgets/cssbased/styles.css&quot;}\n--&gt;&lt;/style&gt;\n\n&lt;center&gt;\n\n&lt;table class=&quot;emailBody&quot; cellpadding=&quot;0&quot; cellspacing=&quot;0&quot;&gt;\n&lt;tr&gt;&lt;td class=&quot;emailTitle&quot;&gt;\n	Password Reset\n&lt;/td&gt;&lt;/tr&gt;\n&lt;tr&gt;&lt;td&gt;\n	&lt;table class=&quot;content&quot; border=&quot;0&quot; cellspacing=&quot;0&quot;&gt;\n		&lt;tr&gt;\n			&lt;td class=&quot;leftColumn&quot;&gt;\n				&lt;p&gt;&lt;strong&gt;Dear {$contactFirstName} {$contactLastName},&lt;/strong&gt;&lt;/p&gt;\n\n				&lt;p&gt;Your password has been reset. Your new password is: &apos;{$newPassword}&apos;&lt;/p&gt;\n\n				&lt;p&gt;Thank you,&lt;/p&gt;\n\n				&lt;p&gt;\n					{$companyName}&lt;br/&gt;\n					&lt;a href=&quot;{$companyURL}&quot; target=&quot;_blank&quot;&gt;{$companyURL}&lt;/a&gt;\n				&lt;/p&gt;\n			&lt;/td&gt;\n			&lt;td class=&quot;rightColumn&quot;&gt;\n				{include file=&quot;$tplDirectory/widgets/cssbased/rightColumnContent.tpl&quot;}\n			&lt;/td&gt;\n		&lt;/tr&gt;\n	&lt;/table&gt;\n&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;\n\n&lt;/center&gt;','Dear {$contactFirstName} {$contactLastName},\n\nYour password has been reset. Your new password is: \'{$newPassword}\'\n\nThank you,\n\n{$companyName}\n{$companyURL} \n\n{$companyAddress1}\n{$companyAddress2}\n{$companyCity}, {$companyState}\n{$companyZip}\n\nDate: {$currentTime|getDateTime:full}\n',21,0,225,'2');
INSERT INTO `email_tpls` VALUES (24,24,'Insert Subject Here',1,'&lt;style&gt;&lt;!--\n	{include file=&quot;$tplDirectory/widgets/cssbased/styles.css&quot;}\n--&gt;&lt;/style&gt;\n\n&lt;center&gt;\n\n&lt;table class=&quot;emailBody&quot; cellpadding=&quot;0&quot; cellspacing=&quot;0&quot;&gt;\n&lt;tr&gt;&lt;td class=&quot;emailTitle&quot;&gt;\n	Insert Subject Here\n&lt;/td&gt;&lt;/tr&gt;\n&lt;tr&gt;&lt;td&gt;\n	&lt;table class=&quot;content&quot; border=&quot;0&quot; cellspacing=&quot;0&quot;&gt;\n		&lt;tr&gt;\n			&lt;td class=&quot;leftColumn&quot;&gt;\n				&lt;p&gt;&lt;strong&gt;Dear {$contactFirstName} {$contactLastName},&lt;/strong&gt;&lt;/p&gt;\n\n				&lt;p&gt;Insert body here.&lt;/p&gt;\n\n				&lt;table class=&quot;details&quot; border=&quot;0&quot; cellspacing=&quot;0&quot;&gt;\n					&lt;tr&gt;&lt;td class=&quot;header&quot;&gt;ANY DETAILS&lt;/td&gt;&lt;/tr&gt;\n					&lt;tr&gt;&lt;td class=&quot;data&quot;&gt;\n						&lt;span class=&quot;title&quot;&gt;DETAIL TITLE 1:&lt;/span&gt; Details&lt;br/&gt;\n						&lt;span class=&quot;title&quot;&gt;DETAIL TITLE 2:&lt;/span&gt; Details&lt;br/&gt;\n					&lt;/td&gt;&lt;/tr&gt;\n				&lt;/table&gt;\n\n				&lt;table class=&quot;information&quot; border=&quot;0&quot; cellspacing=&quot;0&quot;&gt;\n					&lt;tr&gt;&lt;td class=&quot;header&quot;&gt;ANY INFORMATION&lt;/td&gt;&lt;/tr&gt;\n					&lt;tr&gt;&lt;td class=&quot;data&quot;&gt;\n						&lt;span class=&quot;title&quot;&gt;INFO TITLE 1:&lt;/span&gt; Details&lt;br/&gt;\n						&lt;span class=&quot;title&quot;&gt;INFO TITLE 2:&lt;/span&gt; Details&lt;br/&gt;\n					&lt;/td&gt;&lt;/tr&gt;\n				&lt;/table&gt;\n\n				&lt;p&gt;Thank you,&lt;/p&gt;\n\n				&lt;p&gt;\n					{$companyName}&lt;br/&gt;\n					&lt;a href=&quot;{$companyURL}&quot; target=&quot;_blank&quot;&gt;{$companyURL}&lt;/a&gt;\n				&lt;/p&gt;\n			&lt;/td&gt;\n			&lt;td class=&quot;rightColumn&quot;&gt;\n				{include file=&quot;$tplDirectory/widgets/cssbased/rightColumnContent.tpl&quot;}\n			&lt;/td&gt;\n		&lt;/tr&gt;\n		&lt;tr&gt;\n			&lt;td colspan=&quot;2&quot;&gt;\n				&lt;table class=&quot;information&quot; border=&quot;0&quot; cellspacing=&quot;0&quot;&gt;\n					&lt;tr&gt;&lt;td class=&quot;header&quot;&gt;ANY ADDITIONAL  INFORMATION&lt;/td&gt;&lt;/tr&gt;\n					&lt;tr&gt;&lt;td class=&quot;data&quot;&gt;\n						&lt;span class=&quot;title&quot;&gt;INFO TITLE 1:&lt;/span&gt; Details&lt;br/&gt;\n						&lt;span class=&quot;title&quot;&gt;INFO TITLE 2:&lt;/span&gt; Details&lt;br/&gt;\n					&lt;/td&gt;&lt;/tr&gt;\n				&lt;/table&gt;\n			&lt;/td&gt;\n		&lt;/tr&gt;\n	&lt;/table&gt;\n&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;\n\n&lt;/center&gt;','Dear {$contactFirstName} {$contactLastName},\n\nInsert body here.\n\nThank you,\n\n{$companyName}\n{$companyURL} \n\n{$companyAddress1}\n{$companyAddress2}\n{$companyCity}, {$companyState}\n{$companyZip}\n\nDate: {$currentTime|getDateTime:full}\n',21,0,225,'2');
INSERT INTO `email_tpls` VALUES (25,25,'Welcome to {$companyName}',1,'&lt;style&gt;&lt;!--\n	{include file=&quot;$tplDirectory/widgets/cssbased/styles.css&quot;}\n--&gt;&lt;/style&gt;\n\n&lt;center&gt;\n\n&lt;table class=&quot;emailBody&quot; cellpadding=&quot;0&quot; cellspacing=&quot;0&quot;&gt;\n&lt;tr&gt;&lt;td class=&quot;emailTitle&quot;&gt;\n	Welcome to {$companyName}\n&lt;/td&gt;&lt;/tr&gt;\n&lt;tr&gt;&lt;td&gt;\n	&lt;table class=&quot;content&quot; border=&quot;0&quot; cellspacing=&quot;0&quot;&gt;\n		&lt;tr&gt;\n			&lt;td class=&quot;leftColumn&quot;&gt;\n				&lt;p&gt;&lt;strong&gt;Dear {$contactFirstName} {$contactLastName},&lt;/strong&gt;&lt;/p&gt;\n\n				&lt;p&gt;Thank you very much for choosing {$companyName} as your Web and\n				E-Commerce Hosting Provider. This is your order confirmation email\n				for your Web hosting account with {$companyName}. Please note that\n				this is not your account information. An email with your username,\n				password, and IP address will be emailed to you later once your\n				account is setup at {$companyName}.&lt;/p&gt;\n\n				&lt;table class=&quot;details&quot; border=&quot;0&quot; cellspacing=&quot;0&quot;&gt;\n					&lt;tr&gt;&lt;td class=&quot;header&quot;&gt;CONTACT INFORMATION&lt;/td&gt;&lt;/tr&gt;\n					&lt;tr&gt;&lt;td class=&quot;data&quot;&gt;\n						&lt;p&gt;&lt;span class=&quot;title&quot;&gt;Email:&lt;/span&gt;&lt;/p&gt;\n						&lt;p&gt;{$contactEmail}&lt;/p&gt;\n\n						&lt;p&gt;&lt;span class=&quot;title&quot;&gt;Company:&lt;/span&gt;&lt;/p&gt;\n						&lt;p&gt;\n							{if $contactCompany}\n								{$contactCompany}\n							{elseif $clientCompany}\n								{$clientCompany}\n							{/if}\n						&lt;/p&gt;\n\n						&lt;p&gt;&lt;span class=&quot;title&quot;&gt;Address:&lt;/span&gt;&lt;/p&gt;\n						&lt;p&gt;\n							{$contactAddress1}&gt;\n							{strip}\n								{if $contactAddress2}\n									{$contactAddress2}&lt;br/&gt;\n								{/if}\n							{/strip}\n							{$contactCity}, {$contactState} {$contactZip}\n						&lt;/p&gt;\n\n						&lt;p&gt;&lt;span class=&quot;title&quot;&gt;Phone:&lt;/span&gt;&lt;/p&gt;\n						&lt;p&gt;{$contactPhone1}&lt;/p&gt;\n\n						{if $contactFax}\n							&lt;p&gt;&lt;span class=&quot;title&quot;&gt;Fax:&lt;/span&gt;&lt;/p&gt;\n							&lt;p&gt;{$contactFax}&lt;/p&gt;\n						{/if}\n\n						&lt;p&gt;&lt;span class=&quot;title&quot;&gt;Username:&lt;/span&gt;&lt;/p&gt;\n						&lt;p&gt;{$contactUsername}&lt;/p&gt;\n					&lt;/td&gt;&lt;/tr&gt;\n				&lt;/table&gt;\n				&lt;table class=&quot;details&quot; border=&quot;0&quot; cellspacing=&quot;0&quot;&gt;\n					&lt;tr&gt;&lt;td class=&quot;header&quot;&gt;ORDER INFORMATION&lt;/td&gt;&lt;/tr&gt;\n					&lt;tr&gt;&lt;td class=&quot;data&quot;&gt;\n						{foreach from=$lineItems item=&quot;lineItem&quot; key=&quot;xk&quot;}\n							&lt;p&gt;&lt;strong&gt;\n								{assign var=&quot;name&quot; value=$lineItem.lineItemDescription}\n								{$smarty.const.$name|default:$name}:\n								{strip}\n									{if $lineItem.domainName}\n										{assign var=&quot;name&quot; value=$lineItem.domainName}\n										{$smarty.const.$name|default:$name}&lt;br/&gt;\n									{elseif $lineItem.domains.0}\n										{$lineItem.domains.0.domainSLD}.{$lineItem.domains.0.domainTLD}&lt;br/&gt;\n									{/if}\n								{/strip}\n							&lt;/strong&gt;&lt;/p&gt;\n\n							&lt;p&gt;{$cycles[$lineItem.cycleID]} @ {$lineItem.lineItemPriceAmount|getAmount:$currencyID}&lt;/p&gt;\n						{foreachelse}\n							&lt;p&gt;- Empty -&lt;/p&gt;\n						{/foreach}\n\n						&lt;p&gt;&lt;span class=&quot;title&quot;&gt;Sub Total:&lt;/span&gt;&lt;/p&gt;\n						&lt;p&gt;{$invoiceSubTotal|getAmount:$currencyID}&lt;/p&gt;\n\n						&lt;p&gt;&lt;span class=&quot;title&quot;&gt;Total Due:&lt;/span&gt;&lt;/p&gt;\n						&lt;p&gt;{$invoiceAmount|getAmount:$currencyID}&lt;/p&gt;\n					&lt;/td&gt;&lt;/tr&gt;\n				&lt;/table&gt;\n\n				&lt;p&gt;Thank you for signing up!&lt;/p&gt;\n			&lt;/td&gt;\n		&lt;/tr&gt;\n	&lt;/table&gt;\n&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;\n\n&lt;/center&gt;','Dear {$contactFirstName} {$contactLastName},\n\n Thank you very much for choosing {$companyName} as your Web and E-Commerce\nHosting Provider. This is your order confirmation email for your Web hosting\naccount with {$companyName}. Please note that this is not your account\ninformation. An email with your username, password, and IP address will be\nemailed to you later once your account is setup at {$companyName}.\n\nContact Information:\nEmail: {$contactEmail}\n{if $contactCompany}\nCompany: {$contactCompany}\n{elseif $clientCompany}\nCompany: {$clientCompany}\n{/if}\nAddress: {$contactAddress1} {strip}\n{if $contactAddress2}\n{$contactAddress2}\n{/if}\n{/strip}\n{$contactCity}, {$contactState} {$contactZip}\nPhone: {$contactPhone1}\n{if $contactFax}Fax: {$contactFax}\n{/if}\nUsername: {$contactUsername}\n\nOrder Information:\n\n{foreach from=$lineItems item=lineItem}\n{assign var=&quot;name&quot; value=$lineItem.lineItemDescription}{$smarty.const.$name|default:$name}\n{strip}\n{if $lineItem.domainName}\n{assign var=&quot;name&quot; value=$lineItem.domainName}\n{$smarty.const.$name|default:$name}\n{elseif $lineItem.domains.0}\n{$lineItem.domains.0.domainSLD}.{$lineItem.domains.0.domainTLD}\n{/if}\n{/strip}\n{$cycles[$lineItem.cycleID]} @ {$lineItem.lineItemTotalAmount|getAmount:$currencyID}\n{foreachelse}\n- Empty - \n{/foreach}\n\nSub Total: {$invoiceSubTotal|getAmount:$currencyID}\nTotal Due: {$invoiceAmount|getAmount:$currencyID}\n\n\nThank You for Signing Up!\n{$companyName}',21,0,225,'2');
/*!40000 ALTER TABLE `email_tpls` ENABLE KEYS */;

--
-- Table structure for table `faq_categories`
--

DROP TABLE IF EXISTS `faq_categories`;


CREATE TABLE `faq_categories` (
  `faq_category_id` tinyint(3) unsigned NOT NULL auto_increment,
  `faq_category_name` varchar(50) default NULL,
  `faq_category_type` tinyint(3) unsigned default NULL,
  PRIMARY KEY  (`faq_category_id`),
  KEY `faq_category_type` (`faq_category_type`)
) ENGINE=MyISAM;


--
-- Dumping data for table `faq_categories`
--

/*!40000 ALTER TABLE `faq_categories` DISABLE KEYS */;
/*!40000 ALTER TABLE `faq_categories` ENABLE KEYS */;

--
-- Table structure for table `faqs`
--

DROP TABLE IF EXISTS `faqs`;


CREATE TABLE `faqs` (
  `faq_id` smallint(5) unsigned NOT NULL auto_increment,
  `faq_category_id` tinyint(3) unsigned default NULL,
  `faq_question` text,
  `faq_answer` longtext,
  `faq_date_created` int(10) unsigned default NULL,
  PRIMARY KEY  (`faq_id`),
  KEY `faq_category_id` (`faq_category_id`)
) ENGINE=MyISAM;


--
-- Dumping data for table `faqs`
--

/*!40000 ALTER TABLE `faqs` DISABLE KEYS */;
/*!40000 ALTER TABLE `faqs` ENABLE KEYS */;

--
-- Table structure for table `fraud_country_thresholds`
--

DROP TABLE IF EXISTS `fraud_country_thresholds`;


CREATE TABLE `fraud_country_thresholds` (
  `threshold_id` int(10) unsigned NOT NULL auto_increment,
  `threshold_name` varchar(100) default NULL,
  `country_type` tinyint(3) unsigned default NULL,
  `countries_id` smallint(5) unsigned default NULL,
  `regions_id` char(3) default NULL,
  `level_one_score` decimal(3,1) unsigned default NULL,
  `level_two_score` decimal(3,1) unsigned default NULL,
  `level_three_score` decimal(3,1) unsigned default NULL,
  `level_one_action` tinyint(3) unsigned default NULL,
  `level_two_action` tinyint(3) unsigned default NULL,
  `level_three_action` tinyint(3) unsigned default NULL,
  `catch_all_action` tinyint(3) unsigned default NULL,
  `override_one_amount` decimal(10,2) unsigned default NULL,
  `override_two_amount` decimal(10,2) unsigned default NULL,
  `override_three_amount` decimal(10,2) unsigned default NULL,
  `override_one_action` tinyint(3) unsigned default NULL,
  `override_two_action` tinyint(3) unsigned default NULL,
  `override_three_action` tinyint(3) unsigned default NULL,
  `primary_score_to_use` tinyint(3) unsigned default NULL,
  `free_email_weight` decimal(3,1) unsigned default NULL,
  `country_match_weight` decimal(3,1) unsigned default NULL,
  `anon_proxy_weight` decimal(3,1) unsigned default NULL,
  `country_risk_weight` decimal(3,1) unsigned default NULL,
  `ip_distance_weight` decimal(3,1) unsigned default NULL,
  `bin_match_weight` decimal(3,1) unsigned default NULL,
  `bin_bank_match_weight` decimal(3,1) unsigned default NULL,
  `high_risk_email_weight` decimal(3,1) unsigned default NULL,
  `high_risk_shipping_weight` decimal(3,1) unsigned default NULL,
  `open_proxy_weight` decimal(3,1) unsigned default NULL,
  `fraud_soft_reject_message` text,
  `fraud_hard_reject_message` text,
  PRIMARY KEY  (`threshold_id`),
  KEY `country_type` (`country_type`),
  KEY `countries_id` (`countries_id`),
  KEY `regions_id` (`regions_id`)
) ENGINE=MyISAM;


--
-- Dumping data for table `fraud_country_thresholds`
--

/*!40000 ALTER TABLE `fraud_country_thresholds` DISABLE KEYS */;
/*!40000 ALTER TABLE `fraud_country_thresholds` ENABLE KEYS */;

--
-- Table structure for table `fraud_results_log`
--

DROP TABLE IF EXISTS `fraud_results_log`;


CREATE TABLE `fraud_results_log` (
  `fraud_result_log_id` int(10) unsigned NOT NULL auto_increment,
  `threshold_id` int(10) unsigned default NULL,
  `client_id` int(8) unsigned default NULL,
  `order_form_id` smallint(5) unsigned default NULL,
  `fraud_result_order_email` varchar(100) default NULL,
  `fraud_result_order_amount` decimal(10,2) unsigned default NULL,
  `fraud_result_o_amount` decimal(10,2) unsigned default NULL,
  `fraud_result_o_amount_action` tinyint(3) unsigned default NULL,
  `fraud_result_default_score` decimal(3,1) unsigned default NULL,
  `fraud_result_adjusted_score` decimal(3,1) unsigned default NULL,
  `fraud_result_score_action` tinyint(3) unsigned default NULL,
  `fraud_result_final_action_used` tinyint(3) unsigned default NULL,
  `fraud_result_ip` bigint(20) default NULL,
  `fraud_result_ip_lon` decimal(10,6) default NULL,
  `fraud_result_ip_lat` decimal(10,6) default NULL,
  `fraud_result_ip_city` varchar(255) default NULL,
  `fraud_result_ip_region` varchar(255) default NULL,
  `fraud_result_ip_country` char(2) default NULL,
  `fraud_result_ip_isp` varchar(255) default NULL,
  `fraud_result_ip_org` varchar(255) default NULL,
  `fraud_result_ip_country_match` tinyint(3) unsigned default NULL,
  `fraud_result_ip_distance` smallint(5) unsigned default NULL,
  `fraud_result_bin` smallint(5) unsigned default NULL,
  `fraud_result_bin_country` char(2) default NULL,
  `fraud_result_bin_match` tinyint(3) unsigned default NULL,
  `fraud_result_bin_bank_match` tinyint(3) unsigned default NULL,
  `fraud_result_bin_name` varchar(255) default NULL,
  `fraud_result_bin_phone` varchar(255) default NULL,
  `fraud_result_bin_phone_match` tinyint(3) unsigned default NULL,
  `fraud_result_risky_email` tinyint(3) unsigned default NULL,
  `fraud_result_risky_country` tinyint(3) unsigned default NULL,
  `fraud_result_risky_shipping` tinyint(3) unsigned default NULL,
  `fraud_result_is_free_email` tinyint(3) unsigned default NULL,
  `fraud_result_is_anon_proxy` tinyint(3) unsigned default NULL,
  `fraud_result_is_open_proxy` tinyint(3) unsigned default NULL,
  `fraud_result_date_created` int(10) unsigned default NULL,
  `fraud_result_spam_score` decimal(3,1) unsigned default NULL,
  `fraud_result_phone_match` tinyint(3) unsigned default NULL,
  `fraud_result_billing_match` tinyint(3) unsigned default NULL,
  `fraud_result_ship_match` tinyint(3) unsigned default NULL,
  `fraud_result_error` varchar(255) default NULL,
  PRIMARY KEY  (`fraud_result_log_id`),
  KEY `threshold_id` (`threshold_id`),
  KEY `client_id` (`client_id`),
  KEY `order_form_id` (`order_form_id`),
  KEY `fraud_result_date_created` (`fraud_result_date_created`),
  KEY `fraud_result_ip_country` (`fraud_result_ip_country`),
  KEY `fraud_result_default_score` (`fraud_result_default_score`),
  KEY `fraud_result_adjusted_score` (`fraud_result_adjusted_score`)
) ENGINE=MyISAM;


--
-- Dumping data for table `fraud_results_log`
--

/*!40000 ALTER TABLE `fraud_results_log` DISABLE KEYS */;
/*!40000 ALTER TABLE `fraud_results_log` ENABLE KEYS */;

--
-- Table structure for table `fraud_set_order_form_rel`
--

DROP TABLE IF EXISTS `fraud_set_order_form_rel`;


CREATE TABLE `fraud_set_order_form_rel` (
  `fraud_set_id` tinyint(3) unsigned NOT NULL default '0',
  `order_form_id` smallint(5) unsigned NOT NULL default '0',
  PRIMARY KEY  (`fraud_set_id`,`order_form_id`)
) ENGINE=MyISAM;


--
-- Dumping data for table `fraud_set_order_form_rel`
--

/*!40000 ALTER TABLE `fraud_set_order_form_rel` DISABLE KEYS */;
/*!40000 ALTER TABLE `fraud_set_order_form_rel` ENABLE KEYS */;

--
-- Table structure for table `fraud_set_threshold_rel`
--

DROP TABLE IF EXISTS `fraud_set_threshold_rel`;


CREATE TABLE `fraud_set_threshold_rel` (
  `fraud_set_id` tinyint(3) unsigned NOT NULL default '0',
  `threshold_id` smallint(5) unsigned NOT NULL default '0',
  PRIMARY KEY  (`fraud_set_id`,`threshold_id`)
) ENGINE=MyISAM;


--
-- Dumping data for table `fraud_set_threshold_rel`
--

/*!40000 ALTER TABLE `fraud_set_threshold_rel` DISABLE KEYS */;
/*!40000 ALTER TABLE `fraud_set_threshold_rel` ENABLE KEYS */;

--
-- Table structure for table `fraud_sets`
--

DROP TABLE IF EXISTS `fraud_sets`;


CREATE TABLE `fraud_sets` (
  `fraud_set_id` tinyint(3) unsigned NOT NULL auto_increment,
  `config_group_id` smallint(5) unsigned default NULL,
  `fraud_set_name` varchar(75) default NULL,
  `fraud_set_email` varchar(100) default NULL,
  PRIMARY KEY  (`fraud_set_id`),
  KEY `config_group_id` (`config_group_id`),
  KEY `fraud_set_name` (`fraud_set_name`)
) ENGINE=MyISAM;


--
-- Dumping data for table `fraud_sets`
--

/*!40000 ALTER TABLE `fraud_sets` DISABLE KEYS */;
/*!40000 ALTER TABLE `fraud_sets` ENABLE KEYS */;

--
-- Table structure for table `graph_cache`
--

DROP TABLE IF EXISTS `graph_cache`;


CREATE TABLE `graph_cache` (
  `graph_cache_id` int(10) unsigned NOT NULL auto_increment,
  `graph_cache_ref` int(10) unsigned default NULL,
  `graph_cache_op` varchar(255) default NULL,
  `graph_cache_type` varchar(255) default NULL,
  `graph_cache_date_created` int(10) unsigned default NULL,
  `graph_cache_count` int(10) unsigned default NULL,
  `graph_cache_src` longblob,
  PRIMARY KEY  (`graph_cache_id`),
  KEY `cache_ref` (`graph_cache_ref`)
) ENGINE=MyISAM;


--
-- Dumping data for table `graph_cache`
--

/*!40000 ALTER TABLE `graph_cache` DISABLE KEYS */;
/*!40000 ALTER TABLE `graph_cache` ENABLE KEYS */;

--
-- Table structure for table `group_attributes`
--

DROP TABLE IF EXISTS `group_attributes`;


CREATE TABLE `group_attributes` (
  `group_attribute_id` int(10) NOT NULL auto_increment,
  `group_id` int(10) default NULL,
  `group_attribute_name` varchar(100) default NULL,
  `group_attribute_value` varchar(255) default NULL,
  PRIMARY KEY  (`group_attribute_id`)
) ENGINE=MyISAM;


--
-- Dumping data for table `group_attributes`
--

/*!40000 ALTER TABLE `group_attributes` DISABLE KEYS */;
/*!40000 ALTER TABLE `group_attributes` ENABLE KEYS */;

--
-- Table structure for table `gw_transaction_attrs`
--

DROP TABLE IF EXISTS `gw_transaction_attrs`;


CREATE TABLE `gw_transaction_attrs` (
  `gw_transaction_attr_id` int(10) unsigned NOT NULL auto_increment,
  `gw_transaction_id` int(10) unsigned default NULL,
  `gw_transaction_attr_name` varchar(255) default NULL,
  `gw_transaction_attr_value` varchar(255) default NULL,
  PRIMARY KEY  (`gw_transaction_attr_id`),
  KEY `gw_transaction_id` (`gw_transaction_id`)
) ENGINE=MyISAM;


--
-- Dumping data for table `gw_transaction_attrs`
--

/*!40000 ALTER TABLE `gw_transaction_attrs` DISABLE KEYS */;
/*!40000 ALTER TABLE `gw_transaction_attrs` ENABLE KEYS */;

--
-- Table structure for table `gw_transactions`
--

DROP TABLE IF EXISTS `gw_transactions`;


CREATE TABLE `gw_transactions` (
  `gw_transaction_id` int(10) unsigned NOT NULL auto_increment,
  `gw_transaction_type` tinyint(3) unsigned default NULL,
  `gw_transaction_ref` varchar(255) default NULL,
  `billing_account_id` int(10) unsigned default NULL,
  `config_group_id` smallint(5) unsigned default NULL,
  PRIMARY KEY  (`gw_transaction_id`),
  KEY `gw_transaction_ref` (`gw_transaction_ref`),
  KEY `billing_account_id` (`billing_account_id`),
  KEY `config_group_id` (`config_group_id`)
) ENGINE=MyISAM;


--
-- Dumping data for table `gw_transactions`
--

/*!40000 ALTER TABLE `gw_transactions` DISABLE KEYS */;
/*!40000 ALTER TABLE `gw_transactions` ENABLE KEYS */;

--
-- Table structure for table `hd_assignment_rel`
--

DROP TABLE IF EXISTS `hd_assignment_rel`;


CREATE TABLE `hd_assignment_rel` (
  `hd_ticket_id` int(10) unsigned default NULL,
  `admin_id` smallint(5) unsigned default NULL,
  `source_admin_id` smallint(5) unsigned default NULL,
  KEY `hd_ticket_id` (`hd_ticket_id`),
  KEY `admin_id` (`admin_id`),
  KEY `source_admin_id` (`source_admin_id`)
) ENGINE=MyISAM;


--
-- Dumping data for table `hd_assignment_rel`
--

/*!40000 ALTER TABLE `hd_assignment_rel` DISABLE KEYS */;
/*!40000 ALTER TABLE `hd_assignment_rel` ENABLE KEYS */;

--
-- Table structure for table `hd_bucket_admin_rel`
--

DROP TABLE IF EXISTS `hd_bucket_admin_rel`;


CREATE TABLE `hd_bucket_admin_rel` (
  `hd_bucket_id` smallint(5) unsigned NOT NULL default '0',
  `admin_id` smallint(5) unsigned NOT NULL default '0',
  `may_view_tickets` tinyint(3) unsigned default NULL,
  `may_respond_tickets` tinyint(3) unsigned default NULL,
  `may_note_tickets` tinyint(3) unsigned default NULL,
  `may_modify_tickets` tinyint(3) unsigned default NULL,
  `may_delete_tickets` tinyint(3) unsigned default NULL,
  `may_assign_tickets` tinyint(3) unsigned default NULL,
  `may_merge_tickets` tinyint(3) unsigned default NULL,
  `may_notify_user` tinyint(3) unsigned default NULL,
  `may_respond_all` tinyint(3) unsigned default NULL,
  PRIMARY KEY  (`hd_bucket_id`,`admin_id`)
) ENGINE=MyISAM;


--
-- Dumping data for table `hd_bucket_admin_rel`
--

/*!40000 ALTER TABLE `hd_bucket_admin_rel` DISABLE KEYS */;
INSERT INTO `hd_bucket_admin_rel` VALUES (1,1,1,1,1,1,1,1,1,1,1);
INSERT INTO `hd_bucket_admin_rel` VALUES (2,1,1,1,1,1,1,1,1,1,1);
/*!40000 ALTER TABLE `hd_bucket_admin_rel` ENABLE KEYS */;

--
-- Table structure for table `hd_bucket_department_rel`
--

DROP TABLE IF EXISTS `hd_bucket_department_rel`;


CREATE TABLE `hd_bucket_department_rel` (
  `hd_bucket_id` smallint(5) unsigned NOT NULL default '0',
  `hd_department_id` tinyint(3) unsigned NOT NULL default '0',
  PRIMARY KEY  (`hd_bucket_id`,`hd_department_id`)
) ENGINE=MyISAM;


--
-- Dumping data for table `hd_bucket_department_rel`
--

/*!40000 ALTER TABLE `hd_bucket_department_rel` DISABLE KEYS */;
INSERT INTO `hd_bucket_department_rel` VALUES (1,1);
INSERT INTO `hd_bucket_department_rel` VALUES (2,2);
/*!40000 ALTER TABLE `hd_bucket_department_rel` ENABLE KEYS */;

--
-- Table structure for table `hd_buckets`
--

DROP TABLE IF EXISTS `hd_buckets`;


CREATE TABLE `hd_buckets` (
  `hd_bucket_id` smallint(5) unsigned NOT NULL auto_increment,
  `hd_bucket_name` varchar(50) default NULL,
  PRIMARY KEY  (`hd_bucket_id`)
) ENGINE=MyISAM AUTO_INCREMENT=3;


--
-- Dumping data for table `hd_buckets`
--

/*!40000 ALTER TABLE `hd_buckets` DISABLE KEYS */;
INSERT INTO `hd_buckets` VALUES (1,'main sales bucket');
INSERT INTO `hd_buckets` VALUES (2,'main tech support bucket');
/*!40000 ALTER TABLE `hd_buckets` ENABLE KEYS */;

--
-- Table structure for table `hd_department_admin_rel`
--

DROP TABLE IF EXISTS `hd_department_admin_rel`;


CREATE TABLE `hd_department_admin_rel` (
  `hd_department_id` tinyint(3) unsigned NOT NULL default '0',
  `admin_id` smallint(5) unsigned NOT NULL default '0',
  PRIMARY KEY  (`hd_department_id`,`admin_id`)
) ENGINE=MyISAM;


--
-- Dumping data for table `hd_department_admin_rel`
--

/*!40000 ALTER TABLE `hd_department_admin_rel` DISABLE KEYS */;
INSERT INTO `hd_department_admin_rel` VALUES (1,1);
INSERT INTO `hd_department_admin_rel` VALUES (2,1);
/*!40000 ALTER TABLE `hd_department_admin_rel` ENABLE KEYS */;

--
-- Table structure for table `hd_departments`
--

DROP TABLE IF EXISTS `hd_departments`;


CREATE TABLE `hd_departments` (
  `hd_department_id` tinyint(3) unsigned NOT NULL auto_increment,
  `hd_department_name` varchar(50) default NULL,
  `hd_department_description` text,
  PRIMARY KEY  (`hd_department_id`)
) ENGINE=MyISAM AUTO_INCREMENT=3;


--
-- Dumping data for table `hd_departments`
--

/*!40000 ALTER TABLE `hd_departments` DISABLE KEYS */;
INSERT INTO `hd_departments` VALUES (1,'Sales Department','Sales Department bucket');
INSERT INTO `hd_departments` VALUES (2,'Tech Support Department','Tech Support Department bucket');
/*!40000 ALTER TABLE `hd_departments` ENABLE KEYS */;

--
-- Table structure for table `hd_email_tpl_department_rel`
--

DROP TABLE IF EXISTS `hd_email_tpl_department_rel`;


CREATE TABLE `hd_email_tpl_department_rel` (
  `hd_email_tpl_id` smallint(5) unsigned NOT NULL default '0',
  `hd_department_id` tinyint(3) unsigned NOT NULL default '0',
  PRIMARY KEY  (`hd_email_tpl_id`,`hd_department_id`)
) ENGINE=MyISAM;


--
-- Dumping data for table `hd_email_tpl_department_rel`
--

/*!40000 ALTER TABLE `hd_email_tpl_department_rel` DISABLE KEYS */;
/*!40000 ALTER TABLE `hd_email_tpl_department_rel` ENABLE KEYS */;

--
-- Table structure for table `hd_email_tpls`
--

DROP TABLE IF EXISTS `hd_email_tpls`;


CREATE TABLE `hd_email_tpls` (
  `hd_email_tpl_id` smallint(5) unsigned NOT NULL auto_increment,
  `hd_email_tpl_name` varchar(50) default NULL,
  `hd_email_tpl_subject` varchar(200) default NULL,
  `hd_email_tpl_body` text,
  PRIMARY KEY  (`hd_email_tpl_id`)
) ENGINE=MyISAM;


--
-- Dumping data for table `hd_email_tpls`
--

/*!40000 ALTER TABLE `hd_email_tpls` DISABLE KEYS */;
/*!40000 ALTER TABLE `hd_email_tpls` ENABLE KEYS */;

--
-- Table structure for table `hd_resp_tpl_department_rel`
--

DROP TABLE IF EXISTS `hd_resp_tpl_department_rel`;


CREATE TABLE `hd_resp_tpl_department_rel` (
  `hd_resp_tpl_id` int(8) unsigned NOT NULL default '0',
  `hd_department_id` tinyint(3) unsigned NOT NULL default '0',
  PRIMARY KEY  (`hd_resp_tpl_id`,`hd_department_id`)
) ENGINE=MyISAM;


--
-- Dumping data for table `hd_resp_tpl_department_rel`
--

/*!40000 ALTER TABLE `hd_resp_tpl_department_rel` DISABLE KEYS */;
/*!40000 ALTER TABLE `hd_resp_tpl_department_rel` ENABLE KEYS */;

--
-- Table structure for table `hd_resp_tpls`
--

DROP TABLE IF EXISTS `hd_resp_tpls`;


CREATE TABLE `hd_resp_tpls` (
  `hd_resp_tpl_id` int(8) unsigned NOT NULL auto_increment,
  `hd_resp_tpl_name` varchar(50) default NULL,
  `hd_resp_tpl_body` text,
  `admin_id` smallint(5) unsigned default NULL,
  PRIMARY KEY  (`hd_resp_tpl_id`),
  KEY `admin_id` (`admin_id`)
) ENGINE=MyISAM;


--
-- Dumping data for table `hd_resp_tpls`
--

/*!40000 ALTER TABLE `hd_resp_tpls` DISABLE KEYS */;
/*!40000 ALTER TABLE `hd_resp_tpls` ENABLE KEYS */;

--
-- Table structure for table `hd_ticket_attachments`
--

DROP TABLE IF EXISTS `hd_ticket_attachments`;


CREATE TABLE `hd_ticket_attachments` (
  `hd_ticket_id` int(10) unsigned default NULL,
  `hd_ticket_attachment_filename` varchar(50) NOT NULL default '',
  PRIMARY KEY  (`hd_ticket_attachment_filename`)
) ENGINE=MyISAM;


--
-- Dumping data for table `hd_ticket_attachments`
--

/*!40000 ALTER TABLE `hd_ticket_attachments` DISABLE KEYS */;
/*!40000 ALTER TABLE `hd_ticket_attachments` ENABLE KEYS */;

--
-- Table structure for table `hd_ticket_bucket_rel`
--

DROP TABLE IF EXISTS `hd_ticket_bucket_rel`;


CREATE TABLE `hd_ticket_bucket_rel` (
  `hd_ticket_id` int(10) unsigned NOT NULL default '0',
  `hd_bucket_id` smallint(5) unsigned NOT NULL default '0',
  PRIMARY KEY  (`hd_ticket_id`,`hd_bucket_id`)
) ENGINE=MyISAM;


--
-- Dumping data for table `hd_ticket_bucket_rel`
--

/*!40000 ALTER TABLE `hd_ticket_bucket_rel` DISABLE KEYS */;
/*!40000 ALTER TABLE `hd_ticket_bucket_rel` ENABLE KEYS */;

--
-- Table structure for table `hd_ticket_contacts`
--

DROP TABLE IF EXISTS `hd_ticket_contacts`;


CREATE TABLE `hd_ticket_contacts` (
  `hd_ticket_contact_id` int(10) unsigned NOT NULL auto_increment,
  `hd_ticket_id` int(10) unsigned default NULL,
  `hd_contact_first_name` varchar(100) default NULL,
  `hd_contact_last_name` varchar(100) default NULL,
  `hd_contact_email` varchar(100) default NULL,
  `hd_contact_company` varchar(100) default NULL,
  `hd_contact_address_1` varchar(100) default NULL,
  `hd_contact_address_2` varchar(100) default NULL,
  `hd_contact_city` varchar(100) default NULL,
  `hd_contact_state` varchar(100) default NULL,
  `hd_contact_zip` varchar(100) default NULL,
  `language_id` smallint(5) unsigned default NULL,
  `countries_id` smallint(5) unsigned default NULL,
  `hd_contact_phone1` varchar(25) default NULL,
  `hd_contact_phone2` varchar(25) default NULL,
  `hd_contact_fax` varchar(25) default NULL,
  `hd_contact_date_created` int(10) unsigned default NULL,
  PRIMARY KEY  (`hd_ticket_contact_id`),
  KEY `hd_contact_first_name` (`hd_contact_first_name`),
  KEY `hd_contact_last_name` (`hd_contact_last_name`),
  KEY `hd_contact_email` (`hd_contact_email`),
  KEY `language_id` (`language_id`),
  KEY `countries_id` (`countries_id`)
) ENGINE=MyISAM;


--
-- Dumping data for table `hd_ticket_contacts`
--

/*!40000 ALTER TABLE `hd_ticket_contacts` DISABLE KEYS */;
/*!40000 ALTER TABLE `hd_ticket_contacts` ENABLE KEYS */;

--
-- Table structure for table `hd_ticket_department_rel`
--

DROP TABLE IF EXISTS `hd_ticket_department_rel`;


CREATE TABLE `hd_ticket_department_rel` (
  `hd_ticket_id` int(10) unsigned NOT NULL default '0',
  `hd_department_id` tinyint(3) unsigned NOT NULL default '0',
  PRIMARY KEY  (`hd_ticket_id`,`hd_department_id`)
) ENGINE=MyISAM;


--
-- Dumping data for table `hd_ticket_department_rel`
--

/*!40000 ALTER TABLE `hd_ticket_department_rel` DISABLE KEYS */;
/*!40000 ALTER TABLE `hd_ticket_department_rel` ENABLE KEYS */;

--
-- Table structure for table `hd_ticket_events`
--

DROP TABLE IF EXISTS `hd_ticket_events`;


CREATE TABLE `hd_ticket_events` (
  `hd_ticket_event_id` int(10) unsigned NOT NULL auto_increment,
  `hd_ticket_id` int(10) unsigned default NULL,
  `user_id` int(8) unsigned default NULL,
  `user_type` tinyint(3) unsigned default NULL,
  `hd_ticket_priority_id` tinyint(3) unsigned default NULL,
  `hd_ticket_status_id` tinyint(3) unsigned default NULL,
  `hd_ticket_event_comment` text,
  PRIMARY KEY  (`hd_ticket_event_id`),
  KEY `hd_ticket_id` (`hd_ticket_id`),
  KEY `user_id` (`user_id`),
  KEY `user_type` (`user_type`),
  KEY `hd_ticket_priority_id` (`hd_ticket_priority_id`),
  KEY `hd_ticket_status_id` (`hd_ticket_status_id`)
) ENGINE=MyISAM;


--
-- Dumping data for table `hd_ticket_events`
--

/*!40000 ALTER TABLE `hd_ticket_events` DISABLE KEYS */;
/*!40000 ALTER TABLE `hd_ticket_events` ENABLE KEYS */;

--
-- Table structure for table `hd_ticket_notes`
--

DROP TABLE IF EXISTS `hd_ticket_notes`;


CREATE TABLE `hd_ticket_notes` (
  `hd_ticket_note_id` int(10) unsigned NOT NULL auto_increment,
  `hd_ticket_id` int(10) unsigned default NULL,
  `admin_id` smallint(5) unsigned default NULL,
  `hd_ticket_note_body` text,
  PRIMARY KEY  (`hd_ticket_note_id`),
  KEY `hd_ticket_id` (`hd_ticket_id`),
  KEY `admin_id` (`admin_id`)
) ENGINE=MyISAM;


--
-- Dumping data for table `hd_ticket_notes`
--

/*!40000 ALTER TABLE `hd_ticket_notes` DISABLE KEYS */;
/*!40000 ALTER TABLE `hd_ticket_notes` ENABLE KEYS */;

--
-- Table structure for table `hd_ticket_resps`
--

DROP TABLE IF EXISTS `hd_ticket_resps`;


CREATE TABLE `hd_ticket_resps` (
  `hd_ticket_resp_id` int(10) unsigned NOT NULL auto_increment,
  `hd_ticket_id` int(10) unsigned default NULL,
  `user_id` int(8) unsigned default NULL,
  `user_type` tinyint(3) unsigned default NULL,
  `hd_ticket_resp_body` text,
  `hd_ticket_resp_date_created` int(10) unsigned default NULL,
  `hd_ticket_resp_date_modified` int(10) unsigned default NULL,
  PRIMARY KEY  (`hd_ticket_resp_id`),
  KEY `hd_ticket_id` (`hd_ticket_id`),
  KEY `user_id` (`user_id`),
  KEY `user_type` (`user_type`)
) ENGINE=MyISAM;


--
-- Dumping data for table `hd_ticket_resps`
--

/*!40000 ALTER TABLE `hd_ticket_resps` DISABLE KEYS */;
/*!40000 ALTER TABLE `hd_ticket_resps` ENABLE KEYS */;

--
-- Table structure for table `hd_tickets`
--

DROP TABLE IF EXISTS `hd_tickets`;


CREATE TABLE `hd_tickets` (
  `hd_ticket_id` int(10) unsigned NOT NULL auto_increment,
  `hd_ticket_key` varchar(11) default NULL,
  `user_id` int(8) unsigned default NULL,
  `user_type` tinyint(3) unsigned default NULL,
  `hd_ticket_subject` varchar(100) default NULL,
  `hd_ticket_body` text,
  `hd_ticket_date_created` int(10) unsigned default NULL,
  `hd_ticket_date_modified` int(10) unsigned default NULL,
  `hd_ticket_priority_id` tinyint(3) unsigned default NULL,
  `hd_ticket_status_id` tinyint(3) unsigned default NULL,
  PRIMARY KEY  (`hd_ticket_id`),
  KEY `hd_ticket_key` (`hd_ticket_key`),
  KEY `user_id` (`user_id`),
  KEY `user_type` (`user_type`),
  KEY `hd_ticket_date_created` (`hd_ticket_date_created`),
  KEY `hd_ticket_priority_id` (`hd_ticket_priority_id`),
  KEY `hd_ticket_status_id` (`hd_ticket_status_id`)
) ENGINE=MyISAM;


--
-- Dumping data for table `hd_tickets`
--

/*!40000 ALTER TABLE `hd_tickets` DISABLE KEYS */;
/*!40000 ALTER TABLE `hd_tickets` ENABLE KEYS */;

--
-- Table structure for table `invalid_ipn_log`
--

DROP TABLE IF EXISTS `invalid_ipn_log`;


CREATE TABLE `invalid_ipn_log` (
  `ipn_id` int(10) NOT NULL auto_increment,
  `ipn_status` int(1) default '0',
  `ipn_reason` varchar(255) default NULL,
  `ipn_module` varchar(30) default NULL,
  `ipn_server` text,
  `ipn_get` text,
  `ipn_post` text,
  `ipn_date_created` int(10) default NULL,
  PRIMARY KEY  (`ipn_id`)
) ENGINE=MyISAM;


--
-- Dumping data for table `invalid_ipn_log`
--

/*!40000 ALTER TABLE `invalid_ipn_log` DISABLE KEYS */;
/*!40000 ALTER TABLE `invalid_ipn_log` ENABLE KEYS */;

--
-- Table structure for table `invoice_line_items`
--

DROP TABLE IF EXISTS `invoice_line_items`;


CREATE TABLE `invoice_line_items` (
  `line_item_id` int(10) unsigned NOT NULL auto_increment,
  `invoice_id` int(10) unsigned default NULL,
  `package_id` int(10) unsigned default NULL,
  `package_addon_id` int(10) unsigned NOT NULL default '0',
  `cycle_id` smallint(5) unsigned default NULL,
  `line_item_quantity` smallint(5) unsigned default NULL,
  `line_item_description` varchar(255) default NULL,
  `line_item_date_begin_renewal` int(10) unsigned default NULL,
  `line_item_date_current_renewal` int(10) unsigned default NULL,
  `line_item_date_next_renewal` int(10) unsigned default NULL,
  `line_item_price_amount` decimal(10,2) default '0.00',
  `line_item_discount_amount` decimal(10,2) default '0.00',
  `line_item_discount` decimal(10,2) default '0.00',
  `line_item_setup_amount` decimal(10,2) default '0.00',
  `line_item_tax_amount` decimal(10,2) default '0.00',
  `line_item_taxable_tax_amount` decimal(10,2) default '0.00',
  `line_item_total_amount` decimal(10,2) default '0.00',
  `proration_discount_amount` decimal(10,2) default '0.00',
  `proration_discount` decimal(10,2) default '0.00',
  `proration_duration` int(10) unsigned default NULL,
  `line_item_is_usage` tinyint(3) unsigned default NULL,
  PRIMARY KEY  (`line_item_id`),
  KEY `invoice_id` (`invoice_id`),
  KEY `package_id` (`package_id`),
  KEY `cycle_id` (`cycle_id`),
  KEY `line_item_date_begin_renewal` (`line_item_date_begin_renewal`),
  KEY `line_item_date_current_renewal` (`line_item_date_current_renewal`),
  KEY `line_item_date_next_renewal` (`line_item_date_next_renewal`),
  KEY `line_item_price_amount` (`line_item_price_amount`),
  KEY `line_item_setup_amount` (`line_item_setup_amount`),
  KEY `line_item_tax_amount` (`line_item_tax_amount`),
  KEY `line_item_taxable_tax_amount` (`line_item_taxable_tax_amount`),
  KEY `line_item_total_amount` (`line_item_total_amount`),
  KEY `line_item_is_usage` (`line_item_is_usage`)
) ENGINE=MyISAM;


--
-- Dumping data for table `invoice_line_items`
--

/*!40000 ALTER TABLE `invoice_line_items` DISABLE KEYS */;
/*!40000 ALTER TABLE `invoice_line_items` ENABLE KEYS */;

--
-- Table structure for table `invoice_tax_zone_rel`
--

DROP TABLE IF EXISTS `invoice_tax_zone_rel`;


CREATE TABLE `invoice_tax_zone_rel` (
  `invoice_id` int(10) unsigned NOT NULL default '0',
  `tax_zone_id` smallint(5) unsigned NOT NULL default '0',
  `invoice_tax_amount_type` tinyint(3) unsigned default NULL,
  `invoice_tax_amount` decimal(10,2) default '0.00',
  `invoice_tax_total` decimal(10,2) default '0.00',
  PRIMARY KEY  (`invoice_id`,`tax_zone_id`),
  KEY `invoice_tax_amount_type` (`invoice_tax_amount_type`)
) ENGINE=MyISAM;


--
-- Dumping data for table `invoice_tax_zone_rel`
--

/*!40000 ALTER TABLE `invoice_tax_zone_rel` DISABLE KEYS */;
/*!40000 ALTER TABLE `invoice_tax_zone_rel` ENABLE KEYS */;

--
-- Table structure for table `invoice_transaction_rel`
--

DROP TABLE IF EXISTS `invoice_transaction_rel`;


CREATE TABLE `invoice_transaction_rel` (
  `invoice_id` int(10) unsigned NOT NULL default '0',
  `transaction_id` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`invoice_id`,`transaction_id`)
) ENGINE=MyISAM;


--
-- Dumping data for table `invoice_transaction_rel`
--

/*!40000 ALTER TABLE `invoice_transaction_rel` DISABLE KEYS */;
/*!40000 ALTER TABLE `invoice_transaction_rel` ENABLE KEYS */;

--
-- Table structure for table `invoices`
--

DROP TABLE IF EXISTS `invoices`;


CREATE TABLE `invoices` (
  `invoice_id` int(10) unsigned NOT NULL auto_increment,
  `invoice_process_id` varchar(40) default '',
  `invoice_process_date` int(10) unsigned default '0',
  `invoice_number` varchar(15) default NULL,
  `credit_note_for_invoice_id` int(10) unsigned default NULL,
  `client_id` int(10) unsigned default '0',
  `client_contact_id` int(10) unsigned default '0',
  `currency_id` char(3) default NULL,
  `invoice_amount` decimal(10,2) default '0.00',
  `invoice_amount_paid` decimal(10,2) default '0.00',
  `invoice_date_entered` int(10) unsigned default NULL,
  `invoice_date_due` int(10) unsigned default NULL,
  `invoice_date_paid` int(10) unsigned default NULL,
  `invoice_date_pushed` int(10) unsigned default '0',
  `invoice_payment_method` varchar(50) default NULL,
  `invoice_snapshot` longtext,
  `invoice_comments` longtext,
  `invoice_batch_timestamp` int(10) unsigned default NULL,
  `invoice_sub_total` decimal(10,2) default '0.00',
  `invoice_discount` decimal(10,2) default '0.00',
  `invoice_status` tinyint(3) unsigned default NULL,
  `payment_group_id` tinyint(3) unsigned default NULL,
  PRIMARY KEY  (`invoice_id`),
  KEY `invoice_process_id` (`invoice_process_id`),
  KEY `invoice_process_date` (`invoice_process_date`),
  KEY `payment_group_id` (`payment_group_id`),
  KEY `invoice_status` (`invoice_status`),
  KEY `invoice_date_due` (`invoice_date_due`),
  KEY `invoice_date_pushed` (`invoice_date_pushed`),
  KEY `invoice_amount` (`invoice_amount`),
  KEY `invoice_amount_paid` (`invoice_amount_paid`),
  KEY `invoice_date_entered` (`invoice_date_entered`),
  KEY `invoice_payment_method` (`invoice_payment_method`),
  KEY `currency_id` (`currency_id`)
) ENGINE=MyISAM;


--
-- Dumping data for table `invoices`
--

/*!40000 ALTER TABLE `invoices` DISABLE KEYS */;
/*!40000 ALTER TABLE `invoices` ENABLE KEYS */;

--
-- Table structure for table `invoicing_groups`
--

DROP TABLE IF EXISTS `invoicing_groups`;


CREATE TABLE `invoicing_groups` (
  `invoicing_group_id` smallint(5) unsigned NOT NULL auto_increment,
  `invoicing_group_name` varchar(50) default NULL,
  PRIMARY KEY  (`invoicing_group_id`),
  KEY `invoicing_group_name` (`invoicing_group_name`)
) ENGINE=MyISAM;


--
-- Dumping data for table `invoicing_groups`
--

/*!40000 ALTER TABLE `invoicing_groups` DISABLE KEYS */;
/*!40000 ALTER TABLE `invoicing_groups` ENABLE KEYS */;

--
-- Table structure for table `ip_log`
--

DROP TABLE IF EXISTS `ip_log`;


CREATE TABLE `ip_log` (
  `ip` bigint(20) NOT NULL default '0',
  `external_id` varchar(50) default NULL,
  `config_group_id` int(8) unsigned default NULL,
  PRIMARY KEY  (`ip`),
  KEY `external_id` (`external_id`),
  KEY `config_group_id` (`config_group_id`)
) ENGINE=MyISAM;


--
-- Dumping data for table `ip_log`
--

/*!40000 ALTER TABLE `ip_log` DISABLE KEYS */;
/*!40000 ALTER TABLE `ip_log` ENABLE KEYS */;

--
-- Table structure for table `languages`
--

DROP TABLE IF EXISTS `languages`;


CREATE TABLE `languages` (
  `language_id` smallint(5) unsigned NOT NULL auto_increment,
  `language_iso2` varchar(7) default NULL,
  `language_iso3` varchar(6) default NULL,
  `language_name` varchar(120) default NULL,
  `language_c1` tinyint(3) unsigned default NULL,
  `language_c2` varchar(25) default NULL,
  PRIMARY KEY  (`language_id`),
  KEY `language_iso2` (`language_iso2`),
  KEY `language_iso3` (`language_iso3`)
) ENGINE=MyISAM AUTO_INCREMENT=131;


--
-- Dumping data for table `languages`
--

/*!40000 ALTER TABLE `languages` DISABLE KEYS */;
INSERT INTO `languages` VALUES (1,'aa','aar','Qafar',NULL,NULL);
INSERT INTO `languages` VALUES (2,'af','afr','Afrikaans',1,NULL);
INSERT INTO `languages` VALUES (3,'am','amh','Ã¡Å Â Ã¡Ë†â€ºÃ¡Ë†Â­Ã¡Å â€º',NULL,NULL);
INSERT INTO `languages` VALUES (4,'ar','ara','Ã¢â‚¬Å½Ã˜Â§Ã™â€žÃ˜Â¹Ã˜Â±Ã˜Â¨Ã™Å Ã˜Â©Ã¢â‚¬Å½',1,NULL);
INSERT INTO `languages` VALUES (5,'as','asm','Ã Â¦â€¦Ã Â¦Â¸Ã Â¦Â®Ã Â¦Â¿Ã Â§Å¸Ã Â¦Â¾',1,NULL);
INSERT INTO `languages` VALUES (6,'az_Cyrl','aze','ÃÂÃÂ·Ã“â„¢Ã‘â‚¬ÃÂ±ÃÂ°Ã‘ËœÃ’Â¹ÃÂ°ÃÂ½ - Cyrl',1,NULL);
INSERT INTO `languages` VALUES (7,'az_Latn','aze','azÃ‰â„¢rbaycanca - Latn',1,NULL);
INSERT INTO `languages` VALUES (8,'be','bel','Ãâ€˜ÃÂµÃÂ»ÃÂ°Ã‘â‚¬Ã‘Æ’Ã‘ÂÃÂºÃ‘â€“',1,NULL);
INSERT INTO `languages` VALUES (9,'bg','bul','Ãâ€˜Ã‘Å ÃÂ»ÃÂ³ÃÂ°Ã‘â‚¬Ã‘ÂÃÂºÃÂ¸',1,NULL);
INSERT INTO `languages` VALUES (10,'bn','ben','Ã Â¦Â¬Ã Â¦Â¾Ã Â¦â€šÃ Â¦Â²Ã Â¦Â¾',1,NULL);
INSERT INTO `languages` VALUES (11,'bs','bos','Bosanski',1,NULL);
INSERT INTO `languages` VALUES (12,'byn','byn','Ã¡â€°Â¥Ã¡Ë†Å Ã¡Å â€¢',NULL,NULL);
INSERT INTO `languages` VALUES (13,'ca','cat','catalÃƒÂ ',1,NULL);
INSERT INTO `languages` VALUES (14,'cs','cze','Ã„Å’eÃ…Â¡tina',NULL,NULL);
INSERT INTO `languages` VALUES (15,'cy','wel','Cymraeg',1,NULL);
INSERT INTO `languages` VALUES (16,'da','dan','Dansk',1,NULL);
INSERT INTO `languages` VALUES (17,'de','ger','Deutsch',1,NULL);
INSERT INTO `languages` VALUES (18,'dv','div','Ã¢â‚¬Å½Ãžâ€¹ÃžÂ¨ÃžË†ÃžÂ¬Ãžâ‚¬ÃžÂ¨Ãžâ€žÃžÂ¦ÃžÂÃžÂ°Ã¢â‚¬Å½',1,NULL);
INSERT INTO `languages` VALUES (19,'dz','dzo','Ã Â½Â¢Ã Â¾Â«Ã Â½Â¼Ã Â½â€žÃ Â¼â€¹Ã Â½Â',NULL,NULL);
INSERT INTO `languages` VALUES (20,'el','gre','ÃŽâ€¢ÃŽÂ»ÃŽÂ»ÃŽÂ·ÃŽÂ½ÃŽÂ¹ÃŽÂºÃŽÂ¬',1,NULL);
INSERT INTO `languages` VALUES (21,'en','eng','English',1,NULL);
INSERT INTO `languages` VALUES (22,'eo','epo','Esperanto',NULL,NULL);
INSERT INTO `languages` VALUES (23,'es','spa','espaÃƒÂ±ol',1,NULL);
INSERT INTO `languages` VALUES (24,'et','est','Eesti',1,NULL);
INSERT INTO `languages` VALUES (25,'eu','baq','euskara',1,NULL);
INSERT INTO `languages` VALUES (26,'fa','per','Ã¢â‚¬Å½Ã™ÂÃ˜Â§Ã˜Â±Ã˜Â³Ã›Å’Ã¢â‚¬Å½',1,NULL);
INSERT INTO `languages` VALUES (27,'fi','fin','suomi',1,NULL);
INSERT INTO `languages` VALUES (28,'fo','fao','fÃƒÂ¸royskt',1,NULL);
INSERT INTO `languages` VALUES (29,'fr','fre','franÃƒÂ§ais',1,NULL);
INSERT INTO `languages` VALUES (30,'ga','gla','Gaeilge',1,NULL);
INSERT INTO `languages` VALUES (31,'gez','gez','Ã¡Å’ÂÃ¡â€¹â€¢Ã¡â€¹ÂÃ¡Å â€º',NULL,NULL);
INSERT INTO `languages` VALUES (32,'gl','glg','galego',NULL,NULL);
INSERT INTO `languages` VALUES (33,'gu','guj','Ã Âªâ€”Ã Â«ÂÃ ÂªÅ“Ã ÂªÂ°Ã ÂªÂ¾Ã ÂªÂ¤Ã Â«â‚¬',1,NULL);
INSERT INTO `languages` VALUES (34,'gv','glv','Gaelg',NULL,NULL);
INSERT INTO `languages` VALUES (35,'haw','haw','ÃŠÂ»Ã…Âlelo HawaiÃŠÂ»i',NULL,NULL);
INSERT INTO `languages` VALUES (36,'he','heb','Ã¢â‚¬Å½Ã—Â¢Ã—â€˜Ã—Â¨Ã—â„¢Ã—ÂªÃ¢â‚¬Å½',1,NULL);
INSERT INTO `languages` VALUES (37,'hi','hin','Ã Â¤Â¹Ã Â¤Â¿Ã Â¤â€šÃ Â¤Â¦Ã Â¥â‚¬',1,NULL);
INSERT INTO `languages` VALUES (38,'hr','scr','hrvatski',1,NULL);
INSERT INTO `languages` VALUES (39,'hu','hun','magyar',1,NULL);
INSERT INTO `languages` VALUES (40,'hy','arm','Ã•â‚¬Ã•Â¡Ã•ÂµÃ•Â¥Ã–â‚¬Ã•Â§Ã•Â¶',1,NULL);
INSERT INTO `languages` VALUES (41,'id','ind','Bahasa Indonesia',1,NULL);
INSERT INTO `languages` VALUES (42,'is','ice','ÃƒÂslenska',1,NULL);
INSERT INTO `languages` VALUES (43,'it','ita','italiano',1,NULL);
INSERT INTO `languages` VALUES (44,'iu','ike','Ã¡ÂÆ’Ã¡â€œâ€žÃ¡â€™Æ’Ã¡â€˜Å½Ã¡â€˜ÂÃ¡â€˜Â¦ Ã¡â€˜Å½Ã¡â€˜Å½Ã¡â€¢â€¹Ã¡Ââ€¦Ã¡â€œÂ¯Ã¡â€“â€¦',NULL,NULL);
INSERT INTO `languages` VALUES (45,'ja','jpn','Ã¦â€”Â¥Ã¦Å“Â¬Ã¨ÂªÅ¾',1,NULL);
INSERT INTO `languages` VALUES (46,'ka','geo','Ã¡Æ’Â¥Ã¡Æ’ÂÃ¡Æ’Â Ã¡Æ’â€”Ã¡Æ’Â£Ã¡Æ’Å¡Ã¡Æ’Ëœ',1,NULL);
INSERT INTO `languages` VALUES (47,'kk','kaz','Ã’Å¡ÃÂ°ÃÂ·ÃÂ°Ã’â€º',1,NULL);
INSERT INTO `languages` VALUES (48,'kl','kal','Kalaallisut',NULL,NULL);
INSERT INTO `languages` VALUES (49,'km','khm','Ã¡Å¾â€”Ã¡Å¾Â¶Ã¡Å¾Å¸Ã¡Å¾Â¶Ã¡Å¾ÂÃ¡Å¸â€™Ã¡Å¾ËœÃ¡Å¸â€šÃ¡Å¾Å¡',1,NULL);
INSERT INTO `languages` VALUES (50,'kn','kan','Ã Â²â€¢Ã Â²Â¨Ã Â³ÂÃ Â²Â¨Ã Â²Â¡',NULL,NULL);
INSERT INTO `languages` VALUES (51,'ko','kor','Ã­â€¢Å“ÃªÂµÂ­Ã¬â€“Â´',1,NULL);
INSERT INTO `languages` VALUES (52,'kok','knn','Ã Â¤â€¢Ã Â¥â€¹Ã Â¤â€šÃ Â¤â€¢Ã Â¤Â£Ã Â¥â‚¬',NULL,NULL);
INSERT INTO `languages` VALUES (53,'kw','cor','kernewek',NULL,NULL);
INSERT INTO `languages` VALUES (54,'ky','kir','ÃÅ¡Ã‘â€¹Ã‘â‚¬ÃÂ³Ã‘â€¹ÃÂ·',1,NULL);
INSERT INTO `languages` VALUES (55,'lo','lao','Ã ÂºÂ¥Ã ÂºÂ²Ã ÂºÂ§',1,NULL);
INSERT INTO `languages` VALUES (56,'lt','lit','LietuviÃ…Â³',1,NULL);
INSERT INTO `languages` VALUES (57,'lv','lav','latvieÃ…Â¡u',1,NULL);
INSERT INTO `languages` VALUES (58,'mk','mac','ÃÂ¼ÃÂ°ÃÂºÃÂµÃÂ´ÃÂ¾ÃÂ½Ã‘ÂÃÂºÃÂ¸',1,NULL);
INSERT INTO `languages` VALUES (59,'ml','mal','Ã Â´Â®Ã Â´Â²Ã Â´Â¯Ã Â´Â¾Ã Â´Â³Ã Â´â€š',1,NULL);
INSERT INTO `languages` VALUES (60,'mn','mon','ÃÅ“ÃÂ¾ÃÂ½ÃÂ³ÃÂ¾ÃÂ» Ã‘â€¦Ã‘ÂÃÂ»',1,NULL);
INSERT INTO `languages` VALUES (61,'mr','mar','Ã Â¤Â®Ã Â¤Â°Ã Â¤Â¾Ã Â¤Â Ã Â¥â‚¬',NULL,NULL);
INSERT INTO `languages` VALUES (62,'ms','may','Bahasa Melayu',1,NULL);
INSERT INTO `languages` VALUES (63,'mt','mlt','Malti',1,NULL);
INSERT INTO `languages` VALUES (64,'nb','nor','norsk bokmÃƒÂ¥l',1,NULL);
INSERT INTO `languages` VALUES (65,'nl','dut','Nederlands',1,NULL);
INSERT INTO `languages` VALUES (66,'nn','nor','norsk nynorsk',1,NULL);
INSERT INTO `languages` VALUES (67,'om','orm','Oromoo',NULL,NULL);
INSERT INTO `languages` VALUES (68,'or','ori','Ã Â¬â€œÃ Â­Å“Ã Â¬Â¿Ã Â¬â€ ',1,NULL);
INSERT INTO `languages` VALUES (69,'pa','pan','Ã Â¨ÂªÃ Â©Â°Ã Â¨Å“Ã Â¨Â¾Ã Â¨Â¬Ã Â©â‚¬',1,NULL);
INSERT INTO `languages` VALUES (70,'pl','pol','polski',1,NULL);
INSERT INTO `languages` VALUES (71,'ps','pus','Ã¢â‚¬Å½Ã™Â¾ÃšÅ¡Ã˜ÂªÃ™Ë†Ã¢â‚¬Å½',NULL,NULL);
INSERT INTO `languages` VALUES (72,'pt','por','portuguÃƒÂªs',1,NULL);
INSERT INTO `languages` VALUES (73,'ro','rum','RomÃƒÂ¢nÃ„Æ’',1,NULL);
INSERT INTO `languages` VALUES (74,'ru','rus','Ã‘â‚¬Ã‘Æ’Ã‘ÂÃ‘ÂÃÂºÃÂ¸ÃÂ¹',1,NULL);
INSERT INTO `languages` VALUES (75,'sa','san','Ã Â¤Â¸Ã Â¤â€šÃ Â¤Â¸Ã Â¥ÂÃ Â¤â€¢Ã Â¥Æ’Ã Â¤Â¤',1,NULL);
INSERT INTO `languages` VALUES (76,'sid','sid','Sidaamu Afo',NULL,NULL);
INSERT INTO `languages` VALUES (77,'sk','slo','slovenskÃƒÂ½',1,NULL);
INSERT INTO `languages` VALUES (78,'sl','slv','SlovenÃ…Â¡Ã„Âina',1,NULL);
INSERT INTO `languages` VALUES (79,'so','som','Soomaali',1,NULL);
INSERT INTO `languages` VALUES (80,'sq','alb','shqipe',1,NULL);
INSERT INTO `languages` VALUES (81,'sr_Cyrl','scc','ÃÂ¡Ã‘â‚¬ÃÂ¿Ã‘ÂÃÂºÃÂ¸ - Ãâ€¹ÃÂ¸Ã‘â‚¬ÃÂ¸ÃÂ»ÃÂ¸Ã‘â€ ÃÂ°',1,NULL);
INSERT INTO `languages` VALUES (82,'sr_Latn','scc','Srpski - Latinica',1,NULL);
INSERT INTO `languages` VALUES (83,'sv','swe','svenska',1,NULL);
INSERT INTO `languages` VALUES (84,'sw','swa','Kiswahili',1,NULL);
INSERT INTO `languages` VALUES (85,'syr','syr','Ã¢â‚¬Å½ÃœÂ£ÃœËœÃœÂªÃœÂÃœÂÃœÂÃ¢â‚¬Å½',1,NULL);
INSERT INTO `languages` VALUES (86,'ta','tam','Ã Â®Â¤Ã Â®Â®Ã Â®Â¿Ã Â®Â´Ã Â¯Â',1,NULL);
INSERT INTO `languages` VALUES (87,'te','tel','Ã Â°Â¤Ã Â±â€ Ã Â°Â²Ã Â±ÂÃ Â°â€”Ã Â±Â',1,NULL);
INSERT INTO `languages` VALUES (88,'th','tha','Ã Â¹â€žÃ Â¸â€”Ã Â¸Â¢',1,NULL);
INSERT INTO `languages` VALUES (89,'ti','tir','Ã¡â€°ÂµÃ¡Å’ÂÃ¡Ë†Â­Ã¡Å â€º',NULL,NULL);
INSERT INTO `languages` VALUES (90,'tig','tig','Ã¡â€°ÂµÃ¡Å’ÂÃ¡Ë†Â¨',NULL,NULL);
INSERT INTO `languages` VALUES (91,'tr','tur','TÃƒÂ¼rkÃƒÂ§e',1,NULL);
INSERT INTO `languages` VALUES (92,'tt','tat','ÃÂ¢ÃÂ°Ã‘â€šÃÂ°Ã‘â‚¬',NULL,NULL);
INSERT INTO `languages` VALUES (93,'uk','ukr','ÃÂ£ÃÂºÃ‘â‚¬ÃÂ°Ã‘â€”ÃÂ½Ã‘ÂÃ‘Å’ÃÂºÃÂ°',1,NULL);
INSERT INTO `languages` VALUES (94,'ur','urd','Ã¢â‚¬Å½Ã˜Â§Ã˜Â±Ã˜Â¯Ã™Ë†Ã¢â‚¬Å½',1,NULL);
INSERT INTO `languages` VALUES (95,'uz_Arab','uzb','Ã¢â‚¬Å½Ã˜Â§Ã›â€°Ã˜Â²Ã˜Â¨Ã›ÂÃšÂ© - ÃÂÃ‘â‚¬ÃÂ°ÃÂ±Ã¢â‚¬Å½',1,NULL);
INSERT INTO `languages` VALUES (96,'uz_Cyrl','uzb','ÃÅ½ÃÂ·ÃÂ±ÃÂµÃÂº - ÃÅ¡ÃÂ¸Ã‘â‚¬ÃÂ¸ÃÂ»',1,NULL);
INSERT INTO `languages` VALUES (97,'uz_Latn','uzb','oÃŠÂ¿zbek - Lotin',1,NULL);
INSERT INTO `languages` VALUES (98,'vi','vie','TiÃ¡ÂºÂ¿ng ViÃ¡Â»â€¡t',1,NULL);
INSERT INTO `languages` VALUES (99,'wal','wal','Ã¡â€¹Ë†Ã¡Ë†â€¹Ã¡â€¹Â­Ã¡â€°Â³Ã¡â€°Â±',NULL,NULL);
INSERT INTO `languages` VALUES (100,'zh_Hans','chi','Ã¤Â¸Â­Ã¦â€“â€¡ - Ã§Â®â‚¬Ã¤Â½â€œÃ¦Â±â€°Ã¨Â¯Â­',1,NULL);
INSERT INTO `languages` VALUES (101,'zh_Hant','chi','Ã¤Â¸Â­Ã¦â€“â€¡ - Ã§Â¹ÂÃ©Â«â€Ã¦Â¼Â¢Ã¨ÂªÅ¾',1,NULL);
INSERT INTO `languages` VALUES (102,'ak','aka','Akan',NULL,NULL);
INSERT INTO `languages` VALUES (103,'ee','ewe','Ewe',NULL,NULL);
INSERT INTO `languages` VALUES (104,'fur','fur','furlan',NULL,NULL);
INSERT INTO `languages` VALUES (105,'gaa','gaa','Ga',NULL,NULL);
INSERT INTO `languages` VALUES (106,'ha_Arab','hau','Ã™â€¡Ã™Å½Ã™Ë†Ã™ÂÃ˜Â³Ã™Å½ - Arab',NULL,NULL);
INSERT INTO `languages` VALUES (107,'ha_Latn','hau','Hausa - Latn',NULL,NULL);
INSERT INTO `languages` VALUES (108,'ig','ibo','Igbo',NULL,NULL);
INSERT INTO `languages` VALUES (109,'ia','ina','Interlingua',NULL,NULL);
INSERT INTO `languages` VALUES (110,'kam','kam','Kamba',NULL,NULL);
INSERT INTO `languages` VALUES (111,'rw','kin','Kinyarwanda',NULL,NULL);
INSERT INTO `languages` VALUES (112,'ku_Arab','kur','ÃšÂ©Ã™Ë†Ã˜Â±Ã˜Â¯Ã›Å’ - Arab',NULL,NULL);
INSERT INTO `languages` VALUES (113,'ku_Latn','kur','kurdÃƒÂ® - Latn',NULL,NULL);
INSERT INTO `languages` VALUES (114,'ln','lin','lingÃƒÂ¡la',NULL,NULL);
INSERT INTO `languages` VALUES (115,'ne','nep','Ã Â¤Â¨Ã Â¥â€¡Ã Â¤ÂªÃ Â¤Â¾Ã Â¤Â²Ã Â¥â‚¬',NULL,NULL);
INSERT INTO `languages` VALUES (116,'se','sme','davvisÃƒÂ¡megiella',NULL,NULL);
INSERT INTO `languages` VALUES (117,'nso','nso','Sesotho sa Leboa',NULL,NULL);
INSERT INTO `languages` VALUES (118,'ny','nya','Nyanja',NULL,NULL);
INSERT INTO `languages` VALUES (119,'pa_Arab','pan','Ã™Â¾Ã™â€ Ã˜Â¬Ã˜Â§Ã˜Â¨Ã›Å’ - ÃšÂ¯Ã™ÂÃ˜Â±Ã™â€¦Ã™ÂÃšÂ©ÃšÂ¾Ã›Å’',NULL,NULL);
INSERT INTO `languages` VALUES (120,'pa_Guru','pan','Ã Â¨ÂªÃ Â©Â°Ã Â¨Å“Ã Â¨Â¾Ã Â¨Â¬Ã Â©â‚¬ - Ã Â¨â€”Ã Â©ÂÃ Â¨Â°Ã Â¨Â®Ã Â©ÂÃ Â¨â€“Ã Â©â‚¬',NULL,NULL);
INSERT INTO `languages` VALUES (121,'nr','nbl','Nrebele',NULL,NULL);
INSERT INTO `languages` VALUES (122,'st','sot','Sesotho',NULL,NULL);
INSERT INTO `languages` VALUES (123,'ss','ssw','Swati',NULL,NULL);
INSERT INTO `languages` VALUES (124,'tg','tgk','Ã‘â€šÃÂ¾Ã’Â·ÃÂ¸ÃÂºÃ“Â£',NULL,NULL);
INSERT INTO `languages` VALUES (125,'ts','tso','XiTsonga',NULL,NULL);
INSERT INTO `languages` VALUES (126,'tn','tsn','Setswana',NULL,NULL);
INSERT INTO `languages` VALUES (127,'ve','ven','Tshivenda',NULL,NULL);
INSERT INTO `languages` VALUES (128,'xh','xho','isiXhosa',NULL,NULL);
INSERT INTO `languages` VALUES (129,'yo','yor','ede YorÃƒÂ¹bÃƒÂ¡',NULL,NULL);
INSERT INTO `languages` VALUES (130,'zu','zul','isiZulu',NULL,NULL);
/*!40000 ALTER TABLE `languages` ENABLE KEYS */;

--
-- Table structure for table `line_items_tax_zone_rel`
--

DROP TABLE IF EXISTS `line_items_tax_zone_rel`;


CREATE TABLE `line_items_tax_zone_rel` (
  `line_item_id` int(10) unsigned NOT NULL default '0',
  `tax_zone_id` smallint(5) unsigned NOT NULL default '0',
  `line_item_tax_amount_type` tinyint(3) unsigned default NULL,
  `line_item_tax_amount` decimal(10,2) default '0.00',
  `line_item_tax_total` decimal(10,2) default '0.00',
  PRIMARY KEY  (`line_item_id`,`tax_zone_id`),
  KEY `line_item_tax_amount_type` (`line_item_tax_amount_type`)
) ENGINE=MyISAM;


--
-- Dumping data for table `line_items_tax_zone_rel`
--

/*!40000 ALTER TABLE `line_items_tax_zone_rel` DISABLE KEYS */;
/*!40000 ALTER TABLE `line_items_tax_zone_rel` ENABLE KEYS */;

--
-- Table structure for table `locales`
--

DROP TABLE IF EXISTS `locales`;


CREATE TABLE `locales` (
  `locale_id` smallint(5) unsigned NOT NULL auto_increment,
  `locale_language` varchar(7) default NULL,
  `locale_country_iso_2` char(2) default NULL,
  `locale_currency_code` char(3) default NULL,
  `locale_currency_symbol` varchar(36) default NULL,
  `locale_currency_rounding` char(2) default NULL,
  `locale_currency_digits` char(2) default NULL,
  `locale_separator_decimal` varchar(6) default NULL,
  `locale_separator_grouping` varchar(10) default NULL,
  `locale_pattern_decimal` varchar(50) default NULL,
  `locale_pattern_currency` varchar(75) default NULL,
  `locale_sign_percent` varchar(75) default NULL,
  `locale_sign_minus` varchar(10) default NULL,
  `locale_time_full` varchar(200) default NULL,
  `locale_time_long` varchar(200) default NULL,
  `locale_time_medium` varchar(100) default NULL,
  `locale_time_short` varchar(125) default NULL,
  `locale_date_full` varchar(200) default NULL,
  `locale_date_long` varchar(200) default NULL,
  `locale_date_medium` varchar(200) default NULL,
  `locale_date_short` varchar(150) default NULL,
  `locale_datetime_pattern` varchar(30) default NULL,
  `locale_datetime_am` varchar(125) default NULL,
  `locale_datetime_pm` varchar(125) default NULL,
  `locale_week_firstday` char(3) default NULL,
  `locale_week_weekend_start` char(3) default NULL,
  `locale_week_weekend_end` char(3) default NULL,
  `locale_month_abbreviated_1` varchar(100) default NULL,
  `locale_month_abbreviated_2` varchar(100) default NULL,
  `locale_month_abbreviated_3` varchar(100) default NULL,
  `locale_month_abbreviated_4` varchar(100) default NULL,
  `locale_month_abbreviated_5` varchar(100) default NULL,
  `locale_month_abbreviated_6` varchar(100) default NULL,
  `locale_month_abbreviated_7` varchar(100) default NULL,
  `locale_month_abbreviated_8` varchar(100) default NULL,
  `locale_month_abbreviated_9` varchar(100) default NULL,
  `locale_month_abbreviated_10` varchar(100) default NULL,
  `locale_month_abbreviated_11` varchar(100) default NULL,
  `locale_month_abbreviated_12` varchar(100) default NULL,
  `locale_month_narrow_1` varchar(20) default NULL,
  `locale_month_narrow_2` varchar(20) default NULL,
  `locale_month_narrow_3` varchar(20) default NULL,
  `locale_month_narrow_4` varchar(20) default NULL,
  `locale_month_narrow_5` varchar(20) default NULL,
  `locale_month_narrow_6` varchar(20) default NULL,
  `locale_month_narrow_7` varchar(20) default NULL,
  `locale_month_narrow_8` varchar(20) default NULL,
  `locale_month_narrow_9` varchar(20) default NULL,
  `locale_month_narrow_10` varchar(20) default NULL,
  `locale_month_narrow_11` varchar(20) default NULL,
  `locale_month_narrow_12` varchar(20) default NULL,
  `locale_month_wide_1` varchar(150) default NULL,
  `locale_month_wide_2` varchar(150) default NULL,
  `locale_month_wide_3` varchar(150) default NULL,
  `locale_month_wide_4` varchar(150) default NULL,
  `locale_month_wide_5` varchar(150) default NULL,
  `locale_month_wide_6` varchar(150) default NULL,
  `locale_month_wide_7` varchar(150) default NULL,
  `locale_month_wide_8` varchar(153) default NULL,
  `locale_month_wide_9` varchar(150) default NULL,
  `locale_month_wide_10` varchar(150) default NULL,
  `locale_month_wide_11` varchar(180) default NULL,
  `locale_month_wide_12` varchar(180) default NULL,
  `locale_day_abbreviated_sun` varchar(110) default NULL,
  `locale_day_abbreviated_mon` varchar(110) default NULL,
  `locale_day_abbreviated_tue` varchar(110) default NULL,
  `locale_day_abbreviated_wed` varchar(110) default NULL,
  `locale_day_abbreviated_thu` varchar(110) default NULL,
  `locale_day_abbreviated_fri` varchar(110) default NULL,
  `locale_day_abbreviated_sat` varchar(110) default NULL,
  `locale_day_wide_sun` varchar(150) default NULL,
  `locale_day_wide_mon` varchar(150) default NULL,
  `locale_day_wide_tue` varchar(150) default NULL,
  `locale_day_wide_wed` varchar(150) default NULL,
  `locale_day_wide_thu` varchar(150) default NULL,
  `locale_day_wide_fri` varchar(150) default NULL,
  `locale_day_wide_sat` varchar(150) default NULL,
  PRIMARY KEY  (`locale_id`),
  KEY `locale_country_iso_2` (`locale_country_iso_2`),
  KEY `locale_language` (`locale_language`),
  KEY `locale_currency_code` (`locale_currency_code`)
) ENGINE=MyISAM AUTO_INCREMENT=382;


--
-- Dumping data for table `locales`
--

/*!40000 ALTER TABLE `locales` DISABLE KEYS */;
INSERT INTO `locales` VALUES (1,'aa',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'h:mm:ss a','h:mm:ss a','h:mm:ss a','h:mm a','EEEE, MMMM dd, yyyy','dd MMMM yyyy','dd-MMM-yyyy','dd/MM/yy',NULL,'saaku','carra',NULL,NULL,NULL,'Qun','Nah','Cig','Agd','Cax','Qas','Qad','Leq','Way','Dit','Xim','Kax',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Qunxa Garablu','Naharsi Kudo','Ciggilta Kudo','Agda Baxisso','Caxah Alsa','Qasa Dirri','Qado Dirri','Leqeeni','Waysu','Diteli','Ximoli','Kaxxa Garablu','Aca','Etl','Tal','Arb','Kam','Gum','Sab','Acaada','Etleeni','Talaata','Arbaqa','Kamiisi','Gumqata','Sabti');
INSERT INTO `locales` VALUES (2,'aa','DJ','DJF','FD','0','-1',NULL,NULL,NULL,'Ã‚Â¤#,##0.00',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (3,'aa','ER','ERN','$',NULL,NULL,NULL,NULL,NULL,'Ã‚Â¤#,##0.00',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Kudo',NULL,'Agda Baxis',NULL,NULL,NULL,'Liiqen',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (4,'aa','ET','ETB','$',NULL,NULL,NULL,NULL,NULL,'Ã‚Â¤#,##0.00',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Kudo',NULL,'Agda Baxis',NULL,NULL,NULL,'Liiqen',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (5,'af',NULL,NULL,NULL,NULL,NULL,',','Ã‚Â ',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'EEEE d MMMM yyyy','d MMMM yyyy','d MMM yyyy','yyyy-MM-dd',NULL,'vm.','nm.',NULL,NULL,NULL,'Jan.','Feb.','Mrt.','Apr.','Mei','Jun.','Jul.','Aug.','Sep.','Okt.','Nov.','Des.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Januarie','Februarie','Maart','April','Mei','Junie','Julie','Augustus','September','Oktober','November','Desember','So.','Ma.','Di.','Wo.','Do.','Vr.','Sa.','Sondag','Maandag','Dinsdag','Woensdag','Donderdag','Vrydag','Saterdag');
INSERT INTO `locales` VALUES (6,'af','NA','ZAR','R',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (7,'af','ZA','ZAR','R',NULL,NULL,NULL,NULL,NULL,'Ã‚Â¤#,##0.00',NULL,NULL,'h:mm:ss a','h:mm:ss a','h:mm:ss a','h:mm a','EEEE dd MMMM yyyy','dd MMMM yyyy','dd MMM yyyy','yyyy/MM/dd',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (8,'ak',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'AN','EW',NULL,NULL,NULL,'S-Ã†â€ ','K-Ã†â€ ','E-Ã†â€ ','E-O','E-K','O-A','A-K','D-Ã†â€ ','F-Ã†Â','Ã†â€ -A','Ã†â€ -O','M-Ã†â€ ',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Sanda-Ã†â€ pÃ‰â€ºpÃ‰â€n','Kwakwar-Ã†â€ gyefuo','EbÃ‰â€w-Ã†â€ benem','EbÃ‰â€bira-Oforisuo','Esusow Aketseaba-KÃ‰â€tÃ‰â€nimba','Obirade-AyÃ‰â€ºwohomumu','AyÃ‰â€ºwoho-Kitawonsa','Difuu-Ã†â€ sandaa','Fankwa-Ã†ÂbÃ‰â€','Ã†â€ bÃ‰â€ºsÃ‰â€º-Ahinime','Ã†â€ berÃ‰â€ºfÃ‰â€ºw-Obubuo','Mumu-Ã†â€ pÃ‰â€ºnimba','Kwe','Dwo','Ben','Wuk','Yaw','Fia','Mem','Kwesida','Dwowda','Benada','Wukuda','Yawda','Fida','Memeneda');
INSERT INTO `locales` VALUES (9,'ak','GH','GHC','Ã‚Â¢',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (10,'am',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'#,##0.00 Ã‚Â¤',NULL,NULL,'hh:mm:ss a','hh:mm:ss a','h:mm:ss a','h:mm a','EEEEÃ¡ÂÂ£ MMMM dd Ã¡â€°â‚¬Ã¡Å â€¢ yyyy G','MMMM d yyyy','MMM d yyyy','dd/MM/yy',NULL,'Ã¡Å’Â¡Ã¡â€¹â€¹Ã¡â€°Âµ','Ã¡Å Â¨Ã¡Ë†Â°Ã¡â€¹â€œÃ¡â€°Âµ',NULL,NULL,NULL,'Ã¡Å’Æ’Ã¡Å â€¢Ã¡â€¹Â©','Ã¡ÂÅ’Ã¡â€°Â¥Ã¡Ë†Â©','Ã¡Ë†â€ºÃ¡Ë†Â­Ã¡â€°Â½','Ã¡Å Â¤Ã¡Ââ€¢Ã¡Ë†Â¨','Ã¡Ë†Å“Ã¡â€¹Â­','Ã¡Å’ÂÃ¡Å â€¢','Ã¡Å’ÂÃ¡Ë†â€¹Ã¡â€¹Â­','Ã¡Å Â¦Ã¡Å’Ë†Ã¡Ë†Âµ','Ã¡Ë†Â´Ã¡Ââ€¢Ã¡â€°Â´','Ã¡Å Â¦Ã¡Å Â­Ã¡â€°Â°','Ã¡Å â€“Ã¡â€°Â¬Ã¡Ë†Â','Ã¡â€¹Â²Ã¡Ë†Â´Ã¡Ë†Â',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Ã¡Å’Æ’Ã¡Å â€¢Ã¡â€¹Â©Ã¡â€¹Ë†Ã¡Ë†Âª','Ã¡ÂÅ’Ã¡â€°Â¥Ã¡Ë†Â©Ã¡â€¹Ë†Ã¡Ë†Âª','Ã¡Ë†â€ºÃ¡Ë†Â­Ã¡â€°Â½','Ã¡Å Â¤Ã¡Ââ€¢Ã¡Ë†Â¨Ã¡Ë†Â','Ã¡Ë†Å“Ã¡â€¹Â­','Ã¡Å’ÂÃ¡Å â€¢','Ã¡Å’ÂÃ¡Ë†â€¹Ã¡â€¹Â­','Ã¡Å Â¦Ã¡Å’Ë†Ã¡Ë†ÂµÃ¡â€°Âµ','Ã¡Ë†Â´Ã¡Ââ€¢Ã¡â€°Â´Ã¡Ë†ÂÃ¡â€°Â Ã¡Ë†Â­','Ã¡Å Â¦Ã¡Å Â­Ã¡â€°Â°Ã¡â€¹ÂÃ¡â€°Â Ã¡Ë†Â­','Ã¡Å â€“Ã¡â€°Â¬Ã¡Ë†ÂÃ¡â€°Â Ã¡Ë†Â­','Ã¡â€¹Â²Ã¡Ë†Â´Ã¡Ë†ÂÃ¡â€°Â Ã¡Ë†Â­','Ã¡Å Â¥Ã¡Ë†â€˜Ã¡â€¹Âµ','Ã¡Ë†Â°Ã¡Å Å¾','Ã¡Ë†â€ºÃ¡Å Â­Ã¡Ë†Â°','Ã¡Ë†Â¨Ã¡â€°Â¡Ã¡â€¹â€¢','Ã¡Ë†ÂÃ¡Ë†â„¢Ã¡Ë†Âµ','Ã¡â€¹â€œÃ¡Ë†Â­Ã¡â€°Â¥','Ã¡â€°â€¦Ã¡â€¹Â³Ã¡Ë†Å“','Ã¡Å Â¥Ã¡Ë†â€˜Ã¡â€¹Âµ','Ã¡Ë†Â°Ã¡Å Å¾','Ã¡Ë†â€ºÃ¡Å Â­Ã¡Ë†Â°Ã¡Å Å¾','Ã¡Ë†Â¨Ã¡â€°Â¡Ã¡â€¹â€¢','Ã¡Ë†ÂÃ¡Ë†â„¢Ã¡Ë†Âµ','Ã¡â€¹â€œÃ¡Ë†Â­Ã¡â€°Â¥','Ã¡â€°â€¦Ã¡â€¹Â³Ã¡Ë†Å“');
INSERT INTO `locales` VALUES (11,'am','ET','ETB','Ã¡â€°Â¥Ã¡Ë†Â­',NULL,NULL,NULL,NULL,NULL,'Ã‚Â¤#,##0.00',NULL,NULL,NULL,NULL,NULL,NULL,'EEEEÃ¡ÂÂ£ dd MMMM Ã¡â€°â‚¬Ã¡Å â€¢ yyyy G','dd MMMM yyyy','dd-MMM-yy',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (12,'ar',NULL,NULL,NULL,NULL,NULL,'Ã™Â«','Ã™Â¬','#,##0.###;#,##0.###-','Ã‚Â¤ #,##0.00;Ã‚Â¤ #,##0.00-','Ã™Âª',NULL,'z h:mm:ss a','h:mm:ss a','h:mm:ss a','h:mm a','EEEE, d MMMM, yyyy','d MMMM, yyyy','dd/MM/yyyy','d/M/yyyy',NULL,'Ã˜Âµ','Ã™â€¦',NULL,NULL,NULL,'Ã™Å Ã™â€ Ã˜Â§Ã™Å Ã˜Â±','Ã™ÂÃ˜Â¨Ã˜Â±Ã˜Â§Ã™Å Ã˜Â±','Ã™â€¦Ã˜Â§Ã˜Â±Ã˜Â³','Ã˜Â£Ã˜Â¨Ã˜Â±Ã™Å Ã™â€ž','Ã™â€¦Ã˜Â§Ã™Å Ã™Ë†','Ã™Å Ã™Ë†Ã™â€ Ã™Å Ã™Ë†','Ã™Å Ã™Ë†Ã™â€žÃ™Å Ã™Ë†','Ã˜Â£Ã˜ÂºÃ˜Â³Ã˜Â·Ã˜Â³','Ã˜Â³Ã˜Â¨Ã˜ÂªÃ™â€¦Ã˜Â¨Ã˜Â±','Ã˜Â£Ã™Æ’Ã˜ÂªÃ™Ë†Ã˜Â¨Ã˜Â±','Ã™â€ Ã™Ë†Ã™ÂÃ™â€¦Ã˜Â¨Ã˜Â±','Ã˜Â¯Ã™Å Ã˜Â³Ã™â€¦Ã˜Â¨Ã˜Â±',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Ã™Å Ã™â€ Ã˜Â§Ã™Å Ã˜Â±','Ã™ÂÃ˜Â¨Ã˜Â±Ã˜Â§Ã™Å Ã˜Â±','Ã™â€¦Ã˜Â§Ã˜Â±Ã˜Â³','Ã˜Â£Ã˜Â¨Ã˜Â±Ã™Å Ã™â€ž','Ã™â€¦Ã˜Â§Ã™Å Ã™Ë†','Ã™Å Ã™Ë†Ã™â€ Ã™Å Ã™Ë†','Ã™Å Ã™Ë†Ã™â€žÃ™Å Ã™Ë†','Ã˜Â£Ã˜ÂºÃ˜Â³Ã˜Â·Ã˜Â³','Ã˜Â³Ã˜Â¨Ã˜ÂªÃ™â€¦Ã˜Â¨Ã˜Â±','Ã˜Â£Ã™Æ’Ã˜ÂªÃ™Ë†Ã˜Â¨Ã˜Â±','Ã™â€ Ã™Ë†Ã™ÂÃ™â€¦Ã˜Â¨Ã˜Â±','Ã˜Â¯Ã™Å Ã˜Â³Ã™â€¦Ã˜Â¨Ã˜Â±','Ã˜Â­','Ã™â€ ','Ã˜Â«','Ã˜Â±','Ã˜Â®','Ã˜Â¬','Ã˜Â³','Ã˜Â§Ã™â€žÃ˜Â£Ã˜Â­Ã˜Â¯','Ã˜Â§Ã™â€žÃ˜Â§Ã˜Â«Ã™â€ Ã™Å Ã™â€ ','Ã˜Â§Ã™â€žÃ˜Â«Ã™â€žÃ˜Â§Ã˜Â«Ã˜Â§Ã˜Â¡','Ã˜Â§Ã™â€žÃ˜Â£Ã˜Â±Ã˜Â¨Ã˜Â¹Ã˜Â§Ã˜Â¡','Ã˜Â§Ã™â€žÃ˜Â®Ã™â€¦Ã™Å Ã˜Â³','Ã˜Â§Ã™â€žÃ˜Â¬Ã™â€¦Ã˜Â¹Ã˜Â©','Ã˜Â§Ã™â€žÃ˜Â³Ã˜Â¨Ã˜Âª');
INSERT INTO `locales` VALUES (13,'ar','AE','AED','Ã˜Â¯.Ã˜Â¥.Ã¢â‚¬Â',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (14,'ar','BH','BHD','Ã˜Â¯.Ã˜Â¨.Ã¢â‚¬Â','0','3',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (15,'ar','DZ','DZD','Ã˜Â¯.Ã˜Â¬.Ã¢â‚¬Â',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (16,'ar','EG','EGP','Ã˜Â¬.Ã™â€¦.Ã¢â‚¬Â',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (17,'ar','IQ','IQD','Ã˜Â¯.Ã˜Â¹.Ã¢â‚¬Â','0','3',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (18,'ar','JO','JOD','Ã˜Â¯.Ã˜Â£.Ã¢â‚¬Â','0','3',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Ã™Æ’Ã˜Â§Ã™â€ Ã™Ë†Ã™â€  Ã˜Â§Ã™â€žÃ˜Â«Ã˜Â§Ã™â€ Ã™Å ','Ã˜Â´Ã˜Â¨Ã˜Â§Ã˜Â·','Ã˜Â¢Ã˜Â°Ã˜Â§Ã˜Â±','Ã™â€ Ã™Å Ã˜Â³Ã˜Â§Ã™â€ ','Ã˜Â£Ã™Å Ã˜Â§Ã˜Â±','Ã˜Â­Ã˜Â²Ã™Å Ã˜Â±Ã˜Â§Ã™â€ ','Ã˜ÂªÃ™â€¦Ã™Ë†Ã˜Â²','Ã˜Â¢Ã˜Â¨','Ã˜Â£Ã™Å Ã™â€žÃ™Ë†Ã™â€ž','Ã˜ÂªÃ˜Â´Ã˜Â±Ã™Å Ã™â€  Ã˜Â§Ã™â€žÃ˜Â£Ã™Ë†Ã™â€ž','Ã˜ÂªÃ˜Â´Ã˜Â±Ã™Å Ã™â€  Ã˜Â§Ã™â€žÃ˜Â«Ã˜Â§Ã™â€ Ã™Å ','Ã™Æ’Ã˜Â§Ã™â€ Ã™Ë†Ã™â€  Ã˜Â§Ã™â€žÃ˜Â£Ã™Ë†Ã™â€ž',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Ã™Æ’Ã˜Â§Ã™â€ Ã™Ë†Ã™â€  Ã˜Â§Ã™â€žÃ˜Â«Ã˜Â§Ã™â€ Ã™Å ','Ã˜Â´Ã˜Â¨Ã˜Â§Ã˜Â·','Ã˜Â¢Ã˜Â°Ã˜Â§Ã˜Â±','Ã™â€ Ã™Å Ã˜Â³Ã˜Â§Ã™â€ ','Ã˜Â£Ã™Å Ã˜Â§Ã˜Â±','Ã˜Â­Ã˜Â²Ã™Å Ã˜Â±Ã˜Â§Ã™â€ ','Ã˜ÂªÃ™â€¦Ã™Ë†Ã˜Â²','Ã˜Â¢Ã˜Â¨','Ã˜Â£Ã™Å Ã™â€žÃ™Ë†Ã™â€ž','Ã˜ÂªÃ˜Â´Ã˜Â±Ã™Å Ã™â€  Ã˜Â§Ã™â€žÃ˜Â£Ã™Ë†Ã™â€ž','Ã˜ÂªÃ˜Â´Ã˜Â±Ã™Å Ã™â€  Ã˜Â§Ã™â€žÃ˜Â«Ã˜Â§Ã™â€ Ã™Å ','Ã™Æ’Ã˜Â§Ã™â€ Ã™Ë†Ã™â€  Ã˜Â§Ã™â€žÃ˜Â£Ã™Ë†Ã™â€ž','Ã˜Â§Ã™â€žÃ˜Â£Ã˜Â­Ã˜Â¯','Ã˜Â§Ã™â€žÃ˜Â§Ã˜Â«Ã™â€ Ã™Å Ã™â€ ','Ã˜Â§Ã™â€žÃ˜Â«Ã™â€žÃ˜Â§Ã˜Â«Ã˜Â§Ã˜Â¡','Ã˜Â§Ã™â€žÃ˜Â£Ã˜Â±Ã˜Â¨Ã˜Â¹Ã˜Â§Ã˜Â¡','Ã˜Â§Ã™â€žÃ˜Â®Ã™â€¦Ã™Å Ã˜Â³','Ã˜Â§Ã™â€žÃ˜Â¬Ã™â€¦Ã˜Â¹Ã˜Â©','Ã˜Â§Ã™â€žÃ˜Â³Ã˜Â¨Ã˜Âª',NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (19,'ar','KW','KWD','Ã˜Â¯.Ã™Æ’.Ã¢â‚¬Â','0','3',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (20,'ar','LB','LBP','Ã™â€ž.Ã™â€ž.Ã¢â‚¬Â',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Ã™Æ’Ã˜Â§Ã™â€ Ã™Ë†Ã™â€  Ã˜Â§Ã™â€žÃ˜Â«Ã˜Â§Ã™â€ Ã™Å ','Ã˜Â´Ã˜Â¨Ã˜Â§Ã˜Â·','Ã˜Â¢Ã˜Â°Ã˜Â§Ã˜Â±','Ã™â€ Ã™Å Ã˜Â³Ã˜Â§Ã™â€ ','Ã™â€ Ã™Ë†Ã˜Â§Ã˜Â±','Ã˜Â­Ã˜Â²Ã™Å Ã˜Â±Ã˜Â§Ã™â€ ','Ã˜ÂªÃ™â€¦Ã™Ë†Ã˜Â²','Ã˜Â¢Ã˜Â¨','Ã˜Â£Ã™Å Ã™â€žÃ™Ë†Ã™â€ž','Ã˜ÂªÃ˜Â´Ã˜Â±Ã™Å Ã™â€  Ã˜Â§Ã™â€žÃ˜Â£Ã™Ë†Ã™â€ž','Ã˜ÂªÃ˜Â´Ã˜Â±Ã™Å Ã™â€  Ã˜Â§Ã™â€žÃ˜Â«Ã˜Â§Ã™â€ Ã™Å ','Ã™Æ’Ã˜Â§Ã™â€ Ã™Ë†Ã™â€  Ã˜Â§Ã™â€žÃ˜Â£Ã™Ë†Ã™â€ž',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Ã™Æ’Ã˜Â§Ã™â€ Ã™Ë†Ã™â€  Ã˜Â§Ã™â€žÃ˜Â«Ã˜Â§Ã™â€ Ã™Å ','Ã˜Â´Ã˜Â¨Ã˜Â§Ã˜Â·','Ã˜Â¢Ã˜Â°Ã˜Â§Ã˜Â±','Ã™â€ Ã™Å Ã˜Â³Ã˜Â§Ã™â€ ','Ã™â€ Ã™Ë†Ã˜Â§Ã˜Â±','Ã˜Â­Ã˜Â²Ã™Å Ã˜Â±Ã˜Â§Ã™â€ ','Ã˜ÂªÃ™â€¦Ã™Ë†Ã˜Â²','Ã˜Â¢Ã˜Â¨','Ã˜Â£Ã™Å Ã™â€žÃ™Ë†Ã™â€ž','Ã˜ÂªÃ˜Â´Ã˜Â±Ã™Å Ã™â€  Ã˜Â§Ã™â€žÃ˜Â£Ã™Ë†Ã™â€ž','Ã˜ÂªÃ˜Â´Ã˜Â±Ã™Å Ã™â€  Ã˜Â§Ã™â€žÃ˜Â«Ã˜Â§Ã™â€ Ã™Å ','Ã™Æ’Ã˜Â§Ã™â€ Ã™Ë†Ã™â€  Ã˜Â§Ã™â€žÃ˜Â£Ã™Ë†Ã™â€ž','Ã˜Â§Ã™â€žÃ˜Â£Ã˜Â­Ã˜Â¯','Ã˜Â§Ã™â€žÃ˜Â§Ã˜Â«Ã™â€ Ã™Å Ã™â€ ','Ã˜Â§Ã™â€žÃ˜Â«Ã™â€žÃ˜Â§Ã˜Â«Ã˜Â§Ã˜Â¡','Ã˜Â§Ã™â€žÃ˜Â£Ã˜Â±Ã˜Â¨Ã˜Â¹Ã˜Â§Ã˜Â¡','Ã˜Â§Ã™â€žÃ˜Â®Ã™â€¦Ã™Å Ã˜Â³','Ã˜Â§Ã™â€žÃ˜Â¬Ã™â€¦Ã˜Â¹Ã˜Â©','Ã˜Â§Ã™â€žÃ˜Â³Ã˜Â¨Ã˜Âª',NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (21,'ar','LY','LYD','Ã˜Â¯.Ã™â€ž.Ã¢â‚¬Â','0','3',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (22,'ar','MA','MAD','Ã˜Â¯.Ã™â€¦.Ã¢â‚¬Â',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (23,'ar','OM','OMR','Ã˜Â±.Ã˜Â¹.Ã¢â‚¬Â','0','3',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (24,'ar','QA','QAR','Ã˜Â±.Ã™â€š.Ã¢â‚¬Â',NULL,NULL,NULL,NULL,'#0.###;#0.###-','Ã‚Â¤#0.00',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Ã˜Â§Ã™â€žÃ˜Â£Ã˜Â­Ã˜Â¯','Ã˜Â§Ã™â€žÃ˜Â§Ã˜Â«Ã™â€ Ã™Å Ã™â€ ','Ã˜Â§Ã™â€žÃ˜Â«Ã™â€žÃ˜Â§Ã˜Â«Ã˜Â§Ã˜Â¡','Ã˜Â§Ã™â€žÃ˜Â£Ã˜Â±Ã˜Â¨Ã˜Â¹Ã˜Â§Ã˜Â¡','Ã˜Â§Ã™â€žÃ˜Â®Ã™â€¦Ã™Å Ã˜Â³','Ã˜Â§Ã™â€žÃ˜Â¬Ã™â€¦Ã˜Â¹Ã˜Â©','Ã˜Â§Ã™â€žÃ˜Â³Ã˜Â¨Ã˜Âª',NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (25,'ar','SA','SAR','Ã˜Â±.Ã˜Â³.Ã¢â‚¬Â',NULL,NULL,NULL,NULL,'#0.###;#0.###-','Ã‚Â¤#0.00',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Ã˜Â§Ã™â€žÃ˜Â£Ã˜Â­Ã˜Â¯','Ã˜Â§Ã™â€žÃ˜Â§Ã˜Â«Ã™â€ Ã™Å Ã™â€ ','Ã˜Â§Ã™â€žÃ˜Â«Ã™â€žÃ˜Â§Ã˜Â«Ã˜Â§Ã˜Â¡','Ã˜Â§Ã™â€žÃ˜Â£Ã˜Â±Ã˜Â¨Ã˜Â¹Ã˜Â§Ã˜Â¡','Ã˜Â§Ã™â€žÃ˜Â®Ã™â€¦Ã™Å Ã˜Â³','Ã˜Â§Ã™â€žÃ˜Â¬Ã™â€¦Ã˜Â¹Ã˜Â©','Ã˜Â§Ã™â€žÃ˜Â³Ã˜Â¨Ã˜Âª',NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (26,'ar','SD','SDD','.Ã¢â‚¬ÂÃ˜Â¯.Ã˜Â³',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (27,'ar','SY','SYP','Ã™â€ž.Ã˜Â³.Ã¢â‚¬Â',NULL,NULL,NULL,NULL,'#0.###;#0.###-','Ã‚Â¤#0.00',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Ã™Æ’Ã˜Â§Ã™â€ Ã™Ë†Ã™â€  Ã˜Â§Ã™â€žÃ˜Â«Ã˜Â§Ã™â€ Ã™Å ','Ã˜Â´Ã˜Â¨Ã˜Â§Ã˜Â·','Ã˜Â¢Ã˜Â°Ã˜Â§Ã˜Â±','Ã™â€ Ã™Å Ã˜Â³Ã˜Â§Ã™â€ ','Ã™â€ Ã™Ë†Ã˜Â§Ã˜Â±','Ã˜Â­Ã˜Â²Ã™Å Ã˜Â±Ã˜Â§Ã™â€ ','Ã˜ÂªÃ™â€¦Ã™Ë†Ã˜Â²','Ã˜Â¢Ã˜Â¨','Ã˜Â£Ã™Å Ã™â€žÃ™Ë†Ã™â€ž','Ã˜ÂªÃ˜Â´Ã˜Â±Ã™Å Ã™â€  Ã˜Â§Ã™â€žÃ˜Â£Ã™Ë†Ã™â€ž','Ã˜ÂªÃ˜Â´Ã˜Â±Ã™Å Ã™â€  Ã˜Â§Ã™â€žÃ˜Â«Ã˜Â§Ã™â€ Ã™Å ','Ã™Æ’Ã˜Â§Ã™â€ Ã™Ë†Ã™â€  Ã˜Â§Ã™â€žÃ˜Â£Ã™Ë†Ã™â€ž',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Ã™Æ’Ã˜Â§Ã™â€ Ã™Ë†Ã™â€  Ã˜Â§Ã™â€žÃ˜Â«Ã˜Â§Ã™â€ Ã™Å ','Ã˜Â´Ã˜Â¨Ã˜Â§Ã˜Â·','Ã˜Â¢Ã˜Â°Ã˜Â§Ã˜Â±','Ã™â€ Ã™Å Ã˜Â³Ã˜Â§Ã™â€ ','Ã™â€ Ã™Ë†Ã˜Â§Ã˜Â±','Ã˜Â­Ã˜Â²Ã™Å Ã˜Â±Ã˜Â§Ã™â€ ','Ã˜ÂªÃ™â€¦Ã™Ë†Ã˜Â²','Ã˜Â¢Ã˜Â¨','Ã˜Â£Ã™Å Ã™â€žÃ™Ë†Ã™â€ž','Ã˜ÂªÃ˜Â´Ã˜Â±Ã™Å Ã™â€  Ã˜Â§Ã™â€žÃ˜Â£Ã™Ë†Ã™â€ž','Ã˜ÂªÃ˜Â´Ã˜Â±Ã™Å Ã™â€  Ã˜Â§Ã™â€žÃ˜Â«Ã˜Â§Ã™â€ Ã™Å ','Ã™Æ’Ã˜Â§Ã™â€ Ã™Ë†Ã™â€  Ã˜Â§Ã™â€žÃ˜Â£Ã™Ë†Ã™â€ž','Ã˜Â§Ã™â€žÃ˜Â£Ã˜Â­Ã˜Â¯','Ã˜Â§Ã™â€žÃ˜Â§Ã˜Â«Ã™â€ Ã™Å Ã™â€ ','Ã˜Â§Ã™â€žÃ˜Â«Ã™â€žÃ˜Â§Ã˜Â«Ã˜Â§Ã˜Â¡','Ã˜Â§Ã™â€žÃ˜Â£Ã˜Â±Ã˜Â¨Ã˜Â¹Ã˜Â§Ã˜Â¡','Ã˜Â§Ã™â€žÃ˜Â®Ã™â€¦Ã™Å Ã˜Â³','Ã˜Â§Ã™â€žÃ˜Â¬Ã™â€¦Ã˜Â¹Ã˜Â©','Ã˜Â§Ã™â€žÃ˜Â³Ã˜Â¨Ã˜Âª',NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (28,'ar','TN','TND','Ã˜Â¯.Ã˜Âª.Ã¢â‚¬Â','0','3',NULL,NULL,'#0.###;#0.###-','Ã‚Â¤#0.00',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Ã˜Â§Ã™â€žÃ˜Â£Ã˜Â­Ã˜Â¯','Ã˜Â§Ã™â€žÃ˜Â§Ã˜Â«Ã™â€ Ã™Å Ã™â€ ','Ã˜Â§Ã™â€žÃ˜Â«Ã™â€žÃ˜Â§Ã˜Â«Ã˜Â§Ã˜Â¡','Ã˜Â§Ã™â€žÃ˜Â£Ã˜Â±Ã˜Â¨Ã˜Â¹Ã˜Â§Ã˜Â¡','Ã˜Â§Ã™â€žÃ˜Â®Ã™â€¦Ã™Å Ã˜Â³','Ã˜Â§Ã™â€žÃ˜Â¬Ã™â€¦Ã˜Â¹Ã˜Â©','Ã˜Â§Ã™â€žÃ˜Â³Ã˜Â¨Ã˜Âª',NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (29,'ar','YE','YER','Ã˜Â±.Ã™Å .Ã¢â‚¬Â',NULL,NULL,NULL,NULL,'#0.###;#0.###-','Ã‚Â¤#0.00',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Ã˜Â§Ã™â€žÃ˜Â£Ã˜Â­Ã˜Â¯','Ã˜Â§Ã™â€žÃ˜Â§Ã˜Â«Ã™â€ Ã™Å Ã™â€ ','Ã˜Â§Ã™â€žÃ˜Â«Ã™â€žÃ˜Â§Ã˜Â«Ã˜Â§Ã˜Â¡','Ã˜Â§Ã™â€žÃ˜Â£Ã˜Â±Ã˜Â¨Ã˜Â¹Ã˜Â§Ã˜Â¡','Ã˜Â§Ã™â€žÃ˜Â®Ã™â€¦Ã™Å Ã˜Â³','Ã˜Â§Ã™â€žÃ˜Â¬Ã™â€¦Ã˜Â¹Ã˜Â©','Ã˜Â§Ã™â€žÃ˜Â³Ã˜Â¨Ã˜Âª',NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (30,'as',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Ã Â¦ÂªÃ Â§â€šÃ Â§Â°Ã Â§ÂÃ Â¦Â¬Ã Â¦Â¾','Ã Â¦â€¦Ã Â¦Âª',NULL,NULL,NULL,'Ã Â¦Å“Ã Â¦Â¾Ã Â¦Â¨Ã Â§Â','Ã Â¦Â«Ã Â§â€¡Ã Â¦Â¬Ã Â§ÂÃ Â§Â°Ã Â§Â','Ã Â¦Â®Ã Â¦Â¾Ã Â§Â°Ã Â§ÂÃ Â¦Å¡','Ã Â¦ÂÃ Â¦ÂªÃ Â§ÂÃ Â§Â°Ã Â¦Â¿Ã Â¦Â²','Ã Â¦Â®Ã Â§â€¡','Ã Â¦Å“Ã Â§ÂÃ Â¦Â¨','Ã Â¦Å“Ã Â§ÂÃ Â¦Â²Ã Â¦Â¾Ã Â¦â€¡','Ã Â¦â€ Ã Â¦â€”','Ã Â¦Â¸Ã Â§â€¡Ã Â¦ÂªÃ Â§ÂÃ Â¦Å¸','Ã Â¦â€¦Ã Â¦â€¢Ã Â§ÂÃ Â¦Å¸Ã Â§â€¹','Ã Â¦Â¨Ã Â¦Â­Ã Â§â€¡','Ã Â¦Â¡Ã Â¦Â¿Ã Â¦Â¸Ã Â§â€¡',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Ã Â¦Å“Ã Â¦Â¾Ã Â¦Â¨Ã Â§ÂÃ Â¦Â¯Ã Â¦Â¼Ã Â¦Â¾Ã Â§Â°Ã Â§â‚¬','Ã Â¦Â«Ã Â§â€¡Ã Â¦Â¬Ã Â§ÂÃ Â§Â°Ã Â§ÂÃ Â¦Â¯Ã Â¦Â¼Ã Â¦Â¾Ã Â§Â°Ã Â§â‚¬','Ã Â¦Â®Ã Â¦Â¾Ã Â§Â°Ã Â§ÂÃ Â¦Å¡','Ã Â¦ÂÃ Â¦ÂªÃ Â§ÂÃ Â§Â°Ã Â¦Â¿Ã Â¦Â²','Ã Â¦Â®Ã Â§â€¡','Ã Â¦Å“Ã Â§ÂÃ Â¦Â¨','Ã Â¦Å“Ã Â§ÂÃ Â¦Â²Ã Â¦Â¾Ã Â¦â€¡','Ã Â¦â€ Ã Â¦â€”Ã Â¦Â·Ã Â§ÂÃ Â¦Å¸','Ã Â¦Â¸Ã Â§â€¡Ã Â¦ÂªÃ Â§ÂÃ Â¦Å¸Ã Â§â€¡Ã Â¦Â®Ã Â§ÂÃ Â¦Â¬Ã Â§Â°','Ã Â¦â€¦Ã Â¦â€¢Ã Â§ÂÃ Â¦Å¸Ã Â§â€¹Ã Â¦Â¬Ã Â§Â°','Ã Â¦Â¨Ã Â¦Â­Ã Â§â€¡Ã Â¦Â®Ã Â§ÂÃ Â¦Â¬Ã Â§Â°','Ã Â¦Â¡Ã Â¦Â¿Ã Â¦Â¸Ã Â§â€¡Ã Â¦Â®Ã Â§ÂÃ Â¦Â¬Ã Â§Â°','Ã Â§Â°Ã Â¦Â¬Ã Â¦Â¿','Ã Â¦Â¸Ã Â§â€¹Ã Â¦Â®','Ã Â¦Â®Ã Â¦â„¢Ã Â§ÂÃ Â¦â€”Ã Â¦Â²','Ã Â¦Â¬Ã Â§ÂÃ Â¦Â§','Ã Â¦Â¬Ã Â§Æ’Ã Â¦Â¹Ã Â¦Â·Ã Â§ÂÃ Â¦ÂªÃ Â¦Â¤Ã Â¦Â¿','Ã Â¦Â¶Ã Â§ÂÃ Â¦â€¢Ã Â§ÂÃ Â§Â°','Ã Â¦Â¶Ã Â¦Â¨Ã Â¦Â¿','Ã Â¦Â¦Ã Â§â€¡Ã Â¦â€œÃ Â¦Â¬Ã Â¦Â¾Ã Â§Â°','Ã Â¦Â¸Ã Â§â€¹Ã Â¦Â®Ã Â¦Â¬Ã Â¦Â¾Ã Â§Â°','Ã Â¦Â®Ã Â¦â„¢Ã Â§ÂÃ Â¦â€”Ã Â¦Â²Ã Â¦Â¬Ã Â¦Â¾Ã Â§Â°','Ã Â¦Â¬Ã Â§ÂÃ Â¦Â§Ã Â¦Â¬Ã Â¦Â¾Ã Â§Â°','Ã Â¦Â¬Ã Â§Æ’Ã Â¦Â¹Ã Â¦Â·Ã Â§ÂÃ Â¦ÂªÃ Â¦Â¤Ã Â¦Â¿Ã Â¦Â¬Ã Â¦Â¾Ã Â§Â°','Ã Â¦Â¶Ã Â§ÂÃ Â¦â€¢Ã Â§ÂÃ Â§Â°Ã Â¦Â¬Ã Â¦Â¾Ã Â§Â°','Ã Â¦Â¶Ã Â¦Â¨Ã Â¦Â¿Ã Â¦Â¬Ã Â¦Â¾Ã Â§Â°');
INSERT INTO `locales` VALUES (31,'as','IN','INR','Ã Â¦Å¸Ã Â¦â€¢Ã Â¦Â¾',NULL,NULL,NULL,NULL,'#,##,##0.###','Ã‚Â¤ #,##,##0.00',NULL,NULL,'h.mm.ss a z','h.mm.ss a z','h.mm.ss a','h.mm. a','EEEE, d MMMM, yyyy','d MMMM, yyyy','dd-MM-yyyy','d-M-yyyy',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (32,'az',NULL,NULL,NULL,NULL,NULL,',','Ã‚Â ',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'yan','fev','mar','apr','may','iyn','iyl','avq','sen','okt','noy','dek',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Yanvar','Fevral','Mart','Aprel','May','Ã„Â°yun','Ã„Â°yul','Avqust','Sentyabr','Oktyabr','Noyabr','Dekabr','B.','B.e.','Ãƒâ€¡.a.','Ãƒâ€¡.','C.a.','C.','Ã…Å¾.','bazar','bazar ertÃ‰â„¢si','ÃƒÂ§Ã‰â„¢rÃ…Å¸Ã‰â„¢nbÃ‰â„¢ axÃ…Å¸am','ÃƒÂ§Ã‰â„¢rÃ…Å¸Ã‰â„¢nbÃ‰â„¢','cÃƒÂ¼mÃ‰â„¢ axÃ…Å¸amÃ„Â±','cÃƒÂ¼mÃ‰â„¢ axÃ…Å¸amÃ„Â±','Ã…Å¸Ã‰â„¢nbÃ‰â„¢');
INSERT INTO `locales` VALUES (33,'az_Cyrl',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Ã‘ËœÃÂ°ÃÂ½ÃÂ²ÃÂ°Ã‘â‚¬','Ã‘â€žÃÂµÃÂ²Ã‘â‚¬ÃÂ°ÃÂ»','ÃÂ¼ÃÂ°Ã‘â‚¬Ã‘â€š','ÃÂ°ÃÂ¿Ã‘â‚¬ÃÂµÃÂ»','ÃÂ¼ÃÂ°ÃÂ¹','ÃÂ¸Ã‘ËœÃ‘Æ’ÃÂ½','ÃÂ¸Ã‘ËœÃ‘Æ’ÃÂ»','ÃÂ°ÃÂ²ÃÂ³Ã‘Æ’Ã‘ÂÃ‘â€š','Ã‘ÂÃÂµÃÂ½Ã‘â€šÃ‘ËœÃÂ°ÃÂ±Ã‘â‚¬','ÃÂ¾ÃÂºÃ‘â€šÃ‘ËœÃÂ°ÃÂ±Ã‘â‚¬','ÃÂ½ÃÂ¾Ã‘ËœÃÂ°ÃÂ±Ã‘â‚¬','ÃÂ´ÃÂµÃÂºÃÂ°ÃÂ±Ã‘â‚¬',NULL,NULL,NULL,NULL,NULL,NULL,NULL,'ÃÂ±ÃÂ°ÃÂ·ÃÂ°Ã‘â‚¬','ÃÂ±ÃÂ°ÃÂ·ÃÂ°Ã‘â‚¬ ÃÂµÃ‘â‚¬Ã‘â€šÃ“â„¢Ã‘ÂÃÂ¸','Ã‘â€¡Ã“â„¢Ã‘â‚¬Ã‘Ë†Ã“â„¢ÃÂ½ÃÂ±Ã“â„¢ ÃÂ°Ã‘â€¦Ã‘Ë†ÃÂ°ÃÂ¼Ã‘â€¹','Ã‘â€¡Ã“â„¢Ã‘â‚¬Ã‘Ë†Ã“â„¢ÃÂ½ÃÂ±Ã“â„¢','Ã’Â¹Ã’Â¯ÃÂ¼Ã“â„¢ ÃÂ°Ã‘â€¦Ã‘Ë†ÃÂ°ÃÂ¼Ã‘â€¹','Ã’Â¹Ã’Â¯ÃÂ¼Ã“â„¢','Ã‘Ë†Ã“â„¢ÃÂ½ÃÂ±Ã“â„¢');
INSERT INTO `locales` VALUES (34,'az_Cyrl','AZ','AZN',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (35,'az_Latn',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (36,'az_Latn','AZ','AZN',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (37,'be',NULL,NULL,NULL,NULL,NULL,',','Ã‚Â ',NULL,NULL,NULL,NULL,'HH.mm.ss z','HH.mm.ss z','HH.mm.ss','HH.mm','EEEE, d MMMM yyyy','d MMMM yyyy','d.M.yyyy','d.M.yy',NULL,NULL,NULL,NULL,NULL,NULL,'Ã‘ÂÃ‘â€šÃ‘Æ’','ÃÂ»Ã‘Å½Ã‘â€š','Ã‘ÂÃÂ°ÃÂº','ÃÂºÃ‘â‚¬ÃÂ°','ÃÂ¼ÃÂ°ÃÂ¹','Ã‘â€¡Ã‘ÂÃ‘â‚¬','ÃÂ»Ã‘â€“ÃÂ¿','ÃÂ¶ÃÂ½Ã‘â€“','ÃÂ²ÃÂµÃ‘â‚¬','ÃÂºÃÂ°Ã‘Â','ÃÂ»Ã‘â€“Ã‘Â','Ã‘ÂÃÂ½ÃÂµ',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Ã‘ÂÃ‘â€šÃ‘Æ’ÃÂ´ÃÂ·ÃÂµÃÂ½Ã‘Å’','ÃÂ»Ã‘Å½Ã‘â€šÃ‘â€¹','Ã‘ÂÃÂ°ÃÂºÃÂ°ÃÂ²Ã‘â€“ÃÂº','ÃÂºÃ‘â‚¬ÃÂ°Ã‘ÂÃÂ°ÃÂ²Ã‘â€“ÃÂº','ÃÂ¼ÃÂ°ÃÂ¹','Ã‘â€¡Ã‘ÂÃ‘â‚¬ÃÂ²ÃÂµÃÂ½Ã‘Å’','ÃÂ»Ã‘â€“ÃÂ¿ÃÂµÃÂ½Ã‘Å’','ÃÂ¶ÃÂ½Ã‘â€“ÃÂ²ÃÂµÃÂ½Ã‘Å’','ÃÂ²ÃÂµÃ‘â‚¬ÃÂ°Ã‘ÂÃÂµÃÂ½Ã‘Å’','ÃÂºÃÂ°Ã‘ÂÃ‘â€šÃ‘â‚¬Ã‘â€¹Ã‘â€¡ÃÂ½Ã‘â€“ÃÂº','ÃÂ»Ã‘â€“Ã‘ÂÃ‘â€šÃÂ°ÃÂ¿ÃÂ°ÃÂ´','Ã‘ÂÃÂ½ÃÂµÃÂ¶ÃÂ°ÃÂ½Ã‘Å’','ÃÂ½ÃÂ´','ÃÂ¿ÃÂ½','ÃÂ°Ã‘Å¾','Ã‘ÂÃ‘â‚¬','Ã‘â€¡Ã‘â€ ','ÃÂ¿Ã‘â€š','Ã‘ÂÃÂ±','ÃÂ½Ã‘ÂÃÂ´ÃÂ·ÃÂµÃÂ»Ã‘Â','ÃÂ¿ÃÂ°ÃÂ½Ã‘ÂÃÂ´ÃÂ·ÃÂµÃÂ»ÃÂ°ÃÂº','ÃÂ°Ã‘Å¾Ã‘â€šÃÂ¾Ã‘â‚¬ÃÂ°ÃÂº','Ã‘ÂÃÂµÃ‘â‚¬ÃÂ°ÃÂ´ÃÂ°','Ã‘â€¡ÃÂ°Ã‘â€ ÃÂ²ÃÂµÃ‘â‚¬','ÃÂ¿Ã‘ÂÃ‘â€šÃÂ½Ã‘â€“Ã‘â€ ÃÂ°','Ã‘ÂÃ‘Æ’ÃÂ±ÃÂ¾Ã‘â€šÃÂ°');
INSERT INTO `locales` VALUES (38,'be','BY','BYR','','0','-1',NULL,NULL,NULL,'Ã‚Â¤#,##0.00',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (39,'bg',NULL,NULL,NULL,NULL,NULL,',','Ã‚Â ',NULL,NULL,NULL,NULL,NULL,'HH:mm:ss',NULL,NULL,'dd MMMM yyyy, EEEE','dd MMMM yyyy','dd.MM.yyyy','dd.MM.yy',NULL,'ÃÂ¿Ã‘â‚¬. ÃÂ¾ÃÂ±.','Ã‘ÂÃÂ». ÃÂ¾ÃÂ±.',NULL,NULL,NULL,'Ã‘ÂÃÂ½.','Ã‘â€žÃÂµÃÂ²Ã‘â‚¬.','ÃÂ¼ÃÂ°Ã‘â‚¬Ã‘â€š','ÃÂ°ÃÂ¿Ã‘â‚¬.','ÃÂ¼ÃÂ°ÃÂ¹','Ã‘Å½ÃÂ½ÃÂ¸','Ã‘Å½ÃÂ»ÃÂ¸','ÃÂ°ÃÂ²ÃÂ³.','Ã‘ÂÃÂµÃÂ¿Ã‘â€š.','ÃÂ¾ÃÂºÃ‘â€š.','ÃÂ½ÃÂ¾ÃÂµÃÂ¼.','ÃÂ´ÃÂµÃÂº.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Ã‘ÂÃÂ½Ã‘Æ’ÃÂ°Ã‘â‚¬ÃÂ¸','Ã‘â€žÃÂµÃÂ²Ã‘â‚¬Ã‘Æ’ÃÂ°Ã‘â‚¬ÃÂ¸','ÃÂ¼ÃÂ°Ã‘â‚¬Ã‘â€š','ÃÂ°ÃÂ¿Ã‘â‚¬ÃÂ¸ÃÂ»','ÃÂ¼ÃÂ°ÃÂ¹','Ã‘Å½ÃÂ½ÃÂ¸','Ã‘Å½ÃÂ»ÃÂ¸','ÃÂ°ÃÂ²ÃÂ³Ã‘Æ’Ã‘ÂÃ‘â€š','Ã‘ÂÃÂµÃÂ¿Ã‘â€šÃÂµÃÂ¼ÃÂ²Ã‘â‚¬ÃÂ¸','ÃÂ¾ÃÂºÃ‘â€šÃÂ¾ÃÂ¼ÃÂ²Ã‘â‚¬ÃÂ¸','ÃÂ½ÃÂ¾ÃÂµÃÂ¼ÃÂ²Ã‘â‚¬ÃÂ¸','ÃÂ´ÃÂµÃÂºÃÂµÃÂ¼ÃÂ²Ã‘â‚¬ÃÂ¸','ÃÂ½ÃÂ´','ÃÂ¿ÃÂ½','ÃÂ²Ã‘â€š','Ã‘ÂÃ‘â‚¬','Ã‘â€¡Ã‘â€š','ÃÂ¿Ã‘â€š','Ã‘ÂÃÂ±','ÃÂ½ÃÂµÃÂ´ÃÂµÃÂ»Ã‘Â','ÃÂ¿ÃÂ¾ÃÂ½ÃÂµÃÂ´ÃÂµÃÂ»ÃÂ½ÃÂ¸ÃÂº','ÃÂ²Ã‘â€šÃÂ¾Ã‘â‚¬ÃÂ½ÃÂ¸ÃÂº','Ã‘ÂÃ‘â‚¬Ã‘ÂÃÂ´ÃÂ°','Ã‘â€¡ÃÂµÃ‘â€šÃÂ²Ã‘Å Ã‘â‚¬Ã‘â€šÃ‘Å ÃÂº','ÃÂ¿ÃÂµÃ‘â€šÃ‘Å ÃÂº','Ã‘ÂÃ‘Å ÃÂ±ÃÂ¾Ã‘â€šÃÂ°');
INSERT INTO `locales` VALUES (40,'bg','BG','BGN','ÃÂ»ÃÂ².',NULL,NULL,NULL,NULL,NULL,'#,##0.00 Ã‚Â¤',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (41,'bn',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Ã Â¦ÂªÃ Â§â€šÃ Â¦Â°Ã Â§ÂÃ Â¦Â¬Ã Â¦Â¾Ã Â¦Â¹Ã Â§ÂÃ Â¦Â£','Ã Â¦â€¦Ã Â¦ÂªÃ Â¦Â°Ã Â¦Â¾Ã Â¦Â¹Ã Â§ÂÃ Â¦Â£',NULL,NULL,NULL,'Ã Â¦Å“Ã Â¦Â¾Ã Â¦Â¨Ã Â§ÂÃ Â¦Â¯Ã Â¦Â¼Ã Â¦Â¾Ã Â¦Â°Ã Â§â‚¬','Ã Â¦Â«Ã Â§â€¡Ã Â¦Â¬Ã Â§ÂÃ Â¦Â°Ã Â§ÂÃ Â¦Â¯Ã Â¦Â¼Ã Â¦Â¾Ã Â¦Â°Ã Â§â‚¬','Ã Â¦Â®Ã Â¦Â¾Ã Â¦Â°Ã Â§ÂÃ Â¦Å¡','Ã Â¦ÂÃ Â¦ÂªÃ Â§ÂÃ Â¦Â°Ã Â¦Â¿Ã Â¦Â²','Ã Â¦Â®Ã Â§â€¡','Ã Â¦Å“Ã Â§ÂÃ Â¦Â¨','Ã Â¦Å“Ã Â§ÂÃ Â¦Â²Ã Â¦Â¾Ã Â¦â€¡','Ã Â¦â€ Ã Â¦â€”Ã Â¦Â¸Ã Â§ÂÃ Â¦Å¸','Ã Â¦Â¸Ã Â§â€¡Ã Â¦ÂªÃ Â§ÂÃ Â¦Å¸Ã Â§â€¡Ã Â¦Â®Ã Â§ÂÃ Â¦Â¬Ã Â¦Â°','Ã Â¦â€¦Ã Â¦â€¢Ã Â§ÂÃ Â¦Å¸Ã Â§â€¹Ã Â¦Â¬Ã Â¦Â°','Ã Â¦Â¨Ã Â¦Â­Ã Â§â€¡Ã Â¦Â®Ã Â§ÂÃ Â¦Â¬Ã Â¦Â°','Ã Â¦Â¡Ã Â¦Â¿Ã Â¦Â¸Ã Â§â€¡Ã Â¦Â®Ã Â§ÂÃ Â¦Â¬Ã Â¦Â°',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Ã Â¦Å“Ã Â¦Â¾Ã Â¦Â¨Ã Â§ÂÃ Â¦Â¯Ã Â¦Â¼Ã Â¦Â¾Ã Â¦Â°Ã Â§â‚¬','Ã Â¦Â«Ã Â§â€¡Ã Â¦Â¬Ã Â§ÂÃ Â¦Â°Ã Â§ÂÃ Â¦Â¯Ã Â¦Â¼Ã Â¦Â¾Ã Â¦Â°Ã Â§â‚¬','Ã Â¦Â®Ã Â¦Â¾Ã Â¦Â°Ã Â§ÂÃ Â¦Å¡','Ã Â¦ÂÃ Â¦ÂªÃ Â§ÂÃ Â¦Â°Ã Â¦Â¿Ã Â¦Â²','Ã Â¦Â®Ã Â§â€¡','Ã Â¦Å“Ã Â§ÂÃ Â¦Â¨','Ã Â¦Å“Ã Â§ÂÃ Â¦Â²Ã Â¦Â¾Ã Â¦â€¡','Ã Â¦â€ Ã Â¦â€”Ã Â¦Â¸Ã Â§ÂÃ Â¦Å¸','Ã Â¦Â¸Ã Â§â€¡Ã Â¦ÂªÃ Â§ÂÃ Â¦Å¸Ã Â§â€¡Ã Â¦Â®Ã Â§ÂÃ Â¦Â¬Ã Â¦Â°','Ã Â¦â€¦Ã Â¦â€¢Ã Â§ÂÃ Â¦Å¸Ã Â§â€¹Ã Â¦Â¬Ã Â¦Â°','Ã Â¦Â¨Ã Â¦Â­Ã Â§â€¡Ã Â¦Â®Ã Â§ÂÃ Â¦Â¬Ã Â¦Â°','Ã Â¦Â¡Ã Â¦Â¿Ã Â¦Â¸Ã Â§â€¡Ã Â¦Â®Ã Â§ÂÃ Â¦Â¬Ã Â¦Â°','Ã Â¦Â°Ã Â¦Â¬Ã Â¦Â¿','Ã Â¦Â¸Ã Â§â€¹Ã Â¦Â®','Ã Â¦Â®Ã Â¦â„¢Ã Â§ÂÃ Â¦â€”Ã Â¦Â²','Ã Â¦Â¬Ã Â§ÂÃ Â¦Â§','Ã Â¦Â¬Ã Â§Æ’Ã Â¦Â¹Ã Â¦Â¸Ã Â§ÂÃ Â¦ÂªÃ Â¦Â¤Ã Â¦Â¿','Ã Â¦Â¶Ã Â§ÂÃ Â¦â€¢Ã Â§ÂÃ Â¦Â°','Ã Â¦Â¶Ã Â¦Â¨Ã Â¦Â¿','Ã Â¦Â°Ã Â¦Â¬Ã Â¦Â¿Ã Â¦Â¬Ã Â¦Â¾Ã Â¦Â°','Ã Â¦Â¸Ã Â§â€¹Ã Â¦Â®Ã Â¦Â¬Ã Â¦Â¾Ã Â¦Â°','Ã Â¦Â®Ã Â¦â„¢Ã Â§ÂÃ Â¦â€”Ã Â¦Â²Ã Â¦Â¬Ã Â¦Â¾Ã Â¦Â°','Ã Â¦Â¬Ã Â§ÂÃ Â¦Â§Ã Â¦Â¬Ã Â¦Â¾Ã Â¦Â°','Ã Â¦Â¬Ã Â§Æ’Ã Â¦Â¹Ã Â¦Â·Ã Â§ÂÃ Â¦ÂªÃ Â¦Â¤Ã Â¦Â¿Ã Â¦Â¬Ã Â¦Â¾Ã Â¦Â°','Ã Â¦Â¶Ã Â§ÂÃ Â¦â€¢Ã Â§ÂÃ Â¦Â°Ã Â¦Â¬Ã Â¦Â¾Ã Â¦Â°','Ã Â¦Â¶Ã Â¦Â¨Ã Â¦Â¿Ã Â¦Â¬Ã Â¦Â¾Ã Â¦Â°');
INSERT INTO `locales` VALUES (42,'bn','BD','BDT','Ã Â§Â³',NULL,NULL,NULL,NULL,'#,##,##0.###','Ã‚Â¤ #,##,##0.00',NULL,NULL,'h:mm:ss a z','h:mm:ss a z','h:mm:ss a','h:mm a','EEEE d MMMM yyyy','d MMMM yyyy','dd-MM-yyyy','d-M-yy',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (43,'bn','IN','INR','Ã Â¦Å¸Ã Â¦Â¾Ã Â¦â€¢Ã Â¦Â¾',NULL,NULL,NULL,NULL,'#,##,##0.###','Ã‚Â¤ #,##,##0.00',NULL,NULL,'h:mm:ss a z','h:mm:ss a z','h:mm:ss a','h:mm a','EEEE d MMMM yyyy','d MMMM yyyy','dd-MM-yyyy','d-M-yy',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (44,'bs',NULL,NULL,NULL,NULL,NULL,',','.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Jan','Feb','Mar','Apr','Maj','Jun','Jul','Avg','Sep','Okt','Nov','Dec',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Januar','Februar','Mart','April','Maj','Juni','Juli','Avgust','Septembar','Oktobar','Novembar','Decembar','Ned','Pon','Uto','Sri','Ã„Å’et','Pet','Sub','Nedjelja','Ponedjeljak','Utorak','Srijeda','Ã„Å’etvrtak','Petak','Subota');
INSERT INTO `locales` VALUES (45,'bs','BA','BAM','KM',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (46,'byn',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Ã¡Ââ€¹Ã¡â€¹Â±Ã¡Ë†Âµ Ã¡Å’Æ’Ã¡â€°Â¥','Ã¡Ââ€¹Ã¡â€¹Â±Ã¡Ë†Âµ Ã¡â€¹Â°Ã¡Ë†ÂÃ¡â€°Â¢',NULL,NULL,NULL,'Ã¡Ë†ÂÃ¡â€¹Â°Ã¡â€°Âµ','Ã¡Å Â«Ã¡â€°Â¥Ã¡Å Â½','Ã¡Å Â­Ã¡â€°Â¥Ã¡Ë†â€¹','Ã¡Ââ€¹Ã¡Å’â€¦Ã¡Å Âº','Ã¡Å Â­Ã¡â€°Â¢Ã¡â€°â€¦','Ã¡Ë†Â/Ã¡â€°Âµ','Ã¡Å Â°Ã¡Ë†Â­','Ã¡Ë†â€ºÃ¡Ë†Â­Ã¡â€¹Â«','Ã¡â€¹Â«Ã¡Å Â¸Ã¡Å â€™','Ã¡Ë†ËœÃ¡â€°Â°Ã¡Ë†â€°','Ã¡Ë†Â/Ã¡Ë†Â','Ã¡â€°Â°Ã¡Ë†â€¢Ã¡Ë†Â³',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Ã¡Ë†ÂÃ¡â€¹Â°Ã¡â€°ÂµÃ¡Ë†Âª','Ã¡Å Â«Ã¡â€°Â¥Ã¡Å Â½Ã¡â€°Â¥Ã¡â€°Â²','Ã¡Å Â­Ã¡â€°Â¥Ã¡Ë†â€¹','Ã¡Ââ€¹Ã¡Å’â€¦Ã¡Å ÂºÃ¡Ë†Âª','Ã¡Å Â­Ã¡â€°Â¢Ã¡â€°â€¦Ã¡Ë†Âª','Ã¡Ë†ÂÃ¡Å ÂªÃ¡Å Â¤Ã¡Ë†Â Ã¡â€°ÂµÃ¡Å’â€œÃŒâ€¦Ã¡Å â€™Ã¡Ë†Âª','Ã¡Å Â°Ã¡Ë†Â­Ã¡Å Â©','Ã¡Ë†â€ºÃ¡Ë†Â­Ã¡â€¹Â«Ã¡Ë†Â Ã¡â€°ÂµÃ¡Ë†Âª','Ã¡â€¹Â«Ã¡Å Â¸Ã¡Å â€™ Ã¡Ë†ËœÃ¡Ë†Â³Ã¡â€°â€¦Ã¡Ë†Ë†Ã¡Ë†Âª','Ã¡Ë†ËœÃ¡â€°Â°Ã¡Ë†â€°','Ã¡Ë†ÂÃ¡Å ÂªÃ¡Å Â¤Ã¡Ë†Â Ã¡Ë†ËœÃ¡Ë†Â½Ã¡â€¹Ë†Ã¡Ë†Âª','Ã¡â€°Â°Ã¡Ë†â€¢Ã¡Ë†Â³Ã¡Ë†ÂµÃ¡Ë†Âª','Ã¡Ë†Â°/Ã¡â€°â€¦','Ã¡Ë†Â°Ã¡Å â€˜','Ã¡Ë†Â°Ã¡Ë†Å Ã¡Å’Â','Ã¡Ë†Ë†Ã¡Å’â€œ','Ã¡Å Â£Ã¡Ë†ÂÃ¡â€¹Âµ','Ã¡Å Â£Ã¡Ë†Â­Ã¡â€°Â¥','Ã¡Ë†Â°/Ã¡Ë†Â½','Ã¡Ë†Â°Ã¡Å â€¢Ã¡â€°Â Ã¡Ë†Â­ Ã¡â€°â€¦Ã¡â€¹Â³Ã¡â€¹â€¦','Ã¡Ë†Â°Ã¡Å â€˜','Ã¡Ë†Â°Ã¡Ë†Å Ã¡Å’Â','Ã¡Ë†Ë†Ã¡Å’â€œ Ã¡â€¹Ë†Ã¡Ë†Âª Ã¡Ë†Ë†Ã¡â€°Â¥Ã¡â€¹â€¹','Ã¡Å Â£Ã¡Ë†ÂÃ¡â€¹Âµ','Ã¡Å Â£Ã¡Ë†Â­Ã¡â€°Â¥','Ã¡Ë†Â°Ã¡Å â€¢Ã¡â€°Â Ã¡Ë†Â­ Ã¡Ë†Â½Ã¡Å’â€œÃ¡â€¹â€¦');
INSERT INTO `locales` VALUES (47,'byn','ER','ERN',NULL,NULL,NULL,NULL,NULL,NULL,'Ã‚Â¤#,##0.00',NULL,NULL,'h:mm:ss a','h:mm:ss a','h:mm:ss a','h:mm a','EEEEÃ¡ÂÂ¡ dd MMMM Ã¡Å’ÂÃ¡Ë†Â­Ã¡Å’â€¹ yyyy G','dd MMMM yyyy','dd-MMM-yyyy','dd/MM/yy',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (48,'ca',NULL,NULL,NULL,NULL,NULL,',','.',NULL,NULL,NULL,NULL,'H:mm:ss z','H:mm:ss z','H:mm:ss','H:mm','EEEE d \'de\' MMMM \'de\' yyyy','d \'de\' MMMM \'de\' yyyy','dd/MM/yyyy','dd/MM/yy',NULL,NULL,NULL,NULL,NULL,NULL,'gen.','febr.','marÃƒÂ§','abr.','maig','juny','jul.','ag.','set.','oct.','nov.','des.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'gener','febrer','marÃƒÂ§','abril','maig','juny','juliol','agost','setembre','octubre','novembre','desembre','dg.','dl.','dt.','dc.','dj.','dv.','ds.','diumenge','dilluns','dimarts','dimecres','dijous','divendres','dissabte');
INSERT INTO `locales` VALUES (49,'ca','ES','EUR','Ã¢â€šÂ¬',NULL,NULL,NULL,NULL,NULL,'#,##0.00 Ã‚Â¤',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (50,'cch',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Dyon','Baa','Atat','Anas','Atyo','Achi','Atar','Awur','Shad','Shak','Naba','Nata',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Pen Dyon','Pen Ba\'a','Pen Atat','Pen Anas','Pen Atyon','Pen Achirim','Pen Atariba','Pen Awurr','Pen Shadon','Pen Shakur','Pen Kur Naba','Pen Kur Natat','Yok','Tung','T. Tung','Tsan','Nas','Nat','Chir','Wai Yoka Bawai','Wai Tunga','Toki Gitung','Tsam Kasuwa','Wai Na Nas','Wai Na Tiyon','Wai Na Chirim');
INSERT INTO `locales` VALUES (51,'cch','NG','NGN','Ã¢â€šÂ¦',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (52,'cs',NULL,NULL,NULL,NULL,NULL,',','Ã‚Â ',NULL,NULL,NULL,NULL,'H:mm:ss z','H:mm:ss z','H:mm:ss','H:mm','EEEE, d. MMMM yyyy','d. MMMM yyyy','d.M.yyyy','d.M.yy',NULL,'dop.','odp.',NULL,NULL,NULL,'led','ÃƒÂºno','bÃ…â„¢e','dub','kvÃ„â€º','Ã„Ârn','Ã„Ârc','srp','zÃƒÂ¡Ã…â„¢','Ã…â„¢ÃƒÂ­j','lis','pro','l','ÃƒÂº','b','d','k','Ã„Â','Ã„Â','s','z','Ã…â„¢','l','p','ledna','ÃƒÂºnora','bÃ…â„¢ezna','dubna','kvÃ„â€ºtna','Ã„Âervna','Ã„Âervence','srpna','zÃƒÂ¡Ã…â„¢ÃƒÂ­','Ã…â„¢ÃƒÂ­jna','listopadu','prosince','ne','po','ÃƒÂºt','st','Ã„Ât','pÃƒÂ¡','so','nedÃ„â€ºle','pondÃ„â€ºlÃƒÂ­','ÃƒÂºterÃƒÂ½','stÃ…â„¢eda','Ã„Âtvrtek','pÃƒÂ¡tek','sobota');
INSERT INTO `locales` VALUES (53,'cs','CZ','CZK','KÃ„Â',NULL,NULL,NULL,NULL,NULL,'#,##0.00 Ã‚Â¤',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (54,'cy',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Ã‚Â¤#,##0.00',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Ion','Chwef','Mawrth','Ebrill','Mai','Meh','Gorff','Awst','Medi','Hyd','Tach','Rhag',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Ionawr','Chwefror','Mawrth','Ebrill','Mai','Mehefin','Gorffenaf','Awst','Medi','Hydref','Tachwedd','Rhagfyr','Sul','Llun','Maw','Mer','Iau','Gwen','Sad','Dydd Sul','Dydd Llun','Dydd Mawrth','Dydd Mercher','Dydd Iau','Dydd Gwener','Dydd Sadwrn');
INSERT INTO `locales` VALUES (55,'cy','GB','GBP','Ã‚Â£',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'EEEE, dd MMMM yyyy','dd MMMM yyyy','d MMM yyyy','dd/MM/yyyy',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (56,'da',NULL,NULL,NULL,NULL,NULL,',','.',NULL,'#,##0.00 Ã‚Â¤',NULL,'Ã¢Ë†â€™','HH.mm.ss z','HH.mm.ss z','HH.mm.ss','HH.mm','EEEE \'den\' d. MMMM yyyy','d. MMM yyyy','dd/MM/yyyy','dd/MM/yy',NULL,NULL,NULL,NULL,NULL,NULL,'jan','feb','mar','apr','maj','jun','jul','aug','sep','okt','nov','dec',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'januar','februar','marts','april','maj','juni','juli','august','september','oktober','november','december','sÃƒÂ¸n','man','tir','ons','tor','fre','lÃƒÂ¸r','sÃƒÂ¸ndag','mandag','tirsdag','onsdag','torsdag','fredag','lÃƒÂ¸rdag');
INSERT INTO `locales` VALUES (57,'da','DK','DKK','kr',NULL,NULL,NULL,NULL,NULL,'Ã‚Â¤ #,##0.00;Ã‚Â¤ -#,##0.00',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (58,'de',NULL,NULL,NULL,NULL,NULL,',','.',NULL,NULL,NULL,NULL,'H:mm\' Uhr \'z',NULL,NULL,NULL,'EEEE, d. MMMM yyyy','d. MMMM yyyy','dd.MM.yyyy','dd.MM.yy',NULL,'vorm.','nachm.',NULL,NULL,NULL,'Jan','Feb','MÃƒÂ¤r','Apr','Mai','Jun','Jul','Aug','Sep','Okt','Nov','Dez',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Januar','Februar','MÃƒÂ¤rz','April','Mai','Juni','Juli','August','September','Oktober','November','Dezember','So','Mo','Di','Mi','Do','Fr','Sa','Sonntag','Montag','Dienstag','Mittwoch','Donnerstag','Freitag','Samstag');
INSERT INTO `locales` VALUES (59,'de','AT','EUR','Ã¢â€šÂ¬',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'HH:mm\' Uhr \'z',NULL,NULL,NULL,'EEEE, dd. MMMM yyyy','dd. MMMM yyyy',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'JÃƒÂ¤n',NULL,'MÃƒÂ¤r',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'JÃƒÂ¤nner',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (60,'de','BE','EUR','Ã¢â€šÂ¬',NULL,NULL,NULL,NULL,NULL,'#,##0.00 Ã‚Â¤',NULL,NULL,'HH \'h\' mm \'min\' ss \'s\' z',NULL,NULL,NULL,'EEEE d MMMM yyyy','d MMMM yyyy','d-MMM-yy','d/MM/yy',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'MÃƒÂ¤r',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Son','Mon','Die','Mit','Don','Fre','Sam',NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (61,'de','CH','CHF','SFr.','5','2','.','',NULL,'Ã‚Â¤ #,##0.00;Ã‚Â¤-#,##0.00',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (62,'de','DE','EUR','Ã¢â€šÂ¬',NULL,NULL,NULL,NULL,NULL,'#,##0.00 Ã‚Â¤',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (63,'de','LI','CHF','SFr.','5','2','.','',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (64,'de','LU','EUR','Ã¢â€šÂ¬',NULL,NULL,NULL,NULL,NULL,'#,##0.00 Ã‚Â¤',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (65,'dv',NULL,NULL,NULL,NULL,NULL,NULL,NULL,'#,##,##0.###','Ã‚Â¤ #,##,##0.00',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (66,'dv','MV','MVR','ÃžÆ’.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'hh:mm:ss a z','hh:mm:ss a z','hh:mm:ss a','hh:mm a','EEEE d MMMM yyyy','d MMMM yyyy','dd-MM-yyyy','d-M-yy',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (67,'dz',NULL,NULL,NULL,NULL,NULL,NULL,NULL,'#,##,##0.###','Ã‚Â¤#,##,##0.00',NULL,NULL,'Ã Â½â€ Ã Â½Â´Ã Â¼â€¹Ã Â½Å¡Ã Â½Â¼Ã Â½â€˜Ã Â¼â€¹ h Ã Â½Â¦Ã Â¾ÂÃ Â½Â¢Ã Â¼â€¹Ã Â½ËœÃ Â¼â€¹ mm Ã Â½Â¦Ã Â¾ÂÃ Â½Â¢Ã Â¼â€¹Ã Â½â€ Ã Â½Â±Ã Â¼â€¹ ss a zzzz','Ã Â½â€ Ã Â½Â´Ã Â¼â€¹Ã Â½Å¡Ã Â½Â¼Ã Â½â€˜Ã Â¼â€¹ h Ã Â½Â¦Ã Â¾ÂÃ Â½Â¢Ã Â¼â€¹Ã Â½ËœÃ Â¼â€¹ mm Ã Â½Â¦Ã Â¾ÂÃ Â½Â¢Ã Â¼â€¹Ã Â½â€ Ã Â½Â±Ã Â¼â€¹ ss a zzz','Ã Â½â€ Ã Â½Â´Ã Â¼â€¹Ã Â½Å¡Ã Â½Â¼Ã Â½â€˜Ã Â¼â€¹h:mm:ss a','Ã Â½â€ Ã Â½Â´Ã Â¼â€¹Ã Â½Å¡Ã Â½Â¼Ã Â½â€˜Ã Â¼â€¹ h Ã Â½Â¦Ã Â¾ÂÃ Â½Â¢Ã Â¼â€¹Ã Â½ËœÃ Â¼â€¹ mm a','Ã Â½Â¦Ã Â¾Â¤Ã Â¾Â±Ã Â½Â²Ã Â¼â€¹Ã Â½Â£Ã Â½Â¼Ã Â¼â€¹yyyy Ã Â½Å¸Ã Â¾Â³Ã Â¼â€¹ MMMM Ã Â½Å¡Ã Â½ÂºÃ Â½Â¦Ã Â¼â€¹ dd','Ã Â½Â¦Ã Â¾Â¤Ã Â¾Â±Ã Â½Â²Ã Â¼â€¹Ã Â½Â£Ã Â½Â¼Ã Â¼â€¹yyyy Ã Â½Å¸Ã Â¾Â³Ã Â¼â€¹ MMMM Ã Â½Å¡Ã Â½ÂºÃ Â½Â¦Ã Â¼â€¹ dd','Ã Â½Â¦Ã Â¾Â¤Ã Â¾Â±Ã Â½Â²Ã Â¼â€¹Ã Â½Â£Ã Â½Â¼Ã Â¼â€¹yyyy Ã Â½Å¸Ã Â¾Â³Ã Â¼â€¹ MMM Ã Â½Å¡Ã Â½ÂºÃ Â½Â¦Ã Â¼â€¹ dd','Ã Â½Â¦Ã Â¾Â¤Ã Â¾Â±Ã Â½Â²Ã Â¼â€¹Ã Â½Â£Ã Â½Â¼Ã Â¼â€¹ yyyy Ã Â½Å¸Ã Â¾Â³Ã Â¼â€¹ MMM Ã Â½Å¡Ã Â½ÂºÃ Â½Â¦Ã Â¼â€¹ dd','{1} {0}','Ã Â½Â¦Ã Â¾â€Ã Â¼â€¹Ã Â½â€ Ã Â¼â€¹','Ã Â½â€¢Ã Â¾Â±Ã Â½Â²Ã Â¼â€¹Ã Â½â€ Ã Â¼â€¹',NULL,NULL,NULL,'Ã Â½Å¸Ã Â¾Â³Ã Â¼â€¹ Ã Â¼Â¡','Ã Â½Å¸Ã Â¾Â³Ã Â¼â€¹ Ã Â¼Â¢','Ã Â½Å¸Ã Â¾Â³Ã Â¼â€¹ Ã Â¼Â£','Ã Â½Å¸Ã Â¾Â³Ã Â¼â€¹ Ã Â¼Â¤','Ã Â½Å¸Ã Â¾Â³Ã Â¼â€¹ Ã Â¼Â¥','Ã Â½Å¸Ã Â¾Â³Ã Â¼â€¹ Ã Â¼Â¦','Ã Â½Å¸Ã Â¾Â³Ã Â¼â€¹ Ã Â¼Â§','Ã Â½Å¸Ã Â¾Â³Ã Â¼â€¹ Ã Â¼Â¨','Ã Â½Å¸Ã Â¾Â³Ã Â¼â€¹ Ã Â¼Â©','Ã Â½Å¸Ã Â¾Â³Ã Â¼â€¹ Ã Â¼Â¡Ã Â¼Â ','Ã Â½Å¸Ã Â¾Â³Ã Â¼â€¹ Ã Â¼Â¡Ã Â¼Â¡','Ã Â½Å¸Ã Â¾Â³Ã Â¼â€¹ Ã Â¼Â¡Ã Â¼Â¢',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Ã Â½Â¦Ã Â¾Â¤Ã Â¾Â±Ã Â½Â²Ã Â¼â€¹Ã Â½Å¸Ã Â¾Â³Ã Â½ÂÃ Â¼â€¹Ã Â½â€˜Ã Â½â€žÃ Â½â€Ã Â¼â€¹','Ã Â½Â¦Ã Â¾Â¤Ã Â¾Â±Ã Â½Â²Ã Â¼â€¹Ã Â½Å¸Ã Â¾Â³Ã Â½ÂÃ Â¼â€¹Ã Â½â€šÃ Â½â€°Ã Â½Â²Ã Â½Â¦Ã Â¼â€¹Ã Â½â€Ã Â¼â€¹','Ã Â½Â¦Ã Â¾Â¤Ã Â¾Â±Ã Â½Â²Ã Â¼â€¹Ã Â½Å¸Ã Â¾Â³Ã Â½ÂÃ Â¼â€¹Ã Â½â€šÃ Â½Â¦Ã Â½Â´Ã Â½ËœÃ Â¼â€¹Ã Â½â€Ã Â¼â€¹','Ã Â½Â¦Ã Â¾Â¤Ã Â¾Â±Ã Â½Â²Ã Â¼â€¹Ã Â½Å¸Ã Â¾Â³Ã Â½ÂÃ Â¼â€¹Ã Â½â€“Ã Â½Å¾Ã Â½Â²Ã Â¼â€¹Ã Â½â€Ã Â¼â€¹','Ã Â½Â¦Ã Â¾Â¤Ã Â¾Â±Ã Â½Â²Ã Â¼â€¹Ã Â½Å¸Ã Â¾Â³Ã Â½ÂÃ Â¼â€¹Ã Â½Â£Ã Â¾â€Ã Â¼â€¹Ã Â½â€Ã Â¼â€¹','Ã Â½Â¦Ã Â¾Â¤Ã Â¾Â±Ã Â½Â²Ã Â¼â€¹Ã Â½Å¸Ã Â¾Â³Ã Â½ÂÃ Â¼â€¹Ã Â½â€˜Ã Â¾Â²Ã Â½Â´Ã Â½â€šÃ Â¼â€¹Ã Â½â€Ã Â¼â€¹','Ã Â½Â¦Ã Â¾Â¤Ã Â¾Â±Ã Â½Â²Ã Â¼â€¹Ã Â½Å¸Ã Â¾Â³Ã Â½ÂÃ Â¼â€¹Ã Â½â€“Ã Â½â€˜Ã Â½Â´Ã Â½â€œÃ Â¼â€¹Ã Â½â€Ã Â¼â€¹','Ã Â½Â¦Ã Â¾Â¤Ã Â¾Â±Ã Â½Â²Ã Â¼â€¹Ã Â½Å¸Ã Â¾Â³Ã Â½ÂÃ Â¼â€¹Ã Â½â€“Ã Â½Â¢Ã Â¾â€™Ã Â¾Â±Ã Â½â€˜Ã Â¼â€¹Ã Â½â€Ã Â¼â€¹','Ã Â½Â¦Ã Â¾Â¤Ã Â¾Â±Ã Â½Â²Ã Â¼â€¹Ã Â½Å¸Ã Â¾Â³Ã Â½ÂÃ Â¼â€¹Ã Â½â€˜Ã Â½â€šÃ Â½Â´Ã Â¼â€¹Ã Â½â€Ã Â¼â€¹','Ã Â½Â¦Ã Â¾Â¤Ã Â¾Â±Ã Â½Â²Ã Â¼â€¹Ã Â½Å¸Ã Â¾Â³Ã Â½ÂÃ Â¼â€¹Ã Â½â€“Ã Â½â€¦Ã Â½Â´Ã Â¼â€¹Ã Â½â€Ã Â¼â€¹','Ã Â½Â¦Ã Â¾Â¤Ã Â¾Â±Ã Â½Â²Ã Â¼â€¹Ã Â½Å¸Ã Â¾Â³Ã Â½ÂÃ Â¼â€¹Ã Â½â€“Ã Â½â€¦Ã Â½Â´Ã Â¼â€¹Ã Â½â€šÃ Â½â€¦Ã Â½Â²Ã Â½â€šÃ Â¼â€¹Ã Â½â€Ã Â¼â€¹','Ã Â½Â¦Ã Â¾Â¤Ã Â¾Â±Ã Â½Â²Ã Â¼â€¹Ã Â½Å¸Ã Â¾Â³Ã Â½ÂÃ Â¼â€¹Ã Â½â€“Ã Â½â€¦Ã Â½Â´Ã Â¼â€¹Ã Â½â€šÃ Â½â€°Ã Â½Â²Ã Â½Â¦Ã Â¼â€¹Ã Â½â€Ã Â¼â€¹','Ã Â½Å¸Ã Â¾Â³Ã Â¼â€¹','Ã Â½ËœÃ Â½Â²Ã Â½Â¢Ã Â¼â€¹','Ã Â½Â£Ã Â¾Â·Ã Â½â€šÃ Â¼â€¹','Ã Â½â€¢Ã Â½Â´Ã Â½Â¢Ã Â¼â€¹','Ã Â½Â¦Ã Â½â€žÃ Â½Â¦Ã Â¼â€¹','Ã Â½Â¦Ã Â¾Â¤Ã Â½ÂºÃ Â½â€œÃ Â¼â€¹','Ã Â½â€°Ã Â½Â²Ã Â¼â€¹','Ã Â½â€šÃ Â½Å¸Ã Â½Â Ã Â¼â€¹Ã Â½Å¸Ã Â¾Â³Ã Â¼â€¹Ã Â½â€“Ã Â¼â€¹','Ã Â½â€šÃ Â½Å¸Ã Â½Â Ã Â¼â€¹Ã Â½ËœÃ Â½Â²Ã Â½â€šÃ Â¼â€¹Ã Â½â€˜Ã Â½ËœÃ Â½Â¢Ã Â¼â€¹','Ã Â½â€šÃ Â½Å¸Ã Â½Â Ã Â¼â€¹Ã Â½Â£Ã Â¾Â·Ã Â½â€šÃ Â¼â€¹Ã Â½â€Ã Â¼â€¹','Ã Â½â€šÃ Â½Å¸Ã Â½Â Ã Â¼â€¹Ã Â½â€¢Ã Â½Â´Ã Â½Â¢Ã Â¼â€¹Ã Â½â€“Ã Â½Â´Ã Â¼â€¹','Ã Â½â€šÃ Â½Å¸Ã Â½Â Ã Â¼â€¹Ã Â½â€Ã Â¼â€¹Ã Â½Â¦Ã Â½â€žÃ Â½Â¦Ã Â¼â€¹','Ã Â½â€šÃ Â½Å¸Ã Â½Â Ã Â¼â€¹Ã Â½Â¦Ã Â¾Â¤Ã Â½ÂºÃ Â½â€œÃ Â¼â€¹Ã Â½â€Ã Â¼â€¹','Ã Â½â€šÃ Â½Å¸Ã Â½Â Ã Â¼â€¹Ã Â½â€°Ã Â½Â²Ã Â¼â€¹Ã Â½ËœÃ Â¼â€¹');
INSERT INTO `locales` VALUES (68,'dz','BT','INR','Ã¢â€šÂ¨',NULL,NULL,NULL,NULL,NULL,NULL,'Ã Â½â€“Ã Â½Â¢Ã Â¾â€™Ã Â¼â€¹Ã Â½â€ Ã Â½Â±',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (69,'ee',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'AN','EW',NULL,NULL,NULL,'Dzv','Dzd','Ted','AfÃ‰â€','Dam','Mas','Sia','Dea','Any','Kel','Ade','Dzm',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Dzove','Dzodze','Tedoxe','AfÃ‰â€fiÃ‰â€º','Dama','Masa','SiamlÃ‰â€m','Deasiamime','AnyÃ‰â€nyÃ‰â€','Kele','AdeÃ‰â€ºmekpÃ‰â€xe','Dzome','KÃ‰â€s Kwe','Dzo','Bra','KuÃ‰â€“','Yaw','FiÃ‰â€“','Mem','KÃ‰â€siÃ‰â€“a','DzoÃ‰â€“a','BraÃ‰â€“a','KuÃ‰â€“a','YawoÃ‰â€“a','FiÃ‰â€“a','MemleÃ‰â€“a');
INSERT INTO `locales` VALUES (70,'ee','GH','GHC','Ã‚Â¢',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (71,'ee','TG','XOF','CFA','0','-1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (72,'el',NULL,NULL,NULL,NULL,NULL,',','.',NULL,NULL,NULL,NULL,'h:mm:ss a z','h:mm:ss a z','h:mm:ss a','h:mm a','EEEE, dd MMMM yyyy','dd MMMM yyyy','dd MMM yyyy','dd/MM/yyyy',NULL,'ÃŽÂ ÃŽÅ“','ÃŽÅ“ÃŽÅ“',NULL,NULL,NULL,'ÃŽâ„¢ÃŽÂ±ÃŽÂ½','ÃŽÂ¦ÃŽÂµÃŽÂ²','ÃŽÅ“ÃŽÂ±ÃÂ','ÃŽâ€˜Ãâ‚¬ÃÂ','ÃŽÅ“ÃŽÂ±ÃÅ ','ÃŽâ„¢ÃŽÂ¿Ãâ€¦ÃŽÂ½','ÃŽâ„¢ÃŽÂ¿Ãâ€¦ÃŽÂ»','ÃŽâ€˜Ãâ€¦ÃŽÂ³','ÃŽÂ£ÃŽÂµÃâ‚¬','ÃŽÅ¸ÃŽÂºÃâ€ž','ÃŽÂÃŽÂ¿ÃŽÂµ','ÃŽâ€ÃŽÂµÃŽÂº','ÃŽâ„¢','ÃŽÂ¦','ÃŽÅ“','ÃŽâ€˜','ÃŽÅ“','ÃŽâ„¢','ÃŽâ„¢','ÃŽâ€˜','ÃŽÂ£','ÃŽÅ¸','ÃŽÂ','ÃŽâ€','ÃŽâ„¢ÃŽÂ±ÃŽÂ½ÃŽÂ¿Ãâ€¦ÃŽÂ±ÃÂÃŽÂ¯ÃŽÂ¿Ãâ€¦','ÃŽÂ¦ÃŽÂµÃŽÂ²ÃÂÃŽÂ¿Ãâ€¦ÃŽÂ±ÃÂÃŽÂ¯ÃŽÂ¿Ãâ€¦','ÃŽÅ“ÃŽÂ±ÃÂÃâ€žÃŽÂ¯ÃŽÂ¿Ãâ€¦','ÃŽâ€˜Ãâ‚¬ÃÂÃŽÂ¹ÃŽÂ»ÃŽÂ¯ÃŽÂ¿Ãâ€¦','ÃŽÅ“ÃŽÂ±ÃŽÂÃŽÂ¿Ãâ€¦','ÃŽâ„¢ÃŽÂ¿Ãâ€¦ÃŽÂ½ÃŽÂ¯ÃŽÂ¿Ãâ€¦','ÃŽâ„¢ÃŽÂ¿Ãâ€¦ÃŽÂ»ÃŽÂ¯ÃŽÂ¿Ãâ€¦','ÃŽâ€˜Ãâ€¦ÃŽÂ³ÃŽÂ¿ÃÂÃÆ’Ãâ€žÃŽÂ¿Ãâ€¦','ÃŽÂ£ÃŽÂµÃâ‚¬Ãâ€žÃŽÂµÃŽÂ¼ÃŽÂ²ÃÂÃŽÂ¯ÃŽÂ¿Ãâ€¦','ÃŽÅ¸ÃŽÂºÃâ€žÃâ€°ÃŽÂ²ÃÂÃŽÂ¯ÃŽÂ¿Ãâ€¦','ÃŽÂÃŽÂ¿ÃŽÂµÃŽÂ¼ÃŽÂ²ÃÂÃŽÂ¯ÃŽÂ¿Ãâ€¦','ÃŽâ€ÃŽÂµÃŽÂºÃŽÂµÃŽÂ¼ÃŽÂ²ÃÂÃŽÂ¯ÃŽÂ¿Ãâ€¦','ÃŽÅ¡Ãâ€¦ÃÂ','ÃŽâ€ÃŽÂµÃâ€¦','ÃŽÂ¤ÃÂÃŽÂ¹','ÃŽÂ¤ÃŽÂµÃâ€ž','ÃŽÂ ÃŽÂµÃŽÂ¼','ÃŽÂ ÃŽÂ±ÃÂ','ÃŽÂ£ÃŽÂ±ÃŽÂ²','ÃŽÅ¡Ãâ€¦ÃÂÃŽÂ¹ÃŽÂ±ÃŽÂºÃŽÂ®','ÃŽâ€ÃŽÂµÃâ€¦Ãâ€žÃŽÂ­ÃÂÃŽÂ±','ÃŽÂ¤ÃÂÃŽÂ¯Ãâ€žÃŽÂ·','ÃŽÂ¤ÃŽÂµÃâ€žÃŽÂ¬ÃÂÃâ€žÃŽÂ·','ÃŽÂ ÃŽÂ­ÃŽÂ¼Ãâ‚¬Ãâ€žÃŽÂ·','ÃŽÂ ÃŽÂ±ÃÂÃŽÂ±ÃÆ’ÃŽÂºÃŽÂµÃâ€¦ÃŽÂ®','ÃŽÂ£ÃŽÂ¬ÃŽÂ²ÃŽÂ²ÃŽÂ±Ãâ€žÃŽÂ¿');
INSERT INTO `locales` VALUES (73,'el','CY','CYP','Ã‚Â£',NULL,NULL,NULL,NULL,NULL,'Ã‚Â¤#,##0.00',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (74,'el','GR','EUR','Ã¢â€šÂ¬',NULL,NULL,NULL,NULL,NULL,'#,##0.00Ã‚Â¤;-Ã‚Â¤#,##0.00',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (75,'en',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Ã‚Â¤#,##0.00',NULL,NULL,'h:mm:ss a v','h:mm:ss a z','h:mm:ss a','h:mm a','EEEE, MMMM d, yyyy','MMMM d, yyyy','MMM d, yyyy','M/d/yy',NULL,NULL,NULL,NULL,NULL,NULL,'Jan','Feb','Mar','Apr','May','Jun','Jul','Aug','Sep','Oct','Nov','Dec',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'January','February','March','April','May','June','July','August','September','October','November','December','Sun','Mon','Tue','Wed','Thu','Fri','Sat','Sunday','Monday','Tuesday','Wednesday','Thursday','Friday','Saturday');
INSERT INTO `locales` VALUES (76,'en','AS','USD','US$',NULL,NULL,NULL,NULL,NULL,'Ã‚Â¤#,##0.00;(Ã‚Â¤#,##0.00)',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (77,'en','AU','AUD','$',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'h:mm:ss a',NULL,NULL,'EEEE, d MMMM yyyy','d MMMM yyyy','dd/MM/yyyy','d/MM/yy',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (78,'en','BE','EUR','Ã¢â€šÂ¬',NULL,NULL,',','.',NULL,'#,##0.00 Ã‚Â¤',NULL,NULL,'HH\' h \'mm\' min \'ss\' s \'z','HH:mm:ss z','HH:mm:ss','HH:mm','EEEE d MMMM yyyy','EEE d MMM yyyy','dd MMM yyyy','dd/MM/yy',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (79,'en','BW','BWP','',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'h:mm:ss a','h:mm:ss a',NULL,NULL,'EEEE dd MMMM yyyy','dd MMMM yyyy','MMM dd,yy','dd/MM/yy',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (80,'en','BZ','BZD','BZ$',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'HH:mm:ss z','HH:mm:ss z','HH:mm:ss','HH:mm','dd MMMM yyyy','dd MMMM yyyy','dd-MMM-yy','dd/MM/yy',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (81,'en','CA','CAD','$',NULL,NULL,NULL,NULL,NULL,'Ã‚Â¤#,##0.00;(Ã‚Â¤#,##0.00)',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'d-MMM-yy','dd/MM/yy',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (82,'en','GB','GBP','Ã‚Â£',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'HH:mm:ss z','HH:mm:ss z','HH:mm:ss','HH:mm','EEEE, d MMMM yyyy','d MMMM yyyy','d MMM yyyy','dd/MM/yyyy',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (83,'en','GU','USD','US$',NULL,NULL,NULL,NULL,NULL,'Ã‚Â¤#,##0.00;(Ã‚Â¤#,##0.00)',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (84,'en','HK','HKD','$',NULL,NULL,NULL,NULL,NULL,'Ã‚Â¤#,##0.00;(Ã‚Â¤#,##0.00)',NULL,NULL,NULL,NULL,NULL,NULL,'EEEE, d MMMM yyyy','d MMMM yyyy','d MMM yyyy','dd/MM/yyyy',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (85,'en','IE','EUR','Ã¢â€šÂ¬',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'HH:mm:ss z','HH:mm:ss z','HH:mm:ss','HH:mm','EEEE d MMMM yyyy','d MMMM yyyy','d MMM yyyy','dd/MM/yyyy',NULL,'a.m.','p.m.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (86,'en','IN','INR','Ã¢â€šÂ¨',NULL,NULL,NULL,NULL,'#,##,##0.###','Ã‚Â¤ #,##,##0.00',NULL,NULL,NULL,NULL,NULL,NULL,'EEEE d MMMM yyyy','d MMMM yyyy','dd-MMM-yy','dd/MM/yy',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (87,'en','JM','JMD','J$',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (88,'en','MH','USD','US$',NULL,NULL,NULL,NULL,NULL,'Ã‚Â¤#,##0.00;(Ã‚Â¤#,##0.00)',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (89,'en','MP','USD','US$',NULL,NULL,NULL,NULL,NULL,'Ã‚Â¤#,##0.00;(Ã‚Â¤#,##0.00)',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (90,'en','MT','MTL','Lm',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'HH:mm:ss z','HH:mm:ss z','HH:mm:ss','HH:mm','EEEE, d MMMM yyyy','dd MMMM yyyy','dd MMM yyyy','dd/MM/yyyy',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (91,'en','NA','ZAR','R',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (92,'en','NZ','NZD','$',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'h:mm:ss a',NULL,NULL,'EEEE, d MMMM yyyy','d MMMM yyyy','d/MM/yyyy','d/MM/yy',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (93,'en','PH','PHP','Php',NULL,NULL,NULL,NULL,NULL,'Ã‚Â¤#,##0.00;(Ã‚Â¤#,##0.00)',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'MM d, yy',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (94,'en','PK','PKR','Pra',NULL,NULL,NULL,NULL,'#,##,##0.###','Ã‚Â¤ #,##,##0.00',NULL,NULL,NULL,NULL,NULL,NULL,'EEEE d MMMM yyyy','d MMMM yyyy','dd-MMM-yy','dd/MM/yy',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (95,'en','SG','SGD','$',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'a hh:mm:ss','a hh:mm:ss','a hh:mm','a hh:mm','dd MMMM yyyy','dd MMM yyyy','dd-MMM-yy','dd/MM/yy',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (96,'en','TT','TTD','TT$',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (97,'en','UM','USD','US$',NULL,NULL,NULL,NULL,NULL,'Ã‚Â¤#,##0.00;(Ã‚Â¤#,##0.00)',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (98,'en','US','USD','$',NULL,NULL,NULL,NULL,NULL,'Ã‚Â¤#,##0.00;(Ã‚Â¤#,##0.00)',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (99,'en','VI','USD','US$',NULL,NULL,NULL,NULL,NULL,'Ã‚Â¤#,##0.00;(Ã‚Â¤#,##0.00)',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (100,'en','ZA','ZAR','R',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'h:mm:ss a','h:mm:ss a',NULL,NULL,'EEEE dd MMMM yyyy','dd MMMM yyyy','dd MMM yyyy','yyyy/MM/dd',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (101,'en','ZW','ZWD','Z$',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'h:mm:ss a','h:mm:ss a',NULL,NULL,'EEEE dd MMMM yyyy','dd MMMM yyyy','dd MMM,yy','d/M/yyyy',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (102,'eo',NULL,NULL,NULL,NULL,NULL,',','Ã‚Â ',NULL,NULL,NULL,NULL,'H\'-a horo kaj \'m z',NULL,NULL,NULL,'EEEE, d\'-a de \'MMMM yyyy','yyyy-MMMM-dd','yyyy-MMM-dd','yy-MM-dd',NULL,'atm','ptm',NULL,NULL,NULL,'jan','feb','mar','apr','maj','jun','jul','aÃ…Â­g','sep','okt','nov','dec',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'januaro','februaro','marto','aprilo','majo','junio','julio','aÃ…Â­gusto','septembro','oktobro','novembro','decembro','di','lu','ma','me','Ã„Âµa','ve','sa','dimanÃ„â€°o','lundo','mardo','merkredo','Ã„ÂµaÃ…Â­do','vendredo','sabato');
INSERT INTO `locales` VALUES (103,'es',NULL,NULL,NULL,NULL,NULL,',','.',NULL,'Ã‚Â¤#,##0.00;(Ã‚Â¤#,##0.00)',NULL,NULL,'HH\'H\'mm\'\'ss&quot; z',NULL,NULL,NULL,'EEEE d\' de \'MMMM\' de \'yyyy','d\' de \'MMMM\' de \'yyyy','dd-MMM-yy','d/MM/yy',NULL,'a.m.','p.m.',NULL,NULL,NULL,'ene','feb','mar','abr','may','jun','jul','ago','sep','oct','nov','dic',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'enero','febrero','marzo','abril','mayo','junio','julio','agosto','septiembre','octubre','noviembre','diciembre','dom','lun','mar','miÃƒÂ©','jue','vie','sÃƒÂ¡b','domingo','lunes','martes','miÃƒÂ©rcoles','jueves','viernes','sÃƒÂ¡bado');
INSERT INTO `locales` VALUES (104,'es','AR','ARS','$',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'HH\'h\'\'\'mm z','H:mm:ss z',NULL,NULL,NULL,NULL,'dd/MM/yyyy','dd/MM/yy',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (105,'es','BO','BOB','Bs',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'hh:mm:ss a z','hh:mm:ss a z','hh:mm:ss a','hh:mm a',NULL,NULL,'dd/MM/yyyy','dd/MM/yy',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (106,'es','CL','CLP','$','0','-1',NULL,NULL,NULL,'Ã‚Â¤#,##0.00;Ã‚Â¤-#,##0.00',NULL,NULL,'HH:mm:ss z','H:mm:ss z','H:mm:ss','H:mm',NULL,NULL,'dd-MM-yyyy','dd-MM-yy',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (107,'es','CO','COP','$',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'HH:mm:ss z','H:mm:ss z','H:mm:ss','H:mm',NULL,NULL,'d/MM/yyyy',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (108,'es','CR','CRC','C',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'hh:mm:ss a z','hh:mm:ss a z','hh:mm:ss a','hh:mm a',NULL,NULL,'dd/MM/yyyy','dd/MM/yy',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (109,'es','DO','DOP','RD$',NULL,NULL,'.',',',NULL,NULL,NULL,NULL,'hh:mm:ss a z','hh:mm:ss a z','hh:mm:ss a','hh:mm a',NULL,NULL,'dd/MM/yyyy','dd/MM/yy',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (110,'es','EC','USD','$',NULL,NULL,NULL,NULL,NULL,'Ã‚Â¤#,##0.00;Ã‚Â¤-#,##0.00',NULL,NULL,'HH:mm:ss z','H:mm:ss z','H:mm:ss','H:mm',NULL,NULL,'dd/MM/yyyy','dd/MM/yy',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (111,'es','ES','EUR','Ã¢â€šÂ¬',NULL,NULL,NULL,NULL,NULL,'#,##0.00 Ã‚Â¤',NULL,NULL,NULL,NULL,'H:mm:ss','H:mm',NULL,NULL,'dd/MM/yyyy','dd/MM/yy',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (112,'es','GT','GTQ','Q',NULL,NULL,'.',',',NULL,NULL,NULL,NULL,'hh:mm:ss a z','hh:mm:ss a z','hh:mm:ss a','hh:mm a',NULL,NULL,'d/MM/yyyy',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (113,'es','HN','HNL','L',NULL,NULL,'.',',',NULL,NULL,NULL,NULL,'hh:mm:ss a z','hh:mm:ss a z','hh:mm:ss a','hh:mm a','EEEE dd\' de \'MMMM\' de \'yyyy','dd\' de \'MMMM\' de \'yyyy','dd/MM/yyyy','dd/MM/yy',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (114,'es','MX','MXN','$',NULL,NULL,'.',',',NULL,NULL,NULL,NULL,'hh:mm:ss a z','hh:mm:ss a z','hh:mm:ss a','hh:mm a',NULL,NULL,'dd/MM/yyyy','dd/MM/yy',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (115,'es','NI','NIO','C$',NULL,NULL,'.',',',NULL,NULL,NULL,NULL,'hh:mm:ss a z','hh:mm:ss a z','hh:mm:ss a','hh:mm a',NULL,NULL,'dd/MM/yyyy','dd/MM/yy',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (116,'es','PA','PAB','B',NULL,NULL,'.',',',NULL,NULL,NULL,NULL,'hh:mm:ss a z','hh:mm:ss a z','hh:mm:ss a','hh:mm a',NULL,NULL,'MM/dd/yyyy','MM/dd/yy',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (117,'es','PE','PEN','S/',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (118,'es','PR','USD','$',NULL,NULL,'.',',',NULL,NULL,NULL,NULL,'hh:mm:ss a z','hh:mm:ss a z','hh:mm:ss a','hh:mm a',NULL,NULL,'MM/dd/yyyy','MM/dd/yy',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (119,'es','PY','PYG','G','0','-1',NULL,NULL,NULL,'Ã‚Â¤ #,##0.00;Ã‚Â¤ -#,##0.00',NULL,NULL,'hh:mm:ss a z','hh:mm:ss a z','hh:mm:ss a','hh:mm a',NULL,NULL,'dd/MM/yyyy','dd/MM/yy',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (120,'es','SV','SVC','',NULL,NULL,'.',',',NULL,NULL,NULL,NULL,'hh:mm:ss a z','hh:mm:ss a z','hh:mm:ss a','hh:mm a',NULL,NULL,'dd/MM/yyyy','dd/MM/yy',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (121,'es','US','USD','US$',NULL,NULL,'.',',',NULL,NULL,NULL,NULL,'h:mm:ss a z','h:mm:ss a z','h:mm:ss a','h:mm a',NULL,NULL,'MMM d, yyyy','M/d/yy',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (122,'es','UY','UYU','',NULL,NULL,NULL,NULL,NULL,'Ã‚Â¤ #,##0.00;(Ã‚Â¤#,##0.00)',NULL,NULL,'hh:mm:ss a z','hh:mm:ss a z','hh:mm:ss a','hh:mm a',NULL,NULL,'dd/MM/yyyy','dd/MM/yy',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (123,'es','VE','VEB','Bs',NULL,NULL,NULL,NULL,NULL,'Ã‚Â¤#,##0.00;Ã‚Â¤ -#,##0.00',NULL,NULL,'hh:mm:ss a z','hh:mm:ss a z','hh:mm:ss a','hh:mm a',NULL,NULL,'dd/MM/yyyy','dd/MM/yy',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (124,'et',NULL,NULL,NULL,NULL,NULL,',','Ã‚Â ',NULL,NULL,NULL,NULL,'H:mm:ss z','H:mm:ss z','H:mm:ss','H:mm','EEEE, d, MMMM yyyy','d MMMM yyyy','dd.MM.yyyy','dd.MM.yy',NULL,NULL,NULL,NULL,NULL,NULL,'jaan','veebr','mÃƒÂ¤rts','apr','mai','juuni','juuli','aug','sept','okt','nov','dets',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'jaanuar','veebruar','mÃƒÂ¤rts','aprill','mai','juuni','juuli','august','september','oktoober','november','detsember','P','E','T','K','N','R','L','pÃƒÂ¼hapÃƒÂ¤ev','esmaspÃƒÂ¤ev','teisipÃƒÂ¤ev','kolmapÃƒÂ¤ev','neljapÃƒÂ¤ev','reede','laupÃƒÂ¤ev');
INSERT INTO `locales` VALUES (125,'et','EE','EEK','kr',NULL,NULL,NULL,NULL,NULL,'#,##0.00 Ã‚Â¤',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (126,'eu',NULL,NULL,NULL,NULL,NULL,',','.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'urt','ots','mar','api','mai','eka','uzt','abu','ira','urr','aza','abe',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'urtarrila','otsaila','martxoa','apirila','maiatza','ekaina','uztaila','abuztua','iraila','urria','azaroa','abendua','ig','al','as','az','og','or','lr','igandea','astelehena','asteartea','asteazkena','osteguna','ostirala','larunbata');
INSERT INTO `locales` VALUES (127,'eu','ES','EUR','Ã¢â€šÂ¬',NULL,NULL,NULL,NULL,NULL,'#,##0.00 Ã‚Â¤',NULL,NULL,NULL,NULL,NULL,NULL,'EEEE, yyyy\'eko\' MMMM\'ren\' dd\'a\'','EEE, yyyy\'eko\' MMM\'ren\' dd\'a\'','yy\'-\'MMM\'-\'dd','yy\'-\'MM\'-\'dd',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (128,'fa',NULL,NULL,NULL,NULL,NULL,'Ã™Â«','Ã™Â¬','#,##0.###;\'Ã¢â‚¬Âª\'-#,##0.###\'Ã¢â‚¬Â¬\'','#,##0.00 Ã‚Â¤;\'Ã¢â‚¬Âª\'-#,##0.00\'Ã¢â‚¬Â¬\' Ã‚Â¤','Ã™Âª','Ã¢Ë†â€™','H:mm:ss (vvvv)','H:mm:ss (zzzz)','H:mm:ss','H:mm','EEEE d MMMM yyyy GGGG','d MMMM yyyy','yyyy/M/d','yy/M/d G','{0}Ã˜Å’ Ã˜Â³Ã˜Â§','Ã™â€šÃ˜Â¨Ã™â€ž Ã˜Â§Ã˜Â² Ã˜Â¸Ã™â€¡Ã˜Â±','Ã˜Â¨Ã˜Â¹Ã˜Â¯ Ã˜Â§Ã˜Â² Ã˜Â¸Ã™â€¡Ã˜Â±',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'ÃšËœÃ˜Â§Ã™â€ Ã™Ë†Ã›Å’Ã™â€¡Ã™â€','Ã™ÂÃ™Ë†Ã˜Â±Ã›Å’Ã™â€¡Ã™â€','Ã™â€¦Ã˜Â§Ã˜Â±Ã˜Â³','Ã˜Â¢Ã™Ë†Ã˜Â±Ã›Å’Ã™â€ž','Ã™â€¦Ã™â€¡Ã™â€','ÃšËœÃ™Ë†Ã˜Â¦Ã™â€ ','ÃšËœÃ™Ë†Ã˜Â¦Ã›Å’Ã™â€¡Ã™â€','Ã˜Â§Ã™Ë†Ã˜Âª','Ã˜Â³Ã™Â¾Ã˜ÂªÃ˜Â§Ã™â€¦Ã˜Â¨Ã˜Â±','Ã˜Â§ÃšÂ©Ã˜ÂªÃ˜Â¨Ã˜Â±','Ã™â€ Ã™Ë†Ã˜Â§Ã™â€¦Ã˜Â¨Ã˜Â±','Ã˜Â¯Ã˜Â³Ã˜Â§Ã™â€¦Ã˜Â¨Ã˜Â±','Ã›Å’ÃšÂ©Ã˜Â´Ã™â€ Ã˜Â¨Ã™â€¡','Ã˜Â¯Ã™Ë†Ã˜Â´Ã™â€ Ã˜Â¨Ã™â€¡','Ã˜Â³Ã™â€¡Ã¢â‚¬Å’Ã˜Â´Ã™â€ Ã˜Â¨Ã™â€¡','Ãšâ€ Ã™â€¡Ã˜Â§Ã˜Â±Ã˜Â´Ã™â€ Ã˜Â¨Ã™â€¡','Ã™Â¾Ã™â€ Ã˜Â¬Ã˜Â´Ã™â€ Ã˜Â¨Ã™â€¡','Ã˜Â¬Ã™â€¦Ã˜Â¹Ã™â€¡','Ã˜Â´Ã™â€ Ã˜Â¨Ã™â€¡','Ã›Å’ÃšÂ©Ã˜Â´Ã™â€ Ã˜Â¨Ã™â€¡','Ã˜Â¯Ã™Ë†Ã˜Â´Ã™â€ Ã˜Â¨Ã™â€¡','Ã˜Â³Ã™â€¡Ã¢â‚¬Å’Ã˜Â´Ã™â€ Ã˜Â¨Ã™â€¡','Ãšâ€ Ã™â€¡Ã˜Â§Ã˜Â±Ã˜Â´Ã™â€ Ã˜Â¨Ã™â€¡','Ã™Â¾Ã™â€ Ã˜Â¬Ã˜Â´Ã™â€ Ã˜Â¨Ã™â€¡','Ã˜Â¬Ã™â€¦Ã˜Â¹Ã™â€¡','Ã˜Â´Ã™â€ Ã˜Â¨Ã™â€¡');
INSERT INTO `locales` VALUES (129,'fa','AF','AFN','Ã˜â€¹',NULL,NULL,'Ã™Â«','Ã™Â¬',NULL,NULL,'Ã™Âª','Ã¢Ë†â€™',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Ã˜Â¬Ã™â€ Ã™Ë†',NULL,NULL,NULL,'Ã™â€¦Ã™â‚¬Ã›Å’','Ã˜Â¬Ã™Ë†Ã™â€ ','Ã˜Â¬Ã™Ë†Ã™â€ž',NULL,NULL,NULL,NULL,'Ã˜Â¯Ã˜Â³Ã™â€¦',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Ã˜Â¬Ã™â€ Ã™Ë†Ã˜Â±Ã›Å’','Ã™ÂÃ˜Â¨Ã˜Â±Ã™Ë†Ã˜Â±Ã›Å’','Ã™â€¦Ã˜Â§Ã˜Â±Ãšâ€ ','Ã˜Â§Ã™Â¾Ã˜Â±Ã›Å’Ã™â€ž','Ã™â€¦Ã›Å’','Ã˜Â¬Ã™Ë†Ã™â€ ','Ã˜Â¬Ã™Ë†Ã™â€žÃ˜Â§Ã›Å’','Ã˜Â§ÃšÂ¯Ã˜Â³Ã˜Âª','Ã˜Â³Ã™Â¾Ã˜ÂªÃ™â€¦Ã˜Â¨Ã˜Â±','Ã˜Â§ÃšÂ©Ã˜ÂªÃ™Ë†Ã˜Â¨Ã˜Â±','Ã™â€ Ã™Ë†Ã™â€¦Ã˜Â¨Ã˜Â±','Ã˜Â¯Ã˜Â³Ã™â€¦Ã˜Â¨Ã˜Â±',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (130,'fa','IR','IRR','Ã¯Â·Â¼',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (131,'fi',NULL,NULL,NULL,NULL,NULL,',','Ã‚Â ',NULL,'#,##0.00Ã‚Â Ã‚Â¤',NULL,NULL,'H.mm.ss v','\'klo \'H.mm.ss','H.mm.ss','H.mm','EEEE\'na \'d. MMMM\'ta \'yyyy','d. MMMM\'ta \'yyyy','d.M.yyyy','d.M.yyyy',NULL,'ap.','ip.',NULL,NULL,NULL,'tammi','helmi','maalis','huhti','touko','kesÃƒÂ¤','heinÃƒÂ¤','elo','syys','loka','marras','joulu',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'tammikuu','helmikuu','maaliskuu','huhtikuu','toukokuu','kesÃƒÂ¤kuu','heinÃƒÂ¤kuu','elokuu','syyskuu','lokakuu','marraskuu','joulukuu','su','ma','ti','ke','to','pe','la','sunnuntai','maanantai','tiistai','keskiviikko','torstai','perjantai','lauantai');
INSERT INTO `locales` VALUES (132,'fi','FI','EUR','Ã¢â€šÂ¬',NULL,NULL,NULL,NULL,NULL,'#,##0.00 Ã‚Â¤',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (133,'fo',NULL,NULL,NULL,NULL,NULL,',','.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'EEEE dd MMMM yyyy','d. MMM yyyy','dd-MM-yyyy','dd-MM-yy',NULL,NULL,NULL,NULL,NULL,NULL,'jan','feb','mar','apr','mai','jun','jul','aug','sep','okt','nov','des',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'januar','februar','mars','aprÃƒÂ­l','mai','juni','juli','august','september','oktober','november','desember','sun','mÃƒÂ¡n','tÃƒÂ½s','mik','hÃƒÂ³s','frÃƒÂ­','ley','sunnudagur','mÃƒÂ¡nadagur','tÃƒÂ½sdagur','mikudagur','hÃƒÂ³sdagur','frÃƒÂ­ggjadagur','leygardagur');
INSERT INTO `locales` VALUES (134,'fo','FO','DKK','kr',NULL,NULL,NULL,NULL,NULL,'Ã‚Â¤#,##0.00;Ã‚Â¤ -#,##0.00',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (135,'fr',NULL,NULL,NULL,NULL,NULL,',','Ã‚Â ',NULL,'#,##0.00 Ã‚Â¤',NULL,NULL,'HH\' h \'mm z',NULL,NULL,NULL,'EEEE d MMMM yyyy','d MMMM yyyy','d MMM yy','dd/MM/yy',NULL,NULL,NULL,NULL,NULL,NULL,'janv.','fÃƒÂ©vr.','mars','avr.','mai','juin','juil.','aoÃƒÂ»t','sept.','oct.','nov.','dÃƒÂ©c.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'janvier','fÃƒÂ©vrier','mars','avril','mai','juin','juillet','aoÃƒÂ»t','septembre','octobre','novembre','dÃƒÂ©cembre','dim.','lun.','mar.','mer.','jeu.','ven.','sam.','dimanche','lundi','mardi','mercredi','jeudi','vendredi','samedi');
INSERT INTO `locales` VALUES (136,'fr','BE','EUR','Ã¢â€šÂ¬',NULL,NULL,NULL,'.',NULL,NULL,NULL,NULL,'H\' h \'mm\' min \'ss\' s \'z',NULL,NULL,NULL,NULL,NULL,'dd-MMM-yy','d/MM/yy',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (137,'fr','CA','CAD','$',NULL,NULL,NULL,NULL,NULL,'#,##0.00 Ã‚Â¤;(#,##0.00Ã‚Â¤)',NULL,NULL,'HH\' h \'mm\' min \'ss\' s \'z',NULL,NULL,NULL,NULL,NULL,'yy-MM-dd','yy-MM-dd',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (138,'fr','CH','CHF','sFr.','5','2','.','',NULL,'Ã‚Â¤ #,##0.00;Ã‚Â¤-#,##0.00',NULL,NULL,'HH.mm:ss\' h\' z',NULL,NULL,NULL,'EEEE, d MMMM yyyy',NULL,NULL,'dd.MM.yy',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (139,'fr','FR','EUR','Ã¢â€šÂ¬',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (140,'fr','LU','EUR','Ã¢â€šÂ¬',NULL,NULL,NULL,'.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (141,'fr','MC','EUR','Ã¢â€šÂ¬',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (142,'fur',NULL,NULL,NULL,NULL,NULL,',','.',NULL,'#,##0.00 Ã‚Â¤',NULL,NULL,NULL,NULL,NULL,NULL,'d MMMM yyyy EEEE','d MMMM yyyy','d MMM yyyy','d/MM/yy',NULL,'a.','p.',NULL,NULL,NULL,'Zen','Fev','Mar','Avr','Mai','Jug','Lui','Avo','Set','Otu','Nov','Dic',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'ZenÃƒÂ¢r','FevrÃƒÂ¢r','MarÃƒÂ§','AvrÃƒÂ®l','Mai','Jugn','Lui','Avost','Setembar','Otubar','Novembar','Dicembar','dom','lun','mar','mie','joi','vin','sab','domenie','lunis','martars','miercus','joibe','vinars','sabide');
INSERT INTO `locales` VALUES (143,'fur','IT','EUR','Ã¢â€šÂ¬',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (144,'ga',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'a.m.','p.m.',NULL,NULL,NULL,'Ean','Feabh','MÃƒÂ¡rta','Aib','Beal','Meith','IÃƒÂºil','LÃƒÂºn','MFÃƒÂ³mh','DFÃƒÂ³mh','Samh','Noll',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'EanÃƒÂ¡ir','Feabhra','MÃƒÂ¡rta','AibreÃƒÂ¡n','Bealtaine','Meitheamh','IÃƒÂºil','LÃƒÂºnasa','MeÃƒÂ¡n FÃƒÂ³mhair','Deireadh FÃƒÂ³mhair','Samhain','Nollaig','Domh','Luan','MÃƒÂ¡irt','CÃƒÂ©ad','DÃƒÂ©ar','Aoine','Sath','DÃƒÂ© Domhnaigh','DÃƒÂ© Luain','DÃƒÂ© MÃƒÂ¡irt','DÃƒÂ© CÃƒÂ©adaoin','DÃƒÂ©ardaoin','DÃƒÂ© hAoine','DÃƒÂ© Sathairn');
INSERT INTO `locales` VALUES (145,'ga','IE','EUR','Ã¢â€šÂ¬',NULL,NULL,NULL,NULL,NULL,'Ã‚Â¤#,##0.00',NULL,NULL,NULL,NULL,NULL,NULL,'EEEE d MMMM yyyy','d MMMM yyyy','d MMM yyyy','dd/MM/yyyy',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (146,'gaa',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'LB','SN',NULL,NULL,NULL,'Aha','Ofl','Och','Abe','Agb','Otu','Maa','Man','Gbo','Ant','Ale','Afu',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Aharabata','Oflo','Ochokrikri','Abeibee','Agbeinaa','Otukwadan','Maawe','Manyawale','Gbo','Anton','Alemle','Afuabee','Ho','Dzu','Dzf','Sho','Soo','Soh','Ho','Hogbaa','Dzu','Dzufo','Sho','Soo','Sohaa','Ho');
INSERT INTO `locales` VALUES (147,'gaa','GH','GHC','Ã‚Â¢',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (148,'gez',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Ã¡Å’Â½Ã¡â€°Â£Ã¡Ë†â€¢','Ã¡Ë†ÂÃ¡Ë†Â´Ã¡â€°Âµ',NULL,NULL,NULL,'Ã¡Å’Â Ã¡Ë†ÂÃ¡Ë†Â¨','Ã¡Å Â¨Ã¡â€°Â°Ã¡â€°Â°','Ã¡Ë†ËœÃ¡Å’Ë†Ã¡â€°Â ','Ã¡Å Â Ã¡Å â‚¬Ã¡â€¹Ëœ','Ã¡Å’ÂÃ¡Å â€¢Ã¡â€°Â£','Ã¡Ë†Â Ã¡Å â€¢Ã¡â€¹Â¨','Ã¡Ë†ÂÃ¡Ë†ËœÃ¡Ë†Ë†','Ã¡Å ÂÃ¡Ë†ÂÃ¡Ë†Â°','Ã¡Å Â¨Ã¡Ë†Â¨Ã¡Ë†Ëœ','Ã¡Å’Â Ã¡â€°â‚¬Ã¡Ë†Ëœ','Ã¡Å â‚¬Ã¡â€¹Â°Ã¡Ë†Â¨','Ã¡Å â‚¬Ã¡Ë†Â Ã¡Ë†Â ',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Ã¡Å’Â Ã¡Ë†ÂÃ¡Ë†Â¨','Ã¡Å Â¨Ã¡â€°Â°Ã¡â€°Â°','Ã¡Ë†ËœÃ¡Å’Ë†Ã¡â€°Â ','Ã¡Å Â Ã¡Å â‚¬Ã¡â€¹Ëœ','Ã¡Å’ÂÃ¡Å â€¢Ã¡â€°Â£Ã¡â€°Âµ','Ã¡Ë†Â Ã¡Å â€¢Ã¡â€¹Â¨','Ã¡Ë†ÂÃ¡Ë†ËœÃ¡Ë†Ë†','Ã¡Å ÂÃ¡Ë†ÂÃ¡Ë†Â°','Ã¡Å Â¨Ã¡Ë†Â¨Ã¡Ë†Ëœ','Ã¡Å’Â Ã¡â€°â‚¬Ã¡Ë†Ëœ','Ã¡Å â‚¬Ã¡â€¹Â°Ã¡Ë†Â¨','Ã¡Å â‚¬Ã¡Ë†Â Ã¡Ë†Â ','Ã¡Å Â¥Ã¡Å ÂÃ¡â€¹Âµ','Ã¡Ë†Â°Ã¡Å â€˜Ã¡â€¹Â­','Ã¡Ë†Â Ã¡Ë†â€°Ã¡Ë†Âµ','Ã¡Ë†Â«Ã¡â€°Â¥Ã¡â€¹â€¢','Ã¡Ë†ÂÃ¡Ë†â„¢Ã¡Ë†Âµ','Ã¡â€¹â€œÃ¡Ë†Â­Ã¡â€°Â ','Ã¡â€°â‚¬Ã¡â€¹Â³Ã¡Ë†Å¡','Ã¡Å Â¥Ã¡Å ÂÃ¡â€¹Âµ','Ã¡Ë†Â°Ã¡Å â€˜Ã¡â€¹Â­','Ã¡Ë†Â Ã¡Ë†â€°Ã¡Ë†Âµ','Ã¡Ë†Â«Ã¡â€°Â¥Ã¡â€¹â€¢','Ã¡Ë†ÂÃ¡Ë†â„¢Ã¡Ë†Âµ','Ã¡â€¹â€œÃ¡Ë†Â­Ã¡â€°Â ','Ã¡â€°â‚¬Ã¡â€¹Â³Ã¡Ë†Å¡Ã¡â€°Âµ');
INSERT INTO `locales` VALUES (149,'gez','ER','ERN','$',NULL,NULL,NULL,'Ã¡â€¹Ë†',NULL,'Ã‚Â¤#,##0.00',NULL,NULL,'h:mm:ss a','h:mm:ss a','h:mm:ss a','h:mm a','EEEEÃ¡ÂÂ¥ dd MMMM Ã¡Ë†ËœÃ¡â€¹â€œÃ¡Ë†ÂÃ¡â€°Âµ yyyy G','dd MMMM yyyy','dd-MMM-yyyy','dd/MM/yy',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (150,'gez','ET','ETB','$',NULL,NULL,NULL,'Ã¡â€¹Ë†',NULL,'Ã‚Â¤#,##0.00',NULL,NULL,'h:mm:ss a','h:mm:ss a','h:mm:ss a','h:mm a','EEEEÃ¡ÂÂ¥ dd MMMM Ã¡Ë†ËœÃ¡â€¹â€œÃ¡Ë†ÂÃ¡â€°Âµ yyyy G','dd MMMM yyyy','dd-MMM-yyyy','dd/MM/yy',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (151,'gl',NULL,NULL,NULL,NULL,NULL,',','.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Xan','Feb','Mar','Abr','Mai','XuÃƒÂ±','Xul','Ago','Set','Out','Nov','Dec',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Xaneiro','Febreiro','Marzo','Abril','Maio','XuÃƒÂ±o','Xullo','Agosto','Setembro','Outubro','Novembro','Decembro','Dom','Lun','Mar','MÃƒÂ©r','Xov','Ven','SÃƒÂ¡b','Domingo','Luns','Martes','MÃƒÂ©rcores','Xoves','Venres','SÃƒÂ¡bado');
INSERT INTO `locales` VALUES (152,'gl','ES','EUR','Ã¢â€šÂ¬',NULL,NULL,NULL,NULL,NULL,'#,##0.00 Ã‚Â¤',NULL,NULL,NULL,NULL,NULL,NULL,'EEEE dd MMMM yyyy','dd MMMM yyyy','MMM dd,yy','dd/MM/yy',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (153,'gu',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Ã ÂªÂªÃ Â«â€šÃ ÂªÂ°Ã Â«ÂÃ ÂªÂµÃ‚Â Ã ÂªÂ®Ã ÂªÂ§Ã Â«ÂÃ ÂªÂ¯Ã ÂªÂ¾Ã ÂªÂ¹Ã Â«ÂÃ ÂªÂ¨','Ã Âªâ€°Ã ÂªÂ¤Ã Â«ÂÃ ÂªÂ¤Ã ÂªÂ°Ã‚Â Ã ÂªÂ®Ã ÂªÂ§Ã Â«ÂÃ ÂªÂ¯Ã ÂªÂ¾Ã ÂªÂ¹Ã Â«ÂÃ ÂªÂ¨',NULL,NULL,NULL,'Ã ÂªÅ“Ã ÂªÂ¾Ã ÂªÂ¨Ã Â«ÂÃ ÂªÂ¯Ã Â«Â','Ã ÂªÂ«Ã Â«â€¡Ã ÂªÂ¬Ã Â«ÂÃ ÂªÂ°Ã Â«Â','Ã ÂªÂ®Ã ÂªÂ¾Ã ÂªÂ°Ã Â«ÂÃ ÂªÅ¡','Ã ÂªÂÃ ÂªÂªÃ Â«ÂÃ ÂªÂ°Ã ÂªÂ¿Ã ÂªÂ²','Ã ÂªÂ®Ã Â«â€¡','Ã ÂªÅ“Ã Â«â€šÃ ÂªÂ¨','Ã ÂªÅ“Ã Â«ÂÃ ÂªÂ²Ã ÂªÂ¾Ã ÂªË†','Ã Âªâ€˜Ã Âªâ€”Ã ÂªÂ¸Ã Â«ÂÃ ÂªÅ¸','Ã ÂªÂ¸Ã ÂªÂªÃ Â«ÂÃ ÂªÅ¸Ã Â«â€¡','Ã Âªâ€˜Ã Âªâ€¢Ã Â«ÂÃ ÂªÅ¸Ã Â«â€¹','Ã ÂªÂ¨Ã ÂªÂµÃ Â«â€¡','Ã ÂªÂ¡Ã ÂªÂ¿Ã ÂªÂ¸Ã Â«â€¡',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Ã ÂªÅ“Ã ÂªÂ¾Ã ÂªÂ¨Ã Â«ÂÃ ÂªÂ¯Ã Â«ÂÃ Âªâ€ Ã ÂªÂ°Ã Â«â‚¬','Ã ÂªÂ«Ã Â«â€¡Ã ÂªÂ¬Ã Â«ÂÃ ÂªÂ°Ã Â«ÂÃ Âªâ€ Ã ÂªÂ°Ã Â«â‚¬','Ã ÂªÂ®Ã ÂªÂ¾Ã ÂªÂ°Ã Â«ÂÃ ÂªÅ¡','Ã ÂªÂÃ ÂªÂªÃ Â«ÂÃ ÂªÂ°Ã ÂªÂ¿Ã ÂªÂ²','Ã ÂªÂ®Ã Â«â€¡','Ã ÂªÅ“Ã Â«â€šÃ ÂªÂ¨','Ã ÂªÅ“Ã Â«ÂÃ ÂªÂ²Ã ÂªÂ¾Ã ÂªË†','Ã Âªâ€˜Ã Âªâ€”Ã ÂªÂ¸Ã Â«ÂÃ ÂªÅ¸','Ã ÂªÂ¸Ã ÂªÂªÃ Â«ÂÃ ÂªÅ¸Ã Â«â€¡Ã ÂªÂ®Ã Â«ÂÃ ÂªÂ¬Ã ÂªÂ°','Ã Âªâ€˜Ã Âªâ€¢Ã Â«ÂÃ ÂªÅ¸Ã Â«ÂÃ ÂªÂ¬Ã ÂªÂ°','Ã ÂªÂ¨Ã ÂªÂµÃ Â«â€¡Ã ÂªÂ®Ã Â«ÂÃ ÂªÂ¬Ã ÂªÂ°','Ã ÂªÂ¡Ã ÂªÂ¿Ã ÂªÂ¸Ã Â«â€¡Ã ÂªÂ®Ã Â«ÂÃ ÂªÂ¬Ã ÂªÂ°','Ã ÂªÂ°Ã ÂªÂµÃ ÂªÂ¿','Ã ÂªÂ¸Ã Â«â€¹Ã ÂªÂ®','Ã ÂªÂ®Ã Âªâ€šÃ Âªâ€”Ã ÂªÂ³','Ã ÂªÂ¬Ã Â«ÂÃ ÂªÂ§','Ã Âªâ€”Ã Â«ÂÃ ÂªÂ°Ã Â«Â','Ã ÂªÂ¶Ã Â«ÂÃ Âªâ€¢Ã Â«ÂÃ ÂªÂ°','Ã ÂªÂ¶Ã ÂªÂ¨Ã ÂªÂ¿','Ã ÂªÂ°Ã ÂªÂµÃ ÂªÂ¿Ã ÂªÂµÃ ÂªÂ¾Ã ÂªÂ°','Ã ÂªÂ¸Ã Â«â€¹Ã ÂªÂ®Ã ÂªÂµÃ ÂªÂ¾Ã ÂªÂ°','Ã ÂªÂ®Ã Âªâ€šÃ Âªâ€”Ã ÂªÂ³Ã ÂªÂµÃ ÂªÂ¾Ã ÂªÂ°','Ã ÂªÂ¬Ã Â«ÂÃ ÂªÂ§Ã ÂªÂµÃ ÂªÂ¾Ã ÂªÂ°','Ã Âªâ€”Ã Â«ÂÃ ÂªÂ°Ã Â«ÂÃ ÂªÂµÃ ÂªÂ¾Ã ÂªÂ°','Ã ÂªÂ¶Ã Â«ÂÃ Âªâ€¢Ã Â«ÂÃ ÂªÂ°Ã ÂªÂµÃ ÂªÂ¾Ã ÂªÂ°','Ã ÂªÂ¶Ã ÂªÂ¨Ã ÂªÂ¿Ã ÂªÂµÃ ÂªÂ¾Ã ÂªÂ°');
INSERT INTO `locales` VALUES (154,'gu','IN','INR','Ã ÂªÂ°Ã Â«Â',NULL,NULL,NULL,NULL,'#,##,##0.###','Ã‚Â¤ #,##,##0.00',NULL,NULL,'hh:mm:ss a z','hh:mm:ss a z','hh:mm:ss a','hh:mm a','EEEE d MMMM yyyy','d MMMM yyyy','dd-MM-yyyy','d-MM-yy',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (155,'gv',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'a.m.','p.m.',NULL,NULL,NULL,'J-guer','T-arree','Mayrnt','Avrril','Boaldyn','M-souree','J-souree','Luanistyn','M-fouyir','J-fouyir','M.Houney','M.Nollick',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Jerrey-geuree','Toshiaght-arree','Mayrnt','Averil','Boaldyn','Mean-souree','Jerrey-souree','Luanistyn','Mean-fouyir','Jerrey-fouyir','Mee Houney','Mee ny Nollick','Jed','Jel','Jem','Jerc','Jerd','Jeh','Jes','Jedoonee','Jelhein','Jemayrt','Jercean','Jerdein','Jeheiney','Jesarn');
INSERT INTO `locales` VALUES (156,'gv','GB','GBP','Ã‚Â£',NULL,NULL,NULL,NULL,NULL,'Ã‚Â¤#,##0.00',NULL,NULL,NULL,'HH:mm:ss',NULL,NULL,'EEEE dd MMMM yyyy','dd MMMM yyyy','MMM dd,yy','dd/MM/yy',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (157,'ha',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Jan','Fab','Mar','Afr','May','Yun','Yul','Agu','Sat','Okt','Nuw','Dis',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Janairu','Fabrairu','Maris','Afrilu','Mayu','Yuni','Yuli','Agusta','Satumba','Oktoba','Nuwamba','Disamba','Lah','Lit','Tal','Lar','Alh','Jum','Asa','Lahadi','Littinin','Talata','Laraba','Alhamis','Jumma\'a','Asabar');
INSERT INTO `locales` VALUES (158,'ha_Arab',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'A.M.','P.M.',NULL,NULL,NULL,'Ã˜Â¬Ã™Å½Ã™â€ ','ÃšÂ¢Ã™Å½Ã˜Â¨','Ã™â€¦Ã™Å½Ã˜Â±','Ã˜Â£Ã™Å½ÃšÂ¢Ã™â€™Ã˜Â±','Ã™â€¦Ã™Å½Ã™Å ','Ã™Å Ã™ÂÃ™Ë†Ã™â€ ','Ã™Å Ã™ÂÃ™Ë†Ã™â€ž','Ã˜Â£Ã™Å½Ã˜ÂºÃ™Â','Ã˜Â³Ã™Å½Ã˜Âª','Ã˜Â£Ã™ÂÃ™Æ’Ã™â€™Ã˜Âª','Ã™â€ Ã™ÂÃ™Ë†','Ã˜Â¯Ã™ÂÃ˜Â³',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Ã˜Â¬Ã™Å½Ã™â€ Ã™Å½Ã™Å Ã™â€™Ã˜Â±Ã™Â','ÃšÂ¢Ã™Å½Ã˜Â¨Ã™â€™Ã˜Â±Ã™Å½Ã™Å Ã™â€™Ã˜Â±Ã™Â','Ã™â€¦Ã™Å½Ã˜Â±Ã™ÂÃ˜Â³Ã™â€™','Ã˜Â£Ã™Å½ÃšÂ¢Ã™â€™Ã˜Â±Ã™ÂÃ™â€žÃ™Â','Ã™â€¦Ã™Å½Ã™Å Ã™Â','Ã™Å Ã™ÂÃ™Ë†Ã™â€ Ã™Â','Ã™Å Ã™ÂÃ™Ë†Ã™â€žÃ™Â','Ã˜Â£Ã™Å½Ã˜ÂºÃ™ÂÃ˜Â³Ã™â€™Ã˜ÂªÃ™Å½','Ã˜Â³Ã™Å½Ã˜ÂªÃ™ÂÃ™â€¦Ã™â€™Ã˜Â¨Ã™Å½','Ã˜Â£Ã™ÂÃ™Æ’Ã™â€™Ã˜ÂªÃ™Ë†Ã™ÂÃ˜Â¨Ã™Å½','Ã™â€ Ã™ÂÃ™Ë†Ã™Å½Ã™â€¦Ã™â€™Ã˜Â¨Ã™Å½','Ã˜Â¯Ã™ÂÃ˜Â³Ã™Å½Ã™â€¦Ã™â€™Ã˜Â¨Ã™Å½','Ã™â€žÃ™Å½Ã˜Â­','Ã™â€žÃ™ÂÃ˜Âª','Ã˜ÂªÃ™Å½Ã™â€ž','Ã™â€žÃ™Å½Ã˜Â±','Ã˜Â£Ã™Å½Ã™â€žÃ™â€™Ã˜Â­','Ã˜Â¬Ã™ÂÃ™â€¦','Ã˜Â£Ã™Å½Ã˜Â³Ã™Å½','Ã™â€žÃ™Å½Ã˜Â­Ã™Å½Ã˜Â¯Ã™Â','Ã™â€žÃ™ÂÃ˜ÂªÃ™ÂÃ™â€ Ã™ÂÃ™â€ Ã™â€™','Ã˜ÂªÃ™Å½Ã™â€žÃ™Å½Ã˜ÂªÃ™Å½','Ã™â€žÃ™Å½Ã˜Â±Ã™Å½Ã˜Â¨Ã™Å½','Ã˜Â£Ã™Å½Ã™â€žÃ™â€™Ã˜Â­Ã™Å½Ã™â€¦Ã™ÂÃ˜Â³Ã™â€™','Ã˜Â¬Ã™ÂÃ™â€¦Ã™Å½Ã˜Â¹Ã™Å½','Ã˜Â£Ã™Å½Ã˜Â³Ã™Å½Ã˜Â¨Ã™Å½Ã˜Â±Ã™â€™');
INSERT INTO `locales` VALUES (159,'ha_Arab','NG','NGN','',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (160,'ha_Latn',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (161,'ha_Latn','GH','GHC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (162,'ha_Latn','NE','XOF',NULL,'0','-1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (163,'ha_Latn','NG','NGN',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (164,'haw',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Ian.','Pep.','Mal.','ÃŠÂ»Ap.','Mei','Iun.','Iul.','ÃŠÂ»Au.','Kep.','ÃŠÂ»Ok.','Now.','Kek.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Ianuali','Pepeluali','Malaki','ÃŠÂ»Apelila','Mei','Iune','Iulai','ÃŠÂ»Aukake','Kepakemapa','ÃŠÂ»Okakopa','Nowemapa','Kekemapa','LP','P1','P2','P3','P4','P5','P6','LÃ„Âpule','PoÃŠÂ»akahi','PoÃŠÂ»alua','PoÃŠÂ»akolu','PoÃŠÂ»ahÃ„Â','PoÃŠÂ»alima','PoÃŠÂ»aono');
INSERT INTO `locales` VALUES (165,'haw','US','USD','$',NULL,NULL,NULL,NULL,NULL,'Ã‚Â¤#,##0.00;(Ã‚Â¤#,##0.00)',NULL,NULL,'h:mm:ss a z','h:mm:ss a z','h:mm:ss a','h:mm a','EEEE, d MMMM yyyy','d MMMM yyyy','d MMM yyyy','d/M/yy',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (166,'he',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'EEEE d MMMM yyyy','d MMMM yyyy','dd/MM/yyyy','dd/MM/yy','{0} {1}',NULL,NULL,NULL,NULL,NULL,'Ã—â„¢Ã—Â Ã—â€¢','Ã—Â¤Ã—â€˜Ã—Â¨','Ã—Å¾Ã—Â¨Ã—Â¥','Ã—ÂÃ—Â¤Ã—Â¨','Ã—Å¾Ã—ÂÃ—â„¢','Ã—â„¢Ã—â€¢Ã—Â ','Ã—â„¢Ã—â€¢Ã—Å“','Ã—ÂÃ—â€¢Ã—â€™','Ã—Â¡Ã—Â¤Ã—Ëœ','Ã—ÂÃ—â€¢Ã—Â§','Ã—Â Ã—â€¢Ã—â€˜','Ã—â€œÃ—Â¦Ã—Å¾',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Ã—â„¢Ã—Â Ã—â€¢Ã—ÂÃ—Â¨','Ã—Â¤Ã—â€˜Ã—Â¨Ã—â€¢Ã—ÂÃ—Â¨','Ã—Å¾Ã—Â¨Ã—Â¥','Ã—ÂÃ—Â¤Ã—Â¨Ã—â„¢Ã—Å“','Ã—Å¾Ã—ÂÃ—â„¢','Ã—â„¢Ã—â€¢Ã—Â Ã—â„¢','Ã—â„¢Ã—â€¢Ã—Å“Ã—â„¢','Ã—ÂÃ—â€¢Ã—â€™Ã—â€¢Ã—Â¡Ã—Ëœ','Ã—Â¡Ã—Â¤Ã—ËœÃ—Å¾Ã—â€˜Ã—Â¨','Ã—ÂÃ—â€¢Ã—Â§Ã—ËœÃ—â€¢Ã—â€˜Ã—Â¨','Ã—Â Ã—â€¢Ã—â€˜Ã—Å¾Ã—â€˜Ã—Â¨','Ã—â€œÃ—Â¦Ã—Å¾Ã—â€˜Ã—Â¨','Ã—Â','Ã—â€˜','Ã—â€™','Ã—â€œ','Ã—â€','Ã—â€¢','Ã—Â©','Ã—â„¢Ã—â€¢Ã—Â Ã—Â¨Ã—ÂÃ—Â©Ã—â€¢Ã—Å¸','Ã—â„¢Ã—â€¢Ã—Â Ã—Â©Ã—Â Ã—â„¢','Ã—â„¢Ã—â€¢Ã—Â Ã—Â©Ã—Å“Ã—â„¢Ã—Â©Ã—â„¢','Ã—â„¢Ã—â€¢Ã—Â Ã—Â¨Ã—â€˜Ã—â„¢Ã—Â¢Ã—â„¢','Ã—â„¢Ã—â€¢Ã—Â Ã—â€”Ã—Å¾Ã—â„¢Ã—Â©Ã—â„¢','Ã—â„¢Ã—â€¢Ã—Â Ã—Â©Ã—â„¢Ã—Â©Ã—â„¢','Ã—Â©Ã—â€˜Ã—Âª');
INSERT INTO `locales` VALUES (167,'he','IL','ILS','Ã¢â€šÂª',NULL,NULL,NULL,NULL,NULL,'#,##0.00 Ã‚Â¤',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (168,'hi',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Ã Â¤ÂªÃ Â¥â€šÃ Â¤Â°Ã Â¥ÂÃ Â¤ÂµÃ Â¤Â¾Ã Â¤Â¹Ã Â¥ÂÃ Â¤Â¨','Ã Â¤â€¦Ã Â¤ÂªÃ Â¤Â°Ã Â¤Â¾Ã Â¤Â¹Ã Â¥ÂÃ Â¤Â¨',NULL,NULL,NULL,'Ã Â¤Å“Ã Â¤Â¨Ã Â¤ÂµÃ Â¤Â°Ã Â¥â‚¬','Ã Â¤Â«Ã Â¤Â°Ã Â¤ÂµÃ Â¤Â°Ã Â¥â‚¬','Ã Â¤Â®Ã Â¤Â¾Ã Â¤Â°Ã Â¥ÂÃ Â¤Å¡','Ã Â¤â€¦Ã Â¤ÂªÃ Â¥ÂÃ Â¤Â°Ã Â¥Ë†Ã Â¤Â²','Ã Â¤Â®Ã Â¤Ë†','Ã Â¤Å“Ã Â¥â€šÃ Â¤Â¨','Ã Â¤Å“Ã Â¥ÂÃ Â¤Â²Ã Â¤Â¾Ã Â¤Ë†','Ã Â¤â€¦Ã Â¤â€”Ã Â¤Â¸Ã Â¥ÂÃ Â¤Â¤','Ã Â¤Â¸Ã Â¤Â¿Ã Â¤Â¤Ã Â¤Â®Ã Â¥ÂÃ Â¤Â¬Ã Â¤Â°','Ã Â¤â€¦Ã Â¤â€¢Ã Â¥ÂÃ Â¤Â¤Ã Â¥â€šÃ Â¤Â¬Ã Â¤Â°','Ã Â¤Â¨Ã Â¤ÂµÃ Â¤Â®Ã Â¥ÂÃ Â¤Â¬Ã Â¤Â°','Ã Â¤Â¦Ã Â¤Â¿Ã Â¤Â¸Ã Â¤Â®Ã Â¥ÂÃ Â¤Â¬Ã Â¤Â°',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Ã Â¤Å“Ã Â¤Â¨Ã Â¤ÂµÃ Â¤Â°Ã Â¥â‚¬','Ã Â¤Â«Ã Â¤Â°Ã Â¤ÂµÃ Â¤Â°Ã Â¥â‚¬','Ã Â¤Â®Ã Â¤Â¾Ã Â¤Â°Ã Â¥ÂÃ Â¤Å¡','Ã Â¤â€¦Ã Â¤ÂªÃ Â¥ÂÃ Â¤Â°Ã Â¥Ë†Ã Â¤Â²','Ã Â¤Â®Ã Â¤Ë†','Ã Â¤Å“Ã Â¥â€šÃ Â¤Â¨','Ã Â¤Å“Ã Â¥ÂÃ Â¤Â²Ã Â¤Â¾Ã Â¤Ë†','Ã Â¤â€¦Ã Â¤â€”Ã Â¤Â¸Ã Â¥ÂÃ Â¤Â¤','Ã Â¤Â¸Ã Â¤Â¿Ã Â¤Â¤Ã Â¤Â®Ã Â¥ÂÃ Â¤Â¬Ã Â¤Â°','Ã Â¤â€¦Ã Â¤â€¢Ã Â¥ÂÃ Â¤Â¤Ã Â¥â€šÃ Â¤Â¬Ã Â¤Â°','Ã Â¤Â¨Ã Â¤ÂµÃ Â¤Â®Ã Â¥ÂÃ Â¤Â¬Ã Â¤Â°','Ã Â¤Â¦Ã Â¤Â¿Ã Â¤Â¸Ã Â¤Â®Ã Â¥ÂÃ Â¤Â¬Ã Â¤Â°','Ã Â¤Â°Ã Â¤ÂµÃ Â¤Â¿','Ã Â¤Â¸Ã Â¥â€¹Ã Â¤Â®','Ã Â¤Â®Ã Â¤â€šÃ Â¤â€”Ã Â¤Â²','Ã Â¤Â¬Ã Â¥ÂÃ Â¤Â§','Ã Â¤â€”Ã Â¥ÂÃ Â¤Â°Ã Â¥Â','Ã Â¤Â¶Ã Â¥ÂÃ Â¤â€¢Ã Â¥ÂÃ Â¤Â°','Ã Â¤Â¶Ã Â¤Â¨Ã Â¤Â¿','Ã Â¤Â°Ã Â¤ÂµÃ Â¤Â¿Ã Â¤ÂµÃ Â¤Â¾Ã Â¤Â°','Ã Â¤Â¸Ã Â¥â€¹Ã Â¤Â®Ã Â¤ÂµÃ Â¤Â¾Ã Â¤Â°','Ã Â¤Â®Ã Â¤â€šÃ Â¤â€”Ã Â¤Â²Ã Â¤ÂµÃ Â¤Â¾Ã Â¤Â°','Ã Â¤Â¬Ã Â¥ÂÃ Â¤Â§Ã Â¤ÂµÃ Â¤Â¾Ã Â¤Â°','Ã Â¤â€”Ã Â¥ÂÃ Â¤Â°Ã Â¥ÂÃ Â¤ÂµÃ Â¤Â¾Ã Â¤Â°','Ã Â¤Â¶Ã Â¥ÂÃ Â¤â€¢Ã Â¥ÂÃ Â¤Â°Ã Â¤ÂµÃ Â¤Â¾Ã Â¤Â°','Ã Â¤Â¶Ã Â¤Â¨Ã Â¤Â¿Ã Â¤ÂµÃ Â¤Â¾Ã Â¤Â°');
INSERT INTO `locales` VALUES (169,'hi','IN','INR','Ã Â¤Â°Ã Â¥Â.',NULL,NULL,NULL,NULL,'#,##,##0.###','Ã‚Â¤ #,##,##0.00',NULL,NULL,'h:mm:ss a z','h:mm:ss a z','h:mm:ss a','h:mm a','EEEE d MMMM yyyy','d MMMM yyyy','dd-MM-yyyy','d-M-yy',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (170,'hr',NULL,NULL,NULL,NULL,NULL,',','.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'yyyy. MMMM dd','yyyy. MMMM dd','yyyy.MM.dd','yyyy.MM.dd',NULL,NULL,NULL,NULL,NULL,NULL,'sij','vel','oÃ…Â¾u','tra','svi','lip','srp','kol','ruj','lis','stu','pro','s','v','o','t','s','l','s','k','r','l','s','p','sijeÃ„Ânja','veljaÃ„Âe','oÃ…Â¾ujka','travnja','svibnja','lipnja','srpnja','kolovoza','rujna','listopada','studenoga','prosinca','ned','pon','uto','sri','Ã„Âet','pet','sub','nedjelja','ponedjeljak','utorak','srijeda','Ã„Âetvrtak','petak','subota');
INSERT INTO `locales` VALUES (171,'hr','HR','HRK','Kn',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (172,'hu',NULL,NULL,NULL,NULL,NULL,',','Ã‚Â ','#,##0.###','#,##0.00 Ã‚Â¤',NULL,NULL,'H:mm:ss z','H:mm:ss z','H:mm:ss','H:mm','yyyy. MMMM d.','yyyy. MMMM d.','yyyy.MM.dd.','yyyy.MM.dd.',NULL,'DE','DU',NULL,NULL,NULL,'jan.','febr.','mÃƒÂ¡rc.','ÃƒÂ¡pr.','mÃƒÂ¡j.','jÃƒÂºn.','jÃƒÂºl.','aug.','szept.','okt.','nov.','dec.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'januÃƒÂ¡r','februÃƒÂ¡r','mÃƒÂ¡rcius','ÃƒÂ¡prilis','mÃƒÂ¡jus','jÃƒÂºnius','jÃƒÂºlius','augusztus','szeptember','oktÃƒÂ³ber','november','december','V','H','K','Sze','Cs','P','Szo','vasÃƒÂ¡rnap','hÃƒÂ©tfÃ…â€˜','kedd','szerda','csÃƒÂ¼tÃƒÂ¶rtÃƒÂ¶k','pÃƒÂ©ntek','szombat');
INSERT INTO `locales` VALUES (173,'hu','HU','HUF','Ft',NULL,NULL,NULL,NULL,NULL,'#,##0.00 Ã‚Â¤',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (174,'hy',NULL,NULL,NULL,NULL,NULL,',','.','#0.###','#0.00 Ã‚Â¤',NULL,NULL,NULL,NULL,NULL,NULL,'EEEE, MMMM d, yyyy','MMMM dd, yyyy','MMM d, yyyy','MM/dd/yy',NULL,'Ã”Â±Ã•Â¼Ã¢â‚¬Â¤','Ã”ÂµÃ–â‚¬Ã¢â‚¬Â¤',NULL,NULL,NULL,'Ã•â€¦Ã•Â¶Ã–â‚¬','Ã•â€œÃ•Â¿Ã–â‚¬','Ã•â€žÃ–â‚¬Ã•Â¿','Ã”Â±Ã•ÂºÃ–â‚¬','Ã•â€žÃ•ÂµÃ•Â½','Ã•â€¦Ã•Â¶Ã•Â½','Ã•â€¦Ã•Â¬Ã•Â½','Ã•â€¢Ã•Â£Ã•Â½','Ã•ÂÃ•Â¥Ã•Âº','Ã•â‚¬Ã•Â¸Ã•Â¯','Ã•â€ Ã•Â¸Ã•Âµ','Ã”Â´Ã•Â¥Ã•Â¯',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Ã•â€¦Ã•Â¸Ã–â€šÃ•Â¶Ã•Â¸Ã–â€šÃ•Â¡Ã–â‚¬','Ã•â€œÃ•Â¥Ã•Â¿Ã–â‚¬Ã•Â¸Ã–â€šÃ•Â¡Ã–â‚¬','Ã•â€žÃ•Â¡Ã–â‚¬Ã•Â¿','Ã”Â±Ã•ÂºÃ–â‚¬Ã•Â«Ã•Â¬','Ã•â€žÃ•Â¡Ã•ÂµÃ•Â«Ã•Â½','Ã•â€¦Ã•Â¸Ã–â€šÃ•Â¶Ã•Â«Ã•Â½','Ã•â€¦Ã•Â¸Ã–â€šÃ•Â¬Ã•Â«Ã•Â½','Ã•â€¢Ã•Â£Ã•Â¸Ã•Â½Ã•Â¿Ã•Â¸Ã•Â½','Ã•ÂÃ•Â¥Ã•ÂºÃ•Â¿Ã•Â¥Ã•Â´Ã•Â¢Ã•Â¥Ã–â‚¬','Ã•â‚¬Ã•Â¸Ã•Â¯Ã•Â¿Ã•Â¥Ã•Â´Ã•Â¢Ã•Â¥Ã–â‚¬','Ã•â€ Ã•Â¸Ã•ÂµÃ•Â¥Ã•Â´Ã•Â¢Ã•Â¥Ã–â‚¬','Ã”Â´Ã•Â¥Ã•Â¯Ã•Â¿Ã•Â¥Ã•Â´Ã•Â¢Ã•Â¥Ã–â‚¬','Ã”Â¿Ã•Â«Ã–â‚¬','Ã”ÂµÃ–â‚¬Ã•Â¯','Ã”ÂµÃ–â‚¬Ã–â€ž','Ã•â€°Ã•Â¸Ã–â‚¬','Ã•â‚¬Ã•Â¶Ã•Â£','Ã•Ë†Ã–â€šÃ–â‚¬','Ã•â€¡Ã•Â¡Ã•Â¢','Ã”Â¿Ã•Â«Ã–â‚¬Ã•Â¡Ã•Â¯Ã•Â«','Ã”ÂµÃ–â‚¬Ã•Â¯Ã•Â¸Ã–â€šÃ•Â·Ã•Â¡Ã•Â¢Ã•Â©Ã•Â«','Ã”ÂµÃ–â‚¬Ã•Â¥Ã–â€žÃ•Â·Ã•Â¡Ã•Â¢Ã•Â©Ã•Â«','Ã•â€°Ã•Â¸Ã–â‚¬Ã•Â¥Ã–â€žÃ•Â·Ã•Â¡Ã•Â¢Ã•Â©Ã•Â«','Ã•â‚¬Ã•Â«Ã•Â¶Ã•Â£Ã•Â·Ã•Â¡Ã•Â¢Ã•Â©Ã•Â«','Ã•Ë†Ã–â€šÃ–â‚¬Ã•Â¢Ã•Â¡Ã•Â©','Ã•â€¡Ã•Â¡Ã•Â¢Ã•Â¡Ã•Â©');
INSERT INTO `locales` VALUES (175,'hy','AM','AMD',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Ã•â‚¬Ã•Â¶Ã•Â¾','Ã•â€œÃ•Â¿Ã•Â¾',NULL,NULL,NULL,'Ã•â‚¬Ã•Â¶Ã•Â½','Ã•â‚¬Ã•Â¬Ã•Â½',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Ã•â‚¬Ã•Â¸Ã–â€šÃ•Â¶Ã•Â¾Ã•Â¡Ã–â‚¬','Ã•â€œÃ•Â¥Ã•Â¿Ã–â‚¬Ã•Â¾Ã•Â¡Ã–â‚¬',NULL,NULL,NULL,'Ã•â‚¬Ã•Â¸Ã–â€šÃ•Â¶Ã•Â«Ã•Â½','Ã•â‚¬Ã•Â¸Ã–â€šÃ•Â¬Ã•Â«Ã•Â½',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (176,'ia',NULL,NULL,NULL,NULL,NULL,',','.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'a.m.','p.m.',NULL,NULL,NULL,'jan','feb','mar','apr','mai','jun','jul','aug','sep','oct','nov','dec',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'januario','februario','martio','april','maio','junio','julio','augusto','septembre','octobre','novembre','decembre','dom','lun','mar','mer','jov','ven','sab','dominica','lunedi','martedi','mercuridi','jovedi','venerdi','sabbato');
INSERT INTO `locales` VALUES (177,'id',NULL,NULL,NULL,NULL,NULL,',','.',NULL,'Ã‚Â¤#,##0.00',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Jan','Feb','Mar','Apr','Mei','Jun','Jul','Agu','Sep','Okt','Nov','Des',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Januari','Februari','Maret','April','Mei','Juni','Juli','Agustus','September','Oktober','November','Desember','Min','Sen','Sel','Rab','Kam','Jum','Sab','Minggu','Senin','Selasa','Rabu','Kamis','Jumat','Sabtu');
INSERT INTO `locales` VALUES (178,'id','ID','IDR','Rp',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'H:mm:ss','H:mm:ss','H:mm:ss','H:mm','EEEE dd MMMM yyyy','dd MMMM yyyy','dd MMM yy','dd/MM/yy',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (179,'ig',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'A.M.','P.M.',NULL,NULL,NULL,'Jen','Feb','Maa','Epr','Mee','Juu','Jul','Ã¡Â»Å’gÃ¡Â»Â','Sep','Ã¡Â»Å’kt','Nov','Dis',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'JenÃ¡Â»Â¥warÃ¡Â»â€¹','FebrÃ¡Â»Â¥warÃ¡Â»â€¹','MaachÃ¡Â»â€¹','Eprel','Mee','Juun','JulaÃ¡Â»â€¹','Ã¡Â»Å’gÃ¡Â»ÂÃ¡Â»Âst','Septemba','Ã¡Â»Å’ktoba','Novemba','Disemba','Ã¡Â»Â¤ka','MÃ¡Â»Ân','Tiu','Wen','TÃ¡Â»ÂÃ¡Â»Â','FraÃ¡Â»â€¹','Sat','MbÃ¡Â»ÂsÃ¡Â»â€¹ Ã¡Â»Â¤ka','MÃ¡Â»Ânde','Tiuzdee','Wenezdee','TÃ¡Â»ÂÃ¡Â»Âzdee','FraÃ¡Â»â€¹dee','SatÃ¡Â»Âdee');
INSERT INTO `locales` VALUES (180,'ig','NG','NGN','Ã¢â€šÂ¦',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (181,'is',NULL,NULL,NULL,NULL,NULL,',','.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'EEEE, d. MMMM yyyy','d. MMMM yyyy','d.M.yyyy','d.M.yyyy',NULL,NULL,NULL,NULL,NULL,NULL,'jan','feb','mar','apr','maÃƒÂ­','jÃƒÂºn','jÃƒÂºl','ÃƒÂ¡gÃƒÂº','sep','okt','nÃƒÂ³v','des',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'janÃƒÂºar','febrÃƒÂºar','mars','aprÃƒÂ­l','maÃƒÂ­','jÃƒÂºnÃƒÂ­','jÃƒÂºlÃƒÂ­','ÃƒÂ¡gÃƒÂºst','september','oktÃƒÂ³ber','nÃƒÂ³vember','desember','sun','mÃƒÂ¡n','ÃƒÂ¾ri','miÃƒÂ°','fim','fÃƒÂ¶s','lau','sunnudagur','mÃƒÂ¡nudagur','ÃƒÂ¾riÃƒÂ°judagur','miÃƒÂ°vikudagur','fimmtudagur','fÃƒÂ¶studagur','laugardagur');
INSERT INTO `locales` VALUES (182,'is','IS','ISK','kr.',NULL,NULL,NULL,NULL,NULL,'#,##0.00 Ã‚Â¤',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (183,'it',NULL,NULL,NULL,NULL,NULL,',','.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'EEEE d MMMM yyyy','dd MMMM yyyy','dd/MMM/yy','dd/MM/yy',NULL,'m.','p.',NULL,NULL,NULL,'gen','feb','mar','apr','mag','giu','lug','ago','set','ott','nov','dic',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'gennaio','febbraio','marzo','aprile','maggio','giugno','luglio','agosto','settembre','ottobre','novembre','dicembre','dom','lun','mar','mer','gio','ven','sab','domenica','lunedÃƒÂ¬','martedÃƒÂ¬','mercoledÃƒÂ¬','giovedÃƒÂ¬','venerdÃƒÂ¬','sabato');
INSERT INTO `locales` VALUES (184,'it','CH','CHF','SFr.','5','2','.','',NULL,'Ã‚Â¤ #,##0.00;Ã‚Â¤-#,##0.00',NULL,NULL,'HH.mm:ss\' h\' z',NULL,NULL,NULL,'EEEE, d MMMM yyyy','d MMMM yyyy','d-MMM-yy','dd.MM.yy',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (185,'it','IT','EUR','Ã¢â€šÂ¬',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'H:mm:ss z',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (186,'iu',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Ã¡â€Â­Ã¡â€œÂÃ¡â€œâ€žÃ¡ÂÅ Ã¡â€œâ€¢','Ã¡â€¢â€¢Ã¡â€¢ÂÃ¡â€¢â€”Ã¡ÂÅ Ã¡â€œâ€¢','Ã¡â€™Â«Ã¡â€˜Â¦Ã¡â€œÂ¯','Ã¡ÂÅ Ã¡ÂÆ’Ã¡â€˜â€°Ã¡ÂÂ³Ã¡â€œâ€”','Ã¡â€™ÂªÃ¡ÂÆ’','Ã¡â€Â«Ã¡â€œâ€š','Ã¡â€ÂªÃ¡â€œÅ¡Ã¡ÂÆ’','Ã¡ÂÅ Ã¡Ââ€¦Ã¡â€™Â¡Ã¡â€™ÂÃ¡â€œÂ¯','Ã¡â€œÂ°Ã¡â€˜Â¦Ã¡â€˜ÂÃ¡â€¢ÂÃ¡â€¢â„¢','Ã¡Ââ€ Ã¡â€˜Â¦Ã¡â€˜â€˜Ã¡â€¢ÂÃ¡â€¢â„¢','Ã¡â€œâ€¦Ã¡â€¢â„¢Ã¡ÂÆ’Ã¡â€¢ÂÃ¡â€¢â„¢','Ã¡â€˜ÂÃ¡â€œÂ°Ã¡â€¢ÂÃ¡â€¢â„¢',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Ã¡â€Â­Ã¡â€œÂÃ¡â€œâ€žÃ¡ÂÅ Ã¡â€œâ€¢','Ã¡â€¢â€¢Ã¡â€¢ÂÃ¡â€¢â€”Ã¡ÂÅ Ã¡â€œâ€¢','Ã¡â€™Â«Ã¡â€˜Â¦Ã¡â€œÂ¯','Ã¡ÂÅ Ã¡ÂÆ’Ã¡â€˜â€°Ã¡ÂÂ³Ã¡â€œâ€”','Ã¡â€™ÂªÃ¡ÂÆ’','Ã¡â€Â«Ã¡â€œâ€š','Ã¡â€ÂªÃ¡â€œÅ¡Ã¡ÂÆ’','Ã¡ÂÅ Ã¡Ââ€¦Ã¡â€™Â¡Ã¡â€™ÂÃ¡â€œÂ¯','Ã¡â€œÂ°Ã¡â€˜Â¦Ã¡â€˜ÂÃ¡â€¢ÂÃ¡â€¢â„¢','Ã¡Ââ€ Ã¡â€˜Â¦Ã¡â€˜â€˜Ã¡â€¢ÂÃ¡â€¢â„¢','Ã¡â€œâ€¦Ã¡â€¢â„¢Ã¡ÂÆ’Ã¡â€¢ÂÃ¡â€¢â„¢','Ã¡â€˜ÂÃ¡â€œÂ°Ã¡â€¢ÂÃ¡â€¢â„¢','Ã¡â€œË†Ã¡â€˜Â¦Ã¡â€œÂ°Ã¡â€“â€˜Ã¡â€Â­','Ã¡â€œâ€¡Ã¡â€™Â¡Ã¡â€™ÂÃ¡â€Â¾Ã¡â€Â­Ã¡Ââ€¦','Ã¡â€œâ€¡Ã¡â€™Â¡Ã¡â€™ÂÃ¡â€Â¾Ã¡â€Â­Ã¡Ââ€¦Ã¡â€œâ€¢Ã¡â€“â€¦Ã¡â€˜Â­','Ã¡ÂÂ±Ã¡â€“â€œÃ¡â€˜Â¦Ã¡â€œÂ¯Ã¡â€“â€¦','Ã¡â€œÂ¯Ã¡â€˜â€¢Ã¡â€™Â»Ã¡â€™Â¥Ã¡â€“â€¦','Ã¡â€˜â€¢Ã¡â€œÂªÃ¡â€œâ€¢Ã¡â€¢ÂÃ¡â€™Â¥Ã¡â€“â€¦','Ã¡â€œË†Ã¡â€˜Â¦Ã¡â€œÂ°Ã¡â€“â€˜Ã¡â€Â­Ã¡â€œâ€¢Ã¡â€“â€¦Ã¡â€¢Â¿','Ã¡â€œË†Ã¡â€˜Â¦Ã¡â€œÂ°Ã¡â€“â€˜Ã¡â€Â­','Ã¡â€œâ€¡Ã¡â€™Â¡Ã¡â€™ÂÃ¡â€Â¾Ã¡â€Â­Ã¡Ââ€¦','Ã¡â€œâ€¡Ã¡â€™Â¡Ã¡â€™ÂÃ¡â€Â¾Ã¡â€Â­Ã¡Ââ€¦Ã¡â€œâ€¢Ã¡â€“â€¦Ã¡â€˜Â­','Ã¡ÂÂ±Ã¡â€“â€œÃ¡â€˜Â¦Ã¡â€œÂ¯Ã¡â€“â€¦','Ã¡â€œÂ¯Ã¡â€˜â€¢Ã¡â€™Â»Ã¡â€™Â¥Ã¡â€“â€¦','Ã¡â€˜â€¢Ã¡â€œÂªÃ¡â€œâ€¢Ã¡â€¢ÂÃ¡â€™Â¥Ã¡â€“â€¦','Ã¡â€œË†Ã¡â€˜Â¦Ã¡â€œÂ°Ã¡â€“â€˜Ã¡â€Â­Ã¡â€œâ€¢Ã¡â€“â€¦Ã¡â€¢Â¿');
INSERT INTO `locales` VALUES (187,'ja',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'H\'Ã¦â„¢â€š\'mm\'Ã¥Ë†â€ \'ss\'Ã§Â§â€™\'z','H:mm:ss:z','H:mm:ss','H:mm','yyyy\'Ã¥Â¹Â´\'M\'Ã¦Å“Ë†\'d\'Ã¦â€”Â¥\'EEEE','yyyy\'Ã¥Â¹Â´\'M\'Ã¦Å“Ë†\'d\'Ã¦â€”Â¥\'','yyyy/MM/dd',NULL,NULL,'Ã¥ÂË†Ã¥â€°Â','Ã¥ÂË†Ã¥Â¾Å’',NULL,NULL,NULL,'1 Ã¦Å“Ë†','2 Ã¦Å“Ë†','3 Ã¦Å“Ë†','4 Ã¦Å“Ë†','5 Ã¦Å“Ë†','6 Ã¦Å“Ë†','7 Ã¦Å“Ë†','8 Ã¦Å“Ë†','9 Ã¦Å“Ë†','10 Ã¦Å“Ë†','11 Ã¦Å“Ë†','12 Ã¦Å“Ë†',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'1 Ã¦Å“Ë†','2 Ã¦Å“Ë†','3 Ã¦Å“Ë†','4 Ã¦Å“Ë†','5 Ã¦Å“Ë†','6 Ã¦Å“Ë†','7 Ã¦Å“Ë†','8 Ã¦Å“Ë†','9 Ã¦Å“Ë†','10 Ã¦Å“Ë†','11 Ã¦Å“Ë†','12 Ã¦Å“Ë†','Ã¦â€”Â¥','Ã¦Å“Ë†','Ã§ÂÂ«','Ã¦Â°Â´','Ã¦Å“Â¨','Ã©â€¡â€˜','Ã¥Å“Å¸','Ã¦â€”Â¥Ã¦â€ºÅ“Ã¦â€”Â¥','Ã¦Å“Ë†Ã¦â€ºÅ“Ã¦â€”Â¥','Ã§ÂÂ«Ã¦â€ºÅ“Ã¦â€”Â¥','Ã¦Â°Â´Ã¦â€ºÅ“Ã¦â€”Â¥','Ã¦Å“Â¨Ã¦â€ºÅ“Ã¦â€”Â¥','Ã©â€¡â€˜Ã¦â€ºÅ“Ã¦â€”Â¥','Ã¥Å“Å¸Ã¦â€ºÅ“Ã¦â€”Â¥');
INSERT INTO `locales` VALUES (188,'ja','JP','JPY','Ã¯Â¿Â¥','0','-1',NULL,NULL,NULL,'Ã‚Â¤#,##0.00',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (189,'ka',NULL,NULL,NULL,NULL,NULL,',','Ã‚Â ',NULL,NULL,NULL,NULL,'Ã¡Æ’Â¡Ã¡Æ’â€”:Ã¡Æ’Â¬Ã¡Æ’â€”:Ã¡Æ’Â¬Ã¡Æ’â€º','Ã¡Æ’Â¡Ã¡Æ’â€”:Ã¡Æ’Â¬Ã¡Æ’â€”:Ã¡Æ’Â¬Ã¡Æ’â€º','Ã¡Æ’Â¡Ã¡Æ’â€”:Ã¡Æ’Â¬Ã¡Æ’â€”:Ã¡Æ’Â¬Ã¡Æ’â€º','Ã¡Æ’Â¡Ã¡Æ’â€”:Ã¡Æ’Â¬Ã¡Æ’â€”',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Ã¡Æ’ËœÃ¡Æ’ÂÃ¡Æ’Å“','Ã¡Æ’â€”Ã¡Æ’â€Ã¡Æ’â€˜','Ã¡Æ’â€ºÃ¡Æ’ÂÃ¡Æ’Â ','Ã¡Æ’ÂÃ¡Æ’Å¾Ã¡Æ’Â ','Ã¡Æ’â€ºÃ¡Æ’ÂÃ¡Æ’Ëœ','Ã¡Æ’ËœÃ¡Æ’â€¢Ã¡Æ’Å“','Ã¡Æ’ËœÃ¡Æ’â€¢Ã¡Æ’Å¡','Ã¡Æ’ÂÃ¡Æ’â€™Ã¡Æ’â€¢','Ã¡Æ’Â¡Ã¡Æ’â€Ã¡Æ’Â¥','Ã¡Æ’ÂÃ¡Æ’Â¥Ã¡Æ’Â¢','Ã¡Æ’Å“Ã¡Æ’ÂÃ¡Æ’â€','Ã¡Æ’â€œÃ¡Æ’â€Ã¡Æ’â„¢',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Ã¡Æ’ËœÃ¡Æ’ÂÃ¡Æ’Å“Ã¡Æ’â€¢Ã¡Æ’ÂÃ¡Æ’Â Ã¡Æ’Ëœ','Ã¡Æ’â€”Ã¡Æ’â€Ã¡Æ’â€˜Ã¡Æ’â€Ã¡Æ’Â Ã¡Æ’â€¢Ã¡Æ’ÂÃ¡Æ’Å¡Ã¡Æ’Ëœ','Ã¡Æ’â€ºÃ¡Æ’ÂÃ¡Æ’Â Ã¡Æ’Â¢Ã¡Æ’Ëœ','Ã¡Æ’ÂÃ¡Æ’Å¾Ã¡Æ’Â Ã¡Æ’ËœÃ¡Æ’Å¡Ã¡Æ’Ëœ','Ã¡Æ’â€ºÃ¡Æ’ÂÃ¡Æ’ËœÃ¡Æ’Â¡Ã¡Æ’Ëœ','Ã¡Æ’ËœÃ¡Æ’â€¢Ã¡Æ’Å“Ã¡Æ’ËœÃ¡Æ’Â¡Ã¡Æ’Ëœ','Ã¡Æ’ËœÃ¡Æ’â€¢Ã¡Æ’Å¡Ã¡Æ’ËœÃ¡Æ’Â¡Ã¡Æ’Ëœ','Ã¡Æ’ÂÃ¡Æ’â€™Ã¡Æ’â€¢Ã¡Æ’ËœÃ¡Æ’Â¡Ã¡Æ’Â¢Ã¡Æ’Â','Ã¡Æ’Â¡Ã¡Æ’â€Ã¡Æ’Â¥Ã¡Æ’Â¢Ã¡Æ’â€Ã¡Æ’â€ºÃ¡Æ’â€˜Ã¡Æ’â€Ã¡Æ’Â Ã¡Æ’Ëœ','Ã¡Æ’ÂÃ¡Æ’Â¥Ã¡Æ’Â¢Ã¡Æ’ÂÃ¡Æ’â€ºÃ¡Æ’â€˜Ã¡Æ’â€Ã¡Æ’Â Ã¡Æ’Ëœ','Ã¡Æ’Å“Ã¡Æ’ÂÃ¡Æ’â€Ã¡Æ’â€ºÃ¡Æ’â€˜Ã¡Æ’â€Ã¡Æ’Â Ã¡Æ’Ëœ','Ã¡Æ’â€œÃ¡Æ’â€Ã¡Æ’â„¢Ã¡Æ’â€Ã¡Æ’â€ºÃ¡Æ’â€˜Ã¡Æ’â€Ã¡Æ’Â Ã¡Æ’Ëœ','Ã¡Æ’â„¢Ã¡Æ’â€¢Ã¡Æ’Ëœ','Ã¡Æ’ÂÃ¡Æ’Â Ã¡Æ’Â¨','Ã¡Æ’Â¡Ã¡Æ’ÂÃ¡Æ’â€º','Ã¡Æ’ÂÃ¡Æ’â€”Ã¡Æ’Â®','Ã¡Æ’Â®Ã¡Æ’Â£Ã¡Æ’â€”','Ã¡Æ’Å¾Ã¡Æ’ÂÃ¡Æ’Â ','Ã¡Æ’Â¨Ã¡Æ’ÂÃ¡Æ’â€˜','Ã¡Æ’â„¢Ã¡Æ’â€¢Ã¡Æ’ËœÃ¡Æ’Â Ã¡Æ’Â','Ã¡Æ’ÂÃ¡Æ’Â Ã¡Æ’Â¨Ã¡Æ’ÂÃ¡Æ’â€˜Ã¡Æ’ÂÃ¡Æ’â€”Ã¡Æ’Ëœ','Ã¡Æ’Â¡Ã¡Æ’ÂÃ¡Æ’â€ºÃ¡Æ’Â¨Ã¡Æ’ÂÃ¡Æ’â€˜Ã¡Æ’ÂÃ¡Æ’â€”Ã¡Æ’Ëœ','Ã¡Æ’ÂÃ¡Æ’â€”Ã¡Æ’Â®Ã¡Æ’Â¨Ã¡Æ’ÂÃ¡Æ’â€˜Ã¡Æ’ÂÃ¡Æ’â€”Ã¡Æ’Ëœ','Ã¡Æ’Â®Ã¡Æ’Â£Ã¡Æ’â€”Ã¡Æ’Â¨Ã¡Æ’ÂÃ¡Æ’â€˜Ã¡Æ’ÂÃ¡Æ’â€”Ã¡Æ’Ëœ','Ã¡Æ’Å¾Ã¡Æ’ÂÃ¡Æ’Â Ã¡Æ’ÂÃ¡Æ’Â¡Ã¡Æ’â„¢Ã¡Æ’â€Ã¡Æ’â€¢Ã¡Æ’Ëœ','Ã¡Æ’Â¨Ã¡Æ’ÂÃ¡Æ’â€˜Ã¡Æ’ÂÃ¡Æ’â€”Ã¡Æ’Ëœ');
INSERT INTO `locales` VALUES (190,'ka','GE','GEL','',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (191,'kaj',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'A.M.','P.M.',NULL,NULL,NULL,'AÃŒÂ±yr','AÃŒÂ±hw','AÃŒÂ±ta','AÃŒÂ±na','AÃŒÂ±pf','AÃŒÂ±ki','AÃŒÂ±ty','AÃŒÂ±ni','AÃŒÂ±ku','Swa','Sby','Sbh',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Hywan AÃŒÂ±yrnig','Hywan AÃŒÂ±hwa','Hywan AÃŒÂ±tat','Hywan AÃŒÂ±naai','Hywan AÃŒÂ±pfwon','Hywan AÃŒÂ±kitat','Hywan AÃŒÂ±tyirin','Hywan AÃŒÂ±ninai','Hywan AÃŒÂ±kumviriyin','Hywan Swak','Hywan Swak B\'aÃŒÂ±yrnig','Hywan Swak B\'aÃŒÂ±hwa','Lad','Lin','Tal','Lar','Lam','Jum','Asa','Ladi','Lintani','Talata','Larba','Lamit','Juma','Asabar');
INSERT INTO `locales` VALUES (192,'kaj','NG','NGN','Ã¢â€šÂ¦',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (193,'kam',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Mwei wa mbee','Mwei wa keli','Mwei wa katatu','Mwei wa kanne','Mwei wa katano','Mwei wa thanthatu','Mwei wa muonza','Mwei wa nyanya','Mwei wa kenda','Mwei wa ikumi','Mwei wa ikumi na imwe','Mwei wa ikumi na ili',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Mwei wa mbee','Mwei wa keli','Mwei wa katatu','Mwei wa kanne','Mwei wa katano','Mwei wa thanthatu','Mwei wa muonza','Mwei wa nyanya','Mwei wa kenda','Mwei wa ikumi','Mwei wa ikumi na imwe','Mwei wa ikumi na ili','Jpl','Jtt','Jnn','Jtn','Alh','Ijm','Jms','Jumapili','Jumatatu','Jumanne','Jumatano','Alamisi','Ijumaa','Jumamosi');
INSERT INTO `locales` VALUES (194,'kam','KE','KES','KSh',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (195,'kcg',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Juw','Swi','Tsa','Nya','Tsw','Ata','Ana','Ari','Aku','Swa','Man','Mas',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Zwat Juwung','Zwat Swiyang','Zwat Tsat','Zwat Nyai','Zwat Tswon','Zwat Ataah','Zwat Anatat','Zwat Arinai','Zwat Akubunyung','Zwat Swag','Zwat Mangjuwang','Zwat Swag-Ma-Suyang','Lad','Tan','Tal','Lar','Lam','Jum','Asa','Ladi','Tanii','Talata','Larba','Lamit','Juma','Asabat');
INSERT INTO `locales` VALUES (196,'kcg','NG','NGN','Ã¢â€šÂ¦',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (197,'kfo',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Wey','Fan','Tat','Nan','Tuy','Tso','Taf','War','Kun','Ban','Kom','Sau',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Fai Weyene','Fai Fani','Fai Tataka','Fai Nangra','Fai Tuyo','Fai Tsoyi','Fai Tafaka','Fai Warachi','Fai Kunobok','Fai Bansok','Fai Kom','Fai Sauk','Lah','Kub','Gba','Tan','Yei','Koy','Sat','Lahadi','Je-Kubacha','Je-Gbai','Tansati','Je-Yei','Je-Koye','Sati');
INSERT INTO `locales` VALUES (198,'kfo','NG','NGN','Ã¢â€šÂ¦',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (199,'kk',NULL,NULL,NULL,NULL,NULL,',','Ã‚Â ',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'EEEE, d MMMM yyyy \'ÃÂ¶.\'','d MMMM yyyy \'ÃÂ¶.\'','dd.MM.yyyy','dd.MM.yy',NULL,NULL,NULL,NULL,NULL,NULL,'Ã’â€ºÃÂ°Ã’Â£.','ÃÂ°Ã’â€ºÃÂ¿.','ÃÂ½ÃÂ°Ã‘Æ’.','Ã‘ÂÃ“â„¢Ã‘Æ’.','ÃÂ¼ÃÂ°ÃÂ¼.','ÃÂ¼ÃÂ°Ã‘Æ’.','Ã‘Ë†Ã‘â€“ÃÂ».','Ã‘â€šÃÂ°ÃÂ¼.','Ã’â€ºÃ‘â€¹Ã‘â‚¬.','Ã’â€ºÃÂ°ÃÂ·.','Ã’â€ºÃÂ°Ã‘â‚¬.','ÃÂ¶ÃÂµÃÂ»Ã‘â€š.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Ã’â€ºÃÂ°Ã’Â£Ã‘â€šÃÂ°Ã‘â‚¬','ÃÂ°Ã’â€ºÃÂ¿ÃÂ°ÃÂ½','ÃÂ½ÃÂ°Ã‘Æ’Ã‘â‚¬Ã‘â€¹ÃÂ·','Ã‘ÂÃ“â„¢Ã‘Æ’Ã‘â€“Ã‘â‚¬','ÃÂ¼ÃÂ°ÃÂ¼Ã‘â€¹Ã‘â‚¬','ÃÂ¼ÃÂ°Ã‘Æ’Ã‘ÂÃ‘â€¹ÃÂ¼','Ã‘Ë†Ã‘â€“ÃÂ»ÃÂ´ÃÂµ','Ã‘â€šÃÂ°ÃÂ¼Ã‘â€¹ÃÂ·','Ã’â€ºÃ‘â€¹Ã‘â‚¬ÃÂºÃ’Â¯ÃÂ¹ÃÂµÃÂº','Ã’â€ºÃÂ°ÃÂ·ÃÂ°ÃÂ½','Ã’â€ºÃÂ°Ã‘â‚¬ÃÂ°Ã‘Ë†ÃÂ°','ÃÂ¶ÃÂµÃÂ»Ã‘â€šÃÂ¾Ã’â€ºÃ‘ÂÃÂ°ÃÂ½','ÃÂ¶Ã‘Â.','ÃÂ´Ã‘Â.','Ã‘ÂÃ‘Â.','Ã‘ÂÃ‘â‚¬.','ÃÂ±Ã‘Â.','ÃÂ¶ÃÂ¼.','Ã‘ÂÃ’Â».','ÃÂ¶ÃÂµÃÂºÃ‘ÂÃÂµÃÂ½Ã‘â€“','ÃÂ´Ã‘Æ’ÃÂ¹Ã‘ÂÃÂµÃÂ½ÃÂ±Ã‘â€“','Ã‘ÂÃÂµÃÂ¹Ã‘ÂÃÂµÃÂ½ÃÂ±Ã‘â€“','Ã‘ÂÃ“â„¢Ã‘â‚¬ÃÂµÃÂ½ÃÂ±Ã‘â€“','ÃÂ±ÃÂµÃÂ¹Ã‘ÂÃÂµÃÂ½ÃÂ±Ã‘â€“','ÃÂ¶Ã’Â±ÃÂ¼ÃÂ°','Ã‘ÂÃÂµÃÂ½ÃÂ±Ã‘â€“');
INSERT INTO `locales` VALUES (200,'kk','KZ','KZT','Ã‘â€šÃ’Â£ÃÂ³.',NULL,NULL,NULL,NULL,NULL,'#,##0.00 Ã‚Â¤;-Ã‚Â¤ #,##0.00',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (201,'kl',NULL,NULL,NULL,NULL,NULL,',','.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'jan','feb','mar','apr','maj','jun','jul','aug','sep','okt','nov','dec',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'januari','februari','martsi','aprili','maji','juni','juli','augustusi','septemberi','oktoberi','novemberi','decemberi','sab','ata','mar','pin','sis','tal','arf','sabaat','ataasinngorneq','marlunngorneq','pingasunngorneq','sisamanngorneq','tallimanngorneq','arfininngorneq');
INSERT INTO `locales` VALUES (202,'kl','GL','DKK','kr',NULL,NULL,NULL,NULL,NULL,'Ã‚Â¤#,##0.00;Ã‚Â¤ -#,##0.00',NULL,NULL,'h:mm:ss a','h:mm:ss a','h:mm:ss a','h:mm a','EEEE dd MMMM yyyy','dd MMMM yyyy','MMM dd,yy','dd/MM/yy',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (203,'km',NULL,NULL,NULL,NULL,NULL,',','.',NULL,NULL,NULL,NULL,'H\' Ã¡Å¾ËœÃ¡Å¸â€°Ã¡Å¸â€žÃ¡Å¾â€ž \'m\' Ã¡Å¾â€œÃ¡Å¾Â¶Ã¡Å¾â€˜Ã¡Å¾Â¸ \'ss\' Ã¡Å¾Å“Ã¡Å¾Â·Ã¡Å¾â€œÃ¡Å¾Â¶Ã¡Å¾â€˜Ã¡Å¾Â¸Ã¢â‚¬â€¹\' z','H\' Ã¡Å¾ËœÃ¡Å¸â€°Ã¡Å¸â€žÃ¡Å¾â€ž \'m\' Ã¡Å¾â€œÃ¡Å¾Â¶Ã¡Å¾â€˜Ã¡Å¾Â¸ \'ss\' Ã¡Å¾Å“Ã¡Å¾Â·Ã¡Å¾â€œÃ¡Å¾Â¶Ã¡Å¾â€˜Ã¡Å¾Â¸Ã¢â‚¬â€¹\'','H:mm:ss','H:mm','EEEE\' Ã¡Å¾ÂÃ¡Å¸â€™Ã¡Å¾â€žÃ¡Å¸Æ’ \'d\' Ã¡Å¾ÂÃ¡Å¸â€š \'MMMM\' Ã¡Å¾â€ Ã¡Å¸â€™Ã¡Å¾â€œÃ¡Å¾Â¶Ã¡Å¸â€  \' yyyy','EEEE\' Ã¡Å¾ÂÃ¡Å¸â€™Ã¡Å¾â€žÃ¡Å¸Æ’ \'d\' Ã¡Å¾ÂÃ¡Å¸â€š \'MMMM\' Ã¡Å¾â€ Ã¡Å¸â€™Ã¡Å¾â€œÃ¡Å¾Â¶Ã¡Å¸â€  \' yyyy','d MMMM yyyy','d/M/yyyy','{1}, {0}','Ã¡Å¾â€“Ã¡Å¸â€™Ã¡Å¾Å¡Ã¡Å¾Â¹Ã¡Å¾â‚¬','Ã¡Å¾â€ºÃ¡Å¸â€™Ã¡Å¾â€žÃ¡Å¾Â¶Ã¡Å¾â€¦',NULL,NULL,NULL,'Ã¡Å¸Â¡','Ã¡Å¸Â¢','Ã¡Å¸Â£','Ã¡Å¸Â¤','Ã¡Å¸Â¥','Ã¡Å¸Â¦','Ã¡Å¸Â§','Ã¡Å¸Â¨','Ã¡Å¸Â©','Ã¡Å¸Â¡Ã¡Å¸Â ','Ã¡Å¸Â¡Ã¡Å¸Â¡','Ã¡Å¸Â¡Ã¡Å¸Â¢',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Ã¡Å¾ËœÃ¡Å¾â‚¬Ã¡Å¾Å¡Ã¡Å¾Â¶','Ã¡Å¾â‚¬Ã¡Å¾Â»Ã¡Å¾ËœÃ¡Å¸â€™Ã¡Å¾â€”Ã¡Å¸Ë†','Ã¡Å¾ËœÃ¡Å¾Â·Ã¡Å¾â€œÃ¡Å¾Â¶','Ã¡Å¾ËœÃ¡Å¸ÂÃ¡Å¾Å¸Ã¡Å¾Â¶','Ã¡Å¾Â§Ã¡Å¾Å¸Ã¡Å¾â€”Ã¡Å¾Â¶','Ã¡Å¾ËœÃ¡Å¾Â·Ã¡Å¾ÂÃ¡Å¾Â»Ã¡Å¾â€œÃ¡Å¾Â¶','Ã¡Å¾â‚¬Ã¡Å¾â‚¬Ã¡Å¸â€™Ã¡Å¾â‚¬Ã¡Å¾Å Ã¡Å¾Â¶','Ã¡Å¾Å¸Ã¡Å¾Â¸Ã¡Å¾Â Ã¡Å¾Â¶','Ã¡Å¾â‚¬Ã¡Å¾â€°Ã¡Å¸â€™Ã¡Å¾â€°Ã¡Å¾Â¶','Ã¡Å¾ÂÃ¡Å¾Â»Ã¡Å¾â€ºÃ¡Å¾Â¶','Ã¡Å¾Å“Ã¡Å¾Â·Ã¡Å¾â€¦Ã¡Å¸â€™Ã¡Å¾â€ Ã¡Å¾Â·Ã¡Å¾â‚¬Ã¡Å¾Â¶','Ã¡Å¾â€™Ã¡Å¸â€™Ã¡Å¾â€œÃ¡Å¾Â¼','Ã¡Å¾Â¢Ã¡Å¾Â¶','Ã¡Å¾â€¦','Ã¡Å¾Â¢','Ã¡Å¾â€“Ã¡Å¾Â»','Ã¡Å¾â€“Ã¡Å¸â€™Ã¡Å¾Å¡','Ã¡Å¾Å¸Ã¡Å¾Â»','Ã¡Å¾Å¸','Ã¡Å¾ÂÃ¡Å¸â€™Ã¡Å¾â€žÃ¡Å¸Æ’Ã¡Å¾Â¢Ã¡Å¾Â¶Ã¡Å¾â€˜Ã¡Å¾Â·Ã¡Å¾ÂÃ¡Å¸â€™Ã¡Å¾â„¢','Ã¢â‚¬â€¹Ã¡Å¾ÂÃ¡Å¸â€™Ã¡Å¾â€žÃ¡Å¸Æ’Ã¡Å¾â€¦Ã¡Å¸ÂÃ¡Å¾â€œÃ¡Å¸â€™Ã¡Å¾â€˜','Ã¡Å¾ÂÃ¡Å¸â€™Ã¡Å¾â€žÃ¡Å¸Æ’Ã¡Å¾Â¢Ã¡Å¾â€žÃ¡Å¸â€™Ã¡Å¾â€šÃ¡Å¾Â¶Ã¡Å¾Å¡','Ã¡Å¾ÂÃ¡Å¸â€™Ã¡Å¾â€žÃ¡Å¸Æ’Ã¡Å¾â€“Ã¡Å¾Â»Ã¡Å¾â€™','Ã¡Å¾ÂÃ¡Å¸â€™Ã¡Å¾â€žÃ¡Å¸Æ’Ã¡Å¾â€“Ã¡Å¸â€™Ã¡Å¾Å¡Ã¡Å¾Â Ã¡Å¾Å¸Ã¡Å¸â€™Ã¡Å¾â€Ã¡Å¾ÂÃ¡Å¾Â·Ã¡Å¸Â','Ã¡Å¾ÂÃ¡Å¸â€™Ã¡Å¾â€žÃ¡Å¸Æ’Ã¡Å¾Å¸Ã¡Å¾Â»Ã¡Å¾â‚¬Ã¡Å¸â€™Ã¡Å¾Å¡','Ã¡Å¾ÂÃ¡Å¸â€™Ã¡Å¾â€žÃ¡Å¸Æ’Ã¡Å¾Å¸Ã¡Å¸â€¦Ã¡Å¾Å¡Ã¡Å¸Â');
INSERT INTO `locales` VALUES (204,'km','KH','KHR','Ã¡Å¸â€º',NULL,NULL,NULL,NULL,NULL,'#,##0.00Ã‚Â¤',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (205,'kn',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Ã Â²ÂªÃ Â³â€šÃ Â²Â°Ã Â³ÂÃ Â²ÂµÃ Â²Â¾Ã Â²Â¹Ã Â³ÂÃ Â²Â¨','Ã Â²â€¦Ã Â²ÂªÃ Â²Â°Ã Â²Â¾Ã Â²Â¹Ã Â³ÂÃ Â²Â¨',NULL,NULL,NULL,'Ã Â²Å“Ã Â²Â¨Ã Â²ÂµÃ Â²Â°Ã Â³â‚¬','Ã Â²Â«Ã Â³â€ Ã Â²Â¬Ã Â³ÂÃ Â²Â°Ã Â²ÂµÃ Â²Â°Ã Â³â‚¬','Ã Â²Â®Ã Â²Â¾Ã Â²Â°Ã Â³ÂÃ Â²Å¡Ã Â³Â','Ã Â²Å½Ã Â²ÂªÃ Â³ÂÃ Â²Â°Ã Â²Â¿Ã Â²Â²Ã Â³Â','Ã Â²Â®Ã Â³â€ ','Ã Â²Å“Ã Â³â€šÃ Â²Â¨Ã Â³Â','Ã Â²Å“Ã Â³ÂÃ Â²Â²Ã Â³Ë†','Ã Â²â€ Ã Â²â€”Ã Â²Â¸Ã Â³ÂÃ Â²Å¸Ã Â³Â','Ã Â²Â¸Ã Â²ÂªÃ Â³ÂÃ Â²Å¸Ã Â³â€ Ã Â²â€šÃ Â²Â¬Ã Â²Â°Ã Â³Â','Ã Â²â€¦Ã Â²â€¢Ã Â³ÂÃ Â²Å¸Ã Â³â€¹Ã Â²Â¬Ã Â²Â°Ã Â³Â','Ã Â²Â¨Ã Â²ÂµÃ Â³â€ Ã Â²â€šÃ Â²Â¬Ã Â²Â°Ã Â³Â','Ã Â²Â¡Ã Â²Â¿Ã Â²Â¸Ã Â³â€ Ã Â²â€šÃ Â²Â¬Ã Â²Â°Ã Â³Â',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Ã Â²Å“Ã Â²Â¨Ã Â²ÂµÃ Â²Â°Ã Â³â‚¬','Ã Â²Â«Ã Â³â€ Ã Â²Â¬Ã Â³ÂÃ Â²Â°Ã Â²ÂµÃ Â²Â°Ã Â³â‚¬','Ã Â²Â®Ã Â²Â¾Ã Â²Â°Ã Â³ÂÃ Â²Å¡Ã Â³Â','Ã Â²Å½Ã Â²ÂªÃ Â³ÂÃ Â²Â°Ã Â²Â¿Ã Â²Â²Ã Â³Â','Ã Â²Â®Ã Â³â€ ','Ã Â²Å“Ã Â³â€šÃ Â²Â¨Ã Â³Â','Ã Â²Å“Ã Â³ÂÃ Â²Â²Ã Â³Ë†','Ã Â²â€ Ã Â²â€”Ã Â²Â¸Ã Â³ÂÃ Â²Å¸Ã Â³Â','Ã Â²Â¸Ã Â²ÂªÃ Â³ÂÃ Â²Å¸Ã Â³â€ Ã Â²â€šÃ Â²Â¬Ã Â²Â°Ã Â³Â','Ã Â²â€¦Ã Â²â€¢Ã Â³ÂÃ Â²Å¸Ã Â³â€¹Ã Â²Â¬Ã Â²Â°Ã Â³Â','Ã Â²Â¨Ã Â²ÂµÃ Â³â€ Ã Â²â€šÃ Â²Â¬Ã Â²Â°Ã Â³Â','Ã Â²Â¡Ã Â²Â¿Ã Â²Â¸Ã Â³â€ Ã Â²â€šÃ Â²Â¬Ã Â²Â°Ã Â³Â','Ã Â²Â°.','Ã Â²Â¸Ã Â³â€¹.','Ã Â²Â®Ã Â²â€š.','Ã Â²Â¬Ã Â³Â.','Ã Â²â€”Ã Â³Â.','Ã Â²Â¶Ã Â³Â.','Ã Â²Â¶Ã Â²Â¨Ã Â²Â¿.','Ã Â²Â°Ã Â²ÂµÃ Â²Â¿Ã Â²ÂµÃ Â²Â¾Ã Â²Â°','Ã Â²Â¸Ã Â³â€¹Ã Â²Â®Ã Â²ÂµÃ Â²Â¾Ã Â²Â°','Ã Â²Â®Ã Â²â€šÃ Â²â€”Ã Â²Â³Ã Â²ÂµÃ Â²Â¾Ã Â²Â°','Ã Â²Â¬Ã Â³ÂÃ Â²Â§Ã Â²ÂµÃ Â²Â¾Ã Â²Â°','Ã Â²â€”Ã Â³ÂÃ Â²Â°Ã Â³ÂÃ Â²ÂµÃ Â²Â¾Ã Â²Â°','Ã Â²Â¶Ã Â³ÂÃ Â²â€¢Ã Â³ÂÃ Â²Â°Ã Â²ÂµÃ Â²Â¾Ã Â²Â°','Ã Â²Â¶Ã Â²Â¨Ã Â²Â¿Ã Â²ÂµÃ Â²Â¾Ã Â²Â°');
INSERT INTO `locales` VALUES (206,'kn','IN','INR','Ã Â¤Â°Ã Â¥Â',NULL,NULL,NULL,NULL,'#,##,##0.###','Ã‚Â¤ #,##,##0.00',NULL,NULL,'hh:mm:ss a z','hh:mm:ss a z','hh:mm:ss a','hh:mm a','EEEE d MMMM yyyy','d MMMM yyyy','dd-MM-yyyy','d-M-yy',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (207,'ko',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'a hh\'Ã¬â€¹Å“\' mm\'Ã«Â¶â€ž\' ss\'Ã¬Â´Ë†\' z','a hh\'Ã¬â€¹Å“\' mm\'Ã«Â¶â€ž\' ss\'Ã¬Â´Ë†\'','a hh\'Ã¬â€¹Å“\' mm\'Ã«Â¶â€ž\'','a hh\'Ã¬â€¹Å“\' mm\'Ã«Â¶â€ž\'','yyyy\'Ã«â€¦â€ž\' M\'Ã¬â€ºâ€\' d\'Ã¬ÂÂ¼\' EEEE','yyyy\'Ã«â€¦â€ž\' M\'Ã¬â€ºâ€\' d\'Ã¬ÂÂ¼\'','yyyy. MM. dd','yy. MM. dd',NULL,'Ã¬ËœÂ¤Ã¬Â â€ž','Ã¬ËœÂ¤Ã­â€ºâ€ž',NULL,NULL,NULL,'1Ã¬â€ºâ€','2Ã¬â€ºâ€','3Ã¬â€ºâ€','4Ã¬â€ºâ€','5Ã¬â€ºâ€','6Ã¬â€ºâ€','7Ã¬â€ºâ€','8Ã¬â€ºâ€','9Ã¬â€ºâ€','10Ã¬â€ºâ€','11Ã¬â€ºâ€','12Ã¬â€ºâ€',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'1Ã¬â€ºâ€','2Ã¬â€ºâ€','3Ã¬â€ºâ€','4Ã¬â€ºâ€','5Ã¬â€ºâ€','6Ã¬â€ºâ€','7Ã¬â€ºâ€','8Ã¬â€ºâ€','9Ã¬â€ºâ€','10Ã¬â€ºâ€','11Ã¬â€ºâ€','12Ã¬â€ºâ€','Ã¬ÂÂ¼','Ã¬â€ºâ€','Ã­â„¢â€','Ã¬Ë†Ëœ','Ã«ÂªÂ©','ÃªÂ¸Ë†','Ã­â€ Â ','Ã¬ÂÂ¼Ã¬Å¡â€Ã¬ÂÂ¼','Ã¬â€ºâ€Ã¬Å¡â€Ã¬ÂÂ¼','Ã­â„¢â€Ã¬Å¡â€Ã¬ÂÂ¼','Ã¬Ë†ËœÃ¬Å¡â€Ã¬ÂÂ¼','Ã«ÂªÂ©Ã¬Å¡â€Ã¬ÂÂ¼','ÃªÂ¸Ë†Ã¬Å¡â€Ã¬ÂÂ¼','Ã­â€ Â Ã¬Å¡â€Ã¬ÂÂ¼');
INSERT INTO `locales` VALUES (208,'ko','KR','KRW','Ã¯Â¿Â¦','0','-1',NULL,NULL,NULL,'Ã‚Â¤#,##0.00',NULL,NULL,NULL,NULL,'a h:mm:ss','a h:mm',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (209,'kok',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Ã Â¤Â®.Ã Â¤ÂªÃ Â¥â€š.','Ã Â¤Â®.Ã Â¤Â¨Ã Â¤â€š.',NULL,NULL,NULL,'Ã Â¤Å“Ã Â¤Â¾Ã Â¤Â¨Ã Â¥â€¡Ã Â¤ÂµÃ Â¤Â¾Ã Â¤Â°Ã Â¥â‚¬','Ã Â¤Â«Ã Â¥â€¡Ã Â¤Â¬Ã Â¥Æ’Ã Â¤ÂµÃ Â¤Â¾Ã Â¤Â°Ã Â¥â‚¬','Ã Â¤Â®Ã Â¤Â¾Ã Â¤Â°Ã Â¥ÂÃ Â¤Å¡','Ã Â¤ÂÃ Â¤ÂªÃ Â¥ÂÃ Â¤Â°Ã Â¤Â¿Ã Â¤Â²','Ã Â¤Â®Ã Â¥â€¡','Ã Â¤Å“Ã Â¥â€šÃ Â¤Â¨','Ã Â¤Å“Ã Â¥ÂÃ Â¤Â²Ã Â¥Ë†','Ã Â¤â€œÃ Â¤â€”Ã Â¤Â¸Ã Â¥ÂÃ Â¤Å¸','Ã Â¤Â¸Ã Â¥â€¡Ã Â¤ÂªÃ Â¥ÂÃ Â¤Å¸Ã Â¥â€¡Ã Â¤â€šÃ Â¤Â¬Ã Â¤Â°','Ã Â¤â€œÃ Â¤â€¢Ã Â¥ÂÃ Â¤Å¸Ã Â¥â€¹Ã Â¤Â¬Ã Â¤Â°','Ã Â¤Â¨Ã Â¥â€¹Ã Â¤ÂµÃ Â¥ÂÃ Â¤Â¹Ã Â¥â€¡Ã Â¤â€šÃ Â¤Â¬Ã Â¤Â°','Ã Â¤Â¡Ã Â¤Â¿Ã Â¤Â¸Ã Â¥â€¡Ã Â¤â€šÃ Â¤Â¬Ã Â¤Â°',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Ã Â¤Å“Ã Â¤Â¾Ã Â¤Â¨Ã Â¥â€¡Ã Â¤ÂµÃ Â¤Â¾Ã Â¤Â°Ã Â¥â‚¬','Ã Â¤Â«Ã Â¥â€¡Ã Â¤Â¬Ã Â¥ÂÃ Â¤Â°Ã Â¥ÂÃ Â¤ÂµÃ Â¤Â¾Ã Â¤Â°Ã Â¥â‚¬','Ã Â¤Â®Ã Â¤Â¾Ã Â¤Â°Ã Â¥ÂÃ Â¤Å¡','Ã Â¤ÂÃ Â¤ÂªÃ Â¥ÂÃ Â¤Â°Ã Â¤Â¿Ã Â¤Â²','Ã Â¤Â®Ã Â¥â€¡','Ã Â¤Å“Ã Â¥â€šÃ Â¤Â¨','Ã Â¤Å“Ã Â¥ÂÃ Â¤Â²Ã Â¥Ë†','Ã Â¤â€œÃ Â¤â€”Ã Â¤Â¸Ã Â¥ÂÃ Â¤Å¸','Ã Â¤Â¸Ã Â¥â€¡Ã Â¤ÂªÃ Â¥ÂÃ Â¤Å¸Ã Â¥â€¡Ã Â¤â€šÃ Â¤Â¬Ã Â¤Â°','Ã Â¤â€œÃ Â¤â€¢Ã Â¥ÂÃ Â¤Å¸Ã Â¥â€¹Ã Â¤Â¬Ã Â¤Â°','Ã Â¤Â¨Ã Â¥â€¹Ã Â¤ÂµÃ Â¥ÂÃ Â¤Â¹Ã Â¥â€¡Ã Â¤â€šÃ Â¤Â¬Ã Â¤Â°','Ã Â¤Â¡Ã Â¤Â¿Ã Â¤Â¸Ã Â¥â€¡Ã Â¤â€šÃ Â¤Â¬Ã Â¤Â°','Ã Â¤Â°Ã Â¤ÂµÃ Â¤Â¿','Ã Â¤Â¸Ã Â¥â€¹Ã Â¤Â®','Ã Â¤Â®Ã Â¤â€šÃ Â¤â€”Ã Â¤Â³','Ã Â¤Â¬Ã Â¥ÂÃ Â¤Â§','Ã Â¤â€”Ã Â¥ÂÃ Â¤Â°Ã Â¥Â','Ã Â¤Â¶Ã Â¥ÂÃ Â¤â€¢Ã Â¥ÂÃ Â¤Â°','Ã Â¤Â¶Ã Â¤Â¨Ã Â¤Â¿','Ã Â¤â€ Ã Â¤Â¦Ã Â¤Â¿Ã Â¤Â¤Ã Â¥ÂÃ Â¤Â¯Ã Â¤ÂµÃ Â¤Â¾Ã Â¤Â°','Ã Â¤Â¸Ã Â¥â€¹Ã Â¤Â®Ã Â¤ÂµÃ Â¤Â¾Ã Â¤Â°','Ã Â¤Â®Ã Â¤â€šÃ Â¤â€”Ã Â¤Â³Ã Â¤Â¾Ã Â¤Â°','Ã Â¤Â¬Ã Â¥ÂÃ Â¤Â§Ã Â¤ÂµÃ Â¤Â¾Ã Â¤Â°','Ã Â¤â€”Ã Â¥ÂÃ Â¤Â°Ã Â¥ÂÃ Â¤ÂµÃ Â¤Â¾Ã Â¤Â°','Ã Â¤Â¶Ã Â¥ÂÃ Â¤â€¢Ã Â¥ÂÃ Â¤Â°Ã Â¤ÂµÃ Â¤Â¾Ã Â¤Â°','Ã Â¤Â¶Ã Â¤Â¨Ã Â¤Â¿Ã Â¤ÂµÃ Â¤Â¾Ã Â¤Â°');
INSERT INTO `locales` VALUES (210,'kok','IN','INR','Ã Â¤Â°Ã Â¥Â',NULL,NULL,NULL,NULL,'#,##,##0.###','Ã‚Â¤ #,##,##0.00',NULL,NULL,'h:mm:ss a z','h:mm:ss a z','h:mm:ss a','h:mm a','EEEE d MMMM yyyy','d MMMM yyyy','dd-MM-yyyy','d-M-yy',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (211,'ku',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'BN','PN',NULL,NULL,NULL,'ÃƒÂ§il','sib','adr','nÃƒÂ®s','gul','hez','tÃƒÂ®r',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'ÃƒÂ§ile','sibat','adar','nÃƒÂ®san','gulan','hezÃƒÂ®ran',NULL,NULL,NULL,NULL,NULL,NULL,'yÃ…Å¸','dÃ…Å¸','sÃ…Å¸','ÃƒÂ§Ã…Å¸','pÃ…Å¸','ÃƒÂ®n','Ã…Å¸','yekÃ…Å¸em','duÃ…Å¸em','Ã…Å¸ÃƒÂª','ÃƒÂ§arÃ…Å¸em','pÃƒÂªncÃ…Å¸em','ÃƒÂ®n','Ã…Å¸emÃƒÂ®');
INSERT INTO `locales` VALUES (212,'ku_Arab',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (213,'ku_Latn',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (214,'ku_Latn','IQ','IQD',NULL,'0','3',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (215,'ku_Latn','IR','IRR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (216,'ku_Latn','SY','SYP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (217,'ku_Latn','TR','TRY',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (218,'kw',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'a.m.','p.m.',NULL,NULL,NULL,'Gen','Whe','Mer','Ebr','Me','Efn','Gor','Est','Gwn','Hed','Du','Kev',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Mys Genver','Mys Whevrel','Mys Merth','Mys Ebrel','Mys Me','Mys Efan','Mys Gortheren','Mye Est','Mys Gwyngala','Mys Hedra','Mys Du','Mys Kevardhu','Sul','Lun','Mth','Mhr','Yow','Gwe','Sad','De Sul','De Lun','De Merth','De Merher','De Yow','De Gwener','De Sadorn');
INSERT INTO `locales` VALUES (219,'kw','GB','GBP','Ã‚Â£',NULL,NULL,NULL,NULL,NULL,'Ã‚Â¤#,##0.00',NULL,NULL,NULL,'HH:mm:ss',NULL,NULL,'EEEE d MMMM yyyy','d MMMM yyyy','d MMM yyyy','dd/MM/yyyy',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (220,'ky',NULL,NULL,NULL,NULL,NULL,',','Ã‚Â ',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (221,'ky','KG','KGS','Ã‘ÂÃÂ¾ÃÂ¼',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (222,'ln',NULL,NULL,NULL,NULL,NULL,',',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'s1','s2','s3','s4','s5','s6','s7','s8','s9','s10','s11','s12',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'sÃƒÂ¡nzÃƒÂ¡ ya yambo','sÃƒÂ¡nzÃƒÂ¡ ya mÃƒÂ­balÃƒÂ©','sÃƒÂ¡nzÃƒÂ¡ ya mÃƒÂ­sÃƒÂ¡to','sÃƒÂ¡nzÃƒÂ¡ ya mÃƒÂ­nÃƒÂ©i','sÃƒÂ¡nzÃƒÂ¡ ya mÃƒÂ­tÃƒÂ¡no','sÃƒÂ¡nzÃƒÂ¡ ya motÃƒÂ³bÃƒÂ¡','sÃƒÂ¡nzÃƒÂ¡ ya nsambo','sÃƒÂ¡nzÃƒÂ¡ ya mwambe','sÃƒÂ¡nzÃƒÂ¡ ya libwa','sÃƒÂ¡nzÃƒÂ¡ ya zÃƒÂ³mÃƒÂ­','sÃƒÂ¡nzÃƒÂ¡ ya zÃƒÂ³mÃƒÂ­ na mÃ‰â€ÃŒÅ’kÃ‰â€ÃŒÂ','sÃƒÂ¡nzÃƒÂ¡ ya zÃƒÂ³mÃƒÂ­ na mÃƒÂ­balÃƒÂ©','eye','m1','m2','m3','m4','m5','mps','eyenga','mokÃ‰â€lÃ‰â€ ya libosÃƒÂ³','mokÃ‰â€lÃ‰â€ ya mÃƒÂ­balÃƒÂ©','mokÃ‰â€lÃ‰â€ ya mÃƒÂ­sÃƒÂ¡to','mokÃ‰â€lÃ‰â€ ya mÃƒÂ­nÃƒÂ©i','mokÃ‰â€lÃ‰â€ ya mÃƒÂ­tÃƒÂ¡no','mpÃ‰â€ÃŒÂsÃ‰â€');
INSERT INTO `locales` VALUES (223,'ln','CD','CDF','',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (224,'ln','CG','XAF',NULL,'0','-1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (225,'lo',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'H\'Ã Â»â€šÃ ÂºÂ¡Ã Âºâ€¡ \'m\'Ã Âºâ„¢Ã ÂºÂ²Ã Âºâ€”Ã ÂºÂµ \'ss\' Ã ÂºÂ§Ã ÂºÂ´Ã Âºâ„¢Ã ÂºÂ²Ã Âºâ€”Ã ÂºÂµ','H\' Ã Â»â€šÃ ÂºÂ¡Ã Âºâ€¡ \'m\'Ã Âºâ„¢Ã ÂºÂ²Ã Âºâ€”Ã ÂºÂµ\'','H:mm:ss','H:mm','EEEE\'Ã Âºâ€”Ã ÂºÂµ  \'d MMMM G yyyy','d MMMM yyyy','d MMM yyyy','d/M/yyyy','{1}, {0}','Ã ÂºÂÃ Â»Ë†Ã ÂºÂ­Ã Âºâ„¢Ã Âºâ€”Ã Â»Ë†Ã ÂºÂ½Ã Âºâ€¡','Ã ÂºÂ«Ã ÂºÂ¥Ã ÂºÂ±Ã Âºâ€¡Ã Âºâ€”Ã Â»Ë†Ã ÂºÂ½Ã Âºâ€¡',NULL,NULL,NULL,'Ã ÂºÂ¡.Ã ÂºÂ.','Ã ÂºÂ.Ã ÂºÅ¾.','Ã ÂºÂ¡Ã ÂºÂµ.Ã Âºâ„¢.','Ã ÂºÂ¡.Ã ÂºÂª..','Ã ÂºÅ¾.Ã ÂºÅ¾.','Ã ÂºÂ¡Ã ÂºÂ´.Ã Âºâ€“.','Ã ÂºÂ.Ã ÂºÂ¥.','Ã ÂºÂª.Ã ÂºÂ«.','Ã ÂºÂ.Ã ÂºÂ.','Ã Âºâ€¢.Ã ÂºÂ¥.','Ã ÂºÅ¾.Ã ÂºË†.','Ã Âºâ€”.Ã ÂºÂ§.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Ã ÂºÂ¡Ã ÂºÂ±Ã Âºâ€¡Ã ÂºÂÃ ÂºÂ­Ã Âºâ„¢','Ã ÂºÂÃ ÂºÂ¸Ã ÂºÂ¡Ã ÂºÅ¾Ã ÂºÂ²','Ã ÂºÂ¡Ã ÂºÂµÃ Âºâ„¢Ã ÂºÂ²','Ã Â»â‚¬Ã ÂºÂ¡Ã ÂºÂªÃ ÂºÂ²','Ã ÂºÅ¾Ã ÂºÂ¶Ã Âºâ€Ã ÂºÂªÃ ÂºÂ°Ã ÂºÅ¾Ã ÂºÂ²','Ã ÂºÂ¡Ã ÂºÂ´Ã Âºâ€“Ã ÂºÂ¸Ã Âºâ„¢Ã ÂºÂ²','Ã ÂºÂÃ Â»ÂÃ ÂºÂ¥Ã ÂºÂ°Ã ÂºÂÃ ÂºÂ»Ã Âºâ€','Ã ÂºÂªÃ ÂºÂ´Ã Âºâ€¡Ã ÂºÂ«Ã ÂºÂ²','Ã ÂºÂÃ ÂºÂ±Ã Âºâ„¢Ã ÂºÂÃ ÂºÂ²','Ã Âºâ€¢Ã ÂºÂ¸Ã ÂºÂ¥Ã ÂºÂ²','Ã ÂºÅ¾Ã ÂºÂ°Ã ÂºË†Ã ÂºÂ´Ã ÂºÂ','Ã Âºâ€”Ã ÂºÂ±Ã Âºâ„¢Ã ÂºÂ§Ã ÂºÂ²','Ã ÂºÂ­Ã ÂºÂ².','Ã ÂºË†.','Ã ÂºÂ­.','Ã ÂºÅ¾.','Ã ÂºÅ¾Ã ÂºÂ«.','Ã ÂºÂªÃ ÂºÂ.','Ã ÂºÂª.','Ã ÂºÂ§Ã ÂºÂ±Ã Âºâ„¢Ã ÂºÂ­Ã ÂºÂ²Ã Âºâ€”Ã ÂºÂ´Ã Âºâ€','Ã ÂºÂ§Ã ÂºÂ±Ã Âºâ„¢Ã ÂºË†Ã ÂºÂ±Ã Âºâ„¢','Ã ÂºÂ§Ã ÂºÂ±Ã Âºâ„¢Ã ÂºÂ­Ã ÂºÂ±Ã Âºâ€¡Ã Âºâ€žÃ ÂºÂ²Ã Âºâ„¢','Ã ÂºÂ§Ã ÂºÂ±Ã Âºâ„¢Ã ÂºÅ¾Ã ÂºÂ¸Ã Âºâ€','Ã ÂºÂ§Ã ÂºÂ±Ã Âºâ„¢Ã ÂºÅ¾Ã ÂºÂ°Ã ÂºÂ«Ã ÂºÂ±Ã Âºâ€','Ã ÂºÂ§Ã ÂºÂ±Ã Âºâ„¢Ã ÂºÂªÃ ÂºÂ¸Ã ÂºÂ','Ã ÂºÂ§Ã ÂºÂ±Ã Âºâ„¢Ã Â»â‚¬Ã ÂºÂªÃ ÂºÂ»Ã ÂºÂ²');
INSERT INTO `locales` VALUES (226,'lo','LA','LAK','Ã¢â€šÂ­',NULL,NULL,NULL,NULL,NULL,'Ã‚Â¤#,##0.00;Ã‚Â¤-#,##0.00',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (227,'lt',NULL,NULL,NULL,NULL,NULL,',','.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'yyyy \'m.\' MMMM d \'d.\',EEEE','yyyy \'m.\' MMMM d \'d.\'','yyyy.MM.dd','yyyy-MM-dd',NULL,'prieÃ…Â¡piet','popiet',NULL,NULL,NULL,'Sau','Vas','Kov','Bal','Geg','Bir','Lie','Rgp','Rgs','Spl','Lap','Grd',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'sausio','vasario','kovo','balandÃ…Â¾io','geguÃ…Â¾Ã„â€”s','birÃ…Â¾elio','liepos','rugpjÃ…Â«Ã„Âio','rugsÃ„â€”jo','spalio','lapkriÃ„Âio','gruodÃ…Â¾io','Sk','Pr','An','Tr','Kt','Pn','Ã…Â t','sekmadienis','pirmadienis','antradienis','treÃ„Âiadienis','ketvirtadienis','penktadienis','Ã…Â¡eÃ…Â¡tadienis');
INSERT INTO `locales` VALUES (228,'lt','LT','LTL','Lt',NULL,NULL,NULL,NULL,NULL,'#,##0.00 Ã‚Â¤',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (229,'lv',NULL,NULL,NULL,NULL,NULL,',','Ã‚Â ',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'EEEE, yyyy\'. gada \'d. MMMM','yyyy\'. gada \'d. MMMM','yyyy.d.M','yy.d.M',NULL,NULL,NULL,NULL,NULL,NULL,'Jan','Feb','Mar','Apr','Mai','JÃ…Â«n','JÃ…Â«l','Aug','Sep','Okt','Nov','Dec',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'janvÃ„Âris','februÃ„Âris','marts','aprÃ„Â«lis','maijs','jÃ…Â«nijs','jÃ…Â«lijs','augusts','septembris','oktobris','novembris','decembris','Sv','P','O','T','C','Pk','S','svÃ„â€œtdiena','pirmdiena','otrdiena','treÃ…Â¡diena','ceturtdiena','piektdiena','sestdiena');
INSERT INTO `locales` VALUES (230,'lv','LV','LVL','Ls',NULL,NULL,NULL,NULL,NULL,'#,##0.00 Ã‚Â¤',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (231,'mk',NULL,NULL,NULL,NULL,NULL,',','.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'EEEE, dd MMMM yyyy','dd MMMM yyyy','dd.M.yyyy','dd.M.yy',NULL,NULL,NULL,NULL,NULL,NULL,'Ã‘ËœÃÂ°ÃÂ½.','Ã‘â€žÃÂµÃÂ².','ÃÂ¼ÃÂ°Ã‘â‚¬.','ÃÂ°ÃÂ¿Ã‘â‚¬.','ÃÂ¼ÃÂ°Ã‘Ëœ.','Ã‘ËœÃ‘Æ’ÃÂ½.','Ã‘ËœÃ‘Æ’ÃÂ».','ÃÂ°ÃÂ²ÃÂ³.','Ã‘ÂÃÂµÃÂ¿Ã‘â€š.','ÃÂ¾ÃÂºÃ‘â€š.','ÃÂ½ÃÂ¾ÃÂµÃÂ¼.','ÃÂ´ÃÂµÃÂºÃÂµÃÂ¼.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Ã‘ËœÃÂ°ÃÂ½Ã‘Æ’ÃÂ°Ã‘â‚¬ÃÂ¸','Ã‘â€žÃÂµÃÂ²Ã‘â‚¬Ã‘Æ’ÃÂ°Ã‘â‚¬ÃÂ¸','ÃÂ¼ÃÂ°Ã‘â‚¬Ã‘â€š','ÃÂ°ÃÂ¿Ã‘â‚¬ÃÂ¸ÃÂ»','ÃÂ¼ÃÂ°Ã‘Ëœ','Ã‘ËœÃ‘Æ’ÃÂ½ÃÂ¸','Ã‘ËœÃ‘Æ’ÃÂ»ÃÂ¸','ÃÂ°ÃÂ²ÃÂ³Ã‘Æ’Ã‘ÂÃ‘â€š','Ã‘ÂÃÂµÃÂ¿Ã‘â€šÃÂµÃÂ¼ÃÂ²Ã‘â‚¬ÃÂ¸','ÃÂ¾ÃÂºÃ‘â€šÃÂ¾ÃÂ¼ÃÂ²Ã‘â‚¬ÃÂ¸','ÃÂ½ÃÂ¾ÃÂµÃÂ¼ÃÂ²Ã‘â‚¬ÃÂ¸','ÃÂ´ÃÂµÃÂºÃÂµÃÂ¼ÃÂ²Ã‘â‚¬ÃÂ¸','ÃÂ½ÃÂµÃÂ´.','ÃÂ¿ÃÂ¾ÃÂ½.','ÃÂ²Ã‘â€š.','Ã‘ÂÃ‘â‚¬ÃÂµ.','Ã‘â€¡ÃÂµÃ‘â€š.','ÃÂ¿ÃÂµÃ‘â€š.','Ã‘ÂÃÂ°ÃÂ±.','ÃÂ½ÃÂµÃÂ´ÃÂµÃÂ»ÃÂ°','ÃÂ¿ÃÂ¾ÃÂ½ÃÂµÃÂ´ÃÂµÃÂ»ÃÂ½ÃÂ¸ÃÂº','ÃÂ²Ã‘â€šÃÂ¾Ã‘â‚¬ÃÂ½ÃÂ¸ÃÂº','Ã‘ÂÃ‘â‚¬ÃÂµÃÂ´ÃÂ°','Ã‘â€¡ÃÂµÃ‘â€šÃÂ²Ã‘â‚¬Ã‘â€šÃÂ¾ÃÂº','ÃÂ¿ÃÂµÃ‘â€šÃÂ¾ÃÂº','Ã‘ÂÃÂ°ÃÂ±ÃÂ¾Ã‘â€šÃÂ°');
INSERT INTO `locales` VALUES (232,'mk','MK','MKD','MDen',NULL,NULL,NULL,NULL,'#,##0.###;(#,##0.###)',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (233,'ml',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Ã Â´Â°Ã Â´Â¾Ã Â´ÂµÃ Â´Â¿Ã Â´Â²Ã Âµâ€ ','Ã Â´ÂµÃ ÂµË†Ã Â´â€¢Ã ÂµÂ',NULL,NULL,NULL,'Ã Â´Å“Ã Â´Â¨Ã ÂµÂ','Ã Â´Â«Ã Â´Â¿Ã Â´Â¬Ã ÂµÂ','Ã Â´Â®Ã Â´Â¾Ã Â´Â±Ã ÂµÂÃ Â´â€¦','Ã Â´ÂÃ Â´ÂªÃ ÂµÂÃ Â´Â±Ã Â´Â¿Ã Â´Â²Ã ÂµÂÃ Â´â€¦','Ã Â´Â®Ã Âµâ€ Ã Â´Â¯Ã ÂµÂ','Ã Â´Å“Ã Âµâ€šÃ Â´Â£Ã ÂµÂÃ Â´â€¦','Ã Â´Å“Ã Âµâ€šÃ ÂµË†Ã Â´Â²','Ã Â´â€ Ã Â´â€”','Ã Â´Â¸Ã Âµâ€ Ã Â´ÂªÃ ÂµÂÃ Â´Â¤Ã Â´â€š','Ã Â´â€™Ã Â´â€¢Ã ÂµÂÃ Â´Å¸','Ã Â´Â¨Ã Â´ÂµÃ Â´â€š','Ã Â´Â¡Ã Â´Â¿Ã Â´Â¸Ã Â´â€š',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Ã Â´Å“Ã Â´Â¨Ã ÂµÂÃ Â´ÂµÃ Â´Â°Ã Â´Â¿','Ã Â´Â«Ã Â´Â¿Ã Â´Â¬Ã ÂµÂÃ Â´Â±Ã Â´ÂµÃ Â´Â°Ã Â´Â¿','Ã Â´Â®Ã Â´Â¾Ã Â´Â±Ã ÂµÂÃ Â´â€¦Ã Â´Å¡Ã ÂµÂÃ Â´â€¦Ã Â´Å¡Ã ÂµÂ','Ã Â´ÂÃ Â´ÂªÃ ÂµÂÃ Â´Â±Ã Â´Â¿Ã Â´Â²Ã ÂµÂÃ Â´â€¦','Ã Â´Â®Ã Âµâ€ Ã Â´Â¯Ã ÂµÂ','Ã Â´Å“Ã Âµâ€šÃ Â´Â£Ã ÂµÂÃ Â´â€¦','Ã Â´Å“Ã Âµâ€šÃ ÂµË†Ã Â´Â²','Ã Â´â€ Ã Â´â€”Ã Â´Â¸Ã ÂµÂÃ Â´Â¤Ã ÂµÂÃ Â´â€¦','Ã Â´Â¸Ã Âµâ€ Ã Â´ÂªÃ ÂµÂÃ Â´Â¤Ã Â´â€šÃ Â´Â¬Ã Â´Â±Ã ÂµÂÃ Â´â€¦','Ã Â´â€™Ã Â´â€¢Ã ÂµÂÃ Â´Å¸Ã ÂµË†Ã Â´Â¬Ã Â´Â±Ã ÂµÂÃ Â´â€¦','Ã Â´Â¨Ã Â´ÂµÃ Â´â€šÃ Â´Â¬Ã Â´Â±Ã ÂµÂÃ Â´â€¦','Ã Â´Â¡Ã Â´Â¿Ã Â´Â¸Ã Â´â€šÃ Â´Â¬Ã Â´Â±Ã ÂµÂÃ Â´â€¦','Ã Â´Å¾Ã Â´Â¾','Ã Â´Â¤Ã Â´Â¿','Ã Â´Å¡Ã ÂµÅ ','Ã Â´Â¬Ã ÂµÂ','Ã Â´ÂµÃ ÂµÂÃ Â´Â¯','Ã Â´ÂµÃ Âµâ€ ','Ã Â´Â¶','Ã Â´Å¾Ã Â´Â¾Ã Â´Â¯Ã Â´Â±Ã ÂµÂÃ Â´â€¦','Ã Â´Â¤Ã Â´Â¿Ã Â´â„¢Ã ÂµÂÃ Â´â€¢Ã Â´Â³Ã ÂµÂÃ Â´â€¦','Ã Â´Å¡Ã ÂµÅ Ã Â´ÂµÃ ÂµÂÃ Â´Âµ','Ã Â´Â¬Ã ÂµÂÃ Â´Â¨Ã Â´Â­Ã ÂµÂÃ Â´â€¦','Ã Â´ÂµÃ ÂµÂÃ Â´Â¯Ã Â´Â¾Ã Â´Â´Ã Â´â€š','Ã Â´ÂµÃ Âµâ€ Ã Â´Â³Ã ÂµÂÃ Â´Â³Ã Â´Â¿','Ã Â´Â¶Ã Â´Â¨Ã Â´Â¿');
INSERT INTO `locales` VALUES (234,'ml','IN','INR','Ã¢â€šÂ¨',NULL,NULL,NULL,NULL,'#,##,##0.###','Ã‚Â¤ #,##,##0.00',NULL,NULL,'h:mm:ss a z','h:mm:ss a z','h:mm:ss a','h:mm a','EEEE d MMMM yyyy','d MMMM yyyy','dd-MM-yyyy','dd-MM-yy',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (235,'mn',NULL,NULL,NULL,NULL,NULL,',','Ã‚Â ',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Ã‘â€¦Ã‘Æ’ÃÂ»','Ã’Â¯Ã‘â€¦Ã‘Â','ÃÂ±ÃÂ°Ã‘â‚¬','Ã‘â€šÃ‘Æ’Ã‘Æ’','ÃÂ»Ã‘Æ’Ã‘Æ’','ÃÂ¼ÃÂ¾ÃÂ³','ÃÂ¼ÃÂ¾Ã‘â‚¬','Ã‘â€¦ÃÂ¾ÃÂ½','ÃÂ±ÃÂ¸Ã‘â€¡','Ã‘â€šÃÂ°Ã‘â€¦','ÃÂ½ÃÂ¾Ã‘â€¦','ÃÂ³ÃÂ°Ã‘â€¦',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'ÃÂ¥Ã‘Æ’ÃÂ»ÃÂ³ÃÂ°ÃÂ½ÃÂ°','Ã’Â®Ã‘â€¦Ã‘ÂÃ‘â‚¬','Ãâ€˜ÃÂ°Ã‘â‚¬','ÃÂ¢Ã‘Æ’Ã‘Æ’ÃÂ»ÃÂ°ÃÂ¹','Ãâ€ºÃ‘Æ’Ã‘Æ’','ÃÅ“ÃÂ¾ÃÂ³ÃÂ¾ÃÂ¹','ÃÅ“ÃÂ¾Ã‘â‚¬Ã‘Å’','ÃÂ¥ÃÂ¾ÃÂ½Ã‘Å’','Ãâ€˜ÃÂ¸Ã‘â€¡','ÃÂ¢ÃÂ°Ã‘â€¦ÃÂ¸ÃÂ°','ÃÂÃÂ¾Ã‘â€¦ÃÂ¾ÃÂ¹','Ãâ€œÃÂ°Ã‘â€¦ÃÂ°ÃÂ¹','ÃÂÃ‘Â','Ãâ€ÃÂ°','ÃÅ“Ã‘Â','Ãâ€ºÃ‘â€¦','ÃÅ¸Ã’Â¯','Ãâ€˜ÃÂ°','Ãâ€˜Ã‘Â','ÃÂ½Ã‘ÂÃÂ¼','ÃÂ´ÃÂ°ÃÂ²ÃÂ°ÃÂ°','ÃÂ¼Ã‘ÂÃÂ³ÃÂ¼ÃÂ°Ã‘â‚¬','ÃÂ»Ã‘â€¦ÃÂ°ÃÂ³ÃÂ²ÃÂ°','ÃÂ¿Ã’Â¯Ã‘â‚¬Ã‘ÂÃÂ²','ÃÂ±ÃÂ°ÃÂ°Ã‘ÂÃÂ°ÃÂ½','ÃÂ±Ã‘ÂÃÂ¼ÃÂ±ÃÂ°');
INSERT INTO `locales` VALUES (236,'mn','MN','MNT','Ã¢â€šÂ®',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (237,'mr',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Ã Â¤Â®.Ã Â¤ÂªÃ Â¥â€š.','Ã Â¤Â®.Ã Â¤Â¨Ã Â¤â€š.',NULL,NULL,NULL,'Ã Â¤Å“Ã Â¤Â¾Ã Â¤Â¨Ã Â¥â€¡Ã Â¤ÂµÃ Â¤Â¾Ã Â¤Â°Ã Â¥â‚¬','Ã Â¤Â«Ã Â¥â€¡Ã Â¤Â¬Ã Â¥Æ’Ã Â¤ÂµÃ Â¤Â¾Ã Â¤Â°Ã Â¥â‚¬','Ã Â¤Â®Ã Â¤Â¾Ã Â¤Â°Ã Â¥ÂÃ Â¤Å¡','Ã Â¤ÂÃ Â¤ÂªÃ Â¥ÂÃ Â¤Â°Ã Â¤Â¿Ã Â¤Â²','Ã Â¤Â®Ã Â¥â€¡','Ã Â¤Å“Ã Â¥â€šÃ Â¤Â¨','Ã Â¤Å“Ã Â¥ÂÃ Â¤Â²Ã Â¥Ë†','Ã Â¤â€œÃ Â¤â€”Ã Â¤Â¸Ã Â¥ÂÃ Â¤Å¸','Ã Â¤Â¸Ã Â¥â€¡Ã Â¤ÂªÃ Â¥ÂÃ Â¤Å¸Ã Â¥â€¡Ã Â¤â€šÃ Â¤Â¬Ã Â¤Â°','Ã Â¤â€œÃ Â¤â€¢Ã Â¥ÂÃ Â¤Å¸Ã Â¥â€¹Ã Â¤Â¬Ã Â¤Â°','Ã Â¤Â¨Ã Â¥â€¹Ã Â¤ÂµÃ Â¥ÂÃ Â¤Â¹Ã Â¥â€¡Ã Â¤â€šÃ Â¤Â¬Ã Â¤Â°','Ã Â¤Â¡Ã Â¤Â¿Ã Â¤Â¸Ã Â¥â€¡Ã Â¤â€šÃ Â¤Â¬Ã Â¤Â°',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Ã Â¤Å“Ã Â¤Â¾Ã Â¤Â¨Ã Â¥â€¡Ã Â¤ÂµÃ Â¤Â¾Ã Â¤Â°Ã Â¥â‚¬','Ã Â¤Â«Ã Â¥â€¡Ã Â¤Â¬Ã Â¥Æ’Ã Â¤ÂµÃ Â¤Â¾Ã Â¤Â°Ã Â¥â‚¬','Ã Â¤Â®Ã Â¤Â¾Ã Â¤Â°Ã Â¥ÂÃ Â¤Å¡','Ã Â¤ÂÃ Â¤ÂªÃ Â¥ÂÃ Â¤Â°Ã Â¤Â¿Ã Â¤Â²','Ã Â¤Â®Ã Â¥â€¡','Ã Â¤Å“Ã Â¥â€šÃ Â¤Â¨','Ã Â¤Å“Ã Â¥ÂÃ Â¤Â²Ã Â¥Ë†','Ã Â¤â€œÃ Â¤â€”Ã Â¤Â¸Ã Â¥ÂÃ Â¤Å¸','Ã Â¤Â¸Ã Â¥â€¡Ã Â¤ÂªÃ Â¥ÂÃ Â¤Å¸Ã Â¥â€¡Ã Â¤â€šÃ Â¤Â¬Ã Â¤Â°','Ã Â¤â€œÃ Â¤â€¢Ã Â¥ÂÃ Â¤Å¸Ã Â¥â€¹Ã Â¤Â¬Ã Â¤Â°','Ã Â¤Â¨Ã Â¥â€¹Ã Â¤ÂµÃ Â¥ÂÃ Â¤Â¹Ã Â¥â€¡Ã Â¤â€šÃ Â¤Â¬Ã Â¤Â°','Ã Â¤Â¡Ã Â¤Â¿Ã Â¤Â¸Ã Â¥â€¡Ã Â¤â€šÃ Â¤Â¬Ã Â¤Â°','Ã Â¤Â°Ã Â¤ÂµÃ Â¤Â¿','Ã Â¤Â¸Ã Â¥â€¹Ã Â¤Â®','Ã Â¤Â®Ã Â¤â€šÃ Â¤â€”Ã Â¤Â³','Ã Â¤Â¬Ã Â¥ÂÃ Â¤Â§','Ã Â¤â€”Ã Â¥ÂÃ Â¤Â°Ã Â¥Â','Ã Â¤Â¶Ã Â¥ÂÃ Â¤â€¢Ã Â¥ÂÃ Â¤Â°','Ã Â¤Â¶Ã Â¤Â¨Ã Â¤Â¿','Ã Â¤Â°Ã Â¤ÂµÃ Â¤Â¿Ã Â¤ÂµÃ Â¤Â¾Ã Â¤Â°','Ã Â¤Â¸Ã Â¥â€¹Ã Â¤Â®Ã Â¤ÂµÃ Â¤Â¾Ã Â¤Â°','Ã Â¤Â®Ã Â¤â€šÃ Â¤â€”Ã Â¤Â³Ã Â¤ÂµÃ Â¤Â¾Ã Â¤Â°','Ã Â¤Â¬Ã Â¥ÂÃ Â¤Â§Ã Â¤ÂµÃ Â¤Â¾Ã Â¤Â°','Ã Â¤â€”Ã Â¥ÂÃ Â¤Â°Ã Â¥ÂÃ Â¤ÂµÃ Â¤Â¾Ã Â¤Â°','Ã Â¤Â¶Ã Â¥ÂÃ Â¤â€¢Ã Â¥ÂÃ Â¤Â°Ã Â¤ÂµÃ Â¤Â¾Ã Â¤Â°','Ã Â¤Â¶Ã Â¤Â¨Ã Â¤Â¿Ã Â¤ÂµÃ Â¤Â¾Ã Â¤Â°');
INSERT INTO `locales` VALUES (238,'mr','IN','INR','Ã Â¤Â°Ã Â¥Â',NULL,NULL,NULL,NULL,'#,##,##0.###','Ã‚Â¤ #,##,##0.00',NULL,NULL,'h:mm:ss a z','h:mm:ss a z','h:mm:ss a','h:mm a','EEEE d MMMM yyyy','d MMMM yyyy','dd-MM-yyyy','d-M-yy',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (239,'ms',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Jan','Feb','Mac','Apr','Mei','Jun','Jul','Ogos','Sep','Okt','Nov','Dis',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Januari','Februari','Mac','April','Mei','Jun','Julai','Ogos','September','Oktober','November','Disember','Ahd','Isn','Sel','Rab','Kha','Jum','Sab','Ahad','Isnin','Selasa','Rabu','Khamis','Jumaat','Sabtu');
INSERT INTO `locales` VALUES (240,'ms','BN','BND','$',NULL,NULL,',','.',NULL,NULL,NULL,NULL,'h:mm:ss aa','H:mm:ss','H:mm:ss','H:mm:ss','dd MMMM yyyy','dd MMMM yyyy','dd/MM/yyyy','dd/MM/yyyy',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (241,'ms','MY','MYR','RM',NULL,NULL,NULL,NULL,NULL,'Ã‚Â¤#,##0.00;(Ã‚Â¤#,##0.00)',NULL,NULL,'h:mm:ss a z','h:mm:ss a z','h:mm:ss a','h:mm','EEEE dd MMM yyyy','dd MMMM yyyy','dd MMMM yyyy','dd/MM/yyyy',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (242,'mt',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'EEEE, d \'taÃ¢â‚¬â„¢\' MMMM yyyy','d \'taÃ¢â‚¬â„¢\' MMMM yyyy','dd MMM yyyy','dd/MM/yyyy',NULL,'QN','WN',NULL,NULL,NULL,'Jan','Fra','Mar','Apr','Mej','Ã„Â un','Lul','Awi','Set','Ott','Nov','DiÃ„â€¹',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Jannar','Frar','Marzu','April','Mejju','Ã„Â unju','Lulju','Awissu','Settembru','Ottubru','Novembru','DiÃ„â€¹embru','Ã„Â¦ad','Tne','Tli','Erb','Ã„Â¦am','Ã„Â im','Sib','Il-Ã„Â¦add','It-Tnejn','It-Tlieta','L-ErbgÃ„Â§a','Il-Ã„Â¦amis','Il-Ã„Â imgÃ„Â§a','Is-Sibt');
INSERT INTO `locales` VALUES (243,'mt','MT','MTL','Lm',NULL,NULL,NULL,NULL,NULL,'Ã‚Â¤#,##0.00',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (244,'nb',NULL,NULL,NULL,NULL,NULL,',','Ã‚Â ',NULL,NULL,NULL,NULL,'\'kl. \'HH.mm.ss z','HH.mm.ss z','HH.mm.ss','HH.mm','EEEE d. MMMM yyyy','d. MMMM yyyy','d. MMM. yyyy','dd.MM.yy',NULL,'formiddag','ettermiddag',NULL,NULL,NULL,'jan.','feb.','mars','april','mai','juni','juli','aug.','sep.','okt.','nov.','des.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'januar','februar','mars','april','mai','juni','juli','august','september','oktober','november','desember','sÃƒÂ¸.','ma.','ti.','on.','to.','fr.','lÃƒÂ¸.','sÃƒÂ¸ndag','mandag','tirsdag','onsdag','torsdag','fredag','lÃƒÂ¸rdag');
INSERT INTO `locales` VALUES (245,'nb','NO','NOK','kr',NULL,NULL,NULL,NULL,NULL,'#,##0.00 Ã‚Â¤',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (246,'ne',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Ã Â¤ÂªÃ Â¥â€šÃ Â¤Â°Ã Â¥ÂÃ Â¤ÂµÃ Â¤Â¾Ã Â¤Â¨Ã Â¥ÂÃ Â¤Â¹','Ã Â¤â€¦Ã Â¤ÂªÃ Â¤Â°Ã Â¤Â¾Ã Â¤Â¨Ã Â¥ÂÃ Â¤Â¹',NULL,NULL,NULL,'Ã Â¤Å“Ã Â¤Â¨','Ã Â¤Â«Ã Â¥â€¡Ã Â¤Â¬','Ã Â¤Â®Ã Â¤Â¾Ã Â¤Â°Ã Â¥ÂÃ Â¤Å¡','Ã Â¤â€¦Ã Â¤ÂªÃ Â¥ÂÃ Â¤Â°Ã Â¤Â¿','Ã Â¤Â®Ã Â¥â€¡','Ã Â¤Å“Ã Â¥ÂÃ Â¤Â¨','Ã Â¤Å“Ã Â¥ÂÃ Â¤Â²Ã Â¤Â¾','Ã Â¤â€¦Ã Â¤â€”','Ã Â¤Â¸Ã Â¥â€¡Ã Â¤ÂªÃ Â¥ÂÃ Â¤Å¸','Ã Â¤â€¦Ã Â¤â€¢Ã Â¥ÂÃ Â¤Å¸Ã Â¥â€¹','Ã Â¤Â¨Ã Â¥â€¹Ã Â¤Â­Ã Â¥â€¡','Ã Â¤Â¡Ã Â¤Â¿Ã Â¤Â¸Ã Â¥â€¡',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Ã Â¤Å“Ã Â¤Â¨Ã Â¤ÂµÃ Â¤Â°Ã Â¥â‚¬','Ã Â¤Â«Ã Â¥â€¡Ã Â¤Â¬Ã Â¥ÂÃ Â¤Â°Ã Â¥ÂÃ Â¤â€¦Ã Â¤Â°Ã Â¥â‚¬','Ã Â¤Â®Ã Â¤Â¾Ã Â¤Â°Ã Â¥ÂÃ Â¤Å¡','Ã Â¤â€¦Ã Â¤ÂªÃ Â¥ÂÃ Â¤Â°Ã Â¤Â¿Ã Â¤Â²','Ã Â¤Â®Ã Â¥â€¡','Ã Â¤Å“Ã Â¥ÂÃ Â¤Â¨','Ã Â¤Å“Ã Â¥ÂÃ Â¤Â²Ã Â¤Â¾Ã Â¤Ë†','Ã Â¤â€¦Ã Â¤â€”Ã Â¤Â¸Ã Â¥ÂÃ Â¤Â¤','Ã Â¤Â¸Ã Â¥â€¡Ã Â¤ÂªÃ Â¥ÂÃ Â¤Å¸Ã Â¥â€¡Ã Â¤Â®Ã Â¥ÂÃ Â¤Â¬Ã Â¤Â°','Ã Â¤â€¦Ã Â¤â€¢Ã Â¥ÂÃ Â¤Å¸Ã Â¥â€¹Ã Â¤Â¬Ã Â¤Â°','Ã Â¤Â¨Ã Â¥â€¹Ã Â¤Â­Ã Â¥â€¡Ã Â¤Â®Ã Â¥ÂÃ Â¤Â¬Ã Â¤Â°','Ã Â¤Â¡Ã Â¤Â¿Ã Â¤Â¸Ã Â¥â€¡Ã Â¤Â®Ã Â¥ÂÃ Â¤Â¬Ã Â¤Â°','Ã Â¤â€ Ã Â¤â€¡Ã Â¤Â¤','Ã Â¤Â¸Ã Â¥â€¹Ã Â¤Â®','Ã Â¤Â®Ã Â¤â„¢Ã Â¥ÂÃ Â¤â€”Ã Â¤Â²','Ã Â¤Â¬Ã Â¥ÂÃ Â¤Â§','Ã Â¤Â¬Ã Â¤Â¿Ã Â¤Â¹Ã Â¥â‚¬','Ã Â¤Â¶Ã Â¥ÂÃ Â¤â€¢Ã Â¥ÂÃ Â¤Â°','Ã Â¤Â¶Ã Â¤Â¨Ã Â¤Â¿','Ã Â¤â€ Ã Â¤â€¡Ã Â¤Â¤Ã Â¤Â¬Ã Â¤Â¾Ã Â¤Â°','Ã Â¤Â¸Ã Â¥â€¹Ã Â¤Â®Ã Â¤Â¬Ã Â¤Â¾Ã Â¤Â°','Ã Â¤Â®Ã Â¤â„¢Ã Â¥ÂÃ Â¤â€”Ã Â¤Â²Ã Â¤Â¬Ã Â¤Â¾Ã Â¤Â°','Ã Â¤Â¬Ã Â¥ÂÃ Â¤Â§Ã Â¤Â¬Ã Â¤Â¾Ã Â¤Â°','Ã Â¤Â¬Ã Â¤Â¿Ã Â¤Â¹Ã Â¥â‚¬Ã Â¤Â¬Ã Â¤Â¾Ã Â¤Â°','Ã Â¤Â¶Ã Â¥ÂÃ Â¤â€¢Ã Â¥ÂÃ Â¤Â°Ã Â¤Â¬Ã Â¤Â¾Ã Â¤Â°','Ã Â¤Â¶Ã Â¤Â¨Ã Â¤Â¿Ã Â¤Â¬Ã Â¤Â¾Ã Â¤Â°');
INSERT INTO `locales` VALUES (247,'ne','NP','NPR','Ã Â¤Â°Ã Â¥â€š',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (248,'nl',NULL,NULL,NULL,NULL,NULL,',','.',NULL,NULL,NULL,NULL,'HH:mm:ss v',NULL,NULL,NULL,'EEEE d MMMM yyyy','d MMMM yyyy','d MMM yyyy','dd-MM-yy',NULL,NULL,NULL,NULL,NULL,NULL,'jan','feb','mrt','apr','mei','jun','jul','aug','sep','okt','nov','dec',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'januari','februari','maart','april','mei','juni','juli','augustus','september','oktober','november','december','zo','ma','di','wo','do','vr','za','zondag','maandag','dinsdag','woensdag','donderdag','vrijdag','zaterdag');
INSERT INTO `locales` VALUES (249,'nl','BE','EUR','Ã¢â€šÂ¬',NULL,NULL,NULL,NULL,NULL,'#,##0.00 Ã‚Â¤',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'d-MMM-yy','d/MM/yy',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (250,'nl','NL','EUR','Ã¢â€šÂ¬',NULL,NULL,NULL,NULL,NULL,'Ã‚Â¤ #,##0.00;Ã‚Â¤ #,##0.00-',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (251,'nn',NULL,NULL,NULL,NULL,NULL,',','Ã‚Â ',NULL,NULL,NULL,NULL,'\'kl. \'HH.mm.ss z','HH.mm.ss z','HH.mm.ss','HH.mm','EEEE d. MMMM yyyy','d. MMMM yyyy','d. MMM. yyyy','dd.MM.yy',NULL,'formiddag','ettermiddag',NULL,NULL,NULL,'jan.','feb.','mars','april','mai','juni','juli','aug.','sep.','okt.','nov.','des.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'januar','februar','mars','april','mai','juni','juli','august','september','oktober','november','desember','sÃƒÂ¸.','mÃƒÂ¥.','ty.','on.','to.','fr.','la.','sÃƒÂ¸ndag','mÃƒÂ¥ndag','tysdag','onsdag','torsdag','fredag','laurdag');
INSERT INTO `locales` VALUES (252,'nn','NO','NOK','kr',NULL,NULL,NULL,NULL,NULL,'#,##0.00 Ã‚Â¤',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (253,'nr',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Jan','Feb','Mat','Apr','Mey','Jun','Jul','Arh','Sep','Okt','Usi','Dis',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Janabari','uFeberbari','uMatjhi','u-Apreli','Meyi','Juni','Julayi','Arhostosi','Septemba','Oktoba','Usinyikhaba','Disemba','Son','Mvu','Bil','Tha','Ne','Hla','Gqi','uSonto','uMvulo','uLesibili','Lesithathu','uLesine','ngoLesihlanu','umGqibelo');
INSERT INTO `locales` VALUES (254,'nr','ZA','ZAR','R',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (255,'nso',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Jan','Feb','Mat','Apo','Mei','Jun','Jul','Ago','Set','Okt','Nof','Dis',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Janaware','Feberware','MatÃ…Â¡he','Aporele','Mei','June','Julae','Agostose','Setemere','Oktobore','Nofemere','Disemere','Son','Mos','Bed','Rar','Ne','Hla','Mok','Sontaga','Mosupalogo','Labobedi','Laboraro','Labone','Labohlano','Mokibelo');
INSERT INTO `locales` VALUES (256,'nso','ZA','ZAR','R',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (257,'ny',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Jan','Feb','Mal','Epu','Mei','Jun','Jul','Oga','Sep','Oku','Nov','Dis',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Januwale','Febuluwale','Malichi','Epulo','Mei','Juni','Julai','Ogasiti','Seputemba','Okutoba','Novemba','Disemba','Mul','Lem','Wir','Tat','Nai','San','Wer','Lamulungu','Lolemba','Lachiwiri','Lachitatu','Lachinayi','Lachisanu','Loweruka');
INSERT INTO `locales` VALUES (258,'ny','MW','MWK','K',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (259,'om',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Ama','Gur','Bit','Elb','Cam','Wax','Ado','Hag','Ful','Onk','Sad','Mud',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Amajjii','Guraandhala','Bitooteessa','Elba','Caamsa','Waxabajjii','Adooleessa','Hagayya','Fuulbana','Onkololeessa','Sadaasa','Muddee','Dil','Wix','Qib','Rob','Kam','Jim','San','Dilbata','Wiixata','Qibxata','Roobii','Kamiisa','Jimaata','Sanbata');
INSERT INTO `locales` VALUES (260,'om','ET','ETB','$',NULL,NULL,NULL,NULL,NULL,'Ã‚Â¤#,##0.00',NULL,NULL,'h:mm:ss a','h:mm:ss a','h:mm:ss a','h:mm a','EEEE, MMMM d, yyyy','dd MMMM yyyy','dd-MMM-yy','dd/MM/yy',NULL,'WD','WB',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (261,'om','KE','KES','Ksh',NULL,NULL,NULL,NULL,NULL,'Ã‚Â¤#,##0.00',NULL,NULL,'h:mm:ss a','h:mm:ss a','h:mm:ss a','h:mm a','EEEE, MMMM d, yyyy','dd MMMM yyyy','dd-MMM-yy','dd/MM/yy',NULL,'WD','WB',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (262,'or',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Ã Â¬Å“Ã Â¬Â¾Ã Â¬Â¨Ã Â­ÂÃ Â¬â€ Ã Â¬Â°Ã Â­â‚¬','Ã Â¬Â«Ã Â­â€¡Ã Â¬Â¬Ã Â­ÂÃ Â¬Â°Ã Â­ÂÃ Â­Å¸Ã Â¬Â¾Ã Â¬Â°Ã Â­â‚¬','Ã Â¬Â®Ã Â¬Â¾Ã Â¬Â°Ã Â­ÂÃ Â¬Å¡Ã Â­ÂÃ Â¬Å¡','Ã Â¬â€¦Ã Â¬ÂªÃ Â­ÂÃ Â¬Â°Ã Â­â€¡Ã Â¬Â²','Ã Â¬Â®Ã Â­â€¡','Ã Â¬Å“Ã Â­ÂÃ Â¬Â¨','Ã Â¬Å“Ã Â­ÂÃ Â¬Â²Ã Â¬Â¾Ã Â¬â€¡','Ã Â¬â€¦Ã Â¬â€”Ã Â¬Â·Ã Â­ÂÃ Â¬Å¸','Ã Â¬Â¸Ã Â­â€¡Ã Â¬ÂªÃ Â­ÂÃ Â¬Å¸Ã Â­â€¡Ã Â¬Â®Ã Â­ÂÃ Â¬Â¬Ã Â¬Â°','Ã Â¬â€¦Ã Â¬â€¢Ã Â­ÂÃ Â¬Å¸Ã Â­â€¹Ã Â¬Â¬Ã Â¬Â°','Ã Â¬Â¨Ã Â¬Â­Ã Â­â€¡Ã Â¬Â®Ã Â­ÂÃ Â¬Â¬Ã Â¬Â°','Ã Â¬Â¡Ã Â¬Â¿Ã Â¬Â¸Ã Â­â€¡Ã Â¬Â®Ã Â­ÂÃ Â¬Â¬Ã Â¬Â°','Ã Â¬Â°Ã Â¬Â¬Ã Â¬Â¿','Ã Â¬Â¸Ã Â­â€¹Ã Â¬Â®','Ã Â¬Â®Ã Â¬â„¢Ã Â­ÂÃ Â¬â€”Ã Â¬Â³','Ã Â¬Â¬Ã Â­ÂÃ Â¬Â§','Ã Â¬â€”Ã Â­ÂÃ Â¬Â°Ã Â­Â','Ã Â¬Â¶Ã Â­ÂÃ Â¬â€¢Ã Â­ÂÃ Â¬Â°','Ã Â¬Â¶Ã Â¬Â¨Ã Â¬Â¿','Ã Â¬Â°Ã Â¬Â¬Ã Â¬Â¿Ã Â¬Â¬Ã Â¬Â¾Ã Â¬Â°','Ã Â¬Â¸Ã Â­â€¹Ã Â¬Â®Ã Â¬Â¬Ã Â¬Â¾Ã Â¬Â°','Ã Â¬Â®Ã Â¬â„¢Ã Â­ÂÃ Â¬â€”Ã Â¬Â³Ã Â¬Â¬Ã Â¬Â¾Ã Â¬Â°','Ã Â¬Â¬Ã Â­ÂÃ Â¬Â§Ã Â¬Â¬Ã Â¬Â¾Ã Â¬Â°','Ã Â¬â€”Ã Â­ÂÃ Â¬Â°Ã Â­ÂÃ Â¬Â¬Ã Â¬Â¾Ã Â¬Â°','Ã Â¬Â¶Ã Â­ÂÃ Â¬â€¢Ã Â­ÂÃ Â¬Â°Ã Â¬Â¬Ã Â¬Â¾Ã Â¬Â°','Ã Â¬Â¶Ã Â¬Â¨Ã Â¬Â¿Ã Â¬Â¬Ã Â¬Â¾Ã Â¬Â°');
INSERT INTO `locales` VALUES (263,'or','IN','INR','Ã¢â€šÂ¨',NULL,NULL,NULL,NULL,'#,##,##0.###','Ã‚Â¤ #,##,##0.00',NULL,NULL,'h:mm:ss a z','h:mm:ss a z','h:mm:ss a','h:mm a','EEEE d MMMM yyyy','d MMMM yyyy','dd-MM-yyyy','dd-MM-yy',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (264,'pa',NULL,NULL,NULL,NULL,NULL,NULL,NULL,'#,##,##0.###','Ã‚Â¤ #,##,##0.00',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Ã Â¨Â¸Ã Â¨ÂµÃ Â©â€¡Ã Â¨Â°Ã Â©â€¡','Ã Â¨Â¸Ã Â¨Â¼Ã Â¨Â¾Ã Â¨Â®',NULL,NULL,NULL,'Ã Â¨Å“Ã Â¨Â¨Ã Â¨ÂµÃ Â¨Â°Ã Â©â‚¬','Ã Â¨Â«Ã Â¨Â¼Ã Â¨Â°Ã Â¨ÂµÃ Â¨Â°Ã Â©â‚¬','Ã Â¨Â®Ã Â¨Â¾Ã Â¨Â°Ã Â¨Å¡','Ã Â¨â€¦Ã Â¨ÂªÃ Â©ÂÃ Â¨Â°Ã Â©Ë†Ã Â¨Â²','Ã Â¨Â®Ã Â¨Ë†','Ã Â¨Å“Ã Â©â€šÃ Â¨Â¨','Ã Â¨Å“Ã Â©ÂÃ Â¨Â²Ã Â¨Â¾Ã Â¨Ë†','Ã Â¨â€¦Ã Â¨â€”Ã Â¨Â¸Ã Â¨Â¤','Ã Â¨Â¸Ã Â¨Â¤Ã Â©Â°Ã Â¨Â¬Ã Â¨Â°','Ã Â¨â€¦Ã Â¨â€¢Ã Â¨Â¤Ã Â©â€šÃ Â¨Â¬Ã Â¨Â°','Ã Â¨Â¨Ã Â¨ÂµÃ Â©Â°Ã Â¨Â¬Ã Â¨Â°','Ã Â¨Â¦Ã Â¨Â¸Ã Â©Â°Ã Â¨Â¬Ã Â¨Â°',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Ã Â¨Å“Ã Â¨Â¨Ã Â¨ÂµÃ Â¨Â°Ã Â©â‚¬','Ã Â¨Â«Ã Â¨Â¼Ã Â¨Â°Ã Â¨ÂµÃ Â¨Â°Ã Â©â‚¬','Ã Â¨Â®Ã Â¨Â¾Ã Â¨Â°Ã Â¨Å¡','Ã Â¨â€¦Ã Â¨ÂªÃ Â©ÂÃ Â¨Â°Ã Â©Ë†Ã Â¨Â²','Ã Â¨Â®Ã Â¨Ë†','Ã Â¨Å“Ã Â©â€šÃ Â¨Â¨','Ã Â¨Å“Ã Â©ÂÃ Â¨Â²Ã Â¨Â¾Ã Â¨Ë†','Ã Â¨â€¦Ã Â¨â€”Ã Â¨Â¸Ã Â¨Â¤','Ã Â¨Â¸Ã Â¨Â¤Ã Â©Â°Ã Â¨Â¬Ã Â¨Â°','Ã Â¨â€¦Ã Â¨â€¢Ã Â¨Â¤Ã Â©â€šÃ Â¨Â¬Ã Â¨Â°','Ã Â¨Â¨Ã Â¨ÂµÃ Â©Â°Ã Â¨Â¬Ã Â¨Â°','Ã Â¨Â¦Ã Â¨Â¸Ã Â©Â°Ã Â¨Â¬Ã Â¨Â°','Ã Â¨ÂÃ Â¨Â¤.','Ã Â¨Â¸Ã Â©â€¹Ã Â¨Â®.','Ã Â¨Â®Ã Â©Â°Ã Â¨â€”Ã Â¨Â².','Ã Â¨Â¬Ã Â©ÂÃ Â©Â±Ã Â¨Â§.','Ã Â¨ÂµÃ Â©â‚¬Ã Â¨Â°.','Ã Â¨Â¸Ã Â¨Â¼Ã Â©ÂÃ Â©Â±Ã Â¨â€¢Ã Â¨Â°.','Ã Â¨Â¸Ã Â¨Â¼Ã Â¨Â¨Ã Â¨Â¿Ã Â©Â±Ã Â¨Å¡Ã Â¨Â°.','Ã Â¨ÂÃ Â¨Â¤Ã Â¨ÂµÃ Â¨Â¾Ã Â¨Â°','Ã Â¨Â¸Ã Â©â€¹Ã Â¨Â®Ã Â¨ÂµÃ Â¨Â¾Ã Â¨Â°','Ã Â¨Â®Ã Â©Â°Ã Â¨â€”Ã Â¨Â²Ã Â¨ÂµÃ Â¨Â¾Ã Â¨Â°','Ã Â¨Â¬Ã Â©ÂÃ Â©Â±Ã Â¨Â§Ã Â¨ÂµÃ Â¨Â¾Ã Â¨Â°','Ã Â¨ÂµÃ Â©â‚¬Ã Â¨Â°Ã Â¨ÂµÃ Â¨Â¾Ã Â¨Â°','Ã Â¨Â¸Ã Â¨Â¼Ã Â©ÂÃ Â©Â±Ã Â¨â€¢Ã Â¨Â°Ã Â¨ÂµÃ Â¨Â¾Ã Â¨Â°','Ã Â¨Â¸Ã Â¨Â¼Ã Â¨Â¨Ã Â¨Â¿Ã Â©Â±Ã Â¨Å¡Ã Â¨Â°Ã Â¨ÂµÃ Â¨Â¾Ã Â¨Â°');
INSERT INTO `locales` VALUES (265,'pa_Arab',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Ã˜Â¬Ã™â€ Ã™Ë†Ã˜Â±Ã›Å’','Ã™ÂÃ˜Â±Ã™Ë†Ã˜Â±Ã›Å’','Ã™â€¦Ã˜Â§Ã˜Â±Ãšâ€ ','Ã˜Â§Ã™Â¾Ã˜Â±Ã›Å’Ã™â€ž','Ã™â€¦Ã˜Â¦','Ã˜Â¬Ã™Ë†Ã™â€ ','Ã˜Â¬Ã™Ë†Ã™â€žÃ˜Â§Ã˜Â¦Ã›Å’','Ã˜Â§ÃšÂ¯Ã˜Â³Ã˜Âª','Ã˜Â³Ã˜ÂªÃ™â€¦Ã˜Â¨Ã˜Â±','Ã˜Â§ÃšÂ©Ã˜ÂªÃ™Ë†Ã˜Â¨Ã˜Â±','Ã™â€ Ã™Ë†Ã™â€¦Ã˜Â¨Ã˜Â±','Ã˜Â¯Ã˜Â³Ã™â€¦Ã˜Â¨Ã˜Â±',NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Ã˜Â§Ã˜ÂªÃ™Ë†Ã˜Â§Ã˜Â±','Ã™Â¾Ã›Å’Ã˜Â±','Ã™â€¦Ã™â€ ÃšÂ¯Ã™â€ž','Ã˜Â¨Ã™ÂÃ˜Â¯ÃšÂ¾','Ã˜Â¬Ã™â€¦Ã˜Â¹Ã˜Â±Ã˜Â§Ã˜Âª','Ã˜Â¬Ã™â€¦Ã˜Â¹Ã›Â','Ã›ÂÃ™ÂÃ˜ÂªÃ›Â');
INSERT INTO `locales` VALUES (266,'pa_Arab','PK','PKR','Ã˜Â±',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (267,'pa_Guru',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (268,'pa_Guru','IN','INR','Ã¢â€šÂ¨',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (269,'pl',NULL,NULL,NULL,NULL,NULL,',','Ã‚Â ',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'EEEE, d MMMM yyyy','d MMMM yyyy','yyyy-MM-dd','yy-MM-dd',NULL,NULL,NULL,NULL,NULL,NULL,'st','lut','mrz','kw','maj','cz','lip','sier','wrz','paÃ…Âº','lis','gr','s','l','m','k','m','c','l','s','w','p','l','g','stycznia','lutego','marca','kwietnia','maja','czerwca','lipca','sierpnia','wrzeÃ…â€ºnia','paÃ…Âºdziernika','listopada','grudnia','niedz.','pon.','wt.','Ã…â€ºr.','czw.','pt.','sob.','niedziela','poniedziaÃ…â€šek','wtorek','Ã…â€ºroda','czwartek','piÃ„â€¦tek','sobota');
INSERT INTO `locales` VALUES (270,'pl','PL','PLN','zÃ…â€š',NULL,NULL,NULL,NULL,NULL,'#,##0.00 Ã‚Â¤',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'sty',NULL,'mar','kwi',NULL,'cze',NULL,'sie',NULL,NULL,NULL,'gru',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (271,'ps',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'H:mm:ss (z)','H:mm:ss (z)','H:mm:ss','H:mm','EEEE Ã˜Â¯ yyyy Ã˜Â¯ MMMM d','Ã˜Â¯ yyyy Ã˜Â¯ MMMM d','d MMMM yyyy','yyyy/M/d',NULL,'Ã˜Âº.Ã™â€¦.','Ã˜Âº.Ã™Ë†.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Ã™â€¦Ã™â‚¬Ã›Å’','Ã˜Â¬Ã™Ë†Ã™â€ ',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Ã˜Â¬Ã™â€ Ã™Ë†Ã˜Â±Ã™Å ','Ã™ÂÃ˜Â¨Ã˜Â±Ã™Ë†Ã˜Â±Ã™Å ','Ã™â€¦Ã˜Â§Ã˜Â±Ãšâ€ ','Ã˜Â§Ã™Â¾Ã˜Â±Ã›Å’Ã™â€ž','Ã™â€¦Ã›Å’','Ã˜Â¬Ã™Ë†Ã™â€ ','Ã˜Â¬Ã™Ë†Ã™â€žÃ˜Â§Ã›Å’','Ã˜Â§ÃšÂ«Ã˜Â³Ã˜Âª','Ã˜Â³Ã™Â¾Ã˜ÂªÃ™â€¦Ã˜Â¨Ã˜Â±','Ã˜Â§ÃšÂ©Ã˜ÂªÃ™Ë†Ã˜Â¨Ã˜Â±','Ã™â€ Ã™Ë†Ã™â€¦Ã˜Â¨Ã˜Â±','Ã˜Â¯Ã˜Â³Ã™â€¦Ã˜Â¨Ã˜Â±',NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Ã›Å’ÃšÂ©Ã˜Â´Ã™â€ Ã˜Â¨Ã™â€¡','Ã˜Â¯Ã™Ë†Ã˜Â´Ã™â€ Ã˜Â¨Ã™â€¡','Ã˜Â³Ã™â€¡Ã¢â‚¬Å’Ã˜Â´Ã™â€ Ã˜Â¨Ã™â€¡','Ãšâ€ Ã™â€¡Ã˜Â§Ã˜Â±Ã˜Â´Ã™â€ Ã˜Â¨Ã™â€¡','Ã™Â¾Ã™â€ Ã˜Â¬Ã˜Â´Ã™â€ Ã˜Â¨Ã™â€¡','Ã˜Â¬Ã™â€¦Ã˜Â¹Ã™â€¡','Ã˜Â´Ã™â€ Ã˜Â¨Ã™â€¡');
INSERT INTO `locales` VALUES (272,'ps','AF','AFN','Ã˜â€¹',NULL,NULL,'Ã™Â«','Ã™Â¬',NULL,'#,##0.00 Ã‚Â¤','Ã™Âª','Ã¢Ë†â€™',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (273,'pt',NULL,NULL,NULL,NULL,NULL,',','.',NULL,NULL,NULL,NULL,'HH\'H\'mm\'m\'ss\'s\' z',NULL,NULL,NULL,'EEEE, d\' de \'MMMM\' de \'yyyy','d\' de \'MMMM\' de \'yyyy','d/MMM/yyyy','dd-MM-yyyy',NULL,NULL,NULL,NULL,NULL,NULL,'jan','fev','mar','abr','mai','jun','jul','ago','set','out','nov','dez',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'janeiro','fevereiro','marÃƒÂ§o','abril','maio','junho','julho','agosto','setembro','outubro','novembro','dezembro','dom','seg','ter','qua','qui','sex','sÃƒÂ¡b','domingo','segunda-feira','terÃƒÂ§a-feira','quarta-feira','quinta-feira','sexta-feira','sÃƒÂ¡bado');
INSERT INTO `locales` VALUES (274,'pt','BR','BRL','R$',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'HH\'h\'mm\'min\'ss\'s\' z','H\'h\'m\'min\'s\'s\' z',NULL,NULL,NULL,NULL,'dd/MM/yyyy','dd/MM/yy',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (275,'pt','PT','EUR','Ã¢â€šÂ¬',NULL,NULL,NULL,NULL,NULL,'#,##0.00 Ã‚Â¤',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'yyyy/MM/dd','yy/MM/dd',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (276,'ro',NULL,NULL,NULL,NULL,NULL,',','.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'d MMMM yyyy','d MMMM yyyy','dd.MM.yyyy','dd.MM.yyyy',NULL,NULL,NULL,NULL,NULL,NULL,'Ian','Feb','Mar','Apr','Mai','Iun','Iul','Aug','Sep','Oct','Nov','Dec',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'ianuarie','februarie','martie','aprilie','mai','iunie','iulie','august','septembrie','octombrie','noiembrie','decembrie','D','L','Ma','Mi','J','V','S','duminicÃ„Æ’','luni','marÃˆâ€ºi','miercuri','joi','vineri','sÃƒÂ®mbÃ„Æ’tÃ„Æ’');
INSERT INTO `locales` VALUES (277,'ro','RO','RON',NULL,NULL,NULL,NULL,NULL,NULL,'#,##0.00 Ã‚Â¤',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (278,'root',NULL,NULL,NULL,NULL,NULL,'.',',','#,##0.###','Ã‚Â¤ #,##0.00','%','-','HH:mm:ss z','HH:mm:ss z','HH:mm:ss','HH:mm','EEEE, yyyy MMMM dd','yyyy MMMM d','yyyy MMM d','yy/MM/dd','{1} {0}','AM','PM',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'1','2','3','4','5','6','7','8','9','10','11','12','1','2','3','4','5','6','7','1','2','3','4','5','6','7');
INSERT INTO `locales` VALUES (279,'ru',NULL,NULL,NULL,NULL,NULL,',','Ã‚Â ',NULL,'#,##0.00Ã‚Â¤',NULL,NULL,'H:mm:ss z','H:mm:ss z','H:mm:ss','H:mm','d MMMM yyyy\\u00a0\'ÃÂ³.\'','d MMMM yyyy\\u00a0\'ÃÂ³.\'','dd.MM.yyyy','dd.MM.yy',NULL,NULL,NULL,NULL,NULL,NULL,'Ã‘ÂÃÂ½ÃÂ².','Ã‘â€žÃÂµÃÂ²Ã‘â‚¬.','ÃÂ¼ÃÂ°Ã‘â‚¬Ã‘â€šÃÂ°','ÃÂ°ÃÂ¿Ã‘â‚¬.','ÃÂ¼ÃÂ°Ã‘Â','ÃÂ¸Ã‘Å½ÃÂ½Ã‘Â','ÃÂ¸Ã‘Å½ÃÂ»Ã‘Â','ÃÂ°ÃÂ²ÃÂ³.','Ã‘ÂÃÂµÃÂ½Ã‘â€š.','ÃÂ¾ÃÂºÃ‘â€š.','ÃÂ½ÃÂ¾Ã‘ÂÃÂ±.','ÃÂ´ÃÂµÃÂº.','ÃÂ¯','ÃÂ¤','ÃÅ“','ÃÂ','ÃÅ“','ÃËœ','ÃËœ','ÃÂ','ÃÂ¡','ÃÅ¾','ÃÂ','Ãâ€','Ã‘ÂÃÂ½ÃÂ²ÃÂ°Ã‘â‚¬Ã‘Â','Ã‘â€žÃÂµÃÂ²Ã‘â‚¬ÃÂ°ÃÂ»Ã‘Â','ÃÂ¼ÃÂ°Ã‘â‚¬Ã‘â€šÃÂ°','ÃÂ°ÃÂ¿Ã‘â‚¬ÃÂµÃÂ»Ã‘Â','ÃÂ¼ÃÂ°Ã‘Â','ÃÂ¸Ã‘Å½ÃÂ½Ã‘Â','ÃÂ¸Ã‘Å½ÃÂ»Ã‘Â','ÃÂ°ÃÂ²ÃÂ³Ã‘Æ’Ã‘ÂÃ‘â€šÃÂ°','Ã‘ÂÃÂµÃÂ½Ã‘â€šÃ‘ÂÃÂ±Ã‘â‚¬Ã‘Â','ÃÂ¾ÃÂºÃ‘â€šÃ‘ÂÃÂ±Ã‘â‚¬Ã‘Â','ÃÂ½ÃÂ¾Ã‘ÂÃÂ±Ã‘â‚¬Ã‘Â','ÃÂ´ÃÂµÃÂºÃÂ°ÃÂ±Ã‘â‚¬Ã‘Â','Ãâ€™Ã‘Â','ÃÅ¸ÃÂ½','Ãâ€™Ã‘â€š','ÃÂ¡Ã‘â‚¬','ÃÂ§Ã‘â€š','ÃÅ¸Ã‘â€š','ÃÂ¡ÃÂ±','ÃÂ²ÃÂ¾Ã‘ÂÃÂºÃ‘â‚¬ÃÂµÃ‘ÂÃÂµÃÂ½Ã‘Å’ÃÂµ','ÃÂ¿ÃÂ¾ÃÂ½ÃÂµÃÂ´ÃÂµÃÂ»Ã‘Å’ÃÂ½ÃÂ¸ÃÂº','ÃÂ²Ã‘â€šÃÂ¾Ã‘â‚¬ÃÂ½ÃÂ¸ÃÂº','Ã‘ÂÃ‘â‚¬ÃÂµÃÂ´ÃÂ°','Ã‘â€¡ÃÂµÃ‘â€šÃÂ²ÃÂµÃ‘â‚¬ÃÂ³','ÃÂ¿Ã‘ÂÃ‘â€šÃÂ½ÃÂ¸Ã‘â€ ÃÂ°','Ã‘ÂÃ‘Æ’ÃÂ±ÃÂ±ÃÂ¾Ã‘â€šÃÂ°');
INSERT INTO `locales` VALUES (280,'ru','RU','RUB','Ã‘â‚¬Ã‘Æ’ÃÂ±.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (281,'ru','UA','UAH','ÃÂ³Ã‘â‚¬ÃÂ½.',NULL,NULL,NULL,NULL,NULL,'#,##0.00 Ã‚Â¤',NULL,NULL,'HH:mm:ss z','HH:mm:ss z','HH:mm:ss','HH:mm','EEEE, d MMMM yyyy \'ÃÂ³.\'','d MMMM yyyy','d MMM yyyy',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (282,'rw',NULL,NULL,NULL,NULL,NULL,',','.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'mut.','gas.','wer.','mat.','gic.','kam.','nya.','kan.','nze.','ukw.','ugu.','uku.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Mutarama','Gashyantare','Werurwe','Mata','Gicuransi','Kamena','Nyakanga','Kanama','Nzeli','Ukwakira','Ugushyingo','Ukuboza','cyu.','mbe.','kab.','gtu.','kan.','gnu.','gnd.','Ku cyumweru','Kuwa mbere','Kuwa kabiri','Kuwa gatatu','Kuwa kane','Kuwa gatanu','Kuwa gatandatu');
INSERT INTO `locales` VALUES (283,'rw','RW','RWF','F','0','-1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (284,'sa',NULL,NULL,NULL,NULL,NULL,NULL,NULL,'#,##,##0.###','Ã‚Â¤#,##,##0.00',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (285,'sa','IN','INR','Ã Â¤Â°Ã Â¥Â',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'hh:mm:ss a z','hh:mm:ss a z','hh:mm:ss a','hh:mm a','EEEE d MMMM yyyy','d MMMM yyyy','dd-MM-yyyy','d-MM-yy',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (286,'se',NULL,NULL,NULL,NULL,NULL,',',NULL,NULL,'#,##0.00Ã‚Â Ã‚Â¤',NULL,'Ã¢Ë†â€™',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'tsiengele','goevte','njoktje','voerhtje','suehpede','ruffie','snaltje','mietske','skierede','rihkede','rahka','goeve',NULL,NULL,NULL,NULL,NULL,NULL,NULL,'aejlege','mÃƒÂ¥anta','dÃƒÂ¤jsta','gaskevahkoe','dÃƒÂ¥arsta','bearjadahke','laavadahke');
INSERT INTO `locales` VALUES (287,'se','NO','NOK','',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'oÃ„â€˜Ã„â€˜j','guov','njuk','cuo','mies','geas','suoi','borg','Ã„ÂakÃ„Â','golg','skÃƒÂ¡b','juov',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'oÃ„â€˜Ã„â€˜ajagemÃƒÂ¡nnu','guovvamÃƒÂ¡nnu','njukÃ„ÂamÃƒÂ¡nnu','cuoÃ…â€¹omÃƒÂ¡nnu','miessemÃƒÂ¡nnu','geassemÃƒÂ¡nnu','suoidnemÃƒÂ¡nnu','borgemÃƒÂ¡nnu','Ã„ÂakÃ„ÂamÃƒÂ¡nnu','golggotmÃƒÂ¡nnu','skÃƒÂ¡bmamÃƒÂ¡nnu','juovlamÃƒÂ¡nnu','sotn','vuos','maÃ…â€¹','gask','duor','bear','lÃƒÂ¡v','sotnabeaivi','vuossÃƒÂ¡rga','maÃ…â€¹Ã…â€¹ebÃƒÂ¡rga','gaskavahkku','duorasdat','bearjadat','lÃƒÂ¡vvardat');
INSERT INTO `locales` VALUES (288,'sh',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (289,'sh','BA','BAM',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (290,'sh','CS','EUR','Ã¢â€šÂ¬',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (291,'sh','YU',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (292,'sid',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'h:mm:ss a','h:mm:ss a','h:mm:ss a','h:mm a','EEEE, MMMM dd, yyyy','dd MMMM yyyy','dd-MMM-yyyy','dd/MM/yy',NULL,'soodo','hawwaro',NULL,NULL,NULL,'Jan','Feb','Mar','Apr','May','Jun','Jul','Aug','Sep','Oct','Nov','Dec',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'January','February','March','April','May','June','July','August','September','October','November','December','Sam','San','Mak','Row','Ham','Arb','Qid','Sambata','Sanyo','Maakisanyo','Roowe','Hamuse','Arbe','Qidaame');
INSERT INTO `locales` VALUES (293,'sid','ET','ETB','$',NULL,NULL,NULL,NULL,NULL,'Ã‚Â¤#,##0.00',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (294,'sk',NULL,NULL,NULL,NULL,NULL,',','Ã‚Â ',NULL,NULL,NULL,NULL,'H:mm:ss z','H:mm:ss z','H:mm:ss','H:mm','EEEE, d. MMMM yyyy','d. MMMM yyyy','d.M.yyyy','d.M.yyyy',NULL,NULL,NULL,NULL,NULL,NULL,'jan','feb','mar','apr','mÃƒÂ¡j','jÃƒÂºn','jÃƒÂºl','aug','sep','okt','nov','dec',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'januÃƒÂ¡r','februÃƒÂ¡r','marec','aprÃƒÂ­l','mÃƒÂ¡j','jÃƒÂºn','jÃƒÂºl','august','september','oktÃƒÂ³ber','november','december','Ne','Po','Ut','St','Ã…Â t','Pi','So','NedeÃ„Â¾a','Pondelok','Utorok','Streda','Ã…Â tvrtok','Piatok','Sobota');
INSERT INTO `locales` VALUES (295,'sk','SK','SKK','Sk',NULL,NULL,NULL,NULL,NULL,'#,##0.00 Ã‚Â¤',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (296,'sl',NULL,NULL,NULL,NULL,NULL,',','.',NULL,NULL,NULL,NULL,'H:mm:ss z','H:mm:ss z','H:mm:ss','H:mm','EEEE, dd. MMMM yyyy','dd. MMMM yyyy','d.M.yyyy','d.M.yy',NULL,'dop.','pop.',NULL,NULL,NULL,'jan','feb','mar','apr','maj','jun','jul','avg','sep','okt','nov','dec',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'januar','februar','marec','april','maj','junij','julij','avgust','september','oktober','november','december','ned','pon','tor','sre','Ã„Âet','pet','sob','nedelja','ponedeljek','torek','sreda','Ã„Âetrtek','petek','sobota');
INSERT INTO `locales` VALUES (297,'sl','SI','EUR','Ã¢â€šÂ¬',NULL,NULL,NULL,NULL,NULL,'#,##0.00 Ã‚Â¤',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (298,'so',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'h:mm:ss a','h:mm:ss a','h:mm:ss a','h:mm a','EEEE, MMMM dd, yyyy','dd MMMM yyyy','dd-MMM-yyyy','dd/MM/yy',NULL,'sn','gn',NULL,NULL,NULL,'Kob','Lab','Sad','Afr','Sha','Lix','Tod','Sid','Sag','Tob','KIT','LIT',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Bisha Koobaad','Bisha Labaad','Bisha Saddexaad','Bisha Afraad','Bisha Shanaad','Bisha Lixaad','Bisha Todobaad','Bisha Sideedaad','Bisha Sagaalaad','Bisha Tobnaad','Bisha Kow iyo Tobnaad','Bisha Laba iyo Tobnaad','Axa','Isn','Sal','Arb','Kha','Jim','Sab','Axad','Isniin','Salaaso','Arbaco','Khamiis','Jimco','Sabti');
INSERT INTO `locales` VALUES (299,'so','DJ','DJF','$','0','-1',NULL,NULL,NULL,'Ã‚Â¤#,##0.00',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (300,'so','ET','ETB','$',NULL,NULL,NULL,NULL,NULL,'Ã‚Â¤#,##0.00',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (301,'so','KE','KES','Ksh',NULL,NULL,NULL,NULL,NULL,'Ã‚Â¤#,##0.00',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (302,'so','SO','SOS','$',NULL,NULL,NULL,NULL,NULL,'Ã‚Â¤#,##0.00',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (303,'sq',NULL,NULL,NULL,NULL,NULL,',','.',NULL,NULL,NULL,NULL,'h.mm.ss.a z','h.mm.ss.a z','h:mm:ss.a','h.mm.a','EEEE, dd MMMM yyyy','dd MMMM yyyy','yyyy-MM-dd','yy-MM-dd',NULL,'PD','MD',NULL,NULL,NULL,'Jan','Shk','Mar','Pri','Maj','Qer','Kor','Gsh','Sht','Tet','NÃƒÂ«n','Dhj',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'janar','shkurt','mars','prill','maj','qershor','korrik','gusht','shtator','tetor','nÃƒÂ«ntor','dhjetor','Die','HÃƒÂ«n','Mar','MÃƒÂ«r','Enj','Pre','Sht','e diel','e hÃƒÂ«nÃƒÂ«','e martÃƒÂ«','e mÃƒÂ«rkurÃƒÂ«','e enjte','e premte','e shtunÃƒÂ«');
INSERT INTO `locales` VALUES (304,'sq','AL','ALL','Lek',NULL,NULL,NULL,NULL,NULL,'Ã‚Â¤#,##0.00',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (305,'sr',NULL,NULL,NULL,NULL,NULL,',','.',NULL,NULL,NULL,NULL,'HH.mm.ss z','HH.mm.ss z','HH.mm.ss','HH.mm','EEEE, dd.MMMM.yyyy.','dd.MM.yyyy.','dd.MM.yyyy.','d.M.yy.',NULL,NULL,NULL,NULL,NULL,NULL,'Ã‘ËœÃÂ°ÃÂ½','Ã‘â€žÃÂµÃÂ±','ÃÂ¼ÃÂ°Ã‘â‚¬','ÃÂ°ÃÂ¿Ã‘â‚¬','ÃÂ¼ÃÂ°Ã‘Ëœ','Ã‘ËœÃ‘Æ’ÃÂ½','Ã‘ËœÃ‘Æ’ÃÂ»','ÃÂ°ÃÂ²ÃÂ³','Ã‘ÂÃÂµÃÂ¿','ÃÂ¾ÃÂºÃ‘â€š','ÃÂ½ÃÂ¾ÃÂ²','ÃÂ´ÃÂµÃ‘â€ ',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Ã‘ËœÃÂ°ÃÂ½Ã‘Æ’ÃÂ°Ã‘â‚¬','Ã‘â€žÃÂµÃÂ±Ã‘â‚¬Ã‘Æ’ÃÂ°Ã‘â‚¬','ÃÂ¼ÃÂ°Ã‘â‚¬Ã‘â€š','ÃÂ°ÃÂ¿Ã‘â‚¬ÃÂ¸ÃÂ»','ÃÂ¼ÃÂ°Ã‘Ëœ','Ã‘ËœÃ‘Æ’ÃÂ½','Ã‘ËœÃ‘Æ’ÃÂ»','ÃÂ°ÃÂ²ÃÂ³Ã‘Æ’Ã‘ÂÃ‘â€š','Ã‘ÂÃÂµÃÂ¿Ã‘â€šÃÂµÃÂ¼ÃÂ±ÃÂ°Ã‘â‚¬','ÃÂ¾ÃÂºÃ‘â€šÃÂ¾ÃÂ±ÃÂ°Ã‘â‚¬','ÃÂ½ÃÂ¾ÃÂ²ÃÂµÃÂ¼ÃÂ±ÃÂ°Ã‘â‚¬','ÃÂ´ÃÂµÃ‘â€ ÃÂµÃÂ¼ÃÂ±ÃÂ°Ã‘â‚¬','ÃÂ½ÃÂµÃÂ´','ÃÂ¿ÃÂ¾ÃÂ½','Ã‘Æ’Ã‘â€šÃÂ¾','Ã‘ÂÃ‘â‚¬ÃÂµ','Ã‘â€¡ÃÂµÃ‘â€š','ÃÂ¿ÃÂµÃ‘â€š','Ã‘ÂÃ‘Æ’ÃÂ±','ÃÂ½ÃÂµÃÂ´ÃÂµÃ‘â„¢ÃÂ°','ÃÂ¿ÃÂ¾ÃÂ½ÃÂµÃÂ´ÃÂµÃ‘â„¢ÃÂ°ÃÂº','Ã‘Æ’Ã‘â€šÃÂ¾Ã‘â‚¬ÃÂ°ÃÂº','Ã‘ÂÃ‘â‚¬ÃÂµÃÂ´ÃÂ°','Ã‘â€¡ÃÂµÃ‘â€šÃÂ²Ã‘â‚¬Ã‘â€šÃÂ°ÃÂº','ÃÂ¿ÃÂµÃ‘â€šÃÂ°ÃÂº','Ã‘ÂÃ‘Æ’ÃÂ±ÃÂ¾Ã‘â€šÃÂ°');
INSERT INTO `locales` VALUES (306,'sr_Cyrl',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (307,'sr_Cyrl','BA','BAM','ÃÅ¡ÃÅ“.',NULL,NULL,NULL,NULL,NULL,'#,##0.00 ÃÂºÃÂ¼',NULL,NULL,'HH \'Ã‘â€¡ÃÂ°Ã‘ÂÃÂ¾ÃÂ²ÃÂ°\', mm \'ÃÂ¼ÃÂ¸ÃÂ½Ã‘Æ’Ã‘â€šÃÂ°\', ss\' Ã‘ÂÃÂµÃÂºÃ‘Æ’ÃÂ½ÃÂ´ÃÂ¸\'',NULL,'HH:mm:ss','HH:mm','EEEE, dd. MMMM yyyy.','dd. MMMM yyyy.','yyyy-MM-dd','yy-MM-dd',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Ã‘ËœÃ‘Æ’ÃÂ½ÃÂ¸','Ã‘ËœÃ‘Æ’ÃÂ»ÃÂ¸',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Ã‘ÂÃ‘â‚¬ÃÂ¸',NULL,NULL,NULL,NULL,NULL,NULL,'Ã‘ÂÃ‘â‚¬ÃÂ¸Ã‘ËœÃÂµÃÂ´ÃÂ°',NULL,NULL,NULL);
INSERT INTO `locales` VALUES (308,'sr_Cyrl','CS','EUR','Ã¢â€šÂ¬',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (309,'sr_Cyrl','YU',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (310,'sr_Latn',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'EEEE, dd. MMMM yyyy.','EEEE, d.MM.yyyy.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'jan','feb','mar','apr','maj','jun','jul','avg','sep','okt','nov','dec',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'januar','februar','mart','april','maj','jun','jul','avgust','septembar','oktobar','novembar','decembar','ned','pon','uto','sre','Ã„Âet','pet','sub','nedelja','ponedeljak','utorak','sreda','Ã„Âetvrtak','petak','subota');
INSERT INTO `locales` VALUES (311,'sr_Latn','BA','BAM','KM.',NULL,NULL,NULL,NULL,NULL,'#,##0.00 km',NULL,NULL,'HH \'Ã„Âasova\', mm \'minuta\', ss \'sekundi\'',NULL,'HH:mm:ss','HH:mm',NULL,'dd. MMMM yyyy.','yyyy-MM-dd','yy-MM-dd',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'juni','juli',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'sri',NULL,NULL,NULL,NULL,NULL,NULL,'srijeda',NULL,NULL,NULL);
INSERT INTO `locales` VALUES (312,'sr_Latn','CS','EUR','Ã¢â€šÂ¬',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (313,'sr_Latn','RS','EUR','Ã¢â€šÂ¬',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (314,'sr_Latn','ME','EUR','Ã¢â€šÂ¬',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (315,'sr_Latn','YU',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (316,'ss',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Bhi','Van','Vol','Mab','Nkh','Nhl','Kho','Ngc','Nyo','Mph','Lwe','Ngo',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Bhimbidvwane','iNdlovana','iNdlovu-lenkhulu','Mabasa','iNkhwekhweti','iNhlaba','Kholwane','iNgci','iNyoni','iMphala','Lweti','iNgongoni','Son','Mso','Bil','Tsa','Ne','Hla','Mgc','Lisontfo','uMsombuluko','Lesibili','Lesitsatfu','Lesine','Lesihlanu','uMgcibelo');
INSERT INTO `locales` VALUES (317,'ss','ZA','ZAR','R',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (318,'st',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Phe','Kol','Ube','Mme','Mot','Jan','Upu','Pha','Leo','Mph','Pun','Tsh',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Phesekgong','Hlakola','Hlakubele','Mmese','Motsheanong','Phupjane','Phupu','Phata','Leotshe','Mphalane','Pundungwane','Tshitwe','Son','Mma','Bed','Rar','Ne','Hla','Moq','Sontaha','Mmantaha','Labobedi','Laboraru','Labone','Labohlane','Moqebelo');
INSERT INTO `locales` VALUES (319,'st','ZA','ZAR','R',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (320,'sv',NULL,NULL,NULL,NULL,NULL,',','Ã‚Â ',NULL,'#,##0.00 Ã‚Â¤',NULL,'Ã¢Ë†â€™','\'kl. \'HH.mm.ss z','HH.mm.ss z','HH.mm.ss','HH.mm','EEEE\'en den\' d MMMM yyyy','EEEE d MMM yyyy','d MMM yyyy','yyyy-MM-dd',NULL,'fm','em',NULL,NULL,NULL,'jan','feb','mar','apr','maj','jun','jul','aug','sep','okt','nov','dec',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'januari','februari','mars','april','maj','juni','juli','augusti','september','oktober','november','december','sÃƒÂ¶n','mÃƒÂ¥n','tis','ons','tors','fre','lÃƒÂ¶r','sÃƒÂ¶ndag','mÃƒÂ¥ndag','tisdag','onsdag','torsdag','fredag','lÃƒÂ¶rdag');
INSERT INTO `locales` VALUES (321,'sv','FI','EUR','Ã¢â€šÂ¬',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (322,'sv','SE','SEK','kr',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'EEE d MMM yyyy',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (323,'sw',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Jan','Feb','Mar','Apr','Mei','Jun','Jul','Ago','Sep','Okt','Nov','Des',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Januari','Februari','Machi','Aprili','Mei','Juni','Julai','Agosti','Septemba','Oktoba','Novemba','Desemba','Jpi','Jtt','Jnn','Jtn','Alh','Iju','Jmo','Jumapili','Jumatatu','Jumanne','Jumatano','Alhamisi','Ijumaa','Jumamosi');
INSERT INTO `locales` VALUES (324,'sw','KE','KES','KSh',NULL,NULL,NULL,NULL,NULL,'Ã‚Â¤#,##0.00',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (325,'sw','TZ','TZS','TSh',NULL,NULL,NULL,NULL,NULL,'#,##0.00 Ã‚Â¤',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (326,'syr',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'ÃœÂÃœÅ¸ÃœÂ¢Ã‚Â ÃœÂÃœâ€™','ÃœÂ«Ãœâ€™Ãœâ€º','ÃœÂÃœâ€¢ÃœÂª','ÃœÂ¢ÃœÂÃœÂ£ÃœÂ¢','ÃœÂÃœÂÃœÂª','ÃœÅ¡Ãœâ„¢ÃœÂÃœÂªÃœÂ¢','ÃœÂ¬ÃœÂ¡ÃœËœÃœâ„¢','ÃœÂÃœâ€™','ÃœÂÃœÂÃœÂ ÃœËœÃœÂ ','ÃœÂÃœÂ¬ÃœÂ«Ã‚Â ÃœÂÃœÂ','ÃœÂÃœÂ¬ÃœÂ«Ã‚Â ÃœÂÃœâ€™','ÃœÂÃœÅ¸ÃœÂ¢Ã‚Â ÃœÂÃœÂ',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (327,'syr','SY','SYP','Ã™â€ž.Ã˜Â³.Ã¢â‚¬Â',NULL,NULL,NULL,NULL,'#,##0.###;#,##0.###-','Ã‚Â¤ #,##0.00;Ã‚Â¤ #,##0.00-',NULL,NULL,'h:mm:ss a','h:mm:ss a','h:mm:ss','h:mm','dd MMMM, yyyy','dd MMMM, yyyy','dd/MM/yyyy','dd/MM/yyyy',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (328,'ta',NULL,NULL,NULL,NULL,NULL,NULL,NULL,'#,##,##0.###','Ã‚Â¤ #,##,##0.00',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Ã Â®â€¢Ã Â®Â¾Ã Â®Â²Ã Â¯Ë†','Ã Â®Â®Ã Â®Â¾Ã Â®Â²Ã Â¯Ë†',NULL,NULL,NULL,'Ã Â®Å“Ã Â®Â©.','Ã Â®ÂªÃ Â®Â¿Ã Â®ÂªÃ Â¯Â.','Ã Â®Â®Ã Â®Â¾Ã Â®Â°Ã Â¯Â.','Ã Â®ÂÃ Â®ÂªÃ Â¯Â.','Ã Â®Â®Ã Â¯â€¡','Ã Â®Å“Ã Â¯â€šÃ Â®Â©Ã Â¯Â','Ã Â®Å“Ã Â¯â€šÃ Â®Â²Ã Â¯Ë†','Ã Â®â€ Ã Â®â€¢.','Ã Â®Å¡Ã Â¯â€ Ã Â®ÂªÃ Â¯Â.','Ã Â®â€¦Ã Â®â€¢Ã Â¯Â.','Ã Â®Â¨Ã Â®Âµ.','Ã Â®Å¸Ã Â®Â¿Ã Â®Å¡.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Ã Â®Å“Ã Â®Â©Ã Â®ÂµÃ Â®Â°Ã Â®Â¿','Ã Â®ÂªÃ Â®Â¿Ã Â®ÂªÃ Â¯ÂÃ Â®Â°Ã Â®ÂµÃ Â®Â°Ã Â®Â¿','Ã Â®Â®Ã Â®Â¾Ã Â®Â°Ã Â¯ÂÃ Â®Å¡Ã Â¯Â','Ã Â®ÂÃ Â®ÂªÃ Â¯ÂÃ Â®Â°Ã Â®Â²Ã Â¯Â','Ã Â®Â®Ã Â¯â€¡','Ã Â®Å“Ã Â¯â€šÃ Â®Â©Ã Â¯Â','Ã Â®Å“Ã Â¯â€šÃ Â®Â²Ã Â¯Ë†','Ã Â®â€ Ã Â®â€¢Ã Â®Â¸Ã Â¯ÂÃ Â®Å¸Ã Â¯Â','Ã Â®Å¡Ã Â¯â€ Ã Â®ÂªÃ Â¯ÂÃ Â®Å¸Ã Â®Â®Ã Â¯ÂÃ Â®ÂªÃ Â®Â°Ã Â¯Â','Ã Â®â€¦Ã Â®â€¢Ã Â¯ÂÃ Â®Å¸Ã Â¯â€¹Ã Â®ÂªÃ Â®Â°Ã Â¯Â','Ã Â®Â¨Ã Â®ÂµÃ Â®Â®Ã Â¯ÂÃ Â®ÂªÃ Â®Â°Ã Â¯Â','Ã Â®Å¸Ã Â®Â¿Ã Â®Å¡Ã Â®Â®Ã Â¯ÂÃ Â®ÂªÃ Â®Â°Ã Â¯Â','Ã Â®Å¾Ã Â®Â¾','Ã Â®Â¤Ã Â®Â¿','Ã Â®Å¡Ã Â¯â€ ','Ã Â®ÂªÃ Â¯Â','Ã Â®ÂµÃ Â®Â¿','Ã Â®ÂµÃ Â¯â€ ','Ã Â®Å¡','Ã Â®Å¾Ã Â®Â¾Ã Â®Â¯Ã Â®Â¿Ã Â®Â±Ã Â¯Â','Ã Â®Â¤Ã Â®Â¿Ã Â®â„¢Ã Â¯ÂÃ Â®â€¢Ã Â®Â³Ã Â¯Â','Ã Â®Å¡Ã Â¯â€ Ã Â®ÂµÃ Â¯ÂÃ Â®ÂµÃ Â®Â¾Ã Â®Â¯Ã Â¯Â','Ã Â®ÂªÃ Â¯ÂÃ Â®Â¤Ã Â®Â©Ã Â¯Â','Ã Â®ÂµÃ Â®Â¿Ã Â®Â¯Ã Â®Â¾Ã Â®Â´Ã Â®Â©Ã Â¯Â','Ã Â®ÂµÃ Â¯â€ Ã Â®Â³Ã Â¯ÂÃ Â®Â³Ã Â®Â¿','Ã Â®Å¡Ã Â®Â©Ã Â®Â¿');
INSERT INTO `locales` VALUES (329,'ta','IN','INR','Ã Â®Â°Ã Â¯â€š',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'h:mm:ss a z','h:mm:ss a z','h:mm:ss a','h:mm a','EEEE d MMMM yyyy','d MMMM yyyy','dd-MM-yyyy','d-M-yy',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (330,'te',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Ã Â°ÂªÃ Â±â€šÃ Â°Â°Ã Â±ÂÃ Â°ÂµÃ Â°Â¾Ã Â°Â¹Ã Â±ÂÃ Â°Â¨Ã Â°â€š','Ã Â°â€¦Ã Â°ÂªÃ Â°Â°Ã Â°Â¾Ã Â°Â¹Ã Â±ÂÃ Â°Â¨Ã Â°â€š',NULL,NULL,NULL,'Ã Â°Å“Ã Â°Â¨Ã Â°ÂµÃ Â°Â°Ã Â°Â¿','Ã Â°Â«Ã Â°Â¿Ã Â°Â¬Ã Â±ÂÃ Â°Â°Ã Â°ÂµÃ Â°Â°Ã Â°Â¿','Ã Â°Â®Ã Â°Â¾Ã Â°Â°Ã Â±ÂÃ Â°Å¡Ã Â°Â¿','Ã Â°ÂÃ Â°ÂªÃ Â±ÂÃ Â°Â°Ã Â°Â¿Ã Â°Â²Ã Â±Â','Ã Â°Â®Ã Â±â€¡','Ã Â°Å“Ã Â±â€šÃ Â°Â¨Ã Â±Â','Ã Â°Å“Ã Â±â€šÃ Â°Â²Ã Â±Ë†','Ã Â°â€ Ã Â°â€”Ã Â°Â¸Ã Â±ÂÃ Â°Å¸Ã Â±Â','Ã Â°Â¸Ã Â±â€ Ã Â°ÂªÃ Â±ÂÃ Â°Å¸Ã Â±â€ Ã Â°â€šÃ Â°Â¬Ã Â°Â°Ã Â±Â','Ã Â°â€¦Ã Â°â€¢Ã Â±ÂÃ Â°Å¸Ã Â±â€¹Ã Â°Â¬Ã Â°Â°Ã Â±Â','Ã Â°Â¨Ã Â°ÂµÃ Â°â€šÃ Â°Â¬Ã Â°Â°Ã Â±Â','Ã Â°Â¡Ã Â°Â¿Ã Â°Â¸Ã Â±â€ Ã Â°â€šÃ Â°Â¬Ã Â°Â°Ã Â±Â',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Ã Â°Å“Ã Â°Â¨Ã Â°ÂµÃ Â°Â°Ã Â°Â¿','Ã Â°Â«Ã Â°Â¿Ã Â°Â¬Ã Â±ÂÃ Â°Â°Ã Â°ÂµÃ Â°Â°Ã Â°Â¿','Ã Â°Â®Ã Â°Â¾Ã Â°Â°Ã Â±ÂÃ Â°Å¡Ã Â°Â¿','Ã Â°ÂÃ Â°ÂªÃ Â±ÂÃ Â°Â°Ã Â°Â¿Ã Â°Â²Ã Â±Â','Ã Â°Â®Ã Â±â€¡','Ã Â°Å“Ã Â±â€šÃ Â°Â¨Ã Â±Â','Ã Â°Å“Ã Â±â€šÃ Â°Â²Ã Â±Ë†','Ã Â°â€ Ã Â°â€”Ã Â°Â¸Ã Â±ÂÃ Â°Å¸Ã Â±Â','Ã Â°Â¸Ã Â±â€ Ã Â°ÂªÃ Â±ÂÃ Â°Å¸Ã Â±â€ Ã Â°â€šÃ Â°Â¬Ã Â°Â°Ã Â±Â','Ã Â°â€¦Ã Â°â€¢Ã Â±ÂÃ Â°Å¸Ã Â±â€¹Ã Â°Â¬Ã Â°Â°Ã Â±Â','Ã Â°Â¨Ã Â°ÂµÃ Â°â€šÃ Â°Â¬Ã Â°Â°Ã Â±Â','Ã Â°Â¡Ã Â°Â¿Ã Â°Â¸Ã Â±â€ Ã Â°â€šÃ Â°Â¬Ã Â°Â°Ã Â±Â','Ã Â°â€ Ã Â°Â¦Ã Â°Â¿','Ã Â°Â¸Ã Â±â€¹Ã Â°Â®','Ã Â°Â®Ã Â°â€šÃ Â°â€”Ã Â°Â³','Ã Â°Â¬Ã Â±ÂÃ Â°Â§','Ã Â°â€”Ã Â±ÂÃ Â°Â°Ã Â±Â','Ã Â°Â¶Ã Â±ÂÃ Â°â€¢Ã Â±ÂÃ Â°Â°','Ã Â°Â¶Ã Â°Â¨Ã Â°Â¿','Ã Â°â€ Ã Â°Â¦Ã Â°Â¿Ã Â°ÂµÃ Â°Â¾Ã Â°Â°Ã Â°â€š','Ã Â°Â¸Ã Â±â€¹Ã Â°Â®Ã Â°ÂµÃ Â°Â¾Ã Â°Â°Ã Â°â€š','Ã Â°Â®Ã Â°â€šÃ Â°â€”Ã Â°Â³Ã Â°ÂµÃ Â°Â¾Ã Â°Â°Ã Â°â€š','Ã Â°Â¬Ã Â±ÂÃ Â°Â§Ã Â°ÂµÃ Â°Â¾Ã Â°Â°Ã Â°â€š','Ã Â°â€”Ã Â±ÂÃ Â°Â°Ã Â±ÂÃ Â°ÂµÃ Â°Â¾Ã Â°Â°Ã Â°â€š','Ã Â°Â¶Ã Â±ÂÃ Â°â€¢Ã Â±ÂÃ Â°Â°Ã Â°ÂµÃ Â°Â¾Ã Â°Â°Ã Â°â€š','Ã Â°Â¶Ã Â°Â¨Ã Â°Â¿Ã Â°ÂµÃ Â°Â¾Ã Â°Â°Ã Â°â€š');
INSERT INTO `locales` VALUES (331,'te','IN','INR','Ã Â°Â°Ã Â±â€š.',NULL,NULL,NULL,NULL,'#,##,##0.###','Ã‚Â¤ #,##,##0.00',NULL,NULL,'h:mm:ss a z','h:mm:ss a z','h:mm:ss a','h:mm a','EEEE d MMMM yyyy','d MMMM yyyy','dd-MM-yyyy','dd-MM-yy',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (332,'tg',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'ÃÂ¿ÃÂµ. Ã‘â€¡ÃÂ¾.','ÃÂ¿ÃÂ°. Ã‘â€¡ÃÂ¾.',NULL,NULL,NULL,'ÃÂ¯ÃÂ½ÃÂ²','ÃÂ¤ÃÂµÃÂ²','ÃÅ“ÃÂ°Ã‘â‚¬','ÃÂÃÂ¿Ã‘â‚¬','ÃÅ“ÃÂ°ÃÂ¹','ÃËœÃ‘Å½ÃÂ½','ÃËœÃ‘Å½ÃÂ»','ÃÂÃÂ²ÃÂ³','ÃÂ¡ÃÂµÃÂ½','ÃÅ¾ÃÂºÃ‘â€š','ÃÂÃÂ¾Ã‘Â','Ãâ€ÃÂµÃÂº',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'ÃÂ¯ÃÂ½ÃÂ²ÃÂ°Ã‘â‚¬','ÃÂ¤ÃÂµÃÂ²Ã‘â‚¬ÃÂ°ÃÂ»','ÃÅ“ÃÂ°Ã‘â‚¬Ã‘â€š','ÃÂÃÂ¿Ã‘â‚¬ÃÂµÃÂ»','ÃÅ“ÃÂ°ÃÂ¹','ÃËœÃ‘Å½ÃÂ½','ÃËœÃ‘Å½ÃÂ»','ÃÂÃÂ²ÃÂ³Ã‘Æ’Ã‘ÂÃ‘â€š','ÃÂ¡ÃÂµÃÂ½Ã‘â€šÃ‘ÂÃÂ±Ã‘â‚¬','ÃÅ¾ÃÂºÃ‘â€šÃ‘ÂÃÂ±Ã‘â‚¬','ÃÂÃÂ¾Ã‘ÂÃÂ±Ã‘â‚¬','Ãâ€ÃÂµÃÂºÃÂ°ÃÂ±Ã‘â‚¬','ÃÂ¯Ã‘Ë†ÃÂ±','Ãâ€Ã‘Ë†ÃÂ±','ÃÂ¡Ã‘Ë†ÃÂ±','ÃÂ§Ã‘Ë†ÃÂ±','ÃÅ¸Ã‘Ë†ÃÂ±','Ã’Â¶ÃÂ¼Ã‘Å ','ÃÂ¨ÃÂ½ÃÂ±','ÃÂ¯ÃÂºÃ‘Ë†ÃÂ°ÃÂ½ÃÂ±ÃÂµ','Ãâ€Ã‘Æ’Ã‘Ë†ÃÂ°ÃÂ½ÃÂ±ÃÂµ','ÃÂ¡ÃÂµÃ‘Ë†ÃÂ°ÃÂ½ÃÂ±ÃÂµ','ÃÂ§ÃÂ¾Ã‘â‚¬Ã‘Ë†ÃÂ°ÃÂ½ÃÂ±ÃÂµ','ÃÅ¸ÃÂ°ÃÂ½Ã’Â·Ã‘Ë†ÃÂ°ÃÂ½ÃÂ±ÃÂµ','Ã’Â¶Ã‘Æ’ÃÂ¼Ã‘Å ÃÂ°','ÃÂ¨ÃÂ°ÃÂ½ÃÂ±ÃÂµ');
INSERT INTO `locales` VALUES (333,'tg','TJ','TJS','Ã‘ÂÃÂ¾ÃÂ¼',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (334,'th',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'H\' Ã Â¸â„¢Ã Â¸Â²Ã Â¸Â¬Ã Â¸Â´Ã Â¸ÂÃ Â¸Â² \'m\' Ã Â¸â„¢Ã Â¸Â²Ã Â¸â€”Ã Â¸Âµ \'ss\' Ã Â¸Â§Ã Â¸Â´Ã Â¸â„¢Ã Â¸Â²Ã Â¸â€”Ã Â¸Âµ\'','H\' Ã Â¸â„¢Ã Â¸Â²Ã Â¸Â¬Ã Â¸Â´Ã Â¸ÂÃ Â¸Â² \'m\' Ã Â¸â„¢Ã Â¸Â²Ã Â¸â€”Ã Â¸Âµ\'','H:mm:ss','H:mm','EEEE\'Ã Â¸â€”Ã Â¸ÂµÃ Â¹Ë† \'d MMMM G yyyy','d MMMM yyyy','d MMM yyyy','d/M/yyyy','{1}, {0}',NULL,NULL,NULL,NULL,NULL,'Ã Â¸Â¡.Ã Â¸â€ž.','Ã Â¸Â.Ã Â¸Å¾.','Ã Â¸Â¡Ã Â¸Âµ.Ã Â¸â€ž.','Ã Â¹â‚¬Ã Â¸Â¡.Ã Â¸Â¢.','Ã Â¸Å¾.Ã Â¸â€ž.','Ã Â¸Â¡Ã Â¸Â´.Ã Â¸Â¢.','Ã Â¸Â.Ã Â¸â€ž.','Ã Â¸Âª.Ã Â¸â€ž.','Ã Â¸Â.Ã Â¸Â¢.','Ã Â¸â€¢.Ã Â¸â€ž.','Ã Â¸Å¾.Ã Â¸Â¢.','Ã Â¸Ëœ.Ã Â¸â€ž.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Ã Â¸Â¡Ã Â¸ÂÃ Â¸Â£Ã Â¸Â²Ã Â¸â€žÃ Â¸Â¡','Ã Â¸ÂÃ Â¸Â¸Ã Â¸Â¡Ã Â¸Â Ã Â¸Â²Ã Â¸Å¾Ã Â¸Â±Ã Â¸â„¢Ã Â¸ËœÃ Â¹Å’','Ã Â¸Â¡Ã Â¸ÂµÃ Â¸â„¢Ã Â¸Â²Ã Â¸â€žÃ Â¸Â¡','Ã Â¹â‚¬Ã Â¸Â¡Ã Â¸Â©Ã Â¸Â²Ã Â¸Â¢Ã Â¸â„¢','Ã Â¸Å¾Ã Â¸Â¤Ã Â¸Â©Ã Â¸Â Ã Â¸Â²Ã Â¸â€žÃ Â¸Â¡','Ã Â¸Â¡Ã Â¸Â´Ã Â¸â€“Ã Â¸Â¸Ã Â¸â„¢Ã Â¸Â²Ã Â¸Â¢Ã Â¸â„¢','Ã Â¸ÂÃ Â¸Â£Ã Â¸ÂÃ Â¸Å½Ã Â¸Â²Ã Â¸â€žÃ Â¸Â¡','Ã Â¸ÂªÃ Â¸Â´Ã Â¸â€¡Ã Â¸Â«Ã Â¸Â²Ã Â¸â€žÃ Â¸Â¡','Ã Â¸ÂÃ Â¸Â±Ã Â¸â„¢Ã Â¸Â¢Ã Â¸Â²Ã Â¸Â¢Ã Â¸â„¢','Ã Â¸â€¢Ã Â¸Â¸Ã Â¸Â¥Ã Â¸Â²Ã Â¸â€žÃ Â¸Â¡','Ã Â¸Å¾Ã Â¸Â¤Ã Â¸Â¨Ã Â¸Ë†Ã Â¸Â´Ã Â¸ÂÃ Â¸Â²Ã Â¸Â¢Ã Â¸â„¢','Ã Â¸ËœÃ Â¸Â±Ã Â¸â„¢Ã Â¸Â§Ã Â¸Â²Ã Â¸â€žÃ Â¸Â¡','Ã Â¸Â­Ã Â¸Â².','Ã Â¸Ë†.','Ã Â¸Â­.','Ã Â¸Å¾.','Ã Â¸Å¾Ã Â¸Â¤.','Ã Â¸Â¨.','Ã Â¸Âª.','Ã Â¸Â­Ã Â¸Â²Ã Â¸â€”Ã Â¸Â´Ã Â¸â€¢Ã Â¸Â¢Ã Â¹Å’','Ã Â¸Ë†Ã Â¸Â±Ã Â¸â„¢Ã Â¸â€”Ã Â¸Â£Ã Â¹Å’','Ã Â¸Â­Ã Â¸Â±Ã Â¸â€¡Ã Â¸â€žÃ Â¸Â²Ã Â¸Â£','Ã Â¸Å¾Ã Â¸Â¸Ã Â¸Ëœ','Ã Â¸Å¾Ã Â¸Â¤Ã Â¸Â«Ã Â¸Â±Ã Â¸ÂªÃ Â¸Å¡Ã Â¸â€Ã Â¸Âµ','Ã Â¸Â¨Ã Â¸Â¸Ã Â¸ÂÃ Â¸Â£Ã Â¹Å’','Ã Â¹â‚¬Ã Â¸ÂªÃ Â¸Â²Ã Â¸Â£Ã Â¹Å’');
INSERT INTO `locales` VALUES (335,'th','TH','THB','Ã Â¸Â¿',NULL,NULL,NULL,NULL,NULL,'Ã‚Â¤#,##0.00;Ã‚Â¤-#,##0.00',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (336,'ti',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Ã¡Å â€¢Ã¡Å’â€°Ã¡Ë†â€  Ã¡Ë†Â°Ã¡â€¹â€œÃ¡â€°Â°','Ã¡â€¹ÂµÃ¡Ë†â€¢Ã¡Ë†Â­ Ã¡Ë†Â°Ã¡â€¹â€œÃ¡â€°Âµ',NULL,NULL,NULL,'Ã¡Å’Æ’Ã¡Å â€¢Ã¡â€¹Â©','Ã¡ÂÅ’Ã¡â€°Â¥Ã¡Ë†Â©','Ã¡Ë†â€ºÃ¡Ë†Â­Ã¡â€°Â½','Ã¡Å Â¤Ã¡Ââ€¢Ã¡Ë†Â¨','Ã¡Ë†Å“Ã¡â€¹Â­','Ã¡Å’ÂÃ¡Å â€¢','Ã¡Å’ÂÃ¡Ë†â€¹Ã¡â€¹Â­','Ã¡Å Â¦Ã¡Å’Ë†Ã¡Ë†Âµ','Ã¡Ë†Â´Ã¡Ââ€¢Ã¡â€°Â´','Ã¡Å Â¦Ã¡Å Â­Ã¡â€°Â°','Ã¡Å â€“Ã¡â€°Â¬Ã¡Ë†Â','Ã¡â€¹Â²Ã¡Ë†Â´Ã¡Ë†Â',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Ã¡Å’Æ’Ã¡Å â€¢Ã¡â€¹Â©Ã¡â€¹Ë†Ã¡Ë†Âª','Ã¡ÂÅ’Ã¡â€°Â¥Ã¡Ë†Â©Ã¡â€¹Ë†Ã¡Ë†Âª','Ã¡Ë†â€ºÃ¡Ë†Â­Ã¡â€°Â½','Ã¡Å Â¤Ã¡Ââ€¢Ã¡Ë†Â¨Ã¡Ë†Â','Ã¡Ë†Å“Ã¡â€¹Â­','Ã¡Å’ÂÃ¡Å â€¢','Ã¡Å’ÂÃ¡Ë†â€¹Ã¡â€¹Â­','Ã¡Å Â¦Ã¡Å’Ë†Ã¡Ë†ÂµÃ¡â€°Âµ','Ã¡Ë†Â´Ã¡Ââ€¢Ã¡â€°Â´Ã¡Ë†ÂÃ¡â€°Â Ã¡Ë†Â­','Ã¡Å Â¦Ã¡Å Â­Ã¡â€°Â°Ã¡â€¹ÂÃ¡â€°Â Ã¡Ë†Â­','Ã¡Å â€“Ã¡â€°Â¬Ã¡Ë†ÂÃ¡â€°Â Ã¡Ë†Â­','Ã¡â€¹Â²Ã¡Ë†Â´Ã¡Ë†ÂÃ¡â€°Â Ã¡Ë†Â­','Ã¡Ë†Â°Ã¡Å â€¢Ã¡â€°Â ','Ã¡Ë†Â°Ã¡Å â€˜Ã¡â€¹Â­','Ã¡Ë†Â Ã¡Ë†â€°Ã¡Ë†Âµ','Ã¡Ë†Â¨Ã¡â€°Â¡Ã¡â€¹â€¢','Ã¡Å Æ’Ã¡Ë†â„¢Ã¡Ë†Âµ','Ã¡â€¹â€œÃ¡Ë†Â­Ã¡â€°Â¢','Ã¡â€°â‚¬Ã¡â€¹Â³Ã¡Ë†Â','Ã¡Ë†Â°Ã¡Å â€¢Ã¡â€°Â Ã¡â€°Âµ','Ã¡Ë†Â°Ã¡Å â€˜Ã¡â€¹Â­','Ã¡Ë†Â Ã¡Ë†â€°Ã¡Ë†Âµ','Ã¡Ë†Â¨Ã¡â€°Â¡Ã¡â€¹â€¢','Ã¡Å Æ’Ã¡Ë†â„¢Ã¡Ë†Âµ','Ã¡â€¹â€œÃ¡Ë†Â­Ã¡â€°Â¢','Ã¡â€°â‚¬Ã¡â€¹Â³Ã¡Ë†Â');
INSERT INTO `locales` VALUES (337,'ti','ER','ERN','$',NULL,NULL,NULL,NULL,NULL,'Ã‚Â¤#,##0.00',NULL,NULL,'h:mm:ss a','h:mm:ss a','h:mm:ss a','h:mm a','EEEEÃ¡ÂÂ¡ dd MMMM Ã¡Ë†ËœÃ¡â€¹â€œÃ¡Ë†ÂÃ¡â€°Â² yyyy G','dd MMMM yyyy','dd-MMM-yy','dd/MM/yy',NULL,NULL,NULL,NULL,NULL,NULL,'Ã¡Å’Â¥Ã¡Ë†Âª','Ã¡Ë†Ë†Ã¡Å Â«Ã¡â€°Â²','Ã¡Ë†ËœÃ¡Å’â€¹Ã¡â€°Â¢','Ã¡Ë†Å¡Ã¡â€¹Â«Ã¡â€¹Â','Ã¡Å’ÂÃ¡Å â€¢Ã¡â€°Â¦','Ã¡Ë†Â°Ã¡Å Â','Ã¡Ë†â€œÃ¡Ë†ÂÃ¡Ë†Ë†','Ã¡Å ÂÃ¡Ë†â€œÃ¡Ë†Â°','Ã¡Ë†ËœÃ¡Ë†ÂµÃ¡Å Â¨','Ã¡Å’Â¥Ã¡â€°â€¦Ã¡Ë†Â','Ã¡Ë†â€¢Ã¡â€¹Â³Ã¡Ë†Â­','Ã¡â€°Â³Ã¡Ë†â€¢Ã¡Ë†Â³',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Ã¡Å’Â¥Ã¡Ë†Âª','Ã¡Ë†Ë†Ã¡Å Â«Ã¡â€°Â²Ã¡â€°Âµ','Ã¡Ë†ËœÃ¡Å’â€¹Ã¡â€°Â¢Ã¡â€°Âµ','Ã¡Ë†Å¡Ã¡â€¹Â«Ã¡â€¹ÂÃ¡â€¹Â«','Ã¡Å’ÂÃ¡Å â€¢Ã¡â€°Â¦Ã¡â€°Âµ','Ã¡Ë†Â°Ã¡Å Â','Ã¡Ë†â€œÃ¡Ë†ÂÃ¡Ë†Ë†','Ã¡Å ÂÃ¡Ë†â€œÃ¡Ë†Â°','Ã¡Ë†ËœÃ¡Ë†ÂµÃ¡Å Â¨Ã¡Ë†Â¨Ã¡Ë†Â','Ã¡Å’Â¥Ã¡â€°â€¦Ã¡Ë†ÂÃ¡â€°Â²','Ã¡Ë†â€¢Ã¡â€¹Â³Ã¡Ë†Â­','Ã¡â€°Â³Ã¡Ë†â€¢Ã¡Ë†Â³Ã¡Ë†Âµ',NULL,NULL,'Ã¡Ë†Â°Ã¡Ë†â€°Ã¡Ë†Âµ',NULL,'Ã¡Ë†â€œÃ¡Ë†â„¢Ã¡Ë†Âµ',NULL,NULL,NULL,NULL,'Ã¡Ë†Â°Ã¡Ë†â€°Ã¡Ë†Âµ',NULL,'Ã¡Ë†â€œÃ¡Ë†â„¢Ã¡Ë†Âµ',NULL,NULL);
INSERT INTO `locales` VALUES (338,'ti','ET','ETB','$',NULL,NULL,NULL,NULL,NULL,'Ã‚Â¤#,##0.00',NULL,NULL,'h:mm:ss a','h:mm:ss a','h:mm:ss a','h:mm a','EEEEÃ¡ÂÂ£ dd MMMM Ã¡Ë†ËœÃ¡â€¹â€œÃ¡Ë†ÂÃ¡â€°Â² yyyy G','dd MMMM yyyy','dd-MMM-yy','dd/MM/yy',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (339,'tig',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Ã¡â€°â‚¬Ã¡â€¹Â°Ã¡Ë†Â Ã¡Ë†Â°Ã¡Ë†Â­Ã¡Ë†ÂÃ¡â€¹â€¢Ã¡Ë†Â','Ã¡Ë†â€œÃ¡â€°â€  Ã¡Ë†ÂµÃ¡Ë†Â­Ã¡Ë†ÂÃ¡â€¹â€¢Ã¡Ë†Â',NULL,NULL,NULL,'Ã¡Å’Æ’Ã¡Å â€¢Ã¡â€¹Â©','Ã¡ÂÅ’Ã¡â€°Â¥Ã¡Ë†Â©','Ã¡Ë†â€ºÃ¡Ë†Â­Ã¡â€°Â½','Ã¡Å Â¤Ã¡Ââ€¢Ã¡Ë†Â¨','Ã¡Ë†Å“Ã¡â€¹Â­','Ã¡Å’ÂÃ¡Å â€¢','Ã¡Å’ÂÃ¡Ë†â€¹Ã¡â€¹Â­','Ã¡Å Â¦Ã¡Å’Ë†Ã¡Ë†Âµ','Ã¡Ë†Â´Ã¡Ââ€¢Ã¡â€°Â´','Ã¡Å Â¦Ã¡Å Â­Ã¡â€°Â°','Ã¡Å â€“Ã¡â€°Â¬Ã¡Ë†Â','Ã¡â€¹Â²Ã¡Ë†Â´Ã¡Ë†Â',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Ã¡Å’Æ’Ã¡Å â€¢Ã¡â€¹Â©Ã¡â€¹Ë†Ã¡Ë†Âª','Ã¡ÂÅ’Ã¡â€°Â¥Ã¡Ë†Â©Ã¡â€¹Ë†Ã¡Ë†Âª','Ã¡Ë†â€ºÃ¡Ë†Â­Ã¡â€°Â½','Ã¡Å Â¤Ã¡Ââ€¢Ã¡Ë†Â¨Ã¡Ë†Â','Ã¡Ë†Å“Ã¡â€¹Â­','Ã¡Å’ÂÃ¡Å â€¢','Ã¡Å’ÂÃ¡Ë†â€¹Ã¡â€¹Â­','Ã¡Å Â¦Ã¡Å’Ë†Ã¡Ë†ÂµÃ¡â€°Âµ','Ã¡Ë†Â´Ã¡Ââ€¢Ã¡â€°Â´Ã¡Ë†ÂÃ¡â€°Â Ã¡Ë†Â­','Ã¡Å Â¦Ã¡Å Â­Ã¡â€°Â°Ã¡â€¹ÂÃ¡â€°Â Ã¡Ë†Â­','Ã¡Å â€“Ã¡â€°Â¬Ã¡Ë†ÂÃ¡â€°Â Ã¡Ë†Â­','Ã¡â€¹Â²Ã¡Ë†Â´Ã¡Ë†ÂÃ¡â€°Â Ã¡Ë†Â­','Ã¡Ë†Â°/Ã¡â€¹â€œ','Ã¡Ë†Â°Ã¡Å â€“','Ã¡â€°Â³Ã¡Ë†â€¹Ã¡Ë†Â¸','Ã¡Å Â£Ã¡Ë†Â¨Ã¡Ë†Â­','Ã¡Å Â¨Ã¡Ë†Å¡Ã¡Ë†Â½','Ã¡Å’â€¦Ã¡Ë†ÂÃ¡â€¹â€œ','Ã¡Ë†Â°/Ã¡Å â€¢','Ã¡Ë†Â°Ã¡Å â€¢Ã¡â€°Â Ã¡â€°Âµ Ã¡â€¹â€œÃ¡â€°Â£Ã¡â€¹Â­','Ã¡Ë†Â°Ã¡Å â€“','Ã¡â€°Â³Ã¡Ë†â€¹Ã¡Ë†Â¸Ã¡Å â€“','Ã¡Å Â£Ã¡Ë†Â¨Ã¡Ë†Â­Ã¡â€°Â£Ã¡â€¹â€œ','Ã¡Å Â¨Ã¡Ë†Å¡Ã¡Ë†Â½','Ã¡Å’â€¦Ã¡Ë†ÂÃ¡â€¹â€œÃ¡â€°Âµ','Ã¡Ë†Â°Ã¡Å â€¢Ã¡â€°Â Ã¡â€°Âµ Ã¡Å â€¢Ã¡Å Â¢Ã¡Ë†Â½');
INSERT INTO `locales` VALUES (340,'tig','ER','ERN','$',NULL,NULL,NULL,NULL,NULL,'Ã‚Â¤#,##0.00',NULL,NULL,'h:mm:ss a','h:mm:ss a','h:mm:ss a','h:mm a','EEEEÃ¡ÂÂ¡ dd MMMM Ã¡â€¹Â®Ã¡Ë†Â yyyy G','dd MMMM yyyy','dd-MMM-yyyy','dd/MM/yy',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (341,'tn',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Fer','Tlh','Mop','Mor','Mot','See','Phu','Pha','Lwe','Dip','Ngw','Sed',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Ferikgong','Tlhakole','Mopitlo','Moranang','Motsheganang','Seetebosigo','Phukwi','Phatwe','Lwetse','Diphalane','Ngwanatsele','Sedimonthole','Tsh','Mos','Bed','Rar','Ne','Tla','Mat','Tshipi','Mosopulogo','Labobedi','Laboraro','Labone','Labotlhano','Matlhatso');
INSERT INTO `locales` VALUES (342,'tn','ZA','ZAR','R',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (343,'tr',NULL,NULL,NULL,NULL,NULL,',','.',NULL,'#,##0.00 Ã‚Â¤',NULL,NULL,NULL,NULL,NULL,NULL,'dd MMMM yyyy EEEE','dd MMMM yyyy EEEE','dd.MMM.yyyy','dd.MM.yyyy',NULL,NULL,NULL,NULL,NULL,NULL,'Oca','Ã…Å¾ub','Mar','Nis','May','Haz','Tem','AÃ„Å¸u','Eyl','Eki','Kas','Ara',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Ocak','Ã…Å¾ubat','Mart','Nisan','MayÃ„Â±s','Haziran','Temmuz','AÃ„Å¸ustos','EylÃƒÂ¼l','Ekim','KasÃ„Â±m','AralÃ„Â±k','Paz','Pzt','Sal','Ãƒâ€¡ar','Per','Cum','Cmt','Pazar','Pazartesi','SalÃ„Â±','Ãƒâ€¡arÃ…Å¸amba','PerÃ…Å¸embe','Cuma','Cumartesi');
INSERT INTO `locales` VALUES (344,'tr','TR','TRY','',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (345,'ts',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Sun','Yan','Kul','Dzi','Mud','Kho','Maw','Mha','Ndz','Nhl','Huk','N\'w',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Sunguti','Nyenyenyani','Nyenyankulu','Dzivamisoko','Mudyaxihi','Khotavuxika','Mawuwani','Mhawuri','Ndzhati','Nhlangula','Hukuri','N\'wendzamhala','Son','Mus','Bir','Har','Ne','Tlh','Mug','Sonto','Musumbhunuku','Ravumbirhi','Ravunharhu','Ravumune','Ravuntlhanu','Mugqivela');
INSERT INTO `locales` VALUES (346,'ts','ZA','ZAR','R',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (347,'tt',NULL,NULL,NULL,NULL,NULL,',','Ã‚Â ',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (348,'tt','RU','RUB',NULL,NULL,NULL,NULL,NULL,NULL,'#,##0.00Ã‚Â¤',NULL,NULL,'h:mm:ss a','H:mm:ss','H:mm:ss','H:mm:ss','d MMMM yyyy','d MMMM yyyy','dd.MM.yyyy','dd.MM.yyyy',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (349,'uk',NULL,NULL,NULL,NULL,NULL,',','Ã‚Â ',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'EEEE, d MMMM yyyy \'Ã‘â‚¬.\'','d MMMM yyyy','d MMM yyyy','dd.MM.yy',NULL,'ÃÂ´ÃÂ¿','ÃÂ¿ÃÂ¿',NULL,NULL,NULL,'Ã‘ÂÃ‘â€“Ã‘â€¡.','ÃÂ»Ã‘Å½Ã‘â€š.','ÃÂ±ÃÂµÃ‘â‚¬.','ÃÂºÃÂ²Ã‘â€“Ã‘â€š.','Ã‘â€šÃ‘â‚¬ÃÂ°ÃÂ².','Ã‘â€¡ÃÂµÃ‘â‚¬ÃÂ².','ÃÂ»ÃÂ¸ÃÂ¿.','Ã‘ÂÃÂµÃ‘â‚¬ÃÂ¿.','ÃÂ²ÃÂµÃ‘â‚¬.','ÃÂ¶ÃÂ¾ÃÂ²Ã‘â€š.','ÃÂ»ÃÂ¸Ã‘ÂÃ‘â€š.','ÃÂ³Ã‘â‚¬Ã‘Æ’ÃÂ´.','ÃÂ¡','Ãâ€º','Ãâ€˜','ÃÅ¡','ÃÂ¢','ÃÂ§','Ãâ€º','ÃÂ¡','Ãâ€™','Ãâ€“','Ãâ€º','Ãâ€œ','Ã‘ÂÃ‘â€“Ã‘â€¡ÃÂ½Ã‘Â','ÃÂ»Ã‘Å½Ã‘â€šÃÂ¾ÃÂ³ÃÂ¾','ÃÂ±ÃÂµÃ‘â‚¬ÃÂµÃÂ·ÃÂ½Ã‘Â','ÃÂºÃÂ²Ã‘â€“Ã‘â€šÃÂ½Ã‘Â','Ã‘â€šÃ‘â‚¬ÃÂ°ÃÂ²ÃÂ½Ã‘Â','Ã‘â€¡ÃÂµÃ‘â‚¬ÃÂ²ÃÂ½Ã‘Â','ÃÂ»ÃÂ¸ÃÂ¿ÃÂ½Ã‘Â','Ã‘ÂÃÂµÃ‘â‚¬ÃÂ¿ÃÂ½Ã‘Â','ÃÂ²ÃÂµÃ‘â‚¬ÃÂµÃ‘ÂÃÂ½Ã‘Â','ÃÂ¶ÃÂ¾ÃÂ²Ã‘â€šÃÂ½Ã‘Â','ÃÂ»ÃÂ¸Ã‘ÂÃ‘â€šÃÂ¾ÃÂ¿ÃÂ°ÃÂ´ÃÂ°','ÃÂ³Ã‘â‚¬Ã‘Æ’ÃÂ´ÃÂ½Ã‘Â','ÃÂÃÂ´','ÃÅ¸ÃÂ½','Ãâ€™Ã‘â€š','ÃÂ¡Ã‘â‚¬','ÃÂ§Ã‘â€š','ÃÅ¸Ã‘â€š','ÃÂ¡ÃÂ±','ÃÂÃÂµÃÂ´Ã‘â€“ÃÂ»Ã‘Â','ÃÅ¸ÃÂ¾ÃÂ½ÃÂµÃÂ´Ã‘â€“ÃÂ»ÃÂ¾ÃÂº','Ãâ€™Ã‘â€“ÃÂ²Ã‘â€šÃÂ¾Ã‘â‚¬ÃÂ¾ÃÂº','ÃÂ¡ÃÂµÃ‘â‚¬ÃÂµÃÂ´ÃÂ°','ÃÂ§ÃÂµÃ‘â€šÃÂ²ÃÂµÃ‘â‚¬','ÃÅ¸ÃŠÂ¼Ã‘ÂÃ‘â€šÃÂ½ÃÂ¸Ã‘â€ Ã‘Â','ÃÂ¡Ã‘Æ’ÃÂ±ÃÂ¾Ã‘â€šÃÂ°');
INSERT INTO `locales` VALUES (350,'uk','UA','UAH','ÃÂ³Ã‘â‚¬ÃÂ½.',NULL,NULL,NULL,NULL,NULL,'#,##0.00 Ã‚Â¤',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (351,'ur',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (352,'ur','IN','INR','Ã¢â€šÂ¨',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (353,'ur','PK','PKR','Rs',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (354,'uz',NULL,NULL,NULL,NULL,NULL,',','Ã‚Â ',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'ÃÂ¯ÃÂ½ÃÂ²','ÃÂ¤ÃÂµÃÂ²','ÃÅ“ÃÂ°Ã‘â‚¬','ÃÂÃÂ¿Ã‘â‚¬','ÃÅ“ÃÂ°ÃÂ¹','ÃËœÃ‘Å½ÃÂ½','ÃËœÃ‘Å½ÃÂ»','ÃÂÃÂ²ÃÂ³','ÃÂ¡ÃÂµÃÂ½','ÃÅ¾ÃÂºÃ‘â€š','ÃÂÃÂ¾Ã‘Â','Ãâ€ÃÂµÃÂº',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'ÃÅ“Ã‘Æ’Ã’Â³ÃÂ°Ã‘â‚¬Ã‘â‚¬ÃÂ°ÃÂ¼','ÃÂ¡ÃÂ°Ã‘â€žÃÂ°Ã‘â‚¬','ÃÂ ÃÂ°ÃÂ±ÃÂ¸Ã‘Æ’ÃÂ»-ÃÂ°ÃÂ²ÃÂ²ÃÂ°ÃÂ»','ÃÂ ÃÂ°ÃÂ±ÃÂ¸Ã‘Æ’ÃÂ»-ÃÂ¾Ã‘â€¦ÃÂ¸Ã‘â‚¬','Ãâ€“Ã‘Æ’ÃÂ¼ÃÂ¾ÃÂ´ÃÂ¸Ã‘Æ’ÃÂ»-Ã‘Æ’ÃÂ»ÃÂ¾','Ãâ€“Ã‘Æ’ÃÂ¼ÃÂ¾ÃÂ´ÃÂ¸Ã‘Æ’ÃÂ»-Ã‘Æ’Ã‘â€¦Ã‘â‚¬ÃÂ¾','ÃÂ ÃÂ°ÃÂ¶ÃÂ°ÃÂ±','ÃÂ¨ÃÂ°Ã‘Å ÃÂ±ÃÂ¾ÃÂ½','ÃÂ ÃÂ°ÃÂ¼ÃÂ°ÃÂ·ÃÂ¾ÃÂ½','ÃÂ¨ÃÂ°ÃÂ²ÃÂ²ÃÂ¾ÃÂ»','Ãâ€”ÃÂ¸ÃÂ»-Ã’â€ºÃÂ°Ã‘Å ÃÂ´ÃÂ°','Ãâ€”ÃÂ¸ÃÂ»-Ã’Â³ÃÂ¸ÃÂ¶ÃÂ¶ÃÂ°','ÃÂ¯ÃÂºÃ‘Ë†','Ãâ€Ã‘Æ’Ã‘Ë†','ÃÂ¡ÃÂµÃ‘Ë†','ÃÂ§ÃÂ¾Ã‘â‚¬','ÃÅ¸ÃÂ°ÃÂ¹','Ãâ€“Ã‘Æ’ÃÂ¼','ÃÂ¨ÃÂ°ÃÂ½','Ã‘ÂÃÂºÃ‘Ë†ÃÂ°ÃÂ½ÃÂ±ÃÂ°','ÃÂ´Ã‘Æ’Ã‘Ë†ÃÂ°ÃÂ½ÃÂ±ÃÂ°','Ã‘ÂÃÂµÃ‘Ë†ÃÂ°ÃÂ½ÃÂ±ÃÂ°','Ã‘â€¡ÃÂ¾Ã‘â‚¬Ã‘Ë†ÃÂ°ÃÂ½ÃÂ±ÃÂ°','ÃÂ¿ÃÂ°ÃÂ¹Ã‘Ë†ÃÂ°ÃÂ½ÃÂ±ÃÂ°','ÃÂ¶Ã‘Æ’ÃÂ¼ÃÂ°','Ã‘Ë†ÃÂ°ÃÂ½ÃÂ±ÃÂ°');
INSERT INTO `locales` VALUES (355,'uz_Arab',NULL,NULL,NULL,NULL,NULL,'Ã™Â«','Ã™Â¬',NULL,'#,##0.00 Ã‚Â¤','Ã™Âª','Ã¢Ë†â€™','H:mm:ss (z)','H:mm:ss (z)','H:mm:ss','H:mm','yyyy Ã™â€ Ãšâ€ Ã›Å’ Ã›Å’Ã›Å’Ã™â€ž d Ã™â€ Ãšâ€ Ã›Å’ MMMM EEEE ÃšÂ©Ã™Ë†Ã™â€ Ã›Å’','d Ã™â€ Ãšâ€ Ã›Å’ MMMM yyyy','d MMMM yyyy','yyyy/M/d',NULL,NULL,NULL,NULL,NULL,NULL,'Ã˜Â¬Ã™â€ Ã™Ë†','Ã™ÂÃ˜Â¨Ã˜Â±','Ã™â€¦Ã˜Â§Ã˜Â±','Ã˜Â§Ã™Â¾Ã˜Â±','Ã™â€¦Ã™â‚¬Ã›Å’','Ã˜Â¬Ã™Ë†Ã™â€ ','Ã˜Â¬Ã™Ë†Ã™â€ž','Ã˜Â§ÃšÂ¯Ã˜Â³','Ã˜Â³Ã™Â¾Ã˜Âª','Ã˜Â§ÃšÂ©Ã˜Âª','Ã™â€ Ã™Ë†Ã™â€¦','Ã˜Â¯Ã˜Â³Ã™â€¦',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Ã˜Â¬Ã™â€ Ã™Ë†Ã˜Â±Ã›Å’','Ã™ÂÃ˜Â¨Ã˜Â±Ã™Ë†Ã˜Â±Ã›Å’','Ã™â€¦Ã˜Â§Ã˜Â±Ãšâ€ ','Ã˜Â§Ã™Â¾Ã˜Â±Ã›Å’Ã™â€ž','Ã™â€¦Ã›Å’','Ã˜Â¬Ã™Ë†Ã™â€ ','Ã˜Â¬Ã™Ë†Ã™â€žÃ˜Â§Ã›Å’','Ã˜Â§ÃšÂ¯Ã˜Â³Ã˜Âª','Ã˜Â³Ã™Â¾Ã˜ÂªÃ™â€¦Ã˜Â¨Ã˜Â±','Ã˜Â§ÃšÂ©Ã˜ÂªÃ™Ë†Ã˜Â¨Ã˜Â±','Ã™â€ Ã™Ë†Ã™â€¦Ã˜Â¨Ã˜Â±','Ã˜Â¯Ã˜Â³Ã™â€¦Ã˜Â¨Ã˜Â±','Ã›Å’.','Ã˜Â¯.','Ã˜Â³.','Ãšâ€ .','Ã™Â¾.','Ã˜Â¬.','Ã˜Â´.','Ã›Å’ÃšÂ©Ã˜Â´Ã™â€ Ã˜Â¨Ã™â€¡','Ã˜Â¯Ã™Ë†Ã˜Â´Ã™â€ Ã˜Â¨Ã™â€¡','Ã˜Â³Ã™â€¡Ã¢â‚¬Å’Ã˜Â´Ã™â€ Ã˜Â¨Ã™â€¡','Ãšâ€ Ã™â€¡Ã˜Â§Ã˜Â±Ã˜Â´Ã™â€ Ã˜Â¨Ã™â€¡','Ã™Â¾Ã™â€ Ã˜Â¬Ã˜Â´Ã™â€ Ã˜Â¨Ã™â€¡','Ã˜Â¬Ã™â€¦Ã˜Â¹Ã™â€¡','Ã˜Â´Ã™â€ Ã˜Â¨Ã™â€¡');
INSERT INTO `locales` VALUES (356,'uz_Arab','AF','AFN','',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (357,'uz_Cyrl',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (358,'uz_Cyrl','UZ','UZS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (359,'uz_Latn',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Yanv','Fev','Mar','Apr','May','Iyun','Iyul','Avg','Sen','Okt','Noya','Dek',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Muharram','Safar','Rabiul-avval','Rabiul-oxir','Jumodiul-ulo','Jumodiul-uxro','Rajab','ShaÃŠÂ¿bon','Ramazon','Shavvol','Zil-qaÃŠÂ¿da','Zil-hijja','Yaksh','Dush','Sesh','Chor','Pay','Jum','Shan','yakshanba','dushanba','seshanba','chorshanba','payshanba','juma','shanba');
INSERT INTO `locales` VALUES (360,'uz_Latn','UZ','UZS','soÃŠÂ¿m',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (361,'ve',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Pha','Luh','Ã¡Â¹Â°ha','Lam','Shu','Lwi','Lwa','Ã¡Â¹Â°ha','Khu','Tsh','Ã¡Â¸Â¼ar','Nye',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Phando','Luhuhi','Ã¡Â¹Â°hafamuhwe','Lambamai','Shundunthule','Fulwi','Fulwana','Ã¡Â¹Â°hangule','Khubvumedzi','Tshimedzi','Ã¡Â¸Â¼ara','Nyendavhusiku','Swo','Mus','Vhi','Rar','Ã¡Â¹Å a','Ã¡Â¹Â°an','Mug','Swondaha','Musumbuluwo','Ã¡Â¸Â¼avhuvhili','Ã¡Â¸Â¼avhuraru','Ã¡Â¸Â¼avhuÃ¡Â¹â€¹a','Ã¡Â¸Â¼avhuÃ¡Â¹Â±anu','Mugivhela');
INSERT INTO `locales` VALUES (362,'ve','ZA','ZAR','R',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (363,'vi',NULL,NULL,NULL,NULL,NULL,',','.',NULL,'#,##0.00 Ã‚Â¤',NULL,NULL,NULL,NULL,NULL,NULL,'EEEE, \'ngÃƒÂ y\' dd MMMM \'nÃ„Æ’m\' yyyy','\'NgÃƒÂ y\' dd \'thÃƒÂ¡ng\' M \'nÃ„Æ’m\' yyyy','dd-MM-yyyy','dd/MM/yyyy','{0} {1}','SA','CH',NULL,NULL,NULL,'thg 1','thg 2','thg 3','thg 4','thg 5','thg 6','thg 7','thg 8','thg 9','thg 10','thg 11','thg 12',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'thÃƒÂ¡ng mÃ¡Â»â„¢t','thÃƒÂ¡ng hai','thÃƒÂ¡ng ba','thÃƒÂ¡ng tÃ†Â°','thÃƒÂ¡ng nÃ„Æ’m','thÃƒÂ¡ng sÃƒÂ¡u','thÃƒÂ¡ng bÃ¡ÂºÂ£y','thÃƒÂ¡ng tÃƒÂ¡m','thÃƒÂ¡ng chÃƒÂ­n','thÃƒÂ¡ng mÃ†Â°Ã¡Â»Âi','thÃƒÂ¡ng mÃ†Â°Ã¡Â»Âi mÃ¡Â»â„¢t','thÃƒÂ¡ng mÃ†Â°Ã¡Â»Âi hai','CN','Th 2','Th 3','Th 4','Th 5','Th 6','Th 7','ChÃ¡Â»Â§ nhÃ¡ÂºÂ­t','ThÃ¡Â»Â© hai','ThÃ¡Â»Â© ba','ThÃ¡Â»Â© tÃ†Â°','ThÃ¡Â»Â© nÃ„Æ’m','ThÃ¡Â»Â© sÃƒÂ¡u','ThÃ¡Â»Â© bÃ¡ÂºÂ£y');
INSERT INTO `locales` VALUES (364,'vi','VN','VND','Ã„â€˜',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (365,'wal',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Ã¡Ë†â€ºÃ¡Ë†Ë†Ã¡â€¹Â¶','Ã¡â€°Æ’Ã¡Ë†â€º',NULL,NULL,NULL,'Ã¡Å’Æ’Ã¡Å â€¢Ã¡â€¹Â©','Ã¡ÂÅ’Ã¡â€°Â¥Ã¡Ë†Â©','Ã¡Ë†â€ºÃ¡Ë†Â­Ã¡â€°Â½','Ã¡Å Â¤Ã¡Ââ€¢Ã¡Ë†Â¨','Ã¡Ë†Å“Ã¡â€¹Â­','Ã¡Å’ÂÃ¡Å â€¢','Ã¡Å’ÂÃ¡Ë†â€¹Ã¡â€¹Â­','Ã¡Å Â¦Ã¡Å’Ë†Ã¡Ë†Âµ','Ã¡Ë†Â´Ã¡Ââ€¢Ã¡â€°Â´','Ã¡Å Â¦Ã¡Å Â­Ã¡â€°Â°','Ã¡Å â€“Ã¡â€°Â¬Ã¡Ë†Â','Ã¡â€¹Â²Ã¡Ë†Â´Ã¡Ë†Â',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Ã¡Å’Æ’Ã¡Å â€¢Ã¡â€¹Â©Ã¡â€¹Ë†Ã¡Ë†Âª','Ã¡ÂÅ’Ã¡â€°Â¥Ã¡Ë†Â©Ã¡â€¹Ë†Ã¡Ë†Âª','Ã¡Ë†â€ºÃ¡Ë†Â­Ã¡â€°Â½','Ã¡Å Â¤Ã¡Ââ€¢Ã¡Ë†Â¨Ã¡Ë†Â','Ã¡Ë†Å“Ã¡â€¹Â­','Ã¡Å’ÂÃ¡Å â€¢','Ã¡Å’ÂÃ¡Ë†â€¹Ã¡â€¹Â­','Ã¡Å Â¦Ã¡Å’Ë†Ã¡Ë†ÂµÃ¡â€°Âµ','Ã¡Ë†Â´Ã¡Ââ€¢Ã¡â€°Â´Ã¡Ë†ÂÃ¡â€°Â Ã¡Ë†Â­','Ã¡Å Â¦Ã¡Å Â­Ã¡â€°Â°Ã¡â€¹ÂÃ¡â€°Â Ã¡Ë†Â­','Ã¡Å â€“Ã¡â€°Â¬Ã¡Ë†ÂÃ¡â€°Â Ã¡Ë†Â­','Ã¡â€¹Â²Ã¡Ë†Â´Ã¡Ë†ÂÃ¡â€°Â Ã¡Ë†Â­','Ã¡â€¹Ë†Ã¡Å’â€¹','Ã¡Ë†Â³Ã¡â€¹Â­Ã¡Å â€“','Ã¡Ë†â€ºÃ¡â€°â€ Ã¡Ë†Â³','Ã¡Å Â Ã¡Ë†Â©Ã¡â€¹â€¹','Ã¡Ë†Æ’Ã¡Ë†â„¢Ã¡Ë†Â³','Ã¡Å Â Ã¡Ë†Â­Ã¡â€°Â£','Ã¡â€°â€žÃ¡Ë†Â«','Ã¡â€¹Ë†Ã¡Å’â€¹','Ã¡Ë†Â³Ã¡â€¹Â­Ã¡Å â€“','Ã¡Ë†â€ºÃ¡â€°â€ Ã¡Ë†Â³Ã¡Å â€º','Ã¡Å Â Ã¡Ë†Â©Ã¡â€¹â€¹','Ã¡Ë†Æ’Ã¡Ë†â„¢Ã¡Ë†Â³','Ã¡Å Â Ã¡Ë†Â­Ã¡â€°Â£','Ã¡â€°â€žÃ¡Ë†Â«');
INSERT INTO `locales` VALUES (366,'wal','ET','ETB','$',NULL,NULL,NULL,'Ã¡â€¹Ë†',NULL,'Ã‚Â¤#,##0.00',NULL,NULL,'h:mm:ss a','h:mm:ss a','h:mm:ss a','h:mm a','EEEEÃ¡ÂÂ¥ dd MMMM Ã¡Å’â€¹Ã¡Ë†â€¹Ã¡Ë†Â³ yyyy G','dd MMMM yyyy','dd-MMM-yyyy','dd/MM/yy',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (367,'xh',NULL,NULL,NULL,NULL,NULL,',',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Jan','Feb','Mat','Epr','Mey','Jun','Jul','Aga','Sep','Okt','Nov','Dis',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Janyuwari','Februwari','Matshi','Epreli','Meyi','Juni','Julayi','Agasti','Septemba','Okthoba','Novemba','Disemba','Caw','Mvu','Bin','Tha','Sin','Hla','Mgq','Cawe','Mvulo','Lwesibini','Lwesithathu','Lwesine','Lwesihlanu','Mgqibelo');
INSERT INTO `locales` VALUES (368,'xh','ZA','ZAR','R',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (369,'yo',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'ARO','ALE',NULL,NULL,NULL,'Sere','Erele','Erena','Igbe','Ebibi','Okudu','Agemo','Ogun','Owewe','Owara','Belu','Ope',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Osukini','Osukeji','Osuketa','Osukerin','Osukarun','Osukefa','Osukeje','Osukejo','Osukesan','Osukewa','Osukokanla','Osukejila','Aiku','Aje','Isegun','Ojoru','Ojobo','Eti','Abameta','Ojoaiku','Ojoaje','Ojoisegun','Ojoru','Ojobo','Ojoeti','Ojoabameta');
INSERT INTO `locales` VALUES (370,'yo','NG','NGN','Ã¢â€šÂ¦',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (371,'zh',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Ã¤Â¸Å Ã¥ÂË†','Ã¤Â¸â€¹Ã¥ÂË†',NULL,NULL,NULL,'Ã¤Â¸â‚¬Ã¦Å“Ë†','Ã¤ÂºÅ’Ã¦Å“Ë†','Ã¤Â¸â€°Ã¦Å“Ë†','Ã¥â€ºâ€ºÃ¦Å“Ë†','Ã¤Âºâ€Ã¦Å“Ë†','Ã¥â€¦Â­Ã¦Å“Ë†','Ã¤Â¸Æ’Ã¦Å“Ë†','Ã¥â€¦Â«Ã¦Å“Ë†','Ã¤Â¹ÂÃ¦Å“Ë†','Ã¥ÂÂÃ¦Å“Ë†','Ã¥ÂÂÃ¤Â¸â‚¬Ã¦Å“Ë†','Ã¥ÂÂÃ¤ÂºÅ’Ã¦Å“Ë†',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Ã¤Â¸â‚¬Ã¦Å“Ë†','Ã¤ÂºÅ’Ã¦Å“Ë†','Ã¤Â¸â€°Ã¦Å“Ë†','Ã¥â€ºâ€ºÃ¦Å“Ë†','Ã¤Âºâ€Ã¦Å“Ë†','Ã¥â€¦Â­Ã¦Å“Ë†','Ã¤Â¸Æ’Ã¦Å“Ë†','Ã¥â€¦Â«Ã¦Å“Ë†','Ã¤Â¹ÂÃ¦Å“Ë†','Ã¥ÂÂÃ¦Å“Ë†','Ã¥ÂÂÃ¤Â¸â‚¬Ã¦Å“Ë†','Ã¥ÂÂÃ¤ÂºÅ’Ã¦Å“Ë†','Ã¥â€˜Â¨Ã¦â€”Â¥','Ã¥â€˜Â¨Ã¤Â¸â‚¬','Ã¥â€˜Â¨Ã¤ÂºÅ’','Ã¥â€˜Â¨Ã¤Â¸â€°','Ã¥â€˜Â¨Ã¥â€ºâ€º','Ã¥â€˜Â¨Ã¤Âºâ€','Ã¥â€˜Â¨Ã¥â€¦Â­','Ã¦ËœÅ¸Ã¦Å“Å¸Ã¦â€”Â¥','Ã¦ËœÅ¸Ã¦Å“Å¸Ã¤Â¸â‚¬','Ã¦ËœÅ¸Ã¦Å“Å¸Ã¤ÂºÅ’','Ã¦ËœÅ¸Ã¦Å“Å¸Ã¤Â¸â€°','Ã¦ËœÅ¸Ã¦Å“Å¸Ã¥â€ºâ€º','Ã¦ËœÅ¸Ã¦Å“Å¸Ã¤Âºâ€','Ã¦ËœÅ¸Ã¦Å“Å¸Ã¥â€¦Â­');
INSERT INTO `locales` VALUES (372,'zh','CN','CNY','Ã¯Â¿Â¥',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (373,'zh_Hans',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (374,'zh_Hans','CN','CNY',NULL,NULL,NULL,NULL,NULL,NULL,'Ã‚Â¤#,##0.00',NULL,NULL,'ahh\'Ã¦â€”Â¶\'mm\'Ã¥Ë†â€ \'ss\'Ã§Â§â€™\' z','ahh\'Ã¦â€”Â¶\'mm\'Ã¥Ë†â€ \'ss\'Ã§Â§â€™\'','ahh:mm:ss','ah:mm','yyyy\'Ã¥Â¹Â´\'M\'Ã¦Å“Ë†\'d\'Ã¦â€”Â¥\'EEEE','yyyy\'Ã¥Â¹Â´\'M\'Ã¦Å“Ë†\'d\'Ã¦â€”Â¥\'','yyyy-M-d','yy-M-d',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (375,'zh_Hans','SG','SGD',NULL,NULL,NULL,NULL,NULL,NULL,'Ã‚Â¤#,##0.00',NULL,NULL,'a hh:mm:ss','a hh:mm:ss','a hh:mm','a hh:mm','dd MMMM yyyy','dd MMM yyyy','dd-MMM-yy','dd/MM/yy',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (376,'zh_Hant',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'ahh\'Ã¦â„¢â€š\'mm\'Ã¥Ë†â€ \'ss\'Ã§Â§â€™\' z','ahh\'Ã¦â„¢â€š\'mm\'Ã¥Ë†â€ \'ss\'Ã§Â§â€™\'','a h:mm:ss','a h:mm','yyyy\'Ã¥Â¹Â´\'M\'Ã¦Å“Ë†\'d\'Ã¦â€”Â¥\'EEEE','yyyy\'Ã¥Â¹Â´\'M\'Ã¦Å“Ë†\'d\'Ã¦â€”Â¥\'','yyyy/M/d','yyyy/M/d',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (377,'zh_Hant','HK','HKD',NULL,NULL,NULL,NULL,NULL,NULL,'Ã‚Â¤#,##0.00;(Ã‚Â¤#,##0.00)',NULL,NULL,NULL,NULL,'ahh:mm:ss','ah:mm','yyyy\'Ã¥Â¹Â´\'M\'Ã¦Å“Ë†\'d\'Ã¦â€”Â¥\' EEEE','yyyy\'Ã¥Â¹Â´\'M\'Ã¦Å“Ë†\'d\'Ã¦â€”Â¥\'','yyyy\'Ã¥Â¹Â´\'M\'Ã¦Å“Ë†\'d\'Ã¦â€”Â¥\'','yy\'Ã¥Â¹Â´\'M\'Ã¦Å“Ë†\'d\'Ã¦â€”Â¥\'',NULL,NULL,NULL,NULL,NULL,NULL,'1Ã¦Å“Ë†','2Ã¦Å“Ë†','3Ã¦Å“Ë†','4Ã¦Å“Ë†','5Ã¦Å“Ë†','6Ã¦Å“Ë†','7Ã¦Å“Ë†','8Ã¦Å“Ë†','9Ã¦Å“Ë†','10Ã¦Å“Ë†','11Ã¦Å“Ë†','12Ã¦Å“Ë†',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (378,'zh_Hant','MO','MOP','MOP',NULL,NULL,NULL,NULL,NULL,'Ã‚Â¤#,##0.00;(Ã‚Â¤#,##0.00)',NULL,NULL,NULL,NULL,'ahh:mm:ss','ah:mm','yyyy\'Ã¥Â¹Â´\'MM\'Ã¦Å“Ë†\'dd\'Ã¦â€”Â¥\' EEEE','yyyy\'Ã¥Â¹Â´\'MM\'Ã¦Å“Ë†\'dd\'Ã¦â€”Â¥\'','yyyy\'Ã¥Â¹Â´\'M\'Ã¦Å“Ë†\'d\'Ã¦â€”Â¥\'','yy\'Ã¥Â¹Â´\'M\'Ã¦Å“Ë†\'d\'Ã¦â€”Â¥\'',NULL,NULL,NULL,NULL,NULL,NULL,'1Ã¦Å“Ë†','2Ã¦Å“Ë†','3Ã¦Å“Ë†','4Ã¦Å“Ë†','5Ã¦Å“Ë†','6Ã¦Å“Ë†','7Ã¦Å“Ë†','8Ã¦Å“Ë†','9Ã¦Å“Ë†','10Ã¦Å“Ë†','11Ã¦Å“Ë†','12Ã¦Å“Ë†',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (379,'zh_Hant','TW','TWD','',NULL,NULL,NULL,NULL,NULL,'Ã‚Â¤#,##0.00',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Ã©â‚¬Â±Ã¦â€”Â¥','Ã©â‚¬Â±Ã¤Â¸â‚¬',NULL,'Ã©â‚¬Â±Ã¤Â¸â€°','Ã©â‚¬Â±Ã¥â€ºâ€º','Ã©â‚¬Â±Ã¤Âºâ€','Ã©â‚¬Â±Ã¥â€¦Â­',NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `locales` VALUES (380,'zu',NULL,NULL,NULL,NULL,NULL,',',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Jan','Feb','Mas','Apr','Mey','Jun','Jul','Aga','Sep','Okt','Nov','Dis',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Januwari','Februwari','Mashi','Apreli','Meyi','Juni','Julayi','Agasti','Septemba','Okthoba','Novemba','Disemba','Son','Mso','Bil','Tha','Sin','Hla','Mgq','Sonto','Msombuluko','Lwesibili','Lwesithathu','Lwesine','Lwesihlanu','Mgqibelo');
INSERT INTO `locales` VALUES (381,'zu','ZA','ZAR','R',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
/*!40000 ALTER TABLE `locales` ENABLE KEYS */;

--
-- Table structure for table `marketplace_sellers`
--

DROP TABLE IF EXISTS `marketplace_sellers`;


CREATE TABLE `marketplace_sellers` (
  `seller_id` smallint(5) unsigned NOT NULL auto_increment,
  `seller_date_registered` int(10) unsigned default NULL,
  `seller_active` tinyint(1) unsigned default '1',
  `seller_api_url` varchar(100) default NULL,
  `seller_api_status` tinyint(3) unsigned default '1',
  `seller_username` varchar(75) default NULL,
  `seller_password` varchar(255) default NULL,
  `client_id` int(8) unsigned default NULL,
  PRIMARY KEY  (`seller_id`),
  KEY `seller_date_registered` (`seller_date_registered`),
  KEY `seller_active` (`seller_active`),
  KEY `seller_api_status` (`seller_api_status`),
  KEY `client_id` (`client_id`)
) ENGINE=MyISAM;


--
-- Dumping data for table `marketplace_sellers`
--

/*!40000 ALTER TABLE `marketplace_sellers` DISABLE KEYS */;
/*!40000 ALTER TABLE `marketplace_sellers` ENABLE KEYS */;

--
-- Table structure for table `mbapi_log`
--

DROP TABLE IF EXISTS `mbapi_log`;


CREATE TABLE `mbapi_log` (
  `mbapi_log_id` int(10) unsigned NOT NULL auto_increment,
  `admin_id` smallint(5) unsigned default NULL,
  `session_id` varchar(40) default NULL,
  `mbapi_input` longtext,
  `mbapi_response` longtext,
  `ip` bigint(20) default NULL,
  `mbapi_status` tinyint(3) unsigned default NULL,
  `mbapi_log_date_created` int(10) unsigned default NULL,
  PRIMARY KEY  (`mbapi_log_id`),
  KEY `admin_id` (`admin_id`),
  KEY `session_id` (`session_id`),
  KEY `ip` (`ip`),
  KEY `mbapi_status` (`mbapi_status`)
) ENGINE=MyISAM;


--
-- Dumping data for table `mbapi_log`
--

/*!40000 ALTER TABLE `mbapi_log` DISABLE KEYS */;
/*!40000 ALTER TABLE `mbapi_log` ENABLE KEYS */;

--
-- Table structure for table `migration_configs`
--

DROP TABLE IF EXISTS `migration_configs`;


CREATE TABLE `migration_configs` (
  `migration_config_id` tinyint(3) unsigned NOT NULL auto_increment,
  `migration_name` varchar(255) default NULL,
  `migration_comment` varchar(255) default NULL,
  `migration_payment_group_id` tinyint(3) unsigned default NULL,
  `migration_order_form_id` smallint(5) unsigned default NULL,
  `migration_product_id` int(10) unsigned default NULL,
  `migration_orphan_product_id` int(10) unsigned default NULL,
  `migration_type` tinyint(3) unsigned default NULL,
  `migration_dbdriver_type` tinyint(3) unsigned default NULL,
  `migration_dbhost` varchar(255) default NULL,
  `migration_dbname` varchar(255) default NULL,
  `migration_dbusername` varchar(255) default NULL,
  `migration_dbpassword` varchar(255) default NULL,
  PRIMARY KEY  (`migration_config_id`)
) ENGINE=MyISAM;


--
-- Dumping data for table `migration_configs`
--

/*!40000 ALTER TABLE `migration_configs` DISABLE KEYS */;
/*!40000 ALTER TABLE `migration_configs` ENABLE KEYS */;

--
-- Table structure for table `migration_mappings`
--

DROP TABLE IF EXISTS `migration_mappings`;


CREATE TABLE `migration_mappings` (
  `migration_mapping_id` int(10) unsigned NOT NULL auto_increment,
  `migration_config_id` tinyint(3) unsigned default NULL,
  `migration_obj_id` int(10) unsigned default NULL,
  `migration_ext_id` int(10) unsigned default NULL,
  `migration_int_id` int(10) unsigned default NULL,
  PRIMARY KEY  (`migration_mapping_id`),
  KEY `migration_config_id` (`migration_config_id`),
  KEY `migration_obj_id` (`migration_obj_id`),
  KEY `migration_ext_id` (`migration_ext_id`),
  KEY `migration_int_id` (`migration_int_id`)
) ENGINE=MyISAM;


--
-- Dumping data for table `migration_mappings`
--

/*!40000 ALTER TABLE `migration_mappings` DISABLE KEYS */;
/*!40000 ALTER TABLE `migration_mappings` ENABLE KEYS */;

--
-- Table structure for table `migration_objs`
--

DROP TABLE IF EXISTS `migration_objs`;


CREATE TABLE `migration_objs` (
  `migration_obj_id` int(10) unsigned NOT NULL auto_increment,
  `migration_config_id` tinyint(3) unsigned default NULL,
  `migration_obj_name` varchar(255) default NULL,
  `migration_ext_seq_id` int(10) unsigned default NULL,
  `migration_ext_obj_name` varchar(100) default NULL,
  `migration_ext_obj_key` varchar(100) default NULL,
  `migration_int_seq_id` int(10) unsigned default NULL,
  `migration_int_obj_name` varchar(100) default NULL,
  `migration_int_obj_key` varchar(100) default NULL,
  PRIMARY KEY  (`migration_obj_id`),
  KEY `migration_obj_name` (`migration_obj_name`),
  KEY `migration_ext_seq_id` (`migration_ext_seq_id`),
  KEY `migration_int_seq_id` (`migration_int_seq_id`),
  KEY `migration_config_id` (`migration_config_id`)
) ENGINE=MyISAM;


--
-- Dumping data for table `migration_objs`
--

/*!40000 ALTER TABLE `migration_objs` DISABLE KEYS */;
/*!40000 ALTER TABLE `migration_objs` ENABLE KEYS */;

--
-- Table structure for table `migration_options`
--

DROP TABLE IF EXISTS `migration_options`;


CREATE TABLE `migration_options` (
  `migration_option_id` smallint(5) unsigned NOT NULL auto_increment,
  `migration_config_id` tinyint(3) unsigned default NULL,
  `migration_option_name` varchar(255) default NULL,
  `migration_option_value` varchar(255) default NULL,
  PRIMARY KEY  (`migration_option_id`),
  KEY `migration_option_name` (`migration_option_name`),
  KEY `migration_option_value` (`migration_option_value`)
) ENGINE=MyISAM;


--
-- Dumping data for table `migration_options`
--

/*!40000 ALTER TABLE `migration_options` DISABLE KEYS */;
/*!40000 ALTER TABLE `migration_options` ENABLE KEYS */;

--
-- Table structure for table `migration_reservations`
--

DROP TABLE IF EXISTS `migration_reservations`;


CREATE TABLE `migration_reservations` (
  `migration_obj_id` int(10) unsigned NOT NULL default '0',
  `migration_ext_id` varchar(255) NOT NULL default '',
  `admin_id` smallint(5) unsigned default NULL,
  PRIMARY KEY  (`migration_obj_id`,`migration_ext_id`),
  KEY `admin_id` (`admin_id`)
) ENGINE=MyISAM;


--
-- Dumping data for table `migration_reservations`
--

/*!40000 ALTER TABLE `migration_reservations` DISABLE KEYS */;
/*!40000 ALTER TABLE `migration_reservations` ENABLE KEYS */;

--
-- Table structure for table `news`
--

DROP TABLE IF EXISTS `news`;


CREATE TABLE `news` (
  `news_id` int(8) unsigned NOT NULL auto_increment,
  `admin_id` smallint(5) unsigned default NULL,
  `news_subject` varchar(100) default NULL,
  `news_short_body` text,
  `news_body` text,
  `news_date_created` int(10) unsigned default NULL,
  `priority_id` tinyint(3) unsigned default NULL,
  `news_active` tinyint(3) unsigned default NULL,
  PRIMARY KEY  (`news_id`),
  KEY `admin_id` (`admin_id`),
  KEY `priority_id` (`priority_id`),
  KEY `news_active` (`news_active`)
) ENGINE=MyISAM;


--
-- Dumping data for table `news`
--

/*!40000 ALTER TABLE `news` DISABLE KEYS */;
/*!40000 ALTER TABLE `news` ENABLE KEYS */;

--
-- Table structure for table `news_client_group_rel`
--

DROP TABLE IF EXISTS `news_client_group_rel`;


CREATE TABLE `news_client_group_rel` (
  `client_group_id` int(8) unsigned NOT NULL default '0',
  `news_id` int(8) unsigned NOT NULL default '0',
  PRIMARY KEY  (`client_group_id`,`news_id`)
) ENGINE=MyISAM;


--
-- Dumping data for table `news_client_group_rel`
--

/*!40000 ALTER TABLE `news_client_group_rel` DISABLE KEYS */;
/*!40000 ALTER TABLE `news_client_group_rel` ENABLE KEYS */;

--
-- Table structure for table `news_group_rel`
--

DROP TABLE IF EXISTS `news_group_rel`;


CREATE TABLE `news_group_rel` (
  `news_id` int(8) unsigned NOT NULL default '0',
  `news_group_id` smallint(5) unsigned NOT NULL default '0',
  PRIMARY KEY  (`news_id`,`news_group_id`)
) ENGINE=MyISAM;


--
-- Dumping data for table `news_group_rel`
--

/*!40000 ALTER TABLE `news_group_rel` DISABLE KEYS */;
/*!40000 ALTER TABLE `news_group_rel` ENABLE KEYS */;

--
-- Table structure for table `news_groups`
--

DROP TABLE IF EXISTS `news_groups`;


CREATE TABLE `news_groups` (
  `news_group_id` smallint(5) unsigned NOT NULL auto_increment,
  `news_group_name` varchar(100) default NULL,
  `news_group_description` varchar(255) default NULL,
  `news_group_active` tinyint(3) unsigned default NULL,
  `news_group_order` smallint(5) unsigned default NULL,
  PRIMARY KEY  (`news_group_id`),
  KEY `news_group_active` (`news_group_active`),
  KEY `news_group_order` (`news_group_order`)
) ENGINE=MyISAM;


--
-- Dumping data for table `news_groups`
--

/*!40000 ALTER TABLE `news_groups` DISABLE KEYS */;
/*!40000 ALTER TABLE `news_groups` ENABLE KEYS */;

--
-- Table structure for table `order_form_coupon_rel`
--

DROP TABLE IF EXISTS `order_form_coupon_rel`;


CREATE TABLE `order_form_coupon_rel` (
  `order_form_id` smallint(5) unsigned NOT NULL default '0',
  `coupon_id` smallint(5) unsigned NOT NULL default '0',
  PRIMARY KEY  (`order_form_id`,`coupon_id`)
) ENGINE=MyISAM;


--
-- Dumping data for table `order_form_coupon_rel`
--

/*!40000 ALTER TABLE `order_form_coupon_rel` DISABLE KEYS */;
/*!40000 ALTER TABLE `order_form_coupon_rel` ENABLE KEYS */;

--
-- Table structure for table `order_form_items`
--

DROP TABLE IF EXISTS `order_form_items`;


CREATE TABLE `order_form_items` (
  `order_form_item_id` int(10) unsigned NOT NULL auto_increment,
  `order_form_id` smallint(5) unsigned default NULL,
  `product_id` int(10) unsigned default NULL,
  `order_form_item_order` smallint(5) unsigned NOT NULL default '0',
  PRIMARY KEY  (`order_form_item_id`),
  KEY `order_form_id` (`order_form_id`),
  KEY `order_form_item_order` (`order_form_item_order`),
  KEY `product_id` (`product_id`)
) ENGINE=MyISAM AUTO_INCREMENT=11;


--
-- Dumping data for table `order_form_items`
--

/*!40000 ALTER TABLE `order_form_items` DISABLE KEYS */;
INSERT INTO `order_form_items` VALUES (1,1,1,1);
INSERT INTO `order_form_items` VALUES (2,1,2,2);
INSERT INTO `order_form_items` VALUES (3,1,3,3);
INSERT INTO `order_form_items` VALUES (4,1,4,4);
INSERT INTO `order_form_items` VALUES (5,1,6,0);
INSERT INTO `order_form_items` VALUES (6,1,7,0);
INSERT INTO `order_form_items` VALUES (7,1,8,0);
INSERT INTO `order_form_items` VALUES (8,1,9,0);
INSERT INTO `order_form_items` VALUES (9,1,10,0);
INSERT INTO `order_form_items` VALUES (10,1,11,0);
/*!40000 ALTER TABLE `order_form_items` ENABLE KEYS */;

--
-- Table structure for table `order_form_params`
--

DROP TABLE IF EXISTS `order_form_params`;


CREATE TABLE `order_form_params` (
  `order_form_param_id` int(10) unsigned NOT NULL auto_increment,
  `order_form_id` smallint(5) unsigned default NULL,
  `order_form_param_name` varchar(100) default NULL,
  `order_form_param_value` text,
  `order_form_param_trans_key` varchar(80) default NULL,
  `order_form_param_description` varchar(75) default NULL,
  `order_form_param_input_type` char(1) default NULL,
  `order_form_param_required` tinyint(3) unsigned default NULL,
  `order_form_param_order` smallint(5) unsigned default NULL,
  `order_form_param_locked` tinyint(3) unsigned default NULL,
  PRIMARY KEY  (`order_form_param_id`),
  KEY `order_form_id` (`order_form_id`)
) ENGINE=MyISAM AUTO_INCREMENT=14;


--
-- Dumping data for table `order_form_params`
--

/*!40000 ALTER TABLE `order_form_params` DISABLE KEYS */;
INSERT INTO `order_form_params` VALUES (1,1,'dom_options','a:4:{i:0;s:9:\"dom_whois\";i:1;s:7:\"dom_reg\";i:2;s:12:\"dom_transfer\";i:3;s:12:\"dom_existing\";}','TRANS_ORDER_DOMAIN_OPTIONS','TRANS_ORDER_DOMAIN_OPTIONS_DESC','c',0,2,0);
INSERT INTO `order_form_params` VALUES (2,1,'email_banning','1','TRANS_ORDER_EMAIL_BANNING','TRANS_ORDER_EMAIL_BANNING_DESC','r',0,3,0);
INSERT INTO `order_form_params` VALUES (3,1,'email_banning_text','TRANS_ORDER_EMAIL_BANNING_MESSAGE','TRANS_ORDER_EMAIL_BANNING_TEXT','TRANS_ORDER_EMAIL_BANNING_TEXT_DESC','a',0,4,0);
INSERT INTO `order_form_params` VALUES (4,1,'ip_banning_text','TRANS_ORDER_IP_BANNING_MESSAGE','TRANS_ORDER_IP_BANNING_TEXT','TRANS_ORDER_IP_BANNING_TEXT_DESC','a',0,4,0);
INSERT INTO `order_form_params` VALUES (5,1,'payment_type_check','1','TRANS_ORDER_ENABLE_CHECK','TRANS_ORDER_ENABLE_CHECK_DESC','r',0,5,0);
INSERT INTO `order_form_params` VALUES (6,1,'payment_type_invoice','1','TRANS_ORDER_ENABLE_INVOICE','TRANS_ORDER_ENABLE_INVOICE_DESC','r',0,6,0);
INSERT INTO `order_form_params` VALUES (7,1,'payment_type_draft','1','TRANS_ORDER_ENABLE_BANK_DRAFT','TRANS_ORDER_ENABLE_BANK_DRAFT_DESC','r',0,7,0);
INSERT INTO `order_form_params` VALUES (8,1,'username_min_length','6','TRANS_ORDERFORM_MIN_USERNAME','TRANS_ORDERFORM_MIN_USERNAME_DESC','t',0,8,0);
INSERT INTO `order_form_params` VALUES (9,1,'username_max_length','15','TRANS_ORDERFORM_MAX_USERNAME','TRANS_ORDERFORM_MAX_USERNAME_DESC','t',0,9,0);
INSERT INTO `order_form_params` VALUES (10,1,'password_min_length','6','TRANS_ORDERFORM_MIN_PASSWORD','TRANS_ORDERFORM_MIN_PASSWORD_DESC','t',0,10,0);
INSERT INTO `order_form_params` VALUES (11,1,'password_max_length','15','TRANS_ORDERFORM_MAX_PASSWORD','TRANS_ORDERFORM_MAX_PASSWORD_DESC','t',0,11,0);
INSERT INTO `order_form_params` VALUES (12,1,'continue_shopping_url','http://localhost/cvs/app-modernbill-order/','TRANS_ORDERFORM_CONTINUE_SHOPPING_URL','TRANS_ORDERFORM_CONTINUE_SHOPPING_URL_DESC','t',0,12,0);
INSERT INTO `order_form_params` VALUES (13,1,'terms_url','http://localhost/','TRANS_ORDERFORM_TERMS_URL','TRANS_ORDERFORM_TERMS_URL','t',0,12,0);
/*!40000 ALTER TABLE `order_form_params` ENABLE KEYS */;

--
-- Table structure for table `order_form_values`
--

DROP TABLE IF EXISTS `order_form_values`;


CREATE TABLE `order_form_values` (
  `order_form_value_id` int(10) unsigned NOT NULL auto_increment,
  `order_form_param_id` int(10) unsigned default NULL,
  `order_form_value_name` varchar(25) default NULL,
  `order_form_value_trans_key` varchar(80) default NULL,
  `order_form_value_order` tinyint(3) unsigned default NULL,
  PRIMARY KEY  (`order_form_value_id`),
  KEY `order_form_param_id` (`order_form_param_id`),
  KEY `order_form_value_order` (`order_form_value_order`)
) ENGINE=MyISAM AUTO_INCREMENT=14;


--
-- Dumping data for table `order_form_values`
--

/*!40000 ALTER TABLE `order_form_values` DISABLE KEYS */;
INSERT INTO `order_form_values` VALUES (1,1,'dom_whois','TRANS_ORDER_WHOIS_LOOKUP',0);
INSERT INTO `order_form_values` VALUES (2,1,'dom_reg','TRANS_ORDER_DOMAIN_REGISTRATION',1);
INSERT INTO `order_form_values` VALUES (3,1,'dom_transfer','TRANS_ORDER_TRANSFER_DOMAIN',2);
INSERT INTO `order_form_values` VALUES (4,1,'dom_existing','TRANS_ORDER_EXISTING_DOMAIN',3);
INSERT INTO `order_form_values` VALUES (5,1,'dom_skip','TRANS_ORDER_SKIP_DOMAIN',4);
INSERT INTO `order_form_values` VALUES (6,2,'1','TRANS_YES',0);
INSERT INTO `order_form_values` VALUES (7,2,'0','TRANS_NO',1);
INSERT INTO `order_form_values` VALUES (8,5,'1','TRANS_YES',0);
INSERT INTO `order_form_values` VALUES (9,5,'0','TRANS_NO',1);
INSERT INTO `order_form_values` VALUES (10,6,'1','TRANS_YES',0);
INSERT INTO `order_form_values` VALUES (11,6,'0','TRANS_NO',1);
INSERT INTO `order_form_values` VALUES (12,7,'1','TRANS_YES',0);
INSERT INTO `order_form_values` VALUES (13,7,'0','TRANS_NO',1);
/*!40000 ALTER TABLE `order_form_values` ENABLE KEYS */;

--
-- Table structure for table `order_forms`
--

DROP TABLE IF EXISTS `order_forms`;


CREATE TABLE `order_forms` (
  `order_form_id` smallint(5) unsigned NOT NULL auto_increment,
  `order_form_name` varchar(50) default NULL,
  `payment_group_id` tinyint(3) unsigned default NULL,
  `company_id` smallint(5) unsigned default NULL,
  `language_id` smallint(5) unsigned default NULL,
  `countries_id` smallint(5) unsigned default NULL,
  `order_form_verify_vat` int(1) default NULL,
  `order_form_disable_charging` int(1) default '0',
  PRIMARY KEY  (`order_form_id`),
  KEY `payment_group_id` (`payment_group_id`),
  KEY `company_id` (`company_id`),
  KEY `language_id` (`language_id`),
  KEY `countries_id` (`countries_id`)
) ENGINE=MyISAM AUTO_INCREMENT=2;


--
-- Dumping data for table `order_forms`
--

/*!40000 ALTER TABLE `order_forms` DISABLE KEYS */;
INSERT INTO `order_forms` VALUES (1,'OF 1',1,1,21,225,NULL,0);
/*!40000 ALTER TABLE `order_forms` ENABLE KEYS */;

--
-- Table structure for table `package_addon_attributes`
--

DROP TABLE IF EXISTS `package_addon_attributes`;


CREATE TABLE `package_addon_attributes` (
  `package_addon_attribute_id` int(10) unsigned NOT NULL auto_increment,
  `package_addon_id` int(10) unsigned default NULL,
  `server_group_id` smallint(5) unsigned default NULL,
  `config_group_id` smallint(5) unsigned default NULL,
  `package_attribute_name` varchar(100) default NULL,
  `package_attribute_value` longtext,
  `package_attribute_date_created` int(10) unsigned default NULL,
  PRIMARY KEY  (`package_addon_attribute_id`),
  KEY `package_addon_id` (`package_addon_id`),
  KEY `config_group_id` (`config_group_id`),
  KEY `package_attribute_name` (`package_attribute_name`),
  KEY `package_attribute_date_created` (`package_attribute_date_created`),
  KEY `server_group_id` (`server_group_id`)
) ENGINE=MyISAM;


--
-- Dumping data for table `package_addon_attributes`
--

/*!40000 ALTER TABLE `package_addon_attributes` DISABLE KEYS */;
/*!40000 ALTER TABLE `package_addon_attributes` ENABLE KEYS */;

--
-- Table structure for table `package_addon_ledger_entries`
--

DROP TABLE IF EXISTS `package_addon_ledger_entries`;


CREATE TABLE `package_addon_ledger_entries` (
  `package_addon_ledger_id` int(10) unsigned NOT NULL auto_increment,
  `package_addon_id` int(10) unsigned default NULL,
  `general_ledger_type` tinyint(3) unsigned default NULL,
  `journal_type` varchar(20) default NULL,
  `ledger_account_id` smallint(5) unsigned default NULL,
  `package_addon_ledger_debit` decimal(10,2) unsigned default NULL,
  `package_addon_ledger_credit` decimal(10,2) unsigned default NULL,
  `package_addon_ledger_comment` varchar(255) default NULL,
  `currency_id` char(3) default NULL,
  PRIMARY KEY  (`package_addon_ledger_id`),
  KEY `package_addon_id` (`package_addon_id`),
  KEY `general_ledger_type` (`general_ledger_type`),
  KEY `ledger_account_id` (`ledger_account_id`),
  KEY `journal_type` (`journal_type`),
  KEY `currency_id` (`currency_id`)
) ENGINE=MyISAM;


--
-- Dumping data for table `package_addon_ledger_entries`
--

/*!40000 ALTER TABLE `package_addon_ledger_entries` DISABLE KEYS */;
/*!40000 ALTER TABLE `package_addon_ledger_entries` ENABLE KEYS */;

--
-- Table structure for table `package_addons`
--

DROP TABLE IF EXISTS `package_addons`;


CREATE TABLE `package_addons` (
  `package_addon_id` int(10) unsigned NOT NULL auto_increment,
  `package_id` int(10) unsigned default NULL,
  `package_addon_display_name` varchar(255) default NULL,
  `package_addon_original_price` decimal(10,2) unsigned default '0.00',
  `package_addon_price` decimal(10,2) unsigned default NULL,
  `package_addon_setup` decimal(10,2) unsigned default NULL,
  `package_addon_discount` decimal(10,2) unsigned default NULL,
  `package_addon_price_lock` tinyint(3) unsigned default NULL,
  `package_addon_discountable` tinyint(1) unsigned default NULL,
  `package_addon_active` tinyint(1) unsigned default NULL,
  `package_addon_cycle_discount_group_id` int(10) unsigned default NULL,
  `package_addon_product_id` int(10) unsigned default NULL,
  `tax_zone_group_id` smallint(5) unsigned default NULL,
  `coupon_id` smallint(5) unsigned NOT NULL default '0',
  `coupon_num_cycles` smallint(5) unsigned NOT NULL default '0',
  `coupon_price` decimal(10,2) NOT NULL default '0.00',
  PRIMARY KEY  (`package_addon_id`),
  KEY `package_id` (`package_id`),
  KEY `coupon_id` (`coupon_id`),
  KEY `package_addon_active` (`package_addon_active`),
  KEY `tax_zone_group_id` (`tax_zone_group_id`),
  KEY `package_addon_product_id` (`package_addon_product_id`)
) ENGINE=MyISAM;


--
-- Dumping data for table `package_addons`
--

/*!40000 ALTER TABLE `package_addons` DISABLE KEYS */;
/*!40000 ALTER TABLE `package_addons` ENABLE KEYS */;

--
-- Table structure for table `package_attributes`
--

DROP TABLE IF EXISTS `package_attributes`;


CREATE TABLE `package_attributes` (
  `package_attribute_id` int(10) unsigned NOT NULL auto_increment,
  `package_id` int(10) unsigned default NULL,
  `server_group_id` smallint(5) unsigned default '0',
  `config_group_id` int(8) unsigned default NULL,
  `package_attribute_name` varchar(100) default NULL,
  `package_attribute_value` longtext,
  `package_attribute_date_created` int(10) unsigned default NULL,
  PRIMARY KEY  (`package_attribute_id`),
  KEY `package_id` (`package_id`),
  KEY `config_group_id` (`config_group_id`),
  KEY `package_attribute_name` (`package_attribute_name`),
  KEY `package_attribute_date_created` (`package_attribute_date_created`),
  KEY `server_group_id` (`server_group_id`)
) ENGINE=MyISAM;


--
-- Dumping data for table `package_attributes`
--

/*!40000 ALTER TABLE `package_attributes` DISABLE KEYS */;
/*!40000 ALTER TABLE `package_attributes` ENABLE KEYS */;

--
-- Table structure for table `package_cert_rel`
--

DROP TABLE IF EXISTS `package_cert_rel`;


CREATE TABLE `package_cert_rel` (
  `package_id` int(10) unsigned NOT NULL default '0',
  `cert_id` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`package_id`,`cert_id`)
) ENGINE=MyISAM;


--
-- Dumping data for table `package_cert_rel`
--

/*!40000 ALTER TABLE `package_cert_rel` DISABLE KEYS */;
/*!40000 ALTER TABLE `package_cert_rel` ENABLE KEYS */;

--
-- Table structure for table `package_certs`
--

DROP TABLE IF EXISTS `package_certs`;


CREATE TABLE `package_certs` (
  `cert_id` int(10) unsigned NOT NULL auto_increment,
  `cert_timestamp` int(10) unsigned default NULL,
  `or_id` varchar(25) default NULL,
  `r_id` int(10) unsigned default NULL,
  `ct_code` varchar(25) default NULL,
  `af_id` varchar(25) default NULL,
  `or_status` tinyint(3) unsigned default NULL,
  `or_startstamp` int(10) unsigned default NULL,
  `or_submitstamp` int(10) unsigned default NULL,
  `or_syncstamp` int(10) unsigned default NULL,
  `or_successcode` char(3) default NULL,
  `or_errorcode` varchar(20) default NULL,
  `or_errormsg` varchar(255) default NULL,
  `or_techSameAsAdmin` varchar(5) default NULL,
  `or_billSameAsPrevious` varchar(5) default NULL,
  `OD_Method` varchar(8) default NULL,
  `OD_ProductCode` varchar(20) default NULL,
  `OD_ValidityPeriod` tinyint(3) unsigned default NULL,
  `OD_ServerCount` tinyint(3) unsigned default NULL,
  `OD_Price` decimal(10,2) default NULL,
  `OD_RenewalBehavior` varchar(8) default NULL,
  `OD_SpecialInstructions` longtext,
  `OD_PartnerOrderID` varchar(50) default NULL,
  `OD_GeoTrustOrderID` int(10) unsigned default NULL,
  `OD_OrderDate` int(10) unsigned default NULL,
  `OD_OrderCompleteDate` int(10) unsigned default NULL,
  `OD_OrderDeactivatedDate` int(10) unsigned default NULL,
  `OD_OrderStatusMajor` varchar(20) default NULL,
  `OD_OrderStatusMinorCode` varchar(20) default NULL,
  `OD_OrderStatusMinorName` varchar(20) default NULL,
  `OD_ApproverNotifiedDate` int(10) unsigned default NULL,
  `OD_ApproverConfirmDate` int(10) unsigned default NULL,
  `OD_ApproverEmailAddress` varchar(255) default NULL,
  `ORG_OrganizationName` varchar(255) default NULL,
  `ORG_DUNS` varchar(50) default NULL,
  `ORG_AddressLine1` varchar(100) default NULL,
  `ORG_AddressLine2` varchar(100) default NULL,
  `ORG_AddressLine3` varchar(100) default NULL,
  `ORG_City` varchar(50) default NULL,
  `ORG_Region` varchar(255) default NULL,
  `ORG_PostalCode` varchar(20) default NULL,
  `ORG_Country` char(2) default NULL,
  `ORG_Phone` varchar(30) default NULL,
  `ORG_Fax` varchar(30) default NULL,
  `AC_FirstName` varchar(100) default NULL,
  `AC_LastName` varchar(100) default NULL,
  `AC_Phone` varchar(30) default NULL,
  `AC_Email` varchar(255) default NULL,
  `TC_FirstName` varchar(100) default NULL,
  `TC_LastName` varchar(100) default NULL,
  `TC_Phone` varchar(30) default NULL,
  `TC_Email` varchar(255) default NULL,
  `BC_FirstName` varchar(100) default NULL,
  `BC_LastName` varchar(100) default NULL,
  `BC_Phone` varchar(30) default NULL,
  `BC_Email` varchar(255) default NULL,
  `CSR_CSR` longtext,
  `CSR_WildCard` varchar(5) default NULL,
  `CSR_Subject` varchar(255) default NULL,
  `CSR_DomainName` varchar(255) default NULL,
  `CSR_Country` char(2) default NULL,
  `CSR_Email` varchar(255) default NULL,
  `CSR_Locality` varchar(255) default NULL,
  `CSR_Organization` varchar(255) default NULL,
  `CSR_OrganizationUnit` varchar(255) default NULL,
  `CSR_State` varchar(100) default NULL,
  `CSR_IsValidDomainName` varchar(5) default NULL,
  `CSR_HasBadExtensions` varchar(5) default NULL,
  `CSR_CommonName` varchar(255) default NULL,
  `CSR_WebServerType` varchar(20) default NULL,
  `CSR_DNSNames` text,
  `CSR_CertificateStatus` varchar(50) default NULL,
  `CSR_StartDate` int(10) unsigned default NULL,
  `CSR_EndDate` int(10) unsigned default NULL,
  `CSR_SerialNumber` varchar(25) default NULL,
  `UPG_CUIndicator` varchar(5) default NULL,
  `UPG_CUCertificate` longtext,
  `UPG_CUmonths` tinyint(3) unsigned default NULL,
  `UPG_CUSerialNumber` varchar(25) default NULL,
  `UPG_CUExpirationDate` int(10) unsigned default NULL,
  `UPG_CUIssuer` varchar(100) default NULL,
  `RI_RenewalIndicator` varchar(5) default NULL,
  `RI_RenewalMonths` tinyint(3) unsigned default NULL,
  `RI_RenewalSerialNumber` varchar(100) default NULL,
  `RI_RenewalExpirationDate` int(10) unsigned default NULL,
  `RI_RenewalOrderID` varchar(50) default NULL,
  `RI_RenewalProductCode` varchar(50) default NULL,
  `FF_CACertType` varchar(10) default NULL,
  `FF_CACert` longtext,
  `FF_ServerCertificate` longtext,
  `FF_IconScript` longtext,
  `FF_ChoicePointURL` varchar(255) default NULL,
  `FF_CpsURL` varchar(255) default NULL,
  `get_approverlist` longtext,
  `get_useragreement` longtext,
  PRIMARY KEY  (`cert_id`),
  KEY `ct_code` (`ct_code`),
  KEY `OD_GeoTrustOrderID` (`OD_GeoTrustOrderID`),
  KEY `OD_PartnerOrderID` (`OD_PartnerOrderID`),
  KEY `or_id` (`or_id`),
  KEY `r_id` (`r_id`),
  KEY `af_id` (`af_id`),
  KEY `or_status` (`or_status`)
) ENGINE=MyISAM;


--
-- Dumping data for table `package_certs`
--

/*!40000 ALTER TABLE `package_certs` DISABLE KEYS */;
/*!40000 ALTER TABLE `package_certs` ENABLE KEYS */;

--
-- Table structure for table `package_config_group_rel`
--

DROP TABLE IF EXISTS `package_config_group_rel`;


CREATE TABLE `package_config_group_rel` (
  `package_id` int(10) unsigned NOT NULL default '0',
  `config_group_id` smallint(5) unsigned NOT NULL default '0',
  PRIMARY KEY  (`package_id`,`config_group_id`)
) ENGINE=MyISAM;


--
-- Dumping data for table `package_config_group_rel`
--

/*!40000 ALTER TABLE `package_config_group_rel` DISABLE KEYS */;
/*!40000 ALTER TABLE `package_config_group_rel` ENABLE KEYS */;

--
-- Table structure for table `package_database_rel`
--

DROP TABLE IF EXISTS `package_database_rel`;


CREATE TABLE `package_database_rel` (
  `package_id` int(10) unsigned NOT NULL default '0',
  `package_database_id` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`package_id`,`package_database_id`)
) ENGINE=MyISAM;


--
-- Dumping data for table `package_database_rel`
--

/*!40000 ALTER TABLE `package_database_rel` DISABLE KEYS */;
/*!40000 ALTER TABLE `package_database_rel` ENABLE KEYS */;

--
-- Table structure for table `package_databases`
--

DROP TABLE IF EXISTS `package_databases`;


CREATE TABLE `package_databases` (
  `package_database_id` int(10) unsigned NOT NULL auto_increment,
  `package_database_type` tinyint(3) unsigned default NULL,
  `package_database_name` varchar(75) default NULL,
  `package_database_username` varchar(75) default NULL,
  `package_database_password` varchar(255) default NULL,
  `package_database_date_created` int(10) unsigned default NULL,
  PRIMARY KEY  (`package_database_id`)
) ENGINE=MyISAM;


--
-- Dumping data for table `package_databases`
--

/*!40000 ALTER TABLE `package_databases` DISABLE KEYS */;
/*!40000 ALTER TABLE `package_databases` ENABLE KEYS */;

--
-- Table structure for table `package_domain_rel`
--

DROP TABLE IF EXISTS `package_domain_rel`;


CREATE TABLE `package_domain_rel` (
  `package_id` int(10) unsigned NOT NULL default '0',
  `domain_id` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`package_id`,`domain_id`)
) ENGINE=MyISAM;


--
-- Dumping data for table `package_domain_rel`
--

/*!40000 ALTER TABLE `package_domain_rel` DISABLE KEYS */;
/*!40000 ALTER TABLE `package_domain_rel` ENABLE KEYS */;

--
-- Table structure for table `package_domains`
--

DROP TABLE IF EXISTS `package_domains`;


CREATE TABLE `package_domains` (
  `domain_id` int(10) unsigned NOT NULL auto_increment,
  `domain_sld` varchar(255) default NULL,
  `domain_tld` varchar(255) default NULL,
  `domain_idn_language` char(3) default NULL,
  `domain_active` tinyint(1) unsigned default '1',
  `domain_date_created` int(10) unsigned default NULL,
  `domain_remote_purchase_id` varchar(255) default NULL,
  `domain_remote_domain_id` varchar(255) default NULL,
  `domain_date_expires` int(10) unsigned default NULL,
  `domain_date_last_sync` int(10) unsigned default NULL,
  `registrar_id` smallint(5) unsigned default NULL,
  `domain_renew_type` tinyint(3) unsigned default NULL,
  PRIMARY KEY  (`domain_id`),
  KEY `domain_sld` (`domain_sld`),
  KEY `domain_tld` (`domain_tld`),
  KEY `domain_date_expires` (`domain_date_expires`),
  KEY `registrar_id` (`registrar_id`),
  KEY `domain_remote_purchase_id` (`domain_remote_purchase_id`),
  KEY `domain_remote_domain_id` (`domain_remote_domain_id`),
  KEY `domain_date_last_sync` (`domain_date_last_sync`)
) ENGINE=MyISAM;


--
-- Dumping data for table `package_domains`
--

/*!40000 ALTER TABLE `package_domains` DISABLE KEYS */;
/*!40000 ALTER TABLE `package_domains` ENABLE KEYS */;

--
-- Table structure for table `package_fee_rel`
--

DROP TABLE IF EXISTS `package_fee_rel`;


CREATE TABLE `package_fee_rel` (
  `package_id` int(10) unsigned NOT NULL default '0',
  `package_addon_id` int(10) unsigned NOT NULL default '0',
  `package_fee_id` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`package_id`,`package_addon_id`,`package_fee_id`)
) ENGINE=MyISAM;


--
-- Dumping data for table `package_fee_rel`
--

/*!40000 ALTER TABLE `package_fee_rel` DISABLE KEYS */;
/*!40000 ALTER TABLE `package_fee_rel` ENABLE KEYS */;

--
-- Table structure for table `package_ledger_entries`
--

DROP TABLE IF EXISTS `package_ledger_entries`;


CREATE TABLE `package_ledger_entries` (
  `package_ledger_id` int(10) NOT NULL auto_increment,
  `package_id` int(10) unsigned default NULL,
  `package_ledger_num_cycles` smallint(5) unsigned default NULL,
  `general_ledger_type` tinyint(3) unsigned default NULL,
  `journal_type` varchar(20) default NULL,
  `ledger_account_id` smallint(5) unsigned default NULL,
  `package_ledger_debit` decimal(10,2) unsigned default NULL,
  `package_ledger_credit` decimal(10,2) unsigned default NULL,
  `package_ledger_comment` varchar(255) default NULL,
  `currency_id` char(3) default NULL,
  PRIMARY KEY  (`package_ledger_id`),
  KEY `package_id` (`package_id`),
  KEY `general_ledger_type` (`general_ledger_type`),
  KEY `journal_type` (`journal_type`),
  KEY `ledger_account_id` (`ledger_account_id`),
  KEY `currency_id` (`currency_id`)
) ENGINE=MyISAM;


--
-- Dumping data for table `package_ledger_entries`
--

/*!40000 ALTER TABLE `package_ledger_entries` DISABLE KEYS */;
/*!40000 ALTER TABLE `package_ledger_entries` ENABLE KEYS */;

--
-- Table structure for table `package_license_rel`
--

DROP TABLE IF EXISTS `package_license_rel`;


CREATE TABLE `package_license_rel` (
  `package_id` int(10) unsigned NOT NULL default '0',
  `license_id` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`package_id`,`license_id`)
) ENGINE=MyISAM;


--
-- Dumping data for table `package_license_rel`
--

/*!40000 ALTER TABLE `package_license_rel` DISABLE KEYS */;
/*!40000 ALTER TABLE `package_license_rel` ENABLE KEYS */;

--
-- Table structure for table `package_licenses`
--

DROP TABLE IF EXISTS `package_licenses`;


CREATE TABLE `package_licenses` (
  `license_id` int(10) unsigned NOT NULL auto_increment,
  `license_locked` varchar(255) default NULL,
  `license_data` longtext,
  `license_cipher` text,
  `license_key` text,
  `license_date_created` int(10) unsigned default NULL,
  `license_date_last_renewal` int(10) unsigned default NULL,
  `license_date_next_renewal` int(10) unsigned default NULL,
  `license_date_stop_renewal` int(10) unsigned default NULL,
  `license_status` tinyint(3) unsigned default NULL,
  PRIMARY KEY  (`license_id`),
  KEY `license_locked` (`license_locked`),
  KEY `license_date_created` (`license_date_created`),
  KEY `license_date_last_renewal` (`license_date_last_renewal`),
  KEY `license_date_next_renewal` (`license_date_next_renewal`),
  KEY `license_date_stop_renewal` (`license_date_stop_renewal`),
  KEY `license_status` (`license_status`)
) ENGINE=MyISAM;


--
-- Dumping data for table `package_licenses`
--

/*!40000 ALTER TABLE `package_licenses` DISABLE KEYS */;
/*!40000 ALTER TABLE `package_licenses` ENABLE KEYS */;

--
-- Table structure for table `package_pop_rel`
--

DROP TABLE IF EXISTS `package_pop_rel`;


CREATE TABLE `package_pop_rel` (
  `package_id` int(10) unsigned NOT NULL default '0',
  `package_pop_id` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`package_id`,`package_pop_id`)
) ENGINE=MyISAM;


--
-- Dumping data for table `package_pop_rel`
--

/*!40000 ALTER TABLE `package_pop_rel` DISABLE KEYS */;
/*!40000 ALTER TABLE `package_pop_rel` ENABLE KEYS */;

--
-- Table structure for table `package_pops`
--

DROP TABLE IF EXISTS `package_pops`;


CREATE TABLE `package_pops` (
  `package_pop_id` int(10) unsigned NOT NULL auto_increment,
  `package_pop_real_name` varchar(255) default NULL,
  `package_pop_username` varchar(255) default NULL,
  `package_pop_password` varchar(255) default NULL,
  `package_pop_quota` varchar(25) default NULL,
  `package_pop_ftp` tinyint(3) unsigned default NULL,
  `package_pop_telnet` tinyint(3) unsigned default NULL,
  `package_pop_date_created` int(10) unsigned default NULL,
  PRIMARY KEY  (`package_pop_id`)
) ENGINE=MyISAM;


--
-- Dumping data for table `package_pops`
--

/*!40000 ALTER TABLE `package_pops` DISABLE KEYS */;
/*!40000 ALTER TABLE `package_pops` ENABLE KEYS */;

--
-- Table structure for table `package_usage_log`
--

DROP TABLE IF EXISTS `package_usage_log`;


CREATE TABLE `package_usage_log` (
  `usage_log_id` int(10) unsigned NOT NULL auto_increment,
  `package_id` int(10) unsigned default NULL,
  `config_group_id` smallint(5) unsigned default NULL,
  `package_usage` decimal(20,10) unsigned default NULL,
  `usage_log_date_created` int(10) unsigned default NULL,
  `external_id` varchar(255) default NULL,
  `usage_log_date_billed` int(10) unsigned default NULL,
  `interface_id` smallint(5) unsigned default '0',
  `package_usage_type` smallint(5) unsigned default '0',
  `package_usage_record_type` smallint(5) unsigned default '0',
  `package_usage_com_type` smallint(5) unsigned default '0',
  `package_usage_com_brand` smallint(5) unsigned default '0',
  `package_usage_link_date` int(10) unsigned default NULL,
  `package_usage_link_status` smallint(5) unsigned default '0',
  `package_usage_message_duration` int(10) default '-1',
  `package_usage_data_size` int(20) default '-1',
  `package_usage_message_date` int(10) NOT NULL default '-1',
  `package_usage_date_session` int(10) default '-1',
  `package_usage_date_created` int(10) unsigned default NULL,
  `package_usage_date_billed` int(10) unsigned default NULL,
  `groupby_invoice_id` int(10) unsigned default NULL,
  `line_item_id` int(10) unsigned default NULL,
  `package_usage_serial_number` int(10) unsigned default NULL,
  `package_usage_vendor` varchar(10) default '0',
  `package_usage_username` varchar(255) default NULL,
  `package_usage_vessel` varchar(32) default NULL,
  `package_usage_rate` varchar(64) default NULL,
  `package_usage_external_status` char(1) default 'N',
  `package_usage_external_status_error` smallint(1) default '0',
  `package_usage_extra_info_1` varchar(255) default NULL,
  `package_usage_extra_info_2` varchar(255) default NULL,
  `package_usage_extra_info_3` varchar(255) default NULL,
  `package_usage_extra_info_f1` decimal(20,10) default NULL,
  `package_usage_extra_info_f2` decimal(20,10) default NULL,
  `package_usage_extra_info_f3` decimal(20,10) default NULL,
  `package_usage_extra_info_f4` decimal(20,10) default NULL,
  `package_usage_extra_info_f5` decimal(20,10) default NULL,
  `package_usage_extra_info_f6` decimal(20,10) default NULL,
  `package_usage_price` decimal(10,2) unsigned default NULL,
  `package_usage_cost` decimal(10,2) unsigned default NULL,
  PRIMARY KEY  (`usage_log_id`),
  KEY `package_id` (`package_id`),
  KEY `usage_log_date_created` (`usage_log_date_created`),
  KEY `usage_log_date_billed` (`usage_log_date_billed`),
  KEY `config_group_id` (`config_group_id`),
  KEY `groupby_invoice_id` (`groupby_invoice_id`),
  KEY `line_item_id` (`line_item_id`)
) ENGINE=MyISAM;


--
-- Dumping data for table `package_usage_log`
--

/*!40000 ALTER TABLE `package_usage_log` DISABLE KEYS */;
/*!40000 ALTER TABLE `package_usage_log` ENABLE KEYS */;

--
-- Table structure for table `package_vendor_rel`
--

DROP TABLE IF EXISTS `package_vendor_rel`;


CREATE TABLE `package_vendor_rel` (
  `package_id` int(10) unsigned NOT NULL default '0',
  `vendor_id` smallint(5) unsigned NOT NULL default '0',
  `vendor_package_id` int(10) unsigned NOT NULL default '0',
  `vendor_product_id` int(10) unsigned NOT NULL default '0',
  `vendor_order_form_id` smallint(5) unsigned NOT NULL default '0',
  `vendor_product_variant_id` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`package_id`,`vendor_id`,`vendor_package_id`,`vendor_product_id`,`vendor_order_form_id`,`vendor_product_variant_id`)
) ENGINE=MyISAM;


--
-- Dumping data for table `package_vendor_rel`
--

/*!40000 ALTER TABLE `package_vendor_rel` DISABLE KEYS */;
/*!40000 ALTER TABLE `package_vendor_rel` ENABLE KEYS */;

--
-- Table structure for table `packages`
--

DROP TABLE IF EXISTS `packages`;


CREATE TABLE `packages` (
  `package_id` int(10) unsigned NOT NULL auto_increment,
  `parent_package_id` int(10) unsigned default NULL,
  `invoice_process_id` varchar(40) default '',
  `invoice_process_date` int(10) unsigned default '0',
  `client_id` int(8) unsigned default '0',
  `client_contact_id` int(8) unsigned default '0',
  `product_id` int(10) unsigned default NULL,
  `product_variant_id` int(8) unsigned default NULL,
  `primary_domain_id` int(10) unsigned default NULL,
  `package_group_id` smallint(5) unsigned default NULL,
  `tax_zone_group_id` smallint(5) unsigned default NULL,
  `cycle_discount_group_id` smallint(5) unsigned default NULL,
  `invoicing_group_id` smallint(5) unsigned default NULL,
  `package_name` varchar(255) default NULL,
  `package_quantity` int(10) unsigned default '1',
  `package_proratable` tinyint(1) unsigned default NULL,
  `package_invoice_separately` tinyint(1) unsigned default '0',
  `package_discountable` tinyint(1) unsigned default '1',
  `package_date_created` int(10) unsigned default NULL,
  `package_date_begin_renewal` int(10) unsigned default NULL,
  `package_date_last_renewal` int(10) unsigned default NULL,
  `package_date_next_renewal` int(10) unsigned default NULL,
  `package_date_stop_renewal` int(10) unsigned default NULL,
  `package_date_cancelled` int(10) unsigned default NULL,
  `package_pending_cancellation` tinyint(3) unsigned NOT NULL default '0',
  `package_active` tinyint(1) default NULL,
  `package_status` tinyint(3) unsigned default NULL,
  `package_status_reason` varchar(255) default NULL,
  `package_comments` longtext,
  `package_type` tinyint(3) unsigned default NULL,
  `package_original_price` decimal(10,2) unsigned default '0.00',
  `package_price` decimal(10,2) unsigned default '0.00',
  `package_discount` decimal(10,2) unsigned default '0.00',
  `package_setup` decimal(10,2) unsigned default '0.00',
  `package_cost_currency_id` char(3) default NULL,
  `package_cost_amount` decimal(10,2) unsigned default '0.00',
  `package_setup_cost_currency_id` char(3) default NULL,
  `package_setup_cost_amount` decimal(10,2) unsigned default '0.00',
  `package_price_lock` tinyint(3) unsigned default NULL,
  `package_prior_id` int(10) unsigned default NULL,
  `cycle_id` int(8) unsigned default NULL,
  `aff_code` varchar(255) default NULL,
  `aff_date_last_paid` int(10) unsigned default NULL,
  `usage_date_last_renewal` int(10) unsigned default NULL,
  `usage_date_next_renewal` int(10) unsigned default NULL,
  `usage_cycle_id` int(8) unsigned default NULL,
  `usage_calculate_only` tinyint(3) unsigned default NULL,
  `external_id` varchar(255) default NULL,
  `external_id_1` varchar(255) default NULL,
  `external_id_2` varchar(255) default NULL,
  `external_id_3` varchar(255) default NULL,
  `payment_group_id` tinyint(3) unsigned default NULL,
  `coupon_id` int(10) unsigned default NULL,
  `coupon_num_cycles` smallint(5) unsigned default NULL,
  `coupon_price` decimal(10,2) unsigned default '0.00',
  `package_cancellation_type` tinyint(3) unsigned NOT NULL default '0',
  `package_client_permissions` tinyint(3) unsigned default NULL,
  `package_disable_account_stacking` int(1) unsigned NOT NULL default '0',
  PRIMARY KEY  (`package_id`),
  KEY `invoice_process_id` (`invoice_process_id`),
  KEY `invoice_process_date` (`invoice_process_date`),
  KEY `client_id` (`client_id`),
  KEY `product_id` (`product_id`),
  KEY `package_group_id` (`package_group_id`),
  KEY `tax_zone_group_id` (`tax_zone_group_id`),
  KEY `invoicing_group_id` (`invoicing_group_id`),
  KEY `package_invoice_separately` (`package_invoice_separately`),
  KEY `package_date_created` (`package_date_created`),
  KEY `package_date_begin_renewal` (`package_date_begin_renewal`),
  KEY `package_date_last_renewal` (`package_date_last_renewal`),
  KEY `package_date_next_renewal` (`package_date_next_renewal`),
  KEY `package_date_stop_renewal` (`package_date_stop_renewal`),
  KEY `package_date_cancelled` (`package_date_cancelled`),
  KEY `package_active` (`package_active`),
  KEY `package_status` (`package_status`),
  KEY `package_type` (`package_type`),
  KEY `cycle_id` (`cycle_id`),
  KEY `usage_date_last_renewal` (`usage_date_last_renewal`),
  KEY `usage_date_next_renewal` (`usage_date_next_renewal`),
  KEY `usage_cycle_id` (`usage_cycle_id`),
  KEY `usage_calculate_only` (`usage_calculate_only`),
  KEY `payment_group_id` (`payment_group_id`),
  KEY `coupon_id` (`coupon_id`),
  KEY `cycle_discount_group_id` (`cycle_discount_group_id`)
) ENGINE=MyISAM;


--
-- Dumping data for table `packages`
--

/*!40000 ALTER TABLE `packages` DISABLE KEYS */;
/*!40000 ALTER TABLE `packages` ENABLE KEYS */;

--
-- Table structure for table `payment_groups`
--

DROP TABLE IF EXISTS `payment_groups`;


CREATE TABLE `payment_groups` (
  `payment_group_id` tinyint(3) unsigned NOT NULL auto_increment,
  `payment_group_name` varchar(255) default NULL,
  `payment_group_currency_id` char(3) default NULL,
  PRIMARY KEY  (`payment_group_id`),
  KEY `payment_group_currency_id` (`payment_group_currency_id`)
) ENGINE=MyISAM AUTO_INCREMENT=2;


--
-- Dumping data for table `payment_groups`
--

/*!40000 ALTER TABLE `payment_groups` DISABLE KEYS */;
INSERT INTO `payment_groups` VALUES (1,'PG 1','USD');
/*!40000 ALTER TABLE `payment_groups` ENABLE KEYS */;

--
-- Table structure for table `payment_groups_gateway_rel`
--

DROP TABLE IF EXISTS `payment_groups_gateway_rel`;


CREATE TABLE `payment_groups_gateway_rel` (
  `payment_groups_gateway_rel_id` smallint(5) unsigned NOT NULL auto_increment,
  `payment_group_id` tinyint(3) unsigned default NULL,
  `config_group_id` smallint(5) unsigned default NULL,
  `gateway_type` tinyint(3) unsigned default '1',
  PRIMARY KEY  (`payment_groups_gateway_rel_id`),
  KEY `payment_group_id` (`payment_group_id`),
  KEY `config_group_id` (`config_group_id`)
) ENGINE=MyISAM AUTO_INCREMENT=2;


--
-- Dumping data for table `payment_groups_gateway_rel`
--

/*!40000 ALTER TABLE `payment_groups_gateway_rel` DISABLE KEYS */;
INSERT INTO `payment_groups_gateway_rel` VALUES (1,1,76,0);
/*!40000 ALTER TABLE `payment_groups_gateway_rel` ENABLE KEYS */;

--
-- Table structure for table `payment_queue`
--

DROP TABLE IF EXISTS `payment_queue`;


CREATE TABLE `payment_queue` (
  `payment_id` int(10) unsigned NOT NULL auto_increment,
  `payment_process_id` varchar(40) default '',
  `payment_process_date` int(10) unsigned default '0',
  `line_item_id` int(10) unsigned default NULL,
  `groupby_invoice_id` int(10) NOT NULL default '0',
  `payment_description` varchar(100) default NULL,
  `payment_amount` decimal(10,2) default '0.00',
  `billing_account_share_id` int(10) unsigned default NULL,
  `payment_date_created` int(10) unsigned default NULL,
  `payment_date_charged` int(10) NOT NULL default '0',
  PRIMARY KEY  (`payment_id`),
  KEY `payment_process_id` (`payment_process_id`),
  KEY `payment_process_date` (`payment_process_date`),
  KEY `billing_account_share_id` (`billing_account_share_id`),
  KEY `payment_date_charged` (`payment_date_charged`),
  KEY `line_item_id` (`line_item_id`),
  KEY `groupby_invoice_id` (`groupby_invoice_id`)
) ENGINE=MyISAM;


--
-- Dumping data for table `payment_queue`
--

/*!40000 ALTER TABLE `payment_queue` DISABLE KEYS */;
/*!40000 ALTER TABLE `payment_queue` ENABLE KEYS */;

--
-- Table structure for table `prepay_discounts`
--

DROP TABLE IF EXISTS `prepay_discounts`;


CREATE TABLE `prepay_discounts` (
  `prepay_discount_id` int(10) unsigned NOT NULL auto_increment,
  `prepay_discount_name` varchar(100) default NULL,
  `prepay_discount_active` tinyint(1) default NULL,
  `cycle_id` int(10) default NULL,
  `prepay_discount_num_cycles` int(5) default NULL,
  `prepay_discount_amount` decimal(10,2) default NULL,
  `prepay_discount_percentage` decimal(10,2) default NULL,
  PRIMARY KEY  (`prepay_discount_id`)
) ENGINE=MyISAM;


--
-- Dumping data for table `prepay_discounts`
--

/*!40000 ALTER TABLE `prepay_discounts` DISABLE KEYS */;
/*!40000 ALTER TABLE `prepay_discounts` ENABLE KEYS */;

--
-- Table structure for table `product_addon_group_rel`
--

DROP TABLE IF EXISTS `product_addon_group_rel`;


CREATE TABLE `product_addon_group_rel` (
  `product_addon_group_rel_id` smallint(10) unsigned NOT NULL auto_increment,
  `product_addon_group_id` smallint(5) unsigned default NULL,
  `product_id` int(10) unsigned default NULL,
  `default_selected_product_id` int(10) unsigned default NULL,
  PRIMARY KEY  (`product_addon_group_rel_id`)
) ENGINE=MyISAM AUTO_INCREMENT=7;


--
-- Dumping data for table `product_addon_group_rel`
--

/*!40000 ALTER TABLE `product_addon_group_rel` DISABLE KEYS */;
INSERT INTO `product_addon_group_rel` VALUES (1,1,2,NULL);
INSERT INTO `product_addon_group_rel` VALUES (2,1,3,NULL);
INSERT INTO `product_addon_group_rel` VALUES (3,1,4,NULL);
INSERT INTO `product_addon_group_rel` VALUES (4,2,2,NULL);
INSERT INTO `product_addon_group_rel` VALUES (5,2,3,NULL);
INSERT INTO `product_addon_group_rel` VALUES (6,2,4,NULL);
/*!40000 ALTER TABLE `product_addon_group_rel` ENABLE KEYS */;

--
-- Table structure for table `product_addon_groups`
--

DROP TABLE IF EXISTS `product_addon_groups`;


CREATE TABLE `product_addon_groups` (
  `product_addon_group_id` smallint(5) unsigned NOT NULL auto_increment,
  `product_addon_group_active` tinyint(3) unsigned default NULL,
  `product_addon_group_name` varchar(75) default NULL,
  `product_addon_group_input_type` char(1) default NULL,
  `product_addon_group_none_choice` tinyint(1) default '1',
  PRIMARY KEY  (`product_addon_group_id`),
  KEY `product_addon_group_active` (`product_addon_group_active`)
) ENGINE=MyISAM AUTO_INCREMENT=3;


--
-- Dumping data for table `product_addon_groups`
--

/*!40000 ALTER TABLE `product_addon_groups` DISABLE KEYS */;
INSERT INTO `product_addon_groups` VALUES (1,1,'Would you like additional disk space?','r',1);
INSERT INTO `product_addon_groups` VALUES (2,1,'Would you like additional E-Mail Addresses?','r',1);
/*!40000 ALTER TABLE `product_addon_groups` ENABLE KEYS */;

--
-- Table structure for table `product_attributes`
--

DROP TABLE IF EXISTS `product_attributes`;


CREATE TABLE `product_attributes` (
  `product_attribute_id` int(10) unsigned NOT NULL auto_increment,
  `product_id` int(10) unsigned default NULL,
  `server_group_id` smallint(5) unsigned default NULL,
  `product_attribute_name` varchar(100) default NULL,
  `product_attribute_value` longtext,
  `product_attribute_date_created` int(10) unsigned default NULL,
  PRIMARY KEY  (`product_attribute_id`),
  KEY `product_id` (`product_id`),
  KEY `product_attribute_name` (`product_attribute_name`),
  KEY `server_group_id` (`server_group_id`)
) ENGINE=MyISAM AUTO_INCREMENT=502;


--
-- Dumping data for table `product_attributes`
--

/*!40000 ALTER TABLE `product_attributes` DISABLE KEYS */;
INSERT INTO `product_attributes` VALUES (415,2,1,'ssi','yes',1211556406);
INSERT INTO `product_attributes` VALUES (416,2,1,'php','yes',1211556406);
INSERT INTO `product_attributes` VALUES (414,2,1,'frontpage','no',1211556406);
INSERT INTO `product_attributes` VALUES (412,2,1,'customErrorDocs','yes',1211556406);
INSERT INTO `product_attributes` VALUES (413,2,1,'anonymousFTP','no',1211556406);
INSERT INTO `product_attributes` VALUES (411,2,1,'mailService','yes',1211556406);
INSERT INTO `product_attributes` VALUES (409,2,1,'domainWWW','yes',1211556406);
INSERT INTO `product_attributes` VALUES (410,2,1,'ssl','no',1211556406);
INSERT INTO `product_attributes` VALUES (408,2,1,'domainUserAllowed','yes',1211556406);
INSERT INTO `product_attributes` VALUES (406,2,1,'aclAddPackages','yes',1211556406);
INSERT INTO `product_attributes` VALUES (407,2,1,'dns','yes',1211556406);
INSERT INTO `product_attributes` VALUES (405,2,1,'clientBackupManager','yes',1211556406);
INSERT INTO `product_attributes` VALUES (404,2,1,'clientManageQuota','yes',1211556406);
INSERT INTO `product_attributes` VALUES (403,2,1,'clientManageSubdomains','yes',1211556406);
INSERT INTO `product_attributes` VALUES (402,2,1,'clientManageNotChrootShell','no',1211556406);
INSERT INTO `product_attributes` VALUES (401,2,1,'clientManageSHAccess','no',1211556406);
INSERT INTO `product_attributes` VALUES (400,2,1,'clientManageCrontab','yes',1211556406);
INSERT INTO `product_attributes` VALUES (398,2,1,'clientManageDNS','yes',1211556406);
INSERT INTO `product_attributes` VALUES (399,2,1,'clientManageLog','yes',1211556406);
INSERT INTO `product_attributes` VALUES (397,2,1,'clientManageMaillists','yes',1211556406);
INSERT INTO `product_attributes` VALUES (396,2,1,'clientManageWebapps','no',1211556406);
INSERT INTO `product_attributes` VALUES (394,2,1,'clientChangeLimits','yes',1211556406);
INSERT INTO `product_attributes` VALUES (395,2,1,'clientManageAnonFTP','no',1211556406);
INSERT INTO `product_attributes` VALUES (393,2,1,'clientManagePhysicalHosting','yes',1211556406);
INSERT INTO `product_attributes` VALUES (392,2,1,'clientCreateDomains','yes',1211556406);
INSERT INTO `product_attributes` VALUES (391,2,1,'domainMaxMaillists','1',1211556406);
INSERT INTO `product_attributes` VALUES (390,2,1,'clientMaxMaillists','1',1211556406);
INSERT INTO `product_attributes` VALUES (389,2,1,'domainMaxMailAutoresponders','1',1211556406);
INSERT INTO `product_attributes` VALUES (387,2,1,'domainMaxMailGroups','1',1211556406);
INSERT INTO `product_attributes` VALUES (388,2,1,'clientMaxMailAutoresponders','1',1211556406);
INSERT INTO `product_attributes` VALUES (386,2,1,'clientMaxMailGroups','1',1211556406);
INSERT INTO `product_attributes` VALUES (385,2,1,'domainMaxMailredirects','3',1211556406);
INSERT INTO `product_attributes` VALUES (384,2,1,'clientMaxMailredirects','3',1211556406);
INSERT INTO `product_attributes` VALUES (383,2,1,'domainMailboxQuota','10485760',1211556405);
INSERT INTO `product_attributes` VALUES (382,2,1,'clientMailBoxQuota','10485760',1211556405);
INSERT INTO `product_attributes` VALUES (381,2,1,'domainMaxMailbox','20',1211556405);
INSERT INTO `product_attributes` VALUES (380,2,1,'clientMaxMailbox','20',1211556405);
INSERT INTO `product_attributes` VALUES (379,2,1,'domainMaxTomcatWebapps','0',1211556405);
INSERT INTO `product_attributes` VALUES (378,2,1,'clientMaxTomcatWebapps','0',1211556405);
INSERT INTO `product_attributes` VALUES (377,2,1,'domainMaxMYSQLDB','3',1211556405);
INSERT INTO `product_attributes` VALUES (376,2,1,'clientMaxMYSQLDB','3',1211556405);
INSERT INTO `product_attributes` VALUES (375,2,1,'domainMaxWebusers','1',1211556405);
INSERT INTO `product_attributes` VALUES (374,2,1,'clientMaxWebusers','1',1211556405);
INSERT INTO `product_attributes` VALUES (373,2,1,'domainMaxTraffic','21474836480',1211556405);
INSERT INTO `product_attributes` VALUES (372,2,1,'clientMaxTraffic','21474836480',1211556405);
INSERT INTO `product_attributes` VALUES (371,2,1,'domainDiskSpace','209715200',1211556405);
INSERT INTO `product_attributes` VALUES (370,2,1,'clientDiskSpace','209715200',1211556405);
INSERT INTO `product_attributes` VALUES (491,3,1,'python','yes',1211556441);
INSERT INTO `product_attributes` VALUES (489,3,1,'perl','yes',1211556441);
INSERT INTO `product_attributes` VALUES (490,3,1,'asp','yes',1211556441);
INSERT INTO `product_attributes` VALUES (487,3,1,'php','yes',1211556441);
INSERT INTO `product_attributes` VALUES (488,3,1,'cgi','yes',1211556441);
INSERT INTO `product_attributes` VALUES (486,3,1,'ssi','yes',1211556441);
INSERT INTO `product_attributes` VALUES (484,3,1,'anonymousFTP','yes',1211556441);
INSERT INTO `product_attributes` VALUES (485,3,1,'frontpage','no',1211556441);
INSERT INTO `product_attributes` VALUES (483,3,1,'customErrorDocs','yes',1211556441);
INSERT INTO `product_attributes` VALUES (481,3,1,'ssl','no',1211556441);
INSERT INTO `product_attributes` VALUES (482,3,1,'mailService','yes',1211556441);
INSERT INTO `product_attributes` VALUES (479,3,1,'domainUserAllowed','yes',1211556441);
INSERT INTO `product_attributes` VALUES (480,3,1,'domainWWW','yes',1211556441);
INSERT INTO `product_attributes` VALUES (478,3,1,'dns','yes',1211556441);
INSERT INTO `product_attributes` VALUES (477,3,1,'aclAddPackages','yes',1211556441);
INSERT INTO `product_attributes` VALUES (475,3,1,'clientManageQuota','yes',1211556441);
INSERT INTO `product_attributes` VALUES (476,3,1,'clientBackupManager','yes',1211556441);
INSERT INTO `product_attributes` VALUES (474,3,1,'clientManageSubdomains','yes',1211556441);
INSERT INTO `product_attributes` VALUES (473,3,1,'clientManageNotChrootShell','yes',1211556441);
INSERT INTO `product_attributes` VALUES (472,3,1,'clientManageSHAccess','yes',1211556441);
INSERT INTO `product_attributes` VALUES (470,3,1,'clientManageLog','yes',1211556441);
INSERT INTO `product_attributes` VALUES (471,3,1,'clientManageCrontab','yes',1211556441);
INSERT INTO `product_attributes` VALUES (469,3,1,'clientManageDNS','yes',1211556441);
INSERT INTO `product_attributes` VALUES (468,3,1,'clientManageMaillists','yes',1211556441);
INSERT INTO `product_attributes` VALUES (467,3,1,'clientManageWebapps','no',1211556441);
INSERT INTO `product_attributes` VALUES (466,3,1,'clientManageAnonFTP','yes',1211556441);
INSERT INTO `product_attributes` VALUES (465,3,1,'clientChangeLimits','yes',1211556441);
INSERT INTO `product_attributes` VALUES (464,3,1,'clientManagePhysicalHosting','yes',1211556441);
INSERT INTO `product_attributes` VALUES (463,3,1,'clientCreateDomains','yes',1211556441);
INSERT INTO `product_attributes` VALUES (462,3,1,'domainMaxMaillists','5',1211556441);
INSERT INTO `product_attributes` VALUES (461,3,1,'clientMaxMaillists','5',1211556441);
INSERT INTO `product_attributes` VALUES (460,3,1,'domainMaxMailAutoresponders','5',1211556441);
INSERT INTO `product_attributes` VALUES (458,3,1,'domainMaxMailGroups','5',1211556440);
INSERT INTO `product_attributes` VALUES (459,3,1,'clientMaxMailAutoresponders','5',1211556440);
INSERT INTO `product_attributes` VALUES (457,3,1,'clientMaxMailGroups','5',1211556440);
INSERT INTO `product_attributes` VALUES (456,3,1,'domainMaxMailredirects','10',1211556440);
INSERT INTO `product_attributes` VALUES (455,3,1,'clientMaxMailredirects','10',1211556440);
INSERT INTO `product_attributes` VALUES (454,3,1,'domainMailboxQuota','10485760',1211556440);
INSERT INTO `product_attributes` VALUES (453,3,1,'clientMailBoxQuota','10485760',1211556440);
INSERT INTO `product_attributes` VALUES (452,3,1,'domainMaxMailbox','100',1211556440);
INSERT INTO `product_attributes` VALUES (451,3,1,'clientMaxMailbox','100',1211556440);
INSERT INTO `product_attributes` VALUES (450,3,1,'domainMaxTomcatWebapps','0',1211556440);
INSERT INTO `product_attributes` VALUES (449,3,1,'clientMaxTomcatWebapps','0',1211556440);
INSERT INTO `product_attributes` VALUES (448,3,1,'domainMaxMYSQLDB','3',1211556440);
INSERT INTO `product_attributes` VALUES (447,3,1,'clientMaxMYSQLDB','3',1211556440);
INSERT INTO `product_attributes` VALUES (446,3,1,'domainMaxWebusers','2',1211556440);
INSERT INTO `product_attributes` VALUES (445,3,1,'clientMaxWebusers','2',1211556440);
INSERT INTO `product_attributes` VALUES (444,3,1,'domainMaxTraffic','53687091200',1211556440);
INSERT INTO `product_attributes` VALUES (443,3,1,'clientMaxTraffic','53687091200',1211556440);
INSERT INTO `product_attributes` VALUES (441,3,1,'clientDiskSpace','1073741824',1211556440);
INSERT INTO `product_attributes` VALUES (442,3,1,'domainDiskSpace','1073741824',1211556440);
INSERT INTO `product_attributes` VALUES (440,3,1,'domainMaxSubdomains','10',1211556440);
INSERT INTO `product_attributes` VALUES (439,3,1,'clientMaxSubdomains','0',1211556440);
INSERT INTO `product_attributes` VALUES (438,3,1,'clientMaxDomains','1',1211556440);
INSERT INTO `product_attributes` VALUES (437,3,1,'calculate_only','yes',1211556440);
INSERT INTO `product_attributes` VALUES (436,3,1,'usage_limit','50',1211556440);
INSERT INTO `product_attributes` VALUES (435,3,1,'usage_factor','-1024',1211556440);
INSERT INTO `product_attributes` VALUES (434,3,1,'usage_cycle','3',1211556440);
INSERT INTO `product_attributes` VALUES (433,3,1,'usage_type','traffic',1211556440);
INSERT INTO `product_attributes` VALUES (432,3,1,'logBySize','10240',1211556440);
INSERT INTO `product_attributes` VALUES (431,3,1,'logByTime','',1211556440);
INSERT INTO `product_attributes` VALUES (430,3,1,'logCompress','yes',1211556440);
INSERT INTO `product_attributes` VALUES (429,3,1,'logRotate','yes',1211556440);
INSERT INTO `product_attributes` VALUES (428,3,1,'shellType','/usr/local/psa/bin/chrootsh',1211556440);
INSERT INTO `product_attributes` VALUES (427,3,1,'webstat','awstats',1211556440);
INSERT INTO `product_attributes` VALUES (426,3,1,'suspend_expired','1',1211556440);
INSERT INTO `product_attributes` VALUES (425,3,1,'productServerWeight','5',1211556440);
INSERT INTO `product_attributes` VALUES (417,2,1,'cgi','yes',1211556406);
INSERT INTO `product_attributes` VALUES (369,2,1,'domainMaxSubdomains','',1211556405);
INSERT INTO `product_attributes` VALUES (368,2,1,'clientMaxSubdomains','0',1211556405);
INSERT INTO `product_attributes` VALUES (367,2,1,'clientMaxDomains','1',1211556405);
INSERT INTO `product_attributes` VALUES (366,2,1,'calculate_only','yes',1211556405);
INSERT INTO `product_attributes` VALUES (365,2,1,'usage_limit','20',1211556405);
INSERT INTO `product_attributes` VALUES (364,2,1,'usage_factor','-1024',1211556405);
INSERT INTO `product_attributes` VALUES (363,2,1,'usage_cycle','3',1211556405);
INSERT INTO `product_attributes` VALUES (362,2,1,'usage_type','traffic',1211556405);
INSERT INTO `product_attributes` VALUES (361,2,1,'logBySize','10240',1211556405);
INSERT INTO `product_attributes` VALUES (360,2,1,'logByTime','',1211556405);
INSERT INTO `product_attributes` VALUES (359,2,1,'logCompress','yes',1211556405);
INSERT INTO `product_attributes` VALUES (358,2,1,'logRotate','yes',1211556405);
INSERT INTO `product_attributes` VALUES (357,2,1,'shellType','/bin/false',1211556405);
INSERT INTO `product_attributes` VALUES (356,2,1,'webstat','awstats',1211556405);
INSERT INTO `product_attributes` VALUES (355,2,1,'suspend_expired','1',1211556405);
INSERT INTO `product_attributes` VALUES (354,2,1,'productServerWeight','1',1211556405);
INSERT INTO `product_attributes` VALUES (283,4,1,'productServerWeight','20',1211556361);
INSERT INTO `product_attributes` VALUES (284,4,1,'suspend_expired','1',1211556361);
INSERT INTO `product_attributes` VALUES (285,4,1,'webstat','awstats',1211556362);
INSERT INTO `product_attributes` VALUES (286,4,1,'shellType','/bin/bash',1211556362);
INSERT INTO `product_attributes` VALUES (287,4,1,'logRotate','yes',1211556362);
INSERT INTO `product_attributes` VALUES (288,4,1,'logCompress','yes',1211556362);
INSERT INTO `product_attributes` VALUES (289,4,1,'logByTime','',1211556362);
INSERT INTO `product_attributes` VALUES (290,4,1,'logBySize','10240',1211556362);
INSERT INTO `product_attributes` VALUES (291,4,1,'usage_type','traffic',1211556362);
INSERT INTO `product_attributes` VALUES (292,4,1,'usage_cycle','3',1211556362);
INSERT INTO `product_attributes` VALUES (293,4,1,'usage_factor','-1024',1211556362);
INSERT INTO `product_attributes` VALUES (294,4,1,'usage_limit','80',1211556362);
INSERT INTO `product_attributes` VALUES (295,4,1,'calculate_only','yes',1211556362);
INSERT INTO `product_attributes` VALUES (296,4,1,'clientMaxDomains','1',1211556362);
INSERT INTO `product_attributes` VALUES (297,4,1,'clientMaxSubdomains','20',1211556362);
INSERT INTO `product_attributes` VALUES (298,4,1,'domainMaxSubdomains','20',1211556362);
INSERT INTO `product_attributes` VALUES (299,4,1,'clientDiskSpace','4294967296',1211556362);
INSERT INTO `product_attributes` VALUES (300,4,1,'domainDiskSpace','4294967296',1211556362);
INSERT INTO `product_attributes` VALUES (301,4,1,'clientMaxTraffic','85899345920',1211556362);
INSERT INTO `product_attributes` VALUES (302,4,1,'domainMaxTraffic','85899345920',1211556362);
INSERT INTO `product_attributes` VALUES (303,4,1,'clientMaxWebusers','5',1211556362);
INSERT INTO `product_attributes` VALUES (304,4,1,'domainMaxWebusers','5',1211556362);
INSERT INTO `product_attributes` VALUES (305,4,1,'clientMaxMYSQLDB','3',1211556362);
INSERT INTO `product_attributes` VALUES (306,4,1,'domainMaxMYSQLDB','3',1211556362);
INSERT INTO `product_attributes` VALUES (307,4,1,'clientMaxTomcatWebapps','0',1211556362);
INSERT INTO `product_attributes` VALUES (308,4,1,'domainMaxTomcatWebapps','0',1211556362);
INSERT INTO `product_attributes` VALUES (309,4,1,'clientMaxMailbox','250',1211556362);
INSERT INTO `product_attributes` VALUES (310,4,1,'domainMaxMailbox','250',1211556362);
INSERT INTO `product_attributes` VALUES (311,4,1,'clientMailBoxQuota','104857600',1211556362);
INSERT INTO `product_attributes` VALUES (312,4,1,'domainMailboxQuota','104857600',1211556362);
INSERT INTO `product_attributes` VALUES (313,4,1,'clientMaxMailredirects','10',1211556362);
INSERT INTO `product_attributes` VALUES (314,4,1,'domainMaxMailredirects','10',1211556362);
INSERT INTO `product_attributes` VALUES (315,4,1,'clientMaxMailGroups','10',1211556362);
INSERT INTO `product_attributes` VALUES (316,4,1,'domainMaxMailGroups','10',1211556362);
INSERT INTO `product_attributes` VALUES (317,4,1,'clientMaxMailAutoresponders','10',1211556362);
INSERT INTO `product_attributes` VALUES (318,4,1,'domainMaxMailAutoresponders','10',1211556362);
INSERT INTO `product_attributes` VALUES (319,4,1,'clientMaxMaillists','10',1211556362);
INSERT INTO `product_attributes` VALUES (320,4,1,'domainMaxMaillists','10',1211556362);
INSERT INTO `product_attributes` VALUES (321,4,1,'clientCreateDomains','yes',1211556362);
INSERT INTO `product_attributes` VALUES (322,4,1,'clientManagePhysicalHosting','yes',1211556362);
INSERT INTO `product_attributes` VALUES (323,4,1,'clientChangeLimits','yes',1211556362);
INSERT INTO `product_attributes` VALUES (324,4,1,'clientManageAnonFTP','yes',1211556362);
INSERT INTO `product_attributes` VALUES (325,4,1,'clientManageWebapps','no',1211556362);
INSERT INTO `product_attributes` VALUES (326,4,1,'clientManageMaillists','yes',1211556362);
INSERT INTO `product_attributes` VALUES (327,4,1,'clientManageDNS','yes',1211556362);
INSERT INTO `product_attributes` VALUES (328,4,1,'clientManageLog','yes',1211556362);
INSERT INTO `product_attributes` VALUES (329,4,1,'clientManageCrontab','yes',1211556362);
INSERT INTO `product_attributes` VALUES (330,4,1,'clientManageSHAccess','yes',1211556362);
INSERT INTO `product_attributes` VALUES (331,4,1,'clientManageNotChrootShell','yes',1211556362);
INSERT INTO `product_attributes` VALUES (332,4,1,'clientManageSubdomains','yes',1211556362);
INSERT INTO `product_attributes` VALUES (333,4,1,'clientManageQuota','yes',1211556362);
INSERT INTO `product_attributes` VALUES (334,4,1,'clientBackupManager','yes',1211556362);
INSERT INTO `product_attributes` VALUES (335,4,1,'aclAddPackages','yes',1211556362);
INSERT INTO `product_attributes` VALUES (336,4,1,'dns','yes',1211556362);
INSERT INTO `product_attributes` VALUES (337,4,1,'domainUserAllowed','yes',1211556362);
INSERT INTO `product_attributes` VALUES (338,4,1,'domainWWW','yes',1211556362);
INSERT INTO `product_attributes` VALUES (339,4,1,'ssl','no',1211556362);
INSERT INTO `product_attributes` VALUES (340,4,1,'mailService','yes',1211556362);
INSERT INTO `product_attributes` VALUES (341,4,1,'customErrorDocs','yes',1211556362);
INSERT INTO `product_attributes` VALUES (342,4,1,'anonymousFTP','yes',1211556362);
INSERT INTO `product_attributes` VALUES (343,4,1,'frontpage','no',1211556362);
INSERT INTO `product_attributes` VALUES (344,4,1,'ssi','yes',1211556362);
INSERT INTO `product_attributes` VALUES (345,4,1,'php','yes',1211556362);
INSERT INTO `product_attributes` VALUES (346,4,1,'cgi','yes',1211556362);
INSERT INTO `product_attributes` VALUES (347,4,1,'perl','yes',1211556362);
INSERT INTO `product_attributes` VALUES (348,4,1,'asp','yes',1211556362);
INSERT INTO `product_attributes` VALUES (349,4,1,'python','yes',1211556362);
INSERT INTO `product_attributes` VALUES (350,4,1,'coldfusion','no',1211556362);
INSERT INTO `product_attributes` VALUES (351,4,1,'domainWebuserScripts','no',1211556362);
INSERT INTO `product_attributes` VALUES (352,4,1,'logEmail','no',1211556363);
INSERT INTO `product_attributes` VALUES (353,4,1,'domainwebmail','yes',1211556363);
INSERT INTO `product_attributes` VALUES (418,2,1,'perl','yes',1211556406);
INSERT INTO `product_attributes` VALUES (419,2,1,'asp','no',1211556406);
INSERT INTO `product_attributes` VALUES (420,2,1,'python','yes',1211556406);
INSERT INTO `product_attributes` VALUES (421,2,1,'coldfusion','no',1211556406);
INSERT INTO `product_attributes` VALUES (422,2,1,'domainWebuserScripts','no',1211556406);
INSERT INTO `product_attributes` VALUES (423,2,1,'logEmail','no',1211556406);
INSERT INTO `product_attributes` VALUES (424,2,1,'domainwebmail','yes',1211556406);
INSERT INTO `product_attributes` VALUES (492,3,1,'coldfusion','no',1211556441);
INSERT INTO `product_attributes` VALUES (493,3,1,'domainWebuserScripts','no',1211556441);
INSERT INTO `product_attributes` VALUES (494,3,1,'logEmail','no',1211556441);
INSERT INTO `product_attributes` VALUES (495,3,1,'domainwebmail','yes',1211556441);
INSERT INTO `product_attributes` VALUES (496,6,1,'clientDiskSpace','1073741824',1211559572);
INSERT INTO `product_attributes` VALUES (497,7,1,'clientDiskSpace','2147483648',1211559572);
INSERT INTO `product_attributes` VALUES (498,8,1,'clientDiskSpace','5368709120',1211559572);
INSERT INTO `product_attributes` VALUES (499,9,1,'clientMaxMailbox','20',1211559887);
INSERT INTO `product_attributes` VALUES (500,10,1,'clientMaxMailbox','100',1211559887);
INSERT INTO `product_attributes` VALUES (501,11,1,'clientMaxMailbox','250',1211559887);
/*!40000 ALTER TABLE `product_attributes` ENABLE KEYS */;

--
-- Table structure for table `product_children_rel`
--

DROP TABLE IF EXISTS `product_children_rel`;


CREATE TABLE `product_children_rel` (
  `product_id` int(10) unsigned NOT NULL default '0',
  `child_product_id` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`product_id`,`child_product_id`)
) ENGINE=MyISAM;


--
-- Dumping data for table `product_children_rel`
--

/*!40000 ALTER TABLE `product_children_rel` DISABLE KEYS */;
INSERT INTO `product_children_rel` VALUES (2,6);
INSERT INTO `product_children_rel` VALUES (2,7);
INSERT INTO `product_children_rel` VALUES (2,8);
INSERT INTO `product_children_rel` VALUES (2,9);
INSERT INTO `product_children_rel` VALUES (2,10);
INSERT INTO `product_children_rel` VALUES (2,11);
INSERT INTO `product_children_rel` VALUES (3,6);
INSERT INTO `product_children_rel` VALUES (3,7);
INSERT INTO `product_children_rel` VALUES (3,8);
INSERT INTO `product_children_rel` VALUES (3,9);
INSERT INTO `product_children_rel` VALUES (3,10);
INSERT INTO `product_children_rel` VALUES (3,11);
INSERT INTO `product_children_rel` VALUES (4,6);
INSERT INTO `product_children_rel` VALUES (4,7);
INSERT INTO `product_children_rel` VALUES (4,8);
INSERT INTO `product_children_rel` VALUES (4,9);
INSERT INTO `product_children_rel` VALUES (4,10);
INSERT INTO `product_children_rel` VALUES (4,11);
/*!40000 ALTER TABLE `product_children_rel` ENABLE KEYS */;

--
-- Table structure for table `product_coupon_pre_rel`
--

DROP TABLE IF EXISTS `product_coupon_pre_rel`;


CREATE TABLE `product_coupon_pre_rel` (
  `product_id` int(10) unsigned NOT NULL default '0',
  `coupon_id` smallint(5) unsigned NOT NULL default '0',
  PRIMARY KEY  (`product_id`,`coupon_id`)
) ENGINE=MyISAM;


--
-- Dumping data for table `product_coupon_pre_rel`
--

/*!40000 ALTER TABLE `product_coupon_pre_rel` DISABLE KEYS */;
INSERT INTO `product_coupon_pre_rel` VALUES (2,0);
INSERT INTO `product_coupon_pre_rel` VALUES (3,0);
INSERT INTO `product_coupon_pre_rel` VALUES (4,0);
/*!40000 ALTER TABLE `product_coupon_pre_rel` ENABLE KEYS */;

--
-- Table structure for table `product_coupon_rel`
--

DROP TABLE IF EXISTS `product_coupon_rel`;


CREATE TABLE `product_coupon_rel` (
  `product_id` int(10) unsigned NOT NULL default '0',
  `coupon_id` smallint(5) unsigned NOT NULL default '0',
  PRIMARY KEY  (`product_id`,`coupon_id`)
) ENGINE=MyISAM;


--
-- Dumping data for table `product_coupon_rel`
--

/*!40000 ALTER TABLE `product_coupon_rel` DISABLE KEYS */;
/*!40000 ALTER TABLE `product_coupon_rel` ENABLE KEYS */;

--
-- Table structure for table `product_cycle_ghost_rel`
--

DROP TABLE IF EXISTS `product_cycle_ghost_rel`;


CREATE TABLE `product_cycle_ghost_rel` (
  `product_id` int(10) unsigned NOT NULL default '0',
  `cycle_id` smallint(5) unsigned NOT NULL default '0',
  PRIMARY KEY  (`product_id`,`cycle_id`)
) ENGINE=MyISAM;


--
-- Dumping data for table `product_cycle_ghost_rel`
--

/*!40000 ALTER TABLE `product_cycle_ghost_rel` DISABLE KEYS */;
INSERT INTO `product_cycle_ghost_rel` VALUES (1,6);
INSERT INTO `product_cycle_ghost_rel` VALUES (1,7);
INSERT INTO `product_cycle_ghost_rel` VALUES (2,3);
INSERT INTO `product_cycle_ghost_rel` VALUES (3,3);
INSERT INTO `product_cycle_ghost_rel` VALUES (4,3);
INSERT INTO `product_cycle_ghost_rel` VALUES (5,1);
INSERT INTO `product_cycle_ghost_rel` VALUES (6,3);
INSERT INTO `product_cycle_ghost_rel` VALUES (7,3);
INSERT INTO `product_cycle_ghost_rel` VALUES (8,3);
INSERT INTO `product_cycle_ghost_rel` VALUES (9,3);
INSERT INTO `product_cycle_ghost_rel` VALUES (10,3);
INSERT INTO `product_cycle_ghost_rel` VALUES (11,3);
/*!40000 ALTER TABLE `product_cycle_ghost_rel` ENABLE KEYS */;

--
-- Table structure for table `product_file_rel`
--

DROP TABLE IF EXISTS `product_file_rel`;


CREATE TABLE `product_file_rel` (
  `product_id` int(10) unsigned NOT NULL default '0',
  `file_id` smallint(5) unsigned NOT NULL default '0',
  PRIMARY KEY  (`product_id`,`file_id`)
) ENGINE=MyISAM;


--
-- Dumping data for table `product_file_rel`
--

/*!40000 ALTER TABLE `product_file_rel` DISABLE KEYS */;
/*!40000 ALTER TABLE `product_file_rel` ENABLE KEYS */;

--
-- Table structure for table `product_files`
--

DROP TABLE IF EXISTS `product_files`;


CREATE TABLE `product_files` (
  `file_id` smallint(5) unsigned NOT NULL auto_increment,
  `file_name` varchar(255) default NULL,
  `file_path` text,
  `file_data` longblob,
  PRIMARY KEY  (`file_id`),
  KEY `file_name` (`file_name`)
) ENGINE=MyISAM;


--
-- Dumping data for table `product_files`
--

/*!40000 ALTER TABLE `product_files` DISABLE KEYS */;
/*!40000 ALTER TABLE `product_files` ENABLE KEYS */;

--
-- Table structure for table `product_group_rel`
--

DROP TABLE IF EXISTS `product_group_rel`;


CREATE TABLE `product_group_rel` (
  `product_id` int(10) unsigned NOT NULL default '0',
  `product_group_id` smallint(5) unsigned NOT NULL default '0',
  PRIMARY KEY  (`product_id`,`product_group_id`)
) ENGINE=MyISAM;


--
-- Dumping data for table `product_group_rel`
--

/*!40000 ALTER TABLE `product_group_rel` DISABLE KEYS */;
/*!40000 ALTER TABLE `product_group_rel` ENABLE KEYS */;

--
-- Table structure for table `product_groups`
--

DROP TABLE IF EXISTS `product_groups`;


CREATE TABLE `product_groups` (
  `product_group_id` smallint(5) unsigned NOT NULL auto_increment,
  `product_group_name` varchar(50) default NULL,
  `product_group_api_name` varchar(50) default NULL,
  PRIMARY KEY  (`product_group_id`)
) ENGINE=MyISAM;


--
-- Dumping data for table `product_groups`
--

/*!40000 ALTER TABLE `product_groups` DISABLE KEYS */;
/*!40000 ALTER TABLE `product_groups` ENABLE KEYS */;

--
-- Table structure for table `product_ledger_curr_rel`
--

DROP TABLE IF EXISTS `product_ledger_curr_rel`;


CREATE TABLE `product_ledger_curr_rel` (
  `product_ledger_id` int(10) unsigned NOT NULL default '0',
  `currency_id` char(3) NOT NULL default '',
  PRIMARY KEY  (`product_ledger_id`,`currency_id`)
) ENGINE=MyISAM;


--
-- Dumping data for table `product_ledger_curr_rel`
--

/*!40000 ALTER TABLE `product_ledger_curr_rel` DISABLE KEYS */;
/*!40000 ALTER TABLE `product_ledger_curr_rel` ENABLE KEYS */;

--
-- Table structure for table `product_ledger_cycle_rel`
--

DROP TABLE IF EXISTS `product_ledger_cycle_rel`;


CREATE TABLE `product_ledger_cycle_rel` (
  `product_ledger_id` int(10) unsigned NOT NULL default '0',
  `cycle_id` smallint(5) unsigned NOT NULL default '0',
  PRIMARY KEY  (`product_ledger_id`,`cycle_id`)
) ENGINE=MyISAM;


--
-- Dumping data for table `product_ledger_cycle_rel`
--

/*!40000 ALTER TABLE `product_ledger_cycle_rel` DISABLE KEYS */;
/*!40000 ALTER TABLE `product_ledger_cycle_rel` ENABLE KEYS */;

--
-- Table structure for table `product_ledger_entries`
--

DROP TABLE IF EXISTS `product_ledger_entries`;


CREATE TABLE `product_ledger_entries` (
  `product_ledger_id` int(10) NOT NULL auto_increment,
  `ledger_group_id` smallint(5) unsigned default NULL,
  `product_variant_id` int(8) default NULL,
  `product_ledger_num_cycles` smallint(5) unsigned default NULL,
  `general_ledger_type` tinyint(3) unsigned default NULL,
  `journal_type` varchar(20) default NULL,
  `ledger_account_id` smallint(5) unsigned default NULL,
  `product_ledger_debit` decimal(10,2) unsigned default NULL,
  `product_ledger_credit` decimal(10,2) unsigned default NULL,
  `product_ledger_comment` varchar(255) default NULL,
  `currency_id` char(3) default NULL,
  PRIMARY KEY  (`product_ledger_id`),
  KEY `product_variant_id` (`product_variant_id`),
  KEY `general_ledger_type` (`general_ledger_type`),
  KEY `journal_type` (`journal_type`),
  KEY `ledger_account_id` (`ledger_account_id`),
  KEY `currency_id` (`currency_id`),
  KEY `ledger_group_id` (`ledger_group_id`)
) ENGINE=MyISAM;


--
-- Dumping data for table `product_ledger_entries`
--

/*!40000 ALTER TABLE `product_ledger_entries` DISABLE KEYS */;
/*!40000 ALTER TABLE `product_ledger_entries` ENABLE KEYS */;

--
-- Table structure for table `product_order_form_ghost_rel`
--

DROP TABLE IF EXISTS `product_order_form_ghost_rel`;


CREATE TABLE `product_order_form_ghost_rel` (
  `product_id` int(10) unsigned NOT NULL default '0',
  `order_form_id` smallint(5) unsigned NOT NULL default '0',
  PRIMARY KEY  (`product_id`,`order_form_id`)
) ENGINE=MyISAM;


--
-- Dumping data for table `product_order_form_ghost_rel`
--

/*!40000 ALTER TABLE `product_order_form_ghost_rel` DISABLE KEYS */;
/*!40000 ALTER TABLE `product_order_form_ghost_rel` ENABLE KEYS */;

--
-- Table structure for table `product_relations`
--

DROP TABLE IF EXISTS `product_relations`;


CREATE TABLE `product_relations` (
  `product_relation_id` int(8) unsigned NOT NULL auto_increment,
  `subject_product_id` int(10) unsigned default NULL,
  `related_product_id` int(10) unsigned default NULL,
  `product_relation_type` tinyint(3) unsigned default NULL,
  PRIMARY KEY  (`product_relation_id`),
  KEY `subject_product_id` (`subject_product_id`),
  KEY `related_product_id` (`related_product_id`)
) ENGINE=MyISAM AUTO_INCREMENT=7;


--
-- Dumping data for table `product_relations`
--

/*!40000 ALTER TABLE `product_relations` DISABLE KEYS */;
INSERT INTO `product_relations` VALUES (1,2,3,1);
INSERT INTO `product_relations` VALUES (2,2,4,1);
INSERT INTO `product_relations` VALUES (3,3,4,1);
INSERT INTO `product_relations` VALUES (4,3,2,2);
INSERT INTO `product_relations` VALUES (5,4,3,1);
INSERT INTO `product_relations` VALUES (6,4,2,1);
/*!40000 ALTER TABLE `product_relations` ENABLE KEYS */;

--
-- Table structure for table `product_server_group_ghost_rel`
--

DROP TABLE IF EXISTS `product_server_group_ghost_rel`;


CREATE TABLE `product_server_group_ghost_rel` (
  `product_id` int(10) unsigned NOT NULL default '0',
  `server_group_id` smallint(5) unsigned NOT NULL default '0',
  PRIMARY KEY  (`product_id`,`server_group_id`)
) ENGINE=MyISAM;


--
-- Dumping data for table `product_server_group_ghost_rel`
--

/*!40000 ALTER TABLE `product_server_group_ghost_rel` DISABLE KEYS */;
INSERT INTO `product_server_group_ghost_rel` VALUES (2,1);
INSERT INTO `product_server_group_ghost_rel` VALUES (3,1);
INSERT INTO `product_server_group_ghost_rel` VALUES (4,1);
INSERT INTO `product_server_group_ghost_rel` VALUES (6,1);
INSERT INTO `product_server_group_ghost_rel` VALUES (7,1);
INSERT INTO `product_server_group_ghost_rel` VALUES (8,1);
INSERT INTO `product_server_group_ghost_rel` VALUES (9,1);
INSERT INTO `product_server_group_ghost_rel` VALUES (10,1);
INSERT INTO `product_server_group_ghost_rel` VALUES (11,1);
/*!40000 ALTER TABLE `product_server_group_ghost_rel` ENABLE KEYS */;

--
-- Table structure for table `product_tld_ghost_rel`
--

DROP TABLE IF EXISTS `product_tld_ghost_rel`;


CREATE TABLE `product_tld_ghost_rel` (
  `product_id` int(10) unsigned NOT NULL default '0',
  `tld_id` int(8) unsigned NOT NULL default '0',
  PRIMARY KEY  (`product_id`,`tld_id`)
) ENGINE=MyISAM;


--
-- Dumping data for table `product_tld_ghost_rel`
--

/*!40000 ALTER TABLE `product_tld_ghost_rel` DISABLE KEYS */;
/*!40000 ALTER TABLE `product_tld_ghost_rel` ENABLE KEYS */;

--
-- Table structure for table `product_usage_prices`
--

DROP TABLE IF EXISTS `product_usage_prices`;


CREATE TABLE `product_usage_prices` (
  `product_usage_price_id` int(10) unsigned NOT NULL auto_increment,
  `product_id` int(10) unsigned default NULL,
  `currency_id` char(3) default NULL,
  `product_usage_price_amount` decimal(10,2) unsigned default NULL,
  PRIMARY KEY  (`product_usage_price_id`),
  KEY `product_id` (`product_id`),
  KEY `currency_id` (`currency_id`)
) ENGINE=MyISAM AUTO_INCREMENT=4;


--
-- Dumping data for table `product_usage_prices`
--

/*!40000 ALTER TABLE `product_usage_prices` DISABLE KEYS */;
INSERT INTO `product_usage_prices` VALUES (1,2,'USD','2.00');
INSERT INTO `product_usage_prices` VALUES (2,3,'USD','2.00');
INSERT INTO `product_usage_prices` VALUES (3,4,'USD','2.00');
/*!40000 ALTER TABLE `product_usage_prices` ENABLE KEYS */;

--
-- Table structure for table `product_variable_values`
--

DROP TABLE IF EXISTS `product_variable_values`;


CREATE TABLE `product_variable_values` (
  `product_variable_value_id` smallint(5) unsigned NOT NULL auto_increment,
  `product_variable_id` smallint(5) unsigned default NULL,
  `product_variable_value` varchar(100) default NULL,
  PRIMARY KEY  (`product_variable_value_id`),
  KEY `product_variable_id` (`product_variable_id`)
) ENGINE=MyISAM;


--
-- Dumping data for table `product_variable_values`
--

/*!40000 ALTER TABLE `product_variable_values` DISABLE KEYS */;
/*!40000 ALTER TABLE `product_variable_values` ENABLE KEYS */;

--
-- Table structure for table `product_variables`
--

DROP TABLE IF EXISTS `product_variables`;


CREATE TABLE `product_variables` (
  `product_variable_id` smallint(5) unsigned NOT NULL auto_increment,
  `product_variable_name` varchar(100) default NULL,
  PRIMARY KEY  (`product_variable_id`)
) ENGINE=MyISAM;


--
-- Dumping data for table `product_variables`
--

/*!40000 ALTER TABLE `product_variables` DISABLE KEYS */;
/*!40000 ALTER TABLE `product_variables` ENABLE KEYS */;

--
-- Table structure for table `product_variant_prices`
--

DROP TABLE IF EXISTS `product_variant_prices`;


CREATE TABLE `product_variant_prices` (
  `product_variant_price_id` int(10) unsigned NOT NULL auto_increment,
  `product_variant_id` int(8) unsigned default NULL,
  `product_variant_price_type` tinyint(3) unsigned default NULL,
  `cycle_id` smallint(5) unsigned default NULL,
  `currency_id` char(3) default NULL,
  `product_variant_price_amount` decimal(10,2) unsigned default '0.00',
  `cost_currency_id` char(3) default NULL,
  `cost_amount` decimal(10,2) unsigned default '0.00',
  PRIMARY KEY  (`product_variant_price_id`),
  KEY `product_variant_id` (`product_variant_id`),
  KEY `product_variant_price_type` (`product_variant_price_type`),
  KEY `cycle_id` (`cycle_id`),
  KEY `currency_id` (`currency_id`)
) ENGINE=MyISAM AUTO_INCREMENT=508;


--
-- Dumping data for table `product_variant_prices`
--

/*!40000 ALTER TABLE `product_variant_prices` DISABLE KEYS */;
INSERT INTO `product_variant_prices` VALUES (450,31,1,6,'USD','0.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (2,1,0,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (3,1,0,7,'USD','30.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (4,1,0,8,'USD','45.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (5,1,0,9,'USD','60.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (6,2,2,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (7,2,0,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (8,2,0,7,'USD','30.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (9,2,0,8,'USD','45.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (10,2,0,9,'USD','60.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (11,3,2,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (12,3,0,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (13,3,0,7,'USD','30.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (14,3,0,8,'USD','45.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (15,3,0,9,'USD','60.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (16,4,2,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (17,4,0,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (18,4,0,7,'USD','30.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (19,4,0,8,'USD','45.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (20,4,0,9,'USD','60.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (21,5,2,6,'USD','24.95',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (22,5,0,6,'USD','24.95',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (23,5,0,7,'USD','49.95',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (24,5,0,8,'USD','45.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (25,5,0,9,'USD','60.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (26,6,2,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (27,6,0,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (28,6,0,7,'USD','30.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (29,6,0,8,'USD','45.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (30,6,0,9,'USD','60.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (31,7,2,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (32,7,0,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (33,7,0,7,'USD','30.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (34,7,0,8,'USD','45.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (35,7,0,9,'USD','60.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (36,8,2,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (37,8,0,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (38,8,0,7,'USD','30.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (39,8,0,8,'USD','45.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (40,8,0,9,'USD','60.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (41,9,2,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (42,9,0,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (43,9,0,7,'USD','30.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (44,9,0,8,'USD','45.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (45,9,0,9,'USD','60.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (51,11,2,6,'USD','24.95',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (52,11,0,6,'USD','24.95',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (53,11,0,7,'USD','49.95',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (54,11,0,8,'USD','45.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (55,11,0,9,'USD','60.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (56,12,2,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (57,12,0,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (58,12,0,7,'USD','30.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (59,12,0,8,'USD','45.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (60,12,0,9,'USD','60.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (61,13,2,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (62,13,0,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (63,13,0,7,'USD','30.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (64,13,0,8,'USD','45.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (65,13,0,9,'USD','60.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (66,14,2,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (67,14,0,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (68,14,0,7,'USD','30.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (69,14,0,8,'USD','45.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (70,14,0,9,'USD','60.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (71,15,2,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (72,15,0,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (73,15,0,7,'USD','30.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (74,15,0,8,'USD','45.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (75,15,0,9,'USD','60.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (76,16,2,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (77,16,0,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (78,16,0,7,'USD','30.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (79,16,0,8,'USD','45.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (80,16,0,9,'USD','60.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (81,17,2,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (82,17,0,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (83,17,0,7,'USD','30.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (84,17,0,8,'USD','45.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (85,17,0,9,'USD','60.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (86,18,2,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (87,18,0,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (88,18,0,7,'USD','30.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (89,18,0,8,'USD','45.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (90,18,0,9,'USD','60.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (91,19,2,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (92,19,0,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (93,19,0,7,'USD','30.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (94,19,0,8,'USD','45.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (95,19,0,9,'USD','60.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (96,20,2,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (97,20,0,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (98,20,0,7,'USD','30.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (99,20,0,8,'USD','45.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (100,20,0,9,'USD','60.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (101,21,2,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (102,21,0,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (103,21,0,7,'USD','30.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (104,21,0,8,'USD','45.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (105,21,0,9,'USD','60.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (106,22,2,6,'USD','24.95',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (107,22,0,6,'USD','24.95',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (108,22,0,7,'USD','49.95',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (109,22,0,8,'USD','45.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (110,22,0,9,'USD','60.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (111,23,2,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (112,23,0,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (113,23,0,7,'USD','30.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (114,23,0,8,'USD','45.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (115,23,0,9,'USD','60.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (116,24,2,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (117,24,0,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (118,24,0,7,'USD','30.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (119,24,0,8,'USD','45.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (120,24,0,9,'USD','60.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (121,25,2,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (122,25,0,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (123,25,0,7,'USD','30.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (124,25,0,8,'USD','45.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (125,25,0,9,'USD','60.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (126,26,2,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (127,26,0,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (128,26,0,7,'USD','30.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (129,26,0,8,'USD','45.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (130,26,0,9,'USD','60.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (131,27,2,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (132,27,0,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (133,27,0,7,'USD','30.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (134,27,0,8,'USD','45.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (135,27,0,9,'USD','60.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (136,28,2,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (137,28,0,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (138,28,0,7,'USD','30.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (139,28,0,8,'USD','45.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (140,28,0,9,'USD','60.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (141,29,2,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (142,29,0,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (143,29,0,7,'USD','30.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (144,29,0,8,'USD','45.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (145,29,0,9,'USD','60.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (146,30,2,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (147,30,0,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (148,30,0,7,'USD','30.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (149,30,0,8,'USD','45.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (150,30,0,9,'USD','60.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (151,31,2,6,'USD','24.95',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (152,31,0,6,'USD','24.95',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (153,31,0,7,'USD','49.95',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (154,31,0,8,'USD','45.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (155,31,0,9,'USD','60.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (156,32,2,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (157,32,0,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (158,32,0,7,'USD','30.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (159,32,0,8,'USD','45.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (160,32,0,9,'USD','60.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (161,33,2,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (162,33,0,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (163,33,0,7,'USD','30.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (164,33,0,8,'USD','45.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (165,33,0,9,'USD','60.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (166,34,2,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (167,34,0,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (168,34,0,7,'USD','30.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (169,34,0,8,'USD','45.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (170,34,0,9,'USD','60.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (171,35,2,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (172,35,0,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (173,35,0,7,'USD','30.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (174,35,0,8,'USD','45.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (175,35,0,9,'USD','60.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (176,36,2,6,'USD','24.95',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (177,36,0,6,'USD','24.95',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (178,36,0,7,'USD','49.95',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (179,36,0,8,'USD','45.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (180,36,0,9,'USD','60.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (181,37,2,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (182,37,0,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (183,37,0,7,'USD','30.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (184,37,0,8,'USD','45.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (185,37,0,9,'USD','60.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (186,38,2,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (187,38,0,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (188,38,0,7,'USD','30.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (189,38,0,8,'USD','45.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (190,38,0,9,'USD','60.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (191,39,2,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (192,39,0,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (193,39,0,7,'USD','30.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (194,39,0,8,'USD','45.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (195,39,0,9,'USD','60.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (196,40,2,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (197,40,0,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (198,40,0,7,'USD','30.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (199,40,0,8,'USD','45.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (200,40,0,9,'USD','60.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (201,41,2,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (202,41,0,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (203,41,0,7,'USD','30.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (204,41,0,8,'USD','45.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (205,41,0,9,'USD','60.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (206,42,2,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (207,42,0,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (208,42,0,7,'USD','30.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (209,42,0,8,'USD','45.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (210,42,0,9,'USD','60.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (211,43,2,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (212,43,0,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (213,43,0,7,'USD','30.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (214,43,0,8,'USD','45.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (215,43,0,9,'USD','60.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (216,44,2,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (217,44,0,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (218,44,0,7,'USD','30.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (219,44,0,8,'USD','45.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (220,44,0,9,'USD','60.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (221,45,2,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (222,45,0,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (223,45,0,7,'USD','30.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (224,45,0,8,'USD','45.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (225,45,0,9,'USD','60.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (226,46,2,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (227,46,0,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (228,46,0,7,'USD','30.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (229,46,0,8,'USD','45.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (230,46,0,9,'USD','60.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (231,47,2,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (232,47,0,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (233,47,0,7,'USD','30.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (234,47,0,8,'USD','45.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (235,47,0,9,'USD','60.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (236,48,2,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (237,48,0,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (238,48,0,7,'USD','30.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (239,48,0,8,'USD','45.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (240,48,0,9,'USD','60.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (241,49,2,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (242,49,0,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (243,49,0,7,'USD','30.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (244,49,0,8,'USD','45.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (245,49,0,9,'USD','60.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (246,50,2,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (247,50,0,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (248,50,0,7,'USD','30.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (249,50,0,8,'USD','45.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (250,50,0,9,'USD','60.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (251,51,2,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (252,51,0,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (253,51,0,7,'USD','30.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (254,51,0,8,'USD','45.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (255,51,0,9,'USD','60.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (256,52,2,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (257,52,0,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (258,52,0,7,'USD','30.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (259,52,0,8,'USD','45.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (260,52,0,9,'USD','60.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (261,53,2,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (262,53,0,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (263,53,0,7,'USD','30.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (264,53,0,8,'USD','45.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (265,53,0,9,'USD','60.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (266,54,2,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (267,54,0,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (268,54,0,7,'USD','30.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (269,54,0,8,'USD','45.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (270,54,0,9,'USD','60.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (271,55,2,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (272,55,0,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (273,55,0,7,'USD','30.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (274,55,0,8,'USD','45.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (275,55,0,9,'USD','60.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (276,56,2,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (277,56,0,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (278,56,0,7,'USD','30.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (279,56,0,8,'USD','45.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (280,56,0,9,'USD','60.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (281,57,2,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (282,57,0,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (283,57,0,7,'USD','30.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (284,57,0,8,'USD','45.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (285,57,0,9,'USD','60.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (286,58,2,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (287,58,0,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (288,58,0,7,'USD','30.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (289,58,0,8,'USD','45.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (290,58,0,9,'USD','60.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (291,59,2,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (292,59,0,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (293,59,0,7,'USD','30.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (294,59,0,8,'USD','45.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (295,59,0,9,'USD','60.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (296,60,2,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (297,60,0,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (298,60,0,7,'USD','30.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (299,60,0,8,'USD','45.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (300,60,0,9,'USD','60.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (301,61,2,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (302,61,0,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (303,61,0,7,'USD','30.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (304,61,0,8,'USD','45.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (305,61,0,9,'USD','60.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (306,62,2,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (307,62,0,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (308,62,0,7,'USD','30.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (309,62,0,8,'USD','45.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (310,62,0,9,'USD','60.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (311,63,2,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (312,63,0,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (313,63,0,7,'USD','30.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (314,63,0,8,'USD','45.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (315,63,0,9,'USD','60.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (316,64,2,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (317,64,0,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (318,64,0,7,'USD','30.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (319,64,0,8,'USD','45.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (320,64,0,9,'USD','60.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (321,65,2,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (322,65,0,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (323,65,0,7,'USD','30.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (324,65,0,8,'USD','45.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (325,65,0,9,'USD','60.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (326,66,2,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (327,66,0,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (328,66,0,7,'USD','30.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (329,66,0,8,'USD','45.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (330,66,0,9,'USD','60.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (331,67,2,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (332,67,0,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (333,67,0,7,'USD','30.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (334,67,0,8,'USD','45.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (335,67,0,9,'USD','60.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (336,68,2,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (337,68,0,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (338,68,0,7,'USD','30.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (339,68,0,8,'USD','45.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (340,68,0,9,'USD','60.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (341,69,2,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (342,69,0,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (343,69,0,7,'USD','30.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (344,69,0,8,'USD','45.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (345,69,0,9,'USD','60.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (346,70,2,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (347,70,0,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (348,70,0,7,'USD','30.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (349,70,0,8,'USD','45.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (350,70,0,9,'USD','60.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (351,71,2,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (352,71,0,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (353,71,0,7,'USD','30.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (354,71,0,8,'USD','45.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (355,71,0,9,'USD','60.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (356,72,2,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (357,72,0,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (358,72,0,7,'USD','30.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (359,72,0,8,'USD','45.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (360,72,0,9,'USD','60.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (361,73,2,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (362,73,0,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (363,73,0,7,'USD','30.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (364,73,0,8,'USD','45.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (365,73,0,9,'USD','60.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (366,74,2,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (367,74,0,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (368,74,0,7,'USD','30.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (369,74,0,8,'USD','45.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (370,74,0,9,'USD','60.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (371,75,2,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (372,75,0,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (373,75,0,7,'USD','30.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (374,75,0,8,'USD','45.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (375,75,0,9,'USD','60.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (376,76,2,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (377,76,0,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (378,76,0,7,'USD','30.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (379,76,0,8,'USD','45.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (380,76,0,9,'USD','60.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (381,77,2,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (382,77,0,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (383,77,0,7,'USD','30.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (384,77,0,8,'USD','45.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (385,77,0,9,'USD','60.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (386,78,2,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (387,78,0,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (388,78,0,7,'USD','30.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (389,78,0,8,'USD','45.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (390,78,0,9,'USD','60.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (391,79,2,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (392,79,0,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (393,79,0,7,'USD','30.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (394,79,0,8,'USD','45.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (395,79,0,9,'USD','60.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (396,80,2,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (397,80,0,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (398,80,0,7,'USD','30.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (399,80,0,8,'USD','45.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (400,80,0,9,'USD','60.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (401,81,2,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (402,81,0,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (403,81,0,7,'USD','30.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (404,81,0,8,'USD','45.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (405,81,0,9,'USD','60.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (406,82,2,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (407,82,0,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (408,82,0,7,'USD','30.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (409,82,0,8,'USD','45.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (410,82,0,9,'USD','60.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (411,83,2,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (412,83,0,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (413,83,0,7,'USD','30.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (414,83,0,8,'USD','45.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (415,83,0,9,'USD','60.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (416,84,2,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (417,84,0,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (418,84,0,7,'USD','30.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (419,84,0,8,'USD','45.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (420,84,0,9,'USD','60.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (421,85,2,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (422,85,0,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (423,85,0,7,'USD','30.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (424,85,0,8,'USD','45.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (425,85,0,9,'USD','60.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (426,86,2,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (427,86,0,6,'USD','15.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (428,86,0,7,'USD','30.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (429,86,0,8,'USD','45.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (430,86,0,9,'USD','60.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (431,87,0,3,'USD','7.95',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (432,88,0,3,'USD','10.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (433,89,0,3,'USD','29.95',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (434,90,0,1,'USD','0.01',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (483,97,2,7,'USD','0.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (482,97,4,7,'USD','0.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (481,97,3,7,'USD','0.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (480,97,1,7,'USD','0.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (479,97,0,7,'USD','49.95',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (444,36,1,6,'USD','0.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (445,36,3,6,'USD','0.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (446,36,4,6,'USD','0.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (447,36,1,7,'USD','0.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (448,36,3,7,'USD','0.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (449,36,4,7,'USD','0.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (451,31,3,6,'USD','0.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (452,31,4,6,'USD','0.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (453,31,1,7,'USD','0.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (454,31,3,7,'USD','0.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (455,31,4,7,'USD','0.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (456,22,1,6,'USD','0.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (457,22,3,6,'USD','0.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (458,22,4,6,'USD','0.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (459,22,1,7,'USD','0.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (460,22,3,7,'USD','0.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (461,22,4,7,'USD','0.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (462,11,1,6,'USD','0.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (463,11,3,6,'USD','0.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (464,11,4,6,'USD','0.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (465,11,1,7,'USD','0.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (466,11,3,7,'USD','0.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (467,11,4,7,'USD','0.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (468,5,1,6,'USD','0.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (469,5,3,6,'USD','0.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (470,5,4,6,'USD','0.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (471,5,1,7,'USD','0.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (472,5,3,7,'USD','0.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (473,5,4,7,'USD','0.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (484,87,1,3,'USD','0.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (485,87,3,3,'USD','0.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (486,87,4,3,'USD','0.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (487,89,1,3,'USD','0.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (488,89,3,3,'USD','0.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (489,89,4,3,'USD','0.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (490,98,0,3,'USD','2.95',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (491,98,1,3,'USD','0.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (492,99,0,3,'USD','5.95',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (493,99,1,3,'USD','0.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (494,100,0,3,'USD','8.95',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (495,100,1,3,'USD','0.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (496,101,0,3,'USD','1.95',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (497,101,1,3,'USD','0.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (498,102,0,3,'USD','3.95',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (499,102,1,3,'USD','0.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (500,103,0,3,'USD','7.95',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (501,103,1,3,'USD','0.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (502,100,3,3,'USD','0.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (503,100,4,3,'USD','0.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (504,99,3,3,'USD','0.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (505,99,4,3,'USD','0.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (506,98,3,3,'USD','0.00',NULL,'0.00');
INSERT INTO `product_variant_prices` VALUES (507,98,4,3,'USD','0.00',NULL,'0.00');
/*!40000 ALTER TABLE `product_variant_prices` ENABLE KEYS */;

--
-- Table structure for table `product_variants`
--

DROP TABLE IF EXISTS `product_variants`;


CREATE TABLE `product_variants` (
  `product_variant_id` int(8) unsigned NOT NULL auto_increment,
  `product_variant_display_name` varchar(100) default NULL,
  `product_variant_active` tinyint(3) unsigned default NULL,
  `product_id` int(10) unsigned default NULL,
  `product_variable_value_id` smallint(5) unsigned default NULL,
  `tld_id` int(8) unsigned default NULL,
  `tax_zone_group_id` smallint(5) unsigned default NULL,
  `cycle_discount_group_id` smallint(5) unsigned default NULL,
  `invoicing_group_id` smallint(5) unsigned default '0',
  PRIMARY KEY  (`product_variant_id`),
  KEY `product_id` (`product_id`),
  KEY `product_variable_value_id` (`product_variable_value_id`),
  KEY `tld_id` (`tld_id`),
  KEY `tax_zone_group_id` (`tax_zone_group_id`),
  KEY `cycle_discount_group_id` (`cycle_discount_group_id`),
  KEY `invoicing_group_id` (`invoicing_group_id`)
) ENGINE=MyISAM AUTO_INCREMENT=104;


--
-- Dumping data for table `product_variants`
--

/*!40000 ALTER TABLE `product_variants` DISABLE KEYS */;
INSERT INTO `product_variants` VALUES (1,'Dot ac domain registration.',0,1,NULL,1,NULL,NULL,0);
INSERT INTO `product_variants` VALUES (2,'Dot am domain registration.',0,1,NULL,2,NULL,NULL,0);
INSERT INTO `product_variants` VALUES (3,'Dot at domain registration.',0,1,NULL,47,NULL,NULL,0);
INSERT INTO `product_variants` VALUES (4,'Dot be domain registration.',0,1,NULL,48,NULL,NULL,0);
INSERT INTO `product_variants` VALUES (5,'Dot biz domain registration.',1,1,NULL,5,0,0,0);
INSERT INTO `product_variants` VALUES (6,'Dot ca domain registration.',0,1,NULL,6,NULL,NULL,0);
INSERT INTO `product_variants` VALUES (7,'Dot cc domain registration.',0,1,NULL,7,NULL,NULL,0);
INSERT INTO `product_variants` VALUES (8,'Dot cn domain registration.',0,1,NULL,8,NULL,NULL,0);
INSERT INTO `product_variants` VALUES (9,'Dot co.in domain registration.',0,1,NULL,9,NULL,NULL,0);
INSERT INTO `product_variants` VALUES (11,'Dot com domain registration.',1,1,NULL,11,0,0,0);
INSERT INTO `product_variants` VALUES (12,'Dot com.cn domain registration.',0,1,NULL,12,NULL,NULL,0);
INSERT INTO `product_variants` VALUES (13,'Dot com.mx domain registration.',0,1,NULL,13,NULL,NULL,0);
INSERT INTO `product_variants` VALUES (14,'Dot com.tw domain registration.',0,1,NULL,14,NULL,NULL,0);
INSERT INTO `product_variants` VALUES (15,'Dot de domain registration.',0,1,NULL,51,NULL,NULL,0);
INSERT INTO `product_variants` VALUES (16,'Dot eu domain registration.',0,1,NULL,16,NULL,NULL,0);
INSERT INTO `product_variants` VALUES (17,'Dot firm.in domain registration.',0,1,NULL,17,NULL,NULL,0);
INSERT INTO `product_variants` VALUES (18,'Dot gen.in domain registration.',0,1,NULL,18,NULL,NULL,0);
INSERT INTO `product_variants` VALUES (19,'Dot idv.tw domain registration.',0,1,NULL,19,NULL,NULL,0);
INSERT INTO `product_variants` VALUES (20,'Dot in domain registration.',0,1,NULL,20,NULL,NULL,0);
INSERT INTO `product_variants` VALUES (21,'Dot ind.in domain registration.',0,1,NULL,21,NULL,NULL,0);
INSERT INTO `product_variants` VALUES (22,'Dot info domain registration.',1,1,NULL,22,0,0,0);
INSERT INTO `product_variants` VALUES (23,'Dot io domain registration.',0,1,NULL,23,NULL,NULL,0);
INSERT INTO `product_variants` VALUES (24,'Dot it domain registration.',0,1,NULL,61,NULL,NULL,0);
INSERT INTO `product_variants` VALUES (25,'Dot jobs domain registration.',0,1,NULL,25,NULL,NULL,0);
INSERT INTO `product_variants` VALUES (26,'Dot jp domain registration.',0,1,NULL,26,NULL,NULL,0);
INSERT INTO `product_variants` VALUES (27,'Dot kids.us domain registration.',0,1,NULL,27,NULL,NULL,0);
INSERT INTO `product_variants` VALUES (28,'Dot me.uk domain registration.',0,1,NULL,28,NULL,NULL,0);
INSERT INTO `product_variants` VALUES (29,'Dot mobi domain registration.',0,1,NULL,29,NULL,NULL,0);
INSERT INTO `product_variants` VALUES (30,'Dot name domain registration.',0,1,NULL,30,NULL,NULL,0);
INSERT INTO `product_variants` VALUES (31,'Dot net domain registration.',1,1,NULL,31,0,0,0);
INSERT INTO `product_variants` VALUES (32,'Dot net.in domain registration.',0,1,NULL,32,NULL,NULL,0);
INSERT INTO `product_variants` VALUES (33,'Dot net.cn domain registration.',0,1,NULL,33,NULL,NULL,0);
INSERT INTO `product_variants` VALUES (34,'Dot nl domain registration.',0,1,NULL,66,NULL,NULL,0);
INSERT INTO `product_variants` VALUES (35,'Dot nu domain registration.',0,1,NULL,35,NULL,NULL,0);
INSERT INTO `product_variants` VALUES (36,'Dot org domain registration.',1,1,NULL,36,0,0,0);
INSERT INTO `product_variants` VALUES (37,'Dot org.cn domain registration.',0,1,NULL,37,NULL,NULL,0);
INSERT INTO `product_variants` VALUES (38,'Dot org.in domain registration.',0,1,NULL,38,NULL,NULL,0);
INSERT INTO `product_variants` VALUES (39,'Dot org.tw domain registration.',0,1,NULL,39,NULL,NULL,0);
INSERT INTO `product_variants` VALUES (40,'Dot org.uk domain registration.',0,1,NULL,40,NULL,NULL,0);
INSERT INTO `product_variants` VALUES (41,'Dot sh domain registration.',0,1,NULL,41,NULL,NULL,0);
INSERT INTO `product_variants` VALUES (42,'Dot tm domain registration.',0,1,NULL,42,NULL,NULL,0);
INSERT INTO `product_variants` VALUES (43,'Dot tv domain registration.',0,1,NULL,43,NULL,NULL,0);
INSERT INTO `product_variants` VALUES (44,'Dot tw domain registration.',0,1,NULL,44,NULL,NULL,0);
INSERT INTO `product_variants` VALUES (45,'Dot us domain registration.',0,1,NULL,45,NULL,NULL,0);
INSERT INTO `product_variants` VALUES (46,'Dot ws domain registration.',0,1,NULL,46,NULL,NULL,0);
INSERT INTO `product_variants` VALUES (47,'Dot ch domain registration.',0,1,NULL,49,NULL,NULL,0);
INSERT INTO `product_variants` VALUES (48,'Dot cz domain registration.',0,1,NULL,50,NULL,NULL,0);
INSERT INTO `product_variants` VALUES (49,'Dot dk domain registration.',0,1,NULL,52,NULL,NULL,0);
INSERT INTO `product_variants` VALUES (50,'Dot co.ee domain registration.',0,1,NULL,53,NULL,NULL,0);
INSERT INTO `product_variants` VALUES (51,'Dot es domain registration.',0,1,NULL,54,NULL,NULL,0);
INSERT INTO `product_variants` VALUES (52,'Dot com.es domain registration.',0,1,NULL,55,NULL,NULL,0);
INSERT INTO `product_variants` VALUES (53,'Dot org.es domain registration.',0,1,NULL,56,NULL,NULL,0);
INSERT INTO `product_variants` VALUES (54,'Dot fr domain registration.',0,1,NULL,57,NULL,NULL,0);
INSERT INTO `product_variants` VALUES (55,'Dot gr domain registration.',0,1,NULL,58,NULL,NULL,0);
INSERT INTO `product_variants` VALUES (56,'Dot hu domain registration.',0,1,NULL,59,NULL,NULL,0);
INSERT INTO `product_variants` VALUES (57,'Dot ie domain registration.',0,1,NULL,60,NULL,NULL,0);
INSERT INTO `product_variants` VALUES (58,'Dot li domain registration.',0,1,NULL,62,NULL,NULL,0);
INSERT INTO `product_variants` VALUES (59,'Dot lt domain registration.',0,1,NULL,63,NULL,NULL,0);
INSERT INTO `product_variants` VALUES (60,'Dot lu domain registration.',0,1,NULL,64,NULL,NULL,0);
INSERT INTO `product_variants` VALUES (61,'Dot lv domain registration.',0,1,NULL,65,NULL,NULL,0);
INSERT INTO `product_variants` VALUES (62,'Dot com.pt domain registration.',0,1,NULL,67,NULL,NULL,0);
INSERT INTO `product_variants` VALUES (63,'Dot se domain registration.',0,1,NULL,68,NULL,NULL,0);
INSERT INTO `product_variants` VALUES (64,'Dot sk domain registration.',0,1,NULL,69,NULL,NULL,0);
INSERT INTO `product_variants` VALUES (65,'Dot ro domain registration.',0,1,NULL,70,NULL,NULL,0);
INSERT INTO `product_variants` VALUES (66,'Dot ru domain registration.',0,1,NULL,71,NULL,NULL,0);
INSERT INTO `product_variants` VALUES (67,'Dot la domain registration.',0,1,NULL,73,NULL,NULL,0);
INSERT INTO `product_variants` VALUES (68,'Dot br.com domain registration.',0,1,NULL,74,NULL,NULL,0);
INSERT INTO `product_variants` VALUES (69,'Dot cn.com domain registration.',0,1,NULL,75,NULL,NULL,0);
INSERT INTO `product_variants` VALUES (70,'Dot de.com domain registration.',0,1,NULL,76,NULL,NULL,0);
INSERT INTO `product_variants` VALUES (71,'Dot eu.com domain registration.',0,1,NULL,77,NULL,NULL,0);
INSERT INTO `product_variants` VALUES (72,'Dot hu.com domain registration.',0,1,NULL,78,NULL,NULL,0);
INSERT INTO `product_variants` VALUES (73,'Dot no.com domain registration.',0,1,NULL,79,NULL,NULL,0);
INSERT INTO `product_variants` VALUES (74,'Dot qc.com domain registration.',0,1,NULL,80,NULL,NULL,0);
INSERT INTO `product_variants` VALUES (75,'Dot ru.com domain registration.',0,1,NULL,81,NULL,NULL,0);
INSERT INTO `product_variants` VALUES (76,'Dot sa.com domain registration.',0,1,NULL,82,NULL,NULL,0);
INSERT INTO `product_variants` VALUES (77,'Dot se.com domain registration.',0,1,NULL,83,NULL,NULL,0);
INSERT INTO `product_variants` VALUES (78,'Dot se.net domain registration.',0,1,NULL,84,NULL,NULL,0);
INSERT INTO `product_variants` VALUES (79,'Dot uk.com domain registration.',0,1,NULL,85,NULL,NULL,0);
INSERT INTO `product_variants` VALUES (80,'Dot uk.net domain registration.',0,1,NULL,86,NULL,NULL,0);
INSERT INTO `product_variants` VALUES (81,'Dot us.com domain registration.',0,1,NULL,87,NULL,NULL,0);
INSERT INTO `product_variants` VALUES (82,'Dot uy.com domain registration.',0,1,NULL,88,NULL,NULL,0);
INSERT INTO `product_variants` VALUES (83,'Dot za.com domain registration.',0,1,NULL,89,NULL,NULL,0);
INSERT INTO `product_variants` VALUES (84,'Dot cpa.pro domain registration.',0,1,NULL,90,NULL,NULL,0);
INSERT INTO `product_variants` VALUES (85,'Dot law.pro domain registration.',0,1,NULL,91,NULL,NULL,0);
INSERT INTO `product_variants` VALUES (86,'Dot med.pro domain registration.',0,1,NULL,92,NULL,NULL,0);
INSERT INTO `product_variants` VALUES (87,'',1,2,NULL,0,0,0,0);
INSERT INTO `product_variants` VALUES (88,'',1,3,NULL,0,NULL,NULL,0);
INSERT INTO `product_variants` VALUES (89,'',1,4,NULL,0,0,0,0);
INSERT INTO `product_variants` VALUES (90,'General Service',1,5,NULL,0,NULL,NULL,0);
INSERT INTO `product_variants` VALUES (91,'',0,1,NULL,3,NULL,NULL,0);
INSERT INTO `product_variants` VALUES (92,'',0,1,NULL,4,NULL,NULL,0);
INSERT INTO `product_variants` VALUES (94,'',0,1,NULL,15,NULL,NULL,0);
INSERT INTO `product_variants` VALUES (95,'',0,1,NULL,24,NULL,NULL,0);
INSERT INTO `product_variants` VALUES (96,'',0,1,NULL,34,NULL,NULL,0);
INSERT INTO `product_variants` VALUES (97,'Dot co.uk domain registration.',1,1,NULL,10,0,0,0);
INSERT INTO `product_variants` VALUES (98,NULL,1,6,NULL,0,0,0,0);
INSERT INTO `product_variants` VALUES (99,NULL,1,7,NULL,0,0,0,0);
INSERT INTO `product_variants` VALUES (100,NULL,1,8,NULL,0,0,0,0);
INSERT INTO `product_variants` VALUES (101,NULL,1,9,NULL,0,NULL,NULL,0);
INSERT INTO `product_variants` VALUES (102,NULL,1,10,NULL,0,NULL,NULL,0);
INSERT INTO `product_variants` VALUES (103,NULL,1,11,NULL,0,NULL,NULL,0);
/*!40000 ALTER TABLE `product_variants` ENABLE KEYS */;

--
-- Table structure for table `product_vendor_qties`
--

DROP TABLE IF EXISTS `product_vendor_qties`;


CREATE TABLE `product_vendor_qties` (
  `product_vendor_qty_id` int(10) unsigned NOT NULL auto_increment,
  `quantity_available` int(10) default NULL,
  `quantity_unavailable` int(10) default NULL,
  PRIMARY KEY  (`product_vendor_qty_id`),
  KEY `quantity_available` (`quantity_available`),
  KEY `quantity_unavailable` (`quantity_unavailable`)
) ENGINE=MyISAM;


--
-- Dumping data for table `product_vendor_qties`
--

/*!40000 ALTER TABLE `product_vendor_qties` DISABLE KEYS */;
/*!40000 ALTER TABLE `product_vendor_qties` ENABLE KEYS */;

--
-- Table structure for table `product_vendor_qty_rel`
--

DROP TABLE IF EXISTS `product_vendor_qty_rel`;


CREATE TABLE `product_vendor_qty_rel` (
  `product_variant_id` int(10) unsigned NOT NULL default '0',
  `vendor_id` smallint(5) unsigned NOT NULL default '0',
  `product_vendor_qty_id` int(10) unsigned default NULL,
  PRIMARY KEY  (`product_variant_id`,`vendor_id`),
  KEY `product_vendor_qty_id` (`product_vendor_qty_id`)
) ENGINE=MyISAM;


--
-- Dumping data for table `product_vendor_qty_rel`
--

/*!40000 ALTER TABLE `product_vendor_qty_rel` DISABLE KEYS */;
/*!40000 ALTER TABLE `product_vendor_qty_rel` ENABLE KEYS */;

--
-- Table structure for table `product_vendor_rel`
--

DROP TABLE IF EXISTS `product_vendor_rel`;


CREATE TABLE `product_vendor_rel` (
  `product_id` int(10) unsigned NOT NULL default '0',
  `vendor_id` smallint(5) unsigned NOT NULL default '0',
  `vendor_product_id` int(10) unsigned NOT NULL default '0',
  `vendor_order_form_id` smallint(5) unsigned NOT NULL default '0',
  `vendor_product_variant_id` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`product_id`,`vendor_id`,`vendor_product_id`,`vendor_order_form_id`,`vendor_product_variant_id`)
) ENGINE=MyISAM;


--
-- Dumping data for table `product_vendor_rel`
--

/*!40000 ALTER TABLE `product_vendor_rel` DISABLE KEYS */;
/*!40000 ALTER TABLE `product_vendor_rel` ENABLE KEYS */;

--
-- Table structure for table `products`
--

DROP TABLE IF EXISTS `products`;


CREATE TABLE `products` (
  `product_id` int(10) unsigned NOT NULL auto_increment,
  `product_type` tinyint(3) unsigned default NULL,
  `product_variable_id` smallint(5) unsigned default NULL,
  `product_is_lockable` tinyint(3) unsigned default '0',
  `product_is_addon` tinyint(1) unsigned default '0',
  `product_invoice_separately` tinyint(1) unsigned default '0',
  `product_addon_group_id` smallint(5) unsigned default '0',
  `product_addon_attribute_name` varchar(255) default NULL,
  `product_name` varchar(100) default NULL,
  `product_comments` longtext,
  `product_stop_num_cycles` int(10) unsigned default NULL,
  `product_active` tinyint(1) unsigned default NULL,
  `product_proratable` tinyint(1) unsigned default NULL,
  `product_discountable` tinyint(1) unsigned default '1',
  `product_date_created` int(10) unsigned default NULL,
  `product_domain_required` tinyint(3) unsigned default NULL,
  `product_addon_required` tinyint(3) unsigned default NULL,
  `product_intro_cycle_id` smallint(5) unsigned default NULL,
  `product_intro_num_cycles` smallint(5) unsigned default NULL,
  `email_tpl_group_id` smallint(5) unsigned default NULL,
  `notify_admin_group_id` smallint(5) unsigned default NULL,
  `product_cancellation_type` tinyint(3) unsigned NOT NULL default '0',
  PRIMARY KEY  (`product_id`),
  KEY `product_type` (`product_type`),
  KEY `product_variable_id` (`product_variable_id`),
  KEY `product_active` (`product_active`),
  KEY `product_proratable` (`product_proratable`),
  KEY `product_is_lockable` (`product_is_lockable`),
  KEY `product_invoice_separately` (`product_invoice_separately`),
  KEY `product_addon_group_id` (`product_addon_group_id`)
) ENGINE=MyISAM AUTO_INCREMENT=12;


--
-- Dumping data for table `products`
--

/*!40000 ALTER TABLE `products` DISABLE KEYS */;
INSERT INTO `products` VALUES (1,3,NULL,0,0,0,0,NULL,'Domains','Domain registration or transfer.',NULL,1,0,1,1208548655,2,2,NULL,NULL,NULL,NULL,0);
INSERT INTO `products` VALUES (2,1,0,0,0,0,0,NULL,'Bronze Hosting','Bronze website hosting, includes basic domain hosting with email.',0,1,1,1,1208548658,1,0,NULL,NULL,1,0,0);
INSERT INTO `products` VALUES (3,1,0,0,0,0,0,NULL,'Silver Hosting','Silver website hosting, includes domain hosting with email and database access.',0,1,1,1,1208548658,1,0,NULL,NULL,1,0,0);
INSERT INTO `products` VALUES (4,1,0,0,0,0,0,NULL,'Gold Hosting','Gold website hosting, includes deluxe domain hosting with unlimited email and databases.',0,1,1,1,1208548658,1,0,NULL,NULL,1,0,0);
INSERT INTO `products` VALUES (5,2,NULL,0,0,0,0,NULL,'Service','General Service.',1,1,1,1,1208548658,1,2,NULL,NULL,NULL,NULL,0);
INSERT INTO `products` VALUES (6,1,NULL,0,1,0,1,'clientDiskSpace','1 Additional Gigabyte','',0,1,1,1,1211559572,2,2,0,0,NULL,NULL,0);
INSERT INTO `products` VALUES (7,1,NULL,0,1,0,1,'clientDiskSpace','2 Additional Gigabytes','',0,1,1,1,1211559572,2,2,0,0,NULL,NULL,0);
INSERT INTO `products` VALUES (8,1,NULL,0,1,0,1,'clientDiskSpace','5 Additional Gigabytes','',0,1,1,1,1211559572,2,2,0,0,NULL,NULL,0);
INSERT INTO `products` VALUES (9,1,NULL,0,1,0,2,'clientMaxMailbox','20 Additional E-mail Addresses','',0,1,1,1,1211559887,2,2,0,0,NULL,NULL,0);
INSERT INTO `products` VALUES (10,1,NULL,0,1,0,2,'clientMaxMailbox','100 Additional E-mail Addresses','',0,1,1,1,1211559887,2,2,0,0,NULL,NULL,0);
INSERT INTO `products` VALUES (11,1,NULL,0,1,0,2,'clientMaxMailbox','250 Additional E-mail Addresses','',0,1,1,1,1211559887,2,2,0,0,NULL,NULL,0);
/*!40000 ALTER TABLE `products` ENABLE KEYS */;

--
-- Table structure for table `question_value_map_mapping_rel`
--

DROP TABLE IF EXISTS `question_value_map_mapping_rel`;


CREATE TABLE `question_value_map_mapping_rel` (
  `value_map_id` smallint(5) unsigned NOT NULL default '0',
  `value_mapping_id` smallint(5) unsigned NOT NULL default '0',
  PRIMARY KEY  (`value_map_id`,`value_mapping_id`)
) ENGINE=MyISAM;


--
-- Dumping data for table `question_value_map_mapping_rel`
--

/*!40000 ALTER TABLE `question_value_map_mapping_rel` DISABLE KEYS */;
/*!40000 ALTER TABLE `question_value_map_mapping_rel` ENABLE KEYS */;

--
-- Table structure for table `question_value_mappings`
--

DROP TABLE IF EXISTS `question_value_mappings`;


CREATE TABLE `question_value_mappings` (
  `value_mapping_id` smallint(5) unsigned NOT NULL auto_increment,
  `value_mapping_value` varchar(255) default NULL,
  `attribute_map_id` int(10) unsigned default NULL,
  PRIMARY KEY  (`value_mapping_id`),
  KEY `attribute_map_id` (`attribute_map_id`)
) ENGINE=MyISAM;


--
-- Dumping data for table `question_value_mappings`
--

/*!40000 ALTER TABLE `question_value_mappings` DISABLE KEYS */;
/*!40000 ALTER TABLE `question_value_mappings` ENABLE KEYS */;

--
-- Table structure for table `question_value_maps`
--

DROP TABLE IF EXISTS `question_value_maps`;


CREATE TABLE `question_value_maps` (
  `value_map_id` smallint(5) unsigned NOT NULL auto_increment,
  `value_map_name` varchar(100) default NULL,
  PRIMARY KEY  (`value_map_id`),
  KEY `value_map_name` (`value_map_name`)
) ENGINE=MyISAM;


--
-- Dumping data for table `question_value_maps`
--

/*!40000 ALTER TABLE `question_value_maps` DISABLE KEYS */;
/*!40000 ALTER TABLE `question_value_maps` ENABLE KEYS */;

--
-- Table structure for table `report_totals`
--

DROP TABLE IF EXISTS `report_totals`;


CREATE TABLE `report_totals` (
  `report_date_created` int(10) unsigned NOT NULL default '0',
  `client_total_count` int(8) unsigned default NULL,
  `client_active_count` int(8) unsigned default NULL,
  `client_inactive_count` int(8) unsigned default NULL,
  `client_pending_count` int(8) unsigned default NULL,
  `client_canceled_count` int(8) unsigned default NULL,
  `client_fraud_count` int(8) unsigned default NULL,
  `package_new_count` int(8) unsigned default NULL,
  `package_new_sum` decimal(10,2) unsigned default NULL,
  `package_renew_count` int(8) unsigned default NULL,
  `package_renew_sum` decimal(10,2) unsigned default NULL,
  `invoice_total_count` int(8) unsigned default NULL,
  `invoice_total_sum` decimal(10,2) unsigned default NULL,
  `invoice_due_count` int(8) unsigned default NULL,
  `invoice_due_sum` decimal(10,2) unsigned default NULL,
  `invoice_paid_count` int(8) unsigned default NULL,
  `invoice_paid_sum` decimal(10,2) unsigned default NULL,
  `invoice_batch_count` int(8) unsigned default NULL,
  `invoice_batch_sum` decimal(10,2) unsigned default NULL,
  `invoice_declined_count` int(8) unsigned default NULL,
  `invoice_declined_sum` decimal(10,2) unsigned default NULL,
  `invoice_error_count` int(8) unsigned default NULL,
  `invoice_error_sum` decimal(10,2) unsigned default NULL,
  `registrar_debits` decimal(10,2) unsigned default NULL,
  `registrar_credits` decimal(10,2) unsigned default NULL,
  `domain_count` int(8) unsigned default NULL,
  `domain_exp_this` smallint(5) unsigned default NULL,
  `domain_exp_next` smallint(5) unsigned default NULL,
  `update_by` int(8) unsigned default NULL,
  `update_timestamp` int(10) unsigned default NULL,
  `report_saved` tinyint(3) unsigned default NULL,
  PRIMARY KEY  (`report_date_created`),
  KEY `update_by` (`update_by`),
  KEY `report_saved` (`report_saved`),
  KEY `update_timestamp` (`update_timestamp`)
) ENGINE=MyISAM;


--
-- Dumping data for table `report_totals`
--

/*!40000 ALTER TABLE `report_totals` DISABLE KEYS */;
/*!40000 ALTER TABLE `report_totals` ENABLE KEYS */;

--
-- Table structure for table `saved_orders`
--

DROP TABLE IF EXISTS `saved_orders`;


CREATE TABLE `saved_orders` (
  `saved_order_code` varchar(50) NOT NULL default '',
  `client_id` int(8) unsigned default NULL,
  `saved_order_date_modified` int(10) unsigned default NULL,
  PRIMARY KEY  (`saved_order_code`),
  KEY `client_id` (`client_id`),
  KEY `saved_order_date_modified` (`saved_order_date_modified`)
) ENGINE=MyISAM;


--
-- Dumping data for table `saved_orders`
--

/*!40000 ALTER TABLE `saved_orders` DISABLE KEYS */;
/*!40000 ALTER TABLE `saved_orders` ENABLE KEYS */;

--
-- Table structure for table `secret_answers`
--

DROP TABLE IF EXISTS `secret_answers`;


CREATE TABLE `secret_answers` (
  `secret_answer_id` int(10) unsigned NOT NULL auto_increment,
  `client_contact_id` int(10) unsigned default NULL,
  `question_type` tinyint(3) unsigned default NULL,
  `secret_answer` varchar(150) default NULL,
  PRIMARY KEY  (`secret_answer_id`),
  KEY `client_contact_id` (`client_contact_id`)
) ENGINE=MyISAM;


--
-- Dumping data for table `secret_answers`
--

/*!40000 ALTER TABLE `secret_answers` DISABLE KEYS */;
/*!40000 ALTER TABLE `secret_answers` ENABLE KEYS */;

--
-- Table structure for table `server_group_rel`
--

DROP TABLE IF EXISTS `server_group_rel`;


CREATE TABLE `server_group_rel` (
  `server_id` int(8) unsigned NOT NULL default '0',
  `server_group_id` smallint(5) unsigned NOT NULL default '0',
  PRIMARY KEY  (`server_id`,`server_group_id`)
) ENGINE=MyISAM;


--
-- Dumping data for table `server_group_rel`
--

/*!40000 ALTER TABLE `server_group_rel` DISABLE KEYS */;
INSERT INTO `server_group_rel` VALUES (74,1);
INSERT INTO `server_group_rel` VALUES (78,2);
/*!40000 ALTER TABLE `server_group_rel` ENABLE KEYS */;

--
-- Table structure for table `server_groups`
--

DROP TABLE IF EXISTS `server_groups`;


CREATE TABLE `server_groups` (
  `server_group_id` smallint(5) unsigned NOT NULL auto_increment,
  `server_group_name` varchar(75) default NULL,
  `server_group_fill_type` tinyint(3) unsigned default NULL,
  PRIMARY KEY  (`server_group_id`),
  KEY `server_group_fill_type` (`server_group_fill_type`)
) ENGINE=MyISAM AUTO_INCREMENT=3;


--
-- Dumping data for table `server_groups`
--

/*!40000 ALTER TABLE `server_groups` DISABLE KEYS */;
INSERT INTO `server_groups` VALUES (1,'PleskUnix',0);
INSERT INTO `server_groups` VALUES (2,'PleskWin',0);
/*!40000 ALTER TABLE `server_groups` ENABLE KEYS */;

--
-- Table structure for table `servers`
--

DROP TABLE IF EXISTS `servers`;


CREATE TABLE `servers` (
  `server_id` int(8) unsigned NOT NULL auto_increment,
  `server_name` varchar(75) default NULL,
  `server_ip` bigint(20) default NULL,
  `server_description` text,
  `server_status_id` tinyint(3) unsigned default NULL,
  `server_active` tinyint(3) unsigned default NULL,
  PRIMARY KEY  (`server_id`),
  KEY `server_status_id` (`server_status_id`),
  KEY `server_active` (`server_active`)
) ENGINE=MyISAM;


--
-- Dumping data for table `servers`
--

/*!40000 ALTER TABLE `servers` DISABLE KEYS */;
/*!40000 ALTER TABLE `servers` ENABLE KEYS */;

--
-- Table structure for table `sessions`
--

DROP TABLE IF EXISTS `sessions`;


CREATE TABLE `sessions` (
  `session_id` varchar(40) NOT NULL default '',
  `user_id` int(8) unsigned default NULL,
  `user_type` tinyint(3) unsigned default NULL,
  `session_date_created` int(10) unsigned default NULL,
  `session_date_accessed` int(10) unsigned default NULL,
  `session_date_expired` int(10) unsigned default NULL,
  `session_ip` bigint(20) default NULL,
  `session_headers` text,
  `session_active` tinyint(3) unsigned default '1',
  PRIMARY KEY  (`session_id`),
  KEY `user_id` (`user_id`),
  KEY `user_type` (`user_type`),
  KEY `session_ip` (`session_ip`),
  KEY `session_active` (`session_active`),
  KEY `session_date_expired` (`session_date_expired`),
  KEY `session_date_accessed` (`session_date_accessed`)
) ENGINE=MyISAM;


--
-- Dumping data for table `sessions`
--

/*!40000 ALTER TABLE `sessions` DISABLE KEYS */;
/*!40000 ALTER TABLE `sessions` ENABLE KEYS */;

--
-- Table structure for table `shopping_coupons`
--

DROP TABLE IF EXISTS `shopping_coupons`;


CREATE TABLE `shopping_coupons` (
  `shopping_session_id` varchar(255) default NULL,
  `coupon_id` smallint(5) unsigned default NULL,
  `shopping_coupon_type` tinyint(1) unsigned default '0',
  KEY `shopping_session_id` (`shopping_session_id`),
  KEY `coupon_id` (`coupon_id`)
) ENGINE=MyISAM;


--
-- Dumping data for table `shopping_coupons`
--

/*!40000 ALTER TABLE `shopping_coupons` DISABLE KEYS */;
/*!40000 ALTER TABLE `shopping_coupons` ENABLE KEYS */;

--
-- Table structure for table `shopping_items`
--

DROP TABLE IF EXISTS `shopping_items`;


CREATE TABLE `shopping_items` (
  `shopping_item_id` int(10) unsigned NOT NULL auto_increment,
  `shopping_session_id` varchar(255) default NULL,
  `product_id` int(10) unsigned default NULL,
  `product_variant_id` int(8) unsigned default NULL,
  `parent_shopping_item_id` int(10) unsigned default NULL,
  `shopping_item_primary_domain_id` int(10) unsigned default NULL,
  `cycle_id` smallint(5) unsigned default NULL,
  `currency_id` char(3) default NULL,
  `shopping_item_quantity` smallint(5) unsigned default NULL,
  `shopping_item_sld` varchar(255) default NULL,
  `shopping_item_tld` varchar(20) default NULL,
  `shopping_item_domain_type` tinyint(3) unsigned default NULL,
  `shopping_item_domain_language` char(3) default NULL,
  `shopping_item_transfer_key` varchar(255) default NULL,
  `shopping_item_price` decimal(10,2) unsigned default NULL,
  `shopping_item_setup_price` decimal(10,2) unsigned default NULL,
  `shopping_item_date_added` int(10) unsigned default NULL,
  PRIMARY KEY  (`shopping_item_id`),
  KEY `shopping_session_id` (`shopping_session_id`),
  KEY `product_id` (`product_id`),
  KEY `product_variant_id` (`product_variant_id`),
  KEY `parent_shopping_item_id` (`parent_shopping_item_id`),
  KEY `shopping_item_date_added` (`shopping_item_date_added`)
) ENGINE=MyISAM AUTO_INCREMENT=10;


--
-- Dumping data for table `shopping_items`
--

/*!40000 ALTER TABLE `shopping_items` DISABLE KEYS */;
/*!40000 ALTER TABLE `shopping_items` ENABLE KEYS */;

--
-- Table structure for table `shopping_items_domains_rel`
--

DROP TABLE IF EXISTS `shopping_items_domains_rel`;


CREATE TABLE `shopping_items_domains_rel` (
  `shopping_items_domains_rel_id` int(10) unsigned NOT NULL auto_increment,
  `shopping_item_id` int(10) unsigned default NULL,
  `shopping_items_domains_type` tinyint(1) unsigned default NULL,
  `domain_id` int(10) unsigned default NULL,
  `domain_sld` varchar(255) default NULL,
  `domain_tld` varchar(25) default NULL,
  `domain_shopping_item_id` int(10) unsigned default NULL,
  PRIMARY KEY  (`shopping_items_domains_rel_id`),
  KEY `domain_id` (`domain_id`),
  KEY `domain_shopping_item_id` (`domain_shopping_item_id`),
  KEY `shopping_item_id` (`shopping_item_id`)
) ENGINE=MyISAM AUTO_INCREMENT=3;


--
-- Dumping data for table `shopping_items_domains_rel`
--

/*!40000 ALTER TABLE `shopping_items_domains_rel` DISABLE KEYS */;
/*!40000 ALTER TABLE `shopping_items_domains_rel` ENABLE KEYS */;

--
-- Table structure for table `shopping_sessions`
--

DROP TABLE IF EXISTS `shopping_sessions`;


CREATE TABLE `shopping_sessions` (
  `shopping_session_id` varchar(255) NOT NULL default '',
  `client_id` int(8) unsigned default NULL,
  `client_contact_id` int(10) unsigned default NULL,
  `shopping_session_timestamp` int(10) unsigned default NULL,
  `shopping_session_ip` bigint(20) default NULL,
  `shopping_session_url` varchar(255) default NULL,
  `order_form_id` smallint(5) unsigned default NULL,
  `invoice_id` int(10) unsigned default NULL,
  `fraud_level_action` tinyint(3) unsigned default NULL,
  `fraud_level_action_status` tinyint(3) unsigned default NULL,
  `shopping_session_fingerprint` varchar(255) default NULL,
  `billing_account_id` int(10) unsigned default NULL,
  PRIMARY KEY  (`shopping_session_id`),
  KEY `client_id` (`client_id`),
  KEY `order_form_id` (`order_form_id`),
  KEY `shopping_session_ip` (`shopping_session_ip`),
  KEY `invoice_id` (`invoice_id`),
  KEY `billing_account_id` (`billing_account_id`),
  KEY `client_contact_id` (`client_contact_id`)
) ENGINE=MyISAM;


--
-- Dumping data for table `shopping_sessions`
--

/*!40000 ALTER TABLE `shopping_sessions` DISABLE KEYS */;
/*!40000 ALTER TABLE `shopping_sessions` ENABLE KEYS */;

--
-- Table structure for table `source_log`
--

DROP TABLE IF EXISTS `source_log`;


CREATE TABLE `source_log` (
  `source_log_id` bigint(20) unsigned NOT NULL auto_increment,
  `source_log_source_type` tinyint(4) default NULL,
  `source_log_user_type` tinyint(4) default NULL,
  `source_log_user_id` int(11) default NULL,
  `source_log_date_created` int(10) unsigned default NULL,
  PRIMARY KEY  (`source_log_id`),
  KEY `source_log_source_type` (`source_log_source_type`)
) ENGINE=MyISAM;


--
-- Dumping data for table `source_log`
--

/*!40000 ALTER TABLE `source_log` DISABLE KEYS */;
/*!40000 ALTER TABLE `source_log` ENABLE KEYS */;

--
-- Table structure for table `source_log_col`
--

DROP TABLE IF EXISTS `source_log_col`;


CREATE TABLE `source_log_col` (
  `source_log_col_id` bigint(20) unsigned NOT NULL auto_increment,
  `source_log_row_id` bigint(20) unsigned default NULL,
  `source_log_col_name` varchar(32) default NULL,
  `source_log_col_old_val` varchar(255) default NULL,
  `source_log_col_new_val` varchar(255) default NULL,
  PRIMARY KEY  (`source_log_col_id`),
  KEY `source_log_col_id` (`source_log_col_id`)
) ENGINE=MyISAM;


--
-- Dumping data for table `source_log_col`
--

/*!40000 ALTER TABLE `source_log_col` DISABLE KEYS */;
/*!40000 ALTER TABLE `source_log_col` ENABLE KEYS */;

--
-- Table structure for table `source_log_row`
--

DROP TABLE IF EXISTS `source_log_row`;


CREATE TABLE `source_log_row` (
  `source_log_row_id` bigint(20) unsigned NOT NULL auto_increment,
  `source_log_id` bigint(20) unsigned default NULL,
  `source_log_row_pri_key` int(10) unsigned default NULL,
  PRIMARY KEY  (`source_log_row_id`),
  KEY `source_log_id` (`source_log_id`),
  KEY `source_log_row_pri_key` (`source_log_row_pri_key`)
) ENGINE=MyISAM;


--
-- Dumping data for table `source_log_row`
--

/*!40000 ALTER TABLE `source_log_row` DISABLE KEYS */;
/*!40000 ALTER TABLE `source_log_row` ENABLE KEYS */;

--
-- Table structure for table `subscription_package_addon_rel`
--

DROP TABLE IF EXISTS `subscription_package_addon_rel`;


CREATE TABLE `subscription_package_addon_rel` (
  `subscription_id` int(10) unsigned NOT NULL default '0',
  `package_addon_id` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`subscription_id`,`package_addon_id`)
) ENGINE=MyISAM;


--
-- Dumping data for table `subscription_package_addon_rel`
--

/*!40000 ALTER TABLE `subscription_package_addon_rel` DISABLE KEYS */;
/*!40000 ALTER TABLE `subscription_package_addon_rel` ENABLE KEYS */;

--
-- Table structure for table `subscription_package_rel`
--

DROP TABLE IF EXISTS `subscription_package_rel`;


CREATE TABLE `subscription_package_rel` (
  `subscription_id` int(8) unsigned NOT NULL default '0',
  `package_id` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`subscription_id`,`package_id`)
) ENGINE=MyISAM;


--
-- Dumping data for table `subscription_package_rel`
--

/*!40000 ALTER TABLE `subscription_package_rel` DISABLE KEYS */;
/*!40000 ALTER TABLE `subscription_package_rel` ENABLE KEYS */;

--
-- Table structure for table `subscriptions`
--

DROP TABLE IF EXISTS `subscriptions`;


CREATE TABLE `subscriptions` (
  `subscription_id` int(8) unsigned NOT NULL auto_increment,
  `client_id` int(8) unsigned default NULL,
  `subscription_external_id` varchar(255) default NULL,
  `billing_account_id` int(10) unsigned default NULL,
  `subscription_status` tinyint(3) unsigned default NULL,
  `subscription_date_created` int(10) unsigned default NULL,
  `subscription_date_modified` int(10) unsigned default NULL,
  `config_group_id` smallint(5) unsigned default NULL,
  `subscription_account_identifier` varchar(255) default NULL,
  PRIMARY KEY  (`subscription_id`),
  KEY `config_group_id` (`config_group_id`),
  KEY `subscription_status` (`subscription_status`),
  KEY `client_id` (`client_id`),
  KEY `billing_account_id` (`billing_account_id`)
) ENGINE=MyISAM;


--
-- Dumping data for table `subscriptions`
--

/*!40000 ALTER TABLE `subscriptions` DISABLE KEYS */;
/*!40000 ALTER TABLE `subscriptions` ENABLE KEYS */;

--
-- Table structure for table `suspend_log`
--

DROP TABLE IF EXISTS `suspend_log`;


CREATE TABLE `suspend_log` (
  `suspend_id` int(8) unsigned NOT NULL auto_increment,
  `invoice_id` int(10) unsigned default NULL,
  `lite_stamp` int(10) unsigned default NULL,
  `medium_stamp` int(10) unsigned default NULL,
  `harsh_stamp` int(10) unsigned default NULL,
  `suspend_stamp` int(10) unsigned default NULL,
  `enable_stamp` int(10) unsigned default NULL,
  PRIMARY KEY  (`suspend_id`),
  KEY `invoice_id` (`invoice_id`)
) ENGINE=MyISAM;


--
-- Dumping data for table `suspend_log`
--

/*!40000 ALTER TABLE `suspend_log` DISABLE KEYS */;
/*!40000 ALTER TABLE `suspend_log` ENABLE KEYS */;

--
-- Table structure for table `system_queue`
--

DROP TABLE IF EXISTS `system_queue`;


CREATE TABLE `system_queue` (
  `system_queue_id` int(10) unsigned NOT NULL auto_increment,
  `package_id` int(10) unsigned default NULL,
  `config_group_id` smallint(5) unsigned default NULL,
  `server_group_id` smallint(5) unsigned default NULL,
  `system_queue_parent_id` int(10) unsigned default NULL,
  `system_queue_status` tinyint(3) default '0',
  `system_queue_command` varchar(30) default NULL,
  `system_queue_command_input` longtext,
  `system_queue_minute` tinyint(3) unsigned default NULL,
  `system_queue_hour` tinyint(3) unsigned default NULL,
  `system_queue_day` tinyint(3) unsigned default NULL,
  `system_queue_month` tinyint(3) unsigned default NULL,
  `system_queue_year` int(10) unsigned default NULL,
  `system_queue_is_recurring` tinyint(3) unsigned default NULL,
  `system_queue_date_created` int(10) unsigned default '0',
  `system_queue_date_to_run` int(10) unsigned default '0',
  `system_queue_date_started` int(10) unsigned default '0',
  `system_queue_date_finished` int(10) unsigned default '0',
  PRIMARY KEY  (`system_queue_id`),
  KEY `system_queue_command` (`system_queue_command`),
  KEY `system_queue_date_to_run` (`system_queue_date_to_run`),
  KEY `system_queue_is_recurring` (`system_queue_is_recurring`),
  KEY `system_queue_date_created` (`system_queue_date_created`),
  KEY `system_queue_date_started` (`system_queue_date_started`),
  KEY `system_queue_date_finished` (`system_queue_date_finished`),
  KEY `system_queue_parent_id` (`system_queue_parent_id`),
  KEY `system_queue_status` (`system_queue_status`),
  KEY `package_id` (`package_id`),
  KEY `config_group_id` (`config_group_id`),
  KEY `server_group_id` (`server_group_id`)
) ENGINE=MyISAM AUTO_INCREMENT=11;


--
-- Dumping data for table `system_queue`
--

/*!40000 ALTER TABLE `system_queue` DISABLE KEYS */;
INSERT INTO `system_queue` VALUES (1,NULL,NULL,NULL,NULL,0,'ProcessInvoices','\n&lt;mbapi&gt;\n	&lt;command&gt;ProcessInvoices&lt;/command&gt;\n	&lt;params&gt;\n		&lt;numInvoicesToGenerate&gt;25&lt;/numInvoicesToGenerate&gt;\n		&lt;setBillingMode&gt;-1&lt;/setBillingMode&gt; \n		&lt;setSendInvoiceEmails&gt;-1&lt;/setSendInvoiceEmails&gt;\n		&lt;packageDateNextRenewalLessThan&gt;-1&lt;/packageDateNextRenewalLessThan&gt;\n		&lt;domainDateNextRenewalLessThan&gt;-1&lt;/domainDateNextRenewalLessThan&gt;\n		&lt;getActiveClients&gt;-1&lt;/getActiveClients&gt;\n		&lt;getSuspendedClients&gt;-1&lt;/getSuspendedClients&gt;\n		&lt;getActivePackages&gt;-1&lt;/getActivePackages&gt;\n		&lt;getSuspendedPackages&gt;-1&lt;/getSuspendedPackages&gt;\n		&lt;getActiveDomains&gt;-1&lt;/getActiveDomains&gt;\n	&lt;/params&gt;\n&lt;/mbapi&gt;',0,0,1,0,0,1,1239998241,1239998241,0,0);
INSERT INTO `system_queue` VALUES (2,NULL,NULL,NULL,NULL,0,'ProcessPaymentQueue','\n&lt;mbapi&gt;\n	&lt;command&gt;ProcessPaymentQueue&lt;/command&gt;\n	&lt;params&gt;\n		&lt;automated&gt;1&lt;/automated&gt;\n		&lt;generateNew&gt;-1&lt;/generateNew&gt;\n		&lt;generateDeclined&gt;-1&lt;/generateDeclined&gt;\n		&lt;generateError&gt;-1&lt;/generateError&gt;\n		&lt;generateDueDateOnly&gt;-1&lt;/generateDueDateOnly&gt;\n		&lt;dueDateTimestamp&gt;-1&lt;/dueDateTimestamp&gt;\n		&lt;numInvoicesToQueue&gt;25&lt;/numInvoicesToQueue&gt;\n		&lt;numInvoicesToCharge&gt;25&lt;/numInvoicesToCharge&gt;\n		&lt;chargeLesserAmounts&gt;-1&lt;/chargeLesserAmounts&gt;\n		&lt;runPaymentQueue&gt;1&lt;/runPaymentQueue&gt;\n		&lt;clearPaymentQueue&gt;-1&lt;/clearPaymentQueue&gt;\n&lt;/params&gt;\n&lt;/mbapi&gt;',0,0,1,0,0,1,1239998241,1239998241,0,0);
INSERT INTO `system_queue` VALUES (3,NULL,NULL,NULL,NULL,0,'ProcessSuspensions','\n&lt;mbapi&gt;\n	&lt;command&gt;ProcessSuspensions&lt;/command&gt;\n	&lt;params&gt;\n		&lt;setSendSuspensionEmails&gt;&lt;/setSendSuspensionEmails&gt;\n		&lt;suspensionLevel1Day&gt;-1&lt;/suspensionLevel1Day&gt;\n		&lt;suspensionLevel2Day&gt;-1&lt;/suspensionLevel2Day&gt;\n		&lt;suspensionLevel3Day&gt;-1&lt;/suspensionLevel3Day&gt;\n		&lt;suspensionCleanDay&gt;-1&lt;/suspensionCleanDay&gt;\n		&lt;limitClientGroups&gt;\n			&lt;clientGroupID&gt;&lt;/clientGroupID&gt;\n		&lt;/limitClientGroups&gt;\n		&lt;excludeClientGroups&gt;\n			&lt;clientGroupID&gt;&lt;/clientGroupID&gt;\n		&lt;/excludeClientGroups&gt;\n		&lt;limitClients&gt;\n			&lt;clientID&gt;&lt;/clientID&gt;\n		&lt;/limitClients&gt;\n		&lt;excludeClients&gt;\n			&lt;clientID&gt;&lt;/clientID&gt;\n		&lt;/excludeClients&gt;\n		&lt;limitPackages&gt;\n			&lt;packageID&gt;&lt;/packageID&gt;\n		&lt;/limitPackages&gt;\n		&lt;excludePackages&gt;\n			&lt;packageID&gt;&lt;/packageID&gt;\n		&lt;/excludePackages&gt;\n		&lt;limitDomains&gt;\n			&lt;domainPackageID&gt;&lt;/domainPackageID&gt;\n		&lt;/limitDomains&gt;\n		&lt;excludeDomains&gt;\n			&lt;domainPackageID&gt;&lt;/domainPackageID&gt;\n		&lt;/excludeDomains&gt;\n	&lt;/params&gt;\n&lt;/mbapi&gt;',0,0,1,0,0,1,1239998241,1239998241,0,0);
INSERT INTO `system_queue` VALUES (4,NULL,NULL,NULL,NULL,0,'ProcessUnsuspensions','\n&lt;mbapi&gt;\n	&lt;command&gt;ProcessUnsuspensions&lt;/command&gt;\n	&lt;params&gt;\n		&lt;setSendSuspensionEmails&gt;&lt;/setSendSuspensionEmails&gt;\n		&lt;suspensionLevel1Day&gt;-1&lt;/suspensionLevel1Day&gt;\n		&lt;suspensionLevel2Day&gt;-1&lt;/suspensionLevel2Day&gt;\n		&lt;suspensionLevel3Day&gt;-1&lt;/suspensionLevel3Day&gt;\n		&lt;suspensionCleanDay&gt;-1&lt;/suspensionCleanDay&gt;\n		&lt;limitClientGroups&gt;\n			&lt;clientGroupID&gt;&lt;/clientGroupID&gt;\n		&lt;/limitClientGroups&gt;\n		&lt;excludeClientGroups&gt;\n			&lt;clientGroupID&gt;&lt;/clientGroupID&gt;\n		&lt;/excludeClientGroups&gt;\n		&lt;limitClients&gt;\n			&lt;clientID&gt;&lt;/clientID&gt;\n		&lt;/limitClients&gt;\n		&lt;excludeClients&gt;\n			&lt;clientID&gt;&lt;/clientID&gt;\n		&lt;/excludeClients&gt;\n		&lt;limitPackages&gt;\n			&lt;packageID&gt;&lt;/packageID&gt;\n		&lt;/limitPackages&gt;\n		&lt;excludePackages&gt;\n			&lt;packageID&gt;&lt;/packageID&gt;\n		&lt;/excludePackages&gt;\n		&lt;limitDomains&gt;\n			&lt;domainPackageID&gt;&lt;/domainPackageID&gt;\n		&lt;/limitDomains&gt;\n		&lt;excludeDomains&gt;\n			&lt;domainPackageID&gt;&lt;/domainPackageID&gt;\n		&lt;/excludeDomains&gt;\n	&lt;/params&gt;\n&lt;/mbapi&gt;',20,0,0,0,0,1,1239998241,1239998241,0,0);
INSERT INTO `system_queue` VALUES (5,NULL,NULL,NULL,NULL,0,'ProcessUsage','\n&lt;mbapi&gt;\n	&lt;command&gt;ProcessUsage&lt;/command&gt;\n	&lt;params&gt;\n	&lt;/params&gt;\n&lt;/mbapi&gt;',0,0,1,0,0,1,1239998241,1239998241,0,0);
INSERT INTO `system_queue` VALUES (6,NULL,NULL,NULL,NULL,0,'ProcessCancellation','\n&lt;mbapi&gt;\n	&lt;command&gt;ProcessCancellation&lt;/command&gt;\n	&lt;params&gt;\n	&lt;/params&gt;\n&lt;/mbapi&gt;',0,0,1,0,0,1,1239998241,1239998241,0,0);
INSERT INTO `system_queue` VALUES (7,NULL,NULL,NULL,NULL,0,'ProcessExpiredCreditCards','\n&lt;mbapi&gt;\n	&lt;command&gt;ProcessExpiredCreditCards&lt;/command&gt;\n	&lt;params&gt;\n	&lt;/params&gt;\n&lt;/mbapi&gt;',0,0,7,0,0,1,1239998241,1239998241,0,0);
INSERT INTO `system_queue` VALUES (8,NULL,NULL,NULL,NULL,0,'ProcessDomainSynchronization','\n&lt;mbapi&gt;\n	&lt;command&gt;ProcessDomainSynchronization&lt;/command&gt;\n	&lt;params&gt;\n	&lt;/params&gt;\n&lt;/mbapi&gt;',0,0,7,0,0,1,1239998241,1239998241,0,0);
INSERT INTO `system_queue` VALUES (9,NULL,NULL,NULL,NULL,0,'ProcessPanelPackageSync','&lt;mbapi&gt; &lt;command&gt;ProcessPanelPackageSync&lt;/command&gt; &lt;params&gt; &lt;/params&gt; &lt;/mbapi&gt;',0,0,1,0,0,1,1239998241,1239998241,0,0);
INSERT INTO `system_queue` VALUES (10,NULL,NULL,NULL,NULL,0,'ProcessSSO','&lt;mbapi&gt; &lt;command&gt;ProcessSSO&lt;/command&gt; &lt;subCommand&gt;repair_all&lt;/subCommand&gt; &lt;/mbapi&gt;',0,0,0,0,0,0,1239998241,1239998241,0,0);
/*!40000 ALTER TABLE `system_queue` ENABLE KEYS */;

--
-- Table structure for table `system_queue_log`
--

DROP TABLE IF EXISTS `system_queue_log`;


CREATE TABLE `system_queue_log` (
  `system_queue_log_id` int(10) unsigned NOT NULL auto_increment,
  `system_queue_id` int(10) unsigned default NULL,
  `system_queue_log_message` text,
  `system_queue_num_errors` tinyint(3) unsigned default NULL,
  `system_queue_log_date_created` int(10) unsigned default NULL,
  PRIMARY KEY  (`system_queue_log_id`),
  KEY `system_queue_id` (`system_queue_id`),
  KEY `system_queue_log_date_created` (`system_queue_log_date_created`),
  KEY `system_queue_num_errors` (`system_queue_num_errors`)
) ENGINE=MyISAM;


--
-- Dumping data for table `system_queue_log`
--

/*!40000 ALTER TABLE `system_queue_log` DISABLE KEYS */;
/*!40000 ALTER TABLE `system_queue_log` ENABLE KEYS */;

--
-- Table structure for table `tax_zone_group_zone_rel`
--

DROP TABLE IF EXISTS `tax_zone_group_zone_rel`;


CREATE TABLE `tax_zone_group_zone_rel` (
  `tax_zone_group_zone_rel_id` smallint(5) unsigned NOT NULL auto_increment,
  `tax_zone_group_id` smallint(5) unsigned default NULL,
  `tax_zone_id` smallint(5) unsigned default NULL,
  PRIMARY KEY  (`tax_zone_group_zone_rel_id`),
  KEY `tax_zone_group_id` (`tax_zone_group_id`),
  KEY `tax_zone_id` (`tax_zone_id`)
) ENGINE=MyISAM;


--
-- Dumping data for table `tax_zone_group_zone_rel`
--

/*!40000 ALTER TABLE `tax_zone_group_zone_rel` DISABLE KEYS */;
/*!40000 ALTER TABLE `tax_zone_group_zone_rel` ENABLE KEYS */;

--
-- Table structure for table `tax_zone_groups`
--

DROP TABLE IF EXISTS `tax_zone_groups`;


CREATE TABLE `tax_zone_groups` (
  `tax_zone_group_id` smallint(5) unsigned NOT NULL auto_increment,
  `tax_zone_group_name` varchar(100) default NULL,
  `tax_zone_group_active` tinyint(3) unsigned default NULL,
  PRIMARY KEY  (`tax_zone_group_id`),
  KEY `tax_zone_group_active` (`tax_zone_group_active`)
) ENGINE=MyISAM;


--
-- Dumping data for table `tax_zone_groups`
--

/*!40000 ALTER TABLE `tax_zone_groups` DISABLE KEYS */;
/*!40000 ALTER TABLE `tax_zone_groups` ENABLE KEYS */;

--
-- Table structure for table `tax_zones`
--

DROP TABLE IF EXISTS `tax_zones`;


CREATE TABLE `tax_zones` (
  `tax_zone_id` smallint(5) unsigned NOT NULL auto_increment,
  `countries_iso_2` char(2) default NULL,
  `tax_zone_name` varchar(255) default NULL,
  `tax_zone_amount_type` tinyint(3) default '0',
  `tax_zone_amount` decimal(6,2) unsigned default NULL,
  `tax_zone_description` varchar(255) default NULL,
  `ledger_account_id` smallint(5) unsigned default NULL,
  `tax_zone_active` tinyint(3) unsigned default NULL,
  `tax_zone_stackable` tinyint(3) unsigned default '0',
  PRIMARY KEY  (`tax_zone_id`),
  KEY `countries_iso_2` (`countries_iso_2`),
  KEY `tax_zone_active` (`tax_zone_active`),
  KEY `tax_zone_stackable` (`tax_zone_stackable`),
  KEY `ledger_account_id` (`ledger_account_id`)
) ENGINE=MyISAM;


--
-- Dumping data for table `tax_zones`
--

/*!40000 ALTER TABLE `tax_zones` DISABLE KEYS */;
/*!40000 ALTER TABLE `tax_zones` ENABLE KEYS */;

--
-- Table structure for table `themes`
--

DROP TABLE IF EXISTS `themes`;


CREATE TABLE `themes` (
  `theme_id` smallint(5) unsigned NOT NULL auto_increment,
  `theme_name` varchar(50) default NULL,
  `theme_display_name` varchar(255) default NULL,
  `theme_active` tinyint(3) unsigned default NULL,
  PRIMARY KEY  (`theme_id`),
  KEY `theme_name` (`theme_name`),
  KEY `theme_active` (`theme_active`)
) ENGINE=MyISAM AUTO_INCREMENT=3;


--
-- Dumping data for table `themes`
--

/*!40000 ALTER TABLE `themes` DISABLE KEYS */;
INSERT INTO `themes` VALUES (2,'xpreloaded','XPreloaded',1);
/*!40000 ALTER TABLE `themes` ENABLE KEYS */;

--
-- Table structure for table `tlds`
--

DROP TABLE IF EXISTS `tlds`;


CREATE TABLE `tlds` (
  `tld_id` int(8) unsigned NOT NULL auto_increment,
  `registrar_id` smallint(5) unsigned default NULL,
  `tld_extension` varchar(25) default NULL,
  `tld_name` varchar(100) default NULL,
  `tld_whois_server` varchar(100) default NULL,
  `tld_whois_resp` varchar(100) default NULL,
  `tld_active` tinyint(3) unsigned default NULL,
  `tld_auto_search` tinyint(3) unsigned default NULL,
  `tld_transfer_minimum_cycle_id` smallint(5) unsigned default NULL,
  `tld_minimum_cycle_id` smallint(5) unsigned default NULL,
  `tld_maximum_cycle_id` smallint(5) unsigned default NULL,
  `tld_renew_type` tinyint(3) unsigned default NULL,
  `tld_is_transferable` tinyint(3) unsigned default NULL,
  `tld_transfer_type` tinyint(3) unsigned default NULL,
  `tld_idn_support` tinyint(3) unsigned default NULL,
  `tld_idn_type` tinyint(3) unsigned default NULL,
  `tld_remote_lock_enabled` tinyint(3) unsigned default NULL,
  `tld_display_order` int(8) unsigned default NULL,
  PRIMARY KEY  (`tld_id`),
  KEY `tld_extension` (`tld_extension`),
  KEY `tld_display_order` (`tld_display_order`),
  KEY `registrar_id` (`registrar_id`)
) ENGINE=MyISAM AUTO_INCREMENT=94;


--
-- Dumping data for table `tlds`
--

/*!40000 ALTER TABLE `tlds` DISABLE KEYS */;
INSERT INTO `tlds` VALUES (1,44,'ac','ac','','',1,1,6,6,15,2,1,0,1,0,0,11);
INSERT INTO `tlds` VALUES (2,44,'am','am','','',1,1,6,6,15,2,1,0,1,0,0,12);
INSERT INTO `tlds` VALUES (3,44,'at','at','','',1,1,6,6,15,2,1,0,1,0,0,13);
INSERT INTO `tlds` VALUES (4,44,'be','be','','',1,1,6,6,15,2,1,0,1,0,0,14);
INSERT INTO `tlds` VALUES (5,44,'biz','biz','','',1,1,6,6,15,2,1,0,5,0,0,15);
INSERT INTO `tlds` VALUES (6,44,'ca','ca','','',1,1,6,6,15,2,1,0,1,0,0,16);
INSERT INTO `tlds` VALUES (7,44,'cc','cc','','',1,1,6,6,15,2,1,0,1,0,0,17);
INSERT INTO `tlds` VALUES (8,44,'cn','cn','','',1,1,6,6,15,2,1,0,1,0,0,18);
INSERT INTO `tlds` VALUES (9,44,'co.in','co.in','','',1,1,6,6,15,2,1,0,1,0,0,19);
INSERT INTO `tlds` VALUES (10,44,'co.uk','co.uk','','',1,1,7,7,15,2,1,0,1,0,0,4);
INSERT INTO `tlds` VALUES (11,44,'com','com','','',1,1,6,6,15,2,1,0,1,0,0,1);
INSERT INTO `tlds` VALUES (12,44,'com.cn','com.cn','','',1,1,6,6,15,2,1,0,1,0,0,22);
INSERT INTO `tlds` VALUES (13,44,'com.mx','com.mx','','',1,1,6,6,15,2,1,0,1,0,0,23);
INSERT INTO `tlds` VALUES (14,44,'com.tw','com.tw','','',1,1,6,6,15,2,1,0,1,0,0,24);
INSERT INTO `tlds` VALUES (15,44,'de','de','','',1,1,6,6,15,2,1,0,1,0,0,25);
INSERT INTO `tlds` VALUES (16,44,'eu','eu','','',1,1,6,6,15,2,1,0,1,0,0,26);
INSERT INTO `tlds` VALUES (17,44,'firm.in','firm.in','','',1,1,6,6,15,2,1,0,1,0,0,27);
INSERT INTO `tlds` VALUES (18,44,'gen.in','gen.in','','',1,1,6,6,15,2,1,0,1,0,0,28);
INSERT INTO `tlds` VALUES (19,44,'idv.tw','idv.tw','','',1,1,6,6,15,2,1,0,1,0,0,29);
INSERT INTO `tlds` VALUES (20,44,'in','in','','',1,1,6,6,15,2,1,0,1,0,0,30);
INSERT INTO `tlds` VALUES (21,44,'ind.in','ind.in','','',1,1,6,6,15,2,1,0,1,0,0,31);
INSERT INTO `tlds` VALUES (22,44,'info','info','','',1,1,6,6,15,2,1,0,1,0,0,6);
INSERT INTO `tlds` VALUES (23,44,'io','io','','',1,1,6,6,15,2,1,0,1,0,0,33);
INSERT INTO `tlds` VALUES (24,44,'it','it','','',1,1,6,6,15,2,1,0,1,0,0,34);
INSERT INTO `tlds` VALUES (25,44,'jobs','jobs','','',1,1,6,6,15,2,1,0,1,0,0,35);
INSERT INTO `tlds` VALUES (26,44,'jp','jp','','',1,1,6,6,15,2,1,0,1,0,0,36);
INSERT INTO `tlds` VALUES (27,44,'kids.us','kids.us','','',1,1,6,6,15,2,1,0,1,0,0,37);
INSERT INTO `tlds` VALUES (28,44,'me.uk','me.uk','','',1,1,6,6,15,2,1,0,1,0,0,38);
INSERT INTO `tlds` VALUES (29,44,'mobi','mobi','','',1,1,6,6,15,2,1,0,1,0,0,39);
INSERT INTO `tlds` VALUES (30,44,'name','name','','',1,1,6,6,15,2,1,0,1,0,0,40);
INSERT INTO `tlds` VALUES (31,44,'net','net','','',1,1,6,6,15,2,1,0,1,0,0,2);
INSERT INTO `tlds` VALUES (32,44,'net.in','net.in','','',1,1,6,6,15,2,1,0,1,0,0,42);
INSERT INTO `tlds` VALUES (33,44,'net.cn','net.cn','','',1,1,6,6,15,2,1,0,1,0,0,43);
INSERT INTO `tlds` VALUES (34,44,'nl','nl','','',1,1,6,6,15,2,1,0,1,0,0,44);
INSERT INTO `tlds` VALUES (35,44,'nu','nu','','',1,1,6,6,15,2,1,0,1,0,0,45);
INSERT INTO `tlds` VALUES (36,44,'org','org','','',1,1,6,6,15,2,1,0,1,0,0,3);
INSERT INTO `tlds` VALUES (37,44,'org.cn','org.cn','','',1,1,6,6,15,2,1,0,1,0,0,47);
INSERT INTO `tlds` VALUES (38,44,'org.in','org.in','','',1,1,6,6,15,2,1,0,1,0,0,48);
INSERT INTO `tlds` VALUES (39,44,'org.tw','org.tw','','',1,1,6,6,15,2,1,0,1,0,0,49);
INSERT INTO `tlds` VALUES (40,44,'org.uk','org.uk','','',1,1,6,6,15,2,1,0,1,0,0,50);
INSERT INTO `tlds` VALUES (41,44,'sh','sh','','',1,1,6,6,15,2,1,0,1,0,0,51);
INSERT INTO `tlds` VALUES (42,44,'tm','tm','','',1,1,6,6,15,2,1,0,1,0,0,52);
INSERT INTO `tlds` VALUES (43,44,'tv','tv','','',1,1,6,6,15,2,1,0,1,0,0,53);
INSERT INTO `tlds` VALUES (44,44,'tw','tw','','',1,1,6,6,15,2,1,0,1,0,0,54);
INSERT INTO `tlds` VALUES (45,44,'us','us','','',1,1,6,6,15,2,1,0,1,0,0,55);
INSERT INTO `tlds` VALUES (46,44,'ws','ws','','',1,1,6,6,15,2,1,0,1,0,0,56);
INSERT INTO `tlds` VALUES (47,44,'at','at','','',1,1,6,6,15,2,1,0,1,0,0,57);
INSERT INTO `tlds` VALUES (48,44,'be','be','','',1,1,6,6,15,2,1,0,1,0,0,58);
INSERT INTO `tlds` VALUES (49,44,'ch','ch','','',1,1,6,6,15,2,1,0,1,0,0,59);
INSERT INTO `tlds` VALUES (50,44,'cz','cz','','',1,1,6,6,15,2,1,0,1,0,0,60);
INSERT INTO `tlds` VALUES (51,44,'de','de','','',1,1,6,6,15,2,1,0,1,0,0,61);
INSERT INTO `tlds` VALUES (52,44,'dk','dk','','',1,1,6,6,15,2,1,0,1,0,0,62);
INSERT INTO `tlds` VALUES (53,44,'co.ee','co.ee','','',1,1,6,6,15,2,1,0,1,0,0,63);
INSERT INTO `tlds` VALUES (54,44,'es','es','','',1,1,6,6,15,2,1,0,1,0,0,64);
INSERT INTO `tlds` VALUES (55,44,'com.es','com.es','','',1,1,6,6,15,2,1,0,1,0,0,65);
INSERT INTO `tlds` VALUES (56,44,'org.es','org.es','','',1,1,6,6,15,2,1,0,1,0,0,66);
INSERT INTO `tlds` VALUES (57,44,'fr','fr','','',1,1,6,6,15,2,1,0,1,0,0,67);
INSERT INTO `tlds` VALUES (58,44,'gr','gr','','',1,1,6,6,15,2,1,0,1,0,0,68);
INSERT INTO `tlds` VALUES (59,44,'hu','hu','','',1,1,6,6,15,2,1,0,1,0,0,69);
INSERT INTO `tlds` VALUES (60,44,'ie','ie','','',1,1,6,6,15,2,1,0,1,0,0,70);
INSERT INTO `tlds` VALUES (61,44,'it','it','','',1,1,6,6,15,2,1,0,1,0,0,71);
INSERT INTO `tlds` VALUES (62,44,'li','li','','',1,1,6,6,15,2,1,0,1,0,0,72);
INSERT INTO `tlds` VALUES (63,44,'lt','lt','','',1,1,6,6,15,2,1,0,1,0,0,73);
INSERT INTO `tlds` VALUES (64,44,'lu','lu','','',1,1,6,6,15,2,1,0,1,0,0,74);
INSERT INTO `tlds` VALUES (65,44,'lv','lv','','',1,1,6,6,15,2,1,0,1,0,0,75);
INSERT INTO `tlds` VALUES (66,44,'nl','nl','','',1,1,6,6,15,2,1,0,1,0,0,76);
INSERT INTO `tlds` VALUES (67,44,'com.pt','com.pt','','',1,1,6,6,15,2,1,0,1,0,0,77);
INSERT INTO `tlds` VALUES (68,44,'se','se','','',1,1,6,6,15,2,1,0,1,0,0,78);
INSERT INTO `tlds` VALUES (69,44,'sk','sk','','',1,1,6,6,15,2,1,0,1,0,0,79);
INSERT INTO `tlds` VALUES (70,44,'ro','ro','','',1,1,6,6,15,2,1,0,1,0,0,80);
INSERT INTO `tlds` VALUES (71,44,'ru','ru','','',1,1,6,6,15,2,1,0,1,0,0,81);
INSERT INTO `tlds` VALUES (73,44,'la','la','whois.centralnic.net','',1,1,6,6,15,2,1,0,1,0,0,83);
INSERT INTO `tlds` VALUES (74,44,'br.com','br.com','whois.centralnic.net','',1,1,6,6,15,2,1,0,1,0,0,84);
INSERT INTO `tlds` VALUES (75,44,'cn.com','cn.com','whois.centralnic.net','',1,1,6,6,15,2,1,0,1,0,0,85);
INSERT INTO `tlds` VALUES (76,44,'de.com','de.com','whois.centralnic.net','',1,1,6,6,15,2,1,0,1,0,0,86);
INSERT INTO `tlds` VALUES (77,44,'eu.com','eu.com','whois.centralnic.net','',1,1,6,6,15,2,1,0,1,0,0,87);
INSERT INTO `tlds` VALUES (78,44,'hu.com','hu.com','whois.centralnic.net','',1,1,6,6,15,2,1,0,1,0,0,88);
INSERT INTO `tlds` VALUES (79,44,'no.com','no.com','whois.centralnic.net','',1,1,6,6,15,2,1,0,1,0,0,89);
INSERT INTO `tlds` VALUES (80,44,'qc.com','qc.com','whois.centralnic.net','',1,1,6,6,15,2,1,0,1,0,0,90);
INSERT INTO `tlds` VALUES (81,44,'ru.com','ru.com','whois.centralnic.net','',1,1,6,6,15,2,1,0,1,0,0,91);
INSERT INTO `tlds` VALUES (82,44,'sa.com','sa.com','whois.centralnic.net','',1,1,6,6,15,2,1,0,1,0,0,92);
INSERT INTO `tlds` VALUES (83,44,'se.com','se.com','whois.centralnic.net','',1,1,6,6,15,2,1,0,1,0,0,93);
INSERT INTO `tlds` VALUES (84,44,'se.net','se.net','whois.centralnic.net','',1,1,6,6,15,2,1,0,1,0,0,94);
INSERT INTO `tlds` VALUES (85,44,'uk.com','uk.com','whois.centralnic.net','',1,1,6,6,15,2,1,0,1,0,0,95);
INSERT INTO `tlds` VALUES (86,44,'uk.net','uk.net','whois.centralnic.net','',1,1,6,6,15,2,1,0,1,0,0,96);
INSERT INTO `tlds` VALUES (87,44,'us.com','us.com','whois.centralnic.net','',1,1,6,6,15,2,1,0,1,0,0,97);
INSERT INTO `tlds` VALUES (88,44,'uy.com','uy.com','whois.centralnic.net','',1,1,6,6,15,2,1,0,1,0,0,98);
INSERT INTO `tlds` VALUES (89,44,'za.com','za.com','whois.centralnic.net','',1,1,6,6,15,2,1,0,1,0,0,99);
INSERT INTO `tlds` VALUES (90,44,'cpa.pro','cpa.pro','whois.registrypro.pro','',1,1,6,6,15,2,1,0,1,0,0,100);
INSERT INTO `tlds` VALUES (91,44,'law.pro','law.pro','whois.registrypro.pro','',1,1,6,6,15,2,1,0,1,0,0,101);
INSERT INTO `tlds` VALUES (92,44,'med.pro','med.pro','whois.registrypro.pro','',1,1,6,6,15,2,1,0,1,0,0,102);
INSERT INTO `tlds` VALUES (93,44,'me','me','whois.meregistry.net','',1,1,7,7,15,2,1,0,1,0,0,0);
/*!40000 ALTER TABLE `tlds` ENABLE KEYS */;

--
-- Table structure for table `todos`
--

DROP TABLE IF EXISTS `todos`;


CREATE TABLE `todos` (
  `todo_id` int(8) unsigned NOT NULL auto_increment,
  `todo_title` varchar(255) default NULL,
  `todo_desc` longtext,
  `user_id` int(8) unsigned default NULL,
  `user_type` tinyint(3) unsigned default NULL,
  `todo_assigned_admin_id` smallint(5) unsigned default NULL,
  `todo_status_id` tinyint(3) unsigned default NULL,
  `todo_priority` tinyint(3) unsigned default NULL,
  `todo_is_public` tinyint(3) unsigned default NULL,
  `todo_link_pk` int(10) unsigned default NULL,
  `todo_link_name` varchar(50) default NULL,
  `todo_link_action_name` varchar(100) default NULL,
  `todo_link_file` varchar(75) default NULL,
  `todo_date_due` int(10) unsigned default NULL,
  `todo_date_created` int(10) unsigned default NULL,
  PRIMARY KEY  (`todo_id`),
  KEY `user_id` (`user_id`),
  KEY `user_type` (`user_type`),
  KEY `todo_status_id` (`todo_status_id`),
  KEY `todo_priority` (`todo_priority`),
  KEY `todo_date_due` (`todo_date_due`),
  KEY `todo_assigned_admin_id` (`todo_assigned_admin_id`),
  KEY `todo_is_public` (`todo_is_public`)
) ENGINE=MyISAM;


--
-- Dumping data for table `todos`
--

/*!40000 ALTER TABLE `todos` DISABLE KEYS */;
/*!40000 ALTER TABLE `todos` ENABLE KEYS */;

--
-- Table structure for table `transaction_log`
--

DROP TABLE IF EXISTS `transaction_log`;


CREATE TABLE `transaction_log` (
  `transaction_id` int(10) unsigned NOT NULL auto_increment,
  `auth_return` tinyint(3) unsigned default NULL,
  `transaction_payment_method` tinyint(3) unsigned default NULL,
  `transaction_code` varchar(255) default NULL,
  `transaction_notes` varchar(255) default NULL,
  `transaction_date_created` int(10) unsigned default NULL,
  `auth_code` varchar(255) default NULL,
  `avs_code` varchar(255) default NULL,
  `transaction_amount` decimal(10,2) default '0.00',
  `transaction_amount_refunded` decimal(10,2) default '0.00',
  `currency_id` char(3) default NULL,
  `config_group_id` smallint(5) unsigned default NULL,
  `billing_account_id` int(10) unsigned default '0',
  PRIMARY KEY  (`transaction_id`),
  KEY `auth_return` (`auth_return`),
  KEY `currency_id` (`currency_id`),
  KEY `config_group_id` (`config_group_id`),
  KEY `billing_account_id` (`billing_account_id`)
) ENGINE=MyISAM;


--
-- Dumping data for table `transaction_log`
--

/*!40000 ALTER TABLE `transaction_log` DISABLE KEYS */;
/*!40000 ALTER TABLE `transaction_log` ENABLE KEYS */;

--
-- Table structure for table `transaction_success_rel`
--

DROP TABLE IF EXISTS `transaction_success_rel`;


CREATE TABLE `transaction_success_rel` (
  `transaction_id` int(10) unsigned default NULL,
  `billing_account_share_id` int(10) unsigned default NULL,
  `line_item_id` int(10) unsigned default NULL,
  `line_item_payment_amount` decimal(10,2) unsigned default '0.00',
  KEY `transaction_id` (`transaction_id`),
  KEY `billing_account_share_id` (`billing_account_share_id`),
  KEY `line_item_id` (`line_item_id`)
) ENGINE=MyISAM;


--
-- Dumping data for table `transaction_success_rel`
--

/*!40000 ALTER TABLE `transaction_success_rel` DISABLE KEYS */;
/*!40000 ALTER TABLE `transaction_success_rel` ENABLE KEYS */;

--
-- Table structure for table `vendor_contacts`
--

DROP TABLE IF EXISTS `vendor_contacts`;


CREATE TABLE `vendor_contacts` (
  `vendor_contact_id` smallint(5) unsigned NOT NULL auto_increment,
  `vendor_id` smallint(5) unsigned default NULL,
  `vendor_contact_first_name` varchar(100) default NULL,
  `vendor_contact_last_name` varchar(100) default NULL,
  `vendor_contact_phone1` varchar(25) default NULL,
  `vendor_contact_phone2` varchar(25) default NULL,
  `vendor_contact_fax` varchar(25) default NULL,
  `language_id` smallint(5) unsigned default NULL,
  `vendor_contact_active` tinyint(1) unsigned default '1',
  PRIMARY KEY  (`vendor_contact_id`),
  KEY `vendor_id` (`vendor_id`),
  KEY `vendor_contact_first_name` (`vendor_contact_first_name`),
  KEY `vendor_contact_last_name` (`vendor_contact_last_name`),
  KEY `language_id` (`language_id`),
  KEY `vendor_contact_active` (`vendor_contact_active`)
) ENGINE=MyISAM;


--
-- Dumping data for table `vendor_contacts`
--

/*!40000 ALTER TABLE `vendor_contacts` DISABLE KEYS */;
/*!40000 ALTER TABLE `vendor_contacts` ENABLE KEYS */;

--
-- Table structure for table `vendor_inv_msg_note_rel`
--

DROP TABLE IF EXISTS `vendor_inv_msg_note_rel`;


CREATE TABLE `vendor_inv_msg_note_rel` (
  `vendor_inv_msg_id` int(10) unsigned NOT NULL default '0',
  `vendor_inv_note_id` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`vendor_inv_msg_id`,`vendor_inv_note_id`)
) ENGINE=MyISAM;


--
-- Dumping data for table `vendor_inv_msg_note_rel`
--

/*!40000 ALTER TABLE `vendor_inv_msg_note_rel` DISABLE KEYS */;
/*!40000 ALTER TABLE `vendor_inv_msg_note_rel` ENABLE KEYS */;

--
-- Table structure for table `vendor_inv_msg_prov_rel`
--

DROP TABLE IF EXISTS `vendor_inv_msg_prov_rel`;


CREATE TABLE `vendor_inv_msg_prov_rel` (
  `vendor_inv_msg_id` int(10) unsigned NOT NULL default '0',
  `vendor_prov_id` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`vendor_inv_msg_id`,`vendor_prov_id`)
) ENGINE=MyISAM;


--
-- Dumping data for table `vendor_inv_msg_prov_rel`
--

/*!40000 ALTER TABLE `vendor_inv_msg_prov_rel` DISABLE KEYS */;
/*!40000 ALTER TABLE `vendor_inv_msg_prov_rel` ENABLE KEYS */;

--
-- Table structure for table `vendor_inventory_msgs`
--

DROP TABLE IF EXISTS `vendor_inventory_msgs`;


CREATE TABLE `vendor_inventory_msgs` (
  `vendor_inv_msg_id` int(10) unsigned NOT NULL auto_increment,
  `vendor_id` smallint(5) unsigned default NULL,
  `vendor_inv_msg_type` tinyint(3) unsigned default '1',
  `vendor_inv_msg_token` varchar(100) default NULL,
  `vendor_inv_msg_text` varchar(255) default NULL,
  PRIMARY KEY  (`vendor_inv_msg_id`),
  KEY `vendor_inv_msg_type` (`vendor_inv_msg_type`),
  KEY `vendor_inv_msg_token` (`vendor_inv_msg_token`)
) ENGINE=MyISAM;


--
-- Dumping data for table `vendor_inventory_msgs`
--

/*!40000 ALTER TABLE `vendor_inventory_msgs` DISABLE KEYS */;
/*!40000 ALTER TABLE `vendor_inventory_msgs` ENABLE KEYS */;

--
-- Table structure for table `vendor_inventory_notes`
--

DROP TABLE IF EXISTS `vendor_inventory_notes`;


CREATE TABLE `vendor_inventory_notes` (
  `vendor_inv_note_id` int(10) unsigned NOT NULL auto_increment,
  `vendor_inv_note_type` tinyint(3) unsigned default '1',
  `product_variant_id` int(10) unsigned default NULL,
  `vendor_inv_note_qty` int(10) unsigned default NULL,
  `vendor_inv_note_date` int(10) unsigned default NULL,
  PRIMARY KEY  (`vendor_inv_note_id`),
  KEY `vendor_inv_note_type` (`vendor_inv_note_type`),
  KEY `product_variant_id` (`product_variant_id`),
  KEY `vendor_inv_note_qty` (`vendor_inv_note_qty`),
  KEY `vendor_inv_note_date` (`vendor_inv_note_date`)
) ENGINE=MyISAM;


--
-- Dumping data for table `vendor_inventory_notes`
--

/*!40000 ALTER TABLE `vendor_inventory_notes` DISABLE KEYS */;
/*!40000 ALTER TABLE `vendor_inventory_notes` ENABLE KEYS */;

--
-- Table structure for table `vendor_prov_package_rel`
--

DROP TABLE IF EXISTS `vendor_prov_package_rel`;


CREATE TABLE `vendor_prov_package_rel` (
  `vendor_prov_id` int(10) unsigned NOT NULL default '0',
  `ext_package_id` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`vendor_prov_id`,`ext_package_id`)
) ENGINE=MyISAM;


--
-- Dumping data for table `vendor_prov_package_rel`
--

/*!40000 ALTER TABLE `vendor_prov_package_rel` DISABLE KEYS */;
/*!40000 ALTER TABLE `vendor_prov_package_rel` ENABLE KEYS */;

--
-- Table structure for table `vendor_provisionings`
--

DROP TABLE IF EXISTS `vendor_provisionings`;


CREATE TABLE `vendor_provisionings` (
  `vendor_prov_id` int(10) unsigned NOT NULL auto_increment,
  PRIMARY KEY  (`vendor_prov_id`)
) ENGINE=MyISAM;


--
-- Dumping data for table `vendor_provisionings`
--

/*!40000 ALTER TABLE `vendor_provisionings` DISABLE KEYS */;
/*!40000 ALTER TABLE `vendor_provisionings` ENABLE KEYS */;

--
-- Table structure for table `vendors`
--

DROP TABLE IF EXISTS `vendors`;


CREATE TABLE `vendors` (
  `vendor_id` smallint(5) unsigned NOT NULL auto_increment,
  `admin_id` smallint(5) unsigned default NULL,
  `vendor_name` varchar(100) default NULL,
  `vendor_active` tinyint(1) unsigned default '1',
  `vendor_api_url` varchar(255) default NULL,
  `vendor_seller_username` varchar(255) default NULL,
  `vendor_seller_password` varchar(255) default NULL,
  `vendor_date_last_invoice_sync` int(10) unsigned default NULL,
  `vendor_activation_rule` tinyint(3) unsigned default '2',
  `vendor_markup_percentage` decimal(10,2) default NULL,
  `vendor_address_1` varchar(100) default NULL,
  `vendor_address_2` varchar(100) default NULL,
  `vendor_city` varchar(100) default NULL,
  `vendor_state` varchar(100) default NULL,
  `vendor_zip` varchar(100) default NULL,
  `countries_id` smallint(5) unsigned default NULL,
  PRIMARY KEY  (`vendor_id`),
  KEY `vendor_name` (`vendor_name`),
  KEY `vendor_active` (`vendor_active`),
  KEY `vendor_seller_username` (`vendor_seller_username`),
  KEY `vendor_seller_password` (`vendor_seller_password`),
  KEY `vendor_date_last_invoice_sync` (`vendor_date_last_invoice_sync`),
  KEY `vendor_city` (`vendor_city`),
  KEY `vendor_state` (`vendor_state`),
  KEY `vendor_zip` (`vendor_zip`),
  KEY `countries_id` (`countries_id`)
) ENGINE=MyISAM;


--
-- Dumping data for table `vendors`
--

/*!40000 ALTER TABLE `vendors` DISABLE KEYS */;
/*!40000 ALTER TABLE `vendors` ENABLE KEYS */;

--
-- Table structure for table `website_widgets`
--

DROP TABLE IF EXISTS `website_widgets`;


CREATE TABLE `website_widgets` (
  `website_widget_id` int(10) unsigned NOT NULL auto_increment,
  `website_widget_name` varchar(100) default NULL,
  `website_widget_tpl` varchar(100) default NULL,
  `order_form_id` smallint(5) unsigned default NULL,
  PRIMARY KEY  (`website_widget_id`),
  KEY `order_form_id` (`order_form_id`)
) ENGINE=MyISAM AUTO_INCREMENT=2;


--
-- Dumping data for table `website_widgets`
--

/*!40000 ALTER TABLE `website_widgets` DISABLE KEYS */;
INSERT INTO `website_widgets` VALUES (1,'WW 1','stepByStep-Folder',1);
/*!40000 ALTER TABLE `website_widgets` ENABLE KEYS */;

--
-- Table structure for table `website_widgets_products_rel`
--

DROP TABLE IF EXISTS `website_widgets_products_rel`;


CREATE TABLE `website_widgets_products_rel` (
  `website_widget_id` int(10) unsigned NOT NULL default '0',
  `product_id` int(10) unsigned NOT NULL default '0',
  `website_widget_order` smallint(5) unsigned default NULL,
  PRIMARY KEY  (`website_widget_id`,`product_id`)
) ENGINE=MyISAM;


--
-- Dumping data for table `website_widgets_products_rel`
--

/*!40000 ALTER TABLE `website_widgets_products_rel` DISABLE KEYS */;
INSERT INTO `website_widgets_products_rel` VALUES (1,2,1);
INSERT INTO `website_widgets_products_rel` VALUES (1,3,2);
INSERT INTO `website_widgets_products_rel` VALUES (1,4,3);
/*!40000 ALTER TABLE `website_widgets_products_rel` ENABLE KEYS */;

--
-- Table structure for table `whois_stats`
--

DROP TABLE IF EXISTS `whois_stats`;


CREATE TABLE `whois_stats` (
  `whois_id` int(10) unsigned NOT NULL auto_increment,
  `whois_domain` varchar(255) default NULL,
  `whois_quantity` int(8) unsigned default NULL,
  `whois_from` varchar(25) default NULL,
  `whois_date_created` int(10) unsigned default NULL,
  PRIMARY KEY  (`whois_id`)
) ENGINE=MyISAM;


--
-- Dumping data for table `whois_stats`
--

/*!40000 ALTER TABLE `whois_stats` DISABLE KEYS */;
/*!40000 ALTER TABLE `whois_stats` ENABLE KEYS */;

--
-- Table structure for table `wizard_question_param_values`
--

DROP TABLE IF EXISTS `wizard_question_param_values`;


CREATE TABLE `wizard_question_param_values` (
  `question_param_value_id` int(10) unsigned NOT NULL auto_increment,
  `question_param_id` int(8) unsigned default NULL,
  `question_param_value_text` longtext,
  PRIMARY KEY  (`question_param_value_id`),
  KEY `question_param_id` (`question_param_id`)
) ENGINE=MyISAM;


--
-- Dumping data for table `wizard_question_param_values`
--

/*!40000 ALTER TABLE `wizard_question_param_values` DISABLE KEYS */;
/*!40000 ALTER TABLE `wizard_question_param_values` ENABLE KEYS */;

--
-- Table structure for table `wizard_question_params`
--

DROP TABLE IF EXISTS `wizard_question_params`;


CREATE TABLE `wizard_question_params` (
  `question_param_id` int(8) unsigned NOT NULL auto_increment,
  `question_id` int(8) unsigned default NULL,
  `question_param_name` varchar(255) default NULL,
  `question_param_order` smallint(5) unsigned default NULL,
  PRIMARY KEY  (`question_param_id`),
  KEY `question_id` (`question_id`),
  KEY `question_param_name` (`question_param_name`)
) ENGINE=MyISAM;


--
-- Dumping data for table `wizard_question_params`
--

/*!40000 ALTER TABLE `wizard_question_params` DISABLE KEYS */;
/*!40000 ALTER TABLE `wizard_question_params` ENABLE KEYS */;

--
-- Table structure for table `wizard_questions`
--

DROP TABLE IF EXISTS `wizard_questions`;


CREATE TABLE `wizard_questions` (
  `question_id` int(8) unsigned NOT NULL auto_increment,
  `step_id` smallint(5) unsigned default NULL,
  `question_display_name` varchar(80) default NULL,
  `question_order` tinyint(3) unsigned default NULL,
  PRIMARY KEY  (`question_id`),
  KEY `step_id` (`step_id`),
  KEY `question_order` (`question_order`),
  KEY `question_display_name` (`question_display_name`)
) ENGINE=MyISAM;


--
-- Dumping data for table `wizard_questions`
--

/*!40000 ALTER TABLE `wizard_questions` DISABLE KEYS */;
/*!40000 ALTER TABLE `wizard_questions` ENABLE KEYS */;

--
-- Table structure for table `wizard_steps`
--

DROP TABLE IF EXISTS `wizard_steps`;


CREATE TABLE `wizard_steps` (
  `step_id` smallint(5) unsigned NOT NULL auto_increment,
  `step_name` varchar(255) default NULL,
  PRIMARY KEY  (`step_id`),
  KEY `step_name` (`step_name`)
) ENGINE=MyISAM;


--
-- Dumping data for table `wizard_steps`
--

/*!40000 ALTER TABLE `wizard_steps` DISABLE KEYS */;
/*!40000 ALTER TABLE `wizard_steps` ENABLE KEYS */;

--
-- Table structure for table `wizards`
--

DROP TABLE IF EXISTS `wizards`;


CREATE TABLE `wizards` (
  `wizard_id` int(10) unsigned default NULL,
  `session_id` varchar(40) default NULL,
  `wizard_date_modified` int(10) unsigned default NULL,
  `wizard_data` longtext,
  KEY `session_id` (`session_id`),
  KEY `wizard_id` (`wizard_id`)
) ENGINE=MyISAM;


--
-- Dumping data for table `wizards`
--

/*!40000 ALTER TABLE `wizards` DISABLE KEYS */;
/*!40000 ALTER TABLE `wizards` ENABLE KEYS */;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2009-04-20 18:05:22
